#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2356
#define LARGE_STATE_COUNT 1064
#define SYMBOL_COUNT 135
#define ALIAS_COUNT 1
#define TOKEN_COUNT 81
#define EXTERNAL_TOKEN_COUNT 14
#define FIELD_COUNT 20
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 55

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_BSLASH = 2,
  anon_sym_function = 3,
  anon_sym_EQ = 4,
  anon_sym_if = 5,
  anon_sym_for = 6,
  anon_sym_in = 7,
  anon_sym_while = 8,
  anon_sym_repeat = 9,
  anon_sym_QMARK = 10,
  anon_sym_TILDE = 11,
  anon_sym_BANG = 12,
  anon_sym_PLUS = 13,
  anon_sym_DASH = 14,
  anon_sym_LT_DASH = 15,
  anon_sym_LT_LT_DASH = 16,
  anon_sym_COLON_EQ = 17,
  anon_sym_DASH_GT = 18,
  anon_sym_DASH_GT_GT = 19,
  anon_sym_PIPE = 20,
  anon_sym_AMP = 21,
  anon_sym_PIPE_PIPE = 22,
  anon_sym_AMP_AMP = 23,
  anon_sym_LT = 24,
  anon_sym_LT_EQ = 25,
  anon_sym_GT = 26,
  anon_sym_GT_EQ = 27,
  anon_sym_EQ_EQ = 28,
  anon_sym_BANG_EQ = 29,
  anon_sym_STAR = 30,
  anon_sym_SLASH = 31,
  anon_sym_STAR_STAR = 32,
  anon_sym_CARET = 33,
  aux_sym_binary_operator_token1 = 34,
  anon_sym_PIPE_GT = 35,
  anon_sym_COLON = 36,
  anon_sym_DOLLAR = 37,
  anon_sym_AT = 38,
  anon_sym_COLON_COLON = 39,
  anon_sym_COLON_COLON_COLON = 40,
  anon_sym_L = 41,
  anon_sym_i = 42,
  sym__hex_literal = 43,
  sym__number_literal = 44,
  anon_sym_SQUOTE = 45,
  anon_sym_DQUOTE = 46,
  aux_sym__single_quoted_string_content_token1 = 47,
  aux_sym__double_quoted_string_content_token1 = 48,
  sym_escape_sequence = 49,
  sym_return = 50,
  sym_next = 51,
  sym_break = 52,
  sym_true = 53,
  sym_false = 54,
  sym_null = 55,
  sym_inf = 56,
  sym_nan = 57,
  anon_sym_NA = 58,
  anon_sym_NA_integer_ = 59,
  anon_sym_NA_real_ = 60,
  anon_sym_NA_complex_ = 61,
  anon_sym_NA_character_ = 62,
  sym_dots = 63,
  sym_dot_dot_i = 64,
  sym_comment = 65,
  sym_comma = 66,
  sym__start = 67,
  sym__newline = 68,
  sym__semicolon = 69,
  sym__raw_string_literal = 70,
  sym__external_else = 71,
  sym__external_open_parenthesis = 72,
  sym__external_close_parenthesis = 73,
  sym__external_open_brace = 74,
  sym__external_close_brace = 75,
  sym__external_open_bracket = 76,
  sym__external_close_bracket = 77,
  sym__external_open_bracket2 = 78,
  sym__external_close_bracket2 = 79,
  sym__error_sentinel = 80,
  sym_program = 81,
  sym_function_definition = 82,
  sym_parameters = 83,
  sym_parameter = 84,
  sym__parameter_with_default = 85,
  sym__parameter_without_default = 86,
  sym_if_statement = 87,
  sym_for_statement = 88,
  sym_while_statement = 89,
  sym_repeat_statement = 90,
  sym_braced_expression = 91,
  sym_parenthesized_expression = 92,
  sym_call = 93,
  sym_subset = 94,
  sym_subset2 = 95,
  sym_call_arguments = 96,
  sym_subset_arguments = 97,
  sym_subset2_arguments = 98,
  sym__argument = 99,
  sym_argument = 100,
  sym__argument_named = 101,
  sym__argument_unnamed = 102,
  sym__argument_value = 103,
  sym_unary_operator = 104,
  sym_binary_operator = 105,
  sym_extract_operator = 106,
  sym_namespace_operator = 107,
  sym_integer = 108,
  sym_complex = 109,
  sym_float = 110,
  sym__float_literal = 111,
  sym_string = 112,
  sym__single_quoted_string = 113,
  sym__double_quoted_string = 114,
  aux_sym__single_quoted_string_content = 115,
  aux_sym__double_quoted_string_content = 116,
  sym_na = 117,
  sym__expression = 118,
  sym__string_or_identifier = 119,
  sym__else = 120,
  sym__open_parenthesis = 121,
  sym__close_parenthesis = 122,
  sym__open_brace = 123,
  sym__close_brace = 124,
  sym__open_bracket = 125,
  sym__close_bracket = 126,
  sym__open_bracket2 = 127,
  sym__close_bracket2 = 128,
  aux_sym_program_repeat1 = 129,
  aux_sym_function_definition_repeat1 = 130,
  aux_sym_parameters_repeat1 = 131,
  aux_sym_braced_expression_repeat1 = 132,
  aux_sym_parenthesized_expression_repeat1 = 133,
  aux_sym_call_arguments_repeat1 = 134,
  alias_sym_string_content = 135,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_function] = "function",
  [anon_sym_EQ] = "=",
  [anon_sym_if] = "if",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_while] = "while",
  [anon_sym_repeat] = "repeat",
  [anon_sym_QMARK] = "\?",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_LT_LT_DASH] = "<<-",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_DASH_GT_GT] = "->>",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_CARET] = "^",
  [aux_sym_binary_operator_token1] = "special",
  [anon_sym_PIPE_GT] = "|>",
  [anon_sym_COLON] = ":",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_AT] = "@",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_COLON_COLON_COLON] = ":::",
  [anon_sym_L] = "L",
  [anon_sym_i] = "i",
  [sym__hex_literal] = "_hex_literal",
  [sym__number_literal] = "_number_literal",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym__single_quoted_string_content_token1] = "_single_quoted_string_content_token1",
  [aux_sym__double_quoted_string_content_token1] = "_double_quoted_string_content_token1",
  [sym_escape_sequence] = "escape_sequence",
  [sym_return] = "return",
  [sym_next] = "next",
  [sym_break] = "break",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_inf] = "inf",
  [sym_nan] = "nan",
  [anon_sym_NA] = "NA",
  [anon_sym_NA_integer_] = "NA_integer_",
  [anon_sym_NA_real_] = "NA_real_",
  [anon_sym_NA_complex_] = "NA_complex_",
  [anon_sym_NA_character_] = "NA_character_",
  [sym_dots] = "dots",
  [sym_dot_dot_i] = "dot_dot_i",
  [sym_comment] = "comment",
  [sym_comma] = "comma",
  [sym__start] = "_start",
  [sym__newline] = "_newline",
  [sym__semicolon] = "_semicolon",
  [sym__raw_string_literal] = "_raw_string_literal",
  [sym__external_else] = "else",
  [sym__external_open_parenthesis] = "(",
  [sym__external_close_parenthesis] = ")",
  [sym__external_open_brace] = "{",
  [sym__external_close_brace] = "}",
  [sym__external_open_bracket] = "[",
  [sym__external_close_bracket] = "]",
  [sym__external_open_bracket2] = "[[",
  [sym__external_close_bracket2] = "]]",
  [sym__error_sentinel] = "_error_sentinel",
  [sym_program] = "program",
  [sym_function_definition] = "function_definition",
  [sym_parameters] = "parameters",
  [sym_parameter] = "parameter",
  [sym__parameter_with_default] = "_parameter_with_default",
  [sym__parameter_without_default] = "_parameter_without_default",
  [sym_if_statement] = "if_statement",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_repeat_statement] = "repeat_statement",
  [sym_braced_expression] = "braced_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_call] = "call",
  [sym_subset] = "subset",
  [sym_subset2] = "subset2",
  [sym_call_arguments] = "arguments",
  [sym_subset_arguments] = "arguments",
  [sym_subset2_arguments] = "arguments",
  [sym__argument] = "_argument",
  [sym_argument] = "argument",
  [sym__argument_named] = "_argument_named",
  [sym__argument_unnamed] = "_argument_unnamed",
  [sym__argument_value] = "_argument_value",
  [sym_unary_operator] = "unary_operator",
  [sym_binary_operator] = "binary_operator",
  [sym_extract_operator] = "extract_operator",
  [sym_namespace_operator] = "namespace_operator",
  [sym_integer] = "integer",
  [sym_complex] = "complex",
  [sym_float] = "float",
  [sym__float_literal] = "_float_literal",
  [sym_string] = "string",
  [sym__single_quoted_string] = "_single_quoted_string",
  [sym__double_quoted_string] = "_double_quoted_string",
  [aux_sym__single_quoted_string_content] = "_single_quoted_string_content",
  [aux_sym__double_quoted_string_content] = "_double_quoted_string_content",
  [sym_na] = "na",
  [sym__expression] = "_expression",
  [sym__string_or_identifier] = "_string_or_identifier",
  [sym__else] = "_else",
  [sym__open_parenthesis] = "_open_parenthesis",
  [sym__close_parenthesis] = "_close_parenthesis",
  [sym__open_brace] = "_open_brace",
  [sym__close_brace] = "_close_brace",
  [sym__open_bracket] = "_open_bracket",
  [sym__close_bracket] = "_close_bracket",
  [sym__open_bracket2] = "_open_bracket2",
  [sym__close_bracket2] = "_close_bracket2",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_function_definition_repeat1] = "function_definition_repeat1",
  [aux_sym_parameters_repeat1] = "parameters_repeat1",
  [aux_sym_braced_expression_repeat1] = "braced_expression_repeat1",
  [aux_sym_parenthesized_expression_repeat1] = "parenthesized_expression_repeat1",
  [aux_sym_call_arguments_repeat1] = "call_arguments_repeat1",
  [alias_sym_string_content] = "string_content",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_repeat] = anon_sym_repeat,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_DASH_GT_GT] = anon_sym_DASH_GT_GT,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_CARET] = anon_sym_CARET,
  [aux_sym_binary_operator_token1] = aux_sym_binary_operator_token1,
  [anon_sym_PIPE_GT] = anon_sym_PIPE_GT,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_COLON_COLON_COLON] = anon_sym_COLON_COLON_COLON,
  [anon_sym_L] = anon_sym_L,
  [anon_sym_i] = anon_sym_i,
  [sym__hex_literal] = sym__hex_literal,
  [sym__number_literal] = sym__number_literal,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym__single_quoted_string_content_token1] = aux_sym__single_quoted_string_content_token1,
  [aux_sym__double_quoted_string_content_token1] = aux_sym__double_quoted_string_content_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_return] = sym_return,
  [sym_next] = sym_next,
  [sym_break] = sym_break,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_inf] = sym_inf,
  [sym_nan] = sym_nan,
  [anon_sym_NA] = anon_sym_NA,
  [anon_sym_NA_integer_] = anon_sym_NA_integer_,
  [anon_sym_NA_real_] = anon_sym_NA_real_,
  [anon_sym_NA_complex_] = anon_sym_NA_complex_,
  [anon_sym_NA_character_] = anon_sym_NA_character_,
  [sym_dots] = sym_dots,
  [sym_dot_dot_i] = sym_dot_dot_i,
  [sym_comment] = sym_comment,
  [sym_comma] = sym_comma,
  [sym__start] = sym__start,
  [sym__newline] = sym__newline,
  [sym__semicolon] = sym__semicolon,
  [sym__raw_string_literal] = sym__raw_string_literal,
  [sym__external_else] = sym__external_else,
  [sym__external_open_parenthesis] = sym__external_open_parenthesis,
  [sym__external_close_parenthesis] = sym__external_close_parenthesis,
  [sym__external_open_brace] = sym__external_open_brace,
  [sym__external_close_brace] = sym__external_close_brace,
  [sym__external_open_bracket] = sym__external_open_bracket,
  [sym__external_close_bracket] = sym__external_close_bracket,
  [sym__external_open_bracket2] = sym__external_open_bracket2,
  [sym__external_close_bracket2] = sym__external_close_bracket2,
  [sym__error_sentinel] = sym__error_sentinel,
  [sym_program] = sym_program,
  [sym_function_definition] = sym_function_definition,
  [sym_parameters] = sym_parameters,
  [sym_parameter] = sym_parameter,
  [sym__parameter_with_default] = sym__parameter_with_default,
  [sym__parameter_without_default] = sym__parameter_without_default,
  [sym_if_statement] = sym_if_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_repeat_statement] = sym_repeat_statement,
  [sym_braced_expression] = sym_braced_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_call] = sym_call,
  [sym_subset] = sym_subset,
  [sym_subset2] = sym_subset2,
  [sym_call_arguments] = sym_call_arguments,
  [sym_subset_arguments] = sym_call_arguments,
  [sym_subset2_arguments] = sym_call_arguments,
  [sym__argument] = sym__argument,
  [sym_argument] = sym_argument,
  [sym__argument_named] = sym__argument_named,
  [sym__argument_unnamed] = sym__argument_unnamed,
  [sym__argument_value] = sym__argument_value,
  [sym_unary_operator] = sym_unary_operator,
  [sym_binary_operator] = sym_binary_operator,
  [sym_extract_operator] = sym_extract_operator,
  [sym_namespace_operator] = sym_namespace_operator,
  [sym_integer] = sym_integer,
  [sym_complex] = sym_complex,
  [sym_float] = sym_float,
  [sym__float_literal] = sym__float_literal,
  [sym_string] = sym_string,
  [sym__single_quoted_string] = sym__single_quoted_string,
  [sym__double_quoted_string] = sym__double_quoted_string,
  [aux_sym__single_quoted_string_content] = aux_sym__single_quoted_string_content,
  [aux_sym__double_quoted_string_content] = aux_sym__double_quoted_string_content,
  [sym_na] = sym_na,
  [sym__expression] = sym__expression,
  [sym__string_or_identifier] = sym__string_or_identifier,
  [sym__else] = sym__else,
  [sym__open_parenthesis] = sym__open_parenthesis,
  [sym__close_parenthesis] = sym__close_parenthesis,
  [sym__open_brace] = sym__open_brace,
  [sym__close_brace] = sym__close_brace,
  [sym__open_bracket] = sym__open_bracket,
  [sym__close_bracket] = sym__close_bracket,
  [sym__open_bracket2] = sym__open_bracket2,
  [sym__close_bracket2] = sym__close_bracket2,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_function_definition_repeat1] = aux_sym_function_definition_repeat1,
  [aux_sym_parameters_repeat1] = aux_sym_parameters_repeat1,
  [aux_sym_braced_expression_repeat1] = aux_sym_braced_expression_repeat1,
  [aux_sym_parenthesized_expression_repeat1] = aux_sym_parenthesized_expression_repeat1,
  [aux_sym_call_arguments_repeat1] = aux_sym_call_arguments_repeat1,
  [alias_sym_string_content] = alias_sym_string_content,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_repeat] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_operator_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_L] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_i] = {
    .visible = true,
    .named = false,
  },
  [sym__hex_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__number_literal] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__single_quoted_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__double_quoted_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_return] = {
    .visible = true,
    .named = true,
  },
  [sym_next] = {
    .visible = true,
    .named = true,
  },
  [sym_break] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_inf] = {
    .visible = true,
    .named = true,
  },
  [sym_nan] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NA_integer_] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NA_real_] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NA_complex_] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NA_character_] = {
    .visible = true,
    .named = false,
  },
  [sym_dots] = {
    .visible = true,
    .named = true,
  },
  [sym_dot_dot_i] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__start] = {
    .visible = false,
    .named = true,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__raw_string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__external_else] = {
    .visible = true,
    .named = false,
  },
  [sym__external_open_parenthesis] = {
    .visible = true,
    .named = false,
  },
  [sym__external_close_parenthesis] = {
    .visible = true,
    .named = false,
  },
  [sym__external_open_brace] = {
    .visible = true,
    .named = false,
  },
  [sym__external_close_brace] = {
    .visible = true,
    .named = false,
  },
  [sym__external_open_bracket] = {
    .visible = true,
    .named = false,
  },
  [sym__external_close_bracket] = {
    .visible = true,
    .named = false,
  },
  [sym__external_open_bracket2] = {
    .visible = true,
    .named = false,
  },
  [sym__external_close_bracket2] = {
    .visible = true,
    .named = false,
  },
  [sym__error_sentinel] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__parameter_with_default] = {
    .visible = false,
    .named = true,
  },
  [sym__parameter_without_default] = {
    .visible = false,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_repeat_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_braced_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_subset] = {
    .visible = true,
    .named = true,
  },
  [sym_subset2] = {
    .visible = true,
    .named = true,
  },
  [sym_call_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_subset_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_subset2_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__argument] = {
    .visible = false,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_named] = {
    .visible = false,
    .named = true,
  },
  [sym__argument_unnamed] = {
    .visible = false,
    .named = true,
  },
  [sym__argument_value] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_extract_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_complex] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [sym__float_literal] = {
    .visible = false,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym__single_quoted_string] = {
    .visible = false,
    .named = true,
  },
  [sym__double_quoted_string] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__single_quoted_string_content] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__double_quoted_string_content] = {
    .visible = false,
    .named = false,
  },
  [sym_na] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym__string_or_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__else] = {
    .visible = false,
    .named = true,
  },
  [sym__open_parenthesis] = {
    .visible = false,
    .named = true,
  },
  [sym__close_parenthesis] = {
    .visible = false,
    .named = true,
  },
  [sym__open_brace] = {
    .visible = false,
    .named = true,
  },
  [sym__close_brace] = {
    .visible = false,
    .named = true,
  },
  [sym__open_bracket] = {
    .visible = false,
    .named = true,
  },
  [sym__close_bracket] = {
    .visible = false,
    .named = true,
  },
  [sym__open_bracket2] = {
    .visible = false,
    .named = true,
  },
  [sym__close_bracket2] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_braced_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parenthesized_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_call_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_string_content] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_body = 4,
  field_close = 5,
  field_condition = 6,
  field_consequence = 7,
  field_content = 8,
  field_default = 9,
  field_function = 10,
  field_lhs = 11,
  field_name = 12,
  field_open = 13,
  field_operator = 14,
  field_parameter = 15,
  field_parameters = 16,
  field_rhs = 17,
  field_sequence = 18,
  field_value = 19,
  field_variable = 20,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_close] = "close",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_content] = "content",
  [field_default] = "default",
  [field_function] = "function",
  [field_lhs] = "lhs",
  [field_name] = "name",
  [field_open] = "open",
  [field_operator] = "operator",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_rhs] = "rhs",
  [field_sequence] = "sequence",
  [field_value] = "value",
  [field_variable] = "variable",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 2},
  [4] = {.index = 4, .length = 2},
  [5] = {.index = 6, .length = 2},
  [6] = {.index = 8, .length = 1},
  [7] = {.index = 9, .length = 2},
  [8] = {.index = 11, .length = 3},
  [9] = {.index = 14, .length = 1},
  [10] = {.index = 15, .length = 2},
  [11] = {.index = 17, .length = 1},
  [12] = {.index = 18, .length = 1},
  [13] = {.index = 19, .length = 2},
  [14] = {.index = 21, .length = 1},
  [15] = {.index = 22, .length = 3},
  [16] = {.index = 25, .length = 1},
  [17] = {.index = 26, .length = 1},
  [18] = {.index = 27, .length = 1},
  [19] = {.index = 28, .length = 2},
  [20] = {.index = 30, .length = 1},
  [21] = {.index = 31, .length = 3},
  [22] = {.index = 34, .length = 2},
  [23] = {.index = 36, .length = 3},
  [24] = {.index = 39, .length = 3},
  [25] = {.index = 42, .length = 3},
  [26] = {.index = 45, .length = 3},
  [27] = {.index = 48, .length = 3},
  [28] = {.index = 51, .length = 2},
  [29] = {.index = 53, .length = 2},
  [30] = {.index = 55, .length = 1},
  [31] = {.index = 56, .length = 4},
  [32] = {.index = 60, .length = 2},
  [33] = {.index = 62, .length = 3},
  [34] = {.index = 65, .length = 4},
  [35] = {.index = 69, .length = 4},
  [36] = {.index = 73, .length = 2},
  [37] = {.index = 75, .length = 4},
  [38] = {.index = 79, .length = 4},
  [39] = {.index = 83, .length = 4},
  [40] = {.index = 87, .length = 4},
  [41] = {.index = 91, .length = 5},
  [42] = {.index = 96, .length = 4},
  [43] = {.index = 100, .length = 5},
  [44] = {.index = 105, .length = 4},
  [45] = {.index = 109, .length = 5},
  [46] = {.index = 114, .length = 5},
  [47] = {.index = 119, .length = 5},
  [48] = {.index = 124, .length = 5},
  [49] = {.index = 129, .length = 5},
  [50] = {.index = 134, .length = 5},
  [51] = {.index = 139, .length = 5},
  [52] = {.index = 144, .length = 5},
  [53] = {.index = 149, .length = 5},
  [54] = {.index = 154, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_content, 0, .inherited = true},
  [1] =
    {field_body, 1},
  [2] =
    {field_operator, 0},
    {field_rhs, 1},
  [4] =
    {field_lhs, 0},
    {field_operator, 1},
  [6] =
    {field_arguments, 1},
    {field_function, 0},
  [8] =
    {field_body, 0},
  [9] =
    {field_close, 1},
    {field_open, 0},
  [11] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1},
  [14] =
    {field_name, 0},
  [15] =
    {field_default, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [17] =
    {field_name, 0, .inherited = true},
  [18] =
    {field_body, 2},
  [19] =
    {field_operator, 0},
    {field_rhs, 2},
  [21] =
    {field_content, 1},
  [22] =
    {field_lhs, 0},
    {field_operator, 1},
    {field_rhs, 2},
  [25] =
    {field_value, 0},
  [26] =
    {field_argument, 0, .inherited = true},
  [27] =
    {field_argument, 0},
  [28] =
    {field_name, 0, .inherited = true},
    {field_value, 0, .inherited = true},
  [30] =
    {field_value, 0, .inherited = true},
  [31] =
    {field_body, 1, .inherited = true},
    {field_close, 2},
    {field_open, 0},
  [34] =
    {field_body, 0, .inherited = true},
    {field_body, 1, .inherited = true},
  [36] =
    {field_body, 3},
    {field_name, 0},
    {field_parameters, 1},
  [39] =
    {field_close, 2},
    {field_open, 0},
    {field_parameter, 1},
  [42] =
    {field_body, 3},
    {field_name, 0},
    {field_parameters, 2},
  [45] =
    {field_lhs, 0},
    {field_operator, 1},
    {field_rhs, 3},
  [48] =
    {field_argument, 1, .inherited = true},
    {field_close, 2},
    {field_open, 0},
  [51] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [53] =
    {field_default, 2},
    {field_name, 0},
  [55] =
    {field_parameter, 1},
  [56] =
    {field_close, 3},
    {field_open, 0},
    {field_parameter, 1},
    {field_parameter, 2, .inherited = true},
  [60] =
    {field_parameter, 0, .inherited = true},
    {field_parameter, 1, .inherited = true},
  [62] =
    {field_body, 4},
    {field_name, 0},
    {field_parameters, 2},
  [65] =
    {field_close, 3},
    {field_condition, 2},
    {field_consequence, 4},
    {field_open, 1},
  [69] =
    {field_body, 4},
    {field_close, 3},
    {field_condition, 2},
    {field_open, 1},
  [73] =
    {field_name, 0},
    {field_value, 2, .inherited = true},
  [75] =
    {field_close, 3},
    {field_condition, 2},
    {field_consequence, 5},
    {field_open, 1},
  [79] =
    {field_close, 4},
    {field_condition, 3},
    {field_consequence, 5},
    {field_open, 2},
  [83] =
    {field_body, 5},
    {field_close, 3},
    {field_condition, 2},
    {field_open, 1},
  [87] =
    {field_body, 5},
    {field_close, 4},
    {field_condition, 3},
    {field_open, 2},
  [91] =
    {field_alternative, 6},
    {field_close, 3},
    {field_condition, 2},
    {field_consequence, 4},
    {field_open, 1},
  [96] =
    {field_close, 4},
    {field_condition, 3},
    {field_consequence, 6},
    {field_open, 2},
  [100] =
    {field_body, 6},
    {field_close, 5},
    {field_open, 1},
    {field_sequence, 4},
    {field_variable, 2},
  [105] =
    {field_body, 6},
    {field_close, 4},
    {field_condition, 3},
    {field_open, 2},
  [109] =
    {field_alternative, 7},
    {field_close, 3},
    {field_condition, 2},
    {field_consequence, 4},
    {field_open, 1},
  [114] =
    {field_alternative, 7},
    {field_close, 3},
    {field_condition, 2},
    {field_consequence, 5},
    {field_open, 1},
  [119] =
    {field_alternative, 7},
    {field_close, 4},
    {field_condition, 3},
    {field_consequence, 5},
    {field_open, 2},
  [124] =
    {field_body, 7},
    {field_close, 5},
    {field_open, 1},
    {field_sequence, 4},
    {field_variable, 2},
  [129] =
    {field_body, 7},
    {field_close, 6},
    {field_open, 2},
    {field_sequence, 5},
    {field_variable, 3},
  [134] =
    {field_alternative, 8},
    {field_close, 3},
    {field_condition, 2},
    {field_consequence, 5},
    {field_open, 1},
  [139] =
    {field_alternative, 8},
    {field_close, 4},
    {field_condition, 3},
    {field_consequence, 5},
    {field_open, 2},
  [144] =
    {field_alternative, 8},
    {field_close, 4},
    {field_condition, 3},
    {field_consequence, 6},
    {field_open, 2},
  [149] =
    {field_body, 8},
    {field_close, 6},
    {field_open, 2},
    {field_sequence, 5},
    {field_variable, 3},
  [154] =
    {field_alternative, 9},
    {field_close, 4},
    {field_condition, 3},
    {field_consequence, 6},
    {field_open, 2},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [14] = {
    [1] = alias_sym_string_content,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  aux_sym__single_quoted_string_content, 2,
    aux_sym__single_quoted_string_content,
    alias_sym_string_content,
  aux_sym__double_quoted_string_content, 2,
    aux_sym__double_quoted_string_content,
    alias_sym_string_content,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 2,
  [8] = 4,
  [9] = 5,
  [10] = 6,
  [11] = 2,
  [12] = 4,
  [13] = 5,
  [14] = 6,
  [15] = 2,
  [16] = 4,
  [17] = 5,
  [18] = 4,
  [19] = 2,
  [20] = 5,
  [21] = 6,
  [22] = 4,
  [23] = 5,
  [24] = 6,
  [25] = 2,
  [26] = 4,
  [27] = 5,
  [28] = 6,
  [29] = 2,
  [30] = 4,
  [31] = 5,
  [32] = 6,
  [33] = 2,
  [34] = 4,
  [35] = 5,
  [36] = 6,
  [37] = 2,
  [38] = 4,
  [39] = 5,
  [40] = 6,
  [41] = 6,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 43,
  [99] = 44,
  [100] = 45,
  [101] = 46,
  [102] = 47,
  [103] = 48,
  [104] = 49,
  [105] = 50,
  [106] = 51,
  [107] = 52,
  [108] = 53,
  [109] = 54,
  [110] = 55,
  [111] = 56,
  [112] = 57,
  [113] = 58,
  [114] = 59,
  [115] = 60,
  [116] = 61,
  [117] = 62,
  [118] = 63,
  [119] = 64,
  [120] = 65,
  [121] = 66,
  [122] = 67,
  [123] = 68,
  [124] = 69,
  [125] = 70,
  [126] = 71,
  [127] = 72,
  [128] = 73,
  [129] = 74,
  [130] = 75,
  [131] = 76,
  [132] = 77,
  [133] = 78,
  [134] = 79,
  [135] = 80,
  [136] = 81,
  [137] = 82,
  [138] = 83,
  [139] = 84,
  [140] = 85,
  [141] = 86,
  [142] = 87,
  [143] = 88,
  [144] = 89,
  [145] = 90,
  [146] = 91,
  [147] = 92,
  [148] = 93,
  [149] = 94,
  [150] = 42,
  [151] = 95,
  [152] = 96,
  [153] = 97,
  [154] = 43,
  [155] = 44,
  [156] = 45,
  [157] = 46,
  [158] = 47,
  [159] = 48,
  [160] = 49,
  [161] = 50,
  [162] = 51,
  [163] = 52,
  [164] = 53,
  [165] = 54,
  [166] = 55,
  [167] = 56,
  [168] = 57,
  [169] = 58,
  [170] = 59,
  [171] = 60,
  [172] = 61,
  [173] = 62,
  [174] = 63,
  [175] = 64,
  [176] = 65,
  [177] = 66,
  [178] = 67,
  [179] = 68,
  [180] = 69,
  [181] = 70,
  [182] = 71,
  [183] = 72,
  [184] = 73,
  [185] = 74,
  [186] = 75,
  [187] = 76,
  [188] = 77,
  [189] = 78,
  [190] = 79,
  [191] = 80,
  [192] = 81,
  [193] = 82,
  [194] = 97,
  [195] = 84,
  [196] = 85,
  [197] = 86,
  [198] = 87,
  [199] = 88,
  [200] = 89,
  [201] = 90,
  [202] = 91,
  [203] = 92,
  [204] = 93,
  [205] = 94,
  [206] = 42,
  [207] = 95,
  [208] = 96,
  [209] = 97,
  [210] = 43,
  [211] = 44,
  [212] = 45,
  [213] = 46,
  [214] = 47,
  [215] = 48,
  [216] = 49,
  [217] = 50,
  [218] = 51,
  [219] = 52,
  [220] = 53,
  [221] = 54,
  [222] = 55,
  [223] = 56,
  [224] = 57,
  [225] = 58,
  [226] = 59,
  [227] = 60,
  [228] = 61,
  [229] = 62,
  [230] = 63,
  [231] = 64,
  [232] = 65,
  [233] = 66,
  [234] = 67,
  [235] = 68,
  [236] = 69,
  [237] = 70,
  [238] = 71,
  [239] = 72,
  [240] = 73,
  [241] = 74,
  [242] = 75,
  [243] = 76,
  [244] = 77,
  [245] = 78,
  [246] = 79,
  [247] = 80,
  [248] = 81,
  [249] = 82,
  [250] = 83,
  [251] = 84,
  [252] = 85,
  [253] = 86,
  [254] = 87,
  [255] = 88,
  [256] = 89,
  [257] = 90,
  [258] = 91,
  [259] = 92,
  [260] = 93,
  [261] = 94,
  [262] = 42,
  [263] = 95,
  [264] = 96,
  [265] = 97,
  [266] = 43,
  [267] = 44,
  [268] = 45,
  [269] = 46,
  [270] = 47,
  [271] = 48,
  [272] = 49,
  [273] = 50,
  [274] = 51,
  [275] = 52,
  [276] = 53,
  [277] = 54,
  [278] = 55,
  [279] = 56,
  [280] = 57,
  [281] = 58,
  [282] = 59,
  [283] = 60,
  [284] = 61,
  [285] = 62,
  [286] = 63,
  [287] = 64,
  [288] = 65,
  [289] = 66,
  [290] = 67,
  [291] = 68,
  [292] = 69,
  [293] = 70,
  [294] = 71,
  [295] = 72,
  [296] = 73,
  [297] = 74,
  [298] = 75,
  [299] = 76,
  [300] = 77,
  [301] = 78,
  [302] = 79,
  [303] = 80,
  [304] = 81,
  [305] = 82,
  [306] = 83,
  [307] = 84,
  [308] = 85,
  [309] = 86,
  [310] = 87,
  [311] = 88,
  [312] = 89,
  [313] = 90,
  [314] = 91,
  [315] = 92,
  [316] = 93,
  [317] = 94,
  [318] = 42,
  [319] = 95,
  [320] = 96,
  [321] = 83,
  [322] = 322,
  [323] = 46,
  [324] = 47,
  [325] = 48,
  [326] = 49,
  [327] = 50,
  [328] = 51,
  [329] = 52,
  [330] = 53,
  [331] = 54,
  [332] = 55,
  [333] = 56,
  [334] = 57,
  [335] = 58,
  [336] = 59,
  [337] = 60,
  [338] = 61,
  [339] = 62,
  [340] = 63,
  [341] = 64,
  [342] = 65,
  [343] = 66,
  [344] = 344,
  [345] = 345,
  [346] = 67,
  [347] = 68,
  [348] = 69,
  [349] = 70,
  [350] = 71,
  [351] = 72,
  [352] = 73,
  [353] = 74,
  [354] = 75,
  [355] = 76,
  [356] = 77,
  [357] = 78,
  [358] = 79,
  [359] = 80,
  [360] = 81,
  [361] = 82,
  [362] = 83,
  [363] = 363,
  [364] = 84,
  [365] = 85,
  [366] = 86,
  [367] = 48,
  [368] = 87,
  [369] = 88,
  [370] = 89,
  [371] = 90,
  [372] = 91,
  [373] = 92,
  [374] = 93,
  [375] = 94,
  [376] = 42,
  [377] = 95,
  [378] = 96,
  [379] = 97,
  [380] = 322,
  [381] = 344,
  [382] = 345,
  [383] = 67,
  [384] = 68,
  [385] = 385,
  [386] = 69,
  [387] = 70,
  [388] = 71,
  [389] = 72,
  [390] = 73,
  [391] = 74,
  [392] = 75,
  [393] = 76,
  [394] = 77,
  [395] = 78,
  [396] = 79,
  [397] = 80,
  [398] = 81,
  [399] = 82,
  [400] = 83,
  [401] = 401,
  [402] = 344,
  [403] = 345,
  [404] = 84,
  [405] = 85,
  [406] = 86,
  [407] = 87,
  [408] = 88,
  [409] = 89,
  [410] = 90,
  [411] = 91,
  [412] = 92,
  [413] = 93,
  [414] = 94,
  [415] = 42,
  [416] = 95,
  [417] = 96,
  [418] = 97,
  [419] = 43,
  [420] = 44,
  [421] = 45,
  [422] = 46,
  [423] = 47,
  [424] = 49,
  [425] = 48,
  [426] = 49,
  [427] = 50,
  [428] = 51,
  [429] = 52,
  [430] = 53,
  [431] = 385,
  [432] = 54,
  [433] = 55,
  [434] = 56,
  [435] = 57,
  [436] = 58,
  [437] = 59,
  [438] = 60,
  [439] = 61,
  [440] = 62,
  [441] = 63,
  [442] = 64,
  [443] = 65,
  [444] = 66,
  [445] = 445,
  [446] = 322,
  [447] = 401,
  [448] = 344,
  [449] = 345,
  [450] = 344,
  [451] = 345,
  [452] = 67,
  [453] = 68,
  [454] = 69,
  [455] = 70,
  [456] = 71,
  [457] = 72,
  [458] = 73,
  [459] = 74,
  [460] = 75,
  [461] = 76,
  [462] = 77,
  [463] = 78,
  [464] = 79,
  [465] = 80,
  [466] = 81,
  [467] = 82,
  [468] = 468,
  [469] = 83,
  [470] = 43,
  [471] = 44,
  [472] = 84,
  [473] = 85,
  [474] = 86,
  [475] = 45,
  [476] = 87,
  [477] = 88,
  [478] = 89,
  [479] = 90,
  [480] = 91,
  [481] = 92,
  [482] = 93,
  [483] = 94,
  [484] = 42,
  [485] = 95,
  [486] = 385,
  [487] = 50,
  [488] = 96,
  [489] = 97,
  [490] = 43,
  [491] = 44,
  [492] = 45,
  [493] = 46,
  [494] = 47,
  [495] = 48,
  [496] = 49,
  [497] = 50,
  [498] = 445,
  [499] = 344,
  [500] = 345,
  [501] = 51,
  [502] = 52,
  [503] = 53,
  [504] = 54,
  [505] = 55,
  [506] = 56,
  [507] = 57,
  [508] = 58,
  [509] = 59,
  [510] = 60,
  [511] = 61,
  [512] = 62,
  [513] = 63,
  [514] = 64,
  [515] = 65,
  [516] = 66,
  [517] = 445,
  [518] = 344,
  [519] = 345,
  [520] = 67,
  [521] = 68,
  [522] = 69,
  [523] = 70,
  [524] = 71,
  [525] = 72,
  [526] = 73,
  [527] = 74,
  [528] = 75,
  [529] = 344,
  [530] = 345,
  [531] = 76,
  [532] = 77,
  [533] = 78,
  [534] = 79,
  [535] = 80,
  [536] = 385,
  [537] = 81,
  [538] = 82,
  [539] = 46,
  [540] = 83,
  [541] = 47,
  [542] = 84,
  [543] = 85,
  [544] = 86,
  [545] = 87,
  [546] = 88,
  [547] = 89,
  [548] = 90,
  [549] = 91,
  [550] = 92,
  [551] = 93,
  [552] = 94,
  [553] = 401,
  [554] = 344,
  [555] = 345,
  [556] = 42,
  [557] = 95,
  [558] = 96,
  [559] = 97,
  [560] = 344,
  [561] = 345,
  [562] = 43,
  [563] = 44,
  [564] = 45,
  [565] = 46,
  [566] = 47,
  [567] = 48,
  [568] = 49,
  [569] = 50,
  [570] = 51,
  [571] = 52,
  [572] = 53,
  [573] = 54,
  [574] = 55,
  [575] = 56,
  [576] = 57,
  [577] = 58,
  [578] = 59,
  [579] = 60,
  [580] = 61,
  [581] = 62,
  [582] = 385,
  [583] = 63,
  [584] = 64,
  [585] = 65,
  [586] = 66,
  [587] = 344,
  [588] = 345,
  [589] = 67,
  [590] = 68,
  [591] = 69,
  [592] = 70,
  [593] = 71,
  [594] = 72,
  [595] = 73,
  [596] = 74,
  [597] = 75,
  [598] = 76,
  [599] = 77,
  [600] = 78,
  [601] = 401,
  [602] = 344,
  [603] = 345,
  [604] = 79,
  [605] = 80,
  [606] = 81,
  [607] = 82,
  [608] = 83,
  [609] = 609,
  [610] = 610,
  [611] = 84,
  [612] = 85,
  [613] = 86,
  [614] = 614,
  [615] = 87,
  [616] = 88,
  [617] = 89,
  [618] = 90,
  [619] = 91,
  [620] = 92,
  [621] = 93,
  [622] = 94,
  [623] = 42,
  [624] = 95,
  [625] = 96,
  [626] = 97,
  [627] = 43,
  [628] = 44,
  [629] = 45,
  [630] = 609,
  [631] = 610,
  [632] = 614,
  [633] = 51,
  [634] = 52,
  [635] = 53,
  [636] = 322,
  [637] = 54,
  [638] = 55,
  [639] = 56,
  [640] = 57,
  [641] = 58,
  [642] = 59,
  [643] = 60,
  [644] = 61,
  [645] = 62,
  [646] = 63,
  [647] = 64,
  [648] = 65,
  [649] = 66,
  [650] = 609,
  [651] = 610,
  [652] = 614,
  [653] = 322,
  [654] = 609,
  [655] = 610,
  [656] = 614,
  [657] = 322,
  [658] = 609,
  [659] = 610,
  [660] = 614,
  [661] = 322,
  [662] = 609,
  [663] = 610,
  [664] = 614,
  [665] = 322,
  [666] = 609,
  [667] = 610,
  [668] = 614,
  [669] = 322,
  [670] = 609,
  [671] = 610,
  [672] = 614,
  [673] = 322,
  [674] = 609,
  [675] = 610,
  [676] = 614,
  [677] = 322,
  [678] = 609,
  [679] = 610,
  [680] = 614,
  [681] = 609,
  [682] = 610,
  [683] = 614,
  [684] = 322,
  [685] = 609,
  [686] = 610,
  [687] = 614,
  [688] = 401,
  [689] = 401,
  [690] = 690,
  [691] = 401,
  [692] = 385,
  [693] = 693,
  [694] = 693,
  [695] = 385,
  [696] = 696,
  [697] = 693,
  [698] = 401,
  [699] = 690,
  [700] = 401,
  [701] = 690,
  [702] = 693,
  [703] = 401,
  [704] = 385,
  [705] = 385,
  [706] = 385,
  [707] = 693,
  [708] = 693,
  [709] = 693,
  [710] = 693,
  [711] = 693,
  [712] = 693,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 715,
  [719] = 716,
  [720] = 717,
  [721] = 717,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 723,
  [726] = 724,
  [727] = 714,
  [728] = 723,
  [729] = 724,
  [730] = 713,
  [731] = 722,
  [732] = 713,
  [733] = 722,
  [734] = 715,
  [735] = 713,
  [736] = 722,
  [737] = 716,
  [738] = 723,
  [739] = 724,
  [740] = 713,
  [741] = 722,
  [742] = 742,
  [743] = 714,
  [744] = 742,
  [745] = 742,
  [746] = 714,
  [747] = 715,
  [748] = 716,
  [749] = 717,
  [750] = 714,
  [751] = 715,
  [752] = 716,
  [753] = 717,
  [754] = 723,
  [755] = 724,
  [756] = 742,
  [757] = 742,
  [758] = 724,
  [759] = 717,
  [760] = 723,
  [761] = 761,
  [762] = 715,
  [763] = 716,
  [764] = 717,
  [765] = 723,
  [766] = 724,
  [767] = 722,
  [768] = 742,
  [769] = 717,
  [770] = 761,
  [771] = 714,
  [772] = 715,
  [773] = 716,
  [774] = 717,
  [775] = 742,
  [776] = 714,
  [777] = 714,
  [778] = 715,
  [779] = 715,
  [780] = 723,
  [781] = 761,
  [782] = 782,
  [783] = 717,
  [784] = 716,
  [785] = 723,
  [786] = 724,
  [787] = 724,
  [788] = 782,
  [789] = 713,
  [790] = 713,
  [791] = 722,
  [792] = 722,
  [793] = 723,
  [794] = 713,
  [795] = 722,
  [796] = 782,
  [797] = 782,
  [798] = 742,
  [799] = 724,
  [800] = 782,
  [801] = 714,
  [802] = 742,
  [803] = 742,
  [804] = 714,
  [805] = 713,
  [806] = 713,
  [807] = 715,
  [808] = 722,
  [809] = 716,
  [810] = 716,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 811,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 813,
  [823] = 782,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 813,
  [836] = 782,
  [837] = 814,
  [838] = 815,
  [839] = 816,
  [840] = 817,
  [841] = 811,
  [842] = 819,
  [843] = 820,
  [844] = 821,
  [845] = 813,
  [846] = 782,
  [847] = 824,
  [848] = 825,
  [849] = 826,
  [850] = 827,
  [851] = 828,
  [852] = 829,
  [853] = 830,
  [854] = 831,
  [855] = 832,
  [856] = 833,
  [857] = 834,
  [858] = 814,
  [859] = 815,
  [860] = 816,
  [861] = 817,
  [862] = 813,
  [863] = 819,
  [864] = 820,
  [865] = 813,
  [866] = 813,
  [867] = 824,
  [868] = 825,
  [869] = 826,
  [870] = 827,
  [871] = 828,
  [872] = 829,
  [873] = 830,
  [874] = 831,
  [875] = 832,
  [876] = 833,
  [877] = 834,
  [878] = 813,
  [879] = 814,
  [880] = 813,
  [881] = 782,
  [882] = 815,
  [883] = 816,
  [884] = 817,
  [885] = 811,
  [886] = 819,
  [887] = 820,
  [888] = 821,
  [889] = 813,
  [890] = 824,
  [891] = 825,
  [892] = 826,
  [893] = 827,
  [894] = 828,
  [895] = 829,
  [896] = 830,
  [897] = 831,
  [898] = 832,
  [899] = 833,
  [900] = 834,
  [901] = 814,
  [902] = 812,
  [903] = 815,
  [904] = 816,
  [905] = 817,
  [906] = 811,
  [907] = 819,
  [908] = 820,
  [909] = 821,
  [910] = 813,
  [911] = 824,
  [912] = 825,
  [913] = 826,
  [914] = 827,
  [915] = 828,
  [916] = 829,
  [917] = 830,
  [918] = 831,
  [919] = 832,
  [920] = 833,
  [921] = 834,
  [922] = 812,
  [923] = 813,
  [924] = 782,
  [925] = 812,
  [926] = 812,
  [927] = 812,
  [928] = 812,
  [929] = 812,
  [930] = 812,
  [931] = 812,
  [932] = 812,
  [933] = 812,
  [934] = 821,
  [935] = 811,
  [936] = 834,
  [937] = 820,
  [938] = 938,
  [939] = 830,
  [940] = 821,
  [941] = 941,
  [942] = 832,
  [943] = 833,
  [944] = 834,
  [945] = 814,
  [946] = 824,
  [947] = 947,
  [948] = 815,
  [949] = 949,
  [950] = 816,
  [951] = 817,
  [952] = 811,
  [953] = 814,
  [954] = 815,
  [955] = 816,
  [956] = 815,
  [957] = 816,
  [958] = 819,
  [959] = 820,
  [960] = 821,
  [961] = 831,
  [962] = 825,
  [963] = 826,
  [964] = 827,
  [965] = 817,
  [966] = 811,
  [967] = 819,
  [968] = 828,
  [969] = 829,
  [970] = 830,
  [971] = 824,
  [972] = 820,
  [973] = 821,
  [974] = 824,
  [975] = 825,
  [976] = 831,
  [977] = 977,
  [978] = 832,
  [979] = 833,
  [980] = 814,
  [981] = 834,
  [982] = 826,
  [983] = 947,
  [984] = 827,
  [985] = 828,
  [986] = 829,
  [987] = 830,
  [988] = 831,
  [989] = 977,
  [990] = 832,
  [991] = 833,
  [992] = 817,
  [993] = 824,
  [994] = 947,
  [995] = 825,
  [996] = 834,
  [997] = 826,
  [998] = 825,
  [999] = 831,
  [1000] = 832,
  [1001] = 827,
  [1002] = 814,
  [1003] = 833,
  [1004] = 834,
  [1005] = 826,
  [1006] = 1006,
  [1007] = 833,
  [1008] = 816,
  [1009] = 1009,
  [1010] = 828,
  [1011] = 817,
  [1012] = 811,
  [1013] = 938,
  [1014] = 819,
  [1015] = 820,
  [1016] = 821,
  [1017] = 829,
  [1018] = 830,
  [1019] = 815,
  [1020] = 816,
  [1021] = 1009,
  [1022] = 819,
  [1023] = 938,
  [1024] = 1009,
  [1025] = 814,
  [1026] = 938,
  [1027] = 1009,
  [1028] = 1028,
  [1029] = 938,
  [1030] = 1009,
  [1031] = 827,
  [1032] = 938,
  [1033] = 1009,
  [1034] = 828,
  [1035] = 938,
  [1036] = 817,
  [1037] = 1009,
  [1038] = 829,
  [1039] = 811,
  [1040] = 938,
  [1041] = 819,
  [1042] = 1009,
  [1043] = 824,
  [1044] = 1009,
  [1045] = 938,
  [1046] = 825,
  [1047] = 1009,
  [1048] = 831,
  [1049] = 826,
  [1050] = 820,
  [1051] = 827,
  [1052] = 938,
  [1053] = 938,
  [1054] = 1009,
  [1055] = 977,
  [1056] = 828,
  [1057] = 829,
  [1058] = 830,
  [1059] = 938,
  [1060] = 821,
  [1061] = 1009,
  [1062] = 832,
  [1063] = 815,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1065,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1067,
  [1077] = 1069,
  [1078] = 1070,
  [1079] = 1071,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1067,
  [1085] = 1080,
  [1086] = 1081,
  [1087] = 1082,
  [1088] = 1069,
  [1089] = 1083,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1090,
  [1096] = 1091,
  [1097] = 1092,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1070,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1098,
  [1110] = 1071,
  [1111] = 1080,
  [1112] = 1112,
  [1113] = 1081,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1106,
  [1118] = 1118,
  [1119] = 1106,
  [1120] = 1082,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1101,
  [1125] = 1099,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1094,
  [1133] = 1116,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1121,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1083,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1136,
  [1145] = 1127,
  [1146] = 1146,
  [1147] = 1068,
  [1148] = 1065,
  [1149] = 1073,
  [1150] = 1067,
  [1151] = 1069,
  [1152] = 1070,
  [1153] = 1071,
  [1154] = 1080,
  [1155] = 1081,
  [1156] = 1082,
  [1157] = 1083,
  [1158] = 1093,
  [1159] = 1103,
  [1160] = 1104,
  [1161] = 1105,
  [1162] = 1162,
  [1163] = 1123,
  [1164] = 1164,
  [1165] = 1099,
  [1166] = 1131,
  [1167] = 1102,
  [1168] = 1106,
  [1169] = 1138,
  [1170] = 1170,
  [1171] = 1164,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1094,
  [1175] = 1175,
  [1176] = 1123,
  [1177] = 1074,
  [1178] = 1099,
  [1179] = 1090,
  [1180] = 1094,
  [1181] = 1116,
  [1182] = 1091,
  [1183] = 1136,
  [1184] = 1116,
  [1185] = 1139,
  [1186] = 1143,
  [1187] = 1093,
  [1188] = 1131,
  [1189] = 1164,
  [1190] = 1172,
  [1191] = 1173,
  [1192] = 1075,
  [1193] = 1175,
  [1194] = 1136,
  [1195] = 1172,
  [1196] = 1139,
  [1197] = 1128,
  [1198] = 1092,
  [1199] = 1143,
  [1200] = 1173,
  [1201] = 1093,
  [1202] = 1140,
  [1203] = 1131,
  [1204] = 1175,
  [1205] = 1164,
  [1206] = 1074,
  [1207] = 1075,
  [1208] = 1094,
  [1209] = 1172,
  [1210] = 1129,
  [1211] = 1211,
  [1212] = 1074,
  [1213] = 1075,
  [1214] = 1098,
  [1215] = 1173,
  [1216] = 1101,
  [1217] = 1175,
  [1218] = 1103,
  [1219] = 1139,
  [1220] = 1142,
  [1221] = 1107,
  [1222] = 1108,
  [1223] = 1104,
  [1224] = 1105,
  [1225] = 1090,
  [1226] = 1091,
  [1227] = 1092,
  [1228] = 1098,
  [1229] = 1101,
  [1230] = 1107,
  [1231] = 1103,
  [1232] = 1104,
  [1233] = 1105,
  [1234] = 1108,
  [1235] = 1107,
  [1236] = 1108,
  [1237] = 1143,
  [1238] = 1116,
  [1239] = 1112,
  [1240] = 1114,
  [1241] = 1115,
  [1242] = 1112,
  [1243] = 1093,
  [1244] = 1118,
  [1245] = 1074,
  [1246] = 1075,
  [1247] = 1112,
  [1248] = 1122,
  [1249] = 1090,
  [1250] = 1091,
  [1251] = 1126,
  [1252] = 1127,
  [1253] = 1128,
  [1254] = 1129,
  [1255] = 1130,
  [1256] = 1092,
  [1257] = 1114,
  [1258] = 1114,
  [1259] = 1098,
  [1260] = 1134,
  [1261] = 1115,
  [1262] = 1135,
  [1263] = 1121,
  [1264] = 1101,
  [1265] = 1138,
  [1266] = 1115,
  [1267] = 1140,
  [1268] = 1103,
  [1269] = 1142,
  [1270] = 1104,
  [1271] = 1105,
  [1272] = 1131,
  [1273] = 1118,
  [1274] = 1146,
  [1275] = 1068,
  [1276] = 1065,
  [1277] = 1073,
  [1278] = 1067,
  [1279] = 1069,
  [1280] = 1070,
  [1281] = 1071,
  [1282] = 1080,
  [1283] = 1081,
  [1284] = 1082,
  [1285] = 1083,
  [1286] = 1118,
  [1287] = 1136,
  [1288] = 1130,
  [1289] = 1164,
  [1290] = 1107,
  [1291] = 1090,
  [1292] = 1091,
  [1293] = 1092,
  [1294] = 1108,
  [1295] = 1102,
  [1296] = 1106,
  [1297] = 1122,
  [1298] = 1122,
  [1299] = 1112,
  [1300] = 1102,
  [1301] = 1114,
  [1302] = 1115,
  [1303] = 1123,
  [1304] = 1118,
  [1305] = 1099,
  [1306] = 1126,
  [1307] = 1094,
  [1308] = 1127,
  [1309] = 1116,
  [1310] = 1128,
  [1311] = 1136,
  [1312] = 1122,
  [1313] = 1139,
  [1314] = 1129,
  [1315] = 1143,
  [1316] = 1130,
  [1317] = 1093,
  [1318] = 1131,
  [1319] = 1126,
  [1320] = 1164,
  [1321] = 1127,
  [1322] = 1172,
  [1323] = 1128,
  [1324] = 1173,
  [1325] = 1129,
  [1326] = 1175,
  [1327] = 1172,
  [1328] = 1130,
  [1329] = 1139,
  [1330] = 1173,
  [1331] = 1126,
  [1332] = 1098,
  [1333] = 1090,
  [1334] = 1091,
  [1335] = 1074,
  [1336] = 1075,
  [1337] = 1134,
  [1338] = 1135,
  [1339] = 1121,
  [1340] = 1138,
  [1341] = 1140,
  [1342] = 1142,
  [1343] = 1092,
  [1344] = 1127,
  [1345] = 1098,
  [1346] = 1101,
  [1347] = 1090,
  [1348] = 1091,
  [1349] = 1092,
  [1350] = 1098,
  [1351] = 1146,
  [1352] = 1101,
  [1353] = 1066,
  [1354] = 1103,
  [1355] = 1104,
  [1356] = 1105,
  [1357] = 1068,
  [1358] = 1107,
  [1359] = 1108,
  [1360] = 1065,
  [1361] = 1073,
  [1362] = 1067,
  [1363] = 1112,
  [1364] = 1069,
  [1365] = 1114,
  [1366] = 1115,
  [1367] = 1070,
  [1368] = 1071,
  [1369] = 1118,
  [1370] = 1080,
  [1371] = 1081,
  [1372] = 1082,
  [1373] = 1122,
  [1374] = 1083,
  [1375] = 1126,
  [1376] = 1127,
  [1377] = 1128,
  [1378] = 1129,
  [1379] = 1130,
  [1380] = 1134,
  [1381] = 1135,
  [1382] = 1121,
  [1383] = 1138,
  [1384] = 1140,
  [1385] = 1142,
  [1386] = 1146,
  [1387] = 1068,
  [1388] = 1065,
  [1389] = 1073,
  [1390] = 1067,
  [1391] = 1069,
  [1392] = 1070,
  [1393] = 1071,
  [1394] = 1080,
  [1395] = 1081,
  [1396] = 1082,
  [1397] = 1083,
  [1398] = 1101,
  [1399] = 1102,
  [1400] = 1106,
  [1401] = 1123,
  [1402] = 1099,
  [1403] = 1094,
  [1404] = 1116,
  [1405] = 1136,
  [1406] = 1139,
  [1407] = 1143,
  [1408] = 1093,
  [1409] = 1131,
  [1410] = 1164,
  [1411] = 1172,
  [1412] = 1173,
  [1413] = 1175,
  [1414] = 1074,
  [1415] = 1075,
  [1416] = 1090,
  [1417] = 1091,
  [1418] = 1092,
  [1419] = 1098,
  [1420] = 1101,
  [1421] = 1103,
  [1422] = 1104,
  [1423] = 1105,
  [1424] = 1107,
  [1425] = 1108,
  [1426] = 1112,
  [1427] = 1114,
  [1428] = 1115,
  [1429] = 1118,
  [1430] = 1122,
  [1431] = 1126,
  [1432] = 1127,
  [1433] = 1128,
  [1434] = 1129,
  [1435] = 1130,
  [1436] = 1103,
  [1437] = 1103,
  [1438] = 1134,
  [1439] = 1102,
  [1440] = 1135,
  [1441] = 1106,
  [1442] = 1121,
  [1443] = 1104,
  [1444] = 1138,
  [1445] = 1140,
  [1446] = 1142,
  [1447] = 1105,
  [1448] = 1104,
  [1449] = 1146,
  [1450] = 1068,
  [1451] = 1102,
  [1452] = 1073,
  [1453] = 1067,
  [1454] = 1069,
  [1455] = 1070,
  [1456] = 1071,
  [1457] = 1080,
  [1458] = 1081,
  [1459] = 1082,
  [1460] = 1083,
  [1461] = 1105,
  [1462] = 1107,
  [1463] = 1108,
  [1464] = 1128,
  [1465] = 1129,
  [1466] = 1107,
  [1467] = 1102,
  [1468] = 1106,
  [1469] = 1123,
  [1470] = 1099,
  [1471] = 1094,
  [1472] = 1116,
  [1473] = 1123,
  [1474] = 1136,
  [1475] = 1099,
  [1476] = 1094,
  [1477] = 1139,
  [1478] = 1116,
  [1479] = 1136,
  [1480] = 1143,
  [1481] = 1139,
  [1482] = 1143,
  [1483] = 1093,
  [1484] = 1093,
  [1485] = 1131,
  [1486] = 1131,
  [1487] = 1164,
  [1488] = 1172,
  [1489] = 1164,
  [1490] = 1173,
  [1491] = 1175,
  [1492] = 1112,
  [1493] = 1172,
  [1494] = 1108,
  [1495] = 1114,
  [1496] = 1115,
  [1497] = 1173,
  [1498] = 1130,
  [1499] = 1135,
  [1500] = 1118,
  [1501] = 1175,
  [1502] = 1074,
  [1503] = 1075,
  [1504] = 1074,
  [1505] = 1112,
  [1506] = 1122,
  [1507] = 1114,
  [1508] = 1115,
  [1509] = 1075,
  [1510] = 1090,
  [1511] = 1091,
  [1512] = 1092,
  [1513] = 1098,
  [1514] = 1101,
  [1515] = 1103,
  [1516] = 1104,
  [1517] = 1105,
  [1518] = 1107,
  [1519] = 1108,
  [1520] = 1112,
  [1521] = 1114,
  [1522] = 1115,
  [1523] = 1118,
  [1524] = 1122,
  [1525] = 1126,
  [1526] = 1127,
  [1527] = 1128,
  [1528] = 1129,
  [1529] = 1130,
  [1530] = 1530,
  [1531] = 1090,
  [1532] = 1134,
  [1533] = 1091,
  [1534] = 1135,
  [1535] = 1092,
  [1536] = 1121,
  [1537] = 1138,
  [1538] = 1126,
  [1539] = 1140,
  [1540] = 1098,
  [1541] = 1142,
  [1542] = 1127,
  [1543] = 1128,
  [1544] = 1146,
  [1545] = 1068,
  [1546] = 1065,
  [1547] = 1073,
  [1548] = 1067,
  [1549] = 1069,
  [1550] = 1070,
  [1551] = 1071,
  [1552] = 1080,
  [1553] = 1081,
  [1554] = 1082,
  [1555] = 1083,
  [1556] = 1101,
  [1557] = 1129,
  [1558] = 1130,
  [1559] = 1175,
  [1560] = 1118,
  [1561] = 1134,
  [1562] = 1135,
  [1563] = 1103,
  [1564] = 1102,
  [1565] = 1106,
  [1566] = 1104,
  [1567] = 1105,
  [1568] = 1107,
  [1569] = 1108,
  [1570] = 1123,
  [1571] = 1099,
  [1572] = 1112,
  [1573] = 1094,
  [1574] = 1116,
  [1575] = 1114,
  [1576] = 1136,
  [1577] = 1115,
  [1578] = 1139,
  [1579] = 1143,
  [1580] = 1093,
  [1581] = 1118,
  [1582] = 1131,
  [1583] = 1164,
  [1584] = 1172,
  [1585] = 1173,
  [1586] = 1122,
  [1587] = 1175,
  [1588] = 1122,
  [1589] = 1121,
  [1590] = 1074,
  [1591] = 1138,
  [1592] = 1592,
  [1593] = 1140,
  [1594] = 1142,
  [1595] = 1126,
  [1596] = 1127,
  [1597] = 1074,
  [1598] = 1075,
  [1599] = 1128,
  [1600] = 1129,
  [1601] = 1130,
  [1602] = 1126,
  [1603] = 1134,
  [1604] = 1106,
  [1605] = 1134,
  [1606] = 1135,
  [1607] = 1135,
  [1608] = 1121,
  [1609] = 1127,
  [1610] = 1123,
  [1611] = 1143,
  [1612] = 1146,
  [1613] = 1121,
  [1614] = 1138,
  [1615] = 1090,
  [1616] = 1091,
  [1617] = 1092,
  [1618] = 1098,
  [1619] = 1140,
  [1620] = 1101,
  [1621] = 1138,
  [1622] = 1103,
  [1623] = 1104,
  [1624] = 1105,
  [1625] = 1142,
  [1626] = 1107,
  [1627] = 1108,
  [1628] = 1140,
  [1629] = 1068,
  [1630] = 1112,
  [1631] = 1065,
  [1632] = 1114,
  [1633] = 1115,
  [1634] = 1146,
  [1635] = 1066,
  [1636] = 1118,
  [1637] = 1068,
  [1638] = 1065,
  [1639] = 1073,
  [1640] = 1122,
  [1641] = 1067,
  [1642] = 1069,
  [1643] = 1070,
  [1644] = 1071,
  [1645] = 1073,
  [1646] = 1067,
  [1647] = 1080,
  [1648] = 1081,
  [1649] = 1082,
  [1650] = 1592,
  [1651] = 1083,
  [1652] = 1162,
  [1653] = 1170,
  [1654] = 1069,
  [1655] = 1211,
  [1656] = 1070,
  [1657] = 1071,
  [1658] = 1080,
  [1659] = 1142,
  [1660] = 1081,
  [1661] = 1082,
  [1662] = 1083,
  [1663] = 1102,
  [1664] = 1106,
  [1665] = 1128,
  [1666] = 1134,
  [1667] = 1135,
  [1668] = 1146,
  [1669] = 1066,
  [1670] = 1068,
  [1671] = 1065,
  [1672] = 1073,
  [1673] = 1126,
  [1674] = 1129,
  [1675] = 1123,
  [1676] = 1067,
  [1677] = 1099,
  [1678] = 1592,
  [1679] = 1162,
  [1680] = 1170,
  [1681] = 1211,
  [1682] = 1121,
  [1683] = 1069,
  [1684] = 1134,
  [1685] = 1138,
  [1686] = 1094,
  [1687] = 1070,
  [1688] = 1116,
  [1689] = 1592,
  [1690] = 1162,
  [1691] = 1170,
  [1692] = 1211,
  [1693] = 1130,
  [1694] = 1071,
  [1695] = 1102,
  [1696] = 1106,
  [1697] = 1136,
  [1698] = 1080,
  [1699] = 1139,
  [1700] = 1592,
  [1701] = 1162,
  [1702] = 1170,
  [1703] = 1211,
  [1704] = 1140,
  [1705] = 1081,
  [1706] = 1142,
  [1707] = 1143,
  [1708] = 1082,
  [1709] = 1093,
  [1710] = 1592,
  [1711] = 1162,
  [1712] = 1170,
  [1713] = 1211,
  [1714] = 1075,
  [1715] = 1083,
  [1716] = 1134,
  [1717] = 1123,
  [1718] = 1131,
  [1719] = 1164,
  [1720] = 1592,
  [1721] = 1162,
  [1722] = 1170,
  [1723] = 1211,
  [1724] = 1135,
  [1725] = 1123,
  [1726] = 1099,
  [1727] = 1099,
  [1728] = 1172,
  [1729] = 1121,
  [1730] = 1173,
  [1731] = 1592,
  [1732] = 1162,
  [1733] = 1170,
  [1734] = 1211,
  [1735] = 1094,
  [1736] = 1146,
  [1737] = 1116,
  [1738] = 1138,
  [1739] = 1175,
  [1740] = 1136,
  [1741] = 1066,
  [1742] = 1592,
  [1743] = 1162,
  [1744] = 1170,
  [1745] = 1211,
  [1746] = 1139,
  [1747] = 1140,
  [1748] = 1143,
  [1749] = 1068,
  [1750] = 1093,
  [1751] = 1142,
  [1752] = 1131,
  [1753] = 1592,
  [1754] = 1162,
  [1755] = 1170,
  [1756] = 1211,
  [1757] = 1065,
  [1758] = 1164,
  [1759] = 1073,
  [1760] = 1172,
  [1761] = 1146,
  [1762] = 1173,
  [1763] = 1066,
  [1764] = 1592,
  [1765] = 1162,
  [1766] = 1170,
  [1767] = 1211,
  [1768] = 1175,
  [1769] = 1068,
  [1770] = 1146,
  [1771] = 1065,
  [1772] = 1073,
  [1773] = 1074,
  [1774] = 1075,
  [1775] = 1592,
  [1776] = 1162,
  [1777] = 1170,
  [1778] = 1211,
  [1779] = 1102,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1781,
  [1783] = 1780,
  [1784] = 1784,
  [1785] = 1780,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1788,
  [1790] = 1784,
  [1791] = 1780,
  [1792] = 1786,
  [1793] = 1788,
  [1794] = 1784,
  [1795] = 1780,
  [1796] = 1786,
  [1797] = 1788,
  [1798] = 1784,
  [1799] = 1780,
  [1800] = 1786,
  [1801] = 1788,
  [1802] = 1784,
  [1803] = 1780,
  [1804] = 1786,
  [1805] = 1788,
  [1806] = 1784,
  [1807] = 1780,
  [1808] = 1786,
  [1809] = 1788,
  [1810] = 1784,
  [1811] = 1780,
  [1812] = 1786,
  [1813] = 1788,
  [1814] = 1784,
  [1815] = 1784,
  [1816] = 1786,
  [1817] = 1788,
  [1818] = 1784,
  [1819] = 1780,
  [1820] = 1786,
  [1821] = 1788,
  [1822] = 1784,
  [1823] = 1780,
  [1824] = 1786,
  [1825] = 1788,
  [1826] = 1784,
  [1827] = 1780,
  [1828] = 1786,
  [1829] = 1788,
  [1830] = 1787,
  [1831] = 1781,
  [1832] = 1787,
  [1833] = 1781,
  [1834] = 1787,
  [1835] = 1781,
  [1836] = 1787,
  [1837] = 1781,
  [1838] = 1787,
  [1839] = 1781,
  [1840] = 1787,
  [1841] = 1781,
  [1842] = 1787,
  [1843] = 1781,
  [1844] = 1787,
  [1845] = 1781,
  [1846] = 1787,
  [1847] = 1781,
  [1848] = 1787,
  [1849] = 1781,
  [1850] = 1787,
  [1851] = 1786,
  [1852] = 385,
  [1853] = 401,
  [1854] = 401,
  [1855] = 385,
  [1856] = 693,
  [1857] = 6,
  [1858] = 693,
  [1859] = 4,
  [1860] = 5,
  [1861] = 6,
  [1862] = 2,
  [1863] = 4,
  [1864] = 5,
  [1865] = 2,
  [1866] = 94,
  [1867] = 48,
  [1868] = 49,
  [1869] = 50,
  [1870] = 51,
  [1871] = 52,
  [1872] = 53,
  [1873] = 54,
  [1874] = 55,
  [1875] = 56,
  [1876] = 57,
  [1877] = 58,
  [1878] = 59,
  [1879] = 60,
  [1880] = 61,
  [1881] = 62,
  [1882] = 63,
  [1883] = 64,
  [1884] = 65,
  [1885] = 66,
  [1886] = 44,
  [1887] = 45,
  [1888] = 67,
  [1889] = 68,
  [1890] = 69,
  [1891] = 70,
  [1892] = 71,
  [1893] = 72,
  [1894] = 43,
  [1895] = 74,
  [1896] = 75,
  [1897] = 76,
  [1898] = 77,
  [1899] = 78,
  [1900] = 79,
  [1901] = 80,
  [1902] = 81,
  [1903] = 82,
  [1904] = 83,
  [1905] = 84,
  [1906] = 85,
  [1907] = 782,
  [1908] = 86,
  [1909] = 46,
  [1910] = 87,
  [1911] = 88,
  [1912] = 89,
  [1913] = 90,
  [1914] = 91,
  [1915] = 92,
  [1916] = 93,
  [1917] = 47,
  [1918] = 42,
  [1919] = 95,
  [1920] = 96,
  [1921] = 97,
  [1922] = 73,
  [1923] = 1923,
  [1924] = 71,
  [1925] = 1925,
  [1926] = 1923,
  [1927] = 72,
  [1928] = 62,
  [1929] = 1929,
  [1930] = 47,
  [1931] = 1931,
  [1932] = 53,
  [1933] = 73,
  [1934] = 1934,
  [1935] = 74,
  [1936] = 75,
  [1937] = 76,
  [1938] = 1925,
  [1939] = 1923,
  [1940] = 77,
  [1941] = 1931,
  [1942] = 1929,
  [1943] = 1931,
  [1944] = 78,
  [1945] = 79,
  [1946] = 1923,
  [1947] = 80,
  [1948] = 81,
  [1949] = 1925,
  [1950] = 1923,
  [1951] = 1929,
  [1952] = 1925,
  [1953] = 1931,
  [1954] = 82,
  [1955] = 63,
  [1956] = 1925,
  [1957] = 83,
  [1958] = 1923,
  [1959] = 1929,
  [1960] = 1931,
  [1961] = 64,
  [1962] = 1962,
  [1963] = 43,
  [1964] = 1925,
  [1965] = 51,
  [1966] = 65,
  [1967] = 84,
  [1968] = 1929,
  [1969] = 85,
  [1970] = 1931,
  [1971] = 54,
  [1972] = 1925,
  [1973] = 55,
  [1974] = 1923,
  [1975] = 56,
  [1976] = 57,
  [1977] = 1929,
  [1978] = 1925,
  [1979] = 58,
  [1980] = 1923,
  [1981] = 1931,
  [1982] = 66,
  [1983] = 1929,
  [1984] = 1925,
  [1985] = 1931,
  [1986] = 1925,
  [1987] = 1923,
  [1988] = 1929,
  [1989] = 1925,
  [1990] = 1923,
  [1991] = 1929,
  [1992] = 1931,
  [1993] = 86,
  [1994] = 1962,
  [1995] = 52,
  [1996] = 59,
  [1997] = 1931,
  [1998] = 67,
  [1999] = 1962,
  [2000] = 68,
  [2001] = 1934,
  [2002] = 44,
  [2003] = 87,
  [2004] = 1962,
  [2005] = 1934,
  [2006] = 88,
  [2007] = 89,
  [2008] = 1962,
  [2009] = 90,
  [2010] = 1934,
  [2011] = 1923,
  [2012] = 1962,
  [2013] = 91,
  [2014] = 1934,
  [2015] = 1925,
  [2016] = 1923,
  [2017] = 1929,
  [2018] = 1962,
  [2019] = 1934,
  [2020] = 45,
  [2021] = 92,
  [2022] = 1962,
  [2023] = 93,
  [2024] = 1934,
  [2025] = 1929,
  [2026] = 60,
  [2027] = 1962,
  [2028] = 94,
  [2029] = 1934,
  [2030] = 42,
  [2031] = 1931,
  [2032] = 1962,
  [2033] = 95,
  [2034] = 1934,
  [2035] = 69,
  [2036] = 1931,
  [2037] = 1962,
  [2038] = 46,
  [2039] = 1934,
  [2040] = 96,
  [2041] = 61,
  [2042] = 70,
  [2043] = 97,
  [2044] = 1962,
  [2045] = 1934,
  [2046] = 2046,
  [2047] = 48,
  [2048] = 782,
  [2049] = 1929,
  [2050] = 49,
  [2051] = 50,
  [2052] = 1934,
  [2053] = 723,
  [2054] = 2054,
  [2055] = 2055,
  [2056] = 2056,
  [2057] = 2057,
  [2058] = 713,
  [2059] = 722,
  [2060] = 2060,
  [2061] = 714,
  [2062] = 2062,
  [2063] = 2063,
  [2064] = 715,
  [2065] = 2065,
  [2066] = 2063,
  [2067] = 2063,
  [2068] = 2060,
  [2069] = 716,
  [2070] = 2060,
  [2071] = 2065,
  [2072] = 742,
  [2073] = 717,
  [2074] = 724,
  [2075] = 2057,
  [2076] = 2062,
  [2077] = 2057,
  [2078] = 2062,
  [2079] = 2056,
  [2080] = 2055,
  [2081] = 2065,
  [2082] = 2056,
  [2083] = 2055,
  [2084] = 724,
  [2085] = 742,
  [2086] = 714,
  [2087] = 713,
  [2088] = 715,
  [2089] = 716,
  [2090] = 2090,
  [2091] = 782,
  [2092] = 722,
  [2093] = 717,
  [2094] = 723,
  [2095] = 816,
  [2096] = 2096,
  [2097] = 831,
  [2098] = 832,
  [2099] = 833,
  [2100] = 834,
  [2101] = 824,
  [2102] = 825,
  [2103] = 826,
  [2104] = 817,
  [2105] = 811,
  [2106] = 819,
  [2107] = 827,
  [2108] = 814,
  [2109] = 2109,
  [2110] = 828,
  [2111] = 829,
  [2112] = 820,
  [2113] = 821,
  [2114] = 815,
  [2115] = 830,
  [2116] = 2116,
  [2117] = 834,
  [2118] = 831,
  [2119] = 830,
  [2120] = 827,
  [2121] = 811,
  [2122] = 814,
  [2123] = 826,
  [2124] = 819,
  [2125] = 833,
  [2126] = 817,
  [2127] = 816,
  [2128] = 828,
  [2129] = 829,
  [2130] = 825,
  [2131] = 820,
  [2132] = 821,
  [2133] = 815,
  [2134] = 832,
  [2135] = 824,
  [2136] = 2136,
  [2137] = 2137,
  [2138] = 2137,
  [2139] = 2137,
  [2140] = 2140,
  [2141] = 2140,
  [2142] = 2137,
  [2143] = 2137,
  [2144] = 2137,
  [2145] = 2140,
  [2146] = 2140,
  [2147] = 2147,
  [2148] = 2140,
  [2149] = 2137,
  [2150] = 2140,
  [2151] = 2137,
  [2152] = 2137,
  [2153] = 2137,
  [2154] = 2137,
  [2155] = 2140,
  [2156] = 2140,
  [2157] = 2140,
  [2158] = 2140,
  [2159] = 2137,
  [2160] = 2140,
  [2161] = 2140,
  [2162] = 2162,
  [2163] = 2163,
  [2164] = 2162,
  [2165] = 2163,
  [2166] = 2162,
  [2167] = 2167,
  [2168] = 2168,
  [2169] = 2163,
  [2170] = 2162,
  [2171] = 2163,
  [2172] = 2172,
  [2173] = 2173,
  [2174] = 2174,
  [2175] = 2175,
  [2176] = 2168,
  [2177] = 2162,
  [2178] = 2172,
  [2179] = 2163,
  [2180] = 2162,
  [2181] = 2168,
  [2182] = 2163,
  [2183] = 2183,
  [2184] = 2162,
  [2185] = 2163,
  [2186] = 2172,
  [2187] = 2168,
  [2188] = 2163,
  [2189] = 2189,
  [2190] = 2162,
  [2191] = 2163,
  [2192] = 2172,
  [2193] = 2172,
  [2194] = 2168,
  [2195] = 2162,
  [2196] = 2168,
  [2197] = 2172,
  [2198] = 2168,
  [2199] = 2172,
  [2200] = 2200,
  [2201] = 2172,
  [2202] = 2163,
  [2203] = 2162,
  [2204] = 2204,
  [2205] = 2172,
  [2206] = 2174,
  [2207] = 2168,
  [2208] = 2172,
  [2209] = 2162,
  [2210] = 2204,
  [2211] = 2168,
  [2212] = 2174,
  [2213] = 2204,
  [2214] = 2168,
  [2215] = 2174,
  [2216] = 2204,
  [2217] = 2204,
  [2218] = 2172,
  [2219] = 2174,
  [2220] = 2220,
  [2221] = 2204,
  [2222] = 2168,
  [2223] = 2174,
  [2224] = 2204,
  [2225] = 2174,
  [2226] = 2172,
  [2227] = 2204,
  [2228] = 2163,
  [2229] = 2174,
  [2230] = 2204,
  [2231] = 2168,
  [2232] = 2163,
  [2233] = 2204,
  [2234] = 2174,
  [2235] = 2235,
  [2236] = 2204,
  [2237] = 2174,
  [2238] = 2162,
  [2239] = 2204,
  [2240] = 2174,
  [2241] = 2220,
  [2242] = 2235,
  [2243] = 2220,
  [2244] = 2235,
  [2245] = 2220,
  [2246] = 2235,
  [2247] = 2220,
  [2248] = 2235,
  [2249] = 2220,
  [2250] = 2235,
  [2251] = 2220,
  [2252] = 2235,
  [2253] = 2220,
  [2254] = 2235,
  [2255] = 2220,
  [2256] = 2235,
  [2257] = 2220,
  [2258] = 2235,
  [2259] = 2220,
  [2260] = 2235,
  [2261] = 2220,
  [2262] = 2200,
  [2263] = 2235,
  [2264] = 2175,
  [2265] = 2200,
  [2266] = 2175,
  [2267] = 2200,
  [2268] = 2175,
  [2269] = 2200,
  [2270] = 2175,
  [2271] = 2200,
  [2272] = 2175,
  [2273] = 2200,
  [2274] = 2175,
  [2275] = 2200,
  [2276] = 2175,
  [2277] = 2200,
  [2278] = 2175,
  [2279] = 2200,
  [2280] = 2175,
  [2281] = 2200,
  [2282] = 2175,
  [2283] = 2200,
  [2284] = 2175,
  [2285] = 2174,
  [2286] = 2286,
  [2287] = 782,
  [2288] = 2288,
  [2289] = 2289,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 2291,
  [2293] = 2293,
  [2294] = 2291,
  [2295] = 2295,
  [2296] = 2291,
  [2297] = 2291,
  [2298] = 2291,
  [2299] = 2291,
  [2300] = 2291,
  [2301] = 2291,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 2291,
  [2305] = 2291,
  [2306] = 2291,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2307,
  [2312] = 2308,
  [2313] = 2309,
  [2314] = 2310,
  [2315] = 2307,
  [2316] = 2308,
  [2317] = 2309,
  [2318] = 2309,
  [2319] = 2307,
  [2320] = 2308,
  [2321] = 2309,
  [2322] = 2310,
  [2323] = 2307,
  [2324] = 2308,
  [2325] = 2310,
  [2326] = 2307,
  [2327] = 2307,
  [2328] = 2308,
  [2329] = 2307,
  [2330] = 2308,
  [2331] = 2308,
  [2332] = 2309,
  [2333] = 2309,
  [2334] = 2310,
  [2335] = 2335,
  [2336] = 2307,
  [2337] = 2309,
  [2338] = 2310,
  [2339] = 2309,
  [2340] = 2310,
  [2341] = 2307,
  [2342] = 2308,
  [2343] = 2310,
  [2344] = 2308,
  [2345] = 2309,
  [2346] = 2310,
  [2347] = 2309,
  [2348] = 2310,
  [2349] = 2309,
  [2350] = 2310,
  [2351] = 2308,
  [2352] = 2310,
  [2353] = 2307,
  [2354] = 2307,
  [2355] = 2308,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'.', '.'}, {'A', 'Z'}, {'_', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6},
  {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37b, 0x37d},
  {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f},
  {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3},
  {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5},
  {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828},
  {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950},
  {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10},
  {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74},
  {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0},
  {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe32},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb2},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c},
  {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081},
  {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd},
  {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751},
  {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8}, {0x18aa, 0x18aa},
  {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54},
  {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f},
  {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa},
  {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25},
  {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6},
  {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e},
  {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9},
  {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb},
  {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef},
  {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1},
  {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06},
  {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xd7a3},
  {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28},
  {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d},
  {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27},
  {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075}, {0x11083, 0x110af},
  {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2}, {0x111c1, 0x111c4},
  {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d},
  {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333},
  {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461}, {0x11480, 0x114af},
  {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa}, {0x116b8, 0x116b8},
  {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916},
  {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3}, {0x11a00, 0x11a00},
  {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e},
  {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68},
  {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399},
  {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e},
  {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a},
  {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3},
  {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb},
  {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2},
  {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514},
  {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0},
  {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8},
  {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e},
  {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4},
  {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32},
  {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f},
  {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62},
  {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b},
  {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0},
  {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'.', '.'}, {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7},
  {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee},
  {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf},
  {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3},
  {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa},
  {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963},
  {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc},
  {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36},
  {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e},
  {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03},
  {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48},
  {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10},
  {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9},
  {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3},
  {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f},
  {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca},
  {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59},
  {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6},
  {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37},
  {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049},
  {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715},
  {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd},
  {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b},
  {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e},
  {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59},
  {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf},
  {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc},
  {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054},
  {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107},
  {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f},
  {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d},
  {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6},
  {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c},
  {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff},
  {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1},
  {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c},
  {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c},
  {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2},
  {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e},
  {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb},
  {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e},
  {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9},
  {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79},
  {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0},
  {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d},
  {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592},
  {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767},
  {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c},
  {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7},
  {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1},
  {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075},
  {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173},
  {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241},
  {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303},
  {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348},
  {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459},
  {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640},
  {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746},
  {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938},
  {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47},
  {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f},
  {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47},
  {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6},
  {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543},
  {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe},
  {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7},
  {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152},
  {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e},
  {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244},
  {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb},
  {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544},
  {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734},
  {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36},
  {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006},
  {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d},
  {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee},
  {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22},
  {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47},
  {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b},
  {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c},
  {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df},
  {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
  {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(25);
      ADVANCE_MAP(
        '!', 30,
        '"', 70,
        '#', 95,
        '$', 56,
        '%', 5,
        '&', 39,
        '\'', 69,
        '*', 48,
        '+', 31,
        ',', 96,
        '-', 32,
        '.', 90,
        '/', 49,
        '0', 61,
        ':', 54,
        '<', 42,
        '=', 27,
        '>', 44,
        '?', 28,
        '@', 57,
        '\\', 26,
        '^', 51,
        '`', 9,
        '|', 38,
        '~', 29,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(62);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(92);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '!', 7,
        '"', 70,
        '#', 95,
        '$', 56,
        '%', 5,
        '&', 39,
        '\'', 69,
        '*', 48,
        '+', 31,
        ',', 96,
        '-', 32,
        '/', 49,
        ':', 55,
        '<', 42,
        '=', 27,
        '>', 44,
        '?', 28,
        '@', 57,
        '^', 51,
        '`', 9,
        '|', 38,
        '~', 29,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(92);
      END_STATE();
    case 2:
      if (lookahead == '"') ADVANCE(70);
      if (lookahead == '#') ADVANCE(74);
      if (lookahead == '\\') ADVANCE(8);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(75);
      if (lookahead != 0) ADVANCE(76);
      END_STATE();
    case 3:
      if (lookahead == '#') ADVANCE(95);
      if (lookahead == '.') ADVANCE(91);
      if (lookahead == '`') ADVANCE(9);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(92);
      END_STATE();
    case 4:
      if (lookahead == '#') ADVANCE(71);
      if (lookahead == '\'') ADVANCE(69);
      if (lookahead == '\\') ADVANCE(8);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(72);
      if (lookahead != 0) ADVANCE(73);
      END_STATE();
    case 5:
      if (lookahead == '%') ADVANCE(52);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\\') ADVANCE(5);
      END_STATE();
    case 6:
      if (lookahead == '-') ADVANCE(34);
      END_STATE();
    case 7:
      if (lookahead == '=') ADVANCE(47);
      END_STATE();
    case 8:
      if (lookahead == 'U') ADVANCE(10);
      if (lookahead == 'u') ADVANCE(11);
      if (lookahead == 'x') ADVANCE(22);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(79);
      if (lookahead != 0 &&
          (lookahead < '0' || '9' < lookahead)) ADVANCE(77);
      END_STATE();
    case 9:
      if (lookahead == '\\') ADVANCE(24);
      if (lookahead == '`') ADVANCE(87);
      if (lookahead != 0) ADVANCE(9);
      END_STATE();
    case 10:
      if (lookahead == '{') ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(86);
      END_STATE();
    case 11:
      if (lookahead == '{') ADVANCE(23);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(82);
      END_STATE();
    case 12:
      if (lookahead == '}') ADVANCE(77);
      END_STATE();
    case 13:
      if (lookahead == '}') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(12);
      END_STATE();
    case 14:
      if (lookahead == '}') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(13);
      END_STATE();
    case 15:
      if (lookahead == '}') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(14);
      END_STATE();
    case 16:
      if (lookahead == '}') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(15);
      END_STATE();
    case 17:
      if (lookahead == '}') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(16);
      END_STATE();
    case 18:
      if (lookahead == '}') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(17);
      END_STATE();
    case 19:
      if (lookahead == '}') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(18);
      END_STATE();
    case 20:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(60);
      END_STATE();
    case 21:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(19);
      END_STATE();
    case 22:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 23:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(15);
      END_STATE();
    case 24:
      if (lookahead != 0) ADVANCE(9);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(46);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(47);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(36);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_LT_LT_DASH);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (lookahead == '>') ADVANCE(37);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_DASH_GT_GT);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '>') ADVANCE(53);
      if (lookahead == '|') ADVANCE(40);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(41);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(33);
      if (lookahead == '<') ADVANCE(6);
      if (lookahead == '=') ADVANCE(43);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(45);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(50);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(aux_sym_binary_operator_token1);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_PIPE_GT);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(58);
      if (lookahead == '=') ADVANCE(35);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(35);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      if (lookahead == ':') ADVANCE(59);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_COLON_COLON_COLON);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(sym__hex_literal);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(60);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(sym__number_literal);
      if (lookahead == '.') ADVANCE(65);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(63);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(20);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(62);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(sym__number_literal);
      if (lookahead == '.') ADVANCE(65);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(63);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(62);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(sym__number_literal);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(67);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(67);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(sym__number_literal);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(67);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(68);
      if (set_contains(sym_identifier_character_set_2, 777, lookahead)) ADVANCE(92);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(sym__number_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(63);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(65);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(sym__number_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(66);
      if (set_contains(sym_identifier_character_set_2, 777, lookahead)) ADVANCE(92);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym__number_literal);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(67);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym__number_literal);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(68);
      if (set_contains(sym_identifier_character_set_2, 777, lookahead)) ADVANCE(92);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(aux_sym__single_quoted_string_content_token1);
      if (lookahead == '\n') ADVANCE(73);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(71);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(aux_sym__single_quoted_string_content_token1);
      if (lookahead == '#') ADVANCE(71);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(72);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(73);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(aux_sym__single_quoted_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(73);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(aux_sym__double_quoted_string_content_token1);
      if (lookahead == '\n') ADVANCE(76);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(74);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(aux_sym__double_quoted_string_content_token1);
      if (lookahead == '#') ADVANCE(74);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(75);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          lookahead != '\\') ADVANCE(76);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(aux_sym__double_quoted_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(76);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(77);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(78);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(77);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(81);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(82);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(83);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(84);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(85);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_identifier);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(94);
      if (set_contains(sym_identifier_character_set_2, 777, lookahead)) ADVANCE(92);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(93);
      if (set_contains(sym_identifier_character_set_2, 777, lookahead)) ADVANCE(92);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(88);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(66);
      if (set_contains(sym_identifier_character_set_2, 777, lookahead)) ADVANCE(92);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(89);
      if (set_contains(sym_identifier_character_set_2, 777, lookahead)) ADVANCE(92);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(sym_identifier);
      if (set_contains(sym_identifier_character_set_2, 777, lookahead)) ADVANCE(92);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_dots);
      if (set_contains(sym_identifier_character_set_2, 777, lookahead)) ADVANCE(92);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_dot_dot_i);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(94);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(95);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym_comma);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'F', 1,
        'I', 2,
        'L', 3,
        'N', 4,
        'T', 5,
        'b', 6,
        'f', 7,
        'i', 8,
        'n', 9,
        'r', 10,
        'w', 11,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'A') ADVANCE(12);
      END_STATE();
    case 2:
      if (lookahead == 'n') ADVANCE(13);
      END_STATE();
    case 3:
      ACCEPT_TOKEN(anon_sym_L);
      END_STATE();
    case 4:
      if (lookahead == 'A') ADVANCE(14);
      if (lookahead == 'U') ADVANCE(15);
      if (lookahead == 'a') ADVANCE(16);
      END_STATE();
    case 5:
      if (lookahead == 'R') ADVANCE(17);
      END_STATE();
    case 6:
      if (lookahead == 'r') ADVANCE(18);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(19);
      if (lookahead == 'u') ADVANCE(20);
      END_STATE();
    case 8:
      ACCEPT_TOKEN(anon_sym_i);
      if (lookahead == 'f') ADVANCE(21);
      if (lookahead == 'n') ADVANCE(22);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(23);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(24);
      END_STATE();
    case 11:
      if (lookahead == 'h') ADVANCE(25);
      END_STATE();
    case 12:
      if (lookahead == 'L') ADVANCE(26);
      END_STATE();
    case 13:
      if (lookahead == 'f') ADVANCE(27);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_NA);
      if (lookahead == '_') ADVANCE(28);
      END_STATE();
    case 15:
      if (lookahead == 'L') ADVANCE(29);
      END_STATE();
    case 16:
      if (lookahead == 'N') ADVANCE(30);
      END_STATE();
    case 17:
      if (lookahead == 'U') ADVANCE(31);
      END_STATE();
    case 18:
      if (lookahead == 'e') ADVANCE(32);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(33);
      END_STATE();
    case 20:
      if (lookahead == 'n') ADVANCE(34);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 22:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 23:
      if (lookahead == 'x') ADVANCE(35);
      END_STATE();
    case 24:
      if (lookahead == 'p') ADVANCE(36);
      if (lookahead == 't') ADVANCE(37);
      END_STATE();
    case 25:
      if (lookahead == 'i') ADVANCE(38);
      END_STATE();
    case 26:
      if (lookahead == 'S') ADVANCE(39);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(sym_inf);
      END_STATE();
    case 28:
      if (lookahead == 'c') ADVANCE(40);
      if (lookahead == 'i') ADVANCE(41);
      if (lookahead == 'r') ADVANCE(42);
      END_STATE();
    case 29:
      if (lookahead == 'L') ADVANCE(43);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(sym_nan);
      END_STATE();
    case 31:
      if (lookahead == 'E') ADVANCE(44);
      END_STATE();
    case 32:
      if (lookahead == 'a') ADVANCE(45);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 34:
      if (lookahead == 'c') ADVANCE(46);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(47);
      END_STATE();
    case 36:
      if (lookahead == 'e') ADVANCE(48);
      END_STATE();
    case 37:
      if (lookahead == 'u') ADVANCE(49);
      END_STATE();
    case 38:
      if (lookahead == 'l') ADVANCE(50);
      END_STATE();
    case 39:
      if (lookahead == 'E') ADVANCE(51);
      END_STATE();
    case 40:
      if (lookahead == 'h') ADVANCE(52);
      if (lookahead == 'o') ADVANCE(53);
      END_STATE();
    case 41:
      if (lookahead == 'n') ADVANCE(54);
      END_STATE();
    case 42:
      if (lookahead == 'e') ADVANCE(55);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 45:
      if (lookahead == 'k') ADVANCE(56);
      END_STATE();
    case 46:
      if (lookahead == 't') ADVANCE(57);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(sym_next);
      END_STATE();
    case 48:
      if (lookahead == 'a') ADVANCE(58);
      END_STATE();
    case 49:
      if (lookahead == 'r') ADVANCE(59);
      END_STATE();
    case 50:
      if (lookahead == 'e') ADVANCE(60);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 52:
      if (lookahead == 'a') ADVANCE(61);
      END_STATE();
    case 53:
      if (lookahead == 'm') ADVANCE(62);
      END_STATE();
    case 54:
      if (lookahead == 't') ADVANCE(63);
      END_STATE();
    case 55:
      if (lookahead == 'a') ADVANCE(64);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(sym_break);
      END_STATE();
    case 57:
      if (lookahead == 'i') ADVANCE(65);
      END_STATE();
    case 58:
      if (lookahead == 't') ADVANCE(66);
      END_STATE();
    case 59:
      if (lookahead == 'n') ADVANCE(67);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 61:
      if (lookahead == 'r') ADVANCE(68);
      END_STATE();
    case 62:
      if (lookahead == 'p') ADVANCE(69);
      END_STATE();
    case 63:
      if (lookahead == 'e') ADVANCE(70);
      END_STATE();
    case 64:
      if (lookahead == 'l') ADVANCE(71);
      END_STATE();
    case 65:
      if (lookahead == 'o') ADVANCE(72);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_repeat);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_return);
      END_STATE();
    case 68:
      if (lookahead == 'a') ADVANCE(73);
      END_STATE();
    case 69:
      if (lookahead == 'l') ADVANCE(74);
      END_STATE();
    case 70:
      if (lookahead == 'g') ADVANCE(75);
      END_STATE();
    case 71:
      if (lookahead == '_') ADVANCE(76);
      END_STATE();
    case 72:
      if (lookahead == 'n') ADVANCE(77);
      END_STATE();
    case 73:
      if (lookahead == 'c') ADVANCE(78);
      END_STATE();
    case 74:
      if (lookahead == 'e') ADVANCE(79);
      END_STATE();
    case 75:
      if (lookahead == 'e') ADVANCE(80);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_NA_real_);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 78:
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 79:
      if (lookahead == 'x') ADVANCE(82);
      END_STATE();
    case 80:
      if (lookahead == 'r') ADVANCE(83);
      END_STATE();
    case 81:
      if (lookahead == 'e') ADVANCE(84);
      END_STATE();
    case 82:
      if (lookahead == '_') ADVANCE(85);
      END_STATE();
    case 83:
      if (lookahead == '_') ADVANCE(86);
      END_STATE();
    case 84:
      if (lookahead == 'r') ADVANCE(87);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_NA_complex_);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_NA_integer_);
      END_STATE();
    case 87:
      if (lookahead == '_') ADVANCE(88);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_NA_character_);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 0, .external_lex_state = 2},
  [2] = {.lex_state = 0, .external_lex_state = 3},
  [3] = {.lex_state = 0, .external_lex_state = 4},
  [4] = {.lex_state = 0, .external_lex_state = 5},
  [5] = {.lex_state = 0, .external_lex_state = 5},
  [6] = {.lex_state = 0, .external_lex_state = 5},
  [7] = {.lex_state = 0, .external_lex_state = 5},
  [8] = {.lex_state = 0, .external_lex_state = 6},
  [9] = {.lex_state = 0, .external_lex_state = 6},
  [10] = {.lex_state = 0, .external_lex_state = 6},
  [11] = {.lex_state = 0, .external_lex_state = 6},
  [12] = {.lex_state = 0, .external_lex_state = 7},
  [13] = {.lex_state = 0, .external_lex_state = 7},
  [14] = {.lex_state = 0, .external_lex_state = 7},
  [15] = {.lex_state = 0, .external_lex_state = 7},
  [16] = {.lex_state = 0, .external_lex_state = 3},
  [17] = {.lex_state = 0, .external_lex_state = 3},
  [18] = {.lex_state = 0, .external_lex_state = 4},
  [19] = {.lex_state = 0, .external_lex_state = 3},
  [20] = {.lex_state = 0, .external_lex_state = 4},
  [21] = {.lex_state = 0, .external_lex_state = 4},
  [22] = {.lex_state = 0, .external_lex_state = 4},
  [23] = {.lex_state = 0, .external_lex_state = 4},
  [24] = {.lex_state = 0, .external_lex_state = 4},
  [25] = {.lex_state = 0, .external_lex_state = 4},
  [26] = {.lex_state = 0, .external_lex_state = 5},
  [27] = {.lex_state = 0, .external_lex_state = 5},
  [28] = {.lex_state = 0, .external_lex_state = 5},
  [29] = {.lex_state = 0, .external_lex_state = 5},
  [30] = {.lex_state = 0, .external_lex_state = 6},
  [31] = {.lex_state = 0, .external_lex_state = 6},
  [32] = {.lex_state = 0, .external_lex_state = 6},
  [33] = {.lex_state = 0, .external_lex_state = 6},
  [34] = {.lex_state = 0, .external_lex_state = 7},
  [35] = {.lex_state = 0, .external_lex_state = 7},
  [36] = {.lex_state = 0, .external_lex_state = 7},
  [37] = {.lex_state = 0, .external_lex_state = 7},
  [38] = {.lex_state = 0, .external_lex_state = 3},
  [39] = {.lex_state = 0, .external_lex_state = 3},
  [40] = {.lex_state = 0, .external_lex_state = 3},
  [41] = {.lex_state = 0, .external_lex_state = 3},
  [42] = {.lex_state = 0, .external_lex_state = 4},
  [43] = {.lex_state = 0, .external_lex_state = 4},
  [44] = {.lex_state = 0, .external_lex_state = 4},
  [45] = {.lex_state = 0, .external_lex_state = 4},
  [46] = {.lex_state = 0, .external_lex_state = 4},
  [47] = {.lex_state = 0, .external_lex_state = 4},
  [48] = {.lex_state = 0, .external_lex_state = 4},
  [49] = {.lex_state = 0, .external_lex_state = 4},
  [50] = {.lex_state = 0, .external_lex_state = 4},
  [51] = {.lex_state = 0, .external_lex_state = 4},
  [52] = {.lex_state = 0, .external_lex_state = 4},
  [53] = {.lex_state = 0, .external_lex_state = 4},
  [54] = {.lex_state = 0, .external_lex_state = 4},
  [55] = {.lex_state = 0, .external_lex_state = 4},
  [56] = {.lex_state = 0, .external_lex_state = 4},
  [57] = {.lex_state = 0, .external_lex_state = 4},
  [58] = {.lex_state = 0, .external_lex_state = 4},
  [59] = {.lex_state = 0, .external_lex_state = 4},
  [60] = {.lex_state = 0, .external_lex_state = 4},
  [61] = {.lex_state = 0, .external_lex_state = 4},
  [62] = {.lex_state = 0, .external_lex_state = 4},
  [63] = {.lex_state = 0, .external_lex_state = 4},
  [64] = {.lex_state = 0, .external_lex_state = 4},
  [65] = {.lex_state = 0, .external_lex_state = 4},
  [66] = {.lex_state = 0, .external_lex_state = 4},
  [67] = {.lex_state = 0, .external_lex_state = 4},
  [68] = {.lex_state = 0, .external_lex_state = 4},
  [69] = {.lex_state = 0, .external_lex_state = 4},
  [70] = {.lex_state = 0, .external_lex_state = 4},
  [71] = {.lex_state = 0, .external_lex_state = 4},
  [72] = {.lex_state = 0, .external_lex_state = 4},
  [73] = {.lex_state = 0, .external_lex_state = 4},
  [74] = {.lex_state = 0, .external_lex_state = 4},
  [75] = {.lex_state = 0, .external_lex_state = 4},
  [76] = {.lex_state = 0, .external_lex_state = 4},
  [77] = {.lex_state = 0, .external_lex_state = 4},
  [78] = {.lex_state = 0, .external_lex_state = 4},
  [79] = {.lex_state = 0, .external_lex_state = 4},
  [80] = {.lex_state = 0, .external_lex_state = 4},
  [81] = {.lex_state = 0, .external_lex_state = 4},
  [82] = {.lex_state = 0, .external_lex_state = 4},
  [83] = {.lex_state = 0, .external_lex_state = 4},
  [84] = {.lex_state = 0, .external_lex_state = 4},
  [85] = {.lex_state = 0, .external_lex_state = 4},
  [86] = {.lex_state = 0, .external_lex_state = 4},
  [87] = {.lex_state = 0, .external_lex_state = 4},
  [88] = {.lex_state = 0, .external_lex_state = 4},
  [89] = {.lex_state = 0, .external_lex_state = 4},
  [90] = {.lex_state = 0, .external_lex_state = 4},
  [91] = {.lex_state = 0, .external_lex_state = 4},
  [92] = {.lex_state = 0, .external_lex_state = 4},
  [93] = {.lex_state = 0, .external_lex_state = 4},
  [94] = {.lex_state = 0, .external_lex_state = 4},
  [95] = {.lex_state = 0, .external_lex_state = 4},
  [96] = {.lex_state = 0, .external_lex_state = 4},
  [97] = {.lex_state = 0, .external_lex_state = 4},
  [98] = {.lex_state = 0, .external_lex_state = 5},
  [99] = {.lex_state = 0, .external_lex_state = 5},
  [100] = {.lex_state = 0, .external_lex_state = 5},
  [101] = {.lex_state = 0, .external_lex_state = 5},
  [102] = {.lex_state = 0, .external_lex_state = 5},
  [103] = {.lex_state = 0, .external_lex_state = 5},
  [104] = {.lex_state = 0, .external_lex_state = 5},
  [105] = {.lex_state = 0, .external_lex_state = 5},
  [106] = {.lex_state = 0, .external_lex_state = 5},
  [107] = {.lex_state = 0, .external_lex_state = 5},
  [108] = {.lex_state = 0, .external_lex_state = 5},
  [109] = {.lex_state = 0, .external_lex_state = 5},
  [110] = {.lex_state = 0, .external_lex_state = 5},
  [111] = {.lex_state = 0, .external_lex_state = 5},
  [112] = {.lex_state = 0, .external_lex_state = 5},
  [113] = {.lex_state = 0, .external_lex_state = 5},
  [114] = {.lex_state = 0, .external_lex_state = 5},
  [115] = {.lex_state = 0, .external_lex_state = 5},
  [116] = {.lex_state = 0, .external_lex_state = 5},
  [117] = {.lex_state = 0, .external_lex_state = 5},
  [118] = {.lex_state = 0, .external_lex_state = 5},
  [119] = {.lex_state = 0, .external_lex_state = 5},
  [120] = {.lex_state = 0, .external_lex_state = 5},
  [121] = {.lex_state = 0, .external_lex_state = 5},
  [122] = {.lex_state = 0, .external_lex_state = 5},
  [123] = {.lex_state = 0, .external_lex_state = 5},
  [124] = {.lex_state = 0, .external_lex_state = 5},
  [125] = {.lex_state = 0, .external_lex_state = 5},
  [126] = {.lex_state = 0, .external_lex_state = 5},
  [127] = {.lex_state = 0, .external_lex_state = 5},
  [128] = {.lex_state = 0, .external_lex_state = 5},
  [129] = {.lex_state = 0, .external_lex_state = 5},
  [130] = {.lex_state = 0, .external_lex_state = 5},
  [131] = {.lex_state = 0, .external_lex_state = 5},
  [132] = {.lex_state = 0, .external_lex_state = 5},
  [133] = {.lex_state = 0, .external_lex_state = 5},
  [134] = {.lex_state = 0, .external_lex_state = 5},
  [135] = {.lex_state = 0, .external_lex_state = 5},
  [136] = {.lex_state = 0, .external_lex_state = 5},
  [137] = {.lex_state = 0, .external_lex_state = 5},
  [138] = {.lex_state = 0, .external_lex_state = 5},
  [139] = {.lex_state = 0, .external_lex_state = 5},
  [140] = {.lex_state = 0, .external_lex_state = 5},
  [141] = {.lex_state = 0, .external_lex_state = 5},
  [142] = {.lex_state = 0, .external_lex_state = 5},
  [143] = {.lex_state = 0, .external_lex_state = 5},
  [144] = {.lex_state = 0, .external_lex_state = 5},
  [145] = {.lex_state = 0, .external_lex_state = 5},
  [146] = {.lex_state = 0, .external_lex_state = 5},
  [147] = {.lex_state = 0, .external_lex_state = 5},
  [148] = {.lex_state = 0, .external_lex_state = 5},
  [149] = {.lex_state = 0, .external_lex_state = 5},
  [150] = {.lex_state = 0, .external_lex_state = 5},
  [151] = {.lex_state = 0, .external_lex_state = 5},
  [152] = {.lex_state = 0, .external_lex_state = 5},
  [153] = {.lex_state = 0, .external_lex_state = 5},
  [154] = {.lex_state = 0, .external_lex_state = 6},
  [155] = {.lex_state = 0, .external_lex_state = 6},
  [156] = {.lex_state = 0, .external_lex_state = 6},
  [157] = {.lex_state = 0, .external_lex_state = 6},
  [158] = {.lex_state = 0, .external_lex_state = 6},
  [159] = {.lex_state = 0, .external_lex_state = 6},
  [160] = {.lex_state = 0, .external_lex_state = 6},
  [161] = {.lex_state = 0, .external_lex_state = 6},
  [162] = {.lex_state = 0, .external_lex_state = 6},
  [163] = {.lex_state = 0, .external_lex_state = 6},
  [164] = {.lex_state = 0, .external_lex_state = 6},
  [165] = {.lex_state = 0, .external_lex_state = 6},
  [166] = {.lex_state = 0, .external_lex_state = 6},
  [167] = {.lex_state = 0, .external_lex_state = 6},
  [168] = {.lex_state = 0, .external_lex_state = 6},
  [169] = {.lex_state = 0, .external_lex_state = 6},
  [170] = {.lex_state = 0, .external_lex_state = 6},
  [171] = {.lex_state = 0, .external_lex_state = 6},
  [172] = {.lex_state = 0, .external_lex_state = 6},
  [173] = {.lex_state = 0, .external_lex_state = 6},
  [174] = {.lex_state = 0, .external_lex_state = 6},
  [175] = {.lex_state = 0, .external_lex_state = 6},
  [176] = {.lex_state = 0, .external_lex_state = 6},
  [177] = {.lex_state = 0, .external_lex_state = 6},
  [178] = {.lex_state = 0, .external_lex_state = 6},
  [179] = {.lex_state = 0, .external_lex_state = 6},
  [180] = {.lex_state = 0, .external_lex_state = 6},
  [181] = {.lex_state = 0, .external_lex_state = 6},
  [182] = {.lex_state = 0, .external_lex_state = 6},
  [183] = {.lex_state = 0, .external_lex_state = 6},
  [184] = {.lex_state = 0, .external_lex_state = 6},
  [185] = {.lex_state = 0, .external_lex_state = 6},
  [186] = {.lex_state = 0, .external_lex_state = 6},
  [187] = {.lex_state = 0, .external_lex_state = 6},
  [188] = {.lex_state = 0, .external_lex_state = 6},
  [189] = {.lex_state = 0, .external_lex_state = 6},
  [190] = {.lex_state = 0, .external_lex_state = 6},
  [191] = {.lex_state = 0, .external_lex_state = 6},
  [192] = {.lex_state = 0, .external_lex_state = 6},
  [193] = {.lex_state = 0, .external_lex_state = 6},
  [194] = {.lex_state = 0, .external_lex_state = 3},
  [195] = {.lex_state = 0, .external_lex_state = 6},
  [196] = {.lex_state = 0, .external_lex_state = 6},
  [197] = {.lex_state = 0, .external_lex_state = 6},
  [198] = {.lex_state = 0, .external_lex_state = 6},
  [199] = {.lex_state = 0, .external_lex_state = 6},
  [200] = {.lex_state = 0, .external_lex_state = 6},
  [201] = {.lex_state = 0, .external_lex_state = 6},
  [202] = {.lex_state = 0, .external_lex_state = 6},
  [203] = {.lex_state = 0, .external_lex_state = 6},
  [204] = {.lex_state = 0, .external_lex_state = 6},
  [205] = {.lex_state = 0, .external_lex_state = 6},
  [206] = {.lex_state = 0, .external_lex_state = 6},
  [207] = {.lex_state = 0, .external_lex_state = 6},
  [208] = {.lex_state = 0, .external_lex_state = 6},
  [209] = {.lex_state = 0, .external_lex_state = 6},
  [210] = {.lex_state = 0, .external_lex_state = 7},
  [211] = {.lex_state = 0, .external_lex_state = 7},
  [212] = {.lex_state = 0, .external_lex_state = 7},
  [213] = {.lex_state = 0, .external_lex_state = 7},
  [214] = {.lex_state = 0, .external_lex_state = 7},
  [215] = {.lex_state = 0, .external_lex_state = 7},
  [216] = {.lex_state = 0, .external_lex_state = 7},
  [217] = {.lex_state = 0, .external_lex_state = 7},
  [218] = {.lex_state = 0, .external_lex_state = 7},
  [219] = {.lex_state = 0, .external_lex_state = 7},
  [220] = {.lex_state = 0, .external_lex_state = 7},
  [221] = {.lex_state = 0, .external_lex_state = 7},
  [222] = {.lex_state = 0, .external_lex_state = 7},
  [223] = {.lex_state = 0, .external_lex_state = 7},
  [224] = {.lex_state = 0, .external_lex_state = 7},
  [225] = {.lex_state = 0, .external_lex_state = 7},
  [226] = {.lex_state = 0, .external_lex_state = 7},
  [227] = {.lex_state = 0, .external_lex_state = 7},
  [228] = {.lex_state = 0, .external_lex_state = 7},
  [229] = {.lex_state = 0, .external_lex_state = 7},
  [230] = {.lex_state = 0, .external_lex_state = 7},
  [231] = {.lex_state = 0, .external_lex_state = 7},
  [232] = {.lex_state = 0, .external_lex_state = 7},
  [233] = {.lex_state = 0, .external_lex_state = 7},
  [234] = {.lex_state = 0, .external_lex_state = 7},
  [235] = {.lex_state = 0, .external_lex_state = 7},
  [236] = {.lex_state = 0, .external_lex_state = 7},
  [237] = {.lex_state = 0, .external_lex_state = 7},
  [238] = {.lex_state = 0, .external_lex_state = 7},
  [239] = {.lex_state = 0, .external_lex_state = 7},
  [240] = {.lex_state = 0, .external_lex_state = 7},
  [241] = {.lex_state = 0, .external_lex_state = 7},
  [242] = {.lex_state = 0, .external_lex_state = 7},
  [243] = {.lex_state = 0, .external_lex_state = 7},
  [244] = {.lex_state = 0, .external_lex_state = 7},
  [245] = {.lex_state = 0, .external_lex_state = 7},
  [246] = {.lex_state = 0, .external_lex_state = 7},
  [247] = {.lex_state = 0, .external_lex_state = 7},
  [248] = {.lex_state = 0, .external_lex_state = 7},
  [249] = {.lex_state = 0, .external_lex_state = 7},
  [250] = {.lex_state = 0, .external_lex_state = 7},
  [251] = {.lex_state = 0, .external_lex_state = 7},
  [252] = {.lex_state = 0, .external_lex_state = 7},
  [253] = {.lex_state = 0, .external_lex_state = 7},
  [254] = {.lex_state = 0, .external_lex_state = 7},
  [255] = {.lex_state = 0, .external_lex_state = 7},
  [256] = {.lex_state = 0, .external_lex_state = 7},
  [257] = {.lex_state = 0, .external_lex_state = 7},
  [258] = {.lex_state = 0, .external_lex_state = 7},
  [259] = {.lex_state = 0, .external_lex_state = 7},
  [260] = {.lex_state = 0, .external_lex_state = 7},
  [261] = {.lex_state = 0, .external_lex_state = 7},
  [262] = {.lex_state = 0, .external_lex_state = 7},
  [263] = {.lex_state = 0, .external_lex_state = 7},
  [264] = {.lex_state = 0, .external_lex_state = 7},
  [265] = {.lex_state = 0, .external_lex_state = 7},
  [266] = {.lex_state = 0, .external_lex_state = 3},
  [267] = {.lex_state = 0, .external_lex_state = 3},
  [268] = {.lex_state = 0, .external_lex_state = 3},
  [269] = {.lex_state = 0, .external_lex_state = 3},
  [270] = {.lex_state = 0, .external_lex_state = 3},
  [271] = {.lex_state = 0, .external_lex_state = 3},
  [272] = {.lex_state = 0, .external_lex_state = 3},
  [273] = {.lex_state = 0, .external_lex_state = 3},
  [274] = {.lex_state = 0, .external_lex_state = 3},
  [275] = {.lex_state = 0, .external_lex_state = 3},
  [276] = {.lex_state = 0, .external_lex_state = 3},
  [277] = {.lex_state = 0, .external_lex_state = 3},
  [278] = {.lex_state = 0, .external_lex_state = 3},
  [279] = {.lex_state = 0, .external_lex_state = 3},
  [280] = {.lex_state = 0, .external_lex_state = 3},
  [281] = {.lex_state = 0, .external_lex_state = 3},
  [282] = {.lex_state = 0, .external_lex_state = 3},
  [283] = {.lex_state = 0, .external_lex_state = 3},
  [284] = {.lex_state = 0, .external_lex_state = 3},
  [285] = {.lex_state = 0, .external_lex_state = 3},
  [286] = {.lex_state = 0, .external_lex_state = 3},
  [287] = {.lex_state = 0, .external_lex_state = 3},
  [288] = {.lex_state = 0, .external_lex_state = 3},
  [289] = {.lex_state = 0, .external_lex_state = 3},
  [290] = {.lex_state = 0, .external_lex_state = 3},
  [291] = {.lex_state = 0, .external_lex_state = 3},
  [292] = {.lex_state = 0, .external_lex_state = 3},
  [293] = {.lex_state = 0, .external_lex_state = 3},
  [294] = {.lex_state = 0, .external_lex_state = 3},
  [295] = {.lex_state = 0, .external_lex_state = 3},
  [296] = {.lex_state = 0, .external_lex_state = 3},
  [297] = {.lex_state = 0, .external_lex_state = 3},
  [298] = {.lex_state = 0, .external_lex_state = 3},
  [299] = {.lex_state = 0, .external_lex_state = 3},
  [300] = {.lex_state = 0, .external_lex_state = 3},
  [301] = {.lex_state = 0, .external_lex_state = 3},
  [302] = {.lex_state = 0, .external_lex_state = 3},
  [303] = {.lex_state = 0, .external_lex_state = 3},
  [304] = {.lex_state = 0, .external_lex_state = 3},
  [305] = {.lex_state = 0, .external_lex_state = 3},
  [306] = {.lex_state = 0, .external_lex_state = 3},
  [307] = {.lex_state = 0, .external_lex_state = 3},
  [308] = {.lex_state = 0, .external_lex_state = 3},
  [309] = {.lex_state = 0, .external_lex_state = 3},
  [310] = {.lex_state = 0, .external_lex_state = 3},
  [311] = {.lex_state = 0, .external_lex_state = 3},
  [312] = {.lex_state = 0, .external_lex_state = 3},
  [313] = {.lex_state = 0, .external_lex_state = 3},
  [314] = {.lex_state = 0, .external_lex_state = 3},
  [315] = {.lex_state = 0, .external_lex_state = 3},
  [316] = {.lex_state = 0, .external_lex_state = 3},
  [317] = {.lex_state = 0, .external_lex_state = 3},
  [318] = {.lex_state = 0, .external_lex_state = 3},
  [319] = {.lex_state = 0, .external_lex_state = 3},
  [320] = {.lex_state = 0, .external_lex_state = 3},
  [321] = {.lex_state = 0, .external_lex_state = 6},
  [322] = {.lex_state = 0, .external_lex_state = 8},
  [323] = {.lex_state = 0, .external_lex_state = 9},
  [324] = {.lex_state = 0, .external_lex_state = 9},
  [325] = {.lex_state = 0, .external_lex_state = 9},
  [326] = {.lex_state = 0, .external_lex_state = 9},
  [327] = {.lex_state = 0, .external_lex_state = 9},
  [328] = {.lex_state = 0, .external_lex_state = 9},
  [329] = {.lex_state = 0, .external_lex_state = 9},
  [330] = {.lex_state = 0, .external_lex_state = 9},
  [331] = {.lex_state = 0, .external_lex_state = 9},
  [332] = {.lex_state = 0, .external_lex_state = 9},
  [333] = {.lex_state = 0, .external_lex_state = 9},
  [334] = {.lex_state = 0, .external_lex_state = 9},
  [335] = {.lex_state = 0, .external_lex_state = 9},
  [336] = {.lex_state = 0, .external_lex_state = 9},
  [337] = {.lex_state = 0, .external_lex_state = 9},
  [338] = {.lex_state = 0, .external_lex_state = 9},
  [339] = {.lex_state = 0, .external_lex_state = 9},
  [340] = {.lex_state = 0, .external_lex_state = 9},
  [341] = {.lex_state = 0, .external_lex_state = 9},
  [342] = {.lex_state = 0, .external_lex_state = 9},
  [343] = {.lex_state = 0, .external_lex_state = 9},
  [344] = {.lex_state = 0, .external_lex_state = 10},
  [345] = {.lex_state = 0, .external_lex_state = 11},
  [346] = {.lex_state = 0, .external_lex_state = 9},
  [347] = {.lex_state = 0, .external_lex_state = 9},
  [348] = {.lex_state = 0, .external_lex_state = 9},
  [349] = {.lex_state = 0, .external_lex_state = 9},
  [350] = {.lex_state = 0, .external_lex_state = 9},
  [351] = {.lex_state = 0, .external_lex_state = 9},
  [352] = {.lex_state = 0, .external_lex_state = 9},
  [353] = {.lex_state = 0, .external_lex_state = 9},
  [354] = {.lex_state = 0, .external_lex_state = 9},
  [355] = {.lex_state = 0, .external_lex_state = 9},
  [356] = {.lex_state = 0, .external_lex_state = 9},
  [357] = {.lex_state = 0, .external_lex_state = 9},
  [358] = {.lex_state = 0, .external_lex_state = 9},
  [359] = {.lex_state = 0, .external_lex_state = 9},
  [360] = {.lex_state = 0, .external_lex_state = 9},
  [361] = {.lex_state = 0, .external_lex_state = 9},
  [362] = {.lex_state = 0, .external_lex_state = 9},
  [363] = {.lex_state = 0, .external_lex_state = 12},
  [364] = {.lex_state = 0, .external_lex_state = 9},
  [365] = {.lex_state = 0, .external_lex_state = 9},
  [366] = {.lex_state = 0, .external_lex_state = 9},
  [367] = {.lex_state = 0, .external_lex_state = 13},
  [368] = {.lex_state = 0, .external_lex_state = 9},
  [369] = {.lex_state = 0, .external_lex_state = 9},
  [370] = {.lex_state = 0, .external_lex_state = 9},
  [371] = {.lex_state = 0, .external_lex_state = 9},
  [372] = {.lex_state = 0, .external_lex_state = 9},
  [373] = {.lex_state = 0, .external_lex_state = 9},
  [374] = {.lex_state = 0, .external_lex_state = 9},
  [375] = {.lex_state = 0, .external_lex_state = 9},
  [376] = {.lex_state = 0, .external_lex_state = 9},
  [377] = {.lex_state = 0, .external_lex_state = 9},
  [378] = {.lex_state = 0, .external_lex_state = 9},
  [379] = {.lex_state = 0, .external_lex_state = 9},
  [380] = {.lex_state = 0, .external_lex_state = 8},
  [381] = {.lex_state = 0, .external_lex_state = 10},
  [382] = {.lex_state = 0, .external_lex_state = 11},
  [383] = {.lex_state = 0, .external_lex_state = 13},
  [384] = {.lex_state = 0, .external_lex_state = 13},
  [385] = {.lex_state = 0, .external_lex_state = 4},
  [386] = {.lex_state = 0, .external_lex_state = 13},
  [387] = {.lex_state = 0, .external_lex_state = 13},
  [388] = {.lex_state = 0, .external_lex_state = 13},
  [389] = {.lex_state = 0, .external_lex_state = 13},
  [390] = {.lex_state = 0, .external_lex_state = 13},
  [391] = {.lex_state = 0, .external_lex_state = 13},
  [392] = {.lex_state = 0, .external_lex_state = 13},
  [393] = {.lex_state = 0, .external_lex_state = 13},
  [394] = {.lex_state = 0, .external_lex_state = 13},
  [395] = {.lex_state = 0, .external_lex_state = 13},
  [396] = {.lex_state = 0, .external_lex_state = 13},
  [397] = {.lex_state = 0, .external_lex_state = 13},
  [398] = {.lex_state = 0, .external_lex_state = 13},
  [399] = {.lex_state = 0, .external_lex_state = 13},
  [400] = {.lex_state = 0, .external_lex_state = 13},
  [401] = {.lex_state = 0, .external_lex_state = 4},
  [402] = {.lex_state = 0, .external_lex_state = 10},
  [403] = {.lex_state = 0, .external_lex_state = 11},
  [404] = {.lex_state = 0, .external_lex_state = 13},
  [405] = {.lex_state = 0, .external_lex_state = 13},
  [406] = {.lex_state = 0, .external_lex_state = 13},
  [407] = {.lex_state = 0, .external_lex_state = 13},
  [408] = {.lex_state = 0, .external_lex_state = 13},
  [409] = {.lex_state = 0, .external_lex_state = 13},
  [410] = {.lex_state = 0, .external_lex_state = 13},
  [411] = {.lex_state = 0, .external_lex_state = 13},
  [412] = {.lex_state = 0, .external_lex_state = 13},
  [413] = {.lex_state = 0, .external_lex_state = 13},
  [414] = {.lex_state = 0, .external_lex_state = 13},
  [415] = {.lex_state = 0, .external_lex_state = 13},
  [416] = {.lex_state = 0, .external_lex_state = 13},
  [417] = {.lex_state = 0, .external_lex_state = 13},
  [418] = {.lex_state = 0, .external_lex_state = 13},
  [419] = {.lex_state = 0, .external_lex_state = 14},
  [420] = {.lex_state = 0, .external_lex_state = 14},
  [421] = {.lex_state = 0, .external_lex_state = 14},
  [422] = {.lex_state = 0, .external_lex_state = 14},
  [423] = {.lex_state = 0, .external_lex_state = 14},
  [424] = {.lex_state = 0, .external_lex_state = 13},
  [425] = {.lex_state = 0, .external_lex_state = 14},
  [426] = {.lex_state = 0, .external_lex_state = 14},
  [427] = {.lex_state = 0, .external_lex_state = 14},
  [428] = {.lex_state = 0, .external_lex_state = 14},
  [429] = {.lex_state = 0, .external_lex_state = 14},
  [430] = {.lex_state = 0, .external_lex_state = 14},
  [431] = {.lex_state = 0, .external_lex_state = 5},
  [432] = {.lex_state = 0, .external_lex_state = 14},
  [433] = {.lex_state = 0, .external_lex_state = 14},
  [434] = {.lex_state = 0, .external_lex_state = 14},
  [435] = {.lex_state = 0, .external_lex_state = 14},
  [436] = {.lex_state = 0, .external_lex_state = 14},
  [437] = {.lex_state = 0, .external_lex_state = 14},
  [438] = {.lex_state = 0, .external_lex_state = 14},
  [439] = {.lex_state = 0, .external_lex_state = 14},
  [440] = {.lex_state = 0, .external_lex_state = 14},
  [441] = {.lex_state = 0, .external_lex_state = 14},
  [442] = {.lex_state = 0, .external_lex_state = 14},
  [443] = {.lex_state = 0, .external_lex_state = 14},
  [444] = {.lex_state = 0, .external_lex_state = 14},
  [445] = {.lex_state = 0, .external_lex_state = 15},
  [446] = {.lex_state = 0, .external_lex_state = 8},
  [447] = {.lex_state = 0, .external_lex_state = 5},
  [448] = {.lex_state = 0, .external_lex_state = 10},
  [449] = {.lex_state = 0, .external_lex_state = 11},
  [450] = {.lex_state = 0, .external_lex_state = 10},
  [451] = {.lex_state = 0, .external_lex_state = 11},
  [452] = {.lex_state = 0, .external_lex_state = 14},
  [453] = {.lex_state = 0, .external_lex_state = 14},
  [454] = {.lex_state = 0, .external_lex_state = 14},
  [455] = {.lex_state = 0, .external_lex_state = 14},
  [456] = {.lex_state = 0, .external_lex_state = 14},
  [457] = {.lex_state = 0, .external_lex_state = 14},
  [458] = {.lex_state = 0, .external_lex_state = 14},
  [459] = {.lex_state = 0, .external_lex_state = 14},
  [460] = {.lex_state = 0, .external_lex_state = 14},
  [461] = {.lex_state = 0, .external_lex_state = 14},
  [462] = {.lex_state = 0, .external_lex_state = 14},
  [463] = {.lex_state = 0, .external_lex_state = 14},
  [464] = {.lex_state = 0, .external_lex_state = 14},
  [465] = {.lex_state = 0, .external_lex_state = 14},
  [466] = {.lex_state = 0, .external_lex_state = 14},
  [467] = {.lex_state = 0, .external_lex_state = 14},
  [468] = {.lex_state = 0, .external_lex_state = 13},
  [469] = {.lex_state = 0, .external_lex_state = 14},
  [470] = {.lex_state = 0, .external_lex_state = 13},
  [471] = {.lex_state = 0, .external_lex_state = 13},
  [472] = {.lex_state = 0, .external_lex_state = 14},
  [473] = {.lex_state = 0, .external_lex_state = 14},
  [474] = {.lex_state = 0, .external_lex_state = 14},
  [475] = {.lex_state = 0, .external_lex_state = 13},
  [476] = {.lex_state = 0, .external_lex_state = 14},
  [477] = {.lex_state = 0, .external_lex_state = 14},
  [478] = {.lex_state = 0, .external_lex_state = 14},
  [479] = {.lex_state = 0, .external_lex_state = 14},
  [480] = {.lex_state = 0, .external_lex_state = 14},
  [481] = {.lex_state = 0, .external_lex_state = 14},
  [482] = {.lex_state = 0, .external_lex_state = 14},
  [483] = {.lex_state = 0, .external_lex_state = 14},
  [484] = {.lex_state = 0, .external_lex_state = 14},
  [485] = {.lex_state = 0, .external_lex_state = 14},
  [486] = {.lex_state = 0, .external_lex_state = 6},
  [487] = {.lex_state = 0, .external_lex_state = 13},
  [488] = {.lex_state = 0, .external_lex_state = 14},
  [489] = {.lex_state = 0, .external_lex_state = 14},
  [490] = {.lex_state = 0, .external_lex_state = 12},
  [491] = {.lex_state = 0, .external_lex_state = 12},
  [492] = {.lex_state = 0, .external_lex_state = 12},
  [493] = {.lex_state = 0, .external_lex_state = 12},
  [494] = {.lex_state = 0, .external_lex_state = 12},
  [495] = {.lex_state = 0, .external_lex_state = 12},
  [496] = {.lex_state = 0, .external_lex_state = 12},
  [497] = {.lex_state = 0, .external_lex_state = 12},
  [498] = {.lex_state = 0, .external_lex_state = 14},
  [499] = {.lex_state = 0, .external_lex_state = 10},
  [500] = {.lex_state = 0, .external_lex_state = 11},
  [501] = {.lex_state = 0, .external_lex_state = 12},
  [502] = {.lex_state = 0, .external_lex_state = 12},
  [503] = {.lex_state = 0, .external_lex_state = 12},
  [504] = {.lex_state = 0, .external_lex_state = 12},
  [505] = {.lex_state = 0, .external_lex_state = 12},
  [506] = {.lex_state = 0, .external_lex_state = 12},
  [507] = {.lex_state = 0, .external_lex_state = 12},
  [508] = {.lex_state = 0, .external_lex_state = 12},
  [509] = {.lex_state = 0, .external_lex_state = 12},
  [510] = {.lex_state = 0, .external_lex_state = 12},
  [511] = {.lex_state = 0, .external_lex_state = 12},
  [512] = {.lex_state = 0, .external_lex_state = 12},
  [513] = {.lex_state = 0, .external_lex_state = 12},
  [514] = {.lex_state = 0, .external_lex_state = 12},
  [515] = {.lex_state = 0, .external_lex_state = 12},
  [516] = {.lex_state = 0, .external_lex_state = 12},
  [517] = {.lex_state = 0, .external_lex_state = 9},
  [518] = {.lex_state = 0, .external_lex_state = 10},
  [519] = {.lex_state = 0, .external_lex_state = 11},
  [520] = {.lex_state = 0, .external_lex_state = 12},
  [521] = {.lex_state = 0, .external_lex_state = 12},
  [522] = {.lex_state = 0, .external_lex_state = 12},
  [523] = {.lex_state = 0, .external_lex_state = 12},
  [524] = {.lex_state = 0, .external_lex_state = 12},
  [525] = {.lex_state = 0, .external_lex_state = 12},
  [526] = {.lex_state = 0, .external_lex_state = 12},
  [527] = {.lex_state = 0, .external_lex_state = 12},
  [528] = {.lex_state = 0, .external_lex_state = 12},
  [529] = {.lex_state = 0, .external_lex_state = 10},
  [530] = {.lex_state = 0, .external_lex_state = 11},
  [531] = {.lex_state = 0, .external_lex_state = 12},
  [532] = {.lex_state = 0, .external_lex_state = 12},
  [533] = {.lex_state = 0, .external_lex_state = 12},
  [534] = {.lex_state = 0, .external_lex_state = 12},
  [535] = {.lex_state = 0, .external_lex_state = 12},
  [536] = {.lex_state = 0, .external_lex_state = 7},
  [537] = {.lex_state = 0, .external_lex_state = 12},
  [538] = {.lex_state = 0, .external_lex_state = 12},
  [539] = {.lex_state = 0, .external_lex_state = 13},
  [540] = {.lex_state = 0, .external_lex_state = 12},
  [541] = {.lex_state = 0, .external_lex_state = 13},
  [542] = {.lex_state = 0, .external_lex_state = 12},
  [543] = {.lex_state = 0, .external_lex_state = 12},
  [544] = {.lex_state = 0, .external_lex_state = 12},
  [545] = {.lex_state = 0, .external_lex_state = 12},
  [546] = {.lex_state = 0, .external_lex_state = 12},
  [547] = {.lex_state = 0, .external_lex_state = 12},
  [548] = {.lex_state = 0, .external_lex_state = 12},
  [549] = {.lex_state = 0, .external_lex_state = 12},
  [550] = {.lex_state = 0, .external_lex_state = 12},
  [551] = {.lex_state = 0, .external_lex_state = 12},
  [552] = {.lex_state = 0, .external_lex_state = 12},
  [553] = {.lex_state = 0, .external_lex_state = 7},
  [554] = {.lex_state = 0, .external_lex_state = 10},
  [555] = {.lex_state = 0, .external_lex_state = 11},
  [556] = {.lex_state = 0, .external_lex_state = 12},
  [557] = {.lex_state = 0, .external_lex_state = 12},
  [558] = {.lex_state = 0, .external_lex_state = 12},
  [559] = {.lex_state = 0, .external_lex_state = 12},
  [560] = {.lex_state = 0, .external_lex_state = 10},
  [561] = {.lex_state = 0, .external_lex_state = 11},
  [562] = {.lex_state = 0, .external_lex_state = 15},
  [563] = {.lex_state = 0, .external_lex_state = 15},
  [564] = {.lex_state = 0, .external_lex_state = 15},
  [565] = {.lex_state = 0, .external_lex_state = 15},
  [566] = {.lex_state = 0, .external_lex_state = 15},
  [567] = {.lex_state = 0, .external_lex_state = 15},
  [568] = {.lex_state = 0, .external_lex_state = 15},
  [569] = {.lex_state = 0, .external_lex_state = 15},
  [570] = {.lex_state = 0, .external_lex_state = 15},
  [571] = {.lex_state = 0, .external_lex_state = 15},
  [572] = {.lex_state = 0, .external_lex_state = 15},
  [573] = {.lex_state = 0, .external_lex_state = 15},
  [574] = {.lex_state = 0, .external_lex_state = 15},
  [575] = {.lex_state = 0, .external_lex_state = 15},
  [576] = {.lex_state = 0, .external_lex_state = 15},
  [577] = {.lex_state = 0, .external_lex_state = 15},
  [578] = {.lex_state = 0, .external_lex_state = 15},
  [579] = {.lex_state = 0, .external_lex_state = 15},
  [580] = {.lex_state = 0, .external_lex_state = 15},
  [581] = {.lex_state = 0, .external_lex_state = 15},
  [582] = {.lex_state = 0, .external_lex_state = 3},
  [583] = {.lex_state = 0, .external_lex_state = 15},
  [584] = {.lex_state = 0, .external_lex_state = 15},
  [585] = {.lex_state = 0, .external_lex_state = 15},
  [586] = {.lex_state = 0, .external_lex_state = 15},
  [587] = {.lex_state = 0, .external_lex_state = 10},
  [588] = {.lex_state = 0, .external_lex_state = 11},
  [589] = {.lex_state = 0, .external_lex_state = 15},
  [590] = {.lex_state = 0, .external_lex_state = 15},
  [591] = {.lex_state = 0, .external_lex_state = 15},
  [592] = {.lex_state = 0, .external_lex_state = 15},
  [593] = {.lex_state = 0, .external_lex_state = 15},
  [594] = {.lex_state = 0, .external_lex_state = 15},
  [595] = {.lex_state = 0, .external_lex_state = 15},
  [596] = {.lex_state = 0, .external_lex_state = 15},
  [597] = {.lex_state = 0, .external_lex_state = 15},
  [598] = {.lex_state = 0, .external_lex_state = 15},
  [599] = {.lex_state = 0, .external_lex_state = 15},
  [600] = {.lex_state = 0, .external_lex_state = 15},
  [601] = {.lex_state = 0, .external_lex_state = 3},
  [602] = {.lex_state = 0, .external_lex_state = 10},
  [603] = {.lex_state = 0, .external_lex_state = 11},
  [604] = {.lex_state = 0, .external_lex_state = 15},
  [605] = {.lex_state = 0, .external_lex_state = 15},
  [606] = {.lex_state = 0, .external_lex_state = 15},
  [607] = {.lex_state = 0, .external_lex_state = 15},
  [608] = {.lex_state = 0, .external_lex_state = 15},
  [609] = {.lex_state = 0, .external_lex_state = 8},
  [610] = {.lex_state = 0, .external_lex_state = 10},
  [611] = {.lex_state = 0, .external_lex_state = 15},
  [612] = {.lex_state = 0, .external_lex_state = 15},
  [613] = {.lex_state = 0, .external_lex_state = 15},
  [614] = {.lex_state = 0, .external_lex_state = 11},
  [615] = {.lex_state = 0, .external_lex_state = 15},
  [616] = {.lex_state = 0, .external_lex_state = 15},
  [617] = {.lex_state = 0, .external_lex_state = 15},
  [618] = {.lex_state = 0, .external_lex_state = 15},
  [619] = {.lex_state = 0, .external_lex_state = 15},
  [620] = {.lex_state = 0, .external_lex_state = 15},
  [621] = {.lex_state = 0, .external_lex_state = 15},
  [622] = {.lex_state = 0, .external_lex_state = 15},
  [623] = {.lex_state = 0, .external_lex_state = 15},
  [624] = {.lex_state = 0, .external_lex_state = 15},
  [625] = {.lex_state = 0, .external_lex_state = 15},
  [626] = {.lex_state = 0, .external_lex_state = 15},
  [627] = {.lex_state = 0, .external_lex_state = 9},
  [628] = {.lex_state = 0, .external_lex_state = 9},
  [629] = {.lex_state = 0, .external_lex_state = 9},
  [630] = {.lex_state = 0, .external_lex_state = 8},
  [631] = {.lex_state = 0, .external_lex_state = 10},
  [632] = {.lex_state = 0, .external_lex_state = 11},
  [633] = {.lex_state = 0, .external_lex_state = 13},
  [634] = {.lex_state = 0, .external_lex_state = 13},
  [635] = {.lex_state = 0, .external_lex_state = 13},
  [636] = {.lex_state = 0, .external_lex_state = 8},
  [637] = {.lex_state = 0, .external_lex_state = 13},
  [638] = {.lex_state = 0, .external_lex_state = 13},
  [639] = {.lex_state = 0, .external_lex_state = 13},
  [640] = {.lex_state = 0, .external_lex_state = 13},
  [641] = {.lex_state = 0, .external_lex_state = 13},
  [642] = {.lex_state = 0, .external_lex_state = 13},
  [643] = {.lex_state = 0, .external_lex_state = 13},
  [644] = {.lex_state = 0, .external_lex_state = 13},
  [645] = {.lex_state = 0, .external_lex_state = 13},
  [646] = {.lex_state = 0, .external_lex_state = 13},
  [647] = {.lex_state = 0, .external_lex_state = 13},
  [648] = {.lex_state = 0, .external_lex_state = 13},
  [649] = {.lex_state = 0, .external_lex_state = 13},
  [650] = {.lex_state = 0, .external_lex_state = 8},
  [651] = {.lex_state = 0, .external_lex_state = 10},
  [652] = {.lex_state = 0, .external_lex_state = 11},
  [653] = {.lex_state = 0, .external_lex_state = 8},
  [654] = {.lex_state = 0, .external_lex_state = 8},
  [655] = {.lex_state = 0, .external_lex_state = 10},
  [656] = {.lex_state = 0, .external_lex_state = 11},
  [657] = {.lex_state = 0, .external_lex_state = 8},
  [658] = {.lex_state = 0, .external_lex_state = 8},
  [659] = {.lex_state = 0, .external_lex_state = 10},
  [660] = {.lex_state = 0, .external_lex_state = 11},
  [661] = {.lex_state = 0, .external_lex_state = 8},
  [662] = {.lex_state = 0, .external_lex_state = 8},
  [663] = {.lex_state = 0, .external_lex_state = 10},
  [664] = {.lex_state = 0, .external_lex_state = 11},
  [665] = {.lex_state = 0, .external_lex_state = 8},
  [666] = {.lex_state = 0, .external_lex_state = 8},
  [667] = {.lex_state = 0, .external_lex_state = 10},
  [668] = {.lex_state = 0, .external_lex_state = 11},
  [669] = {.lex_state = 0, .external_lex_state = 8},
  [670] = {.lex_state = 0, .external_lex_state = 8},
  [671] = {.lex_state = 0, .external_lex_state = 10},
  [672] = {.lex_state = 0, .external_lex_state = 11},
  [673] = {.lex_state = 0, .external_lex_state = 8},
  [674] = {.lex_state = 0, .external_lex_state = 8},
  [675] = {.lex_state = 0, .external_lex_state = 10},
  [676] = {.lex_state = 0, .external_lex_state = 11},
  [677] = {.lex_state = 0, .external_lex_state = 8},
  [678] = {.lex_state = 0, .external_lex_state = 8},
  [679] = {.lex_state = 0, .external_lex_state = 10},
  [680] = {.lex_state = 0, .external_lex_state = 11},
  [681] = {.lex_state = 0, .external_lex_state = 8},
  [682] = {.lex_state = 0, .external_lex_state = 10},
  [683] = {.lex_state = 0, .external_lex_state = 11},
  [684] = {.lex_state = 0, .external_lex_state = 8},
  [685] = {.lex_state = 0, .external_lex_state = 8},
  [686] = {.lex_state = 0, .external_lex_state = 10},
  [687] = {.lex_state = 0, .external_lex_state = 11},
  [688] = {.lex_state = 0, .external_lex_state = 6},
  [689] = {.lex_state = 0, .external_lex_state = 12},
  [690] = {.lex_state = 0, .external_lex_state = 10},
  [691] = {.lex_state = 0, .external_lex_state = 15},
  [692] = {.lex_state = 0, .external_lex_state = 9},
  [693] = {.lex_state = 0, .external_lex_state = 3},
  [694] = {.lex_state = 0, .external_lex_state = 5},
  [695] = {.lex_state = 0, .external_lex_state = 13},
  [696] = {.lex_state = 0, .external_lex_state = 14},
  [697] = {.lex_state = 0, .external_lex_state = 7},
  [698] = {.lex_state = 0, .external_lex_state = 9},
  [699] = {.lex_state = 0, .external_lex_state = 11},
  [700] = {.lex_state = 0, .external_lex_state = 14},
  [701] = {.lex_state = 0, .external_lex_state = 8},
  [702] = {.lex_state = 0, .external_lex_state = 6},
  [703] = {.lex_state = 0, .external_lex_state = 13},
  [704] = {.lex_state = 0, .external_lex_state = 12},
  [705] = {.lex_state = 0, .external_lex_state = 15},
  [706] = {.lex_state = 0, .external_lex_state = 14},
  [707] = {.lex_state = 0, .external_lex_state = 4},
  [708] = {.lex_state = 0, .external_lex_state = 13},
  [709] = {.lex_state = 0, .external_lex_state = 9},
  [710] = {.lex_state = 0, .external_lex_state = 12},
  [711] = {.lex_state = 0, .external_lex_state = 15},
  [712] = {.lex_state = 0, .external_lex_state = 14},
  [713] = {.lex_state = 0, .external_lex_state = 3},
  [714] = {.lex_state = 0, .external_lex_state = 7},
  [715] = {.lex_state = 0, .external_lex_state = 7},
  [716] = {.lex_state = 0, .external_lex_state = 7},
  [717] = {.lex_state = 0, .external_lex_state = 7},
  [718] = {.lex_state = 0, .external_lex_state = 6},
  [719] = {.lex_state = 0, .external_lex_state = 6},
  [720] = {.lex_state = 0, .external_lex_state = 6},
  [721] = {.lex_state = 0, .external_lex_state = 4},
  [722] = {.lex_state = 0, .external_lex_state = 3},
  [723] = {.lex_state = 0, .external_lex_state = 7},
  [724] = {.lex_state = 0, .external_lex_state = 7},
  [725] = {.lex_state = 0, .external_lex_state = 5},
  [726] = {.lex_state = 0, .external_lex_state = 5},
  [727] = {.lex_state = 0, .external_lex_state = 4},
  [728] = {.lex_state = 0, .external_lex_state = 6},
  [729] = {.lex_state = 0, .external_lex_state = 6},
  [730] = {.lex_state = 0, .external_lex_state = 7},
  [731] = {.lex_state = 0, .external_lex_state = 7},
  [732] = {.lex_state = 0, .external_lex_state = 6},
  [733] = {.lex_state = 0, .external_lex_state = 6},
  [734] = {.lex_state = 0, .external_lex_state = 4},
  [735] = {.lex_state = 0, .external_lex_state = 4},
  [736] = {.lex_state = 0, .external_lex_state = 4},
  [737] = {.lex_state = 0, .external_lex_state = 4},
  [738] = {.lex_state = 0, .external_lex_state = 4},
  [739] = {.lex_state = 0, .external_lex_state = 4},
  [740] = {.lex_state = 0, .external_lex_state = 5},
  [741] = {.lex_state = 0, .external_lex_state = 5},
  [742] = {.lex_state = 0, .external_lex_state = 6},
  [743] = {.lex_state = 0, .external_lex_state = 6},
  [744] = {.lex_state = 0, .external_lex_state = 5},
  [745] = {.lex_state = 0, .external_lex_state = 3},
  [746] = {.lex_state = 0, .external_lex_state = 3},
  [747] = {.lex_state = 0, .external_lex_state = 3},
  [748] = {.lex_state = 0, .external_lex_state = 3},
  [749] = {.lex_state = 0, .external_lex_state = 3},
  [750] = {.lex_state = 0, .external_lex_state = 5},
  [751] = {.lex_state = 0, .external_lex_state = 5},
  [752] = {.lex_state = 0, .external_lex_state = 5},
  [753] = {.lex_state = 0, .external_lex_state = 5},
  [754] = {.lex_state = 0, .external_lex_state = 3},
  [755] = {.lex_state = 0, .external_lex_state = 3},
  [756] = {.lex_state = 0, .external_lex_state = 7},
  [757] = {.lex_state = 0, .external_lex_state = 4},
  [758] = {.lex_state = 0, .external_lex_state = 15},
  [759] = {.lex_state = 0, .external_lex_state = 12},
  [760] = {.lex_state = 0, .external_lex_state = 9},
  [761] = {.lex_state = 0, .external_lex_state = 15},
  [762] = {.lex_state = 0, .external_lex_state = 14},
  [763] = {.lex_state = 0, .external_lex_state = 14},
  [764] = {.lex_state = 0, .external_lex_state = 14},
  [765] = {.lex_state = 0, .external_lex_state = 12},
  [766] = {.lex_state = 0, .external_lex_state = 12},
  [767] = {.lex_state = 0, .external_lex_state = 9},
  [768] = {.lex_state = 0, .external_lex_state = 15},
  [769] = {.lex_state = 0, .external_lex_state = 13},
  [770] = {.lex_state = 0, .external_lex_state = 14},
  [771] = {.lex_state = 0, .external_lex_state = 15},
  [772] = {.lex_state = 0, .external_lex_state = 15},
  [773] = {.lex_state = 0, .external_lex_state = 15},
  [774] = {.lex_state = 0, .external_lex_state = 15},
  [775] = {.lex_state = 0, .external_lex_state = 9},
  [776] = {.lex_state = 0, .external_lex_state = 9},
  [777] = {.lex_state = 0, .external_lex_state = 13},
  [778] = {.lex_state = 0, .external_lex_state = 9},
  [779] = {.lex_state = 0, .external_lex_state = 13},
  [780] = {.lex_state = 0, .external_lex_state = 15},
  [781] = {.lex_state = 0, .external_lex_state = 9},
  [782] = {.lex_state = 0, .external_lex_state = 6},
  [783] = {.lex_state = 0, .external_lex_state = 9},
  [784] = {.lex_state = 0, .external_lex_state = 13},
  [785] = {.lex_state = 0, .external_lex_state = 14},
  [786] = {.lex_state = 0, .external_lex_state = 14},
  [787] = {.lex_state = 0, .external_lex_state = 9},
  [788] = {.lex_state = 0, .external_lex_state = 5},
  [789] = {.lex_state = 0, .external_lex_state = 12},
  [790] = {.lex_state = 0, .external_lex_state = 15},
  [791] = {.lex_state = 0, .external_lex_state = 15},
  [792] = {.lex_state = 0, .external_lex_state = 12},
  [793] = {.lex_state = 0, .external_lex_state = 13},
  [794] = {.lex_state = 0, .external_lex_state = 14},
  [795] = {.lex_state = 0, .external_lex_state = 14},
  [796] = {.lex_state = 0, .external_lex_state = 7},
  [797] = {.lex_state = 0, .external_lex_state = 3},
  [798] = {.lex_state = 0, .external_lex_state = 14},
  [799] = {.lex_state = 0, .external_lex_state = 13},
  [800] = {.lex_state = 0, .external_lex_state = 4},
  [801] = {.lex_state = 0, .external_lex_state = 14},
  [802] = {.lex_state = 0, .external_lex_state = 13},
  [803] = {.lex_state = 0, .external_lex_state = 12},
  [804] = {.lex_state = 0, .external_lex_state = 12},
  [805] = {.lex_state = 0, .external_lex_state = 13},
  [806] = {.lex_state = 0, .external_lex_state = 9},
  [807] = {.lex_state = 0, .external_lex_state = 12},
  [808] = {.lex_state = 0, .external_lex_state = 13},
  [809] = {.lex_state = 0, .external_lex_state = 12},
  [810] = {.lex_state = 0, .external_lex_state = 9},
  [811] = {.lex_state = 0, .external_lex_state = 6},
  [812] = {.lex_state = 0, .external_lex_state = 16},
  [813] = {.lex_state = 0, .external_lex_state = 16},
  [814] = {.lex_state = 0, .external_lex_state = 4},
  [815] = {.lex_state = 0, .external_lex_state = 4},
  [816] = {.lex_state = 0, .external_lex_state = 4},
  [817] = {.lex_state = 0, .external_lex_state = 4},
  [818] = {.lex_state = 0, .external_lex_state = 4},
  [819] = {.lex_state = 0, .external_lex_state = 4},
  [820] = {.lex_state = 0, .external_lex_state = 4},
  [821] = {.lex_state = 0, .external_lex_state = 4},
  [822] = {.lex_state = 0, .external_lex_state = 16},
  [823] = {.lex_state = 0, .external_lex_state = 15},
  [824] = {.lex_state = 0, .external_lex_state = 4},
  [825] = {.lex_state = 0, .external_lex_state = 4},
  [826] = {.lex_state = 0, .external_lex_state = 4},
  [827] = {.lex_state = 0, .external_lex_state = 4},
  [828] = {.lex_state = 0, .external_lex_state = 4},
  [829] = {.lex_state = 0, .external_lex_state = 4},
  [830] = {.lex_state = 0, .external_lex_state = 4},
  [831] = {.lex_state = 0, .external_lex_state = 4},
  [832] = {.lex_state = 0, .external_lex_state = 4},
  [833] = {.lex_state = 0, .external_lex_state = 4},
  [834] = {.lex_state = 0, .external_lex_state = 4},
  [835] = {.lex_state = 0, .external_lex_state = 16},
  [836] = {.lex_state = 0, .external_lex_state = 13},
  [837] = {.lex_state = 0, .external_lex_state = 5},
  [838] = {.lex_state = 0, .external_lex_state = 5},
  [839] = {.lex_state = 0, .external_lex_state = 5},
  [840] = {.lex_state = 0, .external_lex_state = 5},
  [841] = {.lex_state = 0, .external_lex_state = 5},
  [842] = {.lex_state = 0, .external_lex_state = 5},
  [843] = {.lex_state = 0, .external_lex_state = 5},
  [844] = {.lex_state = 0, .external_lex_state = 5},
  [845] = {.lex_state = 0, .external_lex_state = 16},
  [846] = {.lex_state = 0, .external_lex_state = 9},
  [847] = {.lex_state = 0, .external_lex_state = 5},
  [848] = {.lex_state = 0, .external_lex_state = 5},
  [849] = {.lex_state = 0, .external_lex_state = 5},
  [850] = {.lex_state = 0, .external_lex_state = 5},
  [851] = {.lex_state = 0, .external_lex_state = 5},
  [852] = {.lex_state = 0, .external_lex_state = 5},
  [853] = {.lex_state = 0, .external_lex_state = 5},
  [854] = {.lex_state = 0, .external_lex_state = 5},
  [855] = {.lex_state = 0, .external_lex_state = 5},
  [856] = {.lex_state = 0, .external_lex_state = 5},
  [857] = {.lex_state = 0, .external_lex_state = 5},
  [858] = {.lex_state = 0, .external_lex_state = 6},
  [859] = {.lex_state = 0, .external_lex_state = 6},
  [860] = {.lex_state = 0, .external_lex_state = 6},
  [861] = {.lex_state = 0, .external_lex_state = 6},
  [862] = {.lex_state = 0, .external_lex_state = 16},
  [863] = {.lex_state = 0, .external_lex_state = 6},
  [864] = {.lex_state = 0, .external_lex_state = 6},
  [865] = {.lex_state = 0, .external_lex_state = 16},
  [866] = {.lex_state = 0, .external_lex_state = 16},
  [867] = {.lex_state = 0, .external_lex_state = 6},
  [868] = {.lex_state = 0, .external_lex_state = 6},
  [869] = {.lex_state = 0, .external_lex_state = 6},
  [870] = {.lex_state = 0, .external_lex_state = 6},
  [871] = {.lex_state = 0, .external_lex_state = 6},
  [872] = {.lex_state = 0, .external_lex_state = 6},
  [873] = {.lex_state = 0, .external_lex_state = 6},
  [874] = {.lex_state = 0, .external_lex_state = 6},
  [875] = {.lex_state = 0, .external_lex_state = 6},
  [876] = {.lex_state = 0, .external_lex_state = 6},
  [877] = {.lex_state = 0, .external_lex_state = 6},
  [878] = {.lex_state = 0, .external_lex_state = 16},
  [879] = {.lex_state = 0, .external_lex_state = 7},
  [880] = {.lex_state = 0, .external_lex_state = 16},
  [881] = {.lex_state = 0, .external_lex_state = 14},
  [882] = {.lex_state = 0, .external_lex_state = 7},
  [883] = {.lex_state = 0, .external_lex_state = 7},
  [884] = {.lex_state = 0, .external_lex_state = 7},
  [885] = {.lex_state = 0, .external_lex_state = 7},
  [886] = {.lex_state = 0, .external_lex_state = 7},
  [887] = {.lex_state = 0, .external_lex_state = 7},
  [888] = {.lex_state = 0, .external_lex_state = 7},
  [889] = {.lex_state = 0, .external_lex_state = 16},
  [890] = {.lex_state = 0, .external_lex_state = 7},
  [891] = {.lex_state = 0, .external_lex_state = 7},
  [892] = {.lex_state = 0, .external_lex_state = 7},
  [893] = {.lex_state = 0, .external_lex_state = 7},
  [894] = {.lex_state = 0, .external_lex_state = 7},
  [895] = {.lex_state = 0, .external_lex_state = 7},
  [896] = {.lex_state = 0, .external_lex_state = 7},
  [897] = {.lex_state = 0, .external_lex_state = 7},
  [898] = {.lex_state = 0, .external_lex_state = 7},
  [899] = {.lex_state = 0, .external_lex_state = 7},
  [900] = {.lex_state = 0, .external_lex_state = 7},
  [901] = {.lex_state = 0, .external_lex_state = 3},
  [902] = {.lex_state = 0, .external_lex_state = 16},
  [903] = {.lex_state = 0, .external_lex_state = 3},
  [904] = {.lex_state = 0, .external_lex_state = 3},
  [905] = {.lex_state = 0, .external_lex_state = 3},
  [906] = {.lex_state = 0, .external_lex_state = 3},
  [907] = {.lex_state = 0, .external_lex_state = 3},
  [908] = {.lex_state = 0, .external_lex_state = 3},
  [909] = {.lex_state = 0, .external_lex_state = 3},
  [910] = {.lex_state = 0, .external_lex_state = 16},
  [911] = {.lex_state = 0, .external_lex_state = 3},
  [912] = {.lex_state = 0, .external_lex_state = 3},
  [913] = {.lex_state = 0, .external_lex_state = 3},
  [914] = {.lex_state = 0, .external_lex_state = 3},
  [915] = {.lex_state = 0, .external_lex_state = 3},
  [916] = {.lex_state = 0, .external_lex_state = 3},
  [917] = {.lex_state = 0, .external_lex_state = 3},
  [918] = {.lex_state = 0, .external_lex_state = 3},
  [919] = {.lex_state = 0, .external_lex_state = 3},
  [920] = {.lex_state = 0, .external_lex_state = 3},
  [921] = {.lex_state = 0, .external_lex_state = 3},
  [922] = {.lex_state = 0, .external_lex_state = 16},
  [923] = {.lex_state = 0, .external_lex_state = 16},
  [924] = {.lex_state = 0, .external_lex_state = 12},
  [925] = {.lex_state = 0, .external_lex_state = 16},
  [926] = {.lex_state = 0, .external_lex_state = 16},
  [927] = {.lex_state = 0, .external_lex_state = 16},
  [928] = {.lex_state = 0, .external_lex_state = 16},
  [929] = {.lex_state = 0, .external_lex_state = 16},
  [930] = {.lex_state = 0, .external_lex_state = 16},
  [931] = {.lex_state = 0, .external_lex_state = 16},
  [932] = {.lex_state = 0, .external_lex_state = 16},
  [933] = {.lex_state = 0, .external_lex_state = 16},
  [934] = {.lex_state = 0, .external_lex_state = 6},
  [935] = {.lex_state = 0, .external_lex_state = 13},
  [936] = {.lex_state = 0, .external_lex_state = 12},
  [937] = {.lex_state = 0, .external_lex_state = 13},
  [938] = {.lex_state = 0, .external_lex_state = 8},
  [939] = {.lex_state = 0, .external_lex_state = 13},
  [940] = {.lex_state = 0, .external_lex_state = 13},
  [941] = {.lex_state = 0, .external_lex_state = 16},
  [942] = {.lex_state = 0, .external_lex_state = 15},
  [943] = {.lex_state = 0, .external_lex_state = 15},
  [944] = {.lex_state = 0, .external_lex_state = 15},
  [945] = {.lex_state = 0, .external_lex_state = 9},
  [946] = {.lex_state = 0, .external_lex_state = 14},
  [947] = {.lex_state = 0, .external_lex_state = 15},
  [948] = {.lex_state = 0, .external_lex_state = 9},
  [949] = {.lex_state = 0, .external_lex_state = 17},
  [950] = {.lex_state = 0, .external_lex_state = 9},
  [951] = {.lex_state = 0, .external_lex_state = 9},
  [952] = {.lex_state = 0, .external_lex_state = 9},
  [953] = {.lex_state = 0, .external_lex_state = 12},
  [954] = {.lex_state = 0, .external_lex_state = 13},
  [955] = {.lex_state = 0, .external_lex_state = 13},
  [956] = {.lex_state = 0, .external_lex_state = 12},
  [957] = {.lex_state = 0, .external_lex_state = 12},
  [958] = {.lex_state = 0, .external_lex_state = 9},
  [959] = {.lex_state = 0, .external_lex_state = 9},
  [960] = {.lex_state = 0, .external_lex_state = 9},
  [961] = {.lex_state = 0, .external_lex_state = 15},
  [962] = {.lex_state = 0, .external_lex_state = 14},
  [963] = {.lex_state = 0, .external_lex_state = 14},
  [964] = {.lex_state = 0, .external_lex_state = 14},
  [965] = {.lex_state = 0, .external_lex_state = 12},
  [966] = {.lex_state = 0, .external_lex_state = 12},
  [967] = {.lex_state = 0, .external_lex_state = 12},
  [968] = {.lex_state = 0, .external_lex_state = 14},
  [969] = {.lex_state = 0, .external_lex_state = 14},
  [970] = {.lex_state = 0, .external_lex_state = 14},
  [971] = {.lex_state = 0, .external_lex_state = 13},
  [972] = {.lex_state = 0, .external_lex_state = 12},
  [973] = {.lex_state = 0, .external_lex_state = 12},
  [974] = {.lex_state = 0, .external_lex_state = 9},
  [975] = {.lex_state = 0, .external_lex_state = 9},
  [976] = {.lex_state = 0, .external_lex_state = 13},
  [977] = {.lex_state = 0, .external_lex_state = 8},
  [978] = {.lex_state = 0, .external_lex_state = 13},
  [979] = {.lex_state = 0, .external_lex_state = 13},
  [980] = {.lex_state = 0, .external_lex_state = 14},
  [981] = {.lex_state = 0, .external_lex_state = 13},
  [982] = {.lex_state = 0, .external_lex_state = 9},
  [983] = {.lex_state = 0, .external_lex_state = 14},
  [984] = {.lex_state = 0, .external_lex_state = 9},
  [985] = {.lex_state = 0, .external_lex_state = 9},
  [986] = {.lex_state = 0, .external_lex_state = 9},
  [987] = {.lex_state = 0, .external_lex_state = 9},
  [988] = {.lex_state = 0, .external_lex_state = 14},
  [989] = {.lex_state = 0, .external_lex_state = 10},
  [990] = {.lex_state = 0, .external_lex_state = 14},
  [991] = {.lex_state = 0, .external_lex_state = 14},
  [992] = {.lex_state = 0, .external_lex_state = 13},
  [993] = {.lex_state = 0, .external_lex_state = 12},
  [994] = {.lex_state = 0, .external_lex_state = 9},
  [995] = {.lex_state = 0, .external_lex_state = 12},
  [996] = {.lex_state = 0, .external_lex_state = 14},
  [997] = {.lex_state = 0, .external_lex_state = 12},
  [998] = {.lex_state = 0, .external_lex_state = 13},
  [999] = {.lex_state = 0, .external_lex_state = 9},
  [1000] = {.lex_state = 0, .external_lex_state = 9},
  [1001] = {.lex_state = 0, .external_lex_state = 12},
  [1002] = {.lex_state = 0, .external_lex_state = 15},
  [1003] = {.lex_state = 0, .external_lex_state = 9},
  [1004] = {.lex_state = 0, .external_lex_state = 9},
  [1005] = {.lex_state = 0, .external_lex_state = 13},
  [1006] = {.lex_state = 0, .external_lex_state = 17},
  [1007] = {.lex_state = 0, .external_lex_state = 12},
  [1008] = {.lex_state = 0, .external_lex_state = 15},
  [1009] = {.lex_state = 0, .external_lex_state = 8},
  [1010] = {.lex_state = 0, .external_lex_state = 12},
  [1011] = {.lex_state = 0, .external_lex_state = 15},
  [1012] = {.lex_state = 0, .external_lex_state = 15},
  [1013] = {.lex_state = 0, .external_lex_state = 8},
  [1014] = {.lex_state = 0, .external_lex_state = 15},
  [1015] = {.lex_state = 0, .external_lex_state = 15},
  [1016] = {.lex_state = 0, .external_lex_state = 15},
  [1017] = {.lex_state = 0, .external_lex_state = 12},
  [1018] = {.lex_state = 0, .external_lex_state = 12},
  [1019] = {.lex_state = 0, .external_lex_state = 14},
  [1020] = {.lex_state = 0, .external_lex_state = 14},
  [1021] = {.lex_state = 0, .external_lex_state = 8},
  [1022] = {.lex_state = 0, .external_lex_state = 13},
  [1023] = {.lex_state = 0, .external_lex_state = 8},
  [1024] = {.lex_state = 0, .external_lex_state = 8},
  [1025] = {.lex_state = 0, .external_lex_state = 13},
  [1026] = {.lex_state = 0, .external_lex_state = 8},
  [1027] = {.lex_state = 0, .external_lex_state = 8},
  [1028] = {.lex_state = 0, .external_lex_state = 17},
  [1029] = {.lex_state = 0, .external_lex_state = 8},
  [1030] = {.lex_state = 0, .external_lex_state = 8},
  [1031] = {.lex_state = 0, .external_lex_state = 13},
  [1032] = {.lex_state = 0, .external_lex_state = 8},
  [1033] = {.lex_state = 0, .external_lex_state = 8},
  [1034] = {.lex_state = 0, .external_lex_state = 13},
  [1035] = {.lex_state = 0, .external_lex_state = 8},
  [1036] = {.lex_state = 0, .external_lex_state = 14},
  [1037] = {.lex_state = 0, .external_lex_state = 8},
  [1038] = {.lex_state = 0, .external_lex_state = 13},
  [1039] = {.lex_state = 0, .external_lex_state = 14},
  [1040] = {.lex_state = 0, .external_lex_state = 8},
  [1041] = {.lex_state = 0, .external_lex_state = 14},
  [1042] = {.lex_state = 0, .external_lex_state = 8},
  [1043] = {.lex_state = 0, .external_lex_state = 15},
  [1044] = {.lex_state = 0, .external_lex_state = 8},
  [1045] = {.lex_state = 0, .external_lex_state = 8},
  [1046] = {.lex_state = 0, .external_lex_state = 15},
  [1047] = {.lex_state = 0, .external_lex_state = 8},
  [1048] = {.lex_state = 0, .external_lex_state = 12},
  [1049] = {.lex_state = 0, .external_lex_state = 15},
  [1050] = {.lex_state = 0, .external_lex_state = 14},
  [1051] = {.lex_state = 0, .external_lex_state = 15},
  [1052] = {.lex_state = 0, .external_lex_state = 8},
  [1053] = {.lex_state = 0, .external_lex_state = 8},
  [1054] = {.lex_state = 0, .external_lex_state = 8},
  [1055] = {.lex_state = 0, .external_lex_state = 11},
  [1056] = {.lex_state = 0, .external_lex_state = 15},
  [1057] = {.lex_state = 0, .external_lex_state = 15},
  [1058] = {.lex_state = 0, .external_lex_state = 15},
  [1059] = {.lex_state = 0, .external_lex_state = 8},
  [1060] = {.lex_state = 0, .external_lex_state = 14},
  [1061] = {.lex_state = 0, .external_lex_state = 8},
  [1062] = {.lex_state = 0, .external_lex_state = 12},
  [1063] = {.lex_state = 0, .external_lex_state = 15},
  [1064] = {.lex_state = 0, .external_lex_state = 8},
  [1065] = {.lex_state = 0, .external_lex_state = 18},
  [1066] = {.lex_state = 0, .external_lex_state = 18},
  [1067] = {.lex_state = 0, .external_lex_state = 18},
  [1068] = {.lex_state = 0, .external_lex_state = 18},
  [1069] = {.lex_state = 0, .external_lex_state = 18},
  [1070] = {.lex_state = 0, .external_lex_state = 18},
  [1071] = {.lex_state = 0, .external_lex_state = 18},
  [1072] = {.lex_state = 0, .external_lex_state = 18},
  [1073] = {.lex_state = 0, .external_lex_state = 18},
  [1074] = {.lex_state = 0, .external_lex_state = 18},
  [1075] = {.lex_state = 0, .external_lex_state = 18},
  [1076] = {.lex_state = 0, .external_lex_state = 18},
  [1077] = {.lex_state = 0, .external_lex_state = 18},
  [1078] = {.lex_state = 0, .external_lex_state = 18},
  [1079] = {.lex_state = 0, .external_lex_state = 18},
  [1080] = {.lex_state = 0, .external_lex_state = 18},
  [1081] = {.lex_state = 0, .external_lex_state = 18},
  [1082] = {.lex_state = 0, .external_lex_state = 18},
  [1083] = {.lex_state = 0, .external_lex_state = 18},
  [1084] = {.lex_state = 0, .external_lex_state = 18},
  [1085] = {.lex_state = 0, .external_lex_state = 18},
  [1086] = {.lex_state = 0, .external_lex_state = 18},
  [1087] = {.lex_state = 0, .external_lex_state = 18},
  [1088] = {.lex_state = 0, .external_lex_state = 18},
  [1089] = {.lex_state = 0, .external_lex_state = 18},
  [1090] = {.lex_state = 0, .external_lex_state = 18},
  [1091] = {.lex_state = 0, .external_lex_state = 18},
  [1092] = {.lex_state = 0, .external_lex_state = 18},
  [1093] = {.lex_state = 0, .external_lex_state = 18},
  [1094] = {.lex_state = 0, .external_lex_state = 18},
  [1095] = {.lex_state = 0, .external_lex_state = 18},
  [1096] = {.lex_state = 0, .external_lex_state = 18},
  [1097] = {.lex_state = 0, .external_lex_state = 18},
  [1098] = {.lex_state = 0, .external_lex_state = 18},
  [1099] = {.lex_state = 0, .external_lex_state = 18},
  [1100] = {.lex_state = 0, .external_lex_state = 18},
  [1101] = {.lex_state = 0, .external_lex_state = 18},
  [1102] = {.lex_state = 0, .external_lex_state = 18},
  [1103] = {.lex_state = 0, .external_lex_state = 18},
  [1104] = {.lex_state = 0, .external_lex_state = 18},
  [1105] = {.lex_state = 0, .external_lex_state = 18},
  [1106] = {.lex_state = 0, .external_lex_state = 18},
  [1107] = {.lex_state = 0, .external_lex_state = 18},
  [1108] = {.lex_state = 0, .external_lex_state = 18},
  [1109] = {.lex_state = 0, .external_lex_state = 18},
  [1110] = {.lex_state = 0, .external_lex_state = 18},
  [1111] = {.lex_state = 0, .external_lex_state = 18},
  [1112] = {.lex_state = 0, .external_lex_state = 18},
  [1113] = {.lex_state = 0, .external_lex_state = 18},
  [1114] = {.lex_state = 0, .external_lex_state = 18},
  [1115] = {.lex_state = 0, .external_lex_state = 18},
  [1116] = {.lex_state = 0, .external_lex_state = 18},
  [1117] = {.lex_state = 0, .external_lex_state = 18},
  [1118] = {.lex_state = 0, .external_lex_state = 18},
  [1119] = {.lex_state = 0, .external_lex_state = 18},
  [1120] = {.lex_state = 0, .external_lex_state = 18},
  [1121] = {.lex_state = 0, .external_lex_state = 18},
  [1122] = {.lex_state = 0, .external_lex_state = 18},
  [1123] = {.lex_state = 0, .external_lex_state = 18},
  [1124] = {.lex_state = 0, .external_lex_state = 18},
  [1125] = {.lex_state = 0, .external_lex_state = 18},
  [1126] = {.lex_state = 0, .external_lex_state = 18},
  [1127] = {.lex_state = 0, .external_lex_state = 18},
  [1128] = {.lex_state = 0, .external_lex_state = 18},
  [1129] = {.lex_state = 0, .external_lex_state = 18},
  [1130] = {.lex_state = 0, .external_lex_state = 18},
  [1131] = {.lex_state = 0, .external_lex_state = 18},
  [1132] = {.lex_state = 0, .external_lex_state = 18},
  [1133] = {.lex_state = 0, .external_lex_state = 18},
  [1134] = {.lex_state = 0, .external_lex_state = 18},
  [1135] = {.lex_state = 0, .external_lex_state = 18},
  [1136] = {.lex_state = 0, .external_lex_state = 18},
  [1137] = {.lex_state = 0, .external_lex_state = 18},
  [1138] = {.lex_state = 0, .external_lex_state = 18},
  [1139] = {.lex_state = 0, .external_lex_state = 18},
  [1140] = {.lex_state = 0, .external_lex_state = 18},
  [1141] = {.lex_state = 0, .external_lex_state = 18},
  [1142] = {.lex_state = 0, .external_lex_state = 18},
  [1143] = {.lex_state = 0, .external_lex_state = 18},
  [1144] = {.lex_state = 0, .external_lex_state = 18},
  [1145] = {.lex_state = 0, .external_lex_state = 18},
  [1146] = {.lex_state = 0, .external_lex_state = 18},
  [1147] = {.lex_state = 0, .external_lex_state = 18},
  [1148] = {.lex_state = 0, .external_lex_state = 18},
  [1149] = {.lex_state = 0, .external_lex_state = 18},
  [1150] = {.lex_state = 0, .external_lex_state = 18},
  [1151] = {.lex_state = 0, .external_lex_state = 18},
  [1152] = {.lex_state = 0, .external_lex_state = 18},
  [1153] = {.lex_state = 0, .external_lex_state = 18},
  [1154] = {.lex_state = 0, .external_lex_state = 18},
  [1155] = {.lex_state = 0, .external_lex_state = 18},
  [1156] = {.lex_state = 0, .external_lex_state = 18},
  [1157] = {.lex_state = 0, .external_lex_state = 18},
  [1158] = {.lex_state = 0, .external_lex_state = 18},
  [1159] = {.lex_state = 0, .external_lex_state = 18},
  [1160] = {.lex_state = 0, .external_lex_state = 18},
  [1161] = {.lex_state = 0, .external_lex_state = 18},
  [1162] = {.lex_state = 0, .external_lex_state = 18},
  [1163] = {.lex_state = 0, .external_lex_state = 18},
  [1164] = {.lex_state = 0, .external_lex_state = 18},
  [1165] = {.lex_state = 0, .external_lex_state = 18},
  [1166] = {.lex_state = 0, .external_lex_state = 18},
  [1167] = {.lex_state = 0, .external_lex_state = 18},
  [1168] = {.lex_state = 0, .external_lex_state = 18},
  [1169] = {.lex_state = 0, .external_lex_state = 18},
  [1170] = {.lex_state = 0, .external_lex_state = 18},
  [1171] = {.lex_state = 0, .external_lex_state = 18},
  [1172] = {.lex_state = 0, .external_lex_state = 18},
  [1173] = {.lex_state = 0, .external_lex_state = 18},
  [1174] = {.lex_state = 0, .external_lex_state = 18},
  [1175] = {.lex_state = 0, .external_lex_state = 18},
  [1176] = {.lex_state = 0, .external_lex_state = 18},
  [1177] = {.lex_state = 0, .external_lex_state = 18},
  [1178] = {.lex_state = 0, .external_lex_state = 18},
  [1179] = {.lex_state = 0, .external_lex_state = 18},
  [1180] = {.lex_state = 0, .external_lex_state = 18},
  [1181] = {.lex_state = 0, .external_lex_state = 18},
  [1182] = {.lex_state = 0, .external_lex_state = 18},
  [1183] = {.lex_state = 0, .external_lex_state = 18},
  [1184] = {.lex_state = 0, .external_lex_state = 18},
  [1185] = {.lex_state = 0, .external_lex_state = 18},
  [1186] = {.lex_state = 0, .external_lex_state = 18},
  [1187] = {.lex_state = 0, .external_lex_state = 18},
  [1188] = {.lex_state = 0, .external_lex_state = 18},
  [1189] = {.lex_state = 0, .external_lex_state = 18},
  [1190] = {.lex_state = 0, .external_lex_state = 18},
  [1191] = {.lex_state = 0, .external_lex_state = 18},
  [1192] = {.lex_state = 0, .external_lex_state = 18},
  [1193] = {.lex_state = 0, .external_lex_state = 18},
  [1194] = {.lex_state = 0, .external_lex_state = 18},
  [1195] = {.lex_state = 0, .external_lex_state = 18},
  [1196] = {.lex_state = 0, .external_lex_state = 18},
  [1197] = {.lex_state = 0, .external_lex_state = 18},
  [1198] = {.lex_state = 0, .external_lex_state = 18},
  [1199] = {.lex_state = 0, .external_lex_state = 18},
  [1200] = {.lex_state = 0, .external_lex_state = 18},
  [1201] = {.lex_state = 0, .external_lex_state = 18},
  [1202] = {.lex_state = 0, .external_lex_state = 18},
  [1203] = {.lex_state = 0, .external_lex_state = 18},
  [1204] = {.lex_state = 0, .external_lex_state = 18},
  [1205] = {.lex_state = 0, .external_lex_state = 18},
  [1206] = {.lex_state = 0, .external_lex_state = 18},
  [1207] = {.lex_state = 0, .external_lex_state = 18},
  [1208] = {.lex_state = 0, .external_lex_state = 18},
  [1209] = {.lex_state = 0, .external_lex_state = 18},
  [1210] = {.lex_state = 0, .external_lex_state = 18},
  [1211] = {.lex_state = 0, .external_lex_state = 18},
  [1212] = {.lex_state = 0, .external_lex_state = 18},
  [1213] = {.lex_state = 0, .external_lex_state = 18},
  [1214] = {.lex_state = 0, .external_lex_state = 18},
  [1215] = {.lex_state = 0, .external_lex_state = 18},
  [1216] = {.lex_state = 0, .external_lex_state = 18},
  [1217] = {.lex_state = 0, .external_lex_state = 18},
  [1218] = {.lex_state = 0, .external_lex_state = 18},
  [1219] = {.lex_state = 0, .external_lex_state = 18},
  [1220] = {.lex_state = 0, .external_lex_state = 18},
  [1221] = {.lex_state = 0, .external_lex_state = 18},
  [1222] = {.lex_state = 0, .external_lex_state = 18},
  [1223] = {.lex_state = 0, .external_lex_state = 18},
  [1224] = {.lex_state = 0, .external_lex_state = 18},
  [1225] = {.lex_state = 0, .external_lex_state = 18},
  [1226] = {.lex_state = 0, .external_lex_state = 18},
  [1227] = {.lex_state = 0, .external_lex_state = 18},
  [1228] = {.lex_state = 0, .external_lex_state = 18},
  [1229] = {.lex_state = 0, .external_lex_state = 18},
  [1230] = {.lex_state = 0, .external_lex_state = 18},
  [1231] = {.lex_state = 0, .external_lex_state = 18},
  [1232] = {.lex_state = 0, .external_lex_state = 18},
  [1233] = {.lex_state = 0, .external_lex_state = 18},
  [1234] = {.lex_state = 0, .external_lex_state = 18},
  [1235] = {.lex_state = 0, .external_lex_state = 18},
  [1236] = {.lex_state = 0, .external_lex_state = 18},
  [1237] = {.lex_state = 0, .external_lex_state = 18},
  [1238] = {.lex_state = 0, .external_lex_state = 18},
  [1239] = {.lex_state = 0, .external_lex_state = 18},
  [1240] = {.lex_state = 0, .external_lex_state = 18},
  [1241] = {.lex_state = 0, .external_lex_state = 18},
  [1242] = {.lex_state = 0, .external_lex_state = 18},
  [1243] = {.lex_state = 0, .external_lex_state = 18},
  [1244] = {.lex_state = 0, .external_lex_state = 18},
  [1245] = {.lex_state = 0, .external_lex_state = 18},
  [1246] = {.lex_state = 0, .external_lex_state = 18},
  [1247] = {.lex_state = 0, .external_lex_state = 18},
  [1248] = {.lex_state = 0, .external_lex_state = 18},
  [1249] = {.lex_state = 0, .external_lex_state = 18},
  [1250] = {.lex_state = 0, .external_lex_state = 18},
  [1251] = {.lex_state = 0, .external_lex_state = 18},
  [1252] = {.lex_state = 0, .external_lex_state = 18},
  [1253] = {.lex_state = 0, .external_lex_state = 18},
  [1254] = {.lex_state = 0, .external_lex_state = 18},
  [1255] = {.lex_state = 0, .external_lex_state = 18},
  [1256] = {.lex_state = 0, .external_lex_state = 18},
  [1257] = {.lex_state = 0, .external_lex_state = 18},
  [1258] = {.lex_state = 0, .external_lex_state = 18},
  [1259] = {.lex_state = 0, .external_lex_state = 18},
  [1260] = {.lex_state = 0, .external_lex_state = 18},
  [1261] = {.lex_state = 0, .external_lex_state = 18},
  [1262] = {.lex_state = 0, .external_lex_state = 18},
  [1263] = {.lex_state = 0, .external_lex_state = 18},
  [1264] = {.lex_state = 0, .external_lex_state = 18},
  [1265] = {.lex_state = 0, .external_lex_state = 18},
  [1266] = {.lex_state = 0, .external_lex_state = 18},
  [1267] = {.lex_state = 0, .external_lex_state = 18},
  [1268] = {.lex_state = 0, .external_lex_state = 18},
  [1269] = {.lex_state = 0, .external_lex_state = 18},
  [1270] = {.lex_state = 0, .external_lex_state = 18},
  [1271] = {.lex_state = 0, .external_lex_state = 18},
  [1272] = {.lex_state = 0, .external_lex_state = 18},
  [1273] = {.lex_state = 0, .external_lex_state = 18},
  [1274] = {.lex_state = 0, .external_lex_state = 18},
  [1275] = {.lex_state = 0, .external_lex_state = 18},
  [1276] = {.lex_state = 0, .external_lex_state = 18},
  [1277] = {.lex_state = 0, .external_lex_state = 18},
  [1278] = {.lex_state = 0, .external_lex_state = 18},
  [1279] = {.lex_state = 0, .external_lex_state = 18},
  [1280] = {.lex_state = 0, .external_lex_state = 18},
  [1281] = {.lex_state = 0, .external_lex_state = 18},
  [1282] = {.lex_state = 0, .external_lex_state = 18},
  [1283] = {.lex_state = 0, .external_lex_state = 18},
  [1284] = {.lex_state = 0, .external_lex_state = 18},
  [1285] = {.lex_state = 0, .external_lex_state = 18},
  [1286] = {.lex_state = 0, .external_lex_state = 18},
  [1287] = {.lex_state = 0, .external_lex_state = 18},
  [1288] = {.lex_state = 0, .external_lex_state = 18},
  [1289] = {.lex_state = 0, .external_lex_state = 18},
  [1290] = {.lex_state = 0, .external_lex_state = 18},
  [1291] = {.lex_state = 0, .external_lex_state = 18},
  [1292] = {.lex_state = 0, .external_lex_state = 18},
  [1293] = {.lex_state = 0, .external_lex_state = 18},
  [1294] = {.lex_state = 0, .external_lex_state = 18},
  [1295] = {.lex_state = 0, .external_lex_state = 18},
  [1296] = {.lex_state = 0, .external_lex_state = 18},
  [1297] = {.lex_state = 0, .external_lex_state = 18},
  [1298] = {.lex_state = 0, .external_lex_state = 18},
  [1299] = {.lex_state = 0, .external_lex_state = 18},
  [1300] = {.lex_state = 0, .external_lex_state = 18},
  [1301] = {.lex_state = 0, .external_lex_state = 18},
  [1302] = {.lex_state = 0, .external_lex_state = 18},
  [1303] = {.lex_state = 0, .external_lex_state = 18},
  [1304] = {.lex_state = 0, .external_lex_state = 18},
  [1305] = {.lex_state = 0, .external_lex_state = 18},
  [1306] = {.lex_state = 0, .external_lex_state = 18},
  [1307] = {.lex_state = 0, .external_lex_state = 18},
  [1308] = {.lex_state = 0, .external_lex_state = 18},
  [1309] = {.lex_state = 0, .external_lex_state = 18},
  [1310] = {.lex_state = 0, .external_lex_state = 18},
  [1311] = {.lex_state = 0, .external_lex_state = 18},
  [1312] = {.lex_state = 0, .external_lex_state = 18},
  [1313] = {.lex_state = 0, .external_lex_state = 18},
  [1314] = {.lex_state = 0, .external_lex_state = 18},
  [1315] = {.lex_state = 0, .external_lex_state = 18},
  [1316] = {.lex_state = 0, .external_lex_state = 18},
  [1317] = {.lex_state = 0, .external_lex_state = 18},
  [1318] = {.lex_state = 0, .external_lex_state = 18},
  [1319] = {.lex_state = 0, .external_lex_state = 18},
  [1320] = {.lex_state = 0, .external_lex_state = 18},
  [1321] = {.lex_state = 0, .external_lex_state = 18},
  [1322] = {.lex_state = 0, .external_lex_state = 18},
  [1323] = {.lex_state = 0, .external_lex_state = 18},
  [1324] = {.lex_state = 0, .external_lex_state = 18},
  [1325] = {.lex_state = 0, .external_lex_state = 18},
  [1326] = {.lex_state = 0, .external_lex_state = 18},
  [1327] = {.lex_state = 0, .external_lex_state = 18},
  [1328] = {.lex_state = 0, .external_lex_state = 18},
  [1329] = {.lex_state = 0, .external_lex_state = 18},
  [1330] = {.lex_state = 0, .external_lex_state = 18},
  [1331] = {.lex_state = 0, .external_lex_state = 18},
  [1332] = {.lex_state = 0, .external_lex_state = 18},
  [1333] = {.lex_state = 0, .external_lex_state = 18},
  [1334] = {.lex_state = 0, .external_lex_state = 18},
  [1335] = {.lex_state = 0, .external_lex_state = 18},
  [1336] = {.lex_state = 0, .external_lex_state = 18},
  [1337] = {.lex_state = 0, .external_lex_state = 18},
  [1338] = {.lex_state = 0, .external_lex_state = 18},
  [1339] = {.lex_state = 0, .external_lex_state = 18},
  [1340] = {.lex_state = 0, .external_lex_state = 18},
  [1341] = {.lex_state = 0, .external_lex_state = 18},
  [1342] = {.lex_state = 0, .external_lex_state = 18},
  [1343] = {.lex_state = 0, .external_lex_state = 18},
  [1344] = {.lex_state = 0, .external_lex_state = 18},
  [1345] = {.lex_state = 0, .external_lex_state = 18},
  [1346] = {.lex_state = 0, .external_lex_state = 18},
  [1347] = {.lex_state = 0, .external_lex_state = 18},
  [1348] = {.lex_state = 0, .external_lex_state = 18},
  [1349] = {.lex_state = 0, .external_lex_state = 18},
  [1350] = {.lex_state = 0, .external_lex_state = 18},
  [1351] = {.lex_state = 0, .external_lex_state = 18},
  [1352] = {.lex_state = 0, .external_lex_state = 18},
  [1353] = {.lex_state = 0, .external_lex_state = 18},
  [1354] = {.lex_state = 0, .external_lex_state = 18},
  [1355] = {.lex_state = 0, .external_lex_state = 18},
  [1356] = {.lex_state = 0, .external_lex_state = 18},
  [1357] = {.lex_state = 0, .external_lex_state = 18},
  [1358] = {.lex_state = 0, .external_lex_state = 18},
  [1359] = {.lex_state = 0, .external_lex_state = 18},
  [1360] = {.lex_state = 0, .external_lex_state = 18},
  [1361] = {.lex_state = 0, .external_lex_state = 18},
  [1362] = {.lex_state = 0, .external_lex_state = 18},
  [1363] = {.lex_state = 0, .external_lex_state = 18},
  [1364] = {.lex_state = 0, .external_lex_state = 18},
  [1365] = {.lex_state = 0, .external_lex_state = 18},
  [1366] = {.lex_state = 0, .external_lex_state = 18},
  [1367] = {.lex_state = 0, .external_lex_state = 18},
  [1368] = {.lex_state = 0, .external_lex_state = 18},
  [1369] = {.lex_state = 0, .external_lex_state = 18},
  [1370] = {.lex_state = 0, .external_lex_state = 18},
  [1371] = {.lex_state = 0, .external_lex_state = 18},
  [1372] = {.lex_state = 0, .external_lex_state = 18},
  [1373] = {.lex_state = 0, .external_lex_state = 18},
  [1374] = {.lex_state = 0, .external_lex_state = 18},
  [1375] = {.lex_state = 0, .external_lex_state = 18},
  [1376] = {.lex_state = 0, .external_lex_state = 18},
  [1377] = {.lex_state = 0, .external_lex_state = 18},
  [1378] = {.lex_state = 0, .external_lex_state = 18},
  [1379] = {.lex_state = 0, .external_lex_state = 18},
  [1380] = {.lex_state = 0, .external_lex_state = 18},
  [1381] = {.lex_state = 0, .external_lex_state = 18},
  [1382] = {.lex_state = 0, .external_lex_state = 18},
  [1383] = {.lex_state = 0, .external_lex_state = 18},
  [1384] = {.lex_state = 0, .external_lex_state = 18},
  [1385] = {.lex_state = 0, .external_lex_state = 18},
  [1386] = {.lex_state = 0, .external_lex_state = 18},
  [1387] = {.lex_state = 0, .external_lex_state = 18},
  [1388] = {.lex_state = 0, .external_lex_state = 18},
  [1389] = {.lex_state = 0, .external_lex_state = 18},
  [1390] = {.lex_state = 0, .external_lex_state = 18},
  [1391] = {.lex_state = 0, .external_lex_state = 18},
  [1392] = {.lex_state = 0, .external_lex_state = 18},
  [1393] = {.lex_state = 0, .external_lex_state = 18},
  [1394] = {.lex_state = 0, .external_lex_state = 18},
  [1395] = {.lex_state = 0, .external_lex_state = 18},
  [1396] = {.lex_state = 0, .external_lex_state = 18},
  [1397] = {.lex_state = 0, .external_lex_state = 18},
  [1398] = {.lex_state = 0, .external_lex_state = 18},
  [1399] = {.lex_state = 0, .external_lex_state = 18},
  [1400] = {.lex_state = 0, .external_lex_state = 18},
  [1401] = {.lex_state = 0, .external_lex_state = 18},
  [1402] = {.lex_state = 0, .external_lex_state = 18},
  [1403] = {.lex_state = 0, .external_lex_state = 18},
  [1404] = {.lex_state = 0, .external_lex_state = 18},
  [1405] = {.lex_state = 0, .external_lex_state = 18},
  [1406] = {.lex_state = 0, .external_lex_state = 18},
  [1407] = {.lex_state = 0, .external_lex_state = 18},
  [1408] = {.lex_state = 0, .external_lex_state = 18},
  [1409] = {.lex_state = 0, .external_lex_state = 18},
  [1410] = {.lex_state = 0, .external_lex_state = 18},
  [1411] = {.lex_state = 0, .external_lex_state = 18},
  [1412] = {.lex_state = 0, .external_lex_state = 18},
  [1413] = {.lex_state = 0, .external_lex_state = 18},
  [1414] = {.lex_state = 0, .external_lex_state = 18},
  [1415] = {.lex_state = 0, .external_lex_state = 18},
  [1416] = {.lex_state = 0, .external_lex_state = 18},
  [1417] = {.lex_state = 0, .external_lex_state = 18},
  [1418] = {.lex_state = 0, .external_lex_state = 18},
  [1419] = {.lex_state = 0, .external_lex_state = 18},
  [1420] = {.lex_state = 0, .external_lex_state = 18},
  [1421] = {.lex_state = 0, .external_lex_state = 18},
  [1422] = {.lex_state = 0, .external_lex_state = 18},
  [1423] = {.lex_state = 0, .external_lex_state = 18},
  [1424] = {.lex_state = 0, .external_lex_state = 18},
  [1425] = {.lex_state = 0, .external_lex_state = 18},
  [1426] = {.lex_state = 0, .external_lex_state = 18},
  [1427] = {.lex_state = 0, .external_lex_state = 18},
  [1428] = {.lex_state = 0, .external_lex_state = 18},
  [1429] = {.lex_state = 0, .external_lex_state = 18},
  [1430] = {.lex_state = 0, .external_lex_state = 18},
  [1431] = {.lex_state = 0, .external_lex_state = 18},
  [1432] = {.lex_state = 0, .external_lex_state = 18},
  [1433] = {.lex_state = 0, .external_lex_state = 18},
  [1434] = {.lex_state = 0, .external_lex_state = 18},
  [1435] = {.lex_state = 0, .external_lex_state = 18},
  [1436] = {.lex_state = 0, .external_lex_state = 18},
  [1437] = {.lex_state = 0, .external_lex_state = 18},
  [1438] = {.lex_state = 0, .external_lex_state = 18},
  [1439] = {.lex_state = 0, .external_lex_state = 18},
  [1440] = {.lex_state = 0, .external_lex_state = 18},
  [1441] = {.lex_state = 0, .external_lex_state = 18},
  [1442] = {.lex_state = 0, .external_lex_state = 18},
  [1443] = {.lex_state = 0, .external_lex_state = 18},
  [1444] = {.lex_state = 0, .external_lex_state = 18},
  [1445] = {.lex_state = 0, .external_lex_state = 18},
  [1446] = {.lex_state = 0, .external_lex_state = 18},
  [1447] = {.lex_state = 0, .external_lex_state = 18},
  [1448] = {.lex_state = 0, .external_lex_state = 18},
  [1449] = {.lex_state = 0, .external_lex_state = 18},
  [1450] = {.lex_state = 0, .external_lex_state = 18},
  [1451] = {.lex_state = 0, .external_lex_state = 18},
  [1452] = {.lex_state = 0, .external_lex_state = 18},
  [1453] = {.lex_state = 0, .external_lex_state = 18},
  [1454] = {.lex_state = 0, .external_lex_state = 18},
  [1455] = {.lex_state = 0, .external_lex_state = 18},
  [1456] = {.lex_state = 0, .external_lex_state = 18},
  [1457] = {.lex_state = 0, .external_lex_state = 18},
  [1458] = {.lex_state = 0, .external_lex_state = 18},
  [1459] = {.lex_state = 0, .external_lex_state = 18},
  [1460] = {.lex_state = 0, .external_lex_state = 18},
  [1461] = {.lex_state = 0, .external_lex_state = 18},
  [1462] = {.lex_state = 0, .external_lex_state = 18},
  [1463] = {.lex_state = 0, .external_lex_state = 18},
  [1464] = {.lex_state = 0, .external_lex_state = 18},
  [1465] = {.lex_state = 0, .external_lex_state = 18},
  [1466] = {.lex_state = 0, .external_lex_state = 18},
  [1467] = {.lex_state = 0, .external_lex_state = 18},
  [1468] = {.lex_state = 0, .external_lex_state = 18},
  [1469] = {.lex_state = 0, .external_lex_state = 18},
  [1470] = {.lex_state = 0, .external_lex_state = 18},
  [1471] = {.lex_state = 0, .external_lex_state = 18},
  [1472] = {.lex_state = 0, .external_lex_state = 18},
  [1473] = {.lex_state = 0, .external_lex_state = 18},
  [1474] = {.lex_state = 0, .external_lex_state = 18},
  [1475] = {.lex_state = 0, .external_lex_state = 18},
  [1476] = {.lex_state = 0, .external_lex_state = 18},
  [1477] = {.lex_state = 0, .external_lex_state = 18},
  [1478] = {.lex_state = 0, .external_lex_state = 18},
  [1479] = {.lex_state = 0, .external_lex_state = 18},
  [1480] = {.lex_state = 0, .external_lex_state = 18},
  [1481] = {.lex_state = 0, .external_lex_state = 18},
  [1482] = {.lex_state = 0, .external_lex_state = 18},
  [1483] = {.lex_state = 0, .external_lex_state = 18},
  [1484] = {.lex_state = 0, .external_lex_state = 18},
  [1485] = {.lex_state = 0, .external_lex_state = 18},
  [1486] = {.lex_state = 0, .external_lex_state = 18},
  [1487] = {.lex_state = 0, .external_lex_state = 18},
  [1488] = {.lex_state = 0, .external_lex_state = 18},
  [1489] = {.lex_state = 0, .external_lex_state = 18},
  [1490] = {.lex_state = 0, .external_lex_state = 18},
  [1491] = {.lex_state = 0, .external_lex_state = 18},
  [1492] = {.lex_state = 0, .external_lex_state = 18},
  [1493] = {.lex_state = 0, .external_lex_state = 18},
  [1494] = {.lex_state = 0, .external_lex_state = 18},
  [1495] = {.lex_state = 0, .external_lex_state = 18},
  [1496] = {.lex_state = 0, .external_lex_state = 18},
  [1497] = {.lex_state = 0, .external_lex_state = 18},
  [1498] = {.lex_state = 0, .external_lex_state = 18},
  [1499] = {.lex_state = 0, .external_lex_state = 18},
  [1500] = {.lex_state = 0, .external_lex_state = 18},
  [1501] = {.lex_state = 0, .external_lex_state = 18},
  [1502] = {.lex_state = 0, .external_lex_state = 18},
  [1503] = {.lex_state = 0, .external_lex_state = 18},
  [1504] = {.lex_state = 0, .external_lex_state = 18},
  [1505] = {.lex_state = 0, .external_lex_state = 18},
  [1506] = {.lex_state = 0, .external_lex_state = 18},
  [1507] = {.lex_state = 0, .external_lex_state = 18},
  [1508] = {.lex_state = 0, .external_lex_state = 18},
  [1509] = {.lex_state = 0, .external_lex_state = 18},
  [1510] = {.lex_state = 0, .external_lex_state = 18},
  [1511] = {.lex_state = 0, .external_lex_state = 18},
  [1512] = {.lex_state = 0, .external_lex_state = 18},
  [1513] = {.lex_state = 0, .external_lex_state = 18},
  [1514] = {.lex_state = 0, .external_lex_state = 18},
  [1515] = {.lex_state = 0, .external_lex_state = 18},
  [1516] = {.lex_state = 0, .external_lex_state = 18},
  [1517] = {.lex_state = 0, .external_lex_state = 18},
  [1518] = {.lex_state = 0, .external_lex_state = 18},
  [1519] = {.lex_state = 0, .external_lex_state = 18},
  [1520] = {.lex_state = 0, .external_lex_state = 18},
  [1521] = {.lex_state = 0, .external_lex_state = 18},
  [1522] = {.lex_state = 0, .external_lex_state = 18},
  [1523] = {.lex_state = 0, .external_lex_state = 18},
  [1524] = {.lex_state = 0, .external_lex_state = 18},
  [1525] = {.lex_state = 0, .external_lex_state = 18},
  [1526] = {.lex_state = 0, .external_lex_state = 18},
  [1527] = {.lex_state = 0, .external_lex_state = 18},
  [1528] = {.lex_state = 0, .external_lex_state = 18},
  [1529] = {.lex_state = 0, .external_lex_state = 18},
  [1530] = {.lex_state = 0, .external_lex_state = 19},
  [1531] = {.lex_state = 0, .external_lex_state = 18},
  [1532] = {.lex_state = 0, .external_lex_state = 18},
  [1533] = {.lex_state = 0, .external_lex_state = 18},
  [1534] = {.lex_state = 0, .external_lex_state = 18},
  [1535] = {.lex_state = 0, .external_lex_state = 18},
  [1536] = {.lex_state = 0, .external_lex_state = 18},
  [1537] = {.lex_state = 0, .external_lex_state = 18},
  [1538] = {.lex_state = 0, .external_lex_state = 18},
  [1539] = {.lex_state = 0, .external_lex_state = 18},
  [1540] = {.lex_state = 0, .external_lex_state = 18},
  [1541] = {.lex_state = 0, .external_lex_state = 18},
  [1542] = {.lex_state = 0, .external_lex_state = 18},
  [1543] = {.lex_state = 0, .external_lex_state = 18},
  [1544] = {.lex_state = 0, .external_lex_state = 18},
  [1545] = {.lex_state = 0, .external_lex_state = 18},
  [1546] = {.lex_state = 0, .external_lex_state = 18},
  [1547] = {.lex_state = 0, .external_lex_state = 18},
  [1548] = {.lex_state = 0, .external_lex_state = 18},
  [1549] = {.lex_state = 0, .external_lex_state = 18},
  [1550] = {.lex_state = 0, .external_lex_state = 18},
  [1551] = {.lex_state = 0, .external_lex_state = 18},
  [1552] = {.lex_state = 0, .external_lex_state = 18},
  [1553] = {.lex_state = 0, .external_lex_state = 18},
  [1554] = {.lex_state = 0, .external_lex_state = 18},
  [1555] = {.lex_state = 0, .external_lex_state = 18},
  [1556] = {.lex_state = 0, .external_lex_state = 18},
  [1557] = {.lex_state = 0, .external_lex_state = 18},
  [1558] = {.lex_state = 0, .external_lex_state = 18},
  [1559] = {.lex_state = 0, .external_lex_state = 18},
  [1560] = {.lex_state = 0, .external_lex_state = 18},
  [1561] = {.lex_state = 0, .external_lex_state = 18},
  [1562] = {.lex_state = 0, .external_lex_state = 18},
  [1563] = {.lex_state = 0, .external_lex_state = 18},
  [1564] = {.lex_state = 0, .external_lex_state = 18},
  [1565] = {.lex_state = 0, .external_lex_state = 18},
  [1566] = {.lex_state = 0, .external_lex_state = 18},
  [1567] = {.lex_state = 0, .external_lex_state = 18},
  [1568] = {.lex_state = 0, .external_lex_state = 18},
  [1569] = {.lex_state = 0, .external_lex_state = 18},
  [1570] = {.lex_state = 0, .external_lex_state = 18},
  [1571] = {.lex_state = 0, .external_lex_state = 18},
  [1572] = {.lex_state = 0, .external_lex_state = 18},
  [1573] = {.lex_state = 0, .external_lex_state = 18},
  [1574] = {.lex_state = 0, .external_lex_state = 18},
  [1575] = {.lex_state = 0, .external_lex_state = 18},
  [1576] = {.lex_state = 0, .external_lex_state = 18},
  [1577] = {.lex_state = 0, .external_lex_state = 18},
  [1578] = {.lex_state = 0, .external_lex_state = 18},
  [1579] = {.lex_state = 0, .external_lex_state = 18},
  [1580] = {.lex_state = 0, .external_lex_state = 18},
  [1581] = {.lex_state = 0, .external_lex_state = 18},
  [1582] = {.lex_state = 0, .external_lex_state = 18},
  [1583] = {.lex_state = 0, .external_lex_state = 18},
  [1584] = {.lex_state = 0, .external_lex_state = 18},
  [1585] = {.lex_state = 0, .external_lex_state = 18},
  [1586] = {.lex_state = 0, .external_lex_state = 18},
  [1587] = {.lex_state = 0, .external_lex_state = 18},
  [1588] = {.lex_state = 0, .external_lex_state = 18},
  [1589] = {.lex_state = 0, .external_lex_state = 18},
  [1590] = {.lex_state = 0, .external_lex_state = 18},
  [1591] = {.lex_state = 0, .external_lex_state = 18},
  [1592] = {.lex_state = 0, .external_lex_state = 18},
  [1593] = {.lex_state = 0, .external_lex_state = 18},
  [1594] = {.lex_state = 0, .external_lex_state = 18},
  [1595] = {.lex_state = 0, .external_lex_state = 18},
  [1596] = {.lex_state = 0, .external_lex_state = 18},
  [1597] = {.lex_state = 0, .external_lex_state = 18},
  [1598] = {.lex_state = 0, .external_lex_state = 18},
  [1599] = {.lex_state = 0, .external_lex_state = 18},
  [1600] = {.lex_state = 0, .external_lex_state = 18},
  [1601] = {.lex_state = 0, .external_lex_state = 18},
  [1602] = {.lex_state = 0, .external_lex_state = 18},
  [1603] = {.lex_state = 0, .external_lex_state = 18},
  [1604] = {.lex_state = 0, .external_lex_state = 18},
  [1605] = {.lex_state = 0, .external_lex_state = 18},
  [1606] = {.lex_state = 0, .external_lex_state = 18},
  [1607] = {.lex_state = 0, .external_lex_state = 18},
  [1608] = {.lex_state = 0, .external_lex_state = 18},
  [1609] = {.lex_state = 0, .external_lex_state = 18},
  [1610] = {.lex_state = 0, .external_lex_state = 18},
  [1611] = {.lex_state = 0, .external_lex_state = 18},
  [1612] = {.lex_state = 0, .external_lex_state = 18},
  [1613] = {.lex_state = 0, .external_lex_state = 18},
  [1614] = {.lex_state = 0, .external_lex_state = 18},
  [1615] = {.lex_state = 0, .external_lex_state = 18},
  [1616] = {.lex_state = 0, .external_lex_state = 18},
  [1617] = {.lex_state = 0, .external_lex_state = 18},
  [1618] = {.lex_state = 0, .external_lex_state = 18},
  [1619] = {.lex_state = 0, .external_lex_state = 18},
  [1620] = {.lex_state = 0, .external_lex_state = 18},
  [1621] = {.lex_state = 0, .external_lex_state = 18},
  [1622] = {.lex_state = 0, .external_lex_state = 18},
  [1623] = {.lex_state = 0, .external_lex_state = 18},
  [1624] = {.lex_state = 0, .external_lex_state = 18},
  [1625] = {.lex_state = 0, .external_lex_state = 18},
  [1626] = {.lex_state = 0, .external_lex_state = 18},
  [1627] = {.lex_state = 0, .external_lex_state = 18},
  [1628] = {.lex_state = 0, .external_lex_state = 18},
  [1629] = {.lex_state = 0, .external_lex_state = 18},
  [1630] = {.lex_state = 0, .external_lex_state = 18},
  [1631] = {.lex_state = 0, .external_lex_state = 18},
  [1632] = {.lex_state = 0, .external_lex_state = 18},
  [1633] = {.lex_state = 0, .external_lex_state = 18},
  [1634] = {.lex_state = 0, .external_lex_state = 18},
  [1635] = {.lex_state = 0, .external_lex_state = 18},
  [1636] = {.lex_state = 0, .external_lex_state = 18},
  [1637] = {.lex_state = 0, .external_lex_state = 18},
  [1638] = {.lex_state = 0, .external_lex_state = 18},
  [1639] = {.lex_state = 0, .external_lex_state = 18},
  [1640] = {.lex_state = 0, .external_lex_state = 18},
  [1641] = {.lex_state = 0, .external_lex_state = 18},
  [1642] = {.lex_state = 0, .external_lex_state = 18},
  [1643] = {.lex_state = 0, .external_lex_state = 18},
  [1644] = {.lex_state = 0, .external_lex_state = 18},
  [1645] = {.lex_state = 0, .external_lex_state = 18},
  [1646] = {.lex_state = 0, .external_lex_state = 18},
  [1647] = {.lex_state = 0, .external_lex_state = 18},
  [1648] = {.lex_state = 0, .external_lex_state = 18},
  [1649] = {.lex_state = 0, .external_lex_state = 18},
  [1650] = {.lex_state = 0, .external_lex_state = 18},
  [1651] = {.lex_state = 0, .external_lex_state = 18},
  [1652] = {.lex_state = 0, .external_lex_state = 18},
  [1653] = {.lex_state = 0, .external_lex_state = 18},
  [1654] = {.lex_state = 0, .external_lex_state = 18},
  [1655] = {.lex_state = 0, .external_lex_state = 18},
  [1656] = {.lex_state = 0, .external_lex_state = 18},
  [1657] = {.lex_state = 0, .external_lex_state = 18},
  [1658] = {.lex_state = 0, .external_lex_state = 18},
  [1659] = {.lex_state = 0, .external_lex_state = 18},
  [1660] = {.lex_state = 0, .external_lex_state = 18},
  [1661] = {.lex_state = 0, .external_lex_state = 18},
  [1662] = {.lex_state = 0, .external_lex_state = 18},
  [1663] = {.lex_state = 0, .external_lex_state = 18},
  [1664] = {.lex_state = 0, .external_lex_state = 18},
  [1665] = {.lex_state = 0, .external_lex_state = 18},
  [1666] = {.lex_state = 0, .external_lex_state = 18},
  [1667] = {.lex_state = 0, .external_lex_state = 18},
  [1668] = {.lex_state = 0, .external_lex_state = 18},
  [1669] = {.lex_state = 0, .external_lex_state = 18},
  [1670] = {.lex_state = 0, .external_lex_state = 18},
  [1671] = {.lex_state = 0, .external_lex_state = 18},
  [1672] = {.lex_state = 0, .external_lex_state = 18},
  [1673] = {.lex_state = 0, .external_lex_state = 18},
  [1674] = {.lex_state = 0, .external_lex_state = 18},
  [1675] = {.lex_state = 0, .external_lex_state = 18},
  [1676] = {.lex_state = 0, .external_lex_state = 18},
  [1677] = {.lex_state = 0, .external_lex_state = 18},
  [1678] = {.lex_state = 0, .external_lex_state = 18},
  [1679] = {.lex_state = 0, .external_lex_state = 18},
  [1680] = {.lex_state = 0, .external_lex_state = 18},
  [1681] = {.lex_state = 0, .external_lex_state = 18},
  [1682] = {.lex_state = 0, .external_lex_state = 18},
  [1683] = {.lex_state = 0, .external_lex_state = 18},
  [1684] = {.lex_state = 0, .external_lex_state = 18},
  [1685] = {.lex_state = 0, .external_lex_state = 18},
  [1686] = {.lex_state = 0, .external_lex_state = 18},
  [1687] = {.lex_state = 0, .external_lex_state = 18},
  [1688] = {.lex_state = 0, .external_lex_state = 18},
  [1689] = {.lex_state = 0, .external_lex_state = 18},
  [1690] = {.lex_state = 0, .external_lex_state = 18},
  [1691] = {.lex_state = 0, .external_lex_state = 18},
  [1692] = {.lex_state = 0, .external_lex_state = 18},
  [1693] = {.lex_state = 0, .external_lex_state = 18},
  [1694] = {.lex_state = 0, .external_lex_state = 18},
  [1695] = {.lex_state = 0, .external_lex_state = 18},
  [1696] = {.lex_state = 0, .external_lex_state = 18},
  [1697] = {.lex_state = 0, .external_lex_state = 18},
  [1698] = {.lex_state = 0, .external_lex_state = 18},
  [1699] = {.lex_state = 0, .external_lex_state = 18},
  [1700] = {.lex_state = 0, .external_lex_state = 18},
  [1701] = {.lex_state = 0, .external_lex_state = 18},
  [1702] = {.lex_state = 0, .external_lex_state = 18},
  [1703] = {.lex_state = 0, .external_lex_state = 18},
  [1704] = {.lex_state = 0, .external_lex_state = 18},
  [1705] = {.lex_state = 0, .external_lex_state = 18},
  [1706] = {.lex_state = 0, .external_lex_state = 18},
  [1707] = {.lex_state = 0, .external_lex_state = 18},
  [1708] = {.lex_state = 0, .external_lex_state = 18},
  [1709] = {.lex_state = 0, .external_lex_state = 18},
  [1710] = {.lex_state = 0, .external_lex_state = 18},
  [1711] = {.lex_state = 0, .external_lex_state = 18},
  [1712] = {.lex_state = 0, .external_lex_state = 18},
  [1713] = {.lex_state = 0, .external_lex_state = 18},
  [1714] = {.lex_state = 0, .external_lex_state = 18},
  [1715] = {.lex_state = 0, .external_lex_state = 18},
  [1716] = {.lex_state = 0, .external_lex_state = 18},
  [1717] = {.lex_state = 0, .external_lex_state = 18},
  [1718] = {.lex_state = 0, .external_lex_state = 18},
  [1719] = {.lex_state = 0, .external_lex_state = 18},
  [1720] = {.lex_state = 0, .external_lex_state = 18},
  [1721] = {.lex_state = 0, .external_lex_state = 18},
  [1722] = {.lex_state = 0, .external_lex_state = 18},
  [1723] = {.lex_state = 0, .external_lex_state = 18},
  [1724] = {.lex_state = 0, .external_lex_state = 18},
  [1725] = {.lex_state = 0, .external_lex_state = 18},
  [1726] = {.lex_state = 0, .external_lex_state = 18},
  [1727] = {.lex_state = 0, .external_lex_state = 18},
  [1728] = {.lex_state = 0, .external_lex_state = 18},
  [1729] = {.lex_state = 0, .external_lex_state = 18},
  [1730] = {.lex_state = 0, .external_lex_state = 18},
  [1731] = {.lex_state = 0, .external_lex_state = 18},
  [1732] = {.lex_state = 0, .external_lex_state = 18},
  [1733] = {.lex_state = 0, .external_lex_state = 18},
  [1734] = {.lex_state = 0, .external_lex_state = 18},
  [1735] = {.lex_state = 0, .external_lex_state = 18},
  [1736] = {.lex_state = 0, .external_lex_state = 18},
  [1737] = {.lex_state = 0, .external_lex_state = 18},
  [1738] = {.lex_state = 0, .external_lex_state = 18},
  [1739] = {.lex_state = 0, .external_lex_state = 18},
  [1740] = {.lex_state = 0, .external_lex_state = 18},
  [1741] = {.lex_state = 0, .external_lex_state = 18},
  [1742] = {.lex_state = 0, .external_lex_state = 18},
  [1743] = {.lex_state = 0, .external_lex_state = 18},
  [1744] = {.lex_state = 0, .external_lex_state = 18},
  [1745] = {.lex_state = 0, .external_lex_state = 18},
  [1746] = {.lex_state = 0, .external_lex_state = 18},
  [1747] = {.lex_state = 0, .external_lex_state = 18},
  [1748] = {.lex_state = 0, .external_lex_state = 18},
  [1749] = {.lex_state = 0, .external_lex_state = 18},
  [1750] = {.lex_state = 0, .external_lex_state = 18},
  [1751] = {.lex_state = 0, .external_lex_state = 18},
  [1752] = {.lex_state = 0, .external_lex_state = 18},
  [1753] = {.lex_state = 0, .external_lex_state = 18},
  [1754] = {.lex_state = 0, .external_lex_state = 18},
  [1755] = {.lex_state = 0, .external_lex_state = 18},
  [1756] = {.lex_state = 0, .external_lex_state = 18},
  [1757] = {.lex_state = 0, .external_lex_state = 18},
  [1758] = {.lex_state = 0, .external_lex_state = 18},
  [1759] = {.lex_state = 0, .external_lex_state = 18},
  [1760] = {.lex_state = 0, .external_lex_state = 18},
  [1761] = {.lex_state = 0, .external_lex_state = 18},
  [1762] = {.lex_state = 0, .external_lex_state = 18},
  [1763] = {.lex_state = 0, .external_lex_state = 18},
  [1764] = {.lex_state = 0, .external_lex_state = 18},
  [1765] = {.lex_state = 0, .external_lex_state = 18},
  [1766] = {.lex_state = 0, .external_lex_state = 18},
  [1767] = {.lex_state = 0, .external_lex_state = 18},
  [1768] = {.lex_state = 0, .external_lex_state = 18},
  [1769] = {.lex_state = 0, .external_lex_state = 18},
  [1770] = {.lex_state = 0, .external_lex_state = 18},
  [1771] = {.lex_state = 0, .external_lex_state = 18},
  [1772] = {.lex_state = 0, .external_lex_state = 18},
  [1773] = {.lex_state = 0, .external_lex_state = 18},
  [1774] = {.lex_state = 0, .external_lex_state = 18},
  [1775] = {.lex_state = 0, .external_lex_state = 18},
  [1776] = {.lex_state = 0, .external_lex_state = 18},
  [1777] = {.lex_state = 0, .external_lex_state = 18},
  [1778] = {.lex_state = 0, .external_lex_state = 18},
  [1779] = {.lex_state = 0, .external_lex_state = 18},
  [1780] = {.lex_state = 0, .external_lex_state = 20},
  [1781] = {.lex_state = 0, .external_lex_state = 20},
  [1782] = {.lex_state = 0, .external_lex_state = 20},
  [1783] = {.lex_state = 0, .external_lex_state = 20},
  [1784] = {.lex_state = 0, .external_lex_state = 20},
  [1785] = {.lex_state = 0, .external_lex_state = 20},
  [1786] = {.lex_state = 0, .external_lex_state = 20},
  [1787] = {.lex_state = 0, .external_lex_state = 20},
  [1788] = {.lex_state = 0, .external_lex_state = 20},
  [1789] = {.lex_state = 0, .external_lex_state = 20},
  [1790] = {.lex_state = 0, .external_lex_state = 20},
  [1791] = {.lex_state = 0, .external_lex_state = 20},
  [1792] = {.lex_state = 0, .external_lex_state = 20},
  [1793] = {.lex_state = 0, .external_lex_state = 20},
  [1794] = {.lex_state = 0, .external_lex_state = 20},
  [1795] = {.lex_state = 0, .external_lex_state = 20},
  [1796] = {.lex_state = 0, .external_lex_state = 20},
  [1797] = {.lex_state = 0, .external_lex_state = 20},
  [1798] = {.lex_state = 0, .external_lex_state = 20},
  [1799] = {.lex_state = 0, .external_lex_state = 20},
  [1800] = {.lex_state = 0, .external_lex_state = 20},
  [1801] = {.lex_state = 0, .external_lex_state = 20},
  [1802] = {.lex_state = 0, .external_lex_state = 20},
  [1803] = {.lex_state = 0, .external_lex_state = 20},
  [1804] = {.lex_state = 0, .external_lex_state = 20},
  [1805] = {.lex_state = 0, .external_lex_state = 20},
  [1806] = {.lex_state = 0, .external_lex_state = 20},
  [1807] = {.lex_state = 0, .external_lex_state = 20},
  [1808] = {.lex_state = 0, .external_lex_state = 20},
  [1809] = {.lex_state = 0, .external_lex_state = 20},
  [1810] = {.lex_state = 0, .external_lex_state = 20},
  [1811] = {.lex_state = 0, .external_lex_state = 20},
  [1812] = {.lex_state = 0, .external_lex_state = 20},
  [1813] = {.lex_state = 0, .external_lex_state = 20},
  [1814] = {.lex_state = 0, .external_lex_state = 20},
  [1815] = {.lex_state = 0, .external_lex_state = 20},
  [1816] = {.lex_state = 0, .external_lex_state = 20},
  [1817] = {.lex_state = 0, .external_lex_state = 20},
  [1818] = {.lex_state = 0, .external_lex_state = 20},
  [1819] = {.lex_state = 0, .external_lex_state = 20},
  [1820] = {.lex_state = 0, .external_lex_state = 20},
  [1821] = {.lex_state = 0, .external_lex_state = 20},
  [1822] = {.lex_state = 0, .external_lex_state = 20},
  [1823] = {.lex_state = 0, .external_lex_state = 20},
  [1824] = {.lex_state = 0, .external_lex_state = 20},
  [1825] = {.lex_state = 0, .external_lex_state = 20},
  [1826] = {.lex_state = 0, .external_lex_state = 20},
  [1827] = {.lex_state = 0, .external_lex_state = 20},
  [1828] = {.lex_state = 0, .external_lex_state = 20},
  [1829] = {.lex_state = 0, .external_lex_state = 20},
  [1830] = {.lex_state = 0, .external_lex_state = 20},
  [1831] = {.lex_state = 0, .external_lex_state = 20},
  [1832] = {.lex_state = 0, .external_lex_state = 20},
  [1833] = {.lex_state = 0, .external_lex_state = 20},
  [1834] = {.lex_state = 0, .external_lex_state = 20},
  [1835] = {.lex_state = 0, .external_lex_state = 20},
  [1836] = {.lex_state = 0, .external_lex_state = 20},
  [1837] = {.lex_state = 0, .external_lex_state = 20},
  [1838] = {.lex_state = 0, .external_lex_state = 20},
  [1839] = {.lex_state = 0, .external_lex_state = 20},
  [1840] = {.lex_state = 0, .external_lex_state = 20},
  [1841] = {.lex_state = 0, .external_lex_state = 20},
  [1842] = {.lex_state = 0, .external_lex_state = 20},
  [1843] = {.lex_state = 0, .external_lex_state = 20},
  [1844] = {.lex_state = 0, .external_lex_state = 20},
  [1845] = {.lex_state = 0, .external_lex_state = 20},
  [1846] = {.lex_state = 0, .external_lex_state = 20},
  [1847] = {.lex_state = 0, .external_lex_state = 20},
  [1848] = {.lex_state = 0, .external_lex_state = 20},
  [1849] = {.lex_state = 0, .external_lex_state = 20},
  [1850] = {.lex_state = 0, .external_lex_state = 20},
  [1851] = {.lex_state = 0, .external_lex_state = 20},
  [1852] = {.lex_state = 1, .external_lex_state = 21},
  [1853] = {.lex_state = 1, .external_lex_state = 21},
  [1854] = {.lex_state = 1, .external_lex_state = 22},
  [1855] = {.lex_state = 1, .external_lex_state = 22},
  [1856] = {.lex_state = 1, .external_lex_state = 23},
  [1857] = {.lex_state = 0, .external_lex_state = 24},
  [1858] = {.lex_state = 1, .external_lex_state = 25},
  [1859] = {.lex_state = 0, .external_lex_state = 24},
  [1860] = {.lex_state = 0, .external_lex_state = 24},
  [1861] = {.lex_state = 0, .external_lex_state = 24},
  [1862] = {.lex_state = 0, .external_lex_state = 24},
  [1863] = {.lex_state = 0, .external_lex_state = 24},
  [1864] = {.lex_state = 0, .external_lex_state = 24},
  [1865] = {.lex_state = 0, .external_lex_state = 24},
  [1866] = {.lex_state = 0, .external_lex_state = 24},
  [1867] = {.lex_state = 0, .external_lex_state = 24},
  [1868] = {.lex_state = 0, .external_lex_state = 24},
  [1869] = {.lex_state = 0, .external_lex_state = 24},
  [1870] = {.lex_state = 0, .external_lex_state = 24},
  [1871] = {.lex_state = 0, .external_lex_state = 24},
  [1872] = {.lex_state = 0, .external_lex_state = 24},
  [1873] = {.lex_state = 0, .external_lex_state = 24},
  [1874] = {.lex_state = 0, .external_lex_state = 24},
  [1875] = {.lex_state = 0, .external_lex_state = 24},
  [1876] = {.lex_state = 0, .external_lex_state = 24},
  [1877] = {.lex_state = 0, .external_lex_state = 24},
  [1878] = {.lex_state = 0, .external_lex_state = 24},
  [1879] = {.lex_state = 0, .external_lex_state = 24},
  [1880] = {.lex_state = 0, .external_lex_state = 24},
  [1881] = {.lex_state = 0, .external_lex_state = 24},
  [1882] = {.lex_state = 0, .external_lex_state = 24},
  [1883] = {.lex_state = 0, .external_lex_state = 24},
  [1884] = {.lex_state = 0, .external_lex_state = 24},
  [1885] = {.lex_state = 0, .external_lex_state = 24},
  [1886] = {.lex_state = 0, .external_lex_state = 24},
  [1887] = {.lex_state = 0, .external_lex_state = 24},
  [1888] = {.lex_state = 0, .external_lex_state = 24},
  [1889] = {.lex_state = 0, .external_lex_state = 24},
  [1890] = {.lex_state = 0, .external_lex_state = 24},
  [1891] = {.lex_state = 0, .external_lex_state = 24},
  [1892] = {.lex_state = 0, .external_lex_state = 24},
  [1893] = {.lex_state = 0, .external_lex_state = 24},
  [1894] = {.lex_state = 0, .external_lex_state = 24},
  [1895] = {.lex_state = 0, .external_lex_state = 24},
  [1896] = {.lex_state = 0, .external_lex_state = 24},
  [1897] = {.lex_state = 0, .external_lex_state = 24},
  [1898] = {.lex_state = 0, .external_lex_state = 24},
  [1899] = {.lex_state = 0, .external_lex_state = 24},
  [1900] = {.lex_state = 0, .external_lex_state = 24},
  [1901] = {.lex_state = 0, .external_lex_state = 24},
  [1902] = {.lex_state = 0, .external_lex_state = 24},
  [1903] = {.lex_state = 0, .external_lex_state = 24},
  [1904] = {.lex_state = 0, .external_lex_state = 24},
  [1905] = {.lex_state = 0, .external_lex_state = 24},
  [1906] = {.lex_state = 0, .external_lex_state = 24},
  [1907] = {.lex_state = 1, .external_lex_state = 21},
  [1908] = {.lex_state = 0, .external_lex_state = 24},
  [1909] = {.lex_state = 0, .external_lex_state = 24},
  [1910] = {.lex_state = 0, .external_lex_state = 24},
  [1911] = {.lex_state = 0, .external_lex_state = 24},
  [1912] = {.lex_state = 0, .external_lex_state = 24},
  [1913] = {.lex_state = 0, .external_lex_state = 24},
  [1914] = {.lex_state = 0, .external_lex_state = 24},
  [1915] = {.lex_state = 0, .external_lex_state = 24},
  [1916] = {.lex_state = 0, .external_lex_state = 24},
  [1917] = {.lex_state = 0, .external_lex_state = 24},
  [1918] = {.lex_state = 0, .external_lex_state = 24},
  [1919] = {.lex_state = 0, .external_lex_state = 24},
  [1920] = {.lex_state = 0, .external_lex_state = 24},
  [1921] = {.lex_state = 0, .external_lex_state = 24},
  [1922] = {.lex_state = 0, .external_lex_state = 24},
  [1923] = {.lex_state = 0, .external_lex_state = 26},
  [1924] = {.lex_state = 0, .external_lex_state = 26},
  [1925] = {.lex_state = 0, .external_lex_state = 26},
  [1926] = {.lex_state = 0, .external_lex_state = 26},
  [1927] = {.lex_state = 0, .external_lex_state = 26},
  [1928] = {.lex_state = 0, .external_lex_state = 26},
  [1929] = {.lex_state = 0, .external_lex_state = 26},
  [1930] = {.lex_state = 0, .external_lex_state = 26},
  [1931] = {.lex_state = 0, .external_lex_state = 26},
  [1932] = {.lex_state = 0, .external_lex_state = 26},
  [1933] = {.lex_state = 0, .external_lex_state = 26},
  [1934] = {.lex_state = 0, .external_lex_state = 26},
  [1935] = {.lex_state = 0, .external_lex_state = 26},
  [1936] = {.lex_state = 0, .external_lex_state = 26},
  [1937] = {.lex_state = 0, .external_lex_state = 26},
  [1938] = {.lex_state = 0, .external_lex_state = 26},
  [1939] = {.lex_state = 0, .external_lex_state = 26},
  [1940] = {.lex_state = 0, .external_lex_state = 26},
  [1941] = {.lex_state = 0, .external_lex_state = 26},
  [1942] = {.lex_state = 0, .external_lex_state = 26},
  [1943] = {.lex_state = 0, .external_lex_state = 26},
  [1944] = {.lex_state = 0, .external_lex_state = 26},
  [1945] = {.lex_state = 0, .external_lex_state = 26},
  [1946] = {.lex_state = 0, .external_lex_state = 26},
  [1947] = {.lex_state = 0, .external_lex_state = 26},
  [1948] = {.lex_state = 0, .external_lex_state = 26},
  [1949] = {.lex_state = 0, .external_lex_state = 26},
  [1950] = {.lex_state = 0, .external_lex_state = 26},
  [1951] = {.lex_state = 0, .external_lex_state = 26},
  [1952] = {.lex_state = 0, .external_lex_state = 26},
  [1953] = {.lex_state = 0, .external_lex_state = 26},
  [1954] = {.lex_state = 0, .external_lex_state = 26},
  [1955] = {.lex_state = 0, .external_lex_state = 26},
  [1956] = {.lex_state = 0, .external_lex_state = 26},
  [1957] = {.lex_state = 0, .external_lex_state = 26},
  [1958] = {.lex_state = 0, .external_lex_state = 26},
  [1959] = {.lex_state = 0, .external_lex_state = 26},
  [1960] = {.lex_state = 0, .external_lex_state = 26},
  [1961] = {.lex_state = 0, .external_lex_state = 26},
  [1962] = {.lex_state = 0, .external_lex_state = 26},
  [1963] = {.lex_state = 0, .external_lex_state = 26},
  [1964] = {.lex_state = 0, .external_lex_state = 26},
  [1965] = {.lex_state = 0, .external_lex_state = 26},
  [1966] = {.lex_state = 0, .external_lex_state = 26},
  [1967] = {.lex_state = 0, .external_lex_state = 26},
  [1968] = {.lex_state = 0, .external_lex_state = 26},
  [1969] = {.lex_state = 0, .external_lex_state = 26},
  [1970] = {.lex_state = 0, .external_lex_state = 26},
  [1971] = {.lex_state = 0, .external_lex_state = 26},
  [1972] = {.lex_state = 0, .external_lex_state = 26},
  [1973] = {.lex_state = 0, .external_lex_state = 26},
  [1974] = {.lex_state = 0, .external_lex_state = 26},
  [1975] = {.lex_state = 0, .external_lex_state = 26},
  [1976] = {.lex_state = 0, .external_lex_state = 26},
  [1977] = {.lex_state = 0, .external_lex_state = 26},
  [1978] = {.lex_state = 0, .external_lex_state = 26},
  [1979] = {.lex_state = 0, .external_lex_state = 26},
  [1980] = {.lex_state = 0, .external_lex_state = 26},
  [1981] = {.lex_state = 0, .external_lex_state = 26},
  [1982] = {.lex_state = 0, .external_lex_state = 26},
  [1983] = {.lex_state = 0, .external_lex_state = 26},
  [1984] = {.lex_state = 0, .external_lex_state = 26},
  [1985] = {.lex_state = 0, .external_lex_state = 26},
  [1986] = {.lex_state = 0, .external_lex_state = 26},
  [1987] = {.lex_state = 0, .external_lex_state = 26},
  [1988] = {.lex_state = 0, .external_lex_state = 26},
  [1989] = {.lex_state = 0, .external_lex_state = 26},
  [1990] = {.lex_state = 0, .external_lex_state = 26},
  [1991] = {.lex_state = 0, .external_lex_state = 26},
  [1992] = {.lex_state = 0, .external_lex_state = 26},
  [1993] = {.lex_state = 0, .external_lex_state = 26},
  [1994] = {.lex_state = 0, .external_lex_state = 26},
  [1995] = {.lex_state = 0, .external_lex_state = 26},
  [1996] = {.lex_state = 0, .external_lex_state = 26},
  [1997] = {.lex_state = 0, .external_lex_state = 26},
  [1998] = {.lex_state = 0, .external_lex_state = 26},
  [1999] = {.lex_state = 0, .external_lex_state = 26},
  [2000] = {.lex_state = 0, .external_lex_state = 26},
  [2001] = {.lex_state = 0, .external_lex_state = 26},
  [2002] = {.lex_state = 0, .external_lex_state = 26},
  [2003] = {.lex_state = 0, .external_lex_state = 26},
  [2004] = {.lex_state = 0, .external_lex_state = 26},
  [2005] = {.lex_state = 0, .external_lex_state = 26},
  [2006] = {.lex_state = 0, .external_lex_state = 26},
  [2007] = {.lex_state = 0, .external_lex_state = 26},
  [2008] = {.lex_state = 0, .external_lex_state = 26},
  [2009] = {.lex_state = 0, .external_lex_state = 26},
  [2010] = {.lex_state = 0, .external_lex_state = 26},
  [2011] = {.lex_state = 0, .external_lex_state = 26},
  [2012] = {.lex_state = 0, .external_lex_state = 26},
  [2013] = {.lex_state = 0, .external_lex_state = 26},
  [2014] = {.lex_state = 0, .external_lex_state = 26},
  [2015] = {.lex_state = 0, .external_lex_state = 26},
  [2016] = {.lex_state = 0, .external_lex_state = 26},
  [2017] = {.lex_state = 0, .external_lex_state = 26},
  [2018] = {.lex_state = 0, .external_lex_state = 26},
  [2019] = {.lex_state = 0, .external_lex_state = 26},
  [2020] = {.lex_state = 0, .external_lex_state = 26},
  [2021] = {.lex_state = 0, .external_lex_state = 26},
  [2022] = {.lex_state = 0, .external_lex_state = 26},
  [2023] = {.lex_state = 0, .external_lex_state = 26},
  [2024] = {.lex_state = 0, .external_lex_state = 26},
  [2025] = {.lex_state = 0, .external_lex_state = 26},
  [2026] = {.lex_state = 0, .external_lex_state = 26},
  [2027] = {.lex_state = 0, .external_lex_state = 26},
  [2028] = {.lex_state = 0, .external_lex_state = 26},
  [2029] = {.lex_state = 0, .external_lex_state = 26},
  [2030] = {.lex_state = 0, .external_lex_state = 26},
  [2031] = {.lex_state = 0, .external_lex_state = 26},
  [2032] = {.lex_state = 0, .external_lex_state = 26},
  [2033] = {.lex_state = 0, .external_lex_state = 26},
  [2034] = {.lex_state = 0, .external_lex_state = 26},
  [2035] = {.lex_state = 0, .external_lex_state = 26},
  [2036] = {.lex_state = 0, .external_lex_state = 26},
  [2037] = {.lex_state = 0, .external_lex_state = 26},
  [2038] = {.lex_state = 0, .external_lex_state = 26},
  [2039] = {.lex_state = 0, .external_lex_state = 26},
  [2040] = {.lex_state = 0, .external_lex_state = 26},
  [2041] = {.lex_state = 0, .external_lex_state = 26},
  [2042] = {.lex_state = 0, .external_lex_state = 26},
  [2043] = {.lex_state = 0, .external_lex_state = 26},
  [2044] = {.lex_state = 0, .external_lex_state = 26},
  [2045] = {.lex_state = 0, .external_lex_state = 26},
  [2046] = {.lex_state = 0, .external_lex_state = 26},
  [2047] = {.lex_state = 0, .external_lex_state = 26},
  [2048] = {.lex_state = 1, .external_lex_state = 22},
  [2049] = {.lex_state = 0, .external_lex_state = 26},
  [2050] = {.lex_state = 0, .external_lex_state = 26},
  [2051] = {.lex_state = 0, .external_lex_state = 26},
  [2052] = {.lex_state = 0, .external_lex_state = 26},
  [2053] = {.lex_state = 0, .external_lex_state = 24},
  [2054] = {.lex_state = 0, .external_lex_state = 16},
  [2055] = {.lex_state = 0, .external_lex_state = 11},
  [2056] = {.lex_state = 0, .external_lex_state = 8},
  [2057] = {.lex_state = 0, .external_lex_state = 10},
  [2058] = {.lex_state = 0, .external_lex_state = 24},
  [2059] = {.lex_state = 0, .external_lex_state = 24},
  [2060] = {.lex_state = 0, .external_lex_state = 10},
  [2061] = {.lex_state = 0, .external_lex_state = 24},
  [2062] = {.lex_state = 0, .external_lex_state = 10},
  [2063] = {.lex_state = 0, .external_lex_state = 11},
  [2064] = {.lex_state = 1, .external_lex_state = 24},
  [2065] = {.lex_state = 0, .external_lex_state = 11},
  [2066] = {.lex_state = 0, .external_lex_state = 10},
  [2067] = {.lex_state = 0, .external_lex_state = 8},
  [2068] = {.lex_state = 0, .external_lex_state = 8},
  [2069] = {.lex_state = 0, .external_lex_state = 24},
  [2070] = {.lex_state = 0, .external_lex_state = 11},
  [2071] = {.lex_state = 0, .external_lex_state = 8},
  [2072] = {.lex_state = 0, .external_lex_state = 24},
  [2073] = {.lex_state = 0, .external_lex_state = 24},
  [2074] = {.lex_state = 0, .external_lex_state = 24},
  [2075] = {.lex_state = 0, .external_lex_state = 8},
  [2076] = {.lex_state = 0, .external_lex_state = 8},
  [2077] = {.lex_state = 0, .external_lex_state = 11},
  [2078] = {.lex_state = 0, .external_lex_state = 11},
  [2079] = {.lex_state = 0, .external_lex_state = 11},
  [2080] = {.lex_state = 0, .external_lex_state = 8},
  [2081] = {.lex_state = 0, .external_lex_state = 10},
  [2082] = {.lex_state = 0, .external_lex_state = 10},
  [2083] = {.lex_state = 0, .external_lex_state = 10},
  [2084] = {.lex_state = 0, .external_lex_state = 26},
  [2085] = {.lex_state = 0, .external_lex_state = 26},
  [2086] = {.lex_state = 0, .external_lex_state = 26},
  [2087] = {.lex_state = 0, .external_lex_state = 26},
  [2088] = {.lex_state = 1, .external_lex_state = 26},
  [2089] = {.lex_state = 0, .external_lex_state = 26},
  [2090] = {.lex_state = 0, .external_lex_state = 8},
  [2091] = {.lex_state = 0, .external_lex_state = 18},
  [2092] = {.lex_state = 0, .external_lex_state = 26},
  [2093] = {.lex_state = 0, .external_lex_state = 26},
  [2094] = {.lex_state = 0, .external_lex_state = 26},
  [2095] = {.lex_state = 0, .external_lex_state = 24},
  [2096] = {.lex_state = 0, .external_lex_state = 18},
  [2097] = {.lex_state = 0, .external_lex_state = 24},
  [2098] = {.lex_state = 0, .external_lex_state = 24},
  [2099] = {.lex_state = 0, .external_lex_state = 24},
  [2100] = {.lex_state = 0, .external_lex_state = 24},
  [2101] = {.lex_state = 0, .external_lex_state = 24},
  [2102] = {.lex_state = 0, .external_lex_state = 24},
  [2103] = {.lex_state = 0, .external_lex_state = 24},
  [2104] = {.lex_state = 0, .external_lex_state = 24},
  [2105] = {.lex_state = 0, .external_lex_state = 24},
  [2106] = {.lex_state = 0, .external_lex_state = 24},
  [2107] = {.lex_state = 0, .external_lex_state = 24},
  [2108] = {.lex_state = 0, .external_lex_state = 24},
  [2109] = {.lex_state = 0, .external_lex_state = 18},
  [2110] = {.lex_state = 0, .external_lex_state = 24},
  [2111] = {.lex_state = 0, .external_lex_state = 24},
  [2112] = {.lex_state = 0, .external_lex_state = 24},
  [2113] = {.lex_state = 0, .external_lex_state = 24},
  [2114] = {.lex_state = 0, .external_lex_state = 24},
  [2115] = {.lex_state = 0, .external_lex_state = 24},
  [2116] = {.lex_state = 0, .external_lex_state = 18},
  [2117] = {.lex_state = 0, .external_lex_state = 26},
  [2118] = {.lex_state = 0, .external_lex_state = 26},
  [2119] = {.lex_state = 0, .external_lex_state = 26},
  [2120] = {.lex_state = 0, .external_lex_state = 26},
  [2121] = {.lex_state = 0, .external_lex_state = 26},
  [2122] = {.lex_state = 0, .external_lex_state = 26},
  [2123] = {.lex_state = 0, .external_lex_state = 26},
  [2124] = {.lex_state = 0, .external_lex_state = 26},
  [2125] = {.lex_state = 0, .external_lex_state = 26},
  [2126] = {.lex_state = 0, .external_lex_state = 26},
  [2127] = {.lex_state = 0, .external_lex_state = 26},
  [2128] = {.lex_state = 0, .external_lex_state = 26},
  [2129] = {.lex_state = 0, .external_lex_state = 26},
  [2130] = {.lex_state = 0, .external_lex_state = 26},
  [2131] = {.lex_state = 0, .external_lex_state = 26},
  [2132] = {.lex_state = 0, .external_lex_state = 26},
  [2133] = {.lex_state = 0, .external_lex_state = 26},
  [2134] = {.lex_state = 0, .external_lex_state = 26},
  [2135] = {.lex_state = 0, .external_lex_state = 26},
  [2136] = {.lex_state = 3, .external_lex_state = 27},
  [2137] = {.lex_state = 0, .external_lex_state = 28},
  [2138] = {.lex_state = 0, .external_lex_state = 28},
  [2139] = {.lex_state = 0, .external_lex_state = 28},
  [2140] = {.lex_state = 0, .external_lex_state = 28},
  [2141] = {.lex_state = 0, .external_lex_state = 28},
  [2142] = {.lex_state = 0, .external_lex_state = 28},
  [2143] = {.lex_state = 0, .external_lex_state = 28},
  [2144] = {.lex_state = 0, .external_lex_state = 28},
  [2145] = {.lex_state = 0, .external_lex_state = 28},
  [2146] = {.lex_state = 0, .external_lex_state = 28},
  [2147] = {.lex_state = 3},
  [2148] = {.lex_state = 0, .external_lex_state = 28},
  [2149] = {.lex_state = 0, .external_lex_state = 28},
  [2150] = {.lex_state = 0, .external_lex_state = 28},
  [2151] = {.lex_state = 0, .external_lex_state = 28},
  [2152] = {.lex_state = 0, .external_lex_state = 28},
  [2153] = {.lex_state = 0, .external_lex_state = 28},
  [2154] = {.lex_state = 0, .external_lex_state = 28},
  [2155] = {.lex_state = 0, .external_lex_state = 28},
  [2156] = {.lex_state = 0, .external_lex_state = 28},
  [2157] = {.lex_state = 0, .external_lex_state = 28},
  [2158] = {.lex_state = 0, .external_lex_state = 28},
  [2159] = {.lex_state = 0, .external_lex_state = 28},
  [2160] = {.lex_state = 0, .external_lex_state = 28},
  [2161] = {.lex_state = 0, .external_lex_state = 28},
  [2162] = {.lex_state = 2},
  [2163] = {.lex_state = 4},
  [2164] = {.lex_state = 2},
  [2165] = {.lex_state = 4},
  [2166] = {.lex_state = 2},
  [2167] = {.lex_state = 4},
  [2168] = {.lex_state = 4},
  [2169] = {.lex_state = 4},
  [2170] = {.lex_state = 2},
  [2171] = {.lex_state = 4},
  [2172] = {.lex_state = 2},
  [2173] = {.lex_state = 0, .external_lex_state = 27},
  [2174] = {.lex_state = 0, .external_lex_state = 28},
  [2175] = {.lex_state = 0, .external_lex_state = 28},
  [2176] = {.lex_state = 4},
  [2177] = {.lex_state = 2},
  [2178] = {.lex_state = 2},
  [2179] = {.lex_state = 4},
  [2180] = {.lex_state = 2},
  [2181] = {.lex_state = 4},
  [2182] = {.lex_state = 4},
  [2183] = {.lex_state = 2},
  [2184] = {.lex_state = 2},
  [2185] = {.lex_state = 4},
  [2186] = {.lex_state = 2},
  [2187] = {.lex_state = 4},
  [2188] = {.lex_state = 4},
  [2189] = {.lex_state = 0, .external_lex_state = 27},
  [2190] = {.lex_state = 2},
  [2191] = {.lex_state = 4},
  [2192] = {.lex_state = 2},
  [2193] = {.lex_state = 2},
  [2194] = {.lex_state = 4},
  [2195] = {.lex_state = 2},
  [2196] = {.lex_state = 4},
  [2197] = {.lex_state = 2},
  [2198] = {.lex_state = 4},
  [2199] = {.lex_state = 2},
  [2200] = {.lex_state = 0, .external_lex_state = 28},
  [2201] = {.lex_state = 2},
  [2202] = {.lex_state = 4},
  [2203] = {.lex_state = 2},
  [2204] = {.lex_state = 0, .external_lex_state = 28},
  [2205] = {.lex_state = 2},
  [2206] = {.lex_state = 0, .external_lex_state = 28},
  [2207] = {.lex_state = 4},
  [2208] = {.lex_state = 2},
  [2209] = {.lex_state = 2},
  [2210] = {.lex_state = 0, .external_lex_state = 28},
  [2211] = {.lex_state = 4},
  [2212] = {.lex_state = 0, .external_lex_state = 28},
  [2213] = {.lex_state = 0, .external_lex_state = 28},
  [2214] = {.lex_state = 4},
  [2215] = {.lex_state = 0, .external_lex_state = 28},
  [2216] = {.lex_state = 0, .external_lex_state = 28},
  [2217] = {.lex_state = 0, .external_lex_state = 28},
  [2218] = {.lex_state = 2},
  [2219] = {.lex_state = 0, .external_lex_state = 28},
  [2220] = {.lex_state = 0, .external_lex_state = 28},
  [2221] = {.lex_state = 0, .external_lex_state = 28},
  [2222] = {.lex_state = 4},
  [2223] = {.lex_state = 0, .external_lex_state = 28},
  [2224] = {.lex_state = 0, .external_lex_state = 28},
  [2225] = {.lex_state = 0, .external_lex_state = 28},
  [2226] = {.lex_state = 2},
  [2227] = {.lex_state = 0, .external_lex_state = 28},
  [2228] = {.lex_state = 4},
  [2229] = {.lex_state = 0, .external_lex_state = 28},
  [2230] = {.lex_state = 0, .external_lex_state = 28},
  [2231] = {.lex_state = 4},
  [2232] = {.lex_state = 4},
  [2233] = {.lex_state = 0, .external_lex_state = 28},
  [2234] = {.lex_state = 0, .external_lex_state = 28},
  [2235] = {.lex_state = 0, .external_lex_state = 28},
  [2236] = {.lex_state = 0, .external_lex_state = 28},
  [2237] = {.lex_state = 0, .external_lex_state = 28},
  [2238] = {.lex_state = 2},
  [2239] = {.lex_state = 0, .external_lex_state = 28},
  [2240] = {.lex_state = 0, .external_lex_state = 28},
  [2241] = {.lex_state = 0, .external_lex_state = 28},
  [2242] = {.lex_state = 0, .external_lex_state = 28},
  [2243] = {.lex_state = 0, .external_lex_state = 28},
  [2244] = {.lex_state = 0, .external_lex_state = 28},
  [2245] = {.lex_state = 0, .external_lex_state = 28},
  [2246] = {.lex_state = 0, .external_lex_state = 28},
  [2247] = {.lex_state = 0, .external_lex_state = 28},
  [2248] = {.lex_state = 0, .external_lex_state = 28},
  [2249] = {.lex_state = 0, .external_lex_state = 28},
  [2250] = {.lex_state = 0, .external_lex_state = 28},
  [2251] = {.lex_state = 0, .external_lex_state = 28},
  [2252] = {.lex_state = 0, .external_lex_state = 28},
  [2253] = {.lex_state = 0, .external_lex_state = 28},
  [2254] = {.lex_state = 0, .external_lex_state = 28},
  [2255] = {.lex_state = 0, .external_lex_state = 28},
  [2256] = {.lex_state = 0, .external_lex_state = 28},
  [2257] = {.lex_state = 0, .external_lex_state = 28},
  [2258] = {.lex_state = 0, .external_lex_state = 28},
  [2259] = {.lex_state = 0, .external_lex_state = 28},
  [2260] = {.lex_state = 0, .external_lex_state = 28},
  [2261] = {.lex_state = 0, .external_lex_state = 28},
  [2262] = {.lex_state = 0, .external_lex_state = 28},
  [2263] = {.lex_state = 0, .external_lex_state = 28},
  [2264] = {.lex_state = 0, .external_lex_state = 28},
  [2265] = {.lex_state = 0, .external_lex_state = 28},
  [2266] = {.lex_state = 0, .external_lex_state = 28},
  [2267] = {.lex_state = 0, .external_lex_state = 28},
  [2268] = {.lex_state = 0, .external_lex_state = 28},
  [2269] = {.lex_state = 0, .external_lex_state = 28},
  [2270] = {.lex_state = 0, .external_lex_state = 28},
  [2271] = {.lex_state = 0, .external_lex_state = 28},
  [2272] = {.lex_state = 0, .external_lex_state = 28},
  [2273] = {.lex_state = 0, .external_lex_state = 28},
  [2274] = {.lex_state = 0, .external_lex_state = 28},
  [2275] = {.lex_state = 0, .external_lex_state = 28},
  [2276] = {.lex_state = 0, .external_lex_state = 28},
  [2277] = {.lex_state = 0, .external_lex_state = 28},
  [2278] = {.lex_state = 0, .external_lex_state = 28},
  [2279] = {.lex_state = 0, .external_lex_state = 28},
  [2280] = {.lex_state = 0, .external_lex_state = 28},
  [2281] = {.lex_state = 0, .external_lex_state = 28},
  [2282] = {.lex_state = 0, .external_lex_state = 28},
  [2283] = {.lex_state = 0, .external_lex_state = 28},
  [2284] = {.lex_state = 0, .external_lex_state = 28},
  [2285] = {.lex_state = 0, .external_lex_state = 28},
  [2286] = {.lex_state = 0, .external_lex_state = 27},
  [2287] = {.lex_state = 0, .external_lex_state = 28},
  [2288] = {.lex_state = 4},
  [2289] = {.lex_state = 0, .external_lex_state = 27},
  [2290] = {.lex_state = 2},
  [2291] = {.lex_state = 0},
  [2292] = {.lex_state = 0},
  [2293] = {.lex_state = 0, .external_lex_state = 27},
  [2294] = {.lex_state = 0},
  [2295] = {.lex_state = 0, .external_lex_state = 27},
  [2296] = {.lex_state = 0},
  [2297] = {.lex_state = 0},
  [2298] = {.lex_state = 0},
  [2299] = {.lex_state = 0},
  [2300] = {.lex_state = 0},
  [2301] = {.lex_state = 0},
  [2302] = {.lex_state = 0, .external_lex_state = 27},
  [2303] = {.lex_state = 0, .external_lex_state = 27},
  [2304] = {.lex_state = 0},
  [2305] = {.lex_state = 0},
  [2306] = {.lex_state = 0},
  [2307] = {.lex_state = 1},
  [2308] = {.lex_state = 1},
  [2309] = {.lex_state = 1},
  [2310] = {.lex_state = 1},
  [2311] = {.lex_state = 1},
  [2312] = {.lex_state = 1},
  [2313] = {.lex_state = 1},
  [2314] = {.lex_state = 1},
  [2315] = {.lex_state = 1},
  [2316] = {.lex_state = 1},
  [2317] = {.lex_state = 1},
  [2318] = {.lex_state = 1},
  [2319] = {.lex_state = 1},
  [2320] = {.lex_state = 1},
  [2321] = {.lex_state = 1},
  [2322] = {.lex_state = 1},
  [2323] = {.lex_state = 1},
  [2324] = {.lex_state = 1},
  [2325] = {.lex_state = 1},
  [2326] = {.lex_state = 1},
  [2327] = {.lex_state = 1},
  [2328] = {.lex_state = 1},
  [2329] = {.lex_state = 1},
  [2330] = {.lex_state = 1},
  [2331] = {.lex_state = 1},
  [2332] = {.lex_state = 1},
  [2333] = {.lex_state = 1},
  [2334] = {.lex_state = 1},
  [2335] = {.lex_state = 0},
  [2336] = {.lex_state = 1},
  [2337] = {.lex_state = 1},
  [2338] = {.lex_state = 1},
  [2339] = {.lex_state = 1},
  [2340] = {.lex_state = 1},
  [2341] = {.lex_state = 1},
  [2342] = {.lex_state = 1},
  [2343] = {.lex_state = 1},
  [2344] = {.lex_state = 1},
  [2345] = {.lex_state = 1},
  [2346] = {.lex_state = 1},
  [2347] = {.lex_state = 1},
  [2348] = {.lex_state = 1},
  [2349] = {.lex_state = 1},
  [2350] = {.lex_state = 1},
  [2351] = {.lex_state = 1},
  [2352] = {.lex_state = 1},
  [2353] = {.lex_state = 1},
  [2354] = {.lex_state = 1},
  [2355] = {.lex_state = 1},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_repeat] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_LT_LT_DASH] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_DASH_GT_GT] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [aux_sym_binary_operator_token1] = ACTIONS(1),
    [anon_sym_PIPE_GT] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1),
    [anon_sym_L] = ACTIONS(1),
    [anon_sym_i] = ACTIONS(1),
    [sym__hex_literal] = ACTIONS(1),
    [sym__number_literal] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_return] = ACTIONS(1),
    [sym_next] = ACTIONS(1),
    [sym_break] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_inf] = ACTIONS(1),
    [sym_nan] = ACTIONS(1),
    [anon_sym_NA] = ACTIONS(1),
    [anon_sym_NA_integer_] = ACTIONS(1),
    [anon_sym_NA_real_] = ACTIONS(1),
    [anon_sym_NA_complex_] = ACTIONS(1),
    [anon_sym_NA_character_] = ACTIONS(1),
    [sym_dots] = ACTIONS(1),
    [sym_dot_dot_i] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1),
    [sym__start] = ACTIONS(1),
    [sym__newline] = ACTIONS(1),
    [sym__semicolon] = ACTIONS(1),
    [sym__raw_string_literal] = ACTIONS(1),
    [sym__external_else] = ACTIONS(1),
    [sym__external_open_parenthesis] = ACTIONS(1),
    [sym__external_close_parenthesis] = ACTIONS(1),
    [sym__external_open_brace] = ACTIONS(1),
    [sym__external_close_brace] = ACTIONS(1),
    [sym__external_open_bracket] = ACTIONS(1),
    [sym__external_close_bracket] = ACTIONS(1),
    [sym__external_open_bracket2] = ACTIONS(1),
    [sym__external_close_bracket2] = ACTIONS(1),
    [sym__error_sentinel] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2335),
    [sym_comment] = ACTIONS(3),
    [sym__start] = ACTIONS(5),
  },
  [2] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__else] = STATE(1496),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(7),
    [anon_sym_while] = ACTIONS(7),
    [anon_sym_repeat] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(9),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(9),
    [sym__number_literal] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(9),
    [anon_sym_DQUOTE] = ACTIONS(9),
    [sym_return] = ACTIONS(7),
    [sym_next] = ACTIONS(7),
    [sym_break] = ACTIONS(7),
    [sym_true] = ACTIONS(7),
    [sym_false] = ACTIONS(7),
    [sym_null] = ACTIONS(7),
    [sym_inf] = ACTIONS(7),
    [sym_nan] = ACTIONS(7),
    [anon_sym_NA] = ACTIONS(7),
    [anon_sym_NA_integer_] = ACTIONS(7),
    [anon_sym_NA_real_] = ACTIONS(7),
    [anon_sym_NA_complex_] = ACTIONS(7),
    [anon_sym_NA_character_] = ACTIONS(7),
    [sym_dots] = ACTIONS(7),
    [sym_dot_dot_i] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(9),
    [sym__newline] = ACTIONS(9),
    [sym__raw_string_literal] = ACTIONS(9),
    [sym__external_else] = ACTIONS(49),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(9),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(9),
  },
  [3] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__else] = STATE(1261),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(9),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(7),
    [anon_sym_while] = ACTIONS(7),
    [anon_sym_repeat] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(9),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(9),
    [sym__number_literal] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(9),
    [anon_sym_DQUOTE] = ACTIONS(9),
    [sym_return] = ACTIONS(7),
    [sym_next] = ACTIONS(7),
    [sym_break] = ACTIONS(7),
    [sym_true] = ACTIONS(7),
    [sym_false] = ACTIONS(7),
    [sym_null] = ACTIONS(7),
    [sym_inf] = ACTIONS(7),
    [sym_nan] = ACTIONS(7),
    [anon_sym_NA] = ACTIONS(7),
    [anon_sym_NA_integer_] = ACTIONS(7),
    [anon_sym_NA_real_] = ACTIONS(7),
    [anon_sym_NA_complex_] = ACTIONS(7),
    [anon_sym_NA_character_] = ACTIONS(7),
    [sym_dots] = ACTIONS(7),
    [sym_dot_dot_i] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(9),
    [sym__semicolon] = ACTIONS(9),
    [sym__raw_string_literal] = ACTIONS(9),
    [sym__external_else] = ACTIONS(95),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(9),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [4] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__else] = STATE(1293),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_BSLASH] = ACTIONS(105),
    [anon_sym_function] = ACTIONS(103),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_for] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(103),
    [anon_sym_repeat] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(105),
    [sym__number_literal] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_return] = ACTIONS(103),
    [sym_next] = ACTIONS(103),
    [sym_break] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_inf] = ACTIONS(103),
    [sym_nan] = ACTIONS(103),
    [anon_sym_NA] = ACTIONS(103),
    [anon_sym_NA_integer_] = ACTIONS(103),
    [anon_sym_NA_real_] = ACTIONS(103),
    [anon_sym_NA_complex_] = ACTIONS(103),
    [anon_sym_NA_character_] = ACTIONS(103),
    [sym_dots] = ACTIONS(103),
    [sym_dot_dot_i] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(105),
    [sym__newline] = ACTIONS(105),
    [sym__raw_string_literal] = ACTIONS(105),
    [sym__external_else] = ACTIONS(145),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(105),
    [sym__external_open_brace] = ACTIONS(105),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [5] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__else] = STATE(1448),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(155),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(155),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(155),
    [sym__newline] = ACTIONS(155),
    [sym__raw_string_literal] = ACTIONS(155),
    [sym__external_else] = ACTIONS(157),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(155),
    [sym__external_open_brace] = ACTIONS(155),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [6] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__else] = STATE(1461),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_BSLASH] = ACTIONS(161),
    [anon_sym_function] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_repeat] = ACTIONS(159),
    [anon_sym_QMARK] = ACTIONS(161),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(161),
    [sym__number_literal] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [sym_return] = ACTIONS(159),
    [sym_next] = ACTIONS(159),
    [sym_break] = ACTIONS(159),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [sym_null] = ACTIONS(159),
    [sym_inf] = ACTIONS(159),
    [sym_nan] = ACTIONS(159),
    [anon_sym_NA] = ACTIONS(159),
    [anon_sym_NA_integer_] = ACTIONS(159),
    [anon_sym_NA_real_] = ACTIONS(159),
    [anon_sym_NA_complex_] = ACTIONS(159),
    [anon_sym_NA_character_] = ACTIONS(159),
    [sym_dots] = ACTIONS(159),
    [sym_dot_dot_i] = ACTIONS(161),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(161),
    [sym__newline] = ACTIONS(161),
    [sym__raw_string_literal] = ACTIONS(161),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(161),
    [sym__external_open_brace] = ACTIONS(161),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [7] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__else] = STATE(1508),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(7),
    [anon_sym_while] = ACTIONS(7),
    [anon_sym_repeat] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(9),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(9),
    [sym__number_literal] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(9),
    [anon_sym_DQUOTE] = ACTIONS(9),
    [sym_return] = ACTIONS(7),
    [sym_next] = ACTIONS(7),
    [sym_break] = ACTIONS(7),
    [sym_true] = ACTIONS(7),
    [sym_false] = ACTIONS(7),
    [sym_null] = ACTIONS(7),
    [sym_inf] = ACTIONS(7),
    [sym_nan] = ACTIONS(7),
    [anon_sym_NA] = ACTIONS(7),
    [anon_sym_NA_integer_] = ACTIONS(7),
    [anon_sym_NA_real_] = ACTIONS(7),
    [anon_sym_NA_complex_] = ACTIONS(7),
    [anon_sym_NA_character_] = ACTIONS(7),
    [sym_dots] = ACTIONS(7),
    [sym_dot_dot_i] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(9),
    [sym__newline] = ACTIONS(9),
    [sym__raw_string_literal] = ACTIONS(9),
    [sym__external_else] = ACTIONS(165),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(9),
    [sym__external_open_brace] = ACTIONS(9),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [8] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__else] = STATE(1256),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_BSLASH] = ACTIONS(105),
    [anon_sym_function] = ACTIONS(103),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_for] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(103),
    [anon_sym_repeat] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(105),
    [sym__number_literal] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_return] = ACTIONS(103),
    [sym_next] = ACTIONS(103),
    [sym_break] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_inf] = ACTIONS(103),
    [sym_nan] = ACTIONS(103),
    [anon_sym_NA] = ACTIONS(103),
    [anon_sym_NA_integer_] = ACTIONS(103),
    [anon_sym_NA_real_] = ACTIONS(103),
    [anon_sym_NA_complex_] = ACTIONS(103),
    [anon_sym_NA_character_] = ACTIONS(103),
    [sym_dots] = ACTIONS(103),
    [sym_dot_dot_i] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(105),
    [sym__semicolon] = ACTIONS(105),
    [sym__raw_string_literal] = ACTIONS(105),
    [sym__external_else] = ACTIONS(205),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(105),
    [sym__external_close_brace] = ACTIONS(105),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [9] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__else] = STATE(1270),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(155),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(155),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(155),
    [sym__semicolon] = ACTIONS(155),
    [sym__raw_string_literal] = ACTIONS(155),
    [sym__external_else] = ACTIONS(213),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(155),
    [sym__external_close_brace] = ACTIONS(155),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [10] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__else] = STATE(1271),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_BSLASH] = ACTIONS(161),
    [anon_sym_function] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_repeat] = ACTIONS(159),
    [anon_sym_QMARK] = ACTIONS(161),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(161),
    [sym__number_literal] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [sym_return] = ACTIONS(159),
    [sym_next] = ACTIONS(159),
    [sym_break] = ACTIONS(159),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [sym_null] = ACTIONS(159),
    [sym_inf] = ACTIONS(159),
    [sym_nan] = ACTIONS(159),
    [anon_sym_NA] = ACTIONS(159),
    [anon_sym_NA_integer_] = ACTIONS(159),
    [anon_sym_NA_real_] = ACTIONS(159),
    [anon_sym_NA_complex_] = ACTIONS(159),
    [anon_sym_NA_character_] = ACTIONS(159),
    [sym_dots] = ACTIONS(159),
    [sym_dot_dot_i] = ACTIONS(161),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(161),
    [sym__semicolon] = ACTIONS(161),
    [sym__raw_string_literal] = ACTIONS(161),
    [sym__external_else] = ACTIONS(215),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(161),
    [sym__external_close_brace] = ACTIONS(161),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [11] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__else] = STATE(1302),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(7),
    [anon_sym_while] = ACTIONS(7),
    [anon_sym_repeat] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(9),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(9),
    [sym__number_literal] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(9),
    [anon_sym_DQUOTE] = ACTIONS(9),
    [sym_return] = ACTIONS(7),
    [sym_next] = ACTIONS(7),
    [sym_break] = ACTIONS(7),
    [sym_true] = ACTIONS(7),
    [sym_false] = ACTIONS(7),
    [sym_null] = ACTIONS(7),
    [sym_inf] = ACTIONS(7),
    [sym_nan] = ACTIONS(7),
    [anon_sym_NA] = ACTIONS(7),
    [anon_sym_NA_integer_] = ACTIONS(7),
    [anon_sym_NA_real_] = ACTIONS(7),
    [anon_sym_NA_complex_] = ACTIONS(7),
    [anon_sym_NA_character_] = ACTIONS(7),
    [sym_dots] = ACTIONS(7),
    [sym_dot_dot_i] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(9),
    [sym__semicolon] = ACTIONS(9),
    [sym__raw_string_literal] = ACTIONS(9),
    [sym__external_else] = ACTIONS(217),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(9),
    [sym__external_close_brace] = ACTIONS(9),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [12] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__else] = STATE(1092),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_BSLASH] = ACTIONS(105),
    [anon_sym_function] = ACTIONS(103),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_for] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(103),
    [anon_sym_repeat] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(105),
    [sym__number_literal] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_return] = ACTIONS(103),
    [sym_next] = ACTIONS(103),
    [sym_break] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_inf] = ACTIONS(103),
    [sym_nan] = ACTIONS(103),
    [anon_sym_NA] = ACTIONS(103),
    [anon_sym_NA_integer_] = ACTIONS(103),
    [anon_sym_NA_real_] = ACTIONS(103),
    [anon_sym_NA_complex_] = ACTIONS(103),
    [anon_sym_NA_character_] = ACTIONS(103),
    [sym_dots] = ACTIONS(103),
    [sym_dot_dot_i] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(105),
    [sym__newline] = ACTIONS(105),
    [sym__raw_string_literal] = ACTIONS(105),
    [sym__external_else] = ACTIONS(257),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(105),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(105),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [13] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__else] = STATE(1160),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(155),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(155),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(155),
    [sym__newline] = ACTIONS(155),
    [sym__raw_string_literal] = ACTIONS(155),
    [sym__external_else] = ACTIONS(265),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(155),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(155),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [14] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__else] = STATE(1161),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_BSLASH] = ACTIONS(161),
    [anon_sym_function] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_repeat] = ACTIONS(159),
    [anon_sym_QMARK] = ACTIONS(161),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(161),
    [sym__number_literal] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [sym_return] = ACTIONS(159),
    [sym_next] = ACTIONS(159),
    [sym_break] = ACTIONS(159),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [sym_null] = ACTIONS(159),
    [sym_inf] = ACTIONS(159),
    [sym_nan] = ACTIONS(159),
    [anon_sym_NA] = ACTIONS(159),
    [anon_sym_NA_integer_] = ACTIONS(159),
    [anon_sym_NA_real_] = ACTIONS(159),
    [anon_sym_NA_complex_] = ACTIONS(159),
    [anon_sym_NA_character_] = ACTIONS(159),
    [sym_dots] = ACTIONS(159),
    [sym_dot_dot_i] = ACTIONS(161),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(161),
    [sym__newline] = ACTIONS(161),
    [sym__raw_string_literal] = ACTIONS(161),
    [sym__external_else] = ACTIONS(267),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(161),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(161),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [15] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__else] = STATE(1266),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(7),
    [anon_sym_while] = ACTIONS(7),
    [anon_sym_repeat] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(9),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(9),
    [sym__number_literal] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(9),
    [anon_sym_DQUOTE] = ACTIONS(9),
    [sym_return] = ACTIONS(7),
    [sym_next] = ACTIONS(7),
    [sym_break] = ACTIONS(7),
    [sym_true] = ACTIONS(7),
    [sym_false] = ACTIONS(7),
    [sym_null] = ACTIONS(7),
    [sym_inf] = ACTIONS(7),
    [sym_nan] = ACTIONS(7),
    [anon_sym_NA] = ACTIONS(7),
    [anon_sym_NA_integer_] = ACTIONS(7),
    [anon_sym_NA_real_] = ACTIONS(7),
    [anon_sym_NA_complex_] = ACTIONS(7),
    [anon_sym_NA_character_] = ACTIONS(7),
    [sym_dots] = ACTIONS(7),
    [sym_dot_dot_i] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(9),
    [sym__newline] = ACTIONS(9),
    [sym__raw_string_literal] = ACTIONS(9),
    [sym__external_else] = ACTIONS(269),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(9),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(9),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [16] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__else] = STATE(1343),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_BSLASH] = ACTIONS(105),
    [anon_sym_function] = ACTIONS(103),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_for] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(103),
    [anon_sym_repeat] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(105),
    [sym__number_literal] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_return] = ACTIONS(103),
    [sym_next] = ACTIONS(103),
    [sym_break] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_inf] = ACTIONS(103),
    [sym_nan] = ACTIONS(103),
    [anon_sym_NA] = ACTIONS(103),
    [anon_sym_NA_integer_] = ACTIONS(103),
    [anon_sym_NA_real_] = ACTIONS(103),
    [anon_sym_NA_complex_] = ACTIONS(103),
    [anon_sym_NA_character_] = ACTIONS(103),
    [sym_dots] = ACTIONS(103),
    [sym_dot_dot_i] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(105),
    [sym__newline] = ACTIONS(105),
    [sym__raw_string_literal] = ACTIONS(105),
    [sym__external_else] = ACTIONS(271),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(105),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(105),
  },
  [17] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__else] = STATE(1443),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(155),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(155),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(155),
    [sym__newline] = ACTIONS(155),
    [sym__raw_string_literal] = ACTIONS(155),
    [sym__external_else] = ACTIONS(273),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(155),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(155),
  },
  [18] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__else] = STATE(1198),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(105),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_BSLASH] = ACTIONS(105),
    [anon_sym_function] = ACTIONS(103),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_for] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(103),
    [anon_sym_repeat] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(105),
    [sym__number_literal] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_return] = ACTIONS(103),
    [sym_next] = ACTIONS(103),
    [sym_break] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_inf] = ACTIONS(103),
    [sym_nan] = ACTIONS(103),
    [anon_sym_NA] = ACTIONS(103),
    [anon_sym_NA_integer_] = ACTIONS(103),
    [anon_sym_NA_real_] = ACTIONS(103),
    [anon_sym_NA_complex_] = ACTIONS(103),
    [anon_sym_NA_character_] = ACTIONS(103),
    [sym_dots] = ACTIONS(103),
    [sym_dot_dot_i] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(105),
    [sym__semicolon] = ACTIONS(105),
    [sym__raw_string_literal] = ACTIONS(105),
    [sym__external_else] = ACTIONS(275),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(105),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [19] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__else] = STATE(1633),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(7),
    [anon_sym_while] = ACTIONS(7),
    [anon_sym_repeat] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(9),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(9),
    [sym__number_literal] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(9),
    [anon_sym_DQUOTE] = ACTIONS(9),
    [sym_return] = ACTIONS(7),
    [sym_next] = ACTIONS(7),
    [sym_break] = ACTIONS(7),
    [sym_true] = ACTIONS(7),
    [sym_false] = ACTIONS(7),
    [sym_null] = ACTIONS(7),
    [sym_inf] = ACTIONS(7),
    [sym_nan] = ACTIONS(7),
    [anon_sym_NA] = ACTIONS(7),
    [anon_sym_NA_integer_] = ACTIONS(7),
    [anon_sym_NA_real_] = ACTIONS(7),
    [anon_sym_NA_complex_] = ACTIONS(7),
    [anon_sym_NA_character_] = ACTIONS(7),
    [sym_dots] = ACTIONS(7),
    [sym_dot_dot_i] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(9),
    [sym__newline] = ACTIONS(9),
    [sym__raw_string_literal] = ACTIONS(9),
    [sym__external_else] = ACTIONS(277),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(9),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(9),
  },
  [20] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__else] = STATE(1223),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(155),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(155),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(155),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(155),
    [sym__semicolon] = ACTIONS(155),
    [sym__raw_string_literal] = ACTIONS(155),
    [sym__external_else] = ACTIONS(279),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(155),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [21] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__else] = STATE(1224),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(161),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_BSLASH] = ACTIONS(161),
    [anon_sym_function] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_repeat] = ACTIONS(159),
    [anon_sym_QMARK] = ACTIONS(161),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(161),
    [sym__number_literal] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [sym_return] = ACTIONS(159),
    [sym_next] = ACTIONS(159),
    [sym_break] = ACTIONS(159),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [sym_null] = ACTIONS(159),
    [sym_inf] = ACTIONS(159),
    [sym_nan] = ACTIONS(159),
    [anon_sym_NA] = ACTIONS(159),
    [anon_sym_NA_integer_] = ACTIONS(159),
    [anon_sym_NA_real_] = ACTIONS(159),
    [anon_sym_NA_complex_] = ACTIONS(159),
    [anon_sym_NA_character_] = ACTIONS(159),
    [sym_dots] = ACTIONS(159),
    [sym_dot_dot_i] = ACTIONS(161),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(161),
    [sym__semicolon] = ACTIONS(161),
    [sym__raw_string_literal] = ACTIONS(161),
    [sym__external_else] = ACTIONS(281),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(161),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [22] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__else] = STATE(1097),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(105),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_BSLASH] = ACTIONS(105),
    [anon_sym_function] = ACTIONS(103),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_for] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(103),
    [anon_sym_repeat] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(105),
    [sym__number_literal] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_return] = ACTIONS(103),
    [sym_next] = ACTIONS(103),
    [sym_break] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_inf] = ACTIONS(103),
    [sym_nan] = ACTIONS(103),
    [anon_sym_NA] = ACTIONS(103),
    [anon_sym_NA_integer_] = ACTIONS(103),
    [anon_sym_NA_real_] = ACTIONS(103),
    [anon_sym_NA_complex_] = ACTIONS(103),
    [anon_sym_NA_character_] = ACTIONS(103),
    [sym_dots] = ACTIONS(103),
    [sym_dot_dot_i] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(105),
    [sym__semicolon] = ACTIONS(105),
    [sym__raw_string_literal] = ACTIONS(105),
    [sym__external_else] = ACTIONS(283),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(105),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [23] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__else] = STATE(1104),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(155),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(155),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(155),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(155),
    [sym__semicolon] = ACTIONS(155),
    [sym__raw_string_literal] = ACTIONS(155),
    [sym__external_else] = ACTIONS(285),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(155),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [24] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__else] = STATE(1105),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(161),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_BSLASH] = ACTIONS(161),
    [anon_sym_function] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_repeat] = ACTIONS(159),
    [anon_sym_QMARK] = ACTIONS(161),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(161),
    [sym__number_literal] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [sym_return] = ACTIONS(159),
    [sym_next] = ACTIONS(159),
    [sym_break] = ACTIONS(159),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [sym_null] = ACTIONS(159),
    [sym_inf] = ACTIONS(159),
    [sym_nan] = ACTIONS(159),
    [anon_sym_NA] = ACTIONS(159),
    [anon_sym_NA_integer_] = ACTIONS(159),
    [anon_sym_NA_real_] = ACTIONS(159),
    [anon_sym_NA_complex_] = ACTIONS(159),
    [anon_sym_NA_character_] = ACTIONS(159),
    [sym_dots] = ACTIONS(159),
    [sym_dot_dot_i] = ACTIONS(161),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(161),
    [sym__semicolon] = ACTIONS(161),
    [sym__raw_string_literal] = ACTIONS(161),
    [sym__external_else] = ACTIONS(287),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(161),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [25] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__else] = STATE(1115),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(9),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(7),
    [anon_sym_while] = ACTIONS(7),
    [anon_sym_repeat] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(9),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(9),
    [sym__number_literal] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(9),
    [anon_sym_DQUOTE] = ACTIONS(9),
    [sym_return] = ACTIONS(7),
    [sym_next] = ACTIONS(7),
    [sym_break] = ACTIONS(7),
    [sym_true] = ACTIONS(7),
    [sym_false] = ACTIONS(7),
    [sym_null] = ACTIONS(7),
    [sym_inf] = ACTIONS(7),
    [sym_nan] = ACTIONS(7),
    [anon_sym_NA] = ACTIONS(7),
    [anon_sym_NA_integer_] = ACTIONS(7),
    [anon_sym_NA_real_] = ACTIONS(7),
    [anon_sym_NA_complex_] = ACTIONS(7),
    [anon_sym_NA_character_] = ACTIONS(7),
    [sym_dots] = ACTIONS(7),
    [sym_dot_dot_i] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(9),
    [sym__semicolon] = ACTIONS(9),
    [sym__raw_string_literal] = ACTIONS(9),
    [sym__external_else] = ACTIONS(289),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(9),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [26] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__else] = STATE(1227),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_BSLASH] = ACTIONS(105),
    [anon_sym_function] = ACTIONS(103),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_for] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(103),
    [anon_sym_repeat] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(105),
    [sym__number_literal] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_return] = ACTIONS(103),
    [sym_next] = ACTIONS(103),
    [sym_break] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_inf] = ACTIONS(103),
    [sym_nan] = ACTIONS(103),
    [anon_sym_NA] = ACTIONS(103),
    [anon_sym_NA_integer_] = ACTIONS(103),
    [anon_sym_NA_real_] = ACTIONS(103),
    [anon_sym_NA_complex_] = ACTIONS(103),
    [anon_sym_NA_character_] = ACTIONS(103),
    [sym_dots] = ACTIONS(103),
    [sym_dot_dot_i] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(105),
    [sym__newline] = ACTIONS(105),
    [sym__raw_string_literal] = ACTIONS(105),
    [sym__external_else] = ACTIONS(291),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(105),
    [sym__external_open_brace] = ACTIONS(105),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [27] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__else] = STATE(1232),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(155),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(155),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(155),
    [sym__newline] = ACTIONS(155),
    [sym__raw_string_literal] = ACTIONS(155),
    [sym__external_else] = ACTIONS(293),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(155),
    [sym__external_open_brace] = ACTIONS(155),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [28] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__else] = STATE(1233),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_BSLASH] = ACTIONS(161),
    [anon_sym_function] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_repeat] = ACTIONS(159),
    [anon_sym_QMARK] = ACTIONS(161),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(161),
    [sym__number_literal] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [sym_return] = ACTIONS(159),
    [sym_next] = ACTIONS(159),
    [sym_break] = ACTIONS(159),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [sym_null] = ACTIONS(159),
    [sym_inf] = ACTIONS(159),
    [sym_nan] = ACTIONS(159),
    [anon_sym_NA] = ACTIONS(159),
    [anon_sym_NA_integer_] = ACTIONS(159),
    [anon_sym_NA_real_] = ACTIONS(159),
    [anon_sym_NA_complex_] = ACTIONS(159),
    [anon_sym_NA_character_] = ACTIONS(159),
    [sym_dots] = ACTIONS(159),
    [sym_dot_dot_i] = ACTIONS(161),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(161),
    [sym__newline] = ACTIONS(161),
    [sym__raw_string_literal] = ACTIONS(161),
    [sym__external_else] = ACTIONS(295),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(161),
    [sym__external_open_brace] = ACTIONS(161),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [29] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__else] = STATE(1241),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(7),
    [anon_sym_while] = ACTIONS(7),
    [anon_sym_repeat] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(9),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(9),
    [sym__number_literal] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(9),
    [anon_sym_DQUOTE] = ACTIONS(9),
    [sym_return] = ACTIONS(7),
    [sym_next] = ACTIONS(7),
    [sym_break] = ACTIONS(7),
    [sym_true] = ACTIONS(7),
    [sym_false] = ACTIONS(7),
    [sym_null] = ACTIONS(7),
    [sym_inf] = ACTIONS(7),
    [sym_nan] = ACTIONS(7),
    [anon_sym_NA] = ACTIONS(7),
    [anon_sym_NA_integer_] = ACTIONS(7),
    [anon_sym_NA_real_] = ACTIONS(7),
    [anon_sym_NA_complex_] = ACTIONS(7),
    [anon_sym_NA_character_] = ACTIONS(7),
    [sym_dots] = ACTIONS(7),
    [sym_dot_dot_i] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(9),
    [sym__newline] = ACTIONS(9),
    [sym__raw_string_literal] = ACTIONS(9),
    [sym__external_else] = ACTIONS(297),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(9),
    [sym__external_open_brace] = ACTIONS(9),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [30] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__else] = STATE(1349),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_BSLASH] = ACTIONS(105),
    [anon_sym_function] = ACTIONS(103),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_for] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(103),
    [anon_sym_repeat] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(105),
    [sym__number_literal] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_return] = ACTIONS(103),
    [sym_next] = ACTIONS(103),
    [sym_break] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_inf] = ACTIONS(103),
    [sym_nan] = ACTIONS(103),
    [anon_sym_NA] = ACTIONS(103),
    [anon_sym_NA_integer_] = ACTIONS(103),
    [anon_sym_NA_real_] = ACTIONS(103),
    [anon_sym_NA_complex_] = ACTIONS(103),
    [anon_sym_NA_character_] = ACTIONS(103),
    [sym_dots] = ACTIONS(103),
    [sym_dot_dot_i] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(105),
    [sym__semicolon] = ACTIONS(105),
    [sym__raw_string_literal] = ACTIONS(105),
    [sym__external_else] = ACTIONS(299),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(105),
    [sym__external_close_brace] = ACTIONS(105),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [31] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__else] = STATE(1355),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(155),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(155),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(155),
    [sym__semicolon] = ACTIONS(155),
    [sym__raw_string_literal] = ACTIONS(155),
    [sym__external_else] = ACTIONS(301),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(155),
    [sym__external_close_brace] = ACTIONS(155),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [32] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__else] = STATE(1356),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_BSLASH] = ACTIONS(161),
    [anon_sym_function] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_repeat] = ACTIONS(159),
    [anon_sym_QMARK] = ACTIONS(161),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(161),
    [sym__number_literal] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [sym_return] = ACTIONS(159),
    [sym_next] = ACTIONS(159),
    [sym_break] = ACTIONS(159),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [sym_null] = ACTIONS(159),
    [sym_inf] = ACTIONS(159),
    [sym_nan] = ACTIONS(159),
    [anon_sym_NA] = ACTIONS(159),
    [anon_sym_NA_integer_] = ACTIONS(159),
    [anon_sym_NA_real_] = ACTIONS(159),
    [anon_sym_NA_complex_] = ACTIONS(159),
    [anon_sym_NA_character_] = ACTIONS(159),
    [sym_dots] = ACTIONS(159),
    [sym_dot_dot_i] = ACTIONS(161),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(161),
    [sym__semicolon] = ACTIONS(161),
    [sym__raw_string_literal] = ACTIONS(161),
    [sym__external_else] = ACTIONS(303),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(161),
    [sym__external_close_brace] = ACTIONS(161),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [33] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__else] = STATE(1366),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(7),
    [anon_sym_while] = ACTIONS(7),
    [anon_sym_repeat] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(9),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(9),
    [sym__number_literal] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(9),
    [anon_sym_DQUOTE] = ACTIONS(9),
    [sym_return] = ACTIONS(7),
    [sym_next] = ACTIONS(7),
    [sym_break] = ACTIONS(7),
    [sym_true] = ACTIONS(7),
    [sym_false] = ACTIONS(7),
    [sym_null] = ACTIONS(7),
    [sym_inf] = ACTIONS(7),
    [sym_nan] = ACTIONS(7),
    [anon_sym_NA] = ACTIONS(7),
    [anon_sym_NA_integer_] = ACTIONS(7),
    [anon_sym_NA_real_] = ACTIONS(7),
    [anon_sym_NA_complex_] = ACTIONS(7),
    [anon_sym_NA_character_] = ACTIONS(7),
    [sym_dots] = ACTIONS(7),
    [sym_dot_dot_i] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(9),
    [sym__semicolon] = ACTIONS(9),
    [sym__raw_string_literal] = ACTIONS(9),
    [sym__external_else] = ACTIONS(305),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(9),
    [sym__external_close_brace] = ACTIONS(9),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [34] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__else] = STATE(1512),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_BSLASH] = ACTIONS(105),
    [anon_sym_function] = ACTIONS(103),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_for] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(103),
    [anon_sym_repeat] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(105),
    [sym__number_literal] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_return] = ACTIONS(103),
    [sym_next] = ACTIONS(103),
    [sym_break] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_inf] = ACTIONS(103),
    [sym_nan] = ACTIONS(103),
    [anon_sym_NA] = ACTIONS(103),
    [anon_sym_NA_integer_] = ACTIONS(103),
    [anon_sym_NA_real_] = ACTIONS(103),
    [anon_sym_NA_complex_] = ACTIONS(103),
    [anon_sym_NA_character_] = ACTIONS(103),
    [sym_dots] = ACTIONS(103),
    [sym_dot_dot_i] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(105),
    [sym__newline] = ACTIONS(105),
    [sym__raw_string_literal] = ACTIONS(105),
    [sym__external_else] = ACTIONS(307),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(105),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(105),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [35] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__else] = STATE(1516),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(155),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(155),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(155),
    [sym__newline] = ACTIONS(155),
    [sym__raw_string_literal] = ACTIONS(155),
    [sym__external_else] = ACTIONS(309),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(155),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(155),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [36] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__else] = STATE(1517),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_BSLASH] = ACTIONS(161),
    [anon_sym_function] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_repeat] = ACTIONS(159),
    [anon_sym_QMARK] = ACTIONS(161),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(161),
    [sym__number_literal] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [sym_return] = ACTIONS(159),
    [sym_next] = ACTIONS(159),
    [sym_break] = ACTIONS(159),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [sym_null] = ACTIONS(159),
    [sym_inf] = ACTIONS(159),
    [sym_nan] = ACTIONS(159),
    [anon_sym_NA] = ACTIONS(159),
    [anon_sym_NA_integer_] = ACTIONS(159),
    [anon_sym_NA_real_] = ACTIONS(159),
    [anon_sym_NA_complex_] = ACTIONS(159),
    [anon_sym_NA_character_] = ACTIONS(159),
    [sym_dots] = ACTIONS(159),
    [sym_dot_dot_i] = ACTIONS(161),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(161),
    [sym__newline] = ACTIONS(161),
    [sym__raw_string_literal] = ACTIONS(161),
    [sym__external_else] = ACTIONS(311),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(161),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(161),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [37] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__else] = STATE(1522),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(7),
    [anon_sym_while] = ACTIONS(7),
    [anon_sym_repeat] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(9),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(9),
    [sym__number_literal] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(9),
    [anon_sym_DQUOTE] = ACTIONS(9),
    [sym_return] = ACTIONS(7),
    [sym_next] = ACTIONS(7),
    [sym_break] = ACTIONS(7),
    [sym_true] = ACTIONS(7),
    [sym_false] = ACTIONS(7),
    [sym_null] = ACTIONS(7),
    [sym_inf] = ACTIONS(7),
    [sym_nan] = ACTIONS(7),
    [anon_sym_NA] = ACTIONS(7),
    [anon_sym_NA_integer_] = ACTIONS(7),
    [anon_sym_NA_real_] = ACTIONS(7),
    [anon_sym_NA_complex_] = ACTIONS(7),
    [anon_sym_NA_character_] = ACTIONS(7),
    [sym_dots] = ACTIONS(7),
    [sym_dot_dot_i] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(9),
    [sym__newline] = ACTIONS(9),
    [sym__raw_string_literal] = ACTIONS(9),
    [sym__external_else] = ACTIONS(313),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(9),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(9),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [38] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__else] = STATE(1617),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_BSLASH] = ACTIONS(105),
    [anon_sym_function] = ACTIONS(103),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_for] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(103),
    [anon_sym_repeat] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(105),
    [sym__number_literal] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_return] = ACTIONS(103),
    [sym_next] = ACTIONS(103),
    [sym_break] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_inf] = ACTIONS(103),
    [sym_nan] = ACTIONS(103),
    [anon_sym_NA] = ACTIONS(103),
    [anon_sym_NA_integer_] = ACTIONS(103),
    [anon_sym_NA_real_] = ACTIONS(103),
    [anon_sym_NA_complex_] = ACTIONS(103),
    [anon_sym_NA_character_] = ACTIONS(103),
    [sym_dots] = ACTIONS(103),
    [sym_dot_dot_i] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(105),
    [sym__newline] = ACTIONS(105),
    [sym__raw_string_literal] = ACTIONS(105),
    [sym__external_else] = ACTIONS(315),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(105),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(105),
  },
  [39] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__else] = STATE(1623),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(155),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(155),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(155),
    [sym__newline] = ACTIONS(155),
    [sym__raw_string_literal] = ACTIONS(155),
    [sym__external_else] = ACTIONS(317),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(155),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(155),
  },
  [40] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__else] = STATE(1624),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_BSLASH] = ACTIONS(161),
    [anon_sym_function] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_repeat] = ACTIONS(159),
    [anon_sym_QMARK] = ACTIONS(161),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(161),
    [sym__number_literal] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [sym_return] = ACTIONS(159),
    [sym_next] = ACTIONS(159),
    [sym_break] = ACTIONS(159),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [sym_null] = ACTIONS(159),
    [sym_inf] = ACTIONS(159),
    [sym_nan] = ACTIONS(159),
    [anon_sym_NA] = ACTIONS(159),
    [anon_sym_NA_integer_] = ACTIONS(159),
    [anon_sym_NA_real_] = ACTIONS(159),
    [anon_sym_NA_complex_] = ACTIONS(159),
    [anon_sym_NA_character_] = ACTIONS(159),
    [sym_dots] = ACTIONS(159),
    [sym_dot_dot_i] = ACTIONS(161),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(161),
    [sym__newline] = ACTIONS(161),
    [sym__raw_string_literal] = ACTIONS(161),
    [sym__external_else] = ACTIONS(319),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(161),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(161),
  },
  [41] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__else] = STATE(1447),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_BSLASH] = ACTIONS(161),
    [anon_sym_function] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_repeat] = ACTIONS(159),
    [anon_sym_QMARK] = ACTIONS(161),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(161),
    [sym__number_literal] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [sym_return] = ACTIONS(159),
    [sym_next] = ACTIONS(159),
    [sym_break] = ACTIONS(159),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [sym_null] = ACTIONS(159),
    [sym_inf] = ACTIONS(159),
    [sym_nan] = ACTIONS(159),
    [anon_sym_NA] = ACTIONS(159),
    [anon_sym_NA_integer_] = ACTIONS(159),
    [anon_sym_NA_real_] = ACTIONS(159),
    [anon_sym_NA_complex_] = ACTIONS(159),
    [anon_sym_NA_character_] = ACTIONS(159),
    [sym_dots] = ACTIONS(159),
    [sym_dot_dot_i] = ACTIONS(161),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(161),
    [sym__newline] = ACTIONS(161),
    [sym__raw_string_literal] = ACTIONS(161),
    [sym__external_else] = ACTIONS(321),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(161),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(161),
  },
  [42] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(323),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_BSLASH] = ACTIONS(323),
    [anon_sym_function] = ACTIONS(325),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_repeat] = ACTIONS(325),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(323),
    [sym__number_literal] = ACTIONS(325),
    [anon_sym_SQUOTE] = ACTIONS(323),
    [anon_sym_DQUOTE] = ACTIONS(323),
    [sym_return] = ACTIONS(325),
    [sym_next] = ACTIONS(325),
    [sym_break] = ACTIONS(325),
    [sym_true] = ACTIONS(325),
    [sym_false] = ACTIONS(325),
    [sym_null] = ACTIONS(325),
    [sym_inf] = ACTIONS(325),
    [sym_nan] = ACTIONS(325),
    [anon_sym_NA] = ACTIONS(325),
    [anon_sym_NA_integer_] = ACTIONS(325),
    [anon_sym_NA_real_] = ACTIONS(325),
    [anon_sym_NA_complex_] = ACTIONS(325),
    [anon_sym_NA_character_] = ACTIONS(325),
    [sym_dots] = ACTIONS(325),
    [sym_dot_dot_i] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(323),
    [sym__semicolon] = ACTIONS(323),
    [sym__raw_string_literal] = ACTIONS(323),
    [sym__external_else] = ACTIONS(323),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(323),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [43] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(327),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_BSLASH] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(329),
    [anon_sym_while] = ACTIONS(329),
    [anon_sym_repeat] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(329),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(327),
    [sym__number_literal] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [sym_return] = ACTIONS(329),
    [sym_next] = ACTIONS(329),
    [sym_break] = ACTIONS(329),
    [sym_true] = ACTIONS(329),
    [sym_false] = ACTIONS(329),
    [sym_null] = ACTIONS(329),
    [sym_inf] = ACTIONS(329),
    [sym_nan] = ACTIONS(329),
    [anon_sym_NA] = ACTIONS(329),
    [anon_sym_NA_integer_] = ACTIONS(329),
    [anon_sym_NA_real_] = ACTIONS(329),
    [anon_sym_NA_complex_] = ACTIONS(329),
    [anon_sym_NA_character_] = ACTIONS(329),
    [sym_dots] = ACTIONS(329),
    [sym_dot_dot_i] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(327),
    [sym__semicolon] = ACTIONS(327),
    [sym__raw_string_literal] = ACTIONS(327),
    [sym__external_else] = ACTIONS(327),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(327),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [44] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(331),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(331),
    [sym__semicolon] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_else] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [45] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(331),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(331),
    [sym__semicolon] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_else] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [46] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(331),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(333),
    [anon_sym_AMP] = ACTIONS(333),
    [anon_sym_PIPE_PIPE] = ACTIONS(331),
    [anon_sym_AMP_AMP] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(331),
    [sym__semicolon] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_else] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [47] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(331),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(331),
    [anon_sym_DASH] = ACTIONS(333),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(333),
    [anon_sym_AMP] = ACTIONS(333),
    [anon_sym_PIPE_PIPE] = ACTIONS(331),
    [anon_sym_AMP_AMP] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_LT_EQ] = ACTIONS(331),
    [anon_sym_GT] = ACTIONS(333),
    [anon_sym_GT_EQ] = ACTIONS(331),
    [anon_sym_EQ_EQ] = ACTIONS(331),
    [anon_sym_BANG_EQ] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(331),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(331),
    [anon_sym_PIPE_GT] = ACTIONS(331),
    [anon_sym_COLON] = ACTIONS(333),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(331),
    [sym__semicolon] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_else] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [48] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(335),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_BSLASH] = ACTIONS(335),
    [anon_sym_function] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(337),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_repeat] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(335),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(337),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(335),
    [sym__number_literal] = ACTIONS(337),
    [anon_sym_SQUOTE] = ACTIONS(335),
    [anon_sym_DQUOTE] = ACTIONS(335),
    [sym_return] = ACTIONS(337),
    [sym_next] = ACTIONS(337),
    [sym_break] = ACTIONS(337),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_null] = ACTIONS(337),
    [sym_inf] = ACTIONS(337),
    [sym_nan] = ACTIONS(337),
    [anon_sym_NA] = ACTIONS(337),
    [anon_sym_NA_integer_] = ACTIONS(337),
    [anon_sym_NA_real_] = ACTIONS(337),
    [anon_sym_NA_complex_] = ACTIONS(337),
    [anon_sym_NA_character_] = ACTIONS(337),
    [sym_dots] = ACTIONS(337),
    [sym_dot_dot_i] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(335),
    [sym__semicolon] = ACTIONS(335),
    [sym__raw_string_literal] = ACTIONS(335),
    [sym__external_else] = ACTIONS(335),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(335),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [49] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(339),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_BSLASH] = ACTIONS(339),
    [anon_sym_function] = ACTIONS(341),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(341),
    [anon_sym_while] = ACTIONS(341),
    [anon_sym_repeat] = ACTIONS(341),
    [anon_sym_QMARK] = ACTIONS(339),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(341),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(339),
    [sym__number_literal] = ACTIONS(341),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_DQUOTE] = ACTIONS(339),
    [sym_return] = ACTIONS(341),
    [sym_next] = ACTIONS(341),
    [sym_break] = ACTIONS(341),
    [sym_true] = ACTIONS(341),
    [sym_false] = ACTIONS(341),
    [sym_null] = ACTIONS(341),
    [sym_inf] = ACTIONS(341),
    [sym_nan] = ACTIONS(341),
    [anon_sym_NA] = ACTIONS(341),
    [anon_sym_NA_integer_] = ACTIONS(341),
    [anon_sym_NA_real_] = ACTIONS(341),
    [anon_sym_NA_complex_] = ACTIONS(341),
    [anon_sym_NA_character_] = ACTIONS(341),
    [sym_dots] = ACTIONS(341),
    [sym_dot_dot_i] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(339),
    [sym__semicolon] = ACTIONS(339),
    [sym__raw_string_literal] = ACTIONS(339),
    [sym__external_else] = ACTIONS(339),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(339),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [50] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(343),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(343),
    [sym__semicolon] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_else] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [51] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(343),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(343),
    [sym__semicolon] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_else] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [52] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(343),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_PIPE_PIPE] = ACTIONS(343),
    [anon_sym_AMP_AMP] = ACTIONS(343),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(343),
    [sym__semicolon] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_else] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [53] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(343),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(343),
    [anon_sym_DASH] = ACTIONS(345),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_PIPE_PIPE] = ACTIONS(343),
    [anon_sym_AMP_AMP] = ACTIONS(343),
    [anon_sym_LT] = ACTIONS(345),
    [anon_sym_LT_EQ] = ACTIONS(343),
    [anon_sym_GT] = ACTIONS(345),
    [anon_sym_GT_EQ] = ACTIONS(343),
    [anon_sym_EQ_EQ] = ACTIONS(343),
    [anon_sym_BANG_EQ] = ACTIONS(343),
    [anon_sym_STAR] = ACTIONS(345),
    [anon_sym_SLASH] = ACTIONS(343),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(343),
    [anon_sym_PIPE_GT] = ACTIONS(343),
    [anon_sym_COLON] = ACTIONS(345),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(343),
    [sym__semicolon] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_else] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [54] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [55] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [56] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [57] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [58] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [59] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [60] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [61] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [62] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [63] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [64] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(349),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [65] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [66] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(349),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [67] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(351),
    [sym_identifier] = ACTIONS(353),
    [anon_sym_BSLASH] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(353),
    [anon_sym_for] = ACTIONS(353),
    [anon_sym_while] = ACTIONS(353),
    [anon_sym_repeat] = ACTIONS(353),
    [anon_sym_QMARK] = ACTIONS(351),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(351),
    [sym__number_literal] = ACTIONS(353),
    [anon_sym_SQUOTE] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_return] = ACTIONS(353),
    [sym_next] = ACTIONS(353),
    [sym_break] = ACTIONS(353),
    [sym_true] = ACTIONS(353),
    [sym_false] = ACTIONS(353),
    [sym_null] = ACTIONS(353),
    [sym_inf] = ACTIONS(353),
    [sym_nan] = ACTIONS(353),
    [anon_sym_NA] = ACTIONS(353),
    [anon_sym_NA_integer_] = ACTIONS(353),
    [anon_sym_NA_real_] = ACTIONS(353),
    [anon_sym_NA_complex_] = ACTIONS(353),
    [anon_sym_NA_character_] = ACTIONS(353),
    [sym_dots] = ACTIONS(353),
    [sym_dot_dot_i] = ACTIONS(351),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(351),
    [sym__semicolon] = ACTIONS(351),
    [sym__raw_string_literal] = ACTIONS(351),
    [sym__external_else] = ACTIONS(351),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(351),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [68] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(355),
    [sym_identifier] = ACTIONS(357),
    [anon_sym_BSLASH] = ACTIONS(355),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_repeat] = ACTIONS(357),
    [anon_sym_QMARK] = ACTIONS(355),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(355),
    [sym__number_literal] = ACTIONS(357),
    [anon_sym_SQUOTE] = ACTIONS(355),
    [anon_sym_DQUOTE] = ACTIONS(355),
    [sym_return] = ACTIONS(357),
    [sym_next] = ACTIONS(357),
    [sym_break] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_inf] = ACTIONS(357),
    [sym_nan] = ACTIONS(357),
    [anon_sym_NA] = ACTIONS(357),
    [anon_sym_NA_integer_] = ACTIONS(357),
    [anon_sym_NA_real_] = ACTIONS(357),
    [anon_sym_NA_complex_] = ACTIONS(357),
    [anon_sym_NA_character_] = ACTIONS(357),
    [sym_dots] = ACTIONS(357),
    [sym_dot_dot_i] = ACTIONS(355),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(355),
    [sym__semicolon] = ACTIONS(355),
    [sym__raw_string_literal] = ACTIONS(355),
    [sym__external_else] = ACTIONS(355),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(355),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [69] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [70] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [71] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [72] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [73] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [74] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [75] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [76] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [77] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [78] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [79] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(361),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [80] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [81] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(361),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [82] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(363),
    [sym_identifier] = ACTIONS(365),
    [anon_sym_BSLASH] = ACTIONS(363),
    [anon_sym_function] = ACTIONS(365),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_repeat] = ACTIONS(365),
    [anon_sym_QMARK] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(365),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(363),
    [sym__number_literal] = ACTIONS(365),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [sym_return] = ACTIONS(365),
    [sym_next] = ACTIONS(365),
    [sym_break] = ACTIONS(365),
    [sym_true] = ACTIONS(365),
    [sym_false] = ACTIONS(365),
    [sym_null] = ACTIONS(365),
    [sym_inf] = ACTIONS(365),
    [sym_nan] = ACTIONS(365),
    [anon_sym_NA] = ACTIONS(365),
    [anon_sym_NA_integer_] = ACTIONS(365),
    [anon_sym_NA_real_] = ACTIONS(365),
    [anon_sym_NA_complex_] = ACTIONS(365),
    [anon_sym_NA_character_] = ACTIONS(365),
    [sym_dots] = ACTIONS(365),
    [sym_dot_dot_i] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(363),
    [sym__semicolon] = ACTIONS(363),
    [sym__raw_string_literal] = ACTIONS(363),
    [sym__external_else] = ACTIONS(363),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(363),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [83] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(367),
    [sym_identifier] = ACTIONS(369),
    [anon_sym_BSLASH] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(369),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(369),
    [anon_sym_repeat] = ACTIONS(369),
    [anon_sym_QMARK] = ACTIONS(367),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(367),
    [sym__number_literal] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(367),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [sym_return] = ACTIONS(369),
    [sym_next] = ACTIONS(369),
    [sym_break] = ACTIONS(369),
    [sym_true] = ACTIONS(369),
    [sym_false] = ACTIONS(369),
    [sym_null] = ACTIONS(369),
    [sym_inf] = ACTIONS(369),
    [sym_nan] = ACTIONS(369),
    [anon_sym_NA] = ACTIONS(369),
    [anon_sym_NA_integer_] = ACTIONS(369),
    [anon_sym_NA_real_] = ACTIONS(369),
    [anon_sym_NA_complex_] = ACTIONS(369),
    [anon_sym_NA_character_] = ACTIONS(369),
    [sym_dots] = ACTIONS(369),
    [sym_dot_dot_i] = ACTIONS(367),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(367),
    [sym__semicolon] = ACTIONS(367),
    [sym__raw_string_literal] = ACTIONS(367),
    [sym__external_else] = ACTIONS(367),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(367),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [84] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [85] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(375),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_for] = ACTIONS(377),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_repeat] = ACTIONS(377),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(375),
    [sym__number_literal] = ACTIONS(377),
    [anon_sym_SQUOTE] = ACTIONS(375),
    [anon_sym_DQUOTE] = ACTIONS(375),
    [sym_return] = ACTIONS(377),
    [sym_next] = ACTIONS(377),
    [sym_break] = ACTIONS(377),
    [sym_true] = ACTIONS(377),
    [sym_false] = ACTIONS(377),
    [sym_null] = ACTIONS(377),
    [sym_inf] = ACTIONS(377),
    [sym_nan] = ACTIONS(377),
    [anon_sym_NA] = ACTIONS(377),
    [anon_sym_NA_integer_] = ACTIONS(377),
    [anon_sym_NA_real_] = ACTIONS(377),
    [anon_sym_NA_complex_] = ACTIONS(377),
    [anon_sym_NA_character_] = ACTIONS(377),
    [sym_dots] = ACTIONS(377),
    [sym_dot_dot_i] = ACTIONS(375),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(375),
    [sym__semicolon] = ACTIONS(375),
    [sym__raw_string_literal] = ACTIONS(375),
    [sym__external_else] = ACTIONS(375),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(375),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [86] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(379),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_BSLASH] = ACTIONS(379),
    [anon_sym_function] = ACTIONS(381),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(381),
    [anon_sym_repeat] = ACTIONS(381),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(379),
    [sym__number_literal] = ACTIONS(381),
    [anon_sym_SQUOTE] = ACTIONS(379),
    [anon_sym_DQUOTE] = ACTIONS(379),
    [sym_return] = ACTIONS(381),
    [sym_next] = ACTIONS(381),
    [sym_break] = ACTIONS(381),
    [sym_true] = ACTIONS(381),
    [sym_false] = ACTIONS(381),
    [sym_null] = ACTIONS(381),
    [sym_inf] = ACTIONS(381),
    [sym_nan] = ACTIONS(381),
    [anon_sym_NA] = ACTIONS(381),
    [anon_sym_NA_integer_] = ACTIONS(381),
    [anon_sym_NA_real_] = ACTIONS(381),
    [anon_sym_NA_complex_] = ACTIONS(381),
    [anon_sym_NA_character_] = ACTIONS(381),
    [sym_dots] = ACTIONS(381),
    [sym_dot_dot_i] = ACTIONS(379),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(379),
    [sym__semicolon] = ACTIONS(379),
    [sym__raw_string_literal] = ACTIONS(379),
    [sym__external_else] = ACTIONS(379),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(379),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [87] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [88] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(387),
    [sym_identifier] = ACTIONS(389),
    [anon_sym_BSLASH] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(389),
    [anon_sym_repeat] = ACTIONS(389),
    [anon_sym_QMARK] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(389),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(387),
    [sym__number_literal] = ACTIONS(389),
    [anon_sym_SQUOTE] = ACTIONS(387),
    [anon_sym_DQUOTE] = ACTIONS(387),
    [sym_return] = ACTIONS(389),
    [sym_next] = ACTIONS(389),
    [sym_break] = ACTIONS(389),
    [sym_true] = ACTIONS(389),
    [sym_false] = ACTIONS(389),
    [sym_null] = ACTIONS(389),
    [sym_inf] = ACTIONS(389),
    [sym_nan] = ACTIONS(389),
    [anon_sym_NA] = ACTIONS(389),
    [anon_sym_NA_integer_] = ACTIONS(389),
    [anon_sym_NA_real_] = ACTIONS(389),
    [anon_sym_NA_complex_] = ACTIONS(389),
    [anon_sym_NA_character_] = ACTIONS(389),
    [sym_dots] = ACTIONS(389),
    [sym_dot_dot_i] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(387),
    [sym__semicolon] = ACTIONS(387),
    [sym__raw_string_literal] = ACTIONS(387),
    [sym__external_else] = ACTIONS(387),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(387),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [89] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(391),
    [sym_identifier] = ACTIONS(393),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_function] = ACTIONS(393),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(393),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(393),
    [anon_sym_QMARK] = ACTIONS(391),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(391),
    [sym__number_literal] = ACTIONS(393),
    [anon_sym_SQUOTE] = ACTIONS(391),
    [anon_sym_DQUOTE] = ACTIONS(391),
    [sym_return] = ACTIONS(393),
    [sym_next] = ACTIONS(393),
    [sym_break] = ACTIONS(393),
    [sym_true] = ACTIONS(393),
    [sym_false] = ACTIONS(393),
    [sym_null] = ACTIONS(393),
    [sym_inf] = ACTIONS(393),
    [sym_nan] = ACTIONS(393),
    [anon_sym_NA] = ACTIONS(393),
    [anon_sym_NA_integer_] = ACTIONS(393),
    [anon_sym_NA_real_] = ACTIONS(393),
    [anon_sym_NA_complex_] = ACTIONS(393),
    [anon_sym_NA_character_] = ACTIONS(393),
    [sym_dots] = ACTIONS(393),
    [sym_dot_dot_i] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(391),
    [sym__semicolon] = ACTIONS(391),
    [sym__raw_string_literal] = ACTIONS(391),
    [sym__external_else] = ACTIONS(391),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(391),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [90] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(395),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(395),
    [anon_sym_function] = ACTIONS(397),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(397),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_while] = ACTIONS(397),
    [anon_sym_repeat] = ACTIONS(397),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(395),
    [sym__number_literal] = ACTIONS(397),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(395),
    [sym_return] = ACTIONS(397),
    [sym_next] = ACTIONS(397),
    [sym_break] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_inf] = ACTIONS(397),
    [sym_nan] = ACTIONS(397),
    [anon_sym_NA] = ACTIONS(397),
    [anon_sym_NA_integer_] = ACTIONS(397),
    [anon_sym_NA_real_] = ACTIONS(397),
    [anon_sym_NA_complex_] = ACTIONS(397),
    [anon_sym_NA_character_] = ACTIONS(397),
    [sym_dots] = ACTIONS(397),
    [sym_dot_dot_i] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(395),
    [sym__semicolon] = ACTIONS(395),
    [sym__raw_string_literal] = ACTIONS(395),
    [sym__external_else] = ACTIONS(395),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(395),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [91] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(399),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(399),
    [anon_sym_function] = ACTIONS(401),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(401),
    [anon_sym_repeat] = ACTIONS(401),
    [anon_sym_QMARK] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(401),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(399),
    [sym__number_literal] = ACTIONS(401),
    [anon_sym_SQUOTE] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(399),
    [sym_return] = ACTIONS(401),
    [sym_next] = ACTIONS(401),
    [sym_break] = ACTIONS(401),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [sym_null] = ACTIONS(401),
    [sym_inf] = ACTIONS(401),
    [sym_nan] = ACTIONS(401),
    [anon_sym_NA] = ACTIONS(401),
    [anon_sym_NA_integer_] = ACTIONS(401),
    [anon_sym_NA_real_] = ACTIONS(401),
    [anon_sym_NA_complex_] = ACTIONS(401),
    [anon_sym_NA_character_] = ACTIONS(401),
    [sym_dots] = ACTIONS(401),
    [sym_dot_dot_i] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(399),
    [sym__semicolon] = ACTIONS(399),
    [sym__raw_string_literal] = ACTIONS(399),
    [sym__external_else] = ACTIONS(399),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(399),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [92] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(403),
    [sym_identifier] = ACTIONS(405),
    [anon_sym_BSLASH] = ACTIONS(403),
    [anon_sym_function] = ACTIONS(405),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(405),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(405),
    [anon_sym_QMARK] = ACTIONS(403),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(405),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(403),
    [sym__number_literal] = ACTIONS(405),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_return] = ACTIONS(405),
    [sym_next] = ACTIONS(405),
    [sym_break] = ACTIONS(405),
    [sym_true] = ACTIONS(405),
    [sym_false] = ACTIONS(405),
    [sym_null] = ACTIONS(405),
    [sym_inf] = ACTIONS(405),
    [sym_nan] = ACTIONS(405),
    [anon_sym_NA] = ACTIONS(405),
    [anon_sym_NA_integer_] = ACTIONS(405),
    [anon_sym_NA_real_] = ACTIONS(405),
    [anon_sym_NA_complex_] = ACTIONS(405),
    [anon_sym_NA_character_] = ACTIONS(405),
    [sym_dots] = ACTIONS(405),
    [sym_dot_dot_i] = ACTIONS(403),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(403),
    [sym__semicolon] = ACTIONS(403),
    [sym__raw_string_literal] = ACTIONS(403),
    [sym__external_else] = ACTIONS(403),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(403),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [93] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(407),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_for] = ACTIONS(409),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_repeat] = ACTIONS(409),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(409),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(407),
    [sym__number_literal] = ACTIONS(409),
    [anon_sym_SQUOTE] = ACTIONS(407),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_return] = ACTIONS(409),
    [sym_next] = ACTIONS(409),
    [sym_break] = ACTIONS(409),
    [sym_true] = ACTIONS(409),
    [sym_false] = ACTIONS(409),
    [sym_null] = ACTIONS(409),
    [sym_inf] = ACTIONS(409),
    [sym_nan] = ACTIONS(409),
    [anon_sym_NA] = ACTIONS(409),
    [anon_sym_NA_integer_] = ACTIONS(409),
    [anon_sym_NA_real_] = ACTIONS(409),
    [anon_sym_NA_complex_] = ACTIONS(409),
    [anon_sym_NA_character_] = ACTIONS(409),
    [sym_dots] = ACTIONS(409),
    [sym_dot_dot_i] = ACTIONS(407),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(407),
    [sym__semicolon] = ACTIONS(407),
    [sym__raw_string_literal] = ACTIONS(407),
    [sym__external_else] = ACTIONS(407),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(407),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [94] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(411),
    [sym_identifier] = ACTIONS(413),
    [anon_sym_BSLASH] = ACTIONS(411),
    [anon_sym_function] = ACTIONS(413),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_repeat] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(411),
    [sym__number_literal] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(411),
    [anon_sym_DQUOTE] = ACTIONS(411),
    [sym_return] = ACTIONS(413),
    [sym_next] = ACTIONS(413),
    [sym_break] = ACTIONS(413),
    [sym_true] = ACTIONS(413),
    [sym_false] = ACTIONS(413),
    [sym_null] = ACTIONS(413),
    [sym_inf] = ACTIONS(413),
    [sym_nan] = ACTIONS(413),
    [anon_sym_NA] = ACTIONS(413),
    [anon_sym_NA_integer_] = ACTIONS(413),
    [anon_sym_NA_real_] = ACTIONS(413),
    [anon_sym_NA_complex_] = ACTIONS(413),
    [anon_sym_NA_character_] = ACTIONS(413),
    [sym_dots] = ACTIONS(413),
    [sym_dot_dot_i] = ACTIONS(411),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(411),
    [sym__semicolon] = ACTIONS(411),
    [sym__raw_string_literal] = ACTIONS(411),
    [sym__external_else] = ACTIONS(411),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(411),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [95] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(415),
    [sym_identifier] = ACTIONS(417),
    [anon_sym_BSLASH] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_repeat] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(415),
    [sym__number_literal] = ACTIONS(417),
    [anon_sym_SQUOTE] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(415),
    [sym_return] = ACTIONS(417),
    [sym_next] = ACTIONS(417),
    [sym_break] = ACTIONS(417),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [sym_null] = ACTIONS(417),
    [sym_inf] = ACTIONS(417),
    [sym_nan] = ACTIONS(417),
    [anon_sym_NA] = ACTIONS(417),
    [anon_sym_NA_integer_] = ACTIONS(417),
    [anon_sym_NA_real_] = ACTIONS(417),
    [anon_sym_NA_complex_] = ACTIONS(417),
    [anon_sym_NA_character_] = ACTIONS(417),
    [sym_dots] = ACTIONS(417),
    [sym_dot_dot_i] = ACTIONS(415),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(415),
    [sym__semicolon] = ACTIONS(415),
    [sym__raw_string_literal] = ACTIONS(415),
    [sym__external_else] = ACTIONS(415),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(415),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [96] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(419),
    [sym_identifier] = ACTIONS(421),
    [anon_sym_BSLASH] = ACTIONS(419),
    [anon_sym_function] = ACTIONS(421),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_repeat] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(419),
    [sym__number_literal] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [sym_return] = ACTIONS(421),
    [sym_next] = ACTIONS(421),
    [sym_break] = ACTIONS(421),
    [sym_true] = ACTIONS(421),
    [sym_false] = ACTIONS(421),
    [sym_null] = ACTIONS(421),
    [sym_inf] = ACTIONS(421),
    [sym_nan] = ACTIONS(421),
    [anon_sym_NA] = ACTIONS(421),
    [anon_sym_NA_integer_] = ACTIONS(421),
    [anon_sym_NA_real_] = ACTIONS(421),
    [anon_sym_NA_complex_] = ACTIONS(421),
    [anon_sym_NA_character_] = ACTIONS(421),
    [sym_dots] = ACTIONS(421),
    [sym_dot_dot_i] = ACTIONS(419),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(419),
    [sym__semicolon] = ACTIONS(419),
    [sym__raw_string_literal] = ACTIONS(419),
    [sym__external_else] = ACTIONS(419),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(419),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [97] = {
    [sym_call_arguments] = STATE(817),
    [sym_subset_arguments] = STATE(818),
    [sym_subset2_arguments] = STATE(819),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(423),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_BSLASH] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_for] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_repeat] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_LT_DASH] = ACTIONS(65),
    [anon_sym_LT_LT_DASH] = ACTIONS(65),
    [anon_sym_COLON_EQ] = ACTIONS(65),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(69),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_PIPE_PIPE] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(81),
    [anon_sym_GT] = ACTIONS(79),
    [anon_sym_GT_EQ] = ACTIONS(81),
    [anon_sym_EQ_EQ] = ACTIONS(81),
    [anon_sym_BANG_EQ] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(83),
    [anon_sym_SLASH] = ACTIONS(85),
    [anon_sym_STAR_STAR] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(87),
    [aux_sym_binary_operator_token1] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(93),
    [sym__hex_literal] = ACTIONS(423),
    [sym__number_literal] = ACTIONS(425),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_return] = ACTIONS(425),
    [sym_next] = ACTIONS(425),
    [sym_break] = ACTIONS(425),
    [sym_true] = ACTIONS(425),
    [sym_false] = ACTIONS(425),
    [sym_null] = ACTIONS(425),
    [sym_inf] = ACTIONS(425),
    [sym_nan] = ACTIONS(425),
    [anon_sym_NA] = ACTIONS(425),
    [anon_sym_NA_integer_] = ACTIONS(425),
    [anon_sym_NA_real_] = ACTIONS(425),
    [anon_sym_NA_complex_] = ACTIONS(425),
    [anon_sym_NA_character_] = ACTIONS(425),
    [sym_dots] = ACTIONS(425),
    [sym_dot_dot_i] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(423),
    [sym__semicolon] = ACTIONS(423),
    [sym__raw_string_literal] = ACTIONS(423),
    [sym__external_else] = ACTIONS(423),
    [sym__external_open_parenthesis] = ACTIONS(97),
    [sym__external_open_brace] = ACTIONS(423),
    [sym__external_open_bracket] = ACTIONS(99),
    [sym__external_open_bracket2] = ACTIONS(101),
  },
  [98] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_BSLASH] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(329),
    [anon_sym_while] = ACTIONS(329),
    [anon_sym_repeat] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(329),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(327),
    [sym__number_literal] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [sym_return] = ACTIONS(329),
    [sym_next] = ACTIONS(329),
    [sym_break] = ACTIONS(329),
    [sym_true] = ACTIONS(329),
    [sym_false] = ACTIONS(329),
    [sym_null] = ACTIONS(329),
    [sym_inf] = ACTIONS(329),
    [sym_nan] = ACTIONS(329),
    [anon_sym_NA] = ACTIONS(329),
    [anon_sym_NA_integer_] = ACTIONS(329),
    [anon_sym_NA_real_] = ACTIONS(329),
    [anon_sym_NA_complex_] = ACTIONS(329),
    [anon_sym_NA_character_] = ACTIONS(329),
    [sym_dots] = ACTIONS(329),
    [sym_dot_dot_i] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(327),
    [sym__newline] = ACTIONS(327),
    [sym__raw_string_literal] = ACTIONS(327),
    [sym__external_else] = ACTIONS(327),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(327),
    [sym__external_open_brace] = ACTIONS(327),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [99] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(331),
    [sym__newline] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_else] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(331),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [100] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(331),
    [sym__newline] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_else] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(331),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [101] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(333),
    [anon_sym_AMP] = ACTIONS(333),
    [anon_sym_PIPE_PIPE] = ACTIONS(331),
    [anon_sym_AMP_AMP] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(331),
    [sym__newline] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_else] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(331),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [102] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(331),
    [anon_sym_DASH] = ACTIONS(333),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(333),
    [anon_sym_AMP] = ACTIONS(333),
    [anon_sym_PIPE_PIPE] = ACTIONS(331),
    [anon_sym_AMP_AMP] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_LT_EQ] = ACTIONS(331),
    [anon_sym_GT] = ACTIONS(333),
    [anon_sym_GT_EQ] = ACTIONS(331),
    [anon_sym_EQ_EQ] = ACTIONS(331),
    [anon_sym_BANG_EQ] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(331),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(331),
    [anon_sym_PIPE_GT] = ACTIONS(331),
    [anon_sym_COLON] = ACTIONS(333),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(331),
    [sym__newline] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_else] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(331),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [103] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_BSLASH] = ACTIONS(335),
    [anon_sym_function] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(337),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_repeat] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(335),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(337),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(335),
    [sym__number_literal] = ACTIONS(337),
    [anon_sym_SQUOTE] = ACTIONS(335),
    [anon_sym_DQUOTE] = ACTIONS(335),
    [sym_return] = ACTIONS(337),
    [sym_next] = ACTIONS(337),
    [sym_break] = ACTIONS(337),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_null] = ACTIONS(337),
    [sym_inf] = ACTIONS(337),
    [sym_nan] = ACTIONS(337),
    [anon_sym_NA] = ACTIONS(337),
    [anon_sym_NA_integer_] = ACTIONS(337),
    [anon_sym_NA_real_] = ACTIONS(337),
    [anon_sym_NA_complex_] = ACTIONS(337),
    [anon_sym_NA_character_] = ACTIONS(337),
    [sym_dots] = ACTIONS(337),
    [sym_dot_dot_i] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(335),
    [sym__newline] = ACTIONS(335),
    [sym__raw_string_literal] = ACTIONS(335),
    [sym__external_else] = ACTIONS(335),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(335),
    [sym__external_open_brace] = ACTIONS(335),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [104] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_BSLASH] = ACTIONS(339),
    [anon_sym_function] = ACTIONS(341),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(341),
    [anon_sym_while] = ACTIONS(341),
    [anon_sym_repeat] = ACTIONS(341),
    [anon_sym_QMARK] = ACTIONS(339),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(341),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(339),
    [sym__number_literal] = ACTIONS(341),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_DQUOTE] = ACTIONS(339),
    [sym_return] = ACTIONS(341),
    [sym_next] = ACTIONS(341),
    [sym_break] = ACTIONS(341),
    [sym_true] = ACTIONS(341),
    [sym_false] = ACTIONS(341),
    [sym_null] = ACTIONS(341),
    [sym_inf] = ACTIONS(341),
    [sym_nan] = ACTIONS(341),
    [anon_sym_NA] = ACTIONS(341),
    [anon_sym_NA_integer_] = ACTIONS(341),
    [anon_sym_NA_real_] = ACTIONS(341),
    [anon_sym_NA_complex_] = ACTIONS(341),
    [anon_sym_NA_character_] = ACTIONS(341),
    [sym_dots] = ACTIONS(341),
    [sym_dot_dot_i] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(339),
    [sym__newline] = ACTIONS(339),
    [sym__raw_string_literal] = ACTIONS(339),
    [sym__external_else] = ACTIONS(339),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(339),
    [sym__external_open_brace] = ACTIONS(339),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [105] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(343),
    [sym__newline] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_else] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(343),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [106] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(343),
    [sym__newline] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_else] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(343),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [107] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_PIPE_PIPE] = ACTIONS(343),
    [anon_sym_AMP_AMP] = ACTIONS(343),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(343),
    [sym__newline] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_else] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(343),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [108] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(343),
    [anon_sym_DASH] = ACTIONS(345),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_PIPE_PIPE] = ACTIONS(343),
    [anon_sym_AMP_AMP] = ACTIONS(343),
    [anon_sym_LT] = ACTIONS(345),
    [anon_sym_LT_EQ] = ACTIONS(343),
    [anon_sym_GT] = ACTIONS(345),
    [anon_sym_GT_EQ] = ACTIONS(343),
    [anon_sym_EQ_EQ] = ACTIONS(343),
    [anon_sym_BANG_EQ] = ACTIONS(343),
    [anon_sym_STAR] = ACTIONS(345),
    [anon_sym_SLASH] = ACTIONS(343),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(343),
    [anon_sym_PIPE_GT] = ACTIONS(343),
    [anon_sym_COLON] = ACTIONS(345),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(343),
    [sym__newline] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_else] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(343),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [109] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(347),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [110] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(347),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [111] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(347),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [112] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(347),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [113] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(347),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [114] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(347),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [115] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(347),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [116] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(347),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [117] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(347),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [118] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(347),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [119] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(349),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(347),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [120] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(347),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [121] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(349),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(347),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [122] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(353),
    [anon_sym_BSLASH] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(353),
    [anon_sym_for] = ACTIONS(353),
    [anon_sym_while] = ACTIONS(353),
    [anon_sym_repeat] = ACTIONS(353),
    [anon_sym_QMARK] = ACTIONS(351),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(351),
    [sym__number_literal] = ACTIONS(353),
    [anon_sym_SQUOTE] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_return] = ACTIONS(353),
    [sym_next] = ACTIONS(353),
    [sym_break] = ACTIONS(353),
    [sym_true] = ACTIONS(353),
    [sym_false] = ACTIONS(353),
    [sym_null] = ACTIONS(353),
    [sym_inf] = ACTIONS(353),
    [sym_nan] = ACTIONS(353),
    [anon_sym_NA] = ACTIONS(353),
    [anon_sym_NA_integer_] = ACTIONS(353),
    [anon_sym_NA_real_] = ACTIONS(353),
    [anon_sym_NA_complex_] = ACTIONS(353),
    [anon_sym_NA_character_] = ACTIONS(353),
    [sym_dots] = ACTIONS(353),
    [sym_dot_dot_i] = ACTIONS(351),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(351),
    [sym__newline] = ACTIONS(351),
    [sym__raw_string_literal] = ACTIONS(351),
    [sym__external_else] = ACTIONS(351),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(351),
    [sym__external_open_brace] = ACTIONS(351),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [123] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(357),
    [anon_sym_BSLASH] = ACTIONS(355),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_repeat] = ACTIONS(357),
    [anon_sym_QMARK] = ACTIONS(355),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(355),
    [sym__number_literal] = ACTIONS(357),
    [anon_sym_SQUOTE] = ACTIONS(355),
    [anon_sym_DQUOTE] = ACTIONS(355),
    [sym_return] = ACTIONS(357),
    [sym_next] = ACTIONS(357),
    [sym_break] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_inf] = ACTIONS(357),
    [sym_nan] = ACTIONS(357),
    [anon_sym_NA] = ACTIONS(357),
    [anon_sym_NA_integer_] = ACTIONS(357),
    [anon_sym_NA_real_] = ACTIONS(357),
    [anon_sym_NA_complex_] = ACTIONS(357),
    [anon_sym_NA_character_] = ACTIONS(357),
    [sym_dots] = ACTIONS(357),
    [sym_dot_dot_i] = ACTIONS(355),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(355),
    [sym__newline] = ACTIONS(355),
    [sym__raw_string_literal] = ACTIONS(355),
    [sym__external_else] = ACTIONS(355),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(355),
    [sym__external_open_brace] = ACTIONS(355),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [124] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(359),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [125] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(359),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [126] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(359),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [127] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(359),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [128] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(359),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [129] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(359),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [130] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(359),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [131] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(359),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [132] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(359),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [133] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(359),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [134] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(361),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(359),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [135] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(359),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [136] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(361),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(359),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [137] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(365),
    [anon_sym_BSLASH] = ACTIONS(363),
    [anon_sym_function] = ACTIONS(365),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_repeat] = ACTIONS(365),
    [anon_sym_QMARK] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(365),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(363),
    [sym__number_literal] = ACTIONS(365),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [sym_return] = ACTIONS(365),
    [sym_next] = ACTIONS(365),
    [sym_break] = ACTIONS(365),
    [sym_true] = ACTIONS(365),
    [sym_false] = ACTIONS(365),
    [sym_null] = ACTIONS(365),
    [sym_inf] = ACTIONS(365),
    [sym_nan] = ACTIONS(365),
    [anon_sym_NA] = ACTIONS(365),
    [anon_sym_NA_integer_] = ACTIONS(365),
    [anon_sym_NA_real_] = ACTIONS(365),
    [anon_sym_NA_complex_] = ACTIONS(365),
    [anon_sym_NA_character_] = ACTIONS(365),
    [sym_dots] = ACTIONS(365),
    [sym_dot_dot_i] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(363),
    [sym__newline] = ACTIONS(363),
    [sym__raw_string_literal] = ACTIONS(363),
    [sym__external_else] = ACTIONS(363),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(363),
    [sym__external_open_brace] = ACTIONS(363),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [138] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(369),
    [anon_sym_BSLASH] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(369),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(369),
    [anon_sym_repeat] = ACTIONS(369),
    [anon_sym_QMARK] = ACTIONS(367),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(367),
    [sym__number_literal] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(367),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [sym_return] = ACTIONS(369),
    [sym_next] = ACTIONS(369),
    [sym_break] = ACTIONS(369),
    [sym_true] = ACTIONS(369),
    [sym_false] = ACTIONS(369),
    [sym_null] = ACTIONS(369),
    [sym_inf] = ACTIONS(369),
    [sym_nan] = ACTIONS(369),
    [anon_sym_NA] = ACTIONS(369),
    [anon_sym_NA_integer_] = ACTIONS(369),
    [anon_sym_NA_real_] = ACTIONS(369),
    [anon_sym_NA_complex_] = ACTIONS(369),
    [anon_sym_NA_character_] = ACTIONS(369),
    [sym_dots] = ACTIONS(369),
    [sym_dot_dot_i] = ACTIONS(367),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(367),
    [sym__newline] = ACTIONS(367),
    [sym__raw_string_literal] = ACTIONS(367),
    [sym__external_else] = ACTIONS(367),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(367),
    [sym__external_open_brace] = ACTIONS(367),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [139] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [140] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_for] = ACTIONS(377),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_repeat] = ACTIONS(377),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(375),
    [sym__number_literal] = ACTIONS(377),
    [anon_sym_SQUOTE] = ACTIONS(375),
    [anon_sym_DQUOTE] = ACTIONS(375),
    [sym_return] = ACTIONS(377),
    [sym_next] = ACTIONS(377),
    [sym_break] = ACTIONS(377),
    [sym_true] = ACTIONS(377),
    [sym_false] = ACTIONS(377),
    [sym_null] = ACTIONS(377),
    [sym_inf] = ACTIONS(377),
    [sym_nan] = ACTIONS(377),
    [anon_sym_NA] = ACTIONS(377),
    [anon_sym_NA_integer_] = ACTIONS(377),
    [anon_sym_NA_real_] = ACTIONS(377),
    [anon_sym_NA_complex_] = ACTIONS(377),
    [anon_sym_NA_character_] = ACTIONS(377),
    [sym_dots] = ACTIONS(377),
    [sym_dot_dot_i] = ACTIONS(375),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(375),
    [sym__newline] = ACTIONS(375),
    [sym__raw_string_literal] = ACTIONS(375),
    [sym__external_else] = ACTIONS(375),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(375),
    [sym__external_open_brace] = ACTIONS(375),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [141] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_BSLASH] = ACTIONS(379),
    [anon_sym_function] = ACTIONS(381),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(381),
    [anon_sym_repeat] = ACTIONS(381),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(379),
    [sym__number_literal] = ACTIONS(381),
    [anon_sym_SQUOTE] = ACTIONS(379),
    [anon_sym_DQUOTE] = ACTIONS(379),
    [sym_return] = ACTIONS(381),
    [sym_next] = ACTIONS(381),
    [sym_break] = ACTIONS(381),
    [sym_true] = ACTIONS(381),
    [sym_false] = ACTIONS(381),
    [sym_null] = ACTIONS(381),
    [sym_inf] = ACTIONS(381),
    [sym_nan] = ACTIONS(381),
    [anon_sym_NA] = ACTIONS(381),
    [anon_sym_NA_integer_] = ACTIONS(381),
    [anon_sym_NA_real_] = ACTIONS(381),
    [anon_sym_NA_complex_] = ACTIONS(381),
    [anon_sym_NA_character_] = ACTIONS(381),
    [sym_dots] = ACTIONS(381),
    [sym_dot_dot_i] = ACTIONS(379),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(379),
    [sym__newline] = ACTIONS(379),
    [sym__raw_string_literal] = ACTIONS(379),
    [sym__external_else] = ACTIONS(379),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(379),
    [sym__external_open_brace] = ACTIONS(379),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [142] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [143] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(389),
    [anon_sym_BSLASH] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(389),
    [anon_sym_repeat] = ACTIONS(389),
    [anon_sym_QMARK] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(389),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(387),
    [sym__number_literal] = ACTIONS(389),
    [anon_sym_SQUOTE] = ACTIONS(387),
    [anon_sym_DQUOTE] = ACTIONS(387),
    [sym_return] = ACTIONS(389),
    [sym_next] = ACTIONS(389),
    [sym_break] = ACTIONS(389),
    [sym_true] = ACTIONS(389),
    [sym_false] = ACTIONS(389),
    [sym_null] = ACTIONS(389),
    [sym_inf] = ACTIONS(389),
    [sym_nan] = ACTIONS(389),
    [anon_sym_NA] = ACTIONS(389),
    [anon_sym_NA_integer_] = ACTIONS(389),
    [anon_sym_NA_real_] = ACTIONS(389),
    [anon_sym_NA_complex_] = ACTIONS(389),
    [anon_sym_NA_character_] = ACTIONS(389),
    [sym_dots] = ACTIONS(389),
    [sym_dot_dot_i] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(387),
    [sym__newline] = ACTIONS(387),
    [sym__raw_string_literal] = ACTIONS(387),
    [sym__external_else] = ACTIONS(387),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(387),
    [sym__external_open_brace] = ACTIONS(387),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [144] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(393),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_function] = ACTIONS(393),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(393),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(393),
    [anon_sym_QMARK] = ACTIONS(391),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(391),
    [sym__number_literal] = ACTIONS(393),
    [anon_sym_SQUOTE] = ACTIONS(391),
    [anon_sym_DQUOTE] = ACTIONS(391),
    [sym_return] = ACTIONS(393),
    [sym_next] = ACTIONS(393),
    [sym_break] = ACTIONS(393),
    [sym_true] = ACTIONS(393),
    [sym_false] = ACTIONS(393),
    [sym_null] = ACTIONS(393),
    [sym_inf] = ACTIONS(393),
    [sym_nan] = ACTIONS(393),
    [anon_sym_NA] = ACTIONS(393),
    [anon_sym_NA_integer_] = ACTIONS(393),
    [anon_sym_NA_real_] = ACTIONS(393),
    [anon_sym_NA_complex_] = ACTIONS(393),
    [anon_sym_NA_character_] = ACTIONS(393),
    [sym_dots] = ACTIONS(393),
    [sym_dot_dot_i] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(391),
    [sym__newline] = ACTIONS(391),
    [sym__raw_string_literal] = ACTIONS(391),
    [sym__external_else] = ACTIONS(391),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(391),
    [sym__external_open_brace] = ACTIONS(391),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [145] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(395),
    [anon_sym_function] = ACTIONS(397),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(397),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_while] = ACTIONS(397),
    [anon_sym_repeat] = ACTIONS(397),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(395),
    [sym__number_literal] = ACTIONS(397),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(395),
    [sym_return] = ACTIONS(397),
    [sym_next] = ACTIONS(397),
    [sym_break] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_inf] = ACTIONS(397),
    [sym_nan] = ACTIONS(397),
    [anon_sym_NA] = ACTIONS(397),
    [anon_sym_NA_integer_] = ACTIONS(397),
    [anon_sym_NA_real_] = ACTIONS(397),
    [anon_sym_NA_complex_] = ACTIONS(397),
    [anon_sym_NA_character_] = ACTIONS(397),
    [sym_dots] = ACTIONS(397),
    [sym_dot_dot_i] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(395),
    [sym__newline] = ACTIONS(395),
    [sym__raw_string_literal] = ACTIONS(395),
    [sym__external_else] = ACTIONS(395),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(395),
    [sym__external_open_brace] = ACTIONS(395),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [146] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(399),
    [anon_sym_function] = ACTIONS(401),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(401),
    [anon_sym_repeat] = ACTIONS(401),
    [anon_sym_QMARK] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(401),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(399),
    [sym__number_literal] = ACTIONS(401),
    [anon_sym_SQUOTE] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(399),
    [sym_return] = ACTIONS(401),
    [sym_next] = ACTIONS(401),
    [sym_break] = ACTIONS(401),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [sym_null] = ACTIONS(401),
    [sym_inf] = ACTIONS(401),
    [sym_nan] = ACTIONS(401),
    [anon_sym_NA] = ACTIONS(401),
    [anon_sym_NA_integer_] = ACTIONS(401),
    [anon_sym_NA_real_] = ACTIONS(401),
    [anon_sym_NA_complex_] = ACTIONS(401),
    [anon_sym_NA_character_] = ACTIONS(401),
    [sym_dots] = ACTIONS(401),
    [sym_dot_dot_i] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(399),
    [sym__newline] = ACTIONS(399),
    [sym__raw_string_literal] = ACTIONS(399),
    [sym__external_else] = ACTIONS(399),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(399),
    [sym__external_open_brace] = ACTIONS(399),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [147] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(405),
    [anon_sym_BSLASH] = ACTIONS(403),
    [anon_sym_function] = ACTIONS(405),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(405),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(405),
    [anon_sym_QMARK] = ACTIONS(403),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(405),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(403),
    [sym__number_literal] = ACTIONS(405),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_return] = ACTIONS(405),
    [sym_next] = ACTIONS(405),
    [sym_break] = ACTIONS(405),
    [sym_true] = ACTIONS(405),
    [sym_false] = ACTIONS(405),
    [sym_null] = ACTIONS(405),
    [sym_inf] = ACTIONS(405),
    [sym_nan] = ACTIONS(405),
    [anon_sym_NA] = ACTIONS(405),
    [anon_sym_NA_integer_] = ACTIONS(405),
    [anon_sym_NA_real_] = ACTIONS(405),
    [anon_sym_NA_complex_] = ACTIONS(405),
    [anon_sym_NA_character_] = ACTIONS(405),
    [sym_dots] = ACTIONS(405),
    [sym_dot_dot_i] = ACTIONS(403),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(403),
    [sym__newline] = ACTIONS(403),
    [sym__raw_string_literal] = ACTIONS(403),
    [sym__external_else] = ACTIONS(403),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(403),
    [sym__external_open_brace] = ACTIONS(403),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [148] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_for] = ACTIONS(409),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_repeat] = ACTIONS(409),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(409),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(407),
    [sym__number_literal] = ACTIONS(409),
    [anon_sym_SQUOTE] = ACTIONS(407),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_return] = ACTIONS(409),
    [sym_next] = ACTIONS(409),
    [sym_break] = ACTIONS(409),
    [sym_true] = ACTIONS(409),
    [sym_false] = ACTIONS(409),
    [sym_null] = ACTIONS(409),
    [sym_inf] = ACTIONS(409),
    [sym_nan] = ACTIONS(409),
    [anon_sym_NA] = ACTIONS(409),
    [anon_sym_NA_integer_] = ACTIONS(409),
    [anon_sym_NA_real_] = ACTIONS(409),
    [anon_sym_NA_complex_] = ACTIONS(409),
    [anon_sym_NA_character_] = ACTIONS(409),
    [sym_dots] = ACTIONS(409),
    [sym_dot_dot_i] = ACTIONS(407),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(407),
    [sym__newline] = ACTIONS(407),
    [sym__raw_string_literal] = ACTIONS(407),
    [sym__external_else] = ACTIONS(407),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(407),
    [sym__external_open_brace] = ACTIONS(407),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [149] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(413),
    [anon_sym_BSLASH] = ACTIONS(411),
    [anon_sym_function] = ACTIONS(413),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_repeat] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(411),
    [sym__number_literal] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(411),
    [anon_sym_DQUOTE] = ACTIONS(411),
    [sym_return] = ACTIONS(413),
    [sym_next] = ACTIONS(413),
    [sym_break] = ACTIONS(413),
    [sym_true] = ACTIONS(413),
    [sym_false] = ACTIONS(413),
    [sym_null] = ACTIONS(413),
    [sym_inf] = ACTIONS(413),
    [sym_nan] = ACTIONS(413),
    [anon_sym_NA] = ACTIONS(413),
    [anon_sym_NA_integer_] = ACTIONS(413),
    [anon_sym_NA_real_] = ACTIONS(413),
    [anon_sym_NA_complex_] = ACTIONS(413),
    [anon_sym_NA_character_] = ACTIONS(413),
    [sym_dots] = ACTIONS(413),
    [sym_dot_dot_i] = ACTIONS(411),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(411),
    [sym__newline] = ACTIONS(411),
    [sym__raw_string_literal] = ACTIONS(411),
    [sym__external_else] = ACTIONS(411),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(411),
    [sym__external_open_brace] = ACTIONS(411),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [150] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_BSLASH] = ACTIONS(323),
    [anon_sym_function] = ACTIONS(325),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_repeat] = ACTIONS(325),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(323),
    [sym__number_literal] = ACTIONS(325),
    [anon_sym_SQUOTE] = ACTIONS(323),
    [anon_sym_DQUOTE] = ACTIONS(323),
    [sym_return] = ACTIONS(325),
    [sym_next] = ACTIONS(325),
    [sym_break] = ACTIONS(325),
    [sym_true] = ACTIONS(325),
    [sym_false] = ACTIONS(325),
    [sym_null] = ACTIONS(325),
    [sym_inf] = ACTIONS(325),
    [sym_nan] = ACTIONS(325),
    [anon_sym_NA] = ACTIONS(325),
    [anon_sym_NA_integer_] = ACTIONS(325),
    [anon_sym_NA_real_] = ACTIONS(325),
    [anon_sym_NA_complex_] = ACTIONS(325),
    [anon_sym_NA_character_] = ACTIONS(325),
    [sym_dots] = ACTIONS(325),
    [sym_dot_dot_i] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(323),
    [sym__newline] = ACTIONS(323),
    [sym__raw_string_literal] = ACTIONS(323),
    [sym__external_else] = ACTIONS(323),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(323),
    [sym__external_open_brace] = ACTIONS(323),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [151] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(417),
    [anon_sym_BSLASH] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_repeat] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(415),
    [sym__number_literal] = ACTIONS(417),
    [anon_sym_SQUOTE] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(415),
    [sym_return] = ACTIONS(417),
    [sym_next] = ACTIONS(417),
    [sym_break] = ACTIONS(417),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [sym_null] = ACTIONS(417),
    [sym_inf] = ACTIONS(417),
    [sym_nan] = ACTIONS(417),
    [anon_sym_NA] = ACTIONS(417),
    [anon_sym_NA_integer_] = ACTIONS(417),
    [anon_sym_NA_real_] = ACTIONS(417),
    [anon_sym_NA_complex_] = ACTIONS(417),
    [anon_sym_NA_character_] = ACTIONS(417),
    [sym_dots] = ACTIONS(417),
    [sym_dot_dot_i] = ACTIONS(415),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(415),
    [sym__newline] = ACTIONS(415),
    [sym__raw_string_literal] = ACTIONS(415),
    [sym__external_else] = ACTIONS(415),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(415),
    [sym__external_open_brace] = ACTIONS(415),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [152] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(421),
    [anon_sym_BSLASH] = ACTIONS(419),
    [anon_sym_function] = ACTIONS(421),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_repeat] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(419),
    [sym__number_literal] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [sym_return] = ACTIONS(421),
    [sym_next] = ACTIONS(421),
    [sym_break] = ACTIONS(421),
    [sym_true] = ACTIONS(421),
    [sym_false] = ACTIONS(421),
    [sym_null] = ACTIONS(421),
    [sym_inf] = ACTIONS(421),
    [sym_nan] = ACTIONS(421),
    [anon_sym_NA] = ACTIONS(421),
    [anon_sym_NA_integer_] = ACTIONS(421),
    [anon_sym_NA_real_] = ACTIONS(421),
    [anon_sym_NA_complex_] = ACTIONS(421),
    [anon_sym_NA_character_] = ACTIONS(421),
    [sym_dots] = ACTIONS(421),
    [sym_dot_dot_i] = ACTIONS(419),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(419),
    [sym__newline] = ACTIONS(419),
    [sym__raw_string_literal] = ACTIONS(419),
    [sym__external_else] = ACTIONS(419),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(419),
    [sym__external_open_brace] = ACTIONS(419),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [153] = {
    [sym_call_arguments] = STATE(840),
    [sym_subset_arguments] = STATE(841),
    [sym_subset2_arguments] = STATE(842),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_BSLASH] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_for] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_repeat] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_LT_DASH] = ACTIONS(115),
    [anon_sym_LT_LT_DASH] = ACTIONS(115),
    [anon_sym_COLON_EQ] = ACTIONS(115),
    [anon_sym_DASH_GT] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_STAR_STAR] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(137),
    [aux_sym_binary_operator_token1] = ACTIONS(139),
    [anon_sym_PIPE_GT] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(141),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [sym__hex_literal] = ACTIONS(423),
    [sym__number_literal] = ACTIONS(425),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_return] = ACTIONS(425),
    [sym_next] = ACTIONS(425),
    [sym_break] = ACTIONS(425),
    [sym_true] = ACTIONS(425),
    [sym_false] = ACTIONS(425),
    [sym_null] = ACTIONS(425),
    [sym_inf] = ACTIONS(425),
    [sym_nan] = ACTIONS(425),
    [anon_sym_NA] = ACTIONS(425),
    [anon_sym_NA_integer_] = ACTIONS(425),
    [anon_sym_NA_real_] = ACTIONS(425),
    [anon_sym_NA_complex_] = ACTIONS(425),
    [anon_sym_NA_character_] = ACTIONS(425),
    [sym_dots] = ACTIONS(425),
    [sym_dot_dot_i] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(423),
    [sym__newline] = ACTIONS(423),
    [sym__raw_string_literal] = ACTIONS(423),
    [sym__external_else] = ACTIONS(423),
    [sym__external_open_parenthesis] = ACTIONS(147),
    [sym__external_close_parenthesis] = ACTIONS(423),
    [sym__external_open_brace] = ACTIONS(423),
    [sym__external_open_bracket] = ACTIONS(149),
    [sym__external_open_bracket2] = ACTIONS(151),
  },
  [154] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_BSLASH] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(329),
    [anon_sym_while] = ACTIONS(329),
    [anon_sym_repeat] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(329),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(327),
    [sym__number_literal] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [sym_return] = ACTIONS(329),
    [sym_next] = ACTIONS(329),
    [sym_break] = ACTIONS(329),
    [sym_true] = ACTIONS(329),
    [sym_false] = ACTIONS(329),
    [sym_null] = ACTIONS(329),
    [sym_inf] = ACTIONS(329),
    [sym_nan] = ACTIONS(329),
    [anon_sym_NA] = ACTIONS(329),
    [anon_sym_NA_integer_] = ACTIONS(329),
    [anon_sym_NA_real_] = ACTIONS(329),
    [anon_sym_NA_complex_] = ACTIONS(329),
    [anon_sym_NA_character_] = ACTIONS(329),
    [sym_dots] = ACTIONS(329),
    [sym_dot_dot_i] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(327),
    [sym__semicolon] = ACTIONS(327),
    [sym__raw_string_literal] = ACTIONS(327),
    [sym__external_else] = ACTIONS(327),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(327),
    [sym__external_close_brace] = ACTIONS(327),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [155] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(331),
    [sym__semicolon] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_else] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_close_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [156] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(331),
    [sym__semicolon] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_else] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_close_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [157] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(333),
    [anon_sym_AMP] = ACTIONS(333),
    [anon_sym_PIPE_PIPE] = ACTIONS(331),
    [anon_sym_AMP_AMP] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(331),
    [sym__semicolon] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_else] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_close_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [158] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(331),
    [anon_sym_DASH] = ACTIONS(333),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(333),
    [anon_sym_AMP] = ACTIONS(333),
    [anon_sym_PIPE_PIPE] = ACTIONS(331),
    [anon_sym_AMP_AMP] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_LT_EQ] = ACTIONS(331),
    [anon_sym_GT] = ACTIONS(333),
    [anon_sym_GT_EQ] = ACTIONS(331),
    [anon_sym_EQ_EQ] = ACTIONS(331),
    [anon_sym_BANG_EQ] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(331),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(331),
    [anon_sym_PIPE_GT] = ACTIONS(331),
    [anon_sym_COLON] = ACTIONS(333),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(331),
    [sym__semicolon] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_else] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_close_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [159] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_BSLASH] = ACTIONS(335),
    [anon_sym_function] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(337),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_repeat] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(335),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(337),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(335),
    [sym__number_literal] = ACTIONS(337),
    [anon_sym_SQUOTE] = ACTIONS(335),
    [anon_sym_DQUOTE] = ACTIONS(335),
    [sym_return] = ACTIONS(337),
    [sym_next] = ACTIONS(337),
    [sym_break] = ACTIONS(337),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_null] = ACTIONS(337),
    [sym_inf] = ACTIONS(337),
    [sym_nan] = ACTIONS(337),
    [anon_sym_NA] = ACTIONS(337),
    [anon_sym_NA_integer_] = ACTIONS(337),
    [anon_sym_NA_real_] = ACTIONS(337),
    [anon_sym_NA_complex_] = ACTIONS(337),
    [anon_sym_NA_character_] = ACTIONS(337),
    [sym_dots] = ACTIONS(337),
    [sym_dot_dot_i] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(335),
    [sym__semicolon] = ACTIONS(335),
    [sym__raw_string_literal] = ACTIONS(335),
    [sym__external_else] = ACTIONS(335),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(335),
    [sym__external_close_brace] = ACTIONS(335),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [160] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_BSLASH] = ACTIONS(339),
    [anon_sym_function] = ACTIONS(341),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(341),
    [anon_sym_while] = ACTIONS(341),
    [anon_sym_repeat] = ACTIONS(341),
    [anon_sym_QMARK] = ACTIONS(339),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(341),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(339),
    [sym__number_literal] = ACTIONS(341),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_DQUOTE] = ACTIONS(339),
    [sym_return] = ACTIONS(341),
    [sym_next] = ACTIONS(341),
    [sym_break] = ACTIONS(341),
    [sym_true] = ACTIONS(341),
    [sym_false] = ACTIONS(341),
    [sym_null] = ACTIONS(341),
    [sym_inf] = ACTIONS(341),
    [sym_nan] = ACTIONS(341),
    [anon_sym_NA] = ACTIONS(341),
    [anon_sym_NA_integer_] = ACTIONS(341),
    [anon_sym_NA_real_] = ACTIONS(341),
    [anon_sym_NA_complex_] = ACTIONS(341),
    [anon_sym_NA_character_] = ACTIONS(341),
    [sym_dots] = ACTIONS(341),
    [sym_dot_dot_i] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(339),
    [sym__semicolon] = ACTIONS(339),
    [sym__raw_string_literal] = ACTIONS(339),
    [sym__external_else] = ACTIONS(339),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(339),
    [sym__external_close_brace] = ACTIONS(339),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [161] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(343),
    [sym__semicolon] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_else] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_close_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [162] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(343),
    [sym__semicolon] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_else] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_close_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [163] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_PIPE_PIPE] = ACTIONS(343),
    [anon_sym_AMP_AMP] = ACTIONS(343),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(343),
    [sym__semicolon] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_else] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_close_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [164] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(343),
    [anon_sym_DASH] = ACTIONS(345),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_PIPE_PIPE] = ACTIONS(343),
    [anon_sym_AMP_AMP] = ACTIONS(343),
    [anon_sym_LT] = ACTIONS(345),
    [anon_sym_LT_EQ] = ACTIONS(343),
    [anon_sym_GT] = ACTIONS(345),
    [anon_sym_GT_EQ] = ACTIONS(343),
    [anon_sym_EQ_EQ] = ACTIONS(343),
    [anon_sym_BANG_EQ] = ACTIONS(343),
    [anon_sym_STAR] = ACTIONS(345),
    [anon_sym_SLASH] = ACTIONS(343),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(343),
    [anon_sym_PIPE_GT] = ACTIONS(343),
    [anon_sym_COLON] = ACTIONS(345),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(343),
    [sym__semicolon] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_else] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_close_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [165] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_close_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [166] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_close_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [167] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_close_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [168] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_close_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [169] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_close_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [170] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_close_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [171] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_close_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [172] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_close_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [173] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_close_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [174] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_close_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [175] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(349),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_close_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [176] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_close_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [177] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(349),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_close_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [178] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(353),
    [anon_sym_BSLASH] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(353),
    [anon_sym_for] = ACTIONS(353),
    [anon_sym_while] = ACTIONS(353),
    [anon_sym_repeat] = ACTIONS(353),
    [anon_sym_QMARK] = ACTIONS(351),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(351),
    [sym__number_literal] = ACTIONS(353),
    [anon_sym_SQUOTE] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_return] = ACTIONS(353),
    [sym_next] = ACTIONS(353),
    [sym_break] = ACTIONS(353),
    [sym_true] = ACTIONS(353),
    [sym_false] = ACTIONS(353),
    [sym_null] = ACTIONS(353),
    [sym_inf] = ACTIONS(353),
    [sym_nan] = ACTIONS(353),
    [anon_sym_NA] = ACTIONS(353),
    [anon_sym_NA_integer_] = ACTIONS(353),
    [anon_sym_NA_real_] = ACTIONS(353),
    [anon_sym_NA_complex_] = ACTIONS(353),
    [anon_sym_NA_character_] = ACTIONS(353),
    [sym_dots] = ACTIONS(353),
    [sym_dot_dot_i] = ACTIONS(351),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(351),
    [sym__semicolon] = ACTIONS(351),
    [sym__raw_string_literal] = ACTIONS(351),
    [sym__external_else] = ACTIONS(351),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(351),
    [sym__external_close_brace] = ACTIONS(351),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [179] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(357),
    [anon_sym_BSLASH] = ACTIONS(355),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_repeat] = ACTIONS(357),
    [anon_sym_QMARK] = ACTIONS(355),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(355),
    [sym__number_literal] = ACTIONS(357),
    [anon_sym_SQUOTE] = ACTIONS(355),
    [anon_sym_DQUOTE] = ACTIONS(355),
    [sym_return] = ACTIONS(357),
    [sym_next] = ACTIONS(357),
    [sym_break] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_inf] = ACTIONS(357),
    [sym_nan] = ACTIONS(357),
    [anon_sym_NA] = ACTIONS(357),
    [anon_sym_NA_integer_] = ACTIONS(357),
    [anon_sym_NA_real_] = ACTIONS(357),
    [anon_sym_NA_complex_] = ACTIONS(357),
    [anon_sym_NA_character_] = ACTIONS(357),
    [sym_dots] = ACTIONS(357),
    [sym_dot_dot_i] = ACTIONS(355),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(355),
    [sym__semicolon] = ACTIONS(355),
    [sym__raw_string_literal] = ACTIONS(355),
    [sym__external_else] = ACTIONS(355),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(355),
    [sym__external_close_brace] = ACTIONS(355),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [180] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [181] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [182] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [183] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [184] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [185] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [186] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [187] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [188] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [189] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [190] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(361),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [191] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [192] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(361),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [193] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(365),
    [anon_sym_BSLASH] = ACTIONS(363),
    [anon_sym_function] = ACTIONS(365),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_repeat] = ACTIONS(365),
    [anon_sym_QMARK] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(365),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(363),
    [sym__number_literal] = ACTIONS(365),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [sym_return] = ACTIONS(365),
    [sym_next] = ACTIONS(365),
    [sym_break] = ACTIONS(365),
    [sym_true] = ACTIONS(365),
    [sym_false] = ACTIONS(365),
    [sym_null] = ACTIONS(365),
    [sym_inf] = ACTIONS(365),
    [sym_nan] = ACTIONS(365),
    [anon_sym_NA] = ACTIONS(365),
    [anon_sym_NA_integer_] = ACTIONS(365),
    [anon_sym_NA_real_] = ACTIONS(365),
    [anon_sym_NA_complex_] = ACTIONS(365),
    [anon_sym_NA_character_] = ACTIONS(365),
    [sym_dots] = ACTIONS(365),
    [sym_dot_dot_i] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(363),
    [sym__semicolon] = ACTIONS(363),
    [sym__raw_string_literal] = ACTIONS(363),
    [sym__external_else] = ACTIONS(363),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(363),
    [sym__external_close_brace] = ACTIONS(363),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [194] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_BSLASH] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_for] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_repeat] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(423),
    [sym__number_literal] = ACTIONS(425),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_return] = ACTIONS(425),
    [sym_next] = ACTIONS(425),
    [sym_break] = ACTIONS(425),
    [sym_true] = ACTIONS(425),
    [sym_false] = ACTIONS(425),
    [sym_null] = ACTIONS(425),
    [sym_inf] = ACTIONS(425),
    [sym_nan] = ACTIONS(425),
    [anon_sym_NA] = ACTIONS(425),
    [anon_sym_NA_integer_] = ACTIONS(425),
    [anon_sym_NA_real_] = ACTIONS(425),
    [anon_sym_NA_complex_] = ACTIONS(425),
    [anon_sym_NA_character_] = ACTIONS(425),
    [sym_dots] = ACTIONS(425),
    [sym_dot_dot_i] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(423),
    [sym__newline] = ACTIONS(423),
    [sym__raw_string_literal] = ACTIONS(423),
    [sym__external_else] = ACTIONS(423),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(423),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(423),
  },
  [195] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [196] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_for] = ACTIONS(377),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_repeat] = ACTIONS(377),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(375),
    [sym__number_literal] = ACTIONS(377),
    [anon_sym_SQUOTE] = ACTIONS(375),
    [anon_sym_DQUOTE] = ACTIONS(375),
    [sym_return] = ACTIONS(377),
    [sym_next] = ACTIONS(377),
    [sym_break] = ACTIONS(377),
    [sym_true] = ACTIONS(377),
    [sym_false] = ACTIONS(377),
    [sym_null] = ACTIONS(377),
    [sym_inf] = ACTIONS(377),
    [sym_nan] = ACTIONS(377),
    [anon_sym_NA] = ACTIONS(377),
    [anon_sym_NA_integer_] = ACTIONS(377),
    [anon_sym_NA_real_] = ACTIONS(377),
    [anon_sym_NA_complex_] = ACTIONS(377),
    [anon_sym_NA_character_] = ACTIONS(377),
    [sym_dots] = ACTIONS(377),
    [sym_dot_dot_i] = ACTIONS(375),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(375),
    [sym__semicolon] = ACTIONS(375),
    [sym__raw_string_literal] = ACTIONS(375),
    [sym__external_else] = ACTIONS(375),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(375),
    [sym__external_close_brace] = ACTIONS(375),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [197] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_BSLASH] = ACTIONS(379),
    [anon_sym_function] = ACTIONS(381),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(381),
    [anon_sym_repeat] = ACTIONS(381),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(379),
    [sym__number_literal] = ACTIONS(381),
    [anon_sym_SQUOTE] = ACTIONS(379),
    [anon_sym_DQUOTE] = ACTIONS(379),
    [sym_return] = ACTIONS(381),
    [sym_next] = ACTIONS(381),
    [sym_break] = ACTIONS(381),
    [sym_true] = ACTIONS(381),
    [sym_false] = ACTIONS(381),
    [sym_null] = ACTIONS(381),
    [sym_inf] = ACTIONS(381),
    [sym_nan] = ACTIONS(381),
    [anon_sym_NA] = ACTIONS(381),
    [anon_sym_NA_integer_] = ACTIONS(381),
    [anon_sym_NA_real_] = ACTIONS(381),
    [anon_sym_NA_complex_] = ACTIONS(381),
    [anon_sym_NA_character_] = ACTIONS(381),
    [sym_dots] = ACTIONS(381),
    [sym_dot_dot_i] = ACTIONS(379),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(379),
    [sym__semicolon] = ACTIONS(379),
    [sym__raw_string_literal] = ACTIONS(379),
    [sym__external_else] = ACTIONS(379),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(379),
    [sym__external_close_brace] = ACTIONS(379),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [198] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [199] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(389),
    [anon_sym_BSLASH] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(389),
    [anon_sym_repeat] = ACTIONS(389),
    [anon_sym_QMARK] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(389),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(387),
    [sym__number_literal] = ACTIONS(389),
    [anon_sym_SQUOTE] = ACTIONS(387),
    [anon_sym_DQUOTE] = ACTIONS(387),
    [sym_return] = ACTIONS(389),
    [sym_next] = ACTIONS(389),
    [sym_break] = ACTIONS(389),
    [sym_true] = ACTIONS(389),
    [sym_false] = ACTIONS(389),
    [sym_null] = ACTIONS(389),
    [sym_inf] = ACTIONS(389),
    [sym_nan] = ACTIONS(389),
    [anon_sym_NA] = ACTIONS(389),
    [anon_sym_NA_integer_] = ACTIONS(389),
    [anon_sym_NA_real_] = ACTIONS(389),
    [anon_sym_NA_complex_] = ACTIONS(389),
    [anon_sym_NA_character_] = ACTIONS(389),
    [sym_dots] = ACTIONS(389),
    [sym_dot_dot_i] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(387),
    [sym__semicolon] = ACTIONS(387),
    [sym__raw_string_literal] = ACTIONS(387),
    [sym__external_else] = ACTIONS(387),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(387),
    [sym__external_close_brace] = ACTIONS(387),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [200] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(393),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_function] = ACTIONS(393),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(393),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(393),
    [anon_sym_QMARK] = ACTIONS(391),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(391),
    [sym__number_literal] = ACTIONS(393),
    [anon_sym_SQUOTE] = ACTIONS(391),
    [anon_sym_DQUOTE] = ACTIONS(391),
    [sym_return] = ACTIONS(393),
    [sym_next] = ACTIONS(393),
    [sym_break] = ACTIONS(393),
    [sym_true] = ACTIONS(393),
    [sym_false] = ACTIONS(393),
    [sym_null] = ACTIONS(393),
    [sym_inf] = ACTIONS(393),
    [sym_nan] = ACTIONS(393),
    [anon_sym_NA] = ACTIONS(393),
    [anon_sym_NA_integer_] = ACTIONS(393),
    [anon_sym_NA_real_] = ACTIONS(393),
    [anon_sym_NA_complex_] = ACTIONS(393),
    [anon_sym_NA_character_] = ACTIONS(393),
    [sym_dots] = ACTIONS(393),
    [sym_dot_dot_i] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(391),
    [sym__semicolon] = ACTIONS(391),
    [sym__raw_string_literal] = ACTIONS(391),
    [sym__external_else] = ACTIONS(391),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(391),
    [sym__external_close_brace] = ACTIONS(391),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [201] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(395),
    [anon_sym_function] = ACTIONS(397),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(397),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_while] = ACTIONS(397),
    [anon_sym_repeat] = ACTIONS(397),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(395),
    [sym__number_literal] = ACTIONS(397),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(395),
    [sym_return] = ACTIONS(397),
    [sym_next] = ACTIONS(397),
    [sym_break] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_inf] = ACTIONS(397),
    [sym_nan] = ACTIONS(397),
    [anon_sym_NA] = ACTIONS(397),
    [anon_sym_NA_integer_] = ACTIONS(397),
    [anon_sym_NA_real_] = ACTIONS(397),
    [anon_sym_NA_complex_] = ACTIONS(397),
    [anon_sym_NA_character_] = ACTIONS(397),
    [sym_dots] = ACTIONS(397),
    [sym_dot_dot_i] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(395),
    [sym__semicolon] = ACTIONS(395),
    [sym__raw_string_literal] = ACTIONS(395),
    [sym__external_else] = ACTIONS(395),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(395),
    [sym__external_close_brace] = ACTIONS(395),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [202] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(399),
    [anon_sym_function] = ACTIONS(401),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(401),
    [anon_sym_repeat] = ACTIONS(401),
    [anon_sym_QMARK] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(401),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(399),
    [sym__number_literal] = ACTIONS(401),
    [anon_sym_SQUOTE] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(399),
    [sym_return] = ACTIONS(401),
    [sym_next] = ACTIONS(401),
    [sym_break] = ACTIONS(401),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [sym_null] = ACTIONS(401),
    [sym_inf] = ACTIONS(401),
    [sym_nan] = ACTIONS(401),
    [anon_sym_NA] = ACTIONS(401),
    [anon_sym_NA_integer_] = ACTIONS(401),
    [anon_sym_NA_real_] = ACTIONS(401),
    [anon_sym_NA_complex_] = ACTIONS(401),
    [anon_sym_NA_character_] = ACTIONS(401),
    [sym_dots] = ACTIONS(401),
    [sym_dot_dot_i] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(399),
    [sym__semicolon] = ACTIONS(399),
    [sym__raw_string_literal] = ACTIONS(399),
    [sym__external_else] = ACTIONS(399),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(399),
    [sym__external_close_brace] = ACTIONS(399),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [203] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(405),
    [anon_sym_BSLASH] = ACTIONS(403),
    [anon_sym_function] = ACTIONS(405),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(405),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(405),
    [anon_sym_QMARK] = ACTIONS(403),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(405),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(403),
    [sym__number_literal] = ACTIONS(405),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_return] = ACTIONS(405),
    [sym_next] = ACTIONS(405),
    [sym_break] = ACTIONS(405),
    [sym_true] = ACTIONS(405),
    [sym_false] = ACTIONS(405),
    [sym_null] = ACTIONS(405),
    [sym_inf] = ACTIONS(405),
    [sym_nan] = ACTIONS(405),
    [anon_sym_NA] = ACTIONS(405),
    [anon_sym_NA_integer_] = ACTIONS(405),
    [anon_sym_NA_real_] = ACTIONS(405),
    [anon_sym_NA_complex_] = ACTIONS(405),
    [anon_sym_NA_character_] = ACTIONS(405),
    [sym_dots] = ACTIONS(405),
    [sym_dot_dot_i] = ACTIONS(403),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(403),
    [sym__semicolon] = ACTIONS(403),
    [sym__raw_string_literal] = ACTIONS(403),
    [sym__external_else] = ACTIONS(403),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(403),
    [sym__external_close_brace] = ACTIONS(403),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [204] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_for] = ACTIONS(409),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_repeat] = ACTIONS(409),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(409),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(407),
    [sym__number_literal] = ACTIONS(409),
    [anon_sym_SQUOTE] = ACTIONS(407),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_return] = ACTIONS(409),
    [sym_next] = ACTIONS(409),
    [sym_break] = ACTIONS(409),
    [sym_true] = ACTIONS(409),
    [sym_false] = ACTIONS(409),
    [sym_null] = ACTIONS(409),
    [sym_inf] = ACTIONS(409),
    [sym_nan] = ACTIONS(409),
    [anon_sym_NA] = ACTIONS(409),
    [anon_sym_NA_integer_] = ACTIONS(409),
    [anon_sym_NA_real_] = ACTIONS(409),
    [anon_sym_NA_complex_] = ACTIONS(409),
    [anon_sym_NA_character_] = ACTIONS(409),
    [sym_dots] = ACTIONS(409),
    [sym_dot_dot_i] = ACTIONS(407),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(407),
    [sym__semicolon] = ACTIONS(407),
    [sym__raw_string_literal] = ACTIONS(407),
    [sym__external_else] = ACTIONS(407),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(407),
    [sym__external_close_brace] = ACTIONS(407),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [205] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(413),
    [anon_sym_BSLASH] = ACTIONS(411),
    [anon_sym_function] = ACTIONS(413),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_repeat] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(411),
    [sym__number_literal] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(411),
    [anon_sym_DQUOTE] = ACTIONS(411),
    [sym_return] = ACTIONS(413),
    [sym_next] = ACTIONS(413),
    [sym_break] = ACTIONS(413),
    [sym_true] = ACTIONS(413),
    [sym_false] = ACTIONS(413),
    [sym_null] = ACTIONS(413),
    [sym_inf] = ACTIONS(413),
    [sym_nan] = ACTIONS(413),
    [anon_sym_NA] = ACTIONS(413),
    [anon_sym_NA_integer_] = ACTIONS(413),
    [anon_sym_NA_real_] = ACTIONS(413),
    [anon_sym_NA_complex_] = ACTIONS(413),
    [anon_sym_NA_character_] = ACTIONS(413),
    [sym_dots] = ACTIONS(413),
    [sym_dot_dot_i] = ACTIONS(411),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(411),
    [sym__semicolon] = ACTIONS(411),
    [sym__raw_string_literal] = ACTIONS(411),
    [sym__external_else] = ACTIONS(411),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(411),
    [sym__external_close_brace] = ACTIONS(411),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [206] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_BSLASH] = ACTIONS(323),
    [anon_sym_function] = ACTIONS(325),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_repeat] = ACTIONS(325),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(323),
    [sym__number_literal] = ACTIONS(325),
    [anon_sym_SQUOTE] = ACTIONS(323),
    [anon_sym_DQUOTE] = ACTIONS(323),
    [sym_return] = ACTIONS(325),
    [sym_next] = ACTIONS(325),
    [sym_break] = ACTIONS(325),
    [sym_true] = ACTIONS(325),
    [sym_false] = ACTIONS(325),
    [sym_null] = ACTIONS(325),
    [sym_inf] = ACTIONS(325),
    [sym_nan] = ACTIONS(325),
    [anon_sym_NA] = ACTIONS(325),
    [anon_sym_NA_integer_] = ACTIONS(325),
    [anon_sym_NA_real_] = ACTIONS(325),
    [anon_sym_NA_complex_] = ACTIONS(325),
    [anon_sym_NA_character_] = ACTIONS(325),
    [sym_dots] = ACTIONS(325),
    [sym_dot_dot_i] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(323),
    [sym__semicolon] = ACTIONS(323),
    [sym__raw_string_literal] = ACTIONS(323),
    [sym__external_else] = ACTIONS(323),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(323),
    [sym__external_close_brace] = ACTIONS(323),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [207] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(417),
    [anon_sym_BSLASH] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_repeat] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(415),
    [sym__number_literal] = ACTIONS(417),
    [anon_sym_SQUOTE] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(415),
    [sym_return] = ACTIONS(417),
    [sym_next] = ACTIONS(417),
    [sym_break] = ACTIONS(417),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [sym_null] = ACTIONS(417),
    [sym_inf] = ACTIONS(417),
    [sym_nan] = ACTIONS(417),
    [anon_sym_NA] = ACTIONS(417),
    [anon_sym_NA_integer_] = ACTIONS(417),
    [anon_sym_NA_real_] = ACTIONS(417),
    [anon_sym_NA_complex_] = ACTIONS(417),
    [anon_sym_NA_character_] = ACTIONS(417),
    [sym_dots] = ACTIONS(417),
    [sym_dot_dot_i] = ACTIONS(415),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(415),
    [sym__semicolon] = ACTIONS(415),
    [sym__raw_string_literal] = ACTIONS(415),
    [sym__external_else] = ACTIONS(415),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(415),
    [sym__external_close_brace] = ACTIONS(415),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [208] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(421),
    [anon_sym_BSLASH] = ACTIONS(419),
    [anon_sym_function] = ACTIONS(421),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_repeat] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(419),
    [sym__number_literal] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [sym_return] = ACTIONS(421),
    [sym_next] = ACTIONS(421),
    [sym_break] = ACTIONS(421),
    [sym_true] = ACTIONS(421),
    [sym_false] = ACTIONS(421),
    [sym_null] = ACTIONS(421),
    [sym_inf] = ACTIONS(421),
    [sym_nan] = ACTIONS(421),
    [anon_sym_NA] = ACTIONS(421),
    [anon_sym_NA_integer_] = ACTIONS(421),
    [anon_sym_NA_real_] = ACTIONS(421),
    [anon_sym_NA_complex_] = ACTIONS(421),
    [anon_sym_NA_character_] = ACTIONS(421),
    [sym_dots] = ACTIONS(421),
    [sym_dot_dot_i] = ACTIONS(419),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(419),
    [sym__semicolon] = ACTIONS(419),
    [sym__raw_string_literal] = ACTIONS(419),
    [sym__external_else] = ACTIONS(419),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(419),
    [sym__external_close_brace] = ACTIONS(419),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [209] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_BSLASH] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_for] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_repeat] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(423),
    [sym__number_literal] = ACTIONS(425),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_return] = ACTIONS(425),
    [sym_next] = ACTIONS(425),
    [sym_break] = ACTIONS(425),
    [sym_true] = ACTIONS(425),
    [sym_false] = ACTIONS(425),
    [sym_null] = ACTIONS(425),
    [sym_inf] = ACTIONS(425),
    [sym_nan] = ACTIONS(425),
    [anon_sym_NA] = ACTIONS(425),
    [anon_sym_NA_integer_] = ACTIONS(425),
    [anon_sym_NA_real_] = ACTIONS(425),
    [anon_sym_NA_complex_] = ACTIONS(425),
    [anon_sym_NA_character_] = ACTIONS(425),
    [sym_dots] = ACTIONS(425),
    [sym_dot_dot_i] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(423),
    [sym__semicolon] = ACTIONS(423),
    [sym__raw_string_literal] = ACTIONS(423),
    [sym__external_else] = ACTIONS(423),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(423),
    [sym__external_close_brace] = ACTIONS(423),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [210] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_BSLASH] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(329),
    [anon_sym_while] = ACTIONS(329),
    [anon_sym_repeat] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(329),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(327),
    [sym__number_literal] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [sym_return] = ACTIONS(329),
    [sym_next] = ACTIONS(329),
    [sym_break] = ACTIONS(329),
    [sym_true] = ACTIONS(329),
    [sym_false] = ACTIONS(329),
    [sym_null] = ACTIONS(329),
    [sym_inf] = ACTIONS(329),
    [sym_nan] = ACTIONS(329),
    [anon_sym_NA] = ACTIONS(329),
    [anon_sym_NA_integer_] = ACTIONS(329),
    [anon_sym_NA_real_] = ACTIONS(329),
    [anon_sym_NA_complex_] = ACTIONS(329),
    [anon_sym_NA_character_] = ACTIONS(329),
    [sym_dots] = ACTIONS(329),
    [sym_dot_dot_i] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(327),
    [sym__newline] = ACTIONS(327),
    [sym__raw_string_literal] = ACTIONS(327),
    [sym__external_else] = ACTIONS(327),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(327),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(327),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [211] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(331),
    [sym__newline] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_else] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(331),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [212] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(331),
    [sym__newline] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_else] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(331),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [213] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(333),
    [anon_sym_AMP] = ACTIONS(333),
    [anon_sym_PIPE_PIPE] = ACTIONS(331),
    [anon_sym_AMP_AMP] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(331),
    [sym__newline] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_else] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(331),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [214] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(331),
    [anon_sym_DASH] = ACTIONS(333),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(333),
    [anon_sym_AMP] = ACTIONS(333),
    [anon_sym_PIPE_PIPE] = ACTIONS(331),
    [anon_sym_AMP_AMP] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_LT_EQ] = ACTIONS(331),
    [anon_sym_GT] = ACTIONS(333),
    [anon_sym_GT_EQ] = ACTIONS(331),
    [anon_sym_EQ_EQ] = ACTIONS(331),
    [anon_sym_BANG_EQ] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(331),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(331),
    [anon_sym_PIPE_GT] = ACTIONS(331),
    [anon_sym_COLON] = ACTIONS(333),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(331),
    [sym__newline] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_else] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(331),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [215] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_BSLASH] = ACTIONS(335),
    [anon_sym_function] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(337),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_repeat] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(335),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(337),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(335),
    [sym__number_literal] = ACTIONS(337),
    [anon_sym_SQUOTE] = ACTIONS(335),
    [anon_sym_DQUOTE] = ACTIONS(335),
    [sym_return] = ACTIONS(337),
    [sym_next] = ACTIONS(337),
    [sym_break] = ACTIONS(337),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_null] = ACTIONS(337),
    [sym_inf] = ACTIONS(337),
    [sym_nan] = ACTIONS(337),
    [anon_sym_NA] = ACTIONS(337),
    [anon_sym_NA_integer_] = ACTIONS(337),
    [anon_sym_NA_real_] = ACTIONS(337),
    [anon_sym_NA_complex_] = ACTIONS(337),
    [anon_sym_NA_character_] = ACTIONS(337),
    [sym_dots] = ACTIONS(337),
    [sym_dot_dot_i] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(335),
    [sym__newline] = ACTIONS(335),
    [sym__raw_string_literal] = ACTIONS(335),
    [sym__external_else] = ACTIONS(335),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(335),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(335),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [216] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_BSLASH] = ACTIONS(339),
    [anon_sym_function] = ACTIONS(341),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(341),
    [anon_sym_while] = ACTIONS(341),
    [anon_sym_repeat] = ACTIONS(341),
    [anon_sym_QMARK] = ACTIONS(339),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(341),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(339),
    [sym__number_literal] = ACTIONS(341),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_DQUOTE] = ACTIONS(339),
    [sym_return] = ACTIONS(341),
    [sym_next] = ACTIONS(341),
    [sym_break] = ACTIONS(341),
    [sym_true] = ACTIONS(341),
    [sym_false] = ACTIONS(341),
    [sym_null] = ACTIONS(341),
    [sym_inf] = ACTIONS(341),
    [sym_nan] = ACTIONS(341),
    [anon_sym_NA] = ACTIONS(341),
    [anon_sym_NA_integer_] = ACTIONS(341),
    [anon_sym_NA_real_] = ACTIONS(341),
    [anon_sym_NA_complex_] = ACTIONS(341),
    [anon_sym_NA_character_] = ACTIONS(341),
    [sym_dots] = ACTIONS(341),
    [sym_dot_dot_i] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(339),
    [sym__newline] = ACTIONS(339),
    [sym__raw_string_literal] = ACTIONS(339),
    [sym__external_else] = ACTIONS(339),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(339),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(339),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [217] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(343),
    [sym__newline] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_else] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(343),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [218] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(343),
    [sym__newline] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_else] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(343),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [219] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_PIPE_PIPE] = ACTIONS(343),
    [anon_sym_AMP_AMP] = ACTIONS(343),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(343),
    [sym__newline] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_else] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(343),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [220] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(343),
    [anon_sym_DASH] = ACTIONS(345),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_PIPE_PIPE] = ACTIONS(343),
    [anon_sym_AMP_AMP] = ACTIONS(343),
    [anon_sym_LT] = ACTIONS(345),
    [anon_sym_LT_EQ] = ACTIONS(343),
    [anon_sym_GT] = ACTIONS(345),
    [anon_sym_GT_EQ] = ACTIONS(343),
    [anon_sym_EQ_EQ] = ACTIONS(343),
    [anon_sym_BANG_EQ] = ACTIONS(343),
    [anon_sym_STAR] = ACTIONS(345),
    [anon_sym_SLASH] = ACTIONS(343),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(343),
    [anon_sym_PIPE_GT] = ACTIONS(343),
    [anon_sym_COLON] = ACTIONS(345),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(343),
    [sym__newline] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_else] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(343),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [221] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(347),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [222] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(347),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [223] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(347),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [224] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(347),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [225] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(347),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [226] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(347),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [227] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(347),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [228] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(347),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [229] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(347),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [230] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(347),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [231] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(349),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(347),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [232] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(347),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [233] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(349),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(347),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [234] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(353),
    [anon_sym_BSLASH] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(353),
    [anon_sym_for] = ACTIONS(353),
    [anon_sym_while] = ACTIONS(353),
    [anon_sym_repeat] = ACTIONS(353),
    [anon_sym_QMARK] = ACTIONS(351),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(351),
    [sym__number_literal] = ACTIONS(353),
    [anon_sym_SQUOTE] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_return] = ACTIONS(353),
    [sym_next] = ACTIONS(353),
    [sym_break] = ACTIONS(353),
    [sym_true] = ACTIONS(353),
    [sym_false] = ACTIONS(353),
    [sym_null] = ACTIONS(353),
    [sym_inf] = ACTIONS(353),
    [sym_nan] = ACTIONS(353),
    [anon_sym_NA] = ACTIONS(353),
    [anon_sym_NA_integer_] = ACTIONS(353),
    [anon_sym_NA_real_] = ACTIONS(353),
    [anon_sym_NA_complex_] = ACTIONS(353),
    [anon_sym_NA_character_] = ACTIONS(353),
    [sym_dots] = ACTIONS(353),
    [sym_dot_dot_i] = ACTIONS(351),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(351),
    [sym__newline] = ACTIONS(351),
    [sym__raw_string_literal] = ACTIONS(351),
    [sym__external_else] = ACTIONS(351),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(351),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(351),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [235] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(357),
    [anon_sym_BSLASH] = ACTIONS(355),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_repeat] = ACTIONS(357),
    [anon_sym_QMARK] = ACTIONS(355),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(355),
    [sym__number_literal] = ACTIONS(357),
    [anon_sym_SQUOTE] = ACTIONS(355),
    [anon_sym_DQUOTE] = ACTIONS(355),
    [sym_return] = ACTIONS(357),
    [sym_next] = ACTIONS(357),
    [sym_break] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_inf] = ACTIONS(357),
    [sym_nan] = ACTIONS(357),
    [anon_sym_NA] = ACTIONS(357),
    [anon_sym_NA_integer_] = ACTIONS(357),
    [anon_sym_NA_real_] = ACTIONS(357),
    [anon_sym_NA_complex_] = ACTIONS(357),
    [anon_sym_NA_character_] = ACTIONS(357),
    [sym_dots] = ACTIONS(357),
    [sym_dot_dot_i] = ACTIONS(355),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(355),
    [sym__newline] = ACTIONS(355),
    [sym__raw_string_literal] = ACTIONS(355),
    [sym__external_else] = ACTIONS(355),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(355),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(355),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [236] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(359),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [237] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(359),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [238] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(359),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [239] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(359),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [240] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(359),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [241] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(359),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [242] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(359),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [243] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(359),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [244] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(359),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [245] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(359),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [246] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(361),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(359),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [247] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(359),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [248] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(361),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(359),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [249] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(365),
    [anon_sym_BSLASH] = ACTIONS(363),
    [anon_sym_function] = ACTIONS(365),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_repeat] = ACTIONS(365),
    [anon_sym_QMARK] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(365),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(363),
    [sym__number_literal] = ACTIONS(365),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [sym_return] = ACTIONS(365),
    [sym_next] = ACTIONS(365),
    [sym_break] = ACTIONS(365),
    [sym_true] = ACTIONS(365),
    [sym_false] = ACTIONS(365),
    [sym_null] = ACTIONS(365),
    [sym_inf] = ACTIONS(365),
    [sym_nan] = ACTIONS(365),
    [anon_sym_NA] = ACTIONS(365),
    [anon_sym_NA_integer_] = ACTIONS(365),
    [anon_sym_NA_real_] = ACTIONS(365),
    [anon_sym_NA_complex_] = ACTIONS(365),
    [anon_sym_NA_character_] = ACTIONS(365),
    [sym_dots] = ACTIONS(365),
    [sym_dot_dot_i] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(363),
    [sym__newline] = ACTIONS(363),
    [sym__raw_string_literal] = ACTIONS(363),
    [sym__external_else] = ACTIONS(363),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(363),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(363),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [250] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(369),
    [anon_sym_BSLASH] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(369),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(369),
    [anon_sym_repeat] = ACTIONS(369),
    [anon_sym_QMARK] = ACTIONS(367),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(367),
    [sym__number_literal] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(367),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [sym_return] = ACTIONS(369),
    [sym_next] = ACTIONS(369),
    [sym_break] = ACTIONS(369),
    [sym_true] = ACTIONS(369),
    [sym_false] = ACTIONS(369),
    [sym_null] = ACTIONS(369),
    [sym_inf] = ACTIONS(369),
    [sym_nan] = ACTIONS(369),
    [anon_sym_NA] = ACTIONS(369),
    [anon_sym_NA_integer_] = ACTIONS(369),
    [anon_sym_NA_real_] = ACTIONS(369),
    [anon_sym_NA_complex_] = ACTIONS(369),
    [anon_sym_NA_character_] = ACTIONS(369),
    [sym_dots] = ACTIONS(369),
    [sym_dot_dot_i] = ACTIONS(367),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(367),
    [sym__newline] = ACTIONS(367),
    [sym__raw_string_literal] = ACTIONS(367),
    [sym__external_else] = ACTIONS(367),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(367),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(367),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [251] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [252] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_for] = ACTIONS(377),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_repeat] = ACTIONS(377),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(375),
    [sym__number_literal] = ACTIONS(377),
    [anon_sym_SQUOTE] = ACTIONS(375),
    [anon_sym_DQUOTE] = ACTIONS(375),
    [sym_return] = ACTIONS(377),
    [sym_next] = ACTIONS(377),
    [sym_break] = ACTIONS(377),
    [sym_true] = ACTIONS(377),
    [sym_false] = ACTIONS(377),
    [sym_null] = ACTIONS(377),
    [sym_inf] = ACTIONS(377),
    [sym_nan] = ACTIONS(377),
    [anon_sym_NA] = ACTIONS(377),
    [anon_sym_NA_integer_] = ACTIONS(377),
    [anon_sym_NA_real_] = ACTIONS(377),
    [anon_sym_NA_complex_] = ACTIONS(377),
    [anon_sym_NA_character_] = ACTIONS(377),
    [sym_dots] = ACTIONS(377),
    [sym_dot_dot_i] = ACTIONS(375),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(375),
    [sym__newline] = ACTIONS(375),
    [sym__raw_string_literal] = ACTIONS(375),
    [sym__external_else] = ACTIONS(375),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(375),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(375),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [253] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_BSLASH] = ACTIONS(379),
    [anon_sym_function] = ACTIONS(381),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(381),
    [anon_sym_repeat] = ACTIONS(381),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(379),
    [sym__number_literal] = ACTIONS(381),
    [anon_sym_SQUOTE] = ACTIONS(379),
    [anon_sym_DQUOTE] = ACTIONS(379),
    [sym_return] = ACTIONS(381),
    [sym_next] = ACTIONS(381),
    [sym_break] = ACTIONS(381),
    [sym_true] = ACTIONS(381),
    [sym_false] = ACTIONS(381),
    [sym_null] = ACTIONS(381),
    [sym_inf] = ACTIONS(381),
    [sym_nan] = ACTIONS(381),
    [anon_sym_NA] = ACTIONS(381),
    [anon_sym_NA_integer_] = ACTIONS(381),
    [anon_sym_NA_real_] = ACTIONS(381),
    [anon_sym_NA_complex_] = ACTIONS(381),
    [anon_sym_NA_character_] = ACTIONS(381),
    [sym_dots] = ACTIONS(381),
    [sym_dot_dot_i] = ACTIONS(379),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(379),
    [sym__newline] = ACTIONS(379),
    [sym__raw_string_literal] = ACTIONS(379),
    [sym__external_else] = ACTIONS(379),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(379),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(379),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [254] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [255] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(389),
    [anon_sym_BSLASH] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(389),
    [anon_sym_repeat] = ACTIONS(389),
    [anon_sym_QMARK] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(389),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(387),
    [sym__number_literal] = ACTIONS(389),
    [anon_sym_SQUOTE] = ACTIONS(387),
    [anon_sym_DQUOTE] = ACTIONS(387),
    [sym_return] = ACTIONS(389),
    [sym_next] = ACTIONS(389),
    [sym_break] = ACTIONS(389),
    [sym_true] = ACTIONS(389),
    [sym_false] = ACTIONS(389),
    [sym_null] = ACTIONS(389),
    [sym_inf] = ACTIONS(389),
    [sym_nan] = ACTIONS(389),
    [anon_sym_NA] = ACTIONS(389),
    [anon_sym_NA_integer_] = ACTIONS(389),
    [anon_sym_NA_real_] = ACTIONS(389),
    [anon_sym_NA_complex_] = ACTIONS(389),
    [anon_sym_NA_character_] = ACTIONS(389),
    [sym_dots] = ACTIONS(389),
    [sym_dot_dot_i] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(387),
    [sym__newline] = ACTIONS(387),
    [sym__raw_string_literal] = ACTIONS(387),
    [sym__external_else] = ACTIONS(387),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(387),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(387),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [256] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(393),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_function] = ACTIONS(393),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(393),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(393),
    [anon_sym_QMARK] = ACTIONS(391),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(391),
    [sym__number_literal] = ACTIONS(393),
    [anon_sym_SQUOTE] = ACTIONS(391),
    [anon_sym_DQUOTE] = ACTIONS(391),
    [sym_return] = ACTIONS(393),
    [sym_next] = ACTIONS(393),
    [sym_break] = ACTIONS(393),
    [sym_true] = ACTIONS(393),
    [sym_false] = ACTIONS(393),
    [sym_null] = ACTIONS(393),
    [sym_inf] = ACTIONS(393),
    [sym_nan] = ACTIONS(393),
    [anon_sym_NA] = ACTIONS(393),
    [anon_sym_NA_integer_] = ACTIONS(393),
    [anon_sym_NA_real_] = ACTIONS(393),
    [anon_sym_NA_complex_] = ACTIONS(393),
    [anon_sym_NA_character_] = ACTIONS(393),
    [sym_dots] = ACTIONS(393),
    [sym_dot_dot_i] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(391),
    [sym__newline] = ACTIONS(391),
    [sym__raw_string_literal] = ACTIONS(391),
    [sym__external_else] = ACTIONS(391),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(391),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(391),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [257] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(395),
    [anon_sym_function] = ACTIONS(397),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(397),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_while] = ACTIONS(397),
    [anon_sym_repeat] = ACTIONS(397),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(395),
    [sym__number_literal] = ACTIONS(397),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(395),
    [sym_return] = ACTIONS(397),
    [sym_next] = ACTIONS(397),
    [sym_break] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_inf] = ACTIONS(397),
    [sym_nan] = ACTIONS(397),
    [anon_sym_NA] = ACTIONS(397),
    [anon_sym_NA_integer_] = ACTIONS(397),
    [anon_sym_NA_real_] = ACTIONS(397),
    [anon_sym_NA_complex_] = ACTIONS(397),
    [anon_sym_NA_character_] = ACTIONS(397),
    [sym_dots] = ACTIONS(397),
    [sym_dot_dot_i] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(395),
    [sym__newline] = ACTIONS(395),
    [sym__raw_string_literal] = ACTIONS(395),
    [sym__external_else] = ACTIONS(395),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(395),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(395),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [258] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(399),
    [anon_sym_function] = ACTIONS(401),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(401),
    [anon_sym_repeat] = ACTIONS(401),
    [anon_sym_QMARK] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(401),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(399),
    [sym__number_literal] = ACTIONS(401),
    [anon_sym_SQUOTE] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(399),
    [sym_return] = ACTIONS(401),
    [sym_next] = ACTIONS(401),
    [sym_break] = ACTIONS(401),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [sym_null] = ACTIONS(401),
    [sym_inf] = ACTIONS(401),
    [sym_nan] = ACTIONS(401),
    [anon_sym_NA] = ACTIONS(401),
    [anon_sym_NA_integer_] = ACTIONS(401),
    [anon_sym_NA_real_] = ACTIONS(401),
    [anon_sym_NA_complex_] = ACTIONS(401),
    [anon_sym_NA_character_] = ACTIONS(401),
    [sym_dots] = ACTIONS(401),
    [sym_dot_dot_i] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(399),
    [sym__newline] = ACTIONS(399),
    [sym__raw_string_literal] = ACTIONS(399),
    [sym__external_else] = ACTIONS(399),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(399),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(399),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [259] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(405),
    [anon_sym_BSLASH] = ACTIONS(403),
    [anon_sym_function] = ACTIONS(405),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(405),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(405),
    [anon_sym_QMARK] = ACTIONS(403),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(405),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(403),
    [sym__number_literal] = ACTIONS(405),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_return] = ACTIONS(405),
    [sym_next] = ACTIONS(405),
    [sym_break] = ACTIONS(405),
    [sym_true] = ACTIONS(405),
    [sym_false] = ACTIONS(405),
    [sym_null] = ACTIONS(405),
    [sym_inf] = ACTIONS(405),
    [sym_nan] = ACTIONS(405),
    [anon_sym_NA] = ACTIONS(405),
    [anon_sym_NA_integer_] = ACTIONS(405),
    [anon_sym_NA_real_] = ACTIONS(405),
    [anon_sym_NA_complex_] = ACTIONS(405),
    [anon_sym_NA_character_] = ACTIONS(405),
    [sym_dots] = ACTIONS(405),
    [sym_dot_dot_i] = ACTIONS(403),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(403),
    [sym__newline] = ACTIONS(403),
    [sym__raw_string_literal] = ACTIONS(403),
    [sym__external_else] = ACTIONS(403),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(403),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(403),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [260] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_for] = ACTIONS(409),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_repeat] = ACTIONS(409),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(409),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(407),
    [sym__number_literal] = ACTIONS(409),
    [anon_sym_SQUOTE] = ACTIONS(407),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_return] = ACTIONS(409),
    [sym_next] = ACTIONS(409),
    [sym_break] = ACTIONS(409),
    [sym_true] = ACTIONS(409),
    [sym_false] = ACTIONS(409),
    [sym_null] = ACTIONS(409),
    [sym_inf] = ACTIONS(409),
    [sym_nan] = ACTIONS(409),
    [anon_sym_NA] = ACTIONS(409),
    [anon_sym_NA_integer_] = ACTIONS(409),
    [anon_sym_NA_real_] = ACTIONS(409),
    [anon_sym_NA_complex_] = ACTIONS(409),
    [anon_sym_NA_character_] = ACTIONS(409),
    [sym_dots] = ACTIONS(409),
    [sym_dot_dot_i] = ACTIONS(407),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(407),
    [sym__newline] = ACTIONS(407),
    [sym__raw_string_literal] = ACTIONS(407),
    [sym__external_else] = ACTIONS(407),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(407),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(407),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [261] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(413),
    [anon_sym_BSLASH] = ACTIONS(411),
    [anon_sym_function] = ACTIONS(413),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_repeat] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(411),
    [sym__number_literal] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(411),
    [anon_sym_DQUOTE] = ACTIONS(411),
    [sym_return] = ACTIONS(413),
    [sym_next] = ACTIONS(413),
    [sym_break] = ACTIONS(413),
    [sym_true] = ACTIONS(413),
    [sym_false] = ACTIONS(413),
    [sym_null] = ACTIONS(413),
    [sym_inf] = ACTIONS(413),
    [sym_nan] = ACTIONS(413),
    [anon_sym_NA] = ACTIONS(413),
    [anon_sym_NA_integer_] = ACTIONS(413),
    [anon_sym_NA_real_] = ACTIONS(413),
    [anon_sym_NA_complex_] = ACTIONS(413),
    [anon_sym_NA_character_] = ACTIONS(413),
    [sym_dots] = ACTIONS(413),
    [sym_dot_dot_i] = ACTIONS(411),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(411),
    [sym__newline] = ACTIONS(411),
    [sym__raw_string_literal] = ACTIONS(411),
    [sym__external_else] = ACTIONS(411),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(411),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(411),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [262] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_BSLASH] = ACTIONS(323),
    [anon_sym_function] = ACTIONS(325),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_repeat] = ACTIONS(325),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(323),
    [sym__number_literal] = ACTIONS(325),
    [anon_sym_SQUOTE] = ACTIONS(323),
    [anon_sym_DQUOTE] = ACTIONS(323),
    [sym_return] = ACTIONS(325),
    [sym_next] = ACTIONS(325),
    [sym_break] = ACTIONS(325),
    [sym_true] = ACTIONS(325),
    [sym_false] = ACTIONS(325),
    [sym_null] = ACTIONS(325),
    [sym_inf] = ACTIONS(325),
    [sym_nan] = ACTIONS(325),
    [anon_sym_NA] = ACTIONS(325),
    [anon_sym_NA_integer_] = ACTIONS(325),
    [anon_sym_NA_real_] = ACTIONS(325),
    [anon_sym_NA_complex_] = ACTIONS(325),
    [anon_sym_NA_character_] = ACTIONS(325),
    [sym_dots] = ACTIONS(325),
    [sym_dot_dot_i] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(323),
    [sym__newline] = ACTIONS(323),
    [sym__raw_string_literal] = ACTIONS(323),
    [sym__external_else] = ACTIONS(323),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(323),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(323),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [263] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(417),
    [anon_sym_BSLASH] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_repeat] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(415),
    [sym__number_literal] = ACTIONS(417),
    [anon_sym_SQUOTE] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(415),
    [sym_return] = ACTIONS(417),
    [sym_next] = ACTIONS(417),
    [sym_break] = ACTIONS(417),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [sym_null] = ACTIONS(417),
    [sym_inf] = ACTIONS(417),
    [sym_nan] = ACTIONS(417),
    [anon_sym_NA] = ACTIONS(417),
    [anon_sym_NA_integer_] = ACTIONS(417),
    [anon_sym_NA_real_] = ACTIONS(417),
    [anon_sym_NA_complex_] = ACTIONS(417),
    [anon_sym_NA_character_] = ACTIONS(417),
    [sym_dots] = ACTIONS(417),
    [sym_dot_dot_i] = ACTIONS(415),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(415),
    [sym__newline] = ACTIONS(415),
    [sym__raw_string_literal] = ACTIONS(415),
    [sym__external_else] = ACTIONS(415),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(415),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(415),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [264] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(421),
    [anon_sym_BSLASH] = ACTIONS(419),
    [anon_sym_function] = ACTIONS(421),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_repeat] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(419),
    [sym__number_literal] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [sym_return] = ACTIONS(421),
    [sym_next] = ACTIONS(421),
    [sym_break] = ACTIONS(421),
    [sym_true] = ACTIONS(421),
    [sym_false] = ACTIONS(421),
    [sym_null] = ACTIONS(421),
    [sym_inf] = ACTIONS(421),
    [sym_nan] = ACTIONS(421),
    [anon_sym_NA] = ACTIONS(421),
    [anon_sym_NA_integer_] = ACTIONS(421),
    [anon_sym_NA_real_] = ACTIONS(421),
    [anon_sym_NA_complex_] = ACTIONS(421),
    [anon_sym_NA_character_] = ACTIONS(421),
    [sym_dots] = ACTIONS(421),
    [sym_dot_dot_i] = ACTIONS(419),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(419),
    [sym__newline] = ACTIONS(419),
    [sym__raw_string_literal] = ACTIONS(419),
    [sym__external_else] = ACTIONS(419),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(419),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(419),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [265] = {
    [sym_call_arguments] = STATE(884),
    [sym_subset_arguments] = STATE(885),
    [sym_subset2_arguments] = STATE(886),
    [sym__open_parenthesis] = STATE(681),
    [sym__open_bracket] = STATE(682),
    [sym__open_bracket2] = STATE(683),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_BSLASH] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_for] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_repeat] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(223),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_LT_LT_DASH] = ACTIONS(227),
    [anon_sym_COLON_EQ] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(229),
    [anon_sym_DASH_GT_GT] = ACTIONS(231),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(239),
    [anon_sym_LT] = ACTIONS(241),
    [anon_sym_LT_EQ] = ACTIONS(243),
    [anon_sym_GT] = ACTIONS(241),
    [anon_sym_GT_EQ] = ACTIONS(243),
    [anon_sym_EQ_EQ] = ACTIONS(243),
    [anon_sym_BANG_EQ] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_SLASH] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [aux_sym_binary_operator_token1] = ACTIONS(251),
    [anon_sym_PIPE_GT] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(255),
    [sym__hex_literal] = ACTIONS(423),
    [sym__number_literal] = ACTIONS(425),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_return] = ACTIONS(425),
    [sym_next] = ACTIONS(425),
    [sym_break] = ACTIONS(425),
    [sym_true] = ACTIONS(425),
    [sym_false] = ACTIONS(425),
    [sym_null] = ACTIONS(425),
    [sym_inf] = ACTIONS(425),
    [sym_nan] = ACTIONS(425),
    [anon_sym_NA] = ACTIONS(425),
    [anon_sym_NA_integer_] = ACTIONS(425),
    [anon_sym_NA_real_] = ACTIONS(425),
    [anon_sym_NA_complex_] = ACTIONS(425),
    [anon_sym_NA_character_] = ACTIONS(425),
    [sym_dots] = ACTIONS(425),
    [sym_dot_dot_i] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(423),
    [sym__newline] = ACTIONS(423),
    [sym__raw_string_literal] = ACTIONS(423),
    [sym__external_else] = ACTIONS(423),
    [sym__external_open_parenthesis] = ACTIONS(259),
    [sym__external_open_brace] = ACTIONS(423),
    [sym__external_open_bracket] = ACTIONS(261),
    [sym__external_close_bracket] = ACTIONS(423),
    [sym__external_open_bracket2] = ACTIONS(263),
  },
  [266] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_BSLASH] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(329),
    [anon_sym_while] = ACTIONS(329),
    [anon_sym_repeat] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(329),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(327),
    [sym__number_literal] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [sym_return] = ACTIONS(329),
    [sym_next] = ACTIONS(329),
    [sym_break] = ACTIONS(329),
    [sym_true] = ACTIONS(329),
    [sym_false] = ACTIONS(329),
    [sym_null] = ACTIONS(329),
    [sym_inf] = ACTIONS(329),
    [sym_nan] = ACTIONS(329),
    [anon_sym_NA] = ACTIONS(329),
    [anon_sym_NA_integer_] = ACTIONS(329),
    [anon_sym_NA_real_] = ACTIONS(329),
    [anon_sym_NA_complex_] = ACTIONS(329),
    [anon_sym_NA_character_] = ACTIONS(329),
    [sym_dots] = ACTIONS(329),
    [sym_dot_dot_i] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(327),
    [sym__newline] = ACTIONS(327),
    [sym__raw_string_literal] = ACTIONS(327),
    [sym__external_else] = ACTIONS(327),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(327),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(327),
  },
  [267] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(331),
    [sym__newline] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_else] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(331),
  },
  [268] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(331),
    [sym__newline] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_else] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(331),
  },
  [269] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(333),
    [anon_sym_AMP] = ACTIONS(333),
    [anon_sym_PIPE_PIPE] = ACTIONS(331),
    [anon_sym_AMP_AMP] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(331),
    [sym__newline] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_else] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(331),
  },
  [270] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(331),
    [anon_sym_DASH] = ACTIONS(333),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(333),
    [anon_sym_AMP] = ACTIONS(333),
    [anon_sym_PIPE_PIPE] = ACTIONS(331),
    [anon_sym_AMP_AMP] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_LT_EQ] = ACTIONS(331),
    [anon_sym_GT] = ACTIONS(333),
    [anon_sym_GT_EQ] = ACTIONS(331),
    [anon_sym_EQ_EQ] = ACTIONS(331),
    [anon_sym_BANG_EQ] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(331),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(331),
    [anon_sym_PIPE_GT] = ACTIONS(331),
    [anon_sym_COLON] = ACTIONS(333),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(331),
    [sym__newline] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_else] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(331),
  },
  [271] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_BSLASH] = ACTIONS(335),
    [anon_sym_function] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(337),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_repeat] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(335),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(337),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(335),
    [sym__number_literal] = ACTIONS(337),
    [anon_sym_SQUOTE] = ACTIONS(335),
    [anon_sym_DQUOTE] = ACTIONS(335),
    [sym_return] = ACTIONS(337),
    [sym_next] = ACTIONS(337),
    [sym_break] = ACTIONS(337),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_null] = ACTIONS(337),
    [sym_inf] = ACTIONS(337),
    [sym_nan] = ACTIONS(337),
    [anon_sym_NA] = ACTIONS(337),
    [anon_sym_NA_integer_] = ACTIONS(337),
    [anon_sym_NA_real_] = ACTIONS(337),
    [anon_sym_NA_complex_] = ACTIONS(337),
    [anon_sym_NA_character_] = ACTIONS(337),
    [sym_dots] = ACTIONS(337),
    [sym_dot_dot_i] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(335),
    [sym__newline] = ACTIONS(335),
    [sym__raw_string_literal] = ACTIONS(335),
    [sym__external_else] = ACTIONS(335),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(335),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(335),
  },
  [272] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_BSLASH] = ACTIONS(339),
    [anon_sym_function] = ACTIONS(341),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(341),
    [anon_sym_while] = ACTIONS(341),
    [anon_sym_repeat] = ACTIONS(341),
    [anon_sym_QMARK] = ACTIONS(339),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(341),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(339),
    [sym__number_literal] = ACTIONS(341),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_DQUOTE] = ACTIONS(339),
    [sym_return] = ACTIONS(341),
    [sym_next] = ACTIONS(341),
    [sym_break] = ACTIONS(341),
    [sym_true] = ACTIONS(341),
    [sym_false] = ACTIONS(341),
    [sym_null] = ACTIONS(341),
    [sym_inf] = ACTIONS(341),
    [sym_nan] = ACTIONS(341),
    [anon_sym_NA] = ACTIONS(341),
    [anon_sym_NA_integer_] = ACTIONS(341),
    [anon_sym_NA_real_] = ACTIONS(341),
    [anon_sym_NA_complex_] = ACTIONS(341),
    [anon_sym_NA_character_] = ACTIONS(341),
    [sym_dots] = ACTIONS(341),
    [sym_dot_dot_i] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(339),
    [sym__newline] = ACTIONS(339),
    [sym__raw_string_literal] = ACTIONS(339),
    [sym__external_else] = ACTIONS(339),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(339),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(339),
  },
  [273] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(343),
    [sym__newline] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_else] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(343),
  },
  [274] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(343),
    [sym__newline] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_else] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(343),
  },
  [275] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_PIPE_PIPE] = ACTIONS(343),
    [anon_sym_AMP_AMP] = ACTIONS(343),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(343),
    [sym__newline] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_else] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(343),
  },
  [276] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(343),
    [anon_sym_DASH] = ACTIONS(345),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_PIPE_PIPE] = ACTIONS(343),
    [anon_sym_AMP_AMP] = ACTIONS(343),
    [anon_sym_LT] = ACTIONS(345),
    [anon_sym_LT_EQ] = ACTIONS(343),
    [anon_sym_GT] = ACTIONS(345),
    [anon_sym_GT_EQ] = ACTIONS(343),
    [anon_sym_EQ_EQ] = ACTIONS(343),
    [anon_sym_BANG_EQ] = ACTIONS(343),
    [anon_sym_STAR] = ACTIONS(345),
    [anon_sym_SLASH] = ACTIONS(343),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(343),
    [anon_sym_PIPE_GT] = ACTIONS(343),
    [anon_sym_COLON] = ACTIONS(345),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(343),
    [sym__newline] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_else] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(343),
  },
  [277] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(347),
  },
  [278] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(347),
  },
  [279] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(347),
  },
  [280] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(347),
  },
  [281] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(347),
  },
  [282] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(347),
  },
  [283] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(347),
  },
  [284] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(347),
  },
  [285] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(347),
  },
  [286] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(347),
  },
  [287] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(349),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(347),
  },
  [288] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(347),
  },
  [289] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(349),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(347),
  },
  [290] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(353),
    [anon_sym_BSLASH] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(353),
    [anon_sym_for] = ACTIONS(353),
    [anon_sym_while] = ACTIONS(353),
    [anon_sym_repeat] = ACTIONS(353),
    [anon_sym_QMARK] = ACTIONS(351),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(351),
    [sym__number_literal] = ACTIONS(353),
    [anon_sym_SQUOTE] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_return] = ACTIONS(353),
    [sym_next] = ACTIONS(353),
    [sym_break] = ACTIONS(353),
    [sym_true] = ACTIONS(353),
    [sym_false] = ACTIONS(353),
    [sym_null] = ACTIONS(353),
    [sym_inf] = ACTIONS(353),
    [sym_nan] = ACTIONS(353),
    [anon_sym_NA] = ACTIONS(353),
    [anon_sym_NA_integer_] = ACTIONS(353),
    [anon_sym_NA_real_] = ACTIONS(353),
    [anon_sym_NA_complex_] = ACTIONS(353),
    [anon_sym_NA_character_] = ACTIONS(353),
    [sym_dots] = ACTIONS(353),
    [sym_dot_dot_i] = ACTIONS(351),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(351),
    [sym__newline] = ACTIONS(351),
    [sym__raw_string_literal] = ACTIONS(351),
    [sym__external_else] = ACTIONS(351),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(351),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(351),
  },
  [291] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(357),
    [anon_sym_BSLASH] = ACTIONS(355),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_repeat] = ACTIONS(357),
    [anon_sym_QMARK] = ACTIONS(355),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(355),
    [sym__number_literal] = ACTIONS(357),
    [anon_sym_SQUOTE] = ACTIONS(355),
    [anon_sym_DQUOTE] = ACTIONS(355),
    [sym_return] = ACTIONS(357),
    [sym_next] = ACTIONS(357),
    [sym_break] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_inf] = ACTIONS(357),
    [sym_nan] = ACTIONS(357),
    [anon_sym_NA] = ACTIONS(357),
    [anon_sym_NA_integer_] = ACTIONS(357),
    [anon_sym_NA_real_] = ACTIONS(357),
    [anon_sym_NA_complex_] = ACTIONS(357),
    [anon_sym_NA_character_] = ACTIONS(357),
    [sym_dots] = ACTIONS(357),
    [sym_dot_dot_i] = ACTIONS(355),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(355),
    [sym__newline] = ACTIONS(355),
    [sym__raw_string_literal] = ACTIONS(355),
    [sym__external_else] = ACTIONS(355),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(355),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(355),
  },
  [292] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(359),
  },
  [293] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(359),
  },
  [294] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(359),
  },
  [295] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(359),
  },
  [296] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(359),
  },
  [297] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(359),
  },
  [298] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(359),
  },
  [299] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(359),
  },
  [300] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(359),
  },
  [301] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(359),
  },
  [302] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(361),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(359),
  },
  [303] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(359),
  },
  [304] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(361),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(359),
  },
  [305] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(365),
    [anon_sym_BSLASH] = ACTIONS(363),
    [anon_sym_function] = ACTIONS(365),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_repeat] = ACTIONS(365),
    [anon_sym_QMARK] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(365),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(363),
    [sym__number_literal] = ACTIONS(365),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [sym_return] = ACTIONS(365),
    [sym_next] = ACTIONS(365),
    [sym_break] = ACTIONS(365),
    [sym_true] = ACTIONS(365),
    [sym_false] = ACTIONS(365),
    [sym_null] = ACTIONS(365),
    [sym_inf] = ACTIONS(365),
    [sym_nan] = ACTIONS(365),
    [anon_sym_NA] = ACTIONS(365),
    [anon_sym_NA_integer_] = ACTIONS(365),
    [anon_sym_NA_real_] = ACTIONS(365),
    [anon_sym_NA_complex_] = ACTIONS(365),
    [anon_sym_NA_character_] = ACTIONS(365),
    [sym_dots] = ACTIONS(365),
    [sym_dot_dot_i] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(363),
    [sym__newline] = ACTIONS(363),
    [sym__raw_string_literal] = ACTIONS(363),
    [sym__external_else] = ACTIONS(363),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(363),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(363),
  },
  [306] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(369),
    [anon_sym_BSLASH] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(369),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(369),
    [anon_sym_repeat] = ACTIONS(369),
    [anon_sym_QMARK] = ACTIONS(367),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(367),
    [sym__number_literal] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(367),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [sym_return] = ACTIONS(369),
    [sym_next] = ACTIONS(369),
    [sym_break] = ACTIONS(369),
    [sym_true] = ACTIONS(369),
    [sym_false] = ACTIONS(369),
    [sym_null] = ACTIONS(369),
    [sym_inf] = ACTIONS(369),
    [sym_nan] = ACTIONS(369),
    [anon_sym_NA] = ACTIONS(369),
    [anon_sym_NA_integer_] = ACTIONS(369),
    [anon_sym_NA_real_] = ACTIONS(369),
    [anon_sym_NA_complex_] = ACTIONS(369),
    [anon_sym_NA_character_] = ACTIONS(369),
    [sym_dots] = ACTIONS(369),
    [sym_dot_dot_i] = ACTIONS(367),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(367),
    [sym__newline] = ACTIONS(367),
    [sym__raw_string_literal] = ACTIONS(367),
    [sym__external_else] = ACTIONS(367),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(367),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(367),
  },
  [307] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [308] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_for] = ACTIONS(377),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_repeat] = ACTIONS(377),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(375),
    [sym__number_literal] = ACTIONS(377),
    [anon_sym_SQUOTE] = ACTIONS(375),
    [anon_sym_DQUOTE] = ACTIONS(375),
    [sym_return] = ACTIONS(377),
    [sym_next] = ACTIONS(377),
    [sym_break] = ACTIONS(377),
    [sym_true] = ACTIONS(377),
    [sym_false] = ACTIONS(377),
    [sym_null] = ACTIONS(377),
    [sym_inf] = ACTIONS(377),
    [sym_nan] = ACTIONS(377),
    [anon_sym_NA] = ACTIONS(377),
    [anon_sym_NA_integer_] = ACTIONS(377),
    [anon_sym_NA_real_] = ACTIONS(377),
    [anon_sym_NA_complex_] = ACTIONS(377),
    [anon_sym_NA_character_] = ACTIONS(377),
    [sym_dots] = ACTIONS(377),
    [sym_dot_dot_i] = ACTIONS(375),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(375),
    [sym__newline] = ACTIONS(375),
    [sym__raw_string_literal] = ACTIONS(375),
    [sym__external_else] = ACTIONS(375),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(375),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(375),
  },
  [309] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_BSLASH] = ACTIONS(379),
    [anon_sym_function] = ACTIONS(381),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(381),
    [anon_sym_repeat] = ACTIONS(381),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(379),
    [sym__number_literal] = ACTIONS(381),
    [anon_sym_SQUOTE] = ACTIONS(379),
    [anon_sym_DQUOTE] = ACTIONS(379),
    [sym_return] = ACTIONS(381),
    [sym_next] = ACTIONS(381),
    [sym_break] = ACTIONS(381),
    [sym_true] = ACTIONS(381),
    [sym_false] = ACTIONS(381),
    [sym_null] = ACTIONS(381),
    [sym_inf] = ACTIONS(381),
    [sym_nan] = ACTIONS(381),
    [anon_sym_NA] = ACTIONS(381),
    [anon_sym_NA_integer_] = ACTIONS(381),
    [anon_sym_NA_real_] = ACTIONS(381),
    [anon_sym_NA_complex_] = ACTIONS(381),
    [anon_sym_NA_character_] = ACTIONS(381),
    [sym_dots] = ACTIONS(381),
    [sym_dot_dot_i] = ACTIONS(379),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(379),
    [sym__newline] = ACTIONS(379),
    [sym__raw_string_literal] = ACTIONS(379),
    [sym__external_else] = ACTIONS(379),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(379),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(379),
  },
  [310] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [311] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(389),
    [anon_sym_BSLASH] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(389),
    [anon_sym_repeat] = ACTIONS(389),
    [anon_sym_QMARK] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(389),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(387),
    [sym__number_literal] = ACTIONS(389),
    [anon_sym_SQUOTE] = ACTIONS(387),
    [anon_sym_DQUOTE] = ACTIONS(387),
    [sym_return] = ACTIONS(389),
    [sym_next] = ACTIONS(389),
    [sym_break] = ACTIONS(389),
    [sym_true] = ACTIONS(389),
    [sym_false] = ACTIONS(389),
    [sym_null] = ACTIONS(389),
    [sym_inf] = ACTIONS(389),
    [sym_nan] = ACTIONS(389),
    [anon_sym_NA] = ACTIONS(389),
    [anon_sym_NA_integer_] = ACTIONS(389),
    [anon_sym_NA_real_] = ACTIONS(389),
    [anon_sym_NA_complex_] = ACTIONS(389),
    [anon_sym_NA_character_] = ACTIONS(389),
    [sym_dots] = ACTIONS(389),
    [sym_dot_dot_i] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(387),
    [sym__newline] = ACTIONS(387),
    [sym__raw_string_literal] = ACTIONS(387),
    [sym__external_else] = ACTIONS(387),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(387),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(387),
  },
  [312] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(393),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_function] = ACTIONS(393),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(393),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(393),
    [anon_sym_QMARK] = ACTIONS(391),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(391),
    [sym__number_literal] = ACTIONS(393),
    [anon_sym_SQUOTE] = ACTIONS(391),
    [anon_sym_DQUOTE] = ACTIONS(391),
    [sym_return] = ACTIONS(393),
    [sym_next] = ACTIONS(393),
    [sym_break] = ACTIONS(393),
    [sym_true] = ACTIONS(393),
    [sym_false] = ACTIONS(393),
    [sym_null] = ACTIONS(393),
    [sym_inf] = ACTIONS(393),
    [sym_nan] = ACTIONS(393),
    [anon_sym_NA] = ACTIONS(393),
    [anon_sym_NA_integer_] = ACTIONS(393),
    [anon_sym_NA_real_] = ACTIONS(393),
    [anon_sym_NA_complex_] = ACTIONS(393),
    [anon_sym_NA_character_] = ACTIONS(393),
    [sym_dots] = ACTIONS(393),
    [sym_dot_dot_i] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(391),
    [sym__newline] = ACTIONS(391),
    [sym__raw_string_literal] = ACTIONS(391),
    [sym__external_else] = ACTIONS(391),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(391),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(391),
  },
  [313] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(395),
    [anon_sym_function] = ACTIONS(397),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(397),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_while] = ACTIONS(397),
    [anon_sym_repeat] = ACTIONS(397),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(395),
    [sym__number_literal] = ACTIONS(397),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(395),
    [sym_return] = ACTIONS(397),
    [sym_next] = ACTIONS(397),
    [sym_break] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_inf] = ACTIONS(397),
    [sym_nan] = ACTIONS(397),
    [anon_sym_NA] = ACTIONS(397),
    [anon_sym_NA_integer_] = ACTIONS(397),
    [anon_sym_NA_real_] = ACTIONS(397),
    [anon_sym_NA_complex_] = ACTIONS(397),
    [anon_sym_NA_character_] = ACTIONS(397),
    [sym_dots] = ACTIONS(397),
    [sym_dot_dot_i] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(395),
    [sym__newline] = ACTIONS(395),
    [sym__raw_string_literal] = ACTIONS(395),
    [sym__external_else] = ACTIONS(395),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(395),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(395),
  },
  [314] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(399),
    [anon_sym_function] = ACTIONS(401),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(401),
    [anon_sym_repeat] = ACTIONS(401),
    [anon_sym_QMARK] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(401),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(399),
    [sym__number_literal] = ACTIONS(401),
    [anon_sym_SQUOTE] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(399),
    [sym_return] = ACTIONS(401),
    [sym_next] = ACTIONS(401),
    [sym_break] = ACTIONS(401),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [sym_null] = ACTIONS(401),
    [sym_inf] = ACTIONS(401),
    [sym_nan] = ACTIONS(401),
    [anon_sym_NA] = ACTIONS(401),
    [anon_sym_NA_integer_] = ACTIONS(401),
    [anon_sym_NA_real_] = ACTIONS(401),
    [anon_sym_NA_complex_] = ACTIONS(401),
    [anon_sym_NA_character_] = ACTIONS(401),
    [sym_dots] = ACTIONS(401),
    [sym_dot_dot_i] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(399),
    [sym__newline] = ACTIONS(399),
    [sym__raw_string_literal] = ACTIONS(399),
    [sym__external_else] = ACTIONS(399),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(399),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(399),
  },
  [315] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(405),
    [anon_sym_BSLASH] = ACTIONS(403),
    [anon_sym_function] = ACTIONS(405),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(405),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(405),
    [anon_sym_QMARK] = ACTIONS(403),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(405),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(403),
    [sym__number_literal] = ACTIONS(405),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_return] = ACTIONS(405),
    [sym_next] = ACTIONS(405),
    [sym_break] = ACTIONS(405),
    [sym_true] = ACTIONS(405),
    [sym_false] = ACTIONS(405),
    [sym_null] = ACTIONS(405),
    [sym_inf] = ACTIONS(405),
    [sym_nan] = ACTIONS(405),
    [anon_sym_NA] = ACTIONS(405),
    [anon_sym_NA_integer_] = ACTIONS(405),
    [anon_sym_NA_real_] = ACTIONS(405),
    [anon_sym_NA_complex_] = ACTIONS(405),
    [anon_sym_NA_character_] = ACTIONS(405),
    [sym_dots] = ACTIONS(405),
    [sym_dot_dot_i] = ACTIONS(403),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(403),
    [sym__newline] = ACTIONS(403),
    [sym__raw_string_literal] = ACTIONS(403),
    [sym__external_else] = ACTIONS(403),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(403),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(403),
  },
  [316] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_for] = ACTIONS(409),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_repeat] = ACTIONS(409),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(409),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(407),
    [sym__number_literal] = ACTIONS(409),
    [anon_sym_SQUOTE] = ACTIONS(407),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_return] = ACTIONS(409),
    [sym_next] = ACTIONS(409),
    [sym_break] = ACTIONS(409),
    [sym_true] = ACTIONS(409),
    [sym_false] = ACTIONS(409),
    [sym_null] = ACTIONS(409),
    [sym_inf] = ACTIONS(409),
    [sym_nan] = ACTIONS(409),
    [anon_sym_NA] = ACTIONS(409),
    [anon_sym_NA_integer_] = ACTIONS(409),
    [anon_sym_NA_real_] = ACTIONS(409),
    [anon_sym_NA_complex_] = ACTIONS(409),
    [anon_sym_NA_character_] = ACTIONS(409),
    [sym_dots] = ACTIONS(409),
    [sym_dot_dot_i] = ACTIONS(407),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(407),
    [sym__newline] = ACTIONS(407),
    [sym__raw_string_literal] = ACTIONS(407),
    [sym__external_else] = ACTIONS(407),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(407),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(407),
  },
  [317] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(413),
    [anon_sym_BSLASH] = ACTIONS(411),
    [anon_sym_function] = ACTIONS(413),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_repeat] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(411),
    [sym__number_literal] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(411),
    [anon_sym_DQUOTE] = ACTIONS(411),
    [sym_return] = ACTIONS(413),
    [sym_next] = ACTIONS(413),
    [sym_break] = ACTIONS(413),
    [sym_true] = ACTIONS(413),
    [sym_false] = ACTIONS(413),
    [sym_null] = ACTIONS(413),
    [sym_inf] = ACTIONS(413),
    [sym_nan] = ACTIONS(413),
    [anon_sym_NA] = ACTIONS(413),
    [anon_sym_NA_integer_] = ACTIONS(413),
    [anon_sym_NA_real_] = ACTIONS(413),
    [anon_sym_NA_complex_] = ACTIONS(413),
    [anon_sym_NA_character_] = ACTIONS(413),
    [sym_dots] = ACTIONS(413),
    [sym_dot_dot_i] = ACTIONS(411),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(411),
    [sym__newline] = ACTIONS(411),
    [sym__raw_string_literal] = ACTIONS(411),
    [sym__external_else] = ACTIONS(411),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(411),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(411),
  },
  [318] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_BSLASH] = ACTIONS(323),
    [anon_sym_function] = ACTIONS(325),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_repeat] = ACTIONS(325),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(323),
    [sym__number_literal] = ACTIONS(325),
    [anon_sym_SQUOTE] = ACTIONS(323),
    [anon_sym_DQUOTE] = ACTIONS(323),
    [sym_return] = ACTIONS(325),
    [sym_next] = ACTIONS(325),
    [sym_break] = ACTIONS(325),
    [sym_true] = ACTIONS(325),
    [sym_false] = ACTIONS(325),
    [sym_null] = ACTIONS(325),
    [sym_inf] = ACTIONS(325),
    [sym_nan] = ACTIONS(325),
    [anon_sym_NA] = ACTIONS(325),
    [anon_sym_NA_integer_] = ACTIONS(325),
    [anon_sym_NA_real_] = ACTIONS(325),
    [anon_sym_NA_complex_] = ACTIONS(325),
    [anon_sym_NA_character_] = ACTIONS(325),
    [sym_dots] = ACTIONS(325),
    [sym_dot_dot_i] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(323),
    [sym__newline] = ACTIONS(323),
    [sym__raw_string_literal] = ACTIONS(323),
    [sym__external_else] = ACTIONS(323),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(323),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(323),
  },
  [319] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(417),
    [anon_sym_BSLASH] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_repeat] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(415),
    [sym__number_literal] = ACTIONS(417),
    [anon_sym_SQUOTE] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(415),
    [sym_return] = ACTIONS(417),
    [sym_next] = ACTIONS(417),
    [sym_break] = ACTIONS(417),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [sym_null] = ACTIONS(417),
    [sym_inf] = ACTIONS(417),
    [sym_nan] = ACTIONS(417),
    [anon_sym_NA] = ACTIONS(417),
    [anon_sym_NA_integer_] = ACTIONS(417),
    [anon_sym_NA_real_] = ACTIONS(417),
    [anon_sym_NA_complex_] = ACTIONS(417),
    [anon_sym_NA_character_] = ACTIONS(417),
    [sym_dots] = ACTIONS(417),
    [sym_dot_dot_i] = ACTIONS(415),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(415),
    [sym__newline] = ACTIONS(415),
    [sym__raw_string_literal] = ACTIONS(415),
    [sym__external_else] = ACTIONS(415),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(415),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(415),
  },
  [320] = {
    [sym_call_arguments] = STATE(905),
    [sym_subset_arguments] = STATE(906),
    [sym_subset2_arguments] = STATE(907),
    [sym__open_parenthesis] = STATE(685),
    [sym__open_bracket] = STATE(686),
    [sym__open_bracket2] = STATE(687),
    [sym_identifier] = ACTIONS(421),
    [anon_sym_BSLASH] = ACTIONS(419),
    [anon_sym_function] = ACTIONS(421),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_repeat] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(419),
    [sym__number_literal] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [sym_return] = ACTIONS(421),
    [sym_next] = ACTIONS(421),
    [sym_break] = ACTIONS(421),
    [sym_true] = ACTIONS(421),
    [sym_false] = ACTIONS(421),
    [sym_null] = ACTIONS(421),
    [sym_inf] = ACTIONS(421),
    [sym_nan] = ACTIONS(421),
    [anon_sym_NA] = ACTIONS(421),
    [anon_sym_NA_integer_] = ACTIONS(421),
    [anon_sym_NA_real_] = ACTIONS(421),
    [anon_sym_NA_complex_] = ACTIONS(421),
    [anon_sym_NA_character_] = ACTIONS(421),
    [sym_dots] = ACTIONS(421),
    [sym_dot_dot_i] = ACTIONS(419),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(419),
    [sym__newline] = ACTIONS(419),
    [sym__raw_string_literal] = ACTIONS(419),
    [sym__external_else] = ACTIONS(419),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(419),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
    [sym__external_close_bracket2] = ACTIONS(419),
  },
  [321] = {
    [sym_call_arguments] = STATE(861),
    [sym_subset_arguments] = STATE(811),
    [sym_subset2_arguments] = STATE(863),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(369),
    [anon_sym_BSLASH] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_EQ] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(369),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(369),
    [anon_sym_repeat] = ACTIONS(369),
    [anon_sym_QMARK] = ACTIONS(367),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_LT_LT_DASH] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(177),
    [anon_sym_DASH_GT_GT] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(183),
    [anon_sym_PIPE_PIPE] = ACTIONS(185),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_LT_EQ] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(189),
    [anon_sym_GT_EQ] = ACTIONS(191),
    [anon_sym_EQ_EQ] = ACTIONS(191),
    [anon_sym_BANG_EQ] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_SLASH] = ACTIONS(195),
    [anon_sym_STAR_STAR] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [aux_sym_binary_operator_token1] = ACTIONS(199),
    [anon_sym_PIPE_GT] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [sym__hex_literal] = ACTIONS(367),
    [sym__number_literal] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(367),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [sym_return] = ACTIONS(369),
    [sym_next] = ACTIONS(369),
    [sym_break] = ACTIONS(369),
    [sym_true] = ACTIONS(369),
    [sym_false] = ACTIONS(369),
    [sym_null] = ACTIONS(369),
    [sym_inf] = ACTIONS(369),
    [sym_nan] = ACTIONS(369),
    [anon_sym_NA] = ACTIONS(369),
    [anon_sym_NA_integer_] = ACTIONS(369),
    [anon_sym_NA_real_] = ACTIONS(369),
    [anon_sym_NA_complex_] = ACTIONS(369),
    [anon_sym_NA_character_] = ACTIONS(369),
    [sym_dots] = ACTIONS(369),
    [sym_dot_dot_i] = ACTIONS(367),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(367),
    [sym__semicolon] = ACTIONS(367),
    [sym__raw_string_literal] = ACTIONS(367),
    [sym__external_else] = ACTIONS(367),
    [sym__external_open_parenthesis] = ACTIONS(207),
    [sym__external_open_brace] = ACTIONS(367),
    [sym__external_close_brace] = ACTIONS(367),
    [sym__external_open_bracket] = ACTIONS(209),
    [sym__external_open_bracket2] = ACTIONS(211),
  },
  [322] = {
    [sym_function_definition] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_while_statement] = STATE(498),
    [sym_repeat_statement] = STATE(498),
    [sym_braced_expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym__argument] = STATE(2071),
    [sym_argument] = STATE(2075),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2068),
    [sym__argument_value] = STATE(2076),
    [sym_unary_operator] = STATE(498),
    [sym_binary_operator] = STATE(498),
    [sym_extract_operator] = STATE(498),
    [sym_namespace_operator] = STATE(498),
    [sym_integer] = STATE(498),
    [sym_complex] = STATE(498),
    [sym_float] = STATE(498),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(770),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(898),
    [sym__open_brace] = STATE(922),
    [aux_sym_call_arguments_repeat1] = STATE(701),
    [sym_identifier] = ACTIONS(427),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(457),
    [sym_next] = ACTIONS(457),
    [sym_break] = ACTIONS(457),
    [sym_true] = ACTIONS(457),
    [sym_false] = ACTIONS(457),
    [sym_null] = ACTIONS(457),
    [sym_inf] = ACTIONS(457),
    [sym_nan] = ACTIONS(457),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(461),
    [sym_dot_dot_i] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(467),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(473),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [323] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(333),
    [anon_sym_AMP] = ACTIONS(333),
    [anon_sym_PIPE_PIPE] = ACTIONS(331),
    [anon_sym_AMP_AMP] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(331),
    [sym__newline] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(331),
  },
  [324] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(331),
    [anon_sym_DASH] = ACTIONS(333),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(333),
    [anon_sym_AMP] = ACTIONS(333),
    [anon_sym_PIPE_PIPE] = ACTIONS(331),
    [anon_sym_AMP_AMP] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_LT_EQ] = ACTIONS(331),
    [anon_sym_GT] = ACTIONS(333),
    [anon_sym_GT_EQ] = ACTIONS(331),
    [anon_sym_EQ_EQ] = ACTIONS(331),
    [anon_sym_BANG_EQ] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(331),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(331),
    [anon_sym_PIPE_GT] = ACTIONS(331),
    [anon_sym_COLON] = ACTIONS(333),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(331),
    [sym__newline] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(331),
  },
  [325] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_BSLASH] = ACTIONS(335),
    [anon_sym_function] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(337),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_repeat] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(335),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(337),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(335),
    [sym__number_literal] = ACTIONS(337),
    [anon_sym_SQUOTE] = ACTIONS(335),
    [anon_sym_DQUOTE] = ACTIONS(335),
    [sym_return] = ACTIONS(337),
    [sym_next] = ACTIONS(337),
    [sym_break] = ACTIONS(337),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_null] = ACTIONS(337),
    [sym_inf] = ACTIONS(337),
    [sym_nan] = ACTIONS(337),
    [anon_sym_NA] = ACTIONS(337),
    [anon_sym_NA_integer_] = ACTIONS(337),
    [anon_sym_NA_real_] = ACTIONS(337),
    [anon_sym_NA_complex_] = ACTIONS(337),
    [anon_sym_NA_character_] = ACTIONS(337),
    [sym_dots] = ACTIONS(337),
    [sym_dot_dot_i] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(335),
    [sym__newline] = ACTIONS(335),
    [sym__raw_string_literal] = ACTIONS(335),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(335),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(335),
  },
  [326] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_BSLASH] = ACTIONS(339),
    [anon_sym_function] = ACTIONS(341),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(341),
    [anon_sym_while] = ACTIONS(341),
    [anon_sym_repeat] = ACTIONS(341),
    [anon_sym_QMARK] = ACTIONS(339),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(341),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(339),
    [sym__number_literal] = ACTIONS(341),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_DQUOTE] = ACTIONS(339),
    [sym_return] = ACTIONS(341),
    [sym_next] = ACTIONS(341),
    [sym_break] = ACTIONS(341),
    [sym_true] = ACTIONS(341),
    [sym_false] = ACTIONS(341),
    [sym_null] = ACTIONS(341),
    [sym_inf] = ACTIONS(341),
    [sym_nan] = ACTIONS(341),
    [anon_sym_NA] = ACTIONS(341),
    [anon_sym_NA_integer_] = ACTIONS(341),
    [anon_sym_NA_real_] = ACTIONS(341),
    [anon_sym_NA_complex_] = ACTIONS(341),
    [anon_sym_NA_character_] = ACTIONS(341),
    [sym_dots] = ACTIONS(341),
    [sym_dot_dot_i] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(339),
    [sym__newline] = ACTIONS(339),
    [sym__raw_string_literal] = ACTIONS(339),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(339),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(339),
  },
  [327] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(343),
    [sym__newline] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(343),
  },
  [328] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(343),
    [sym__newline] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(343),
  },
  [329] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_PIPE_PIPE] = ACTIONS(343),
    [anon_sym_AMP_AMP] = ACTIONS(343),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(343),
    [sym__newline] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(343),
  },
  [330] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(343),
    [anon_sym_DASH] = ACTIONS(345),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_PIPE_PIPE] = ACTIONS(343),
    [anon_sym_AMP_AMP] = ACTIONS(343),
    [anon_sym_LT] = ACTIONS(345),
    [anon_sym_LT_EQ] = ACTIONS(343),
    [anon_sym_GT] = ACTIONS(345),
    [anon_sym_GT_EQ] = ACTIONS(343),
    [anon_sym_EQ_EQ] = ACTIONS(343),
    [anon_sym_BANG_EQ] = ACTIONS(343),
    [anon_sym_STAR] = ACTIONS(345),
    [anon_sym_SLASH] = ACTIONS(343),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(343),
    [anon_sym_PIPE_GT] = ACTIONS(343),
    [anon_sym_COLON] = ACTIONS(345),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(343),
    [sym__newline] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(343),
  },
  [331] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(347),
  },
  [332] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(347),
  },
  [333] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(347),
  },
  [334] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(347),
  },
  [335] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(347),
  },
  [336] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(347),
  },
  [337] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(347),
  },
  [338] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(347),
  },
  [339] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(347),
  },
  [340] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(347),
  },
  [341] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(349),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(347),
  },
  [342] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(347),
  },
  [343] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(349),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(347),
  },
  [344] = {
    [sym_function_definition] = STATE(445),
    [sym_if_statement] = STATE(445),
    [sym_for_statement] = STATE(445),
    [sym_while_statement] = STATE(445),
    [sym_repeat_statement] = STATE(445),
    [sym_braced_expression] = STATE(445),
    [sym_parenthesized_expression] = STATE(445),
    [sym_call] = STATE(445),
    [sym_subset] = STATE(445),
    [sym_subset2] = STATE(445),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2057),
    [sym__argument_named] = STATE(2066),
    [sym__argument_unnamed] = STATE(2060),
    [sym__argument_value] = STATE(2062),
    [sym_unary_operator] = STATE(445),
    [sym_binary_operator] = STATE(445),
    [sym_extract_operator] = STATE(445),
    [sym_namespace_operator] = STATE(445),
    [sym_integer] = STATE(445),
    [sym_complex] = STATE(445),
    [sym_float] = STATE(445),
    [sym__float_literal] = STATE(772),
    [sym_string] = STATE(761),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym_na] = STATE(445),
    [sym__expression] = STATE(445),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(1027),
    [sym__open_brace] = STATE(927),
    [sym__close_bracket] = STATE(1003),
    [aux_sym_call_arguments_repeat1] = STATE(690),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_BSLASH] = ACTIONS(523),
    [anon_sym_function] = ACTIONS(525),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_repeat] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(539),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [sym__hex_literal] = ACTIONS(543),
    [sym__number_literal] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(551),
    [sym_next] = ACTIONS(551),
    [sym_break] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_inf] = ACTIONS(551),
    [sym_nan] = ACTIONS(551),
    [anon_sym_NA] = ACTIONS(553),
    [anon_sym_NA_integer_] = ACTIONS(553),
    [anon_sym_NA_real_] = ACTIONS(553),
    [anon_sym_NA_complex_] = ACTIONS(553),
    [anon_sym_NA_character_] = ACTIONS(553),
    [sym_dots] = ACTIONS(555),
    [sym_dot_dot_i] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(559),
    [sym__newline] = ACTIONS(561),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(565),
    [sym__external_open_brace] = ACTIONS(567),
    [sym__external_close_bracket] = ACTIONS(569),
  },
  [345] = {
    [sym_function_definition] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_while_statement] = STATE(517),
    [sym_repeat_statement] = STATE(517),
    [sym_braced_expression] = STATE(517),
    [sym_parenthesized_expression] = STATE(517),
    [sym_call] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym__argument] = STATE(2065),
    [sym_argument] = STATE(2077),
    [sym__argument_named] = STATE(2063),
    [sym__argument_unnamed] = STATE(2070),
    [sym__argument_value] = STATE(2078),
    [sym_unary_operator] = STATE(517),
    [sym_binary_operator] = STATE(517),
    [sym_extract_operator] = STATE(517),
    [sym_namespace_operator] = STATE(517),
    [sym_integer] = STATE(517),
    [sym_complex] = STATE(517),
    [sym_float] = STATE(517),
    [sym__float_literal] = STATE(778),
    [sym_string] = STATE(781),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(928),
    [sym__close_bracket2] = STATE(1004),
    [aux_sym_call_arguments_repeat1] = STATE(699),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_BSLASH] = ACTIONS(573),
    [anon_sym_function] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_while] = ACTIONS(581),
    [anon_sym_repeat] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [sym__hex_literal] = ACTIONS(593),
    [sym__number_literal] = ACTIONS(595),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(601),
    [sym_next] = ACTIONS(601),
    [sym_break] = ACTIONS(601),
    [sym_true] = ACTIONS(601),
    [sym_false] = ACTIONS(601),
    [sym_null] = ACTIONS(601),
    [sym_inf] = ACTIONS(601),
    [sym_nan] = ACTIONS(601),
    [anon_sym_NA] = ACTIONS(603),
    [anon_sym_NA_integer_] = ACTIONS(603),
    [anon_sym_NA_real_] = ACTIONS(603),
    [anon_sym_NA_complex_] = ACTIONS(603),
    [anon_sym_NA_character_] = ACTIONS(603),
    [sym_dots] = ACTIONS(605),
    [sym_dot_dot_i] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(609),
    [sym__newline] = ACTIONS(611),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(615),
    [sym__external_open_brace] = ACTIONS(617),
    [sym__external_close_bracket2] = ACTIONS(619),
  },
  [346] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(353),
    [anon_sym_BSLASH] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(353),
    [anon_sym_for] = ACTIONS(353),
    [anon_sym_while] = ACTIONS(353),
    [anon_sym_repeat] = ACTIONS(353),
    [anon_sym_QMARK] = ACTIONS(351),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(351),
    [sym__number_literal] = ACTIONS(353),
    [anon_sym_SQUOTE] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_return] = ACTIONS(353),
    [sym_next] = ACTIONS(353),
    [sym_break] = ACTIONS(353),
    [sym_true] = ACTIONS(353),
    [sym_false] = ACTIONS(353),
    [sym_null] = ACTIONS(353),
    [sym_inf] = ACTIONS(353),
    [sym_nan] = ACTIONS(353),
    [anon_sym_NA] = ACTIONS(353),
    [anon_sym_NA_integer_] = ACTIONS(353),
    [anon_sym_NA_real_] = ACTIONS(353),
    [anon_sym_NA_complex_] = ACTIONS(353),
    [anon_sym_NA_character_] = ACTIONS(353),
    [sym_dots] = ACTIONS(353),
    [sym_dot_dot_i] = ACTIONS(351),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(351),
    [sym__newline] = ACTIONS(351),
    [sym__raw_string_literal] = ACTIONS(351),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(351),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(351),
  },
  [347] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(357),
    [anon_sym_BSLASH] = ACTIONS(355),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_repeat] = ACTIONS(357),
    [anon_sym_QMARK] = ACTIONS(355),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(355),
    [sym__number_literal] = ACTIONS(357),
    [anon_sym_SQUOTE] = ACTIONS(355),
    [anon_sym_DQUOTE] = ACTIONS(355),
    [sym_return] = ACTIONS(357),
    [sym_next] = ACTIONS(357),
    [sym_break] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_inf] = ACTIONS(357),
    [sym_nan] = ACTIONS(357),
    [anon_sym_NA] = ACTIONS(357),
    [anon_sym_NA_integer_] = ACTIONS(357),
    [anon_sym_NA_real_] = ACTIONS(357),
    [anon_sym_NA_complex_] = ACTIONS(357),
    [anon_sym_NA_character_] = ACTIONS(357),
    [sym_dots] = ACTIONS(357),
    [sym_dot_dot_i] = ACTIONS(355),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(355),
    [sym__newline] = ACTIONS(355),
    [sym__raw_string_literal] = ACTIONS(355),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(355),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(355),
  },
  [348] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(359),
  },
  [349] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(359),
  },
  [350] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(359),
  },
  [351] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(359),
  },
  [352] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(359),
  },
  [353] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(359),
  },
  [354] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(359),
  },
  [355] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(359),
  },
  [356] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(359),
  },
  [357] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(359),
  },
  [358] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(361),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(359),
  },
  [359] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(359),
  },
  [360] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(361),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(359),
  },
  [361] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(365),
    [anon_sym_BSLASH] = ACTIONS(363),
    [anon_sym_function] = ACTIONS(365),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_repeat] = ACTIONS(365),
    [anon_sym_QMARK] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(365),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(363),
    [sym__number_literal] = ACTIONS(365),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [sym_return] = ACTIONS(365),
    [sym_next] = ACTIONS(365),
    [sym_break] = ACTIONS(365),
    [sym_true] = ACTIONS(365),
    [sym_false] = ACTIONS(365),
    [sym_null] = ACTIONS(365),
    [sym_inf] = ACTIONS(365),
    [sym_nan] = ACTIONS(365),
    [anon_sym_NA] = ACTIONS(365),
    [anon_sym_NA_integer_] = ACTIONS(365),
    [anon_sym_NA_real_] = ACTIONS(365),
    [anon_sym_NA_complex_] = ACTIONS(365),
    [anon_sym_NA_character_] = ACTIONS(365),
    [sym_dots] = ACTIONS(365),
    [sym_dot_dot_i] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(363),
    [sym__newline] = ACTIONS(363),
    [sym__raw_string_literal] = ACTIONS(363),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(363),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(363),
  },
  [362] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(369),
    [anon_sym_BSLASH] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(369),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(369),
    [anon_sym_repeat] = ACTIONS(369),
    [anon_sym_QMARK] = ACTIONS(367),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(367),
    [sym__number_literal] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(367),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [sym_return] = ACTIONS(369),
    [sym_next] = ACTIONS(369),
    [sym_break] = ACTIONS(369),
    [sym_true] = ACTIONS(369),
    [sym_false] = ACTIONS(369),
    [sym_null] = ACTIONS(369),
    [sym_inf] = ACTIONS(369),
    [sym_nan] = ACTIONS(369),
    [anon_sym_NA] = ACTIONS(369),
    [anon_sym_NA_integer_] = ACTIONS(369),
    [anon_sym_NA_real_] = ACTIONS(369),
    [anon_sym_NA_complex_] = ACTIONS(369),
    [anon_sym_NA_character_] = ACTIONS(369),
    [sym_dots] = ACTIONS(369),
    [sym_dot_dot_i] = ACTIONS(367),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(367),
    [sym__newline] = ACTIONS(367),
    [sym__raw_string_literal] = ACTIONS(367),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(367),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(367),
  },
  [363] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(621),
    [anon_sym_BSLASH] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(621),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_repeat] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(627),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(623),
    [sym__number_literal] = ACTIONS(621),
    [anon_sym_SQUOTE] = ACTIONS(623),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_return] = ACTIONS(621),
    [sym_next] = ACTIONS(621),
    [sym_break] = ACTIONS(621),
    [sym_true] = ACTIONS(621),
    [sym_false] = ACTIONS(621),
    [sym_null] = ACTIONS(621),
    [sym_inf] = ACTIONS(621),
    [sym_nan] = ACTIONS(621),
    [anon_sym_NA] = ACTIONS(621),
    [anon_sym_NA_integer_] = ACTIONS(621),
    [anon_sym_NA_real_] = ACTIONS(621),
    [anon_sym_NA_complex_] = ACTIONS(621),
    [anon_sym_NA_character_] = ACTIONS(621),
    [sym_dots] = ACTIONS(621),
    [sym_dot_dot_i] = ACTIONS(623),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(623),
    [sym__semicolon] = ACTIONS(623),
    [sym__raw_string_literal] = ACTIONS(623),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(623),
    [sym__external_close_brace] = ACTIONS(623),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [364] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [365] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_for] = ACTIONS(377),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_repeat] = ACTIONS(377),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(375),
    [sym__number_literal] = ACTIONS(377),
    [anon_sym_SQUOTE] = ACTIONS(375),
    [anon_sym_DQUOTE] = ACTIONS(375),
    [sym_return] = ACTIONS(377),
    [sym_next] = ACTIONS(377),
    [sym_break] = ACTIONS(377),
    [sym_true] = ACTIONS(377),
    [sym_false] = ACTIONS(377),
    [sym_null] = ACTIONS(377),
    [sym_inf] = ACTIONS(377),
    [sym_nan] = ACTIONS(377),
    [anon_sym_NA] = ACTIONS(377),
    [anon_sym_NA_integer_] = ACTIONS(377),
    [anon_sym_NA_real_] = ACTIONS(377),
    [anon_sym_NA_complex_] = ACTIONS(377),
    [anon_sym_NA_character_] = ACTIONS(377),
    [sym_dots] = ACTIONS(377),
    [sym_dot_dot_i] = ACTIONS(375),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(375),
    [sym__newline] = ACTIONS(375),
    [sym__raw_string_literal] = ACTIONS(375),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(375),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(375),
  },
  [366] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_BSLASH] = ACTIONS(379),
    [anon_sym_function] = ACTIONS(381),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(381),
    [anon_sym_repeat] = ACTIONS(381),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(379),
    [sym__number_literal] = ACTIONS(381),
    [anon_sym_SQUOTE] = ACTIONS(379),
    [anon_sym_DQUOTE] = ACTIONS(379),
    [sym_return] = ACTIONS(381),
    [sym_next] = ACTIONS(381),
    [sym_break] = ACTIONS(381),
    [sym_true] = ACTIONS(381),
    [sym_false] = ACTIONS(381),
    [sym_null] = ACTIONS(381),
    [sym_inf] = ACTIONS(381),
    [sym_nan] = ACTIONS(381),
    [anon_sym_NA] = ACTIONS(381),
    [anon_sym_NA_integer_] = ACTIONS(381),
    [anon_sym_NA_real_] = ACTIONS(381),
    [anon_sym_NA_complex_] = ACTIONS(381),
    [anon_sym_NA_character_] = ACTIONS(381),
    [sym_dots] = ACTIONS(381),
    [sym_dot_dot_i] = ACTIONS(379),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(379),
    [sym__newline] = ACTIONS(379),
    [sym__raw_string_literal] = ACTIONS(379),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(379),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(379),
  },
  [367] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(335),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_BSLASH] = ACTIONS(335),
    [anon_sym_function] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(337),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_repeat] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(335),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(337),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(335),
    [sym__number_literal] = ACTIONS(337),
    [anon_sym_SQUOTE] = ACTIONS(335),
    [anon_sym_DQUOTE] = ACTIONS(335),
    [sym_return] = ACTIONS(337),
    [sym_next] = ACTIONS(337),
    [sym_break] = ACTIONS(337),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_null] = ACTIONS(337),
    [sym_inf] = ACTIONS(337),
    [sym_nan] = ACTIONS(337),
    [anon_sym_NA] = ACTIONS(337),
    [anon_sym_NA_integer_] = ACTIONS(337),
    [anon_sym_NA_real_] = ACTIONS(337),
    [anon_sym_NA_complex_] = ACTIONS(337),
    [anon_sym_NA_character_] = ACTIONS(337),
    [sym_dots] = ACTIONS(337),
    [sym_dot_dot_i] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(335),
    [sym__semicolon] = ACTIONS(335),
    [sym__raw_string_literal] = ACTIONS(335),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(335),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [368] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [369] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(389),
    [anon_sym_BSLASH] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(389),
    [anon_sym_repeat] = ACTIONS(389),
    [anon_sym_QMARK] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(389),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(387),
    [sym__number_literal] = ACTIONS(389),
    [anon_sym_SQUOTE] = ACTIONS(387),
    [anon_sym_DQUOTE] = ACTIONS(387),
    [sym_return] = ACTIONS(389),
    [sym_next] = ACTIONS(389),
    [sym_break] = ACTIONS(389),
    [sym_true] = ACTIONS(389),
    [sym_false] = ACTIONS(389),
    [sym_null] = ACTIONS(389),
    [sym_inf] = ACTIONS(389),
    [sym_nan] = ACTIONS(389),
    [anon_sym_NA] = ACTIONS(389),
    [anon_sym_NA_integer_] = ACTIONS(389),
    [anon_sym_NA_real_] = ACTIONS(389),
    [anon_sym_NA_complex_] = ACTIONS(389),
    [anon_sym_NA_character_] = ACTIONS(389),
    [sym_dots] = ACTIONS(389),
    [sym_dot_dot_i] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(387),
    [sym__newline] = ACTIONS(387),
    [sym__raw_string_literal] = ACTIONS(387),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(387),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(387),
  },
  [370] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(393),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_function] = ACTIONS(393),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(393),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(393),
    [anon_sym_QMARK] = ACTIONS(391),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(391),
    [sym__number_literal] = ACTIONS(393),
    [anon_sym_SQUOTE] = ACTIONS(391),
    [anon_sym_DQUOTE] = ACTIONS(391),
    [sym_return] = ACTIONS(393),
    [sym_next] = ACTIONS(393),
    [sym_break] = ACTIONS(393),
    [sym_true] = ACTIONS(393),
    [sym_false] = ACTIONS(393),
    [sym_null] = ACTIONS(393),
    [sym_inf] = ACTIONS(393),
    [sym_nan] = ACTIONS(393),
    [anon_sym_NA] = ACTIONS(393),
    [anon_sym_NA_integer_] = ACTIONS(393),
    [anon_sym_NA_real_] = ACTIONS(393),
    [anon_sym_NA_complex_] = ACTIONS(393),
    [anon_sym_NA_character_] = ACTIONS(393),
    [sym_dots] = ACTIONS(393),
    [sym_dot_dot_i] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(391),
    [sym__newline] = ACTIONS(391),
    [sym__raw_string_literal] = ACTIONS(391),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(391),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(391),
  },
  [371] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(395),
    [anon_sym_function] = ACTIONS(397),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(397),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_while] = ACTIONS(397),
    [anon_sym_repeat] = ACTIONS(397),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(395),
    [sym__number_literal] = ACTIONS(397),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(395),
    [sym_return] = ACTIONS(397),
    [sym_next] = ACTIONS(397),
    [sym_break] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_inf] = ACTIONS(397),
    [sym_nan] = ACTIONS(397),
    [anon_sym_NA] = ACTIONS(397),
    [anon_sym_NA_integer_] = ACTIONS(397),
    [anon_sym_NA_real_] = ACTIONS(397),
    [anon_sym_NA_complex_] = ACTIONS(397),
    [anon_sym_NA_character_] = ACTIONS(397),
    [sym_dots] = ACTIONS(397),
    [sym_dot_dot_i] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(395),
    [sym__newline] = ACTIONS(395),
    [sym__raw_string_literal] = ACTIONS(395),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(395),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(395),
  },
  [372] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(399),
    [anon_sym_function] = ACTIONS(401),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(401),
    [anon_sym_repeat] = ACTIONS(401),
    [anon_sym_QMARK] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(401),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(399),
    [sym__number_literal] = ACTIONS(401),
    [anon_sym_SQUOTE] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(399),
    [sym_return] = ACTIONS(401),
    [sym_next] = ACTIONS(401),
    [sym_break] = ACTIONS(401),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [sym_null] = ACTIONS(401),
    [sym_inf] = ACTIONS(401),
    [sym_nan] = ACTIONS(401),
    [anon_sym_NA] = ACTIONS(401),
    [anon_sym_NA_integer_] = ACTIONS(401),
    [anon_sym_NA_real_] = ACTIONS(401),
    [anon_sym_NA_complex_] = ACTIONS(401),
    [anon_sym_NA_character_] = ACTIONS(401),
    [sym_dots] = ACTIONS(401),
    [sym_dot_dot_i] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(399),
    [sym__newline] = ACTIONS(399),
    [sym__raw_string_literal] = ACTIONS(399),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(399),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(399),
  },
  [373] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(405),
    [anon_sym_BSLASH] = ACTIONS(403),
    [anon_sym_function] = ACTIONS(405),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(405),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(405),
    [anon_sym_QMARK] = ACTIONS(403),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(405),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(403),
    [sym__number_literal] = ACTIONS(405),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_return] = ACTIONS(405),
    [sym_next] = ACTIONS(405),
    [sym_break] = ACTIONS(405),
    [sym_true] = ACTIONS(405),
    [sym_false] = ACTIONS(405),
    [sym_null] = ACTIONS(405),
    [sym_inf] = ACTIONS(405),
    [sym_nan] = ACTIONS(405),
    [anon_sym_NA] = ACTIONS(405),
    [anon_sym_NA_integer_] = ACTIONS(405),
    [anon_sym_NA_real_] = ACTIONS(405),
    [anon_sym_NA_complex_] = ACTIONS(405),
    [anon_sym_NA_character_] = ACTIONS(405),
    [sym_dots] = ACTIONS(405),
    [sym_dot_dot_i] = ACTIONS(403),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(403),
    [sym__newline] = ACTIONS(403),
    [sym__raw_string_literal] = ACTIONS(403),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(403),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(403),
  },
  [374] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_for] = ACTIONS(409),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_repeat] = ACTIONS(409),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(409),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(407),
    [sym__number_literal] = ACTIONS(409),
    [anon_sym_SQUOTE] = ACTIONS(407),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_return] = ACTIONS(409),
    [sym_next] = ACTIONS(409),
    [sym_break] = ACTIONS(409),
    [sym_true] = ACTIONS(409),
    [sym_false] = ACTIONS(409),
    [sym_null] = ACTIONS(409),
    [sym_inf] = ACTIONS(409),
    [sym_nan] = ACTIONS(409),
    [anon_sym_NA] = ACTIONS(409),
    [anon_sym_NA_integer_] = ACTIONS(409),
    [anon_sym_NA_real_] = ACTIONS(409),
    [anon_sym_NA_complex_] = ACTIONS(409),
    [anon_sym_NA_character_] = ACTIONS(409),
    [sym_dots] = ACTIONS(409),
    [sym_dot_dot_i] = ACTIONS(407),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(407),
    [sym__newline] = ACTIONS(407),
    [sym__raw_string_literal] = ACTIONS(407),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(407),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(407),
  },
  [375] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(413),
    [anon_sym_BSLASH] = ACTIONS(411),
    [anon_sym_function] = ACTIONS(413),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_repeat] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(411),
    [sym__number_literal] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(411),
    [anon_sym_DQUOTE] = ACTIONS(411),
    [sym_return] = ACTIONS(413),
    [sym_next] = ACTIONS(413),
    [sym_break] = ACTIONS(413),
    [sym_true] = ACTIONS(413),
    [sym_false] = ACTIONS(413),
    [sym_null] = ACTIONS(413),
    [sym_inf] = ACTIONS(413),
    [sym_nan] = ACTIONS(413),
    [anon_sym_NA] = ACTIONS(413),
    [anon_sym_NA_integer_] = ACTIONS(413),
    [anon_sym_NA_real_] = ACTIONS(413),
    [anon_sym_NA_complex_] = ACTIONS(413),
    [anon_sym_NA_character_] = ACTIONS(413),
    [sym_dots] = ACTIONS(413),
    [sym_dot_dot_i] = ACTIONS(411),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(411),
    [sym__newline] = ACTIONS(411),
    [sym__raw_string_literal] = ACTIONS(411),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(411),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(411),
  },
  [376] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_BSLASH] = ACTIONS(323),
    [anon_sym_function] = ACTIONS(325),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_repeat] = ACTIONS(325),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(323),
    [sym__number_literal] = ACTIONS(325),
    [anon_sym_SQUOTE] = ACTIONS(323),
    [anon_sym_DQUOTE] = ACTIONS(323),
    [sym_return] = ACTIONS(325),
    [sym_next] = ACTIONS(325),
    [sym_break] = ACTIONS(325),
    [sym_true] = ACTIONS(325),
    [sym_false] = ACTIONS(325),
    [sym_null] = ACTIONS(325),
    [sym_inf] = ACTIONS(325),
    [sym_nan] = ACTIONS(325),
    [anon_sym_NA] = ACTIONS(325),
    [anon_sym_NA_integer_] = ACTIONS(325),
    [anon_sym_NA_real_] = ACTIONS(325),
    [anon_sym_NA_complex_] = ACTIONS(325),
    [anon_sym_NA_character_] = ACTIONS(325),
    [sym_dots] = ACTIONS(325),
    [sym_dot_dot_i] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(323),
    [sym__newline] = ACTIONS(323),
    [sym__raw_string_literal] = ACTIONS(323),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(323),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(323),
  },
  [377] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(417),
    [anon_sym_BSLASH] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_repeat] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(415),
    [sym__number_literal] = ACTIONS(417),
    [anon_sym_SQUOTE] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(415),
    [sym_return] = ACTIONS(417),
    [sym_next] = ACTIONS(417),
    [sym_break] = ACTIONS(417),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [sym_null] = ACTIONS(417),
    [sym_inf] = ACTIONS(417),
    [sym_nan] = ACTIONS(417),
    [anon_sym_NA] = ACTIONS(417),
    [anon_sym_NA_integer_] = ACTIONS(417),
    [anon_sym_NA_real_] = ACTIONS(417),
    [anon_sym_NA_complex_] = ACTIONS(417),
    [anon_sym_NA_character_] = ACTIONS(417),
    [sym_dots] = ACTIONS(417),
    [sym_dot_dot_i] = ACTIONS(415),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(415),
    [sym__newline] = ACTIONS(415),
    [sym__raw_string_literal] = ACTIONS(415),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(415),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(415),
  },
  [378] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(421),
    [anon_sym_BSLASH] = ACTIONS(419),
    [anon_sym_function] = ACTIONS(421),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_repeat] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(419),
    [sym__number_literal] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [sym_return] = ACTIONS(421),
    [sym_next] = ACTIONS(421),
    [sym_break] = ACTIONS(421),
    [sym_true] = ACTIONS(421),
    [sym_false] = ACTIONS(421),
    [sym_null] = ACTIONS(421),
    [sym_inf] = ACTIONS(421),
    [sym_nan] = ACTIONS(421),
    [anon_sym_NA] = ACTIONS(421),
    [anon_sym_NA_integer_] = ACTIONS(421),
    [anon_sym_NA_real_] = ACTIONS(421),
    [anon_sym_NA_complex_] = ACTIONS(421),
    [anon_sym_NA_character_] = ACTIONS(421),
    [sym_dots] = ACTIONS(421),
    [sym_dot_dot_i] = ACTIONS(419),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(419),
    [sym__newline] = ACTIONS(419),
    [sym__raw_string_literal] = ACTIONS(419),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(419),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(419),
  },
  [379] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_BSLASH] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_for] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_repeat] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(423),
    [sym__number_literal] = ACTIONS(425),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_return] = ACTIONS(425),
    [sym_next] = ACTIONS(425),
    [sym_break] = ACTIONS(425),
    [sym_true] = ACTIONS(425),
    [sym_false] = ACTIONS(425),
    [sym_null] = ACTIONS(425),
    [sym_inf] = ACTIONS(425),
    [sym_nan] = ACTIONS(425),
    [anon_sym_NA] = ACTIONS(425),
    [anon_sym_NA_integer_] = ACTIONS(425),
    [anon_sym_NA_real_] = ACTIONS(425),
    [anon_sym_NA_complex_] = ACTIONS(425),
    [anon_sym_NA_character_] = ACTIONS(425),
    [sym_dots] = ACTIONS(425),
    [sym_dot_dot_i] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(423),
    [sym__newline] = ACTIONS(423),
    [sym__raw_string_literal] = ACTIONS(423),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(423),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(423),
  },
  [380] = {
    [sym_function_definition] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_while_statement] = STATE(498),
    [sym_repeat_statement] = STATE(498),
    [sym_braced_expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym__argument] = STATE(2071),
    [sym_argument] = STATE(2075),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2068),
    [sym__argument_value] = STATE(2076),
    [sym_unary_operator] = STATE(498),
    [sym_binary_operator] = STATE(498),
    [sym_extract_operator] = STATE(498),
    [sym_namespace_operator] = STATE(498),
    [sym_integer] = STATE(498),
    [sym_complex] = STATE(498),
    [sym_float] = STATE(498),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(770),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(978),
    [sym__open_brace] = STATE(922),
    [aux_sym_call_arguments_repeat1] = STATE(701),
    [sym_identifier] = ACTIONS(427),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(457),
    [sym_next] = ACTIONS(457),
    [sym_break] = ACTIONS(457),
    [sym_true] = ACTIONS(457),
    [sym_false] = ACTIONS(457),
    [sym_null] = ACTIONS(457),
    [sym_inf] = ACTIONS(457),
    [sym_nan] = ACTIONS(457),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(461),
    [sym_dot_dot_i] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(467),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(715),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [381] = {
    [sym_function_definition] = STATE(445),
    [sym_if_statement] = STATE(445),
    [sym_for_statement] = STATE(445),
    [sym_while_statement] = STATE(445),
    [sym_repeat_statement] = STATE(445),
    [sym_braced_expression] = STATE(445),
    [sym_parenthesized_expression] = STATE(445),
    [sym_call] = STATE(445),
    [sym_subset] = STATE(445),
    [sym_subset2] = STATE(445),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2057),
    [sym__argument_named] = STATE(2066),
    [sym__argument_unnamed] = STATE(2060),
    [sym__argument_value] = STATE(2062),
    [sym_unary_operator] = STATE(445),
    [sym_binary_operator] = STATE(445),
    [sym_extract_operator] = STATE(445),
    [sym_namespace_operator] = STATE(445),
    [sym_integer] = STATE(445),
    [sym_complex] = STATE(445),
    [sym_float] = STATE(445),
    [sym__float_literal] = STATE(772),
    [sym_string] = STATE(761),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym_na] = STATE(445),
    [sym__expression] = STATE(445),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(1027),
    [sym__open_brace] = STATE(927),
    [sym__close_bracket] = STATE(979),
    [aux_sym_call_arguments_repeat1] = STATE(690),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_BSLASH] = ACTIONS(523),
    [anon_sym_function] = ACTIONS(525),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_repeat] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(539),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [sym__hex_literal] = ACTIONS(543),
    [sym__number_literal] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(551),
    [sym_next] = ACTIONS(551),
    [sym_break] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_inf] = ACTIONS(551),
    [sym_nan] = ACTIONS(551),
    [anon_sym_NA] = ACTIONS(553),
    [anon_sym_NA_integer_] = ACTIONS(553),
    [anon_sym_NA_real_] = ACTIONS(553),
    [anon_sym_NA_complex_] = ACTIONS(553),
    [anon_sym_NA_character_] = ACTIONS(553),
    [sym_dots] = ACTIONS(555),
    [sym_dot_dot_i] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(559),
    [sym__newline] = ACTIONS(561),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(565),
    [sym__external_open_brace] = ACTIONS(567),
    [sym__external_close_bracket] = ACTIONS(717),
  },
  [382] = {
    [sym_function_definition] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_while_statement] = STATE(517),
    [sym_repeat_statement] = STATE(517),
    [sym_braced_expression] = STATE(517),
    [sym_parenthesized_expression] = STATE(517),
    [sym_call] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym__argument] = STATE(2065),
    [sym_argument] = STATE(2077),
    [sym__argument_named] = STATE(2063),
    [sym__argument_unnamed] = STATE(2070),
    [sym__argument_value] = STATE(2078),
    [sym_unary_operator] = STATE(517),
    [sym_binary_operator] = STATE(517),
    [sym_extract_operator] = STATE(517),
    [sym_namespace_operator] = STATE(517),
    [sym_integer] = STATE(517),
    [sym_complex] = STATE(517),
    [sym_float] = STATE(517),
    [sym__float_literal] = STATE(778),
    [sym_string] = STATE(781),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(928),
    [sym__close_bracket2] = STATE(981),
    [aux_sym_call_arguments_repeat1] = STATE(699),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_BSLASH] = ACTIONS(573),
    [anon_sym_function] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_while] = ACTIONS(581),
    [anon_sym_repeat] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [sym__hex_literal] = ACTIONS(593),
    [sym__number_literal] = ACTIONS(595),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(601),
    [sym_next] = ACTIONS(601),
    [sym_break] = ACTIONS(601),
    [sym_true] = ACTIONS(601),
    [sym_false] = ACTIONS(601),
    [sym_null] = ACTIONS(601),
    [sym_inf] = ACTIONS(601),
    [sym_nan] = ACTIONS(601),
    [anon_sym_NA] = ACTIONS(603),
    [anon_sym_NA_integer_] = ACTIONS(603),
    [anon_sym_NA_real_] = ACTIONS(603),
    [anon_sym_NA_complex_] = ACTIONS(603),
    [anon_sym_NA_character_] = ACTIONS(603),
    [sym_dots] = ACTIONS(605),
    [sym_dot_dot_i] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(609),
    [sym__newline] = ACTIONS(611),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(615),
    [sym__external_open_brace] = ACTIONS(617),
    [sym__external_close_bracket2] = ACTIONS(719),
  },
  [383] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(351),
    [sym_identifier] = ACTIONS(353),
    [anon_sym_BSLASH] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(353),
    [anon_sym_for] = ACTIONS(353),
    [anon_sym_while] = ACTIONS(353),
    [anon_sym_repeat] = ACTIONS(353),
    [anon_sym_QMARK] = ACTIONS(351),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(351),
    [sym__number_literal] = ACTIONS(353),
    [anon_sym_SQUOTE] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_return] = ACTIONS(353),
    [sym_next] = ACTIONS(353),
    [sym_break] = ACTIONS(353),
    [sym_true] = ACTIONS(353),
    [sym_false] = ACTIONS(353),
    [sym_null] = ACTIONS(353),
    [sym_inf] = ACTIONS(353),
    [sym_nan] = ACTIONS(353),
    [anon_sym_NA] = ACTIONS(353),
    [anon_sym_NA_integer_] = ACTIONS(353),
    [anon_sym_NA_real_] = ACTIONS(353),
    [anon_sym_NA_complex_] = ACTIONS(353),
    [anon_sym_NA_character_] = ACTIONS(353),
    [sym_dots] = ACTIONS(353),
    [sym_dot_dot_i] = ACTIONS(351),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(351),
    [sym__semicolon] = ACTIONS(351),
    [sym__raw_string_literal] = ACTIONS(351),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(351),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [384] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(355),
    [sym_identifier] = ACTIONS(357),
    [anon_sym_BSLASH] = ACTIONS(355),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_repeat] = ACTIONS(357),
    [anon_sym_QMARK] = ACTIONS(355),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(355),
    [sym__number_literal] = ACTIONS(357),
    [anon_sym_SQUOTE] = ACTIONS(355),
    [anon_sym_DQUOTE] = ACTIONS(355),
    [sym_return] = ACTIONS(357),
    [sym_next] = ACTIONS(357),
    [sym_break] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_inf] = ACTIONS(357),
    [sym_nan] = ACTIONS(357),
    [anon_sym_NA] = ACTIONS(357),
    [anon_sym_NA_integer_] = ACTIONS(357),
    [anon_sym_NA_real_] = ACTIONS(357),
    [anon_sym_NA_complex_] = ACTIONS(357),
    [anon_sym_NA_character_] = ACTIONS(357),
    [sym_dots] = ACTIONS(357),
    [sym_dot_dot_i] = ACTIONS(355),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(355),
    [sym__semicolon] = ACTIONS(355),
    [sym__raw_string_literal] = ACTIONS(355),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(355),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [385] = {
    [sym_string] = STATE(824),
    [sym__single_quoted_string] = STATE(737),
    [sym__double_quoted_string] = STATE(721),
    [sym__string_or_identifier] = STATE(824),
    [aux_sym_function_definition_repeat1] = STATE(401),
    [ts_builtin_sym_end] = ACTIONS(721),
    [sym_identifier] = ACTIONS(723),
    [anon_sym_BSLASH] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(725),
    [anon_sym_repeat] = ACTIONS(725),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(721),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(721),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_LT_DASH] = ACTIONS(721),
    [anon_sym_LT_LT_DASH] = ACTIONS(721),
    [anon_sym_COLON_EQ] = ACTIONS(721),
    [anon_sym_DASH_GT] = ACTIONS(725),
    [anon_sym_DASH_GT_GT] = ACTIONS(721),
    [anon_sym_PIPE] = ACTIONS(725),
    [anon_sym_AMP] = ACTIONS(725),
    [anon_sym_PIPE_PIPE] = ACTIONS(721),
    [anon_sym_AMP_AMP] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(725),
    [anon_sym_LT_EQ] = ACTIONS(721),
    [anon_sym_GT] = ACTIONS(725),
    [anon_sym_GT_EQ] = ACTIONS(721),
    [anon_sym_EQ_EQ] = ACTIONS(721),
    [anon_sym_BANG_EQ] = ACTIONS(721),
    [anon_sym_STAR] = ACTIONS(725),
    [anon_sym_SLASH] = ACTIONS(721),
    [anon_sym_STAR_STAR] = ACTIONS(721),
    [anon_sym_CARET] = ACTIONS(721),
    [aux_sym_binary_operator_token1] = ACTIONS(721),
    [anon_sym_PIPE_GT] = ACTIONS(721),
    [anon_sym_COLON] = ACTIONS(725),
    [anon_sym_DOLLAR] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(721),
    [sym__hex_literal] = ACTIONS(721),
    [sym__number_literal] = ACTIONS(725),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_return] = ACTIONS(725),
    [sym_next] = ACTIONS(725),
    [sym_break] = ACTIONS(725),
    [sym_true] = ACTIONS(725),
    [sym_false] = ACTIONS(725),
    [sym_null] = ACTIONS(725),
    [sym_inf] = ACTIONS(725),
    [sym_nan] = ACTIONS(725),
    [anon_sym_NA] = ACTIONS(725),
    [anon_sym_NA_integer_] = ACTIONS(725),
    [anon_sym_NA_real_] = ACTIONS(725),
    [anon_sym_NA_complex_] = ACTIONS(725),
    [anon_sym_NA_character_] = ACTIONS(725),
    [sym_dots] = ACTIONS(725),
    [sym_dot_dot_i] = ACTIONS(721),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(731),
    [sym__semicolon] = ACTIONS(721),
    [sym__raw_string_literal] = ACTIONS(733),
    [sym__external_else] = ACTIONS(721),
    [sym__external_open_parenthesis] = ACTIONS(721),
    [sym__external_open_brace] = ACTIONS(721),
    [sym__external_open_bracket] = ACTIONS(721),
    [sym__external_open_bracket2] = ACTIONS(721),
  },
  [386] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [387] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [388] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [389] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [390] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [391] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [392] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [393] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [394] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [395] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [396] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(361),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [397] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [398] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(361),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [399] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(363),
    [sym_identifier] = ACTIONS(365),
    [anon_sym_BSLASH] = ACTIONS(363),
    [anon_sym_function] = ACTIONS(365),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_repeat] = ACTIONS(365),
    [anon_sym_QMARK] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(365),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(363),
    [sym__number_literal] = ACTIONS(365),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [sym_return] = ACTIONS(365),
    [sym_next] = ACTIONS(365),
    [sym_break] = ACTIONS(365),
    [sym_true] = ACTIONS(365),
    [sym_false] = ACTIONS(365),
    [sym_null] = ACTIONS(365),
    [sym_inf] = ACTIONS(365),
    [sym_nan] = ACTIONS(365),
    [anon_sym_NA] = ACTIONS(365),
    [anon_sym_NA_integer_] = ACTIONS(365),
    [anon_sym_NA_real_] = ACTIONS(365),
    [anon_sym_NA_complex_] = ACTIONS(365),
    [anon_sym_NA_character_] = ACTIONS(365),
    [sym_dots] = ACTIONS(365),
    [sym_dot_dot_i] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(363),
    [sym__semicolon] = ACTIONS(363),
    [sym__raw_string_literal] = ACTIONS(363),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(363),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [400] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(367),
    [sym_identifier] = ACTIONS(369),
    [anon_sym_BSLASH] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(369),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(369),
    [anon_sym_repeat] = ACTIONS(369),
    [anon_sym_QMARK] = ACTIONS(367),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(367),
    [sym__number_literal] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(367),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [sym_return] = ACTIONS(369),
    [sym_next] = ACTIONS(369),
    [sym_break] = ACTIONS(369),
    [sym_true] = ACTIONS(369),
    [sym_false] = ACTIONS(369),
    [sym_null] = ACTIONS(369),
    [sym_inf] = ACTIONS(369),
    [sym_nan] = ACTIONS(369),
    [anon_sym_NA] = ACTIONS(369),
    [anon_sym_NA_integer_] = ACTIONS(369),
    [anon_sym_NA_real_] = ACTIONS(369),
    [anon_sym_NA_complex_] = ACTIONS(369),
    [anon_sym_NA_character_] = ACTIONS(369),
    [sym_dots] = ACTIONS(369),
    [sym_dot_dot_i] = ACTIONS(367),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(367),
    [sym__semicolon] = ACTIONS(367),
    [sym__raw_string_literal] = ACTIONS(367),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(367),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [401] = {
    [sym_string] = STATE(831),
    [sym__single_quoted_string] = STATE(737),
    [sym__double_quoted_string] = STATE(721),
    [sym__string_or_identifier] = STATE(831),
    [aux_sym_function_definition_repeat1] = STATE(800),
    [ts_builtin_sym_end] = ACTIONS(735),
    [sym_identifier] = ACTIONS(737),
    [anon_sym_BSLASH] = ACTIONS(735),
    [anon_sym_function] = ACTIONS(739),
    [anon_sym_EQ] = ACTIONS(739),
    [anon_sym_if] = ACTIONS(739),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(739),
    [anon_sym_repeat] = ACTIONS(739),
    [anon_sym_QMARK] = ACTIONS(735),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(739),
    [anon_sym_LT_DASH] = ACTIONS(735),
    [anon_sym_LT_LT_DASH] = ACTIONS(735),
    [anon_sym_COLON_EQ] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(739),
    [anon_sym_DASH_GT_GT] = ACTIONS(735),
    [anon_sym_PIPE] = ACTIONS(739),
    [anon_sym_AMP] = ACTIONS(739),
    [anon_sym_PIPE_PIPE] = ACTIONS(735),
    [anon_sym_AMP_AMP] = ACTIONS(735),
    [anon_sym_LT] = ACTIONS(739),
    [anon_sym_LT_EQ] = ACTIONS(735),
    [anon_sym_GT] = ACTIONS(739),
    [anon_sym_GT_EQ] = ACTIONS(735),
    [anon_sym_EQ_EQ] = ACTIONS(735),
    [anon_sym_BANG_EQ] = ACTIONS(735),
    [anon_sym_STAR] = ACTIONS(739),
    [anon_sym_SLASH] = ACTIONS(735),
    [anon_sym_STAR_STAR] = ACTIONS(735),
    [anon_sym_CARET] = ACTIONS(735),
    [aux_sym_binary_operator_token1] = ACTIONS(735),
    [anon_sym_PIPE_GT] = ACTIONS(735),
    [anon_sym_COLON] = ACTIONS(739),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(735),
    [sym__hex_literal] = ACTIONS(735),
    [sym__number_literal] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(739),
    [sym_dot_dot_i] = ACTIONS(735),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(735),
    [sym__semicolon] = ACTIONS(735),
    [sym__raw_string_literal] = ACTIONS(733),
    [sym__external_else] = ACTIONS(735),
    [sym__external_open_parenthesis] = ACTIONS(735),
    [sym__external_open_brace] = ACTIONS(735),
    [sym__external_open_bracket] = ACTIONS(735),
    [sym__external_open_bracket2] = ACTIONS(735),
  },
  [402] = {
    [sym_function_definition] = STATE(445),
    [sym_if_statement] = STATE(445),
    [sym_for_statement] = STATE(445),
    [sym_while_statement] = STATE(445),
    [sym_repeat_statement] = STATE(445),
    [sym_braced_expression] = STATE(445),
    [sym_parenthesized_expression] = STATE(445),
    [sym_call] = STATE(445),
    [sym_subset] = STATE(445),
    [sym_subset2] = STATE(445),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2057),
    [sym__argument_named] = STATE(2066),
    [sym__argument_unnamed] = STATE(2060),
    [sym__argument_value] = STATE(2062),
    [sym_unary_operator] = STATE(445),
    [sym_binary_operator] = STATE(445),
    [sym_extract_operator] = STATE(445),
    [sym_namespace_operator] = STATE(445),
    [sym_integer] = STATE(445),
    [sym_complex] = STATE(445),
    [sym_float] = STATE(445),
    [sym__float_literal] = STATE(772),
    [sym_string] = STATE(761),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym_na] = STATE(445),
    [sym__expression] = STATE(445),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(1027),
    [sym__open_brace] = STATE(927),
    [sym__close_bracket] = STATE(833),
    [aux_sym_call_arguments_repeat1] = STATE(690),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_BSLASH] = ACTIONS(523),
    [anon_sym_function] = ACTIONS(525),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_repeat] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(539),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [sym__hex_literal] = ACTIONS(543),
    [sym__number_literal] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(551),
    [sym_next] = ACTIONS(551),
    [sym_break] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_inf] = ACTIONS(551),
    [sym_nan] = ACTIONS(551),
    [anon_sym_NA] = ACTIONS(553),
    [anon_sym_NA_integer_] = ACTIONS(553),
    [anon_sym_NA_real_] = ACTIONS(553),
    [anon_sym_NA_complex_] = ACTIONS(553),
    [anon_sym_NA_character_] = ACTIONS(553),
    [sym_dots] = ACTIONS(555),
    [sym_dot_dot_i] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(559),
    [sym__newline] = ACTIONS(561),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(565),
    [sym__external_open_brace] = ACTIONS(567),
    [sym__external_close_bracket] = ACTIONS(741),
  },
  [403] = {
    [sym_function_definition] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_while_statement] = STATE(517),
    [sym_repeat_statement] = STATE(517),
    [sym_braced_expression] = STATE(517),
    [sym_parenthesized_expression] = STATE(517),
    [sym_call] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym__argument] = STATE(2065),
    [sym_argument] = STATE(2077),
    [sym__argument_named] = STATE(2063),
    [sym__argument_unnamed] = STATE(2070),
    [sym__argument_value] = STATE(2078),
    [sym_unary_operator] = STATE(517),
    [sym_binary_operator] = STATE(517),
    [sym_extract_operator] = STATE(517),
    [sym_namespace_operator] = STATE(517),
    [sym_integer] = STATE(517),
    [sym_complex] = STATE(517),
    [sym_float] = STATE(517),
    [sym__float_literal] = STATE(778),
    [sym_string] = STATE(781),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(928),
    [sym__close_bracket2] = STATE(834),
    [aux_sym_call_arguments_repeat1] = STATE(699),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_BSLASH] = ACTIONS(573),
    [anon_sym_function] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_while] = ACTIONS(581),
    [anon_sym_repeat] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [sym__hex_literal] = ACTIONS(593),
    [sym__number_literal] = ACTIONS(595),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(601),
    [sym_next] = ACTIONS(601),
    [sym_break] = ACTIONS(601),
    [sym_true] = ACTIONS(601),
    [sym_false] = ACTIONS(601),
    [sym_null] = ACTIONS(601),
    [sym_inf] = ACTIONS(601),
    [sym_nan] = ACTIONS(601),
    [anon_sym_NA] = ACTIONS(603),
    [anon_sym_NA_integer_] = ACTIONS(603),
    [anon_sym_NA_real_] = ACTIONS(603),
    [anon_sym_NA_complex_] = ACTIONS(603),
    [anon_sym_NA_character_] = ACTIONS(603),
    [sym_dots] = ACTIONS(605),
    [sym_dot_dot_i] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(609),
    [sym__newline] = ACTIONS(611),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(615),
    [sym__external_open_brace] = ACTIONS(617),
    [sym__external_close_bracket2] = ACTIONS(743),
  },
  [404] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [405] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(375),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_for] = ACTIONS(377),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_repeat] = ACTIONS(377),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(375),
    [sym__number_literal] = ACTIONS(377),
    [anon_sym_SQUOTE] = ACTIONS(375),
    [anon_sym_DQUOTE] = ACTIONS(375),
    [sym_return] = ACTIONS(377),
    [sym_next] = ACTIONS(377),
    [sym_break] = ACTIONS(377),
    [sym_true] = ACTIONS(377),
    [sym_false] = ACTIONS(377),
    [sym_null] = ACTIONS(377),
    [sym_inf] = ACTIONS(377),
    [sym_nan] = ACTIONS(377),
    [anon_sym_NA] = ACTIONS(377),
    [anon_sym_NA_integer_] = ACTIONS(377),
    [anon_sym_NA_real_] = ACTIONS(377),
    [anon_sym_NA_complex_] = ACTIONS(377),
    [anon_sym_NA_character_] = ACTIONS(377),
    [sym_dots] = ACTIONS(377),
    [sym_dot_dot_i] = ACTIONS(375),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(375),
    [sym__semicolon] = ACTIONS(375),
    [sym__raw_string_literal] = ACTIONS(375),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(375),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [406] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(379),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_BSLASH] = ACTIONS(379),
    [anon_sym_function] = ACTIONS(381),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(381),
    [anon_sym_repeat] = ACTIONS(381),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(379),
    [sym__number_literal] = ACTIONS(381),
    [anon_sym_SQUOTE] = ACTIONS(379),
    [anon_sym_DQUOTE] = ACTIONS(379),
    [sym_return] = ACTIONS(381),
    [sym_next] = ACTIONS(381),
    [sym_break] = ACTIONS(381),
    [sym_true] = ACTIONS(381),
    [sym_false] = ACTIONS(381),
    [sym_null] = ACTIONS(381),
    [sym_inf] = ACTIONS(381),
    [sym_nan] = ACTIONS(381),
    [anon_sym_NA] = ACTIONS(381),
    [anon_sym_NA_integer_] = ACTIONS(381),
    [anon_sym_NA_real_] = ACTIONS(381),
    [anon_sym_NA_complex_] = ACTIONS(381),
    [anon_sym_NA_character_] = ACTIONS(381),
    [sym_dots] = ACTIONS(381),
    [sym_dot_dot_i] = ACTIONS(379),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(379),
    [sym__semicolon] = ACTIONS(379),
    [sym__raw_string_literal] = ACTIONS(379),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(379),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [407] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [408] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(387),
    [sym_identifier] = ACTIONS(389),
    [anon_sym_BSLASH] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(389),
    [anon_sym_repeat] = ACTIONS(389),
    [anon_sym_QMARK] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(389),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(387),
    [sym__number_literal] = ACTIONS(389),
    [anon_sym_SQUOTE] = ACTIONS(387),
    [anon_sym_DQUOTE] = ACTIONS(387),
    [sym_return] = ACTIONS(389),
    [sym_next] = ACTIONS(389),
    [sym_break] = ACTIONS(389),
    [sym_true] = ACTIONS(389),
    [sym_false] = ACTIONS(389),
    [sym_null] = ACTIONS(389),
    [sym_inf] = ACTIONS(389),
    [sym_nan] = ACTIONS(389),
    [anon_sym_NA] = ACTIONS(389),
    [anon_sym_NA_integer_] = ACTIONS(389),
    [anon_sym_NA_real_] = ACTIONS(389),
    [anon_sym_NA_complex_] = ACTIONS(389),
    [anon_sym_NA_character_] = ACTIONS(389),
    [sym_dots] = ACTIONS(389),
    [sym_dot_dot_i] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(387),
    [sym__semicolon] = ACTIONS(387),
    [sym__raw_string_literal] = ACTIONS(387),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(387),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [409] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(391),
    [sym_identifier] = ACTIONS(393),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_function] = ACTIONS(393),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(393),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(393),
    [anon_sym_QMARK] = ACTIONS(391),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(391),
    [sym__number_literal] = ACTIONS(393),
    [anon_sym_SQUOTE] = ACTIONS(391),
    [anon_sym_DQUOTE] = ACTIONS(391),
    [sym_return] = ACTIONS(393),
    [sym_next] = ACTIONS(393),
    [sym_break] = ACTIONS(393),
    [sym_true] = ACTIONS(393),
    [sym_false] = ACTIONS(393),
    [sym_null] = ACTIONS(393),
    [sym_inf] = ACTIONS(393),
    [sym_nan] = ACTIONS(393),
    [anon_sym_NA] = ACTIONS(393),
    [anon_sym_NA_integer_] = ACTIONS(393),
    [anon_sym_NA_real_] = ACTIONS(393),
    [anon_sym_NA_complex_] = ACTIONS(393),
    [anon_sym_NA_character_] = ACTIONS(393),
    [sym_dots] = ACTIONS(393),
    [sym_dot_dot_i] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(391),
    [sym__semicolon] = ACTIONS(391),
    [sym__raw_string_literal] = ACTIONS(391),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(391),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [410] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(395),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(395),
    [anon_sym_function] = ACTIONS(397),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(397),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_while] = ACTIONS(397),
    [anon_sym_repeat] = ACTIONS(397),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(395),
    [sym__number_literal] = ACTIONS(397),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(395),
    [sym_return] = ACTIONS(397),
    [sym_next] = ACTIONS(397),
    [sym_break] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_inf] = ACTIONS(397),
    [sym_nan] = ACTIONS(397),
    [anon_sym_NA] = ACTIONS(397),
    [anon_sym_NA_integer_] = ACTIONS(397),
    [anon_sym_NA_real_] = ACTIONS(397),
    [anon_sym_NA_complex_] = ACTIONS(397),
    [anon_sym_NA_character_] = ACTIONS(397),
    [sym_dots] = ACTIONS(397),
    [sym_dot_dot_i] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(395),
    [sym__semicolon] = ACTIONS(395),
    [sym__raw_string_literal] = ACTIONS(395),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(395),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [411] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(399),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(399),
    [anon_sym_function] = ACTIONS(401),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(401),
    [anon_sym_repeat] = ACTIONS(401),
    [anon_sym_QMARK] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(401),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(399),
    [sym__number_literal] = ACTIONS(401),
    [anon_sym_SQUOTE] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(399),
    [sym_return] = ACTIONS(401),
    [sym_next] = ACTIONS(401),
    [sym_break] = ACTIONS(401),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [sym_null] = ACTIONS(401),
    [sym_inf] = ACTIONS(401),
    [sym_nan] = ACTIONS(401),
    [anon_sym_NA] = ACTIONS(401),
    [anon_sym_NA_integer_] = ACTIONS(401),
    [anon_sym_NA_real_] = ACTIONS(401),
    [anon_sym_NA_complex_] = ACTIONS(401),
    [anon_sym_NA_character_] = ACTIONS(401),
    [sym_dots] = ACTIONS(401),
    [sym_dot_dot_i] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(399),
    [sym__semicolon] = ACTIONS(399),
    [sym__raw_string_literal] = ACTIONS(399),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(399),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [412] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(403),
    [sym_identifier] = ACTIONS(405),
    [anon_sym_BSLASH] = ACTIONS(403),
    [anon_sym_function] = ACTIONS(405),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(405),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(405),
    [anon_sym_QMARK] = ACTIONS(403),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(405),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(403),
    [sym__number_literal] = ACTIONS(405),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_return] = ACTIONS(405),
    [sym_next] = ACTIONS(405),
    [sym_break] = ACTIONS(405),
    [sym_true] = ACTIONS(405),
    [sym_false] = ACTIONS(405),
    [sym_null] = ACTIONS(405),
    [sym_inf] = ACTIONS(405),
    [sym_nan] = ACTIONS(405),
    [anon_sym_NA] = ACTIONS(405),
    [anon_sym_NA_integer_] = ACTIONS(405),
    [anon_sym_NA_real_] = ACTIONS(405),
    [anon_sym_NA_complex_] = ACTIONS(405),
    [anon_sym_NA_character_] = ACTIONS(405),
    [sym_dots] = ACTIONS(405),
    [sym_dot_dot_i] = ACTIONS(403),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(403),
    [sym__semicolon] = ACTIONS(403),
    [sym__raw_string_literal] = ACTIONS(403),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(403),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [413] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(407),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_for] = ACTIONS(409),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_repeat] = ACTIONS(409),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(409),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(407),
    [sym__number_literal] = ACTIONS(409),
    [anon_sym_SQUOTE] = ACTIONS(407),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_return] = ACTIONS(409),
    [sym_next] = ACTIONS(409),
    [sym_break] = ACTIONS(409),
    [sym_true] = ACTIONS(409),
    [sym_false] = ACTIONS(409),
    [sym_null] = ACTIONS(409),
    [sym_inf] = ACTIONS(409),
    [sym_nan] = ACTIONS(409),
    [anon_sym_NA] = ACTIONS(409),
    [anon_sym_NA_integer_] = ACTIONS(409),
    [anon_sym_NA_real_] = ACTIONS(409),
    [anon_sym_NA_complex_] = ACTIONS(409),
    [anon_sym_NA_character_] = ACTIONS(409),
    [sym_dots] = ACTIONS(409),
    [sym_dot_dot_i] = ACTIONS(407),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(407),
    [sym__semicolon] = ACTIONS(407),
    [sym__raw_string_literal] = ACTIONS(407),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(407),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [414] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(411),
    [sym_identifier] = ACTIONS(413),
    [anon_sym_BSLASH] = ACTIONS(411),
    [anon_sym_function] = ACTIONS(413),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_repeat] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(411),
    [sym__number_literal] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(411),
    [anon_sym_DQUOTE] = ACTIONS(411),
    [sym_return] = ACTIONS(413),
    [sym_next] = ACTIONS(413),
    [sym_break] = ACTIONS(413),
    [sym_true] = ACTIONS(413),
    [sym_false] = ACTIONS(413),
    [sym_null] = ACTIONS(413),
    [sym_inf] = ACTIONS(413),
    [sym_nan] = ACTIONS(413),
    [anon_sym_NA] = ACTIONS(413),
    [anon_sym_NA_integer_] = ACTIONS(413),
    [anon_sym_NA_real_] = ACTIONS(413),
    [anon_sym_NA_complex_] = ACTIONS(413),
    [anon_sym_NA_character_] = ACTIONS(413),
    [sym_dots] = ACTIONS(413),
    [sym_dot_dot_i] = ACTIONS(411),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(411),
    [sym__semicolon] = ACTIONS(411),
    [sym__raw_string_literal] = ACTIONS(411),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(411),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [415] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(323),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_BSLASH] = ACTIONS(323),
    [anon_sym_function] = ACTIONS(325),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_repeat] = ACTIONS(325),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(323),
    [sym__number_literal] = ACTIONS(325),
    [anon_sym_SQUOTE] = ACTIONS(323),
    [anon_sym_DQUOTE] = ACTIONS(323),
    [sym_return] = ACTIONS(325),
    [sym_next] = ACTIONS(325),
    [sym_break] = ACTIONS(325),
    [sym_true] = ACTIONS(325),
    [sym_false] = ACTIONS(325),
    [sym_null] = ACTIONS(325),
    [sym_inf] = ACTIONS(325),
    [sym_nan] = ACTIONS(325),
    [anon_sym_NA] = ACTIONS(325),
    [anon_sym_NA_integer_] = ACTIONS(325),
    [anon_sym_NA_real_] = ACTIONS(325),
    [anon_sym_NA_complex_] = ACTIONS(325),
    [anon_sym_NA_character_] = ACTIONS(325),
    [sym_dots] = ACTIONS(325),
    [sym_dot_dot_i] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(323),
    [sym__semicolon] = ACTIONS(323),
    [sym__raw_string_literal] = ACTIONS(323),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(323),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [416] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(415),
    [sym_identifier] = ACTIONS(417),
    [anon_sym_BSLASH] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_repeat] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(415),
    [sym__number_literal] = ACTIONS(417),
    [anon_sym_SQUOTE] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(415),
    [sym_return] = ACTIONS(417),
    [sym_next] = ACTIONS(417),
    [sym_break] = ACTIONS(417),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [sym_null] = ACTIONS(417),
    [sym_inf] = ACTIONS(417),
    [sym_nan] = ACTIONS(417),
    [anon_sym_NA] = ACTIONS(417),
    [anon_sym_NA_integer_] = ACTIONS(417),
    [anon_sym_NA_real_] = ACTIONS(417),
    [anon_sym_NA_complex_] = ACTIONS(417),
    [anon_sym_NA_character_] = ACTIONS(417),
    [sym_dots] = ACTIONS(417),
    [sym_dot_dot_i] = ACTIONS(415),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(415),
    [sym__semicolon] = ACTIONS(415),
    [sym__raw_string_literal] = ACTIONS(415),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(415),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [417] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(419),
    [sym_identifier] = ACTIONS(421),
    [anon_sym_BSLASH] = ACTIONS(419),
    [anon_sym_function] = ACTIONS(421),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_repeat] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(419),
    [sym__number_literal] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [sym_return] = ACTIONS(421),
    [sym_next] = ACTIONS(421),
    [sym_break] = ACTIONS(421),
    [sym_true] = ACTIONS(421),
    [sym_false] = ACTIONS(421),
    [sym_null] = ACTIONS(421),
    [sym_inf] = ACTIONS(421),
    [sym_nan] = ACTIONS(421),
    [anon_sym_NA] = ACTIONS(421),
    [anon_sym_NA_integer_] = ACTIONS(421),
    [anon_sym_NA_real_] = ACTIONS(421),
    [anon_sym_NA_complex_] = ACTIONS(421),
    [anon_sym_NA_character_] = ACTIONS(421),
    [sym_dots] = ACTIONS(421),
    [sym_dot_dot_i] = ACTIONS(419),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(419),
    [sym__semicolon] = ACTIONS(419),
    [sym__raw_string_literal] = ACTIONS(419),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(419),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [418] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(423),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_BSLASH] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_for] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_repeat] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(423),
    [sym__number_literal] = ACTIONS(425),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_return] = ACTIONS(425),
    [sym_next] = ACTIONS(425),
    [sym_break] = ACTIONS(425),
    [sym_true] = ACTIONS(425),
    [sym_false] = ACTIONS(425),
    [sym_null] = ACTIONS(425),
    [sym_inf] = ACTIONS(425),
    [sym_nan] = ACTIONS(425),
    [anon_sym_NA] = ACTIONS(425),
    [anon_sym_NA_integer_] = ACTIONS(425),
    [anon_sym_NA_real_] = ACTIONS(425),
    [anon_sym_NA_complex_] = ACTIONS(425),
    [anon_sym_NA_character_] = ACTIONS(425),
    [sym_dots] = ACTIONS(425),
    [sym_dot_dot_i] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(423),
    [sym__semicolon] = ACTIONS(423),
    [sym__raw_string_literal] = ACTIONS(423),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(423),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [419] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_BSLASH] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(329),
    [anon_sym_while] = ACTIONS(329),
    [anon_sym_repeat] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(329),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(327),
    [sym__number_literal] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [sym_return] = ACTIONS(329),
    [sym_next] = ACTIONS(329),
    [sym_break] = ACTIONS(329),
    [sym_true] = ACTIONS(329),
    [sym_false] = ACTIONS(329),
    [sym_null] = ACTIONS(329),
    [sym_inf] = ACTIONS(329),
    [sym_nan] = ACTIONS(329),
    [anon_sym_NA] = ACTIONS(329),
    [anon_sym_NA_integer_] = ACTIONS(329),
    [anon_sym_NA_real_] = ACTIONS(329),
    [anon_sym_NA_complex_] = ACTIONS(329),
    [anon_sym_NA_character_] = ACTIONS(329),
    [sym_dots] = ACTIONS(329),
    [sym_dot_dot_i] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(327),
    [sym__newline] = ACTIONS(327),
    [sym__raw_string_literal] = ACTIONS(327),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(327),
    [sym__external_open_brace] = ACTIONS(327),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [420] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(331),
    [sym__newline] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(331),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [421] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(331),
    [sym__newline] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(331),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [422] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(333),
    [anon_sym_AMP] = ACTIONS(333),
    [anon_sym_PIPE_PIPE] = ACTIONS(331),
    [anon_sym_AMP_AMP] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(331),
    [sym__newline] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(331),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [423] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(331),
    [anon_sym_DASH] = ACTIONS(333),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(333),
    [anon_sym_AMP] = ACTIONS(333),
    [anon_sym_PIPE_PIPE] = ACTIONS(331),
    [anon_sym_AMP_AMP] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_LT_EQ] = ACTIONS(331),
    [anon_sym_GT] = ACTIONS(333),
    [anon_sym_GT_EQ] = ACTIONS(331),
    [anon_sym_EQ_EQ] = ACTIONS(331),
    [anon_sym_BANG_EQ] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(331),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(331),
    [anon_sym_PIPE_GT] = ACTIONS(331),
    [anon_sym_COLON] = ACTIONS(333),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(331),
    [sym__newline] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(331),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [424] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(339),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_BSLASH] = ACTIONS(339),
    [anon_sym_function] = ACTIONS(341),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(341),
    [anon_sym_while] = ACTIONS(341),
    [anon_sym_repeat] = ACTIONS(341),
    [anon_sym_QMARK] = ACTIONS(339),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(341),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(339),
    [sym__number_literal] = ACTIONS(341),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_DQUOTE] = ACTIONS(339),
    [sym_return] = ACTIONS(341),
    [sym_next] = ACTIONS(341),
    [sym_break] = ACTIONS(341),
    [sym_true] = ACTIONS(341),
    [sym_false] = ACTIONS(341),
    [sym_null] = ACTIONS(341),
    [sym_inf] = ACTIONS(341),
    [sym_nan] = ACTIONS(341),
    [anon_sym_NA] = ACTIONS(341),
    [anon_sym_NA_integer_] = ACTIONS(341),
    [anon_sym_NA_real_] = ACTIONS(341),
    [anon_sym_NA_complex_] = ACTIONS(341),
    [anon_sym_NA_character_] = ACTIONS(341),
    [sym_dots] = ACTIONS(341),
    [sym_dot_dot_i] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(339),
    [sym__semicolon] = ACTIONS(339),
    [sym__raw_string_literal] = ACTIONS(339),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(339),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [425] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_BSLASH] = ACTIONS(335),
    [anon_sym_function] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(337),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_repeat] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(335),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(337),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(335),
    [sym__number_literal] = ACTIONS(337),
    [anon_sym_SQUOTE] = ACTIONS(335),
    [anon_sym_DQUOTE] = ACTIONS(335),
    [sym_return] = ACTIONS(337),
    [sym_next] = ACTIONS(337),
    [sym_break] = ACTIONS(337),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_null] = ACTIONS(337),
    [sym_inf] = ACTIONS(337),
    [sym_nan] = ACTIONS(337),
    [anon_sym_NA] = ACTIONS(337),
    [anon_sym_NA_integer_] = ACTIONS(337),
    [anon_sym_NA_real_] = ACTIONS(337),
    [anon_sym_NA_complex_] = ACTIONS(337),
    [anon_sym_NA_character_] = ACTIONS(337),
    [sym_dots] = ACTIONS(337),
    [sym_dot_dot_i] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(335),
    [sym__newline] = ACTIONS(335),
    [sym__raw_string_literal] = ACTIONS(335),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(335),
    [sym__external_open_brace] = ACTIONS(335),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [426] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_BSLASH] = ACTIONS(339),
    [anon_sym_function] = ACTIONS(341),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(341),
    [anon_sym_while] = ACTIONS(341),
    [anon_sym_repeat] = ACTIONS(341),
    [anon_sym_QMARK] = ACTIONS(339),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(341),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(339),
    [sym__number_literal] = ACTIONS(341),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_DQUOTE] = ACTIONS(339),
    [sym_return] = ACTIONS(341),
    [sym_next] = ACTIONS(341),
    [sym_break] = ACTIONS(341),
    [sym_true] = ACTIONS(341),
    [sym_false] = ACTIONS(341),
    [sym_null] = ACTIONS(341),
    [sym_inf] = ACTIONS(341),
    [sym_nan] = ACTIONS(341),
    [anon_sym_NA] = ACTIONS(341),
    [anon_sym_NA_integer_] = ACTIONS(341),
    [anon_sym_NA_real_] = ACTIONS(341),
    [anon_sym_NA_complex_] = ACTIONS(341),
    [anon_sym_NA_character_] = ACTIONS(341),
    [sym_dots] = ACTIONS(341),
    [sym_dot_dot_i] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(339),
    [sym__newline] = ACTIONS(339),
    [sym__raw_string_literal] = ACTIONS(339),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(339),
    [sym__external_open_brace] = ACTIONS(339),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [427] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(343),
    [sym__newline] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(343),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [428] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(343),
    [sym__newline] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(343),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [429] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_PIPE_PIPE] = ACTIONS(343),
    [anon_sym_AMP_AMP] = ACTIONS(343),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(343),
    [sym__newline] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(343),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [430] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(343),
    [anon_sym_DASH] = ACTIONS(345),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_PIPE_PIPE] = ACTIONS(343),
    [anon_sym_AMP_AMP] = ACTIONS(343),
    [anon_sym_LT] = ACTIONS(345),
    [anon_sym_LT_EQ] = ACTIONS(343),
    [anon_sym_GT] = ACTIONS(345),
    [anon_sym_GT_EQ] = ACTIONS(343),
    [anon_sym_EQ_EQ] = ACTIONS(343),
    [anon_sym_BANG_EQ] = ACTIONS(343),
    [anon_sym_STAR] = ACTIONS(345),
    [anon_sym_SLASH] = ACTIONS(343),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(343),
    [anon_sym_PIPE_GT] = ACTIONS(343),
    [anon_sym_COLON] = ACTIONS(345),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(343),
    [sym__newline] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(343),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [431] = {
    [sym_string] = STATE(847),
    [sym__single_quoted_string] = STATE(752),
    [sym__double_quoted_string] = STATE(753),
    [sym__string_or_identifier] = STATE(847),
    [aux_sym_function_definition_repeat1] = STATE(447),
    [sym_identifier] = ACTIONS(789),
    [anon_sym_BSLASH] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(725),
    [anon_sym_repeat] = ACTIONS(725),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(721),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(721),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_LT_DASH] = ACTIONS(721),
    [anon_sym_LT_LT_DASH] = ACTIONS(721),
    [anon_sym_COLON_EQ] = ACTIONS(721),
    [anon_sym_DASH_GT] = ACTIONS(725),
    [anon_sym_DASH_GT_GT] = ACTIONS(721),
    [anon_sym_PIPE] = ACTIONS(725),
    [anon_sym_AMP] = ACTIONS(725),
    [anon_sym_PIPE_PIPE] = ACTIONS(721),
    [anon_sym_AMP_AMP] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(725),
    [anon_sym_LT_EQ] = ACTIONS(721),
    [anon_sym_GT] = ACTIONS(725),
    [anon_sym_GT_EQ] = ACTIONS(721),
    [anon_sym_EQ_EQ] = ACTIONS(721),
    [anon_sym_BANG_EQ] = ACTIONS(721),
    [anon_sym_STAR] = ACTIONS(725),
    [anon_sym_SLASH] = ACTIONS(721),
    [anon_sym_STAR_STAR] = ACTIONS(721),
    [anon_sym_CARET] = ACTIONS(721),
    [aux_sym_binary_operator_token1] = ACTIONS(721),
    [anon_sym_PIPE_GT] = ACTIONS(721),
    [anon_sym_COLON] = ACTIONS(725),
    [anon_sym_DOLLAR] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(721),
    [sym__hex_literal] = ACTIONS(721),
    [sym__number_literal] = ACTIONS(725),
    [anon_sym_SQUOTE] = ACTIONS(791),
    [anon_sym_DQUOTE] = ACTIONS(793),
    [sym_return] = ACTIONS(725),
    [sym_next] = ACTIONS(725),
    [sym_break] = ACTIONS(725),
    [sym_true] = ACTIONS(725),
    [sym_false] = ACTIONS(725),
    [sym_null] = ACTIONS(725),
    [sym_inf] = ACTIONS(725),
    [sym_nan] = ACTIONS(725),
    [anon_sym_NA] = ACTIONS(725),
    [anon_sym_NA_integer_] = ACTIONS(725),
    [anon_sym_NA_real_] = ACTIONS(725),
    [anon_sym_NA_complex_] = ACTIONS(725),
    [anon_sym_NA_character_] = ACTIONS(725),
    [sym_dots] = ACTIONS(725),
    [sym_dot_dot_i] = ACTIONS(721),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(721),
    [sym__newline] = ACTIONS(795),
    [sym__raw_string_literal] = ACTIONS(797),
    [sym__external_else] = ACTIONS(721),
    [sym__external_open_parenthesis] = ACTIONS(721),
    [sym__external_close_parenthesis] = ACTIONS(721),
    [sym__external_open_brace] = ACTIONS(721),
    [sym__external_open_bracket] = ACTIONS(721),
    [sym__external_open_bracket2] = ACTIONS(721),
  },
  [432] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(347),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [433] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(347),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [434] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(347),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [435] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(347),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [436] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(347),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [437] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(347),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [438] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(347),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [439] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(347),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [440] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(347),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [441] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(347),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [442] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(349),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(347),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [443] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(347),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [444] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(349),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(347),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [445] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_BSLASH] = ACTIONS(801),
    [anon_sym_function] = ACTIONS(799),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_for] = ACTIONS(799),
    [anon_sym_while] = ACTIONS(799),
    [anon_sym_repeat] = ACTIONS(799),
    [anon_sym_QMARK] = ACTIONS(805),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(799),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(801),
    [sym__number_literal] = ACTIONS(799),
    [anon_sym_SQUOTE] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(801),
    [sym_return] = ACTIONS(799),
    [sym_next] = ACTIONS(799),
    [sym_break] = ACTIONS(799),
    [sym_true] = ACTIONS(799),
    [sym_false] = ACTIONS(799),
    [sym_null] = ACTIONS(799),
    [sym_inf] = ACTIONS(799),
    [sym_nan] = ACTIONS(799),
    [anon_sym_NA] = ACTIONS(799),
    [anon_sym_NA_integer_] = ACTIONS(799),
    [anon_sym_NA_real_] = ACTIONS(799),
    [anon_sym_NA_complex_] = ACTIONS(799),
    [anon_sym_NA_character_] = ACTIONS(799),
    [sym_dots] = ACTIONS(799),
    [sym_dot_dot_i] = ACTIONS(801),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(801),
    [sym__newline] = ACTIONS(801),
    [sym__raw_string_literal] = ACTIONS(801),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(801),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(801),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [446] = {
    [sym_function_definition] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_while_statement] = STATE(498),
    [sym_repeat_statement] = STATE(498),
    [sym_braced_expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym__argument] = STATE(2071),
    [sym_argument] = STATE(2075),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2068),
    [sym__argument_value] = STATE(2076),
    [sym_unary_operator] = STATE(498),
    [sym_binary_operator] = STATE(498),
    [sym_extract_operator] = STATE(498),
    [sym_namespace_operator] = STATE(498),
    [sym_integer] = STATE(498),
    [sym_complex] = STATE(498),
    [sym_float] = STATE(498),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(770),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(990),
    [sym__open_brace] = STATE(922),
    [aux_sym_call_arguments_repeat1] = STATE(701),
    [sym_identifier] = ACTIONS(427),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(457),
    [sym_next] = ACTIONS(457),
    [sym_break] = ACTIONS(457),
    [sym_true] = ACTIONS(457),
    [sym_false] = ACTIONS(457),
    [sym_null] = ACTIONS(457),
    [sym_inf] = ACTIONS(457),
    [sym_nan] = ACTIONS(457),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(461),
    [sym_dot_dot_i] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(467),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(849),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [447] = {
    [sym_string] = STATE(854),
    [sym__single_quoted_string] = STATE(752),
    [sym__double_quoted_string] = STATE(753),
    [sym__string_or_identifier] = STATE(854),
    [aux_sym_function_definition_repeat1] = STATE(788),
    [sym_identifier] = ACTIONS(851),
    [anon_sym_BSLASH] = ACTIONS(735),
    [anon_sym_function] = ACTIONS(739),
    [anon_sym_EQ] = ACTIONS(739),
    [anon_sym_if] = ACTIONS(739),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(739),
    [anon_sym_repeat] = ACTIONS(739),
    [anon_sym_QMARK] = ACTIONS(735),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(739),
    [anon_sym_LT_DASH] = ACTIONS(735),
    [anon_sym_LT_LT_DASH] = ACTIONS(735),
    [anon_sym_COLON_EQ] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(739),
    [anon_sym_DASH_GT_GT] = ACTIONS(735),
    [anon_sym_PIPE] = ACTIONS(739),
    [anon_sym_AMP] = ACTIONS(739),
    [anon_sym_PIPE_PIPE] = ACTIONS(735),
    [anon_sym_AMP_AMP] = ACTIONS(735),
    [anon_sym_LT] = ACTIONS(739),
    [anon_sym_LT_EQ] = ACTIONS(735),
    [anon_sym_GT] = ACTIONS(739),
    [anon_sym_GT_EQ] = ACTIONS(735),
    [anon_sym_EQ_EQ] = ACTIONS(735),
    [anon_sym_BANG_EQ] = ACTIONS(735),
    [anon_sym_STAR] = ACTIONS(739),
    [anon_sym_SLASH] = ACTIONS(735),
    [anon_sym_STAR_STAR] = ACTIONS(735),
    [anon_sym_CARET] = ACTIONS(735),
    [aux_sym_binary_operator_token1] = ACTIONS(735),
    [anon_sym_PIPE_GT] = ACTIONS(735),
    [anon_sym_COLON] = ACTIONS(739),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(735),
    [sym__hex_literal] = ACTIONS(735),
    [sym__number_literal] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(791),
    [anon_sym_DQUOTE] = ACTIONS(793),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(739),
    [sym_dot_dot_i] = ACTIONS(735),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(735),
    [sym__newline] = ACTIONS(735),
    [sym__raw_string_literal] = ACTIONS(797),
    [sym__external_else] = ACTIONS(735),
    [sym__external_open_parenthesis] = ACTIONS(735),
    [sym__external_close_parenthesis] = ACTIONS(735),
    [sym__external_open_brace] = ACTIONS(735),
    [sym__external_open_bracket] = ACTIONS(735),
    [sym__external_open_bracket2] = ACTIONS(735),
  },
  [448] = {
    [sym_function_definition] = STATE(445),
    [sym_if_statement] = STATE(445),
    [sym_for_statement] = STATE(445),
    [sym_while_statement] = STATE(445),
    [sym_repeat_statement] = STATE(445),
    [sym_braced_expression] = STATE(445),
    [sym_parenthesized_expression] = STATE(445),
    [sym_call] = STATE(445),
    [sym_subset] = STATE(445),
    [sym_subset2] = STATE(445),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2057),
    [sym__argument_named] = STATE(2066),
    [sym__argument_unnamed] = STATE(2060),
    [sym__argument_value] = STATE(2062),
    [sym_unary_operator] = STATE(445),
    [sym_binary_operator] = STATE(445),
    [sym_extract_operator] = STATE(445),
    [sym_namespace_operator] = STATE(445),
    [sym_integer] = STATE(445),
    [sym_complex] = STATE(445),
    [sym_float] = STATE(445),
    [sym__float_literal] = STATE(772),
    [sym_string] = STATE(761),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym_na] = STATE(445),
    [sym__expression] = STATE(445),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(1027),
    [sym__open_brace] = STATE(927),
    [sym__close_bracket] = STATE(856),
    [aux_sym_call_arguments_repeat1] = STATE(690),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_BSLASH] = ACTIONS(523),
    [anon_sym_function] = ACTIONS(525),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_repeat] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(539),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [sym__hex_literal] = ACTIONS(543),
    [sym__number_literal] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(551),
    [sym_next] = ACTIONS(551),
    [sym_break] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_inf] = ACTIONS(551),
    [sym_nan] = ACTIONS(551),
    [anon_sym_NA] = ACTIONS(553),
    [anon_sym_NA_integer_] = ACTIONS(553),
    [anon_sym_NA_real_] = ACTIONS(553),
    [anon_sym_NA_complex_] = ACTIONS(553),
    [anon_sym_NA_character_] = ACTIONS(553),
    [sym_dots] = ACTIONS(555),
    [sym_dot_dot_i] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(559),
    [sym__newline] = ACTIONS(561),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(565),
    [sym__external_open_brace] = ACTIONS(567),
    [sym__external_close_bracket] = ACTIONS(853),
  },
  [449] = {
    [sym_function_definition] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_while_statement] = STATE(517),
    [sym_repeat_statement] = STATE(517),
    [sym_braced_expression] = STATE(517),
    [sym_parenthesized_expression] = STATE(517),
    [sym_call] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym__argument] = STATE(2065),
    [sym_argument] = STATE(2077),
    [sym__argument_named] = STATE(2063),
    [sym__argument_unnamed] = STATE(2070),
    [sym__argument_value] = STATE(2078),
    [sym_unary_operator] = STATE(517),
    [sym_binary_operator] = STATE(517),
    [sym_extract_operator] = STATE(517),
    [sym_namespace_operator] = STATE(517),
    [sym_integer] = STATE(517),
    [sym_complex] = STATE(517),
    [sym_float] = STATE(517),
    [sym__float_literal] = STATE(778),
    [sym_string] = STATE(781),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(928),
    [sym__close_bracket2] = STATE(857),
    [aux_sym_call_arguments_repeat1] = STATE(699),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_BSLASH] = ACTIONS(573),
    [anon_sym_function] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_while] = ACTIONS(581),
    [anon_sym_repeat] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [sym__hex_literal] = ACTIONS(593),
    [sym__number_literal] = ACTIONS(595),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(601),
    [sym_next] = ACTIONS(601),
    [sym_break] = ACTIONS(601),
    [sym_true] = ACTIONS(601),
    [sym_false] = ACTIONS(601),
    [sym_null] = ACTIONS(601),
    [sym_inf] = ACTIONS(601),
    [sym_nan] = ACTIONS(601),
    [anon_sym_NA] = ACTIONS(603),
    [anon_sym_NA_integer_] = ACTIONS(603),
    [anon_sym_NA_real_] = ACTIONS(603),
    [anon_sym_NA_complex_] = ACTIONS(603),
    [anon_sym_NA_character_] = ACTIONS(603),
    [sym_dots] = ACTIONS(605),
    [sym_dot_dot_i] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(609),
    [sym__newline] = ACTIONS(611),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(615),
    [sym__external_open_brace] = ACTIONS(617),
    [sym__external_close_bracket2] = ACTIONS(855),
  },
  [450] = {
    [sym_function_definition] = STATE(445),
    [sym_if_statement] = STATE(445),
    [sym_for_statement] = STATE(445),
    [sym_while_statement] = STATE(445),
    [sym_repeat_statement] = STATE(445),
    [sym_braced_expression] = STATE(445),
    [sym_parenthesized_expression] = STATE(445),
    [sym_call] = STATE(445),
    [sym_subset] = STATE(445),
    [sym_subset2] = STATE(445),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2057),
    [sym__argument_named] = STATE(2066),
    [sym__argument_unnamed] = STATE(2060),
    [sym__argument_value] = STATE(2062),
    [sym_unary_operator] = STATE(445),
    [sym_binary_operator] = STATE(445),
    [sym_extract_operator] = STATE(445),
    [sym_namespace_operator] = STATE(445),
    [sym_integer] = STATE(445),
    [sym_complex] = STATE(445),
    [sym_float] = STATE(445),
    [sym__float_literal] = STATE(772),
    [sym_string] = STATE(761),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym_na] = STATE(445),
    [sym__expression] = STATE(445),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(1027),
    [sym__open_brace] = STATE(927),
    [sym__close_bracket] = STATE(991),
    [aux_sym_call_arguments_repeat1] = STATE(690),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_BSLASH] = ACTIONS(523),
    [anon_sym_function] = ACTIONS(525),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_repeat] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(539),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [sym__hex_literal] = ACTIONS(543),
    [sym__number_literal] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(551),
    [sym_next] = ACTIONS(551),
    [sym_break] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_inf] = ACTIONS(551),
    [sym_nan] = ACTIONS(551),
    [anon_sym_NA] = ACTIONS(553),
    [anon_sym_NA_integer_] = ACTIONS(553),
    [anon_sym_NA_real_] = ACTIONS(553),
    [anon_sym_NA_complex_] = ACTIONS(553),
    [anon_sym_NA_character_] = ACTIONS(553),
    [sym_dots] = ACTIONS(555),
    [sym_dot_dot_i] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(559),
    [sym__newline] = ACTIONS(561),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(565),
    [sym__external_open_brace] = ACTIONS(567),
    [sym__external_close_bracket] = ACTIONS(857),
  },
  [451] = {
    [sym_function_definition] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_while_statement] = STATE(517),
    [sym_repeat_statement] = STATE(517),
    [sym_braced_expression] = STATE(517),
    [sym_parenthesized_expression] = STATE(517),
    [sym_call] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym__argument] = STATE(2065),
    [sym_argument] = STATE(2077),
    [sym__argument_named] = STATE(2063),
    [sym__argument_unnamed] = STATE(2070),
    [sym__argument_value] = STATE(2078),
    [sym_unary_operator] = STATE(517),
    [sym_binary_operator] = STATE(517),
    [sym_extract_operator] = STATE(517),
    [sym_namespace_operator] = STATE(517),
    [sym_integer] = STATE(517),
    [sym_complex] = STATE(517),
    [sym_float] = STATE(517),
    [sym__float_literal] = STATE(778),
    [sym_string] = STATE(781),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(928),
    [sym__close_bracket2] = STATE(996),
    [aux_sym_call_arguments_repeat1] = STATE(699),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_BSLASH] = ACTIONS(573),
    [anon_sym_function] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_while] = ACTIONS(581),
    [anon_sym_repeat] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [sym__hex_literal] = ACTIONS(593),
    [sym__number_literal] = ACTIONS(595),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(601),
    [sym_next] = ACTIONS(601),
    [sym_break] = ACTIONS(601),
    [sym_true] = ACTIONS(601),
    [sym_false] = ACTIONS(601),
    [sym_null] = ACTIONS(601),
    [sym_inf] = ACTIONS(601),
    [sym_nan] = ACTIONS(601),
    [anon_sym_NA] = ACTIONS(603),
    [anon_sym_NA_integer_] = ACTIONS(603),
    [anon_sym_NA_real_] = ACTIONS(603),
    [anon_sym_NA_complex_] = ACTIONS(603),
    [anon_sym_NA_character_] = ACTIONS(603),
    [sym_dots] = ACTIONS(605),
    [sym_dot_dot_i] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(609),
    [sym__newline] = ACTIONS(611),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(615),
    [sym__external_open_brace] = ACTIONS(617),
    [sym__external_close_bracket2] = ACTIONS(859),
  },
  [452] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(353),
    [anon_sym_BSLASH] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(353),
    [anon_sym_for] = ACTIONS(353),
    [anon_sym_while] = ACTIONS(353),
    [anon_sym_repeat] = ACTIONS(353),
    [anon_sym_QMARK] = ACTIONS(351),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(351),
    [sym__number_literal] = ACTIONS(353),
    [anon_sym_SQUOTE] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_return] = ACTIONS(353),
    [sym_next] = ACTIONS(353),
    [sym_break] = ACTIONS(353),
    [sym_true] = ACTIONS(353),
    [sym_false] = ACTIONS(353),
    [sym_null] = ACTIONS(353),
    [sym_inf] = ACTIONS(353),
    [sym_nan] = ACTIONS(353),
    [anon_sym_NA] = ACTIONS(353),
    [anon_sym_NA_integer_] = ACTIONS(353),
    [anon_sym_NA_real_] = ACTIONS(353),
    [anon_sym_NA_complex_] = ACTIONS(353),
    [anon_sym_NA_character_] = ACTIONS(353),
    [sym_dots] = ACTIONS(353),
    [sym_dot_dot_i] = ACTIONS(351),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(351),
    [sym__newline] = ACTIONS(351),
    [sym__raw_string_literal] = ACTIONS(351),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(351),
    [sym__external_open_brace] = ACTIONS(351),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [453] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(357),
    [anon_sym_BSLASH] = ACTIONS(355),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_repeat] = ACTIONS(357),
    [anon_sym_QMARK] = ACTIONS(355),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(355),
    [sym__number_literal] = ACTIONS(357),
    [anon_sym_SQUOTE] = ACTIONS(355),
    [anon_sym_DQUOTE] = ACTIONS(355),
    [sym_return] = ACTIONS(357),
    [sym_next] = ACTIONS(357),
    [sym_break] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_inf] = ACTIONS(357),
    [sym_nan] = ACTIONS(357),
    [anon_sym_NA] = ACTIONS(357),
    [anon_sym_NA_integer_] = ACTIONS(357),
    [anon_sym_NA_real_] = ACTIONS(357),
    [anon_sym_NA_complex_] = ACTIONS(357),
    [anon_sym_NA_character_] = ACTIONS(357),
    [sym_dots] = ACTIONS(357),
    [sym_dot_dot_i] = ACTIONS(355),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(355),
    [sym__newline] = ACTIONS(355),
    [sym__raw_string_literal] = ACTIONS(355),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(355),
    [sym__external_open_brace] = ACTIONS(355),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [454] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(359),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [455] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(359),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [456] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(359),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [457] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(359),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [458] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(359),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [459] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(359),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [460] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(359),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [461] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(359),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [462] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(359),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [463] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(359),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [464] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(361),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(359),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [465] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(359),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [466] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(361),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(359),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [467] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(365),
    [anon_sym_BSLASH] = ACTIONS(363),
    [anon_sym_function] = ACTIONS(365),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_repeat] = ACTIONS(365),
    [anon_sym_QMARK] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(365),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(363),
    [sym__number_literal] = ACTIONS(365),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [sym_return] = ACTIONS(365),
    [sym_next] = ACTIONS(365),
    [sym_break] = ACTIONS(365),
    [sym_true] = ACTIONS(365),
    [sym_false] = ACTIONS(365),
    [sym_null] = ACTIONS(365),
    [sym_inf] = ACTIONS(365),
    [sym_nan] = ACTIONS(365),
    [anon_sym_NA] = ACTIONS(365),
    [anon_sym_NA_integer_] = ACTIONS(365),
    [anon_sym_NA_real_] = ACTIONS(365),
    [anon_sym_NA_complex_] = ACTIONS(365),
    [anon_sym_NA_character_] = ACTIONS(365),
    [sym_dots] = ACTIONS(365),
    [sym_dot_dot_i] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(363),
    [sym__newline] = ACTIONS(363),
    [sym__raw_string_literal] = ACTIONS(363),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(363),
    [sym__external_open_brace] = ACTIONS(363),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [468] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(861),
    [sym_identifier] = ACTIONS(863),
    [anon_sym_BSLASH] = ACTIONS(861),
    [anon_sym_function] = ACTIONS(863),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(863),
    [anon_sym_for] = ACTIONS(863),
    [anon_sym_while] = ACTIONS(863),
    [anon_sym_repeat] = ACTIONS(863),
    [anon_sym_QMARK] = ACTIONS(865),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(861),
    [sym__number_literal] = ACTIONS(863),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_return] = ACTIONS(863),
    [sym_next] = ACTIONS(863),
    [sym_break] = ACTIONS(863),
    [sym_true] = ACTIONS(863),
    [sym_false] = ACTIONS(863),
    [sym_null] = ACTIONS(863),
    [sym_inf] = ACTIONS(863),
    [sym_nan] = ACTIONS(863),
    [anon_sym_NA] = ACTIONS(863),
    [anon_sym_NA_integer_] = ACTIONS(863),
    [anon_sym_NA_real_] = ACTIONS(863),
    [anon_sym_NA_complex_] = ACTIONS(863),
    [anon_sym_NA_character_] = ACTIONS(863),
    [sym_dots] = ACTIONS(863),
    [sym_dot_dot_i] = ACTIONS(861),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(861),
    [sym__semicolon] = ACTIONS(861),
    [sym__raw_string_literal] = ACTIONS(861),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(861),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [469] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(369),
    [anon_sym_BSLASH] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(369),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(369),
    [anon_sym_repeat] = ACTIONS(369),
    [anon_sym_QMARK] = ACTIONS(367),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(367),
    [sym__number_literal] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(367),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [sym_return] = ACTIONS(369),
    [sym_next] = ACTIONS(369),
    [sym_break] = ACTIONS(369),
    [sym_true] = ACTIONS(369),
    [sym_false] = ACTIONS(369),
    [sym_null] = ACTIONS(369),
    [sym_inf] = ACTIONS(369),
    [sym_nan] = ACTIONS(369),
    [anon_sym_NA] = ACTIONS(369),
    [anon_sym_NA_integer_] = ACTIONS(369),
    [anon_sym_NA_real_] = ACTIONS(369),
    [anon_sym_NA_complex_] = ACTIONS(369),
    [anon_sym_NA_character_] = ACTIONS(369),
    [sym_dots] = ACTIONS(369),
    [sym_dot_dot_i] = ACTIONS(367),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(367),
    [sym__newline] = ACTIONS(367),
    [sym__raw_string_literal] = ACTIONS(367),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(367),
    [sym__external_open_brace] = ACTIONS(367),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [470] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(327),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_BSLASH] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(329),
    [anon_sym_while] = ACTIONS(329),
    [anon_sym_repeat] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(329),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(327),
    [sym__number_literal] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [sym_return] = ACTIONS(329),
    [sym_next] = ACTIONS(329),
    [sym_break] = ACTIONS(329),
    [sym_true] = ACTIONS(329),
    [sym_false] = ACTIONS(329),
    [sym_null] = ACTIONS(329),
    [sym_inf] = ACTIONS(329),
    [sym_nan] = ACTIONS(329),
    [anon_sym_NA] = ACTIONS(329),
    [anon_sym_NA_integer_] = ACTIONS(329),
    [anon_sym_NA_real_] = ACTIONS(329),
    [anon_sym_NA_complex_] = ACTIONS(329),
    [anon_sym_NA_character_] = ACTIONS(329),
    [sym_dots] = ACTIONS(329),
    [sym_dot_dot_i] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(327),
    [sym__semicolon] = ACTIONS(327),
    [sym__raw_string_literal] = ACTIONS(327),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(327),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [471] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(331),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(331),
    [sym__semicolon] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [472] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [473] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_for] = ACTIONS(377),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_repeat] = ACTIONS(377),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(375),
    [sym__number_literal] = ACTIONS(377),
    [anon_sym_SQUOTE] = ACTIONS(375),
    [anon_sym_DQUOTE] = ACTIONS(375),
    [sym_return] = ACTIONS(377),
    [sym_next] = ACTIONS(377),
    [sym_break] = ACTIONS(377),
    [sym_true] = ACTIONS(377),
    [sym_false] = ACTIONS(377),
    [sym_null] = ACTIONS(377),
    [sym_inf] = ACTIONS(377),
    [sym_nan] = ACTIONS(377),
    [anon_sym_NA] = ACTIONS(377),
    [anon_sym_NA_integer_] = ACTIONS(377),
    [anon_sym_NA_real_] = ACTIONS(377),
    [anon_sym_NA_complex_] = ACTIONS(377),
    [anon_sym_NA_character_] = ACTIONS(377),
    [sym_dots] = ACTIONS(377),
    [sym_dot_dot_i] = ACTIONS(375),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(375),
    [sym__newline] = ACTIONS(375),
    [sym__raw_string_literal] = ACTIONS(375),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(375),
    [sym__external_open_brace] = ACTIONS(375),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [474] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_BSLASH] = ACTIONS(379),
    [anon_sym_function] = ACTIONS(381),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(381),
    [anon_sym_repeat] = ACTIONS(381),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(379),
    [sym__number_literal] = ACTIONS(381),
    [anon_sym_SQUOTE] = ACTIONS(379),
    [anon_sym_DQUOTE] = ACTIONS(379),
    [sym_return] = ACTIONS(381),
    [sym_next] = ACTIONS(381),
    [sym_break] = ACTIONS(381),
    [sym_true] = ACTIONS(381),
    [sym_false] = ACTIONS(381),
    [sym_null] = ACTIONS(381),
    [sym_inf] = ACTIONS(381),
    [sym_nan] = ACTIONS(381),
    [anon_sym_NA] = ACTIONS(381),
    [anon_sym_NA_integer_] = ACTIONS(381),
    [anon_sym_NA_real_] = ACTIONS(381),
    [anon_sym_NA_complex_] = ACTIONS(381),
    [anon_sym_NA_character_] = ACTIONS(381),
    [sym_dots] = ACTIONS(381),
    [sym_dot_dot_i] = ACTIONS(379),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(379),
    [sym__newline] = ACTIONS(379),
    [sym__raw_string_literal] = ACTIONS(379),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(379),
    [sym__external_open_brace] = ACTIONS(379),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [475] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(331),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(331),
    [sym__semicolon] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [476] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [477] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(389),
    [anon_sym_BSLASH] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(389),
    [anon_sym_repeat] = ACTIONS(389),
    [anon_sym_QMARK] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(389),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(387),
    [sym__number_literal] = ACTIONS(389),
    [anon_sym_SQUOTE] = ACTIONS(387),
    [anon_sym_DQUOTE] = ACTIONS(387),
    [sym_return] = ACTIONS(389),
    [sym_next] = ACTIONS(389),
    [sym_break] = ACTIONS(389),
    [sym_true] = ACTIONS(389),
    [sym_false] = ACTIONS(389),
    [sym_null] = ACTIONS(389),
    [sym_inf] = ACTIONS(389),
    [sym_nan] = ACTIONS(389),
    [anon_sym_NA] = ACTIONS(389),
    [anon_sym_NA_integer_] = ACTIONS(389),
    [anon_sym_NA_real_] = ACTIONS(389),
    [anon_sym_NA_complex_] = ACTIONS(389),
    [anon_sym_NA_character_] = ACTIONS(389),
    [sym_dots] = ACTIONS(389),
    [sym_dot_dot_i] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(387),
    [sym__newline] = ACTIONS(387),
    [sym__raw_string_literal] = ACTIONS(387),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(387),
    [sym__external_open_brace] = ACTIONS(387),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [478] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(393),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_function] = ACTIONS(393),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(393),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(393),
    [anon_sym_QMARK] = ACTIONS(391),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(391),
    [sym__number_literal] = ACTIONS(393),
    [anon_sym_SQUOTE] = ACTIONS(391),
    [anon_sym_DQUOTE] = ACTIONS(391),
    [sym_return] = ACTIONS(393),
    [sym_next] = ACTIONS(393),
    [sym_break] = ACTIONS(393),
    [sym_true] = ACTIONS(393),
    [sym_false] = ACTIONS(393),
    [sym_null] = ACTIONS(393),
    [sym_inf] = ACTIONS(393),
    [sym_nan] = ACTIONS(393),
    [anon_sym_NA] = ACTIONS(393),
    [anon_sym_NA_integer_] = ACTIONS(393),
    [anon_sym_NA_real_] = ACTIONS(393),
    [anon_sym_NA_complex_] = ACTIONS(393),
    [anon_sym_NA_character_] = ACTIONS(393),
    [sym_dots] = ACTIONS(393),
    [sym_dot_dot_i] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(391),
    [sym__newline] = ACTIONS(391),
    [sym__raw_string_literal] = ACTIONS(391),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(391),
    [sym__external_open_brace] = ACTIONS(391),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [479] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(395),
    [anon_sym_function] = ACTIONS(397),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(397),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_while] = ACTIONS(397),
    [anon_sym_repeat] = ACTIONS(397),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(395),
    [sym__number_literal] = ACTIONS(397),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(395),
    [sym_return] = ACTIONS(397),
    [sym_next] = ACTIONS(397),
    [sym_break] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_inf] = ACTIONS(397),
    [sym_nan] = ACTIONS(397),
    [anon_sym_NA] = ACTIONS(397),
    [anon_sym_NA_integer_] = ACTIONS(397),
    [anon_sym_NA_real_] = ACTIONS(397),
    [anon_sym_NA_complex_] = ACTIONS(397),
    [anon_sym_NA_character_] = ACTIONS(397),
    [sym_dots] = ACTIONS(397),
    [sym_dot_dot_i] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(395),
    [sym__newline] = ACTIONS(395),
    [sym__raw_string_literal] = ACTIONS(395),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(395),
    [sym__external_open_brace] = ACTIONS(395),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [480] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(399),
    [anon_sym_function] = ACTIONS(401),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(401),
    [anon_sym_repeat] = ACTIONS(401),
    [anon_sym_QMARK] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(401),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(399),
    [sym__number_literal] = ACTIONS(401),
    [anon_sym_SQUOTE] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(399),
    [sym_return] = ACTIONS(401),
    [sym_next] = ACTIONS(401),
    [sym_break] = ACTIONS(401),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [sym_null] = ACTIONS(401),
    [sym_inf] = ACTIONS(401),
    [sym_nan] = ACTIONS(401),
    [anon_sym_NA] = ACTIONS(401),
    [anon_sym_NA_integer_] = ACTIONS(401),
    [anon_sym_NA_real_] = ACTIONS(401),
    [anon_sym_NA_complex_] = ACTIONS(401),
    [anon_sym_NA_character_] = ACTIONS(401),
    [sym_dots] = ACTIONS(401),
    [sym_dot_dot_i] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(399),
    [sym__newline] = ACTIONS(399),
    [sym__raw_string_literal] = ACTIONS(399),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(399),
    [sym__external_open_brace] = ACTIONS(399),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [481] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(405),
    [anon_sym_BSLASH] = ACTIONS(403),
    [anon_sym_function] = ACTIONS(405),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(405),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(405),
    [anon_sym_QMARK] = ACTIONS(403),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(405),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(403),
    [sym__number_literal] = ACTIONS(405),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_return] = ACTIONS(405),
    [sym_next] = ACTIONS(405),
    [sym_break] = ACTIONS(405),
    [sym_true] = ACTIONS(405),
    [sym_false] = ACTIONS(405),
    [sym_null] = ACTIONS(405),
    [sym_inf] = ACTIONS(405),
    [sym_nan] = ACTIONS(405),
    [anon_sym_NA] = ACTIONS(405),
    [anon_sym_NA_integer_] = ACTIONS(405),
    [anon_sym_NA_real_] = ACTIONS(405),
    [anon_sym_NA_complex_] = ACTIONS(405),
    [anon_sym_NA_character_] = ACTIONS(405),
    [sym_dots] = ACTIONS(405),
    [sym_dot_dot_i] = ACTIONS(403),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(403),
    [sym__newline] = ACTIONS(403),
    [sym__raw_string_literal] = ACTIONS(403),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(403),
    [sym__external_open_brace] = ACTIONS(403),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [482] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_for] = ACTIONS(409),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_repeat] = ACTIONS(409),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(409),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(407),
    [sym__number_literal] = ACTIONS(409),
    [anon_sym_SQUOTE] = ACTIONS(407),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_return] = ACTIONS(409),
    [sym_next] = ACTIONS(409),
    [sym_break] = ACTIONS(409),
    [sym_true] = ACTIONS(409),
    [sym_false] = ACTIONS(409),
    [sym_null] = ACTIONS(409),
    [sym_inf] = ACTIONS(409),
    [sym_nan] = ACTIONS(409),
    [anon_sym_NA] = ACTIONS(409),
    [anon_sym_NA_integer_] = ACTIONS(409),
    [anon_sym_NA_real_] = ACTIONS(409),
    [anon_sym_NA_complex_] = ACTIONS(409),
    [anon_sym_NA_character_] = ACTIONS(409),
    [sym_dots] = ACTIONS(409),
    [sym_dot_dot_i] = ACTIONS(407),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(407),
    [sym__newline] = ACTIONS(407),
    [sym__raw_string_literal] = ACTIONS(407),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(407),
    [sym__external_open_brace] = ACTIONS(407),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [483] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(413),
    [anon_sym_BSLASH] = ACTIONS(411),
    [anon_sym_function] = ACTIONS(413),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_repeat] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(411),
    [sym__number_literal] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(411),
    [anon_sym_DQUOTE] = ACTIONS(411),
    [sym_return] = ACTIONS(413),
    [sym_next] = ACTIONS(413),
    [sym_break] = ACTIONS(413),
    [sym_true] = ACTIONS(413),
    [sym_false] = ACTIONS(413),
    [sym_null] = ACTIONS(413),
    [sym_inf] = ACTIONS(413),
    [sym_nan] = ACTIONS(413),
    [anon_sym_NA] = ACTIONS(413),
    [anon_sym_NA_integer_] = ACTIONS(413),
    [anon_sym_NA_real_] = ACTIONS(413),
    [anon_sym_NA_complex_] = ACTIONS(413),
    [anon_sym_NA_character_] = ACTIONS(413),
    [sym_dots] = ACTIONS(413),
    [sym_dot_dot_i] = ACTIONS(411),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(411),
    [sym__newline] = ACTIONS(411),
    [sym__raw_string_literal] = ACTIONS(411),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(411),
    [sym__external_open_brace] = ACTIONS(411),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [484] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_BSLASH] = ACTIONS(323),
    [anon_sym_function] = ACTIONS(325),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_repeat] = ACTIONS(325),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(323),
    [sym__number_literal] = ACTIONS(325),
    [anon_sym_SQUOTE] = ACTIONS(323),
    [anon_sym_DQUOTE] = ACTIONS(323),
    [sym_return] = ACTIONS(325),
    [sym_next] = ACTIONS(325),
    [sym_break] = ACTIONS(325),
    [sym_true] = ACTIONS(325),
    [sym_false] = ACTIONS(325),
    [sym_null] = ACTIONS(325),
    [sym_inf] = ACTIONS(325),
    [sym_nan] = ACTIONS(325),
    [anon_sym_NA] = ACTIONS(325),
    [anon_sym_NA_integer_] = ACTIONS(325),
    [anon_sym_NA_real_] = ACTIONS(325),
    [anon_sym_NA_complex_] = ACTIONS(325),
    [anon_sym_NA_character_] = ACTIONS(325),
    [sym_dots] = ACTIONS(325),
    [sym_dot_dot_i] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(323),
    [sym__newline] = ACTIONS(323),
    [sym__raw_string_literal] = ACTIONS(323),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(323),
    [sym__external_open_brace] = ACTIONS(323),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [485] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(417),
    [anon_sym_BSLASH] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_repeat] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(415),
    [sym__number_literal] = ACTIONS(417),
    [anon_sym_SQUOTE] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(415),
    [sym_return] = ACTIONS(417),
    [sym_next] = ACTIONS(417),
    [sym_break] = ACTIONS(417),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [sym_null] = ACTIONS(417),
    [sym_inf] = ACTIONS(417),
    [sym_nan] = ACTIONS(417),
    [anon_sym_NA] = ACTIONS(417),
    [anon_sym_NA_integer_] = ACTIONS(417),
    [anon_sym_NA_real_] = ACTIONS(417),
    [anon_sym_NA_complex_] = ACTIONS(417),
    [anon_sym_NA_character_] = ACTIONS(417),
    [sym_dots] = ACTIONS(417),
    [sym_dot_dot_i] = ACTIONS(415),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(415),
    [sym__newline] = ACTIONS(415),
    [sym__raw_string_literal] = ACTIONS(415),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(415),
    [sym__external_open_brace] = ACTIONS(415),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [486] = {
    [sym_string] = STATE(867),
    [sym__single_quoted_string] = STATE(719),
    [sym__double_quoted_string] = STATE(720),
    [sym__string_or_identifier] = STATE(867),
    [aux_sym_function_definition_repeat1] = STATE(688),
    [sym_identifier] = ACTIONS(867),
    [anon_sym_BSLASH] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(725),
    [anon_sym_repeat] = ACTIONS(725),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(721),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(721),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_LT_DASH] = ACTIONS(721),
    [anon_sym_LT_LT_DASH] = ACTIONS(721),
    [anon_sym_COLON_EQ] = ACTIONS(721),
    [anon_sym_DASH_GT] = ACTIONS(725),
    [anon_sym_DASH_GT_GT] = ACTIONS(721),
    [anon_sym_PIPE] = ACTIONS(725),
    [anon_sym_AMP] = ACTIONS(725),
    [anon_sym_PIPE_PIPE] = ACTIONS(721),
    [anon_sym_AMP_AMP] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(725),
    [anon_sym_LT_EQ] = ACTIONS(721),
    [anon_sym_GT] = ACTIONS(725),
    [anon_sym_GT_EQ] = ACTIONS(721),
    [anon_sym_EQ_EQ] = ACTIONS(721),
    [anon_sym_BANG_EQ] = ACTIONS(721),
    [anon_sym_STAR] = ACTIONS(725),
    [anon_sym_SLASH] = ACTIONS(721),
    [anon_sym_STAR_STAR] = ACTIONS(721),
    [anon_sym_CARET] = ACTIONS(721),
    [aux_sym_binary_operator_token1] = ACTIONS(721),
    [anon_sym_PIPE_GT] = ACTIONS(721),
    [anon_sym_COLON] = ACTIONS(725),
    [anon_sym_DOLLAR] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(721),
    [sym__hex_literal] = ACTIONS(721),
    [sym__number_literal] = ACTIONS(725),
    [anon_sym_SQUOTE] = ACTIONS(869),
    [anon_sym_DQUOTE] = ACTIONS(871),
    [sym_return] = ACTIONS(725),
    [sym_next] = ACTIONS(725),
    [sym_break] = ACTIONS(725),
    [sym_true] = ACTIONS(725),
    [sym_false] = ACTIONS(725),
    [sym_null] = ACTIONS(725),
    [sym_inf] = ACTIONS(725),
    [sym_nan] = ACTIONS(725),
    [anon_sym_NA] = ACTIONS(725),
    [anon_sym_NA_integer_] = ACTIONS(725),
    [anon_sym_NA_real_] = ACTIONS(725),
    [anon_sym_NA_complex_] = ACTIONS(725),
    [anon_sym_NA_character_] = ACTIONS(725),
    [sym_dots] = ACTIONS(725),
    [sym_dot_dot_i] = ACTIONS(721),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(873),
    [sym__semicolon] = ACTIONS(721),
    [sym__raw_string_literal] = ACTIONS(875),
    [sym__external_else] = ACTIONS(721),
    [sym__external_open_parenthesis] = ACTIONS(721),
    [sym__external_open_brace] = ACTIONS(721),
    [sym__external_close_brace] = ACTIONS(721),
    [sym__external_open_bracket] = ACTIONS(721),
    [sym__external_open_bracket2] = ACTIONS(721),
  },
  [487] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(343),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(343),
    [sym__semicolon] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [488] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(421),
    [anon_sym_BSLASH] = ACTIONS(419),
    [anon_sym_function] = ACTIONS(421),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_repeat] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(419),
    [sym__number_literal] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [sym_return] = ACTIONS(421),
    [sym_next] = ACTIONS(421),
    [sym_break] = ACTIONS(421),
    [sym_true] = ACTIONS(421),
    [sym_false] = ACTIONS(421),
    [sym_null] = ACTIONS(421),
    [sym_inf] = ACTIONS(421),
    [sym_nan] = ACTIONS(421),
    [anon_sym_NA] = ACTIONS(421),
    [anon_sym_NA_integer_] = ACTIONS(421),
    [anon_sym_NA_real_] = ACTIONS(421),
    [anon_sym_NA_complex_] = ACTIONS(421),
    [anon_sym_NA_character_] = ACTIONS(421),
    [sym_dots] = ACTIONS(421),
    [sym_dot_dot_i] = ACTIONS(419),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(419),
    [sym__newline] = ACTIONS(419),
    [sym__raw_string_literal] = ACTIONS(419),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(419),
    [sym__external_open_brace] = ACTIONS(419),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [489] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_BSLASH] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_for] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_repeat] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(423),
    [sym__number_literal] = ACTIONS(425),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_return] = ACTIONS(425),
    [sym_next] = ACTIONS(425),
    [sym_break] = ACTIONS(425),
    [sym_true] = ACTIONS(425),
    [sym_false] = ACTIONS(425),
    [sym_null] = ACTIONS(425),
    [sym_inf] = ACTIONS(425),
    [sym_nan] = ACTIONS(425),
    [anon_sym_NA] = ACTIONS(425),
    [anon_sym_NA_integer_] = ACTIONS(425),
    [anon_sym_NA_real_] = ACTIONS(425),
    [anon_sym_NA_complex_] = ACTIONS(425),
    [anon_sym_NA_character_] = ACTIONS(425),
    [sym_dots] = ACTIONS(425),
    [sym_dot_dot_i] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(423),
    [sym__newline] = ACTIONS(423),
    [sym__raw_string_literal] = ACTIONS(423),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(423),
    [sym__external_open_brace] = ACTIONS(423),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [490] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_BSLASH] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(329),
    [anon_sym_while] = ACTIONS(329),
    [anon_sym_repeat] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(329),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(327),
    [sym__number_literal] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [sym_return] = ACTIONS(329),
    [sym_next] = ACTIONS(329),
    [sym_break] = ACTIONS(329),
    [sym_true] = ACTIONS(329),
    [sym_false] = ACTIONS(329),
    [sym_null] = ACTIONS(329),
    [sym_inf] = ACTIONS(329),
    [sym_nan] = ACTIONS(329),
    [anon_sym_NA] = ACTIONS(329),
    [anon_sym_NA_integer_] = ACTIONS(329),
    [anon_sym_NA_real_] = ACTIONS(329),
    [anon_sym_NA_complex_] = ACTIONS(329),
    [anon_sym_NA_character_] = ACTIONS(329),
    [sym_dots] = ACTIONS(329),
    [sym_dot_dot_i] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(327),
    [sym__semicolon] = ACTIONS(327),
    [sym__raw_string_literal] = ACTIONS(327),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(327),
    [sym__external_close_brace] = ACTIONS(327),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [491] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(331),
    [sym__semicolon] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_close_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [492] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(331),
    [sym__semicolon] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_close_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [493] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(333),
    [anon_sym_AMP] = ACTIONS(333),
    [anon_sym_PIPE_PIPE] = ACTIONS(331),
    [anon_sym_AMP_AMP] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(331),
    [sym__semicolon] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_close_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [494] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(331),
    [anon_sym_DASH] = ACTIONS(333),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(333),
    [anon_sym_AMP] = ACTIONS(333),
    [anon_sym_PIPE_PIPE] = ACTIONS(331),
    [anon_sym_AMP_AMP] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_LT_EQ] = ACTIONS(331),
    [anon_sym_GT] = ACTIONS(333),
    [anon_sym_GT_EQ] = ACTIONS(331),
    [anon_sym_EQ_EQ] = ACTIONS(331),
    [anon_sym_BANG_EQ] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(331),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(331),
    [anon_sym_PIPE_GT] = ACTIONS(331),
    [anon_sym_COLON] = ACTIONS(333),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(331),
    [sym__semicolon] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_close_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [495] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_BSLASH] = ACTIONS(335),
    [anon_sym_function] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(337),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_repeat] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(335),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(337),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(335),
    [sym__number_literal] = ACTIONS(337),
    [anon_sym_SQUOTE] = ACTIONS(335),
    [anon_sym_DQUOTE] = ACTIONS(335),
    [sym_return] = ACTIONS(337),
    [sym_next] = ACTIONS(337),
    [sym_break] = ACTIONS(337),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_null] = ACTIONS(337),
    [sym_inf] = ACTIONS(337),
    [sym_nan] = ACTIONS(337),
    [anon_sym_NA] = ACTIONS(337),
    [anon_sym_NA_integer_] = ACTIONS(337),
    [anon_sym_NA_real_] = ACTIONS(337),
    [anon_sym_NA_complex_] = ACTIONS(337),
    [anon_sym_NA_character_] = ACTIONS(337),
    [sym_dots] = ACTIONS(337),
    [sym_dot_dot_i] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(335),
    [sym__semicolon] = ACTIONS(335),
    [sym__raw_string_literal] = ACTIONS(335),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(335),
    [sym__external_close_brace] = ACTIONS(335),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [496] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_BSLASH] = ACTIONS(339),
    [anon_sym_function] = ACTIONS(341),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(341),
    [anon_sym_while] = ACTIONS(341),
    [anon_sym_repeat] = ACTIONS(341),
    [anon_sym_QMARK] = ACTIONS(339),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(341),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(339),
    [sym__number_literal] = ACTIONS(341),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_DQUOTE] = ACTIONS(339),
    [sym_return] = ACTIONS(341),
    [sym_next] = ACTIONS(341),
    [sym_break] = ACTIONS(341),
    [sym_true] = ACTIONS(341),
    [sym_false] = ACTIONS(341),
    [sym_null] = ACTIONS(341),
    [sym_inf] = ACTIONS(341),
    [sym_nan] = ACTIONS(341),
    [anon_sym_NA] = ACTIONS(341),
    [anon_sym_NA_integer_] = ACTIONS(341),
    [anon_sym_NA_real_] = ACTIONS(341),
    [anon_sym_NA_complex_] = ACTIONS(341),
    [anon_sym_NA_character_] = ACTIONS(341),
    [sym_dots] = ACTIONS(341),
    [sym_dot_dot_i] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(339),
    [sym__semicolon] = ACTIONS(339),
    [sym__raw_string_literal] = ACTIONS(339),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(339),
    [sym__external_close_brace] = ACTIONS(339),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [497] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(343),
    [sym__semicolon] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_close_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [498] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_BSLASH] = ACTIONS(801),
    [anon_sym_function] = ACTIONS(799),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_for] = ACTIONS(799),
    [anon_sym_while] = ACTIONS(799),
    [anon_sym_repeat] = ACTIONS(799),
    [anon_sym_QMARK] = ACTIONS(877),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(799),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(801),
    [sym__number_literal] = ACTIONS(799),
    [anon_sym_SQUOTE] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(801),
    [sym_return] = ACTIONS(799),
    [sym_next] = ACTIONS(799),
    [sym_break] = ACTIONS(799),
    [sym_true] = ACTIONS(799),
    [sym_false] = ACTIONS(799),
    [sym_null] = ACTIONS(799),
    [sym_inf] = ACTIONS(799),
    [sym_nan] = ACTIONS(799),
    [anon_sym_NA] = ACTIONS(799),
    [anon_sym_NA_integer_] = ACTIONS(799),
    [anon_sym_NA_real_] = ACTIONS(799),
    [anon_sym_NA_complex_] = ACTIONS(799),
    [anon_sym_NA_character_] = ACTIONS(799),
    [sym_dots] = ACTIONS(799),
    [sym_dot_dot_i] = ACTIONS(801),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(801),
    [sym__newline] = ACTIONS(801),
    [sym__raw_string_literal] = ACTIONS(801),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(801),
    [sym__external_open_brace] = ACTIONS(801),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [499] = {
    [sym_function_definition] = STATE(445),
    [sym_if_statement] = STATE(445),
    [sym_for_statement] = STATE(445),
    [sym_while_statement] = STATE(445),
    [sym_repeat_statement] = STATE(445),
    [sym_braced_expression] = STATE(445),
    [sym_parenthesized_expression] = STATE(445),
    [sym_call] = STATE(445),
    [sym_subset] = STATE(445),
    [sym_subset2] = STATE(445),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2057),
    [sym__argument_named] = STATE(2066),
    [sym__argument_unnamed] = STATE(2060),
    [sym__argument_value] = STATE(2062),
    [sym_unary_operator] = STATE(445),
    [sym_binary_operator] = STATE(445),
    [sym_extract_operator] = STATE(445),
    [sym_namespace_operator] = STATE(445),
    [sym_integer] = STATE(445),
    [sym_complex] = STATE(445),
    [sym_float] = STATE(445),
    [sym__float_literal] = STATE(772),
    [sym_string] = STATE(761),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym_na] = STATE(445),
    [sym__expression] = STATE(445),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(1027),
    [sym__open_brace] = STATE(927),
    [sym__close_bracket] = STATE(876),
    [aux_sym_call_arguments_repeat1] = STATE(690),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_BSLASH] = ACTIONS(523),
    [anon_sym_function] = ACTIONS(525),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_repeat] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(539),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [sym__hex_literal] = ACTIONS(543),
    [sym__number_literal] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(551),
    [sym_next] = ACTIONS(551),
    [sym_break] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_inf] = ACTIONS(551),
    [sym_nan] = ACTIONS(551),
    [anon_sym_NA] = ACTIONS(553),
    [anon_sym_NA_integer_] = ACTIONS(553),
    [anon_sym_NA_real_] = ACTIONS(553),
    [anon_sym_NA_complex_] = ACTIONS(553),
    [anon_sym_NA_character_] = ACTIONS(553),
    [sym_dots] = ACTIONS(555),
    [sym_dot_dot_i] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(559),
    [sym__newline] = ACTIONS(561),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(565),
    [sym__external_open_brace] = ACTIONS(567),
    [sym__external_close_bracket] = ACTIONS(879),
  },
  [500] = {
    [sym_function_definition] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_while_statement] = STATE(517),
    [sym_repeat_statement] = STATE(517),
    [sym_braced_expression] = STATE(517),
    [sym_parenthesized_expression] = STATE(517),
    [sym_call] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym__argument] = STATE(2065),
    [sym_argument] = STATE(2077),
    [sym__argument_named] = STATE(2063),
    [sym__argument_unnamed] = STATE(2070),
    [sym__argument_value] = STATE(2078),
    [sym_unary_operator] = STATE(517),
    [sym_binary_operator] = STATE(517),
    [sym_extract_operator] = STATE(517),
    [sym_namespace_operator] = STATE(517),
    [sym_integer] = STATE(517),
    [sym_complex] = STATE(517),
    [sym_float] = STATE(517),
    [sym__float_literal] = STATE(778),
    [sym_string] = STATE(781),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(928),
    [sym__close_bracket2] = STATE(877),
    [aux_sym_call_arguments_repeat1] = STATE(699),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_BSLASH] = ACTIONS(573),
    [anon_sym_function] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_while] = ACTIONS(581),
    [anon_sym_repeat] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [sym__hex_literal] = ACTIONS(593),
    [sym__number_literal] = ACTIONS(595),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(601),
    [sym_next] = ACTIONS(601),
    [sym_break] = ACTIONS(601),
    [sym_true] = ACTIONS(601),
    [sym_false] = ACTIONS(601),
    [sym_null] = ACTIONS(601),
    [sym_inf] = ACTIONS(601),
    [sym_nan] = ACTIONS(601),
    [anon_sym_NA] = ACTIONS(603),
    [anon_sym_NA_integer_] = ACTIONS(603),
    [anon_sym_NA_real_] = ACTIONS(603),
    [anon_sym_NA_complex_] = ACTIONS(603),
    [anon_sym_NA_character_] = ACTIONS(603),
    [sym_dots] = ACTIONS(605),
    [sym_dot_dot_i] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(609),
    [sym__newline] = ACTIONS(611),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(615),
    [sym__external_open_brace] = ACTIONS(617),
    [sym__external_close_bracket2] = ACTIONS(881),
  },
  [501] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(343),
    [sym__semicolon] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_close_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [502] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_PIPE_PIPE] = ACTIONS(343),
    [anon_sym_AMP_AMP] = ACTIONS(343),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(343),
    [sym__semicolon] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_close_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [503] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(343),
    [anon_sym_DASH] = ACTIONS(345),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_PIPE_PIPE] = ACTIONS(343),
    [anon_sym_AMP_AMP] = ACTIONS(343),
    [anon_sym_LT] = ACTIONS(345),
    [anon_sym_LT_EQ] = ACTIONS(343),
    [anon_sym_GT] = ACTIONS(345),
    [anon_sym_GT_EQ] = ACTIONS(343),
    [anon_sym_EQ_EQ] = ACTIONS(343),
    [anon_sym_BANG_EQ] = ACTIONS(343),
    [anon_sym_STAR] = ACTIONS(345),
    [anon_sym_SLASH] = ACTIONS(343),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(343),
    [anon_sym_PIPE_GT] = ACTIONS(343),
    [anon_sym_COLON] = ACTIONS(345),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(343),
    [sym__semicolon] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_close_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [504] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_close_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [505] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_close_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [506] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_close_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [507] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_close_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [508] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_close_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [509] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_close_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [510] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_close_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [511] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_close_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [512] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_close_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [513] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_close_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [514] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(349),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_close_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [515] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_close_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [516] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(349),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_close_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [517] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_BSLASH] = ACTIONS(801),
    [anon_sym_function] = ACTIONS(799),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_for] = ACTIONS(799),
    [anon_sym_while] = ACTIONS(799),
    [anon_sym_repeat] = ACTIONS(799),
    [anon_sym_QMARK] = ACTIONS(883),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(799),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(801),
    [sym__number_literal] = ACTIONS(799),
    [anon_sym_SQUOTE] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(801),
    [sym_return] = ACTIONS(799),
    [sym_next] = ACTIONS(799),
    [sym_break] = ACTIONS(799),
    [sym_true] = ACTIONS(799),
    [sym_false] = ACTIONS(799),
    [sym_null] = ACTIONS(799),
    [sym_inf] = ACTIONS(799),
    [sym_nan] = ACTIONS(799),
    [anon_sym_NA] = ACTIONS(799),
    [anon_sym_NA_integer_] = ACTIONS(799),
    [anon_sym_NA_real_] = ACTIONS(799),
    [anon_sym_NA_complex_] = ACTIONS(799),
    [anon_sym_NA_character_] = ACTIONS(799),
    [sym_dots] = ACTIONS(799),
    [sym_dot_dot_i] = ACTIONS(801),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(801),
    [sym__newline] = ACTIONS(801),
    [sym__raw_string_literal] = ACTIONS(801),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(801),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(801),
  },
  [518] = {
    [sym_function_definition] = STATE(445),
    [sym_if_statement] = STATE(445),
    [sym_for_statement] = STATE(445),
    [sym_while_statement] = STATE(445),
    [sym_repeat_statement] = STATE(445),
    [sym_braced_expression] = STATE(445),
    [sym_parenthesized_expression] = STATE(445),
    [sym_call] = STATE(445),
    [sym_subset] = STATE(445),
    [sym_subset2] = STATE(445),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2057),
    [sym__argument_named] = STATE(2066),
    [sym__argument_unnamed] = STATE(2060),
    [sym__argument_value] = STATE(2062),
    [sym_unary_operator] = STATE(445),
    [sym_binary_operator] = STATE(445),
    [sym_extract_operator] = STATE(445),
    [sym_namespace_operator] = STATE(445),
    [sym_integer] = STATE(445),
    [sym_complex] = STATE(445),
    [sym_float] = STATE(445),
    [sym__float_literal] = STATE(772),
    [sym_string] = STATE(761),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym_na] = STATE(445),
    [sym__expression] = STATE(445),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(1027),
    [sym__open_brace] = STATE(927),
    [sym__close_bracket] = STATE(1007),
    [aux_sym_call_arguments_repeat1] = STATE(690),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_BSLASH] = ACTIONS(523),
    [anon_sym_function] = ACTIONS(525),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_repeat] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(539),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [sym__hex_literal] = ACTIONS(543),
    [sym__number_literal] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(551),
    [sym_next] = ACTIONS(551),
    [sym_break] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_inf] = ACTIONS(551),
    [sym_nan] = ACTIONS(551),
    [anon_sym_NA] = ACTIONS(553),
    [anon_sym_NA_integer_] = ACTIONS(553),
    [anon_sym_NA_real_] = ACTIONS(553),
    [anon_sym_NA_complex_] = ACTIONS(553),
    [anon_sym_NA_character_] = ACTIONS(553),
    [sym_dots] = ACTIONS(555),
    [sym_dot_dot_i] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(559),
    [sym__newline] = ACTIONS(561),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(565),
    [sym__external_open_brace] = ACTIONS(567),
    [sym__external_close_bracket] = ACTIONS(885),
  },
  [519] = {
    [sym_function_definition] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_while_statement] = STATE(517),
    [sym_repeat_statement] = STATE(517),
    [sym_braced_expression] = STATE(517),
    [sym_parenthesized_expression] = STATE(517),
    [sym_call] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym__argument] = STATE(2065),
    [sym_argument] = STATE(2077),
    [sym__argument_named] = STATE(2063),
    [sym__argument_unnamed] = STATE(2070),
    [sym__argument_value] = STATE(2078),
    [sym_unary_operator] = STATE(517),
    [sym_binary_operator] = STATE(517),
    [sym_extract_operator] = STATE(517),
    [sym_namespace_operator] = STATE(517),
    [sym_integer] = STATE(517),
    [sym_complex] = STATE(517),
    [sym_float] = STATE(517),
    [sym__float_literal] = STATE(778),
    [sym_string] = STATE(781),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(928),
    [sym__close_bracket2] = STATE(936),
    [aux_sym_call_arguments_repeat1] = STATE(699),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_BSLASH] = ACTIONS(573),
    [anon_sym_function] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_while] = ACTIONS(581),
    [anon_sym_repeat] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [sym__hex_literal] = ACTIONS(593),
    [sym__number_literal] = ACTIONS(595),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(601),
    [sym_next] = ACTIONS(601),
    [sym_break] = ACTIONS(601),
    [sym_true] = ACTIONS(601),
    [sym_false] = ACTIONS(601),
    [sym_null] = ACTIONS(601),
    [sym_inf] = ACTIONS(601),
    [sym_nan] = ACTIONS(601),
    [anon_sym_NA] = ACTIONS(603),
    [anon_sym_NA_integer_] = ACTIONS(603),
    [anon_sym_NA_real_] = ACTIONS(603),
    [anon_sym_NA_complex_] = ACTIONS(603),
    [anon_sym_NA_character_] = ACTIONS(603),
    [sym_dots] = ACTIONS(605),
    [sym_dot_dot_i] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(609),
    [sym__newline] = ACTIONS(611),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(615),
    [sym__external_open_brace] = ACTIONS(617),
    [sym__external_close_bracket2] = ACTIONS(887),
  },
  [520] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(353),
    [anon_sym_BSLASH] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(353),
    [anon_sym_for] = ACTIONS(353),
    [anon_sym_while] = ACTIONS(353),
    [anon_sym_repeat] = ACTIONS(353),
    [anon_sym_QMARK] = ACTIONS(351),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(351),
    [sym__number_literal] = ACTIONS(353),
    [anon_sym_SQUOTE] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_return] = ACTIONS(353),
    [sym_next] = ACTIONS(353),
    [sym_break] = ACTIONS(353),
    [sym_true] = ACTIONS(353),
    [sym_false] = ACTIONS(353),
    [sym_null] = ACTIONS(353),
    [sym_inf] = ACTIONS(353),
    [sym_nan] = ACTIONS(353),
    [anon_sym_NA] = ACTIONS(353),
    [anon_sym_NA_integer_] = ACTIONS(353),
    [anon_sym_NA_real_] = ACTIONS(353),
    [anon_sym_NA_complex_] = ACTIONS(353),
    [anon_sym_NA_character_] = ACTIONS(353),
    [sym_dots] = ACTIONS(353),
    [sym_dot_dot_i] = ACTIONS(351),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(351),
    [sym__semicolon] = ACTIONS(351),
    [sym__raw_string_literal] = ACTIONS(351),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(351),
    [sym__external_close_brace] = ACTIONS(351),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [521] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(357),
    [anon_sym_BSLASH] = ACTIONS(355),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_repeat] = ACTIONS(357),
    [anon_sym_QMARK] = ACTIONS(355),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(355),
    [sym__number_literal] = ACTIONS(357),
    [anon_sym_SQUOTE] = ACTIONS(355),
    [anon_sym_DQUOTE] = ACTIONS(355),
    [sym_return] = ACTIONS(357),
    [sym_next] = ACTIONS(357),
    [sym_break] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_inf] = ACTIONS(357),
    [sym_nan] = ACTIONS(357),
    [anon_sym_NA] = ACTIONS(357),
    [anon_sym_NA_integer_] = ACTIONS(357),
    [anon_sym_NA_real_] = ACTIONS(357),
    [anon_sym_NA_complex_] = ACTIONS(357),
    [anon_sym_NA_character_] = ACTIONS(357),
    [sym_dots] = ACTIONS(357),
    [sym_dot_dot_i] = ACTIONS(355),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(355),
    [sym__semicolon] = ACTIONS(355),
    [sym__raw_string_literal] = ACTIONS(355),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(355),
    [sym__external_close_brace] = ACTIONS(355),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [522] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [523] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [524] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [525] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [526] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [527] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [528] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [529] = {
    [sym_function_definition] = STATE(445),
    [sym_if_statement] = STATE(445),
    [sym_for_statement] = STATE(445),
    [sym_while_statement] = STATE(445),
    [sym_repeat_statement] = STATE(445),
    [sym_braced_expression] = STATE(445),
    [sym_parenthesized_expression] = STATE(445),
    [sym_call] = STATE(445),
    [sym_subset] = STATE(445),
    [sym_subset2] = STATE(445),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2057),
    [sym__argument_named] = STATE(2066),
    [sym__argument_unnamed] = STATE(2060),
    [sym__argument_value] = STATE(2062),
    [sym_unary_operator] = STATE(445),
    [sym_binary_operator] = STATE(445),
    [sym_extract_operator] = STATE(445),
    [sym_namespace_operator] = STATE(445),
    [sym_integer] = STATE(445),
    [sym_complex] = STATE(445),
    [sym_float] = STATE(445),
    [sym__float_literal] = STATE(772),
    [sym_string] = STATE(761),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym_na] = STATE(445),
    [sym__expression] = STATE(445),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(1027),
    [sym__open_brace] = STATE(927),
    [sym__close_bracket] = STATE(2099),
    [aux_sym_call_arguments_repeat1] = STATE(690),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_BSLASH] = ACTIONS(523),
    [anon_sym_function] = ACTIONS(525),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_repeat] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(539),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [sym__hex_literal] = ACTIONS(543),
    [sym__number_literal] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(551),
    [sym_next] = ACTIONS(551),
    [sym_break] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_inf] = ACTIONS(551),
    [sym_nan] = ACTIONS(551),
    [anon_sym_NA] = ACTIONS(553),
    [anon_sym_NA_integer_] = ACTIONS(553),
    [anon_sym_NA_real_] = ACTIONS(553),
    [anon_sym_NA_complex_] = ACTIONS(553),
    [anon_sym_NA_character_] = ACTIONS(553),
    [sym_dots] = ACTIONS(555),
    [sym_dot_dot_i] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(559),
    [sym__newline] = ACTIONS(561),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(565),
    [sym__external_open_brace] = ACTIONS(567),
    [sym__external_close_bracket] = ACTIONS(889),
  },
  [530] = {
    [sym_function_definition] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_while_statement] = STATE(517),
    [sym_repeat_statement] = STATE(517),
    [sym_braced_expression] = STATE(517),
    [sym_parenthesized_expression] = STATE(517),
    [sym_call] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym__argument] = STATE(2065),
    [sym_argument] = STATE(2077),
    [sym__argument_named] = STATE(2063),
    [sym__argument_unnamed] = STATE(2070),
    [sym__argument_value] = STATE(2078),
    [sym_unary_operator] = STATE(517),
    [sym_binary_operator] = STATE(517),
    [sym_extract_operator] = STATE(517),
    [sym_namespace_operator] = STATE(517),
    [sym_integer] = STATE(517),
    [sym_complex] = STATE(517),
    [sym_float] = STATE(517),
    [sym__float_literal] = STATE(778),
    [sym_string] = STATE(781),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(928),
    [sym__close_bracket2] = STATE(2100),
    [aux_sym_call_arguments_repeat1] = STATE(699),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_BSLASH] = ACTIONS(573),
    [anon_sym_function] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_while] = ACTIONS(581),
    [anon_sym_repeat] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [sym__hex_literal] = ACTIONS(593),
    [sym__number_literal] = ACTIONS(595),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(601),
    [sym_next] = ACTIONS(601),
    [sym_break] = ACTIONS(601),
    [sym_true] = ACTIONS(601),
    [sym_false] = ACTIONS(601),
    [sym_null] = ACTIONS(601),
    [sym_inf] = ACTIONS(601),
    [sym_nan] = ACTIONS(601),
    [anon_sym_NA] = ACTIONS(603),
    [anon_sym_NA_integer_] = ACTIONS(603),
    [anon_sym_NA_real_] = ACTIONS(603),
    [anon_sym_NA_complex_] = ACTIONS(603),
    [anon_sym_NA_character_] = ACTIONS(603),
    [sym_dots] = ACTIONS(605),
    [sym_dot_dot_i] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(609),
    [sym__newline] = ACTIONS(611),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(615),
    [sym__external_open_brace] = ACTIONS(617),
    [sym__external_close_bracket2] = ACTIONS(891),
  },
  [531] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [532] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [533] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [534] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(361),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [535] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [536] = {
    [sym_string] = STATE(890),
    [sym__single_quoted_string] = STATE(716),
    [sym__double_quoted_string] = STATE(717),
    [sym__string_or_identifier] = STATE(890),
    [aux_sym_function_definition_repeat1] = STATE(553),
    [sym_identifier] = ACTIONS(893),
    [anon_sym_BSLASH] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(725),
    [anon_sym_repeat] = ACTIONS(725),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(721),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(721),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_LT_DASH] = ACTIONS(721),
    [anon_sym_LT_LT_DASH] = ACTIONS(721),
    [anon_sym_COLON_EQ] = ACTIONS(721),
    [anon_sym_DASH_GT] = ACTIONS(725),
    [anon_sym_DASH_GT_GT] = ACTIONS(721),
    [anon_sym_PIPE] = ACTIONS(725),
    [anon_sym_AMP] = ACTIONS(725),
    [anon_sym_PIPE_PIPE] = ACTIONS(721),
    [anon_sym_AMP_AMP] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(725),
    [anon_sym_LT_EQ] = ACTIONS(721),
    [anon_sym_GT] = ACTIONS(725),
    [anon_sym_GT_EQ] = ACTIONS(721),
    [anon_sym_EQ_EQ] = ACTIONS(721),
    [anon_sym_BANG_EQ] = ACTIONS(721),
    [anon_sym_STAR] = ACTIONS(725),
    [anon_sym_SLASH] = ACTIONS(721),
    [anon_sym_STAR_STAR] = ACTIONS(721),
    [anon_sym_CARET] = ACTIONS(721),
    [aux_sym_binary_operator_token1] = ACTIONS(721),
    [anon_sym_PIPE_GT] = ACTIONS(721),
    [anon_sym_COLON] = ACTIONS(725),
    [anon_sym_DOLLAR] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(721),
    [sym__hex_literal] = ACTIONS(721),
    [sym__number_literal] = ACTIONS(725),
    [anon_sym_SQUOTE] = ACTIONS(895),
    [anon_sym_DQUOTE] = ACTIONS(897),
    [sym_return] = ACTIONS(725),
    [sym_next] = ACTIONS(725),
    [sym_break] = ACTIONS(725),
    [sym_true] = ACTIONS(725),
    [sym_false] = ACTIONS(725),
    [sym_null] = ACTIONS(725),
    [sym_inf] = ACTIONS(725),
    [sym_nan] = ACTIONS(725),
    [anon_sym_NA] = ACTIONS(725),
    [anon_sym_NA_integer_] = ACTIONS(725),
    [anon_sym_NA_real_] = ACTIONS(725),
    [anon_sym_NA_complex_] = ACTIONS(725),
    [anon_sym_NA_character_] = ACTIONS(725),
    [sym_dots] = ACTIONS(725),
    [sym_dot_dot_i] = ACTIONS(721),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(721),
    [sym__newline] = ACTIONS(899),
    [sym__raw_string_literal] = ACTIONS(901),
    [sym__external_else] = ACTIONS(721),
    [sym__external_open_parenthesis] = ACTIONS(721),
    [sym__external_open_brace] = ACTIONS(721),
    [sym__external_open_bracket] = ACTIONS(721),
    [sym__external_close_bracket] = ACTIONS(721),
    [sym__external_open_bracket2] = ACTIONS(721),
  },
  [537] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(361),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [538] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(365),
    [anon_sym_BSLASH] = ACTIONS(363),
    [anon_sym_function] = ACTIONS(365),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_repeat] = ACTIONS(365),
    [anon_sym_QMARK] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(365),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(363),
    [sym__number_literal] = ACTIONS(365),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [sym_return] = ACTIONS(365),
    [sym_next] = ACTIONS(365),
    [sym_break] = ACTIONS(365),
    [sym_true] = ACTIONS(365),
    [sym_false] = ACTIONS(365),
    [sym_null] = ACTIONS(365),
    [sym_inf] = ACTIONS(365),
    [sym_nan] = ACTIONS(365),
    [anon_sym_NA] = ACTIONS(365),
    [anon_sym_NA_integer_] = ACTIONS(365),
    [anon_sym_NA_real_] = ACTIONS(365),
    [anon_sym_NA_complex_] = ACTIONS(365),
    [anon_sym_NA_character_] = ACTIONS(365),
    [sym_dots] = ACTIONS(365),
    [sym_dot_dot_i] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(363),
    [sym__semicolon] = ACTIONS(363),
    [sym__raw_string_literal] = ACTIONS(363),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(363),
    [sym__external_close_brace] = ACTIONS(363),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [539] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(331),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(333),
    [anon_sym_AMP] = ACTIONS(333),
    [anon_sym_PIPE_PIPE] = ACTIONS(331),
    [anon_sym_AMP_AMP] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(331),
    [sym__semicolon] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [540] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(369),
    [anon_sym_BSLASH] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(369),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(369),
    [anon_sym_repeat] = ACTIONS(369),
    [anon_sym_QMARK] = ACTIONS(367),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(367),
    [sym__number_literal] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(367),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [sym_return] = ACTIONS(369),
    [sym_next] = ACTIONS(369),
    [sym_break] = ACTIONS(369),
    [sym_true] = ACTIONS(369),
    [sym_false] = ACTIONS(369),
    [sym_null] = ACTIONS(369),
    [sym_inf] = ACTIONS(369),
    [sym_nan] = ACTIONS(369),
    [anon_sym_NA] = ACTIONS(369),
    [anon_sym_NA_integer_] = ACTIONS(369),
    [anon_sym_NA_real_] = ACTIONS(369),
    [anon_sym_NA_complex_] = ACTIONS(369),
    [anon_sym_NA_character_] = ACTIONS(369),
    [sym_dots] = ACTIONS(369),
    [sym_dot_dot_i] = ACTIONS(367),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(367),
    [sym__semicolon] = ACTIONS(367),
    [sym__raw_string_literal] = ACTIONS(367),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(367),
    [sym__external_close_brace] = ACTIONS(367),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [541] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(331),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(331),
    [anon_sym_DASH] = ACTIONS(333),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(333),
    [anon_sym_AMP] = ACTIONS(333),
    [anon_sym_PIPE_PIPE] = ACTIONS(331),
    [anon_sym_AMP_AMP] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_LT_EQ] = ACTIONS(331),
    [anon_sym_GT] = ACTIONS(333),
    [anon_sym_GT_EQ] = ACTIONS(331),
    [anon_sym_EQ_EQ] = ACTIONS(331),
    [anon_sym_BANG_EQ] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(331),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(331),
    [anon_sym_PIPE_GT] = ACTIONS(331),
    [anon_sym_COLON] = ACTIONS(333),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(331),
    [sym__semicolon] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [542] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [543] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_for] = ACTIONS(377),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_repeat] = ACTIONS(377),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(375),
    [sym__number_literal] = ACTIONS(377),
    [anon_sym_SQUOTE] = ACTIONS(375),
    [anon_sym_DQUOTE] = ACTIONS(375),
    [sym_return] = ACTIONS(377),
    [sym_next] = ACTIONS(377),
    [sym_break] = ACTIONS(377),
    [sym_true] = ACTIONS(377),
    [sym_false] = ACTIONS(377),
    [sym_null] = ACTIONS(377),
    [sym_inf] = ACTIONS(377),
    [sym_nan] = ACTIONS(377),
    [anon_sym_NA] = ACTIONS(377),
    [anon_sym_NA_integer_] = ACTIONS(377),
    [anon_sym_NA_real_] = ACTIONS(377),
    [anon_sym_NA_complex_] = ACTIONS(377),
    [anon_sym_NA_character_] = ACTIONS(377),
    [sym_dots] = ACTIONS(377),
    [sym_dot_dot_i] = ACTIONS(375),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(375),
    [sym__semicolon] = ACTIONS(375),
    [sym__raw_string_literal] = ACTIONS(375),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(375),
    [sym__external_close_brace] = ACTIONS(375),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [544] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_BSLASH] = ACTIONS(379),
    [anon_sym_function] = ACTIONS(381),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(381),
    [anon_sym_repeat] = ACTIONS(381),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(379),
    [sym__number_literal] = ACTIONS(381),
    [anon_sym_SQUOTE] = ACTIONS(379),
    [anon_sym_DQUOTE] = ACTIONS(379),
    [sym_return] = ACTIONS(381),
    [sym_next] = ACTIONS(381),
    [sym_break] = ACTIONS(381),
    [sym_true] = ACTIONS(381),
    [sym_false] = ACTIONS(381),
    [sym_null] = ACTIONS(381),
    [sym_inf] = ACTIONS(381),
    [sym_nan] = ACTIONS(381),
    [anon_sym_NA] = ACTIONS(381),
    [anon_sym_NA_integer_] = ACTIONS(381),
    [anon_sym_NA_real_] = ACTIONS(381),
    [anon_sym_NA_complex_] = ACTIONS(381),
    [anon_sym_NA_character_] = ACTIONS(381),
    [sym_dots] = ACTIONS(381),
    [sym_dot_dot_i] = ACTIONS(379),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(379),
    [sym__semicolon] = ACTIONS(379),
    [sym__raw_string_literal] = ACTIONS(379),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(379),
    [sym__external_close_brace] = ACTIONS(379),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [545] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [546] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(389),
    [anon_sym_BSLASH] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(389),
    [anon_sym_repeat] = ACTIONS(389),
    [anon_sym_QMARK] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(389),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(387),
    [sym__number_literal] = ACTIONS(389),
    [anon_sym_SQUOTE] = ACTIONS(387),
    [anon_sym_DQUOTE] = ACTIONS(387),
    [sym_return] = ACTIONS(389),
    [sym_next] = ACTIONS(389),
    [sym_break] = ACTIONS(389),
    [sym_true] = ACTIONS(389),
    [sym_false] = ACTIONS(389),
    [sym_null] = ACTIONS(389),
    [sym_inf] = ACTIONS(389),
    [sym_nan] = ACTIONS(389),
    [anon_sym_NA] = ACTIONS(389),
    [anon_sym_NA_integer_] = ACTIONS(389),
    [anon_sym_NA_real_] = ACTIONS(389),
    [anon_sym_NA_complex_] = ACTIONS(389),
    [anon_sym_NA_character_] = ACTIONS(389),
    [sym_dots] = ACTIONS(389),
    [sym_dot_dot_i] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(387),
    [sym__semicolon] = ACTIONS(387),
    [sym__raw_string_literal] = ACTIONS(387),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(387),
    [sym__external_close_brace] = ACTIONS(387),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [547] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(393),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_function] = ACTIONS(393),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(393),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(393),
    [anon_sym_QMARK] = ACTIONS(391),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(391),
    [sym__number_literal] = ACTIONS(393),
    [anon_sym_SQUOTE] = ACTIONS(391),
    [anon_sym_DQUOTE] = ACTIONS(391),
    [sym_return] = ACTIONS(393),
    [sym_next] = ACTIONS(393),
    [sym_break] = ACTIONS(393),
    [sym_true] = ACTIONS(393),
    [sym_false] = ACTIONS(393),
    [sym_null] = ACTIONS(393),
    [sym_inf] = ACTIONS(393),
    [sym_nan] = ACTIONS(393),
    [anon_sym_NA] = ACTIONS(393),
    [anon_sym_NA_integer_] = ACTIONS(393),
    [anon_sym_NA_real_] = ACTIONS(393),
    [anon_sym_NA_complex_] = ACTIONS(393),
    [anon_sym_NA_character_] = ACTIONS(393),
    [sym_dots] = ACTIONS(393),
    [sym_dot_dot_i] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(391),
    [sym__semicolon] = ACTIONS(391),
    [sym__raw_string_literal] = ACTIONS(391),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(391),
    [sym__external_close_brace] = ACTIONS(391),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [548] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(395),
    [anon_sym_function] = ACTIONS(397),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(397),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_while] = ACTIONS(397),
    [anon_sym_repeat] = ACTIONS(397),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(395),
    [sym__number_literal] = ACTIONS(397),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(395),
    [sym_return] = ACTIONS(397),
    [sym_next] = ACTIONS(397),
    [sym_break] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_inf] = ACTIONS(397),
    [sym_nan] = ACTIONS(397),
    [anon_sym_NA] = ACTIONS(397),
    [anon_sym_NA_integer_] = ACTIONS(397),
    [anon_sym_NA_real_] = ACTIONS(397),
    [anon_sym_NA_complex_] = ACTIONS(397),
    [anon_sym_NA_character_] = ACTIONS(397),
    [sym_dots] = ACTIONS(397),
    [sym_dot_dot_i] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(395),
    [sym__semicolon] = ACTIONS(395),
    [sym__raw_string_literal] = ACTIONS(395),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(395),
    [sym__external_close_brace] = ACTIONS(395),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [549] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(399),
    [anon_sym_function] = ACTIONS(401),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(401),
    [anon_sym_repeat] = ACTIONS(401),
    [anon_sym_QMARK] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(401),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(399),
    [sym__number_literal] = ACTIONS(401),
    [anon_sym_SQUOTE] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(399),
    [sym_return] = ACTIONS(401),
    [sym_next] = ACTIONS(401),
    [sym_break] = ACTIONS(401),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [sym_null] = ACTIONS(401),
    [sym_inf] = ACTIONS(401),
    [sym_nan] = ACTIONS(401),
    [anon_sym_NA] = ACTIONS(401),
    [anon_sym_NA_integer_] = ACTIONS(401),
    [anon_sym_NA_real_] = ACTIONS(401),
    [anon_sym_NA_complex_] = ACTIONS(401),
    [anon_sym_NA_character_] = ACTIONS(401),
    [sym_dots] = ACTIONS(401),
    [sym_dot_dot_i] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(399),
    [sym__semicolon] = ACTIONS(399),
    [sym__raw_string_literal] = ACTIONS(399),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(399),
    [sym__external_close_brace] = ACTIONS(399),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [550] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(405),
    [anon_sym_BSLASH] = ACTIONS(403),
    [anon_sym_function] = ACTIONS(405),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(405),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(405),
    [anon_sym_QMARK] = ACTIONS(403),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(405),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(403),
    [sym__number_literal] = ACTIONS(405),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_return] = ACTIONS(405),
    [sym_next] = ACTIONS(405),
    [sym_break] = ACTIONS(405),
    [sym_true] = ACTIONS(405),
    [sym_false] = ACTIONS(405),
    [sym_null] = ACTIONS(405),
    [sym_inf] = ACTIONS(405),
    [sym_nan] = ACTIONS(405),
    [anon_sym_NA] = ACTIONS(405),
    [anon_sym_NA_integer_] = ACTIONS(405),
    [anon_sym_NA_real_] = ACTIONS(405),
    [anon_sym_NA_complex_] = ACTIONS(405),
    [anon_sym_NA_character_] = ACTIONS(405),
    [sym_dots] = ACTIONS(405),
    [sym_dot_dot_i] = ACTIONS(403),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(403),
    [sym__semicolon] = ACTIONS(403),
    [sym__raw_string_literal] = ACTIONS(403),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(403),
    [sym__external_close_brace] = ACTIONS(403),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [551] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_for] = ACTIONS(409),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_repeat] = ACTIONS(409),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(409),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(407),
    [sym__number_literal] = ACTIONS(409),
    [anon_sym_SQUOTE] = ACTIONS(407),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_return] = ACTIONS(409),
    [sym_next] = ACTIONS(409),
    [sym_break] = ACTIONS(409),
    [sym_true] = ACTIONS(409),
    [sym_false] = ACTIONS(409),
    [sym_null] = ACTIONS(409),
    [sym_inf] = ACTIONS(409),
    [sym_nan] = ACTIONS(409),
    [anon_sym_NA] = ACTIONS(409),
    [anon_sym_NA_integer_] = ACTIONS(409),
    [anon_sym_NA_real_] = ACTIONS(409),
    [anon_sym_NA_complex_] = ACTIONS(409),
    [anon_sym_NA_character_] = ACTIONS(409),
    [sym_dots] = ACTIONS(409),
    [sym_dot_dot_i] = ACTIONS(407),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(407),
    [sym__semicolon] = ACTIONS(407),
    [sym__raw_string_literal] = ACTIONS(407),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(407),
    [sym__external_close_brace] = ACTIONS(407),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [552] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(413),
    [anon_sym_BSLASH] = ACTIONS(411),
    [anon_sym_function] = ACTIONS(413),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_repeat] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(411),
    [sym__number_literal] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(411),
    [anon_sym_DQUOTE] = ACTIONS(411),
    [sym_return] = ACTIONS(413),
    [sym_next] = ACTIONS(413),
    [sym_break] = ACTIONS(413),
    [sym_true] = ACTIONS(413),
    [sym_false] = ACTIONS(413),
    [sym_null] = ACTIONS(413),
    [sym_inf] = ACTIONS(413),
    [sym_nan] = ACTIONS(413),
    [anon_sym_NA] = ACTIONS(413),
    [anon_sym_NA_integer_] = ACTIONS(413),
    [anon_sym_NA_real_] = ACTIONS(413),
    [anon_sym_NA_complex_] = ACTIONS(413),
    [anon_sym_NA_character_] = ACTIONS(413),
    [sym_dots] = ACTIONS(413),
    [sym_dot_dot_i] = ACTIONS(411),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(411),
    [sym__semicolon] = ACTIONS(411),
    [sym__raw_string_literal] = ACTIONS(411),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(411),
    [sym__external_close_brace] = ACTIONS(411),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [553] = {
    [sym_string] = STATE(897),
    [sym__single_quoted_string] = STATE(716),
    [sym__double_quoted_string] = STATE(717),
    [sym__string_or_identifier] = STATE(897),
    [aux_sym_function_definition_repeat1] = STATE(796),
    [sym_identifier] = ACTIONS(903),
    [anon_sym_BSLASH] = ACTIONS(735),
    [anon_sym_function] = ACTIONS(739),
    [anon_sym_EQ] = ACTIONS(739),
    [anon_sym_if] = ACTIONS(739),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(739),
    [anon_sym_repeat] = ACTIONS(739),
    [anon_sym_QMARK] = ACTIONS(735),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(739),
    [anon_sym_LT_DASH] = ACTIONS(735),
    [anon_sym_LT_LT_DASH] = ACTIONS(735),
    [anon_sym_COLON_EQ] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(739),
    [anon_sym_DASH_GT_GT] = ACTIONS(735),
    [anon_sym_PIPE] = ACTIONS(739),
    [anon_sym_AMP] = ACTIONS(739),
    [anon_sym_PIPE_PIPE] = ACTIONS(735),
    [anon_sym_AMP_AMP] = ACTIONS(735),
    [anon_sym_LT] = ACTIONS(739),
    [anon_sym_LT_EQ] = ACTIONS(735),
    [anon_sym_GT] = ACTIONS(739),
    [anon_sym_GT_EQ] = ACTIONS(735),
    [anon_sym_EQ_EQ] = ACTIONS(735),
    [anon_sym_BANG_EQ] = ACTIONS(735),
    [anon_sym_STAR] = ACTIONS(739),
    [anon_sym_SLASH] = ACTIONS(735),
    [anon_sym_STAR_STAR] = ACTIONS(735),
    [anon_sym_CARET] = ACTIONS(735),
    [aux_sym_binary_operator_token1] = ACTIONS(735),
    [anon_sym_PIPE_GT] = ACTIONS(735),
    [anon_sym_COLON] = ACTIONS(739),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(735),
    [sym__hex_literal] = ACTIONS(735),
    [sym__number_literal] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(895),
    [anon_sym_DQUOTE] = ACTIONS(897),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(739),
    [sym_dot_dot_i] = ACTIONS(735),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(735),
    [sym__newline] = ACTIONS(735),
    [sym__raw_string_literal] = ACTIONS(901),
    [sym__external_else] = ACTIONS(735),
    [sym__external_open_parenthesis] = ACTIONS(735),
    [sym__external_open_brace] = ACTIONS(735),
    [sym__external_open_bracket] = ACTIONS(735),
    [sym__external_close_bracket] = ACTIONS(735),
    [sym__external_open_bracket2] = ACTIONS(735),
  },
  [554] = {
    [sym_function_definition] = STATE(445),
    [sym_if_statement] = STATE(445),
    [sym_for_statement] = STATE(445),
    [sym_while_statement] = STATE(445),
    [sym_repeat_statement] = STATE(445),
    [sym_braced_expression] = STATE(445),
    [sym_parenthesized_expression] = STATE(445),
    [sym_call] = STATE(445),
    [sym_subset] = STATE(445),
    [sym_subset2] = STATE(445),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2057),
    [sym__argument_named] = STATE(2066),
    [sym__argument_unnamed] = STATE(2060),
    [sym__argument_value] = STATE(2062),
    [sym_unary_operator] = STATE(445),
    [sym_binary_operator] = STATE(445),
    [sym_extract_operator] = STATE(445),
    [sym_namespace_operator] = STATE(445),
    [sym_integer] = STATE(445),
    [sym_complex] = STATE(445),
    [sym_float] = STATE(445),
    [sym__float_literal] = STATE(772),
    [sym_string] = STATE(761),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym_na] = STATE(445),
    [sym__expression] = STATE(445),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(1027),
    [sym__open_brace] = STATE(927),
    [sym__close_bracket] = STATE(899),
    [aux_sym_call_arguments_repeat1] = STATE(690),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_BSLASH] = ACTIONS(523),
    [anon_sym_function] = ACTIONS(525),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_repeat] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(539),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [sym__hex_literal] = ACTIONS(543),
    [sym__number_literal] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(551),
    [sym_next] = ACTIONS(551),
    [sym_break] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_inf] = ACTIONS(551),
    [sym_nan] = ACTIONS(551),
    [anon_sym_NA] = ACTIONS(553),
    [anon_sym_NA_integer_] = ACTIONS(553),
    [anon_sym_NA_real_] = ACTIONS(553),
    [anon_sym_NA_complex_] = ACTIONS(553),
    [anon_sym_NA_character_] = ACTIONS(553),
    [sym_dots] = ACTIONS(555),
    [sym_dot_dot_i] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(559),
    [sym__newline] = ACTIONS(561),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(565),
    [sym__external_open_brace] = ACTIONS(567),
    [sym__external_close_bracket] = ACTIONS(905),
  },
  [555] = {
    [sym_function_definition] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_while_statement] = STATE(517),
    [sym_repeat_statement] = STATE(517),
    [sym_braced_expression] = STATE(517),
    [sym_parenthesized_expression] = STATE(517),
    [sym_call] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym__argument] = STATE(2065),
    [sym_argument] = STATE(2077),
    [sym__argument_named] = STATE(2063),
    [sym__argument_unnamed] = STATE(2070),
    [sym__argument_value] = STATE(2078),
    [sym_unary_operator] = STATE(517),
    [sym_binary_operator] = STATE(517),
    [sym_extract_operator] = STATE(517),
    [sym_namespace_operator] = STATE(517),
    [sym_integer] = STATE(517),
    [sym_complex] = STATE(517),
    [sym_float] = STATE(517),
    [sym__float_literal] = STATE(778),
    [sym_string] = STATE(781),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(928),
    [sym__close_bracket2] = STATE(900),
    [aux_sym_call_arguments_repeat1] = STATE(699),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_BSLASH] = ACTIONS(573),
    [anon_sym_function] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_while] = ACTIONS(581),
    [anon_sym_repeat] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [sym__hex_literal] = ACTIONS(593),
    [sym__number_literal] = ACTIONS(595),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(601),
    [sym_next] = ACTIONS(601),
    [sym_break] = ACTIONS(601),
    [sym_true] = ACTIONS(601),
    [sym_false] = ACTIONS(601),
    [sym_null] = ACTIONS(601),
    [sym_inf] = ACTIONS(601),
    [sym_nan] = ACTIONS(601),
    [anon_sym_NA] = ACTIONS(603),
    [anon_sym_NA_integer_] = ACTIONS(603),
    [anon_sym_NA_real_] = ACTIONS(603),
    [anon_sym_NA_complex_] = ACTIONS(603),
    [anon_sym_NA_character_] = ACTIONS(603),
    [sym_dots] = ACTIONS(605),
    [sym_dot_dot_i] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(609),
    [sym__newline] = ACTIONS(611),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(615),
    [sym__external_open_brace] = ACTIONS(617),
    [sym__external_close_bracket2] = ACTIONS(907),
  },
  [556] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_BSLASH] = ACTIONS(323),
    [anon_sym_function] = ACTIONS(325),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_repeat] = ACTIONS(325),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(323),
    [sym__number_literal] = ACTIONS(325),
    [anon_sym_SQUOTE] = ACTIONS(323),
    [anon_sym_DQUOTE] = ACTIONS(323),
    [sym_return] = ACTIONS(325),
    [sym_next] = ACTIONS(325),
    [sym_break] = ACTIONS(325),
    [sym_true] = ACTIONS(325),
    [sym_false] = ACTIONS(325),
    [sym_null] = ACTIONS(325),
    [sym_inf] = ACTIONS(325),
    [sym_nan] = ACTIONS(325),
    [anon_sym_NA] = ACTIONS(325),
    [anon_sym_NA_integer_] = ACTIONS(325),
    [anon_sym_NA_real_] = ACTIONS(325),
    [anon_sym_NA_complex_] = ACTIONS(325),
    [anon_sym_NA_character_] = ACTIONS(325),
    [sym_dots] = ACTIONS(325),
    [sym_dot_dot_i] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(323),
    [sym__semicolon] = ACTIONS(323),
    [sym__raw_string_literal] = ACTIONS(323),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(323),
    [sym__external_close_brace] = ACTIONS(323),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [557] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(417),
    [anon_sym_BSLASH] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_repeat] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(415),
    [sym__number_literal] = ACTIONS(417),
    [anon_sym_SQUOTE] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(415),
    [sym_return] = ACTIONS(417),
    [sym_next] = ACTIONS(417),
    [sym_break] = ACTIONS(417),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [sym_null] = ACTIONS(417),
    [sym_inf] = ACTIONS(417),
    [sym_nan] = ACTIONS(417),
    [anon_sym_NA] = ACTIONS(417),
    [anon_sym_NA_integer_] = ACTIONS(417),
    [anon_sym_NA_real_] = ACTIONS(417),
    [anon_sym_NA_complex_] = ACTIONS(417),
    [anon_sym_NA_character_] = ACTIONS(417),
    [sym_dots] = ACTIONS(417),
    [sym_dot_dot_i] = ACTIONS(415),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(415),
    [sym__semicolon] = ACTIONS(415),
    [sym__raw_string_literal] = ACTIONS(415),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(415),
    [sym__external_close_brace] = ACTIONS(415),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [558] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(421),
    [anon_sym_BSLASH] = ACTIONS(419),
    [anon_sym_function] = ACTIONS(421),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_repeat] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(419),
    [sym__number_literal] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [sym_return] = ACTIONS(421),
    [sym_next] = ACTIONS(421),
    [sym_break] = ACTIONS(421),
    [sym_true] = ACTIONS(421),
    [sym_false] = ACTIONS(421),
    [sym_null] = ACTIONS(421),
    [sym_inf] = ACTIONS(421),
    [sym_nan] = ACTIONS(421),
    [anon_sym_NA] = ACTIONS(421),
    [anon_sym_NA_integer_] = ACTIONS(421),
    [anon_sym_NA_real_] = ACTIONS(421),
    [anon_sym_NA_complex_] = ACTIONS(421),
    [anon_sym_NA_character_] = ACTIONS(421),
    [sym_dots] = ACTIONS(421),
    [sym_dot_dot_i] = ACTIONS(419),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(419),
    [sym__semicolon] = ACTIONS(419),
    [sym__raw_string_literal] = ACTIONS(419),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(419),
    [sym__external_close_brace] = ACTIONS(419),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [559] = {
    [sym_call_arguments] = STATE(965),
    [sym_subset_arguments] = STATE(966),
    [sym_subset2_arguments] = STATE(967),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_BSLASH] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_for] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_repeat] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(633),
    [anon_sym_LT_DASH] = ACTIONS(635),
    [anon_sym_LT_LT_DASH] = ACTIONS(635),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE_PIPE] = ACTIONS(645),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(651),
    [anon_sym_EQ_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(657),
    [anon_sym_CARET] = ACTIONS(657),
    [aux_sym_binary_operator_token1] = ACTIONS(659),
    [anon_sym_PIPE_GT] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(423),
    [sym__number_literal] = ACTIONS(425),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_return] = ACTIONS(425),
    [sym_next] = ACTIONS(425),
    [sym_break] = ACTIONS(425),
    [sym_true] = ACTIONS(425),
    [sym_false] = ACTIONS(425),
    [sym_null] = ACTIONS(425),
    [sym_inf] = ACTIONS(425),
    [sym_nan] = ACTIONS(425),
    [anon_sym_NA] = ACTIONS(425),
    [anon_sym_NA_integer_] = ACTIONS(425),
    [anon_sym_NA_real_] = ACTIONS(425),
    [anon_sym_NA_complex_] = ACTIONS(425),
    [anon_sym_NA_character_] = ACTIONS(425),
    [sym_dots] = ACTIONS(425),
    [sym_dot_dot_i] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(423),
    [sym__semicolon] = ACTIONS(423),
    [sym__raw_string_literal] = ACTIONS(423),
    [sym__external_open_parenthesis] = ACTIONS(665),
    [sym__external_open_brace] = ACTIONS(423),
    [sym__external_close_brace] = ACTIONS(423),
    [sym__external_open_bracket] = ACTIONS(667),
    [sym__external_open_bracket2] = ACTIONS(669),
  },
  [560] = {
    [sym_function_definition] = STATE(445),
    [sym_if_statement] = STATE(445),
    [sym_for_statement] = STATE(445),
    [sym_while_statement] = STATE(445),
    [sym_repeat_statement] = STATE(445),
    [sym_braced_expression] = STATE(445),
    [sym_parenthesized_expression] = STATE(445),
    [sym_call] = STATE(445),
    [sym_subset] = STATE(445),
    [sym_subset2] = STATE(445),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2057),
    [sym__argument_named] = STATE(2066),
    [sym__argument_unnamed] = STATE(2060),
    [sym__argument_value] = STATE(2062),
    [sym_unary_operator] = STATE(445),
    [sym_binary_operator] = STATE(445),
    [sym_extract_operator] = STATE(445),
    [sym_namespace_operator] = STATE(445),
    [sym_integer] = STATE(445),
    [sym_complex] = STATE(445),
    [sym_float] = STATE(445),
    [sym__float_literal] = STATE(772),
    [sym_string] = STATE(761),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym_na] = STATE(445),
    [sym__expression] = STATE(445),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(1027),
    [sym__open_brace] = STATE(927),
    [sym__close_bracket] = STATE(2125),
    [aux_sym_call_arguments_repeat1] = STATE(690),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_BSLASH] = ACTIONS(523),
    [anon_sym_function] = ACTIONS(525),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_repeat] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(539),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [sym__hex_literal] = ACTIONS(543),
    [sym__number_literal] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(551),
    [sym_next] = ACTIONS(551),
    [sym_break] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_inf] = ACTIONS(551),
    [sym_nan] = ACTIONS(551),
    [anon_sym_NA] = ACTIONS(553),
    [anon_sym_NA_integer_] = ACTIONS(553),
    [anon_sym_NA_real_] = ACTIONS(553),
    [anon_sym_NA_complex_] = ACTIONS(553),
    [anon_sym_NA_character_] = ACTIONS(553),
    [sym_dots] = ACTIONS(555),
    [sym_dot_dot_i] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(559),
    [sym__newline] = ACTIONS(561),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(565),
    [sym__external_open_brace] = ACTIONS(567),
    [sym__external_close_bracket] = ACTIONS(909),
  },
  [561] = {
    [sym_function_definition] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_while_statement] = STATE(517),
    [sym_repeat_statement] = STATE(517),
    [sym_braced_expression] = STATE(517),
    [sym_parenthesized_expression] = STATE(517),
    [sym_call] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym__argument] = STATE(2065),
    [sym_argument] = STATE(2077),
    [sym__argument_named] = STATE(2063),
    [sym__argument_unnamed] = STATE(2070),
    [sym__argument_value] = STATE(2078),
    [sym_unary_operator] = STATE(517),
    [sym_binary_operator] = STATE(517),
    [sym_extract_operator] = STATE(517),
    [sym_namespace_operator] = STATE(517),
    [sym_integer] = STATE(517),
    [sym_complex] = STATE(517),
    [sym_float] = STATE(517),
    [sym__float_literal] = STATE(778),
    [sym_string] = STATE(781),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(928),
    [sym__close_bracket2] = STATE(2117),
    [aux_sym_call_arguments_repeat1] = STATE(699),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_BSLASH] = ACTIONS(573),
    [anon_sym_function] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_while] = ACTIONS(581),
    [anon_sym_repeat] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [sym__hex_literal] = ACTIONS(593),
    [sym__number_literal] = ACTIONS(595),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(601),
    [sym_next] = ACTIONS(601),
    [sym_break] = ACTIONS(601),
    [sym_true] = ACTIONS(601),
    [sym_false] = ACTIONS(601),
    [sym_null] = ACTIONS(601),
    [sym_inf] = ACTIONS(601),
    [sym_nan] = ACTIONS(601),
    [anon_sym_NA] = ACTIONS(603),
    [anon_sym_NA_integer_] = ACTIONS(603),
    [anon_sym_NA_real_] = ACTIONS(603),
    [anon_sym_NA_complex_] = ACTIONS(603),
    [anon_sym_NA_character_] = ACTIONS(603),
    [sym_dots] = ACTIONS(605),
    [sym_dot_dot_i] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(609),
    [sym__newline] = ACTIONS(611),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(615),
    [sym__external_open_brace] = ACTIONS(617),
    [sym__external_close_bracket2] = ACTIONS(911),
  },
  [562] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_BSLASH] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(329),
    [anon_sym_while] = ACTIONS(329),
    [anon_sym_repeat] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(329),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(327),
    [sym__number_literal] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [sym_return] = ACTIONS(329),
    [sym_next] = ACTIONS(329),
    [sym_break] = ACTIONS(329),
    [sym_true] = ACTIONS(329),
    [sym_false] = ACTIONS(329),
    [sym_null] = ACTIONS(329),
    [sym_inf] = ACTIONS(329),
    [sym_nan] = ACTIONS(329),
    [anon_sym_NA] = ACTIONS(329),
    [anon_sym_NA_integer_] = ACTIONS(329),
    [anon_sym_NA_real_] = ACTIONS(329),
    [anon_sym_NA_complex_] = ACTIONS(329),
    [anon_sym_NA_character_] = ACTIONS(329),
    [sym_dots] = ACTIONS(329),
    [sym_dot_dot_i] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(327),
    [sym__newline] = ACTIONS(327),
    [sym__raw_string_literal] = ACTIONS(327),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(327),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(327),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [563] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(331),
    [sym__newline] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(331),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [564] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(331),
    [sym__newline] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(331),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [565] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(333),
    [anon_sym_AMP] = ACTIONS(333),
    [anon_sym_PIPE_PIPE] = ACTIONS(331),
    [anon_sym_AMP_AMP] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(331),
    [sym__newline] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(331),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [566] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(331),
    [anon_sym_DASH] = ACTIONS(333),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(333),
    [anon_sym_AMP] = ACTIONS(333),
    [anon_sym_PIPE_PIPE] = ACTIONS(331),
    [anon_sym_AMP_AMP] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_LT_EQ] = ACTIONS(331),
    [anon_sym_GT] = ACTIONS(333),
    [anon_sym_GT_EQ] = ACTIONS(331),
    [anon_sym_EQ_EQ] = ACTIONS(331),
    [anon_sym_BANG_EQ] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(331),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(331),
    [anon_sym_PIPE_GT] = ACTIONS(331),
    [anon_sym_COLON] = ACTIONS(333),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(331),
    [sym__newline] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(331),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [567] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_BSLASH] = ACTIONS(335),
    [anon_sym_function] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(337),
    [anon_sym_for] = ACTIONS(337),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_repeat] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(335),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(337),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(335),
    [sym__number_literal] = ACTIONS(337),
    [anon_sym_SQUOTE] = ACTIONS(335),
    [anon_sym_DQUOTE] = ACTIONS(335),
    [sym_return] = ACTIONS(337),
    [sym_next] = ACTIONS(337),
    [sym_break] = ACTIONS(337),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_null] = ACTIONS(337),
    [sym_inf] = ACTIONS(337),
    [sym_nan] = ACTIONS(337),
    [anon_sym_NA] = ACTIONS(337),
    [anon_sym_NA_integer_] = ACTIONS(337),
    [anon_sym_NA_real_] = ACTIONS(337),
    [anon_sym_NA_complex_] = ACTIONS(337),
    [anon_sym_NA_character_] = ACTIONS(337),
    [sym_dots] = ACTIONS(337),
    [sym_dot_dot_i] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(335),
    [sym__newline] = ACTIONS(335),
    [sym__raw_string_literal] = ACTIONS(335),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(335),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(335),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [568] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_BSLASH] = ACTIONS(339),
    [anon_sym_function] = ACTIONS(341),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(341),
    [anon_sym_while] = ACTIONS(341),
    [anon_sym_repeat] = ACTIONS(341),
    [anon_sym_QMARK] = ACTIONS(339),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(341),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(339),
    [sym__number_literal] = ACTIONS(341),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_DQUOTE] = ACTIONS(339),
    [sym_return] = ACTIONS(341),
    [sym_next] = ACTIONS(341),
    [sym_break] = ACTIONS(341),
    [sym_true] = ACTIONS(341),
    [sym_false] = ACTIONS(341),
    [sym_null] = ACTIONS(341),
    [sym_inf] = ACTIONS(341),
    [sym_nan] = ACTIONS(341),
    [anon_sym_NA] = ACTIONS(341),
    [anon_sym_NA_integer_] = ACTIONS(341),
    [anon_sym_NA_real_] = ACTIONS(341),
    [anon_sym_NA_complex_] = ACTIONS(341),
    [anon_sym_NA_character_] = ACTIONS(341),
    [sym_dots] = ACTIONS(341),
    [sym_dot_dot_i] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(339),
    [sym__newline] = ACTIONS(339),
    [sym__raw_string_literal] = ACTIONS(339),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(339),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(339),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [569] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(343),
    [sym__newline] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(343),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [570] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(343),
    [sym__newline] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(343),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [571] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_PIPE_PIPE] = ACTIONS(343),
    [anon_sym_AMP_AMP] = ACTIONS(343),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(343),
    [sym__newline] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(343),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [572] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(343),
    [anon_sym_DASH] = ACTIONS(345),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_PIPE_PIPE] = ACTIONS(343),
    [anon_sym_AMP_AMP] = ACTIONS(343),
    [anon_sym_LT] = ACTIONS(345),
    [anon_sym_LT_EQ] = ACTIONS(343),
    [anon_sym_GT] = ACTIONS(345),
    [anon_sym_GT_EQ] = ACTIONS(343),
    [anon_sym_EQ_EQ] = ACTIONS(343),
    [anon_sym_BANG_EQ] = ACTIONS(343),
    [anon_sym_STAR] = ACTIONS(345),
    [anon_sym_SLASH] = ACTIONS(343),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(343),
    [anon_sym_PIPE_GT] = ACTIONS(343),
    [anon_sym_COLON] = ACTIONS(345),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(343),
    [sym__newline] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(343),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [573] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(347),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [574] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(347),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [575] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(347),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [576] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(347),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [577] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(347),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [578] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(347),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [579] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(347),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [580] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(347),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [581] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(347),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [582] = {
    [sym_string] = STATE(911),
    [sym__single_quoted_string] = STATE(748),
    [sym__double_quoted_string] = STATE(749),
    [sym__string_or_identifier] = STATE(911),
    [aux_sym_function_definition_repeat1] = STATE(601),
    [sym_identifier] = ACTIONS(913),
    [anon_sym_BSLASH] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(725),
    [anon_sym_repeat] = ACTIONS(725),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(721),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(721),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_LT_DASH] = ACTIONS(721),
    [anon_sym_LT_LT_DASH] = ACTIONS(721),
    [anon_sym_COLON_EQ] = ACTIONS(721),
    [anon_sym_DASH_GT] = ACTIONS(725),
    [anon_sym_DASH_GT_GT] = ACTIONS(721),
    [anon_sym_PIPE] = ACTIONS(725),
    [anon_sym_AMP] = ACTIONS(725),
    [anon_sym_PIPE_PIPE] = ACTIONS(721),
    [anon_sym_AMP_AMP] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(725),
    [anon_sym_LT_EQ] = ACTIONS(721),
    [anon_sym_GT] = ACTIONS(725),
    [anon_sym_GT_EQ] = ACTIONS(721),
    [anon_sym_EQ_EQ] = ACTIONS(721),
    [anon_sym_BANG_EQ] = ACTIONS(721),
    [anon_sym_STAR] = ACTIONS(725),
    [anon_sym_SLASH] = ACTIONS(721),
    [anon_sym_STAR_STAR] = ACTIONS(721),
    [anon_sym_CARET] = ACTIONS(721),
    [aux_sym_binary_operator_token1] = ACTIONS(721),
    [anon_sym_PIPE_GT] = ACTIONS(721),
    [anon_sym_COLON] = ACTIONS(725),
    [anon_sym_DOLLAR] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(721),
    [sym__hex_literal] = ACTIONS(721),
    [sym__number_literal] = ACTIONS(725),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(917),
    [sym_return] = ACTIONS(725),
    [sym_next] = ACTIONS(725),
    [sym_break] = ACTIONS(725),
    [sym_true] = ACTIONS(725),
    [sym_false] = ACTIONS(725),
    [sym_null] = ACTIONS(725),
    [sym_inf] = ACTIONS(725),
    [sym_nan] = ACTIONS(725),
    [anon_sym_NA] = ACTIONS(725),
    [anon_sym_NA_integer_] = ACTIONS(725),
    [anon_sym_NA_real_] = ACTIONS(725),
    [anon_sym_NA_complex_] = ACTIONS(725),
    [anon_sym_NA_character_] = ACTIONS(725),
    [sym_dots] = ACTIONS(725),
    [sym_dot_dot_i] = ACTIONS(721),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(721),
    [sym__newline] = ACTIONS(919),
    [sym__raw_string_literal] = ACTIONS(921),
    [sym__external_else] = ACTIONS(721),
    [sym__external_open_parenthesis] = ACTIONS(721),
    [sym__external_open_brace] = ACTIONS(721),
    [sym__external_open_bracket] = ACTIONS(721),
    [sym__external_open_bracket2] = ACTIONS(721),
    [sym__external_close_bracket2] = ACTIONS(721),
  },
  [583] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(347),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [584] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(349),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(347),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [585] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(347),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [586] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(349),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(347),
    [sym__newline] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(347),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [587] = {
    [sym_function_definition] = STATE(445),
    [sym_if_statement] = STATE(445),
    [sym_for_statement] = STATE(445),
    [sym_while_statement] = STATE(445),
    [sym_repeat_statement] = STATE(445),
    [sym_braced_expression] = STATE(445),
    [sym_parenthesized_expression] = STATE(445),
    [sym_call] = STATE(445),
    [sym_subset] = STATE(445),
    [sym_subset2] = STATE(445),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2057),
    [sym__argument_named] = STATE(2066),
    [sym__argument_unnamed] = STATE(2060),
    [sym__argument_value] = STATE(2062),
    [sym_unary_operator] = STATE(445),
    [sym_binary_operator] = STATE(445),
    [sym_extract_operator] = STATE(445),
    [sym_namespace_operator] = STATE(445),
    [sym_integer] = STATE(445),
    [sym_complex] = STATE(445),
    [sym_float] = STATE(445),
    [sym__float_literal] = STATE(772),
    [sym_string] = STATE(761),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym_na] = STATE(445),
    [sym__expression] = STATE(445),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(1027),
    [sym__open_brace] = STATE(927),
    [sym__close_bracket] = STATE(943),
    [aux_sym_call_arguments_repeat1] = STATE(690),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_BSLASH] = ACTIONS(523),
    [anon_sym_function] = ACTIONS(525),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_repeat] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(539),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [sym__hex_literal] = ACTIONS(543),
    [sym__number_literal] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(551),
    [sym_next] = ACTIONS(551),
    [sym_break] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_inf] = ACTIONS(551),
    [sym_nan] = ACTIONS(551),
    [anon_sym_NA] = ACTIONS(553),
    [anon_sym_NA_integer_] = ACTIONS(553),
    [anon_sym_NA_real_] = ACTIONS(553),
    [anon_sym_NA_complex_] = ACTIONS(553),
    [anon_sym_NA_character_] = ACTIONS(553),
    [sym_dots] = ACTIONS(555),
    [sym_dot_dot_i] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(559),
    [sym__newline] = ACTIONS(561),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(565),
    [sym__external_open_brace] = ACTIONS(567),
    [sym__external_close_bracket] = ACTIONS(923),
  },
  [588] = {
    [sym_function_definition] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_while_statement] = STATE(517),
    [sym_repeat_statement] = STATE(517),
    [sym_braced_expression] = STATE(517),
    [sym_parenthesized_expression] = STATE(517),
    [sym_call] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym__argument] = STATE(2065),
    [sym_argument] = STATE(2077),
    [sym__argument_named] = STATE(2063),
    [sym__argument_unnamed] = STATE(2070),
    [sym__argument_value] = STATE(2078),
    [sym_unary_operator] = STATE(517),
    [sym_binary_operator] = STATE(517),
    [sym_extract_operator] = STATE(517),
    [sym_namespace_operator] = STATE(517),
    [sym_integer] = STATE(517),
    [sym_complex] = STATE(517),
    [sym_float] = STATE(517),
    [sym__float_literal] = STATE(778),
    [sym_string] = STATE(781),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(928),
    [sym__close_bracket2] = STATE(944),
    [aux_sym_call_arguments_repeat1] = STATE(699),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_BSLASH] = ACTIONS(573),
    [anon_sym_function] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_while] = ACTIONS(581),
    [anon_sym_repeat] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [sym__hex_literal] = ACTIONS(593),
    [sym__number_literal] = ACTIONS(595),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(601),
    [sym_next] = ACTIONS(601),
    [sym_break] = ACTIONS(601),
    [sym_true] = ACTIONS(601),
    [sym_false] = ACTIONS(601),
    [sym_null] = ACTIONS(601),
    [sym_inf] = ACTIONS(601),
    [sym_nan] = ACTIONS(601),
    [anon_sym_NA] = ACTIONS(603),
    [anon_sym_NA_integer_] = ACTIONS(603),
    [anon_sym_NA_real_] = ACTIONS(603),
    [anon_sym_NA_complex_] = ACTIONS(603),
    [anon_sym_NA_character_] = ACTIONS(603),
    [sym_dots] = ACTIONS(605),
    [sym_dot_dot_i] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(609),
    [sym__newline] = ACTIONS(611),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(615),
    [sym__external_open_brace] = ACTIONS(617),
    [sym__external_close_bracket2] = ACTIONS(925),
  },
  [589] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(353),
    [anon_sym_BSLASH] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(353),
    [anon_sym_for] = ACTIONS(353),
    [anon_sym_while] = ACTIONS(353),
    [anon_sym_repeat] = ACTIONS(353),
    [anon_sym_QMARK] = ACTIONS(351),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(351),
    [sym__number_literal] = ACTIONS(353),
    [anon_sym_SQUOTE] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_return] = ACTIONS(353),
    [sym_next] = ACTIONS(353),
    [sym_break] = ACTIONS(353),
    [sym_true] = ACTIONS(353),
    [sym_false] = ACTIONS(353),
    [sym_null] = ACTIONS(353),
    [sym_inf] = ACTIONS(353),
    [sym_nan] = ACTIONS(353),
    [anon_sym_NA] = ACTIONS(353),
    [anon_sym_NA_integer_] = ACTIONS(353),
    [anon_sym_NA_real_] = ACTIONS(353),
    [anon_sym_NA_complex_] = ACTIONS(353),
    [anon_sym_NA_character_] = ACTIONS(353),
    [sym_dots] = ACTIONS(353),
    [sym_dot_dot_i] = ACTIONS(351),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(351),
    [sym__newline] = ACTIONS(351),
    [sym__raw_string_literal] = ACTIONS(351),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(351),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(351),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [590] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(357),
    [anon_sym_BSLASH] = ACTIONS(355),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_repeat] = ACTIONS(357),
    [anon_sym_QMARK] = ACTIONS(355),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(355),
    [sym__number_literal] = ACTIONS(357),
    [anon_sym_SQUOTE] = ACTIONS(355),
    [anon_sym_DQUOTE] = ACTIONS(355),
    [sym_return] = ACTIONS(357),
    [sym_next] = ACTIONS(357),
    [sym_break] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_inf] = ACTIONS(357),
    [sym_nan] = ACTIONS(357),
    [anon_sym_NA] = ACTIONS(357),
    [anon_sym_NA_integer_] = ACTIONS(357),
    [anon_sym_NA_real_] = ACTIONS(357),
    [anon_sym_NA_complex_] = ACTIONS(357),
    [anon_sym_NA_character_] = ACTIONS(357),
    [sym_dots] = ACTIONS(357),
    [sym_dot_dot_i] = ACTIONS(355),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(355),
    [sym__newline] = ACTIONS(355),
    [sym__raw_string_literal] = ACTIONS(355),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(355),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(355),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [591] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(359),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [592] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(359),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [593] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(359),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [594] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(359),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [595] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(359),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [596] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(359),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [597] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(359),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [598] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(359),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [599] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(359),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [600] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(359),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [601] = {
    [sym_string] = STATE(918),
    [sym__single_quoted_string] = STATE(748),
    [sym__double_quoted_string] = STATE(749),
    [sym__string_or_identifier] = STATE(918),
    [aux_sym_function_definition_repeat1] = STATE(797),
    [sym_identifier] = ACTIONS(927),
    [anon_sym_BSLASH] = ACTIONS(735),
    [anon_sym_function] = ACTIONS(739),
    [anon_sym_EQ] = ACTIONS(739),
    [anon_sym_if] = ACTIONS(739),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(739),
    [anon_sym_repeat] = ACTIONS(739),
    [anon_sym_QMARK] = ACTIONS(735),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(739),
    [anon_sym_LT_DASH] = ACTIONS(735),
    [anon_sym_LT_LT_DASH] = ACTIONS(735),
    [anon_sym_COLON_EQ] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(739),
    [anon_sym_DASH_GT_GT] = ACTIONS(735),
    [anon_sym_PIPE] = ACTIONS(739),
    [anon_sym_AMP] = ACTIONS(739),
    [anon_sym_PIPE_PIPE] = ACTIONS(735),
    [anon_sym_AMP_AMP] = ACTIONS(735),
    [anon_sym_LT] = ACTIONS(739),
    [anon_sym_LT_EQ] = ACTIONS(735),
    [anon_sym_GT] = ACTIONS(739),
    [anon_sym_GT_EQ] = ACTIONS(735),
    [anon_sym_EQ_EQ] = ACTIONS(735),
    [anon_sym_BANG_EQ] = ACTIONS(735),
    [anon_sym_STAR] = ACTIONS(739),
    [anon_sym_SLASH] = ACTIONS(735),
    [anon_sym_STAR_STAR] = ACTIONS(735),
    [anon_sym_CARET] = ACTIONS(735),
    [aux_sym_binary_operator_token1] = ACTIONS(735),
    [anon_sym_PIPE_GT] = ACTIONS(735),
    [anon_sym_COLON] = ACTIONS(739),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(735),
    [sym__hex_literal] = ACTIONS(735),
    [sym__number_literal] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(917),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(739),
    [sym_dot_dot_i] = ACTIONS(735),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(735),
    [sym__newline] = ACTIONS(735),
    [sym__raw_string_literal] = ACTIONS(921),
    [sym__external_else] = ACTIONS(735),
    [sym__external_open_parenthesis] = ACTIONS(735),
    [sym__external_open_brace] = ACTIONS(735),
    [sym__external_open_bracket] = ACTIONS(735),
    [sym__external_open_bracket2] = ACTIONS(735),
    [sym__external_close_bracket2] = ACTIONS(735),
  },
  [602] = {
    [sym_function_definition] = STATE(445),
    [sym_if_statement] = STATE(445),
    [sym_for_statement] = STATE(445),
    [sym_while_statement] = STATE(445),
    [sym_repeat_statement] = STATE(445),
    [sym_braced_expression] = STATE(445),
    [sym_parenthesized_expression] = STATE(445),
    [sym_call] = STATE(445),
    [sym_subset] = STATE(445),
    [sym_subset2] = STATE(445),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2057),
    [sym__argument_named] = STATE(2066),
    [sym__argument_unnamed] = STATE(2060),
    [sym__argument_value] = STATE(2062),
    [sym_unary_operator] = STATE(445),
    [sym_binary_operator] = STATE(445),
    [sym_extract_operator] = STATE(445),
    [sym_namespace_operator] = STATE(445),
    [sym_integer] = STATE(445),
    [sym_complex] = STATE(445),
    [sym_float] = STATE(445),
    [sym__float_literal] = STATE(772),
    [sym_string] = STATE(761),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym_na] = STATE(445),
    [sym__expression] = STATE(445),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(1027),
    [sym__open_brace] = STATE(927),
    [sym__close_bracket] = STATE(920),
    [aux_sym_call_arguments_repeat1] = STATE(690),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_BSLASH] = ACTIONS(523),
    [anon_sym_function] = ACTIONS(525),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_repeat] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(539),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [sym__hex_literal] = ACTIONS(543),
    [sym__number_literal] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(551),
    [sym_next] = ACTIONS(551),
    [sym_break] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_inf] = ACTIONS(551),
    [sym_nan] = ACTIONS(551),
    [anon_sym_NA] = ACTIONS(553),
    [anon_sym_NA_integer_] = ACTIONS(553),
    [anon_sym_NA_real_] = ACTIONS(553),
    [anon_sym_NA_complex_] = ACTIONS(553),
    [anon_sym_NA_character_] = ACTIONS(553),
    [sym_dots] = ACTIONS(555),
    [sym_dot_dot_i] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(559),
    [sym__newline] = ACTIONS(561),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(565),
    [sym__external_open_brace] = ACTIONS(567),
    [sym__external_close_bracket] = ACTIONS(929),
  },
  [603] = {
    [sym_function_definition] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_while_statement] = STATE(517),
    [sym_repeat_statement] = STATE(517),
    [sym_braced_expression] = STATE(517),
    [sym_parenthesized_expression] = STATE(517),
    [sym_call] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym__argument] = STATE(2065),
    [sym_argument] = STATE(2077),
    [sym__argument_named] = STATE(2063),
    [sym__argument_unnamed] = STATE(2070),
    [sym__argument_value] = STATE(2078),
    [sym_unary_operator] = STATE(517),
    [sym_binary_operator] = STATE(517),
    [sym_extract_operator] = STATE(517),
    [sym_namespace_operator] = STATE(517),
    [sym_integer] = STATE(517),
    [sym_complex] = STATE(517),
    [sym_float] = STATE(517),
    [sym__float_literal] = STATE(778),
    [sym_string] = STATE(781),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(928),
    [sym__close_bracket2] = STATE(921),
    [aux_sym_call_arguments_repeat1] = STATE(699),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_BSLASH] = ACTIONS(573),
    [anon_sym_function] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_while] = ACTIONS(581),
    [anon_sym_repeat] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [sym__hex_literal] = ACTIONS(593),
    [sym__number_literal] = ACTIONS(595),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(601),
    [sym_next] = ACTIONS(601),
    [sym_break] = ACTIONS(601),
    [sym_true] = ACTIONS(601),
    [sym_false] = ACTIONS(601),
    [sym_null] = ACTIONS(601),
    [sym_inf] = ACTIONS(601),
    [sym_nan] = ACTIONS(601),
    [anon_sym_NA] = ACTIONS(603),
    [anon_sym_NA_integer_] = ACTIONS(603),
    [anon_sym_NA_real_] = ACTIONS(603),
    [anon_sym_NA_complex_] = ACTIONS(603),
    [anon_sym_NA_character_] = ACTIONS(603),
    [sym_dots] = ACTIONS(605),
    [sym_dot_dot_i] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(609),
    [sym__newline] = ACTIONS(611),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(615),
    [sym__external_open_brace] = ACTIONS(617),
    [sym__external_close_bracket2] = ACTIONS(931),
  },
  [604] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(361),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(359),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [605] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(359),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [606] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_repeat] = ACTIONS(361),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_BANG] = ACTIONS(361),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_LT_DASH] = ACTIONS(359),
    [anon_sym_LT_LT_DASH] = ACTIONS(359),
    [anon_sym_COLON_EQ] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(361),
    [anon_sym_AMP] = ACTIONS(361),
    [anon_sym_PIPE_PIPE] = ACTIONS(359),
    [anon_sym_AMP_AMP] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_GT] = ACTIONS(361),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_EQ_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(361),
    [anon_sym_SLASH] = ACTIONS(359),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(359),
    [anon_sym_PIPE_GT] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(361),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_return] = ACTIONS(361),
    [sym_next] = ACTIONS(361),
    [sym_break] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_null] = ACTIONS(361),
    [sym_inf] = ACTIONS(361),
    [sym_nan] = ACTIONS(361),
    [anon_sym_NA] = ACTIONS(361),
    [anon_sym_NA_integer_] = ACTIONS(361),
    [anon_sym_NA_real_] = ACTIONS(361),
    [anon_sym_NA_complex_] = ACTIONS(361),
    [anon_sym_NA_character_] = ACTIONS(361),
    [sym_dots] = ACTIONS(361),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(359),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [607] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(365),
    [anon_sym_BSLASH] = ACTIONS(363),
    [anon_sym_function] = ACTIONS(365),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_repeat] = ACTIONS(365),
    [anon_sym_QMARK] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(365),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(363),
    [sym__number_literal] = ACTIONS(365),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [sym_return] = ACTIONS(365),
    [sym_next] = ACTIONS(365),
    [sym_break] = ACTIONS(365),
    [sym_true] = ACTIONS(365),
    [sym_false] = ACTIONS(365),
    [sym_null] = ACTIONS(365),
    [sym_inf] = ACTIONS(365),
    [sym_nan] = ACTIONS(365),
    [anon_sym_NA] = ACTIONS(365),
    [anon_sym_NA_integer_] = ACTIONS(365),
    [anon_sym_NA_real_] = ACTIONS(365),
    [anon_sym_NA_complex_] = ACTIONS(365),
    [anon_sym_NA_character_] = ACTIONS(365),
    [sym_dots] = ACTIONS(365),
    [sym_dot_dot_i] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(363),
    [sym__newline] = ACTIONS(363),
    [sym__raw_string_literal] = ACTIONS(363),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(363),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(363),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [608] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(369),
    [anon_sym_BSLASH] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(369),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(369),
    [anon_sym_repeat] = ACTIONS(369),
    [anon_sym_QMARK] = ACTIONS(367),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(367),
    [sym__number_literal] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(367),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [sym_return] = ACTIONS(369),
    [sym_next] = ACTIONS(369),
    [sym_break] = ACTIONS(369),
    [sym_true] = ACTIONS(369),
    [sym_false] = ACTIONS(369),
    [sym_null] = ACTIONS(369),
    [sym_inf] = ACTIONS(369),
    [sym_nan] = ACTIONS(369),
    [anon_sym_NA] = ACTIONS(369),
    [anon_sym_NA_integer_] = ACTIONS(369),
    [anon_sym_NA_real_] = ACTIONS(369),
    [anon_sym_NA_complex_] = ACTIONS(369),
    [anon_sym_NA_character_] = ACTIONS(369),
    [sym_dots] = ACTIONS(369),
    [sym_dot_dot_i] = ACTIONS(367),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(367),
    [sym__newline] = ACTIONS(367),
    [sym__raw_string_literal] = ACTIONS(367),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(367),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(367),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [609] = {
    [sym_function_definition] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_while_statement] = STATE(498),
    [sym_repeat_statement] = STATE(498),
    [sym_braced_expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym__argument] = STATE(2071),
    [sym_argument] = STATE(2075),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2068),
    [sym__argument_value] = STATE(2076),
    [sym_unary_operator] = STATE(498),
    [sym_binary_operator] = STATE(498),
    [sym_extract_operator] = STATE(498),
    [sym_namespace_operator] = STATE(498),
    [sym_integer] = STATE(498),
    [sym_complex] = STATE(498),
    [sym_float] = STATE(498),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(770),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(998),
    [sym__open_brace] = STATE(922),
    [aux_sym_call_arguments_repeat1] = STATE(380),
    [sym_identifier] = ACTIONS(427),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(457),
    [sym_next] = ACTIONS(457),
    [sym_break] = ACTIONS(457),
    [sym_true] = ACTIONS(457),
    [sym_false] = ACTIONS(457),
    [sym_null] = ACTIONS(457),
    [sym_inf] = ACTIONS(457),
    [sym_nan] = ACTIONS(457),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(461),
    [sym_dot_dot_i] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(467),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(933),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [610] = {
    [sym_function_definition] = STATE(445),
    [sym_if_statement] = STATE(445),
    [sym_for_statement] = STATE(445),
    [sym_while_statement] = STATE(445),
    [sym_repeat_statement] = STATE(445),
    [sym_braced_expression] = STATE(445),
    [sym_parenthesized_expression] = STATE(445),
    [sym_call] = STATE(445),
    [sym_subset] = STATE(445),
    [sym_subset2] = STATE(445),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2057),
    [sym__argument_named] = STATE(2066),
    [sym__argument_unnamed] = STATE(2060),
    [sym__argument_value] = STATE(2062),
    [sym_unary_operator] = STATE(445),
    [sym_binary_operator] = STATE(445),
    [sym_extract_operator] = STATE(445),
    [sym_namespace_operator] = STATE(445),
    [sym_integer] = STATE(445),
    [sym_complex] = STATE(445),
    [sym_float] = STATE(445),
    [sym__float_literal] = STATE(772),
    [sym_string] = STATE(761),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym_na] = STATE(445),
    [sym__expression] = STATE(445),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(1027),
    [sym__open_brace] = STATE(927),
    [sym__close_bracket] = STATE(1005),
    [aux_sym_call_arguments_repeat1] = STATE(381),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_BSLASH] = ACTIONS(523),
    [anon_sym_function] = ACTIONS(525),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_repeat] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(539),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [sym__hex_literal] = ACTIONS(543),
    [sym__number_literal] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(551),
    [sym_next] = ACTIONS(551),
    [sym_break] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_inf] = ACTIONS(551),
    [sym_nan] = ACTIONS(551),
    [anon_sym_NA] = ACTIONS(553),
    [anon_sym_NA_integer_] = ACTIONS(553),
    [anon_sym_NA_real_] = ACTIONS(553),
    [anon_sym_NA_complex_] = ACTIONS(553),
    [anon_sym_NA_character_] = ACTIONS(553),
    [sym_dots] = ACTIONS(555),
    [sym_dot_dot_i] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(559),
    [sym__newline] = ACTIONS(561),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(565),
    [sym__external_open_brace] = ACTIONS(567),
    [sym__external_close_bracket] = ACTIONS(935),
  },
  [611] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [612] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_for] = ACTIONS(377),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_repeat] = ACTIONS(377),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(375),
    [sym__number_literal] = ACTIONS(377),
    [anon_sym_SQUOTE] = ACTIONS(375),
    [anon_sym_DQUOTE] = ACTIONS(375),
    [sym_return] = ACTIONS(377),
    [sym_next] = ACTIONS(377),
    [sym_break] = ACTIONS(377),
    [sym_true] = ACTIONS(377),
    [sym_false] = ACTIONS(377),
    [sym_null] = ACTIONS(377),
    [sym_inf] = ACTIONS(377),
    [sym_nan] = ACTIONS(377),
    [anon_sym_NA] = ACTIONS(377),
    [anon_sym_NA_integer_] = ACTIONS(377),
    [anon_sym_NA_real_] = ACTIONS(377),
    [anon_sym_NA_complex_] = ACTIONS(377),
    [anon_sym_NA_character_] = ACTIONS(377),
    [sym_dots] = ACTIONS(377),
    [sym_dot_dot_i] = ACTIONS(375),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(375),
    [sym__newline] = ACTIONS(375),
    [sym__raw_string_literal] = ACTIONS(375),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(375),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(375),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [613] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_BSLASH] = ACTIONS(379),
    [anon_sym_function] = ACTIONS(381),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(381),
    [anon_sym_repeat] = ACTIONS(381),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(379),
    [sym__number_literal] = ACTIONS(381),
    [anon_sym_SQUOTE] = ACTIONS(379),
    [anon_sym_DQUOTE] = ACTIONS(379),
    [sym_return] = ACTIONS(381),
    [sym_next] = ACTIONS(381),
    [sym_break] = ACTIONS(381),
    [sym_true] = ACTIONS(381),
    [sym_false] = ACTIONS(381),
    [sym_null] = ACTIONS(381),
    [sym_inf] = ACTIONS(381),
    [sym_nan] = ACTIONS(381),
    [anon_sym_NA] = ACTIONS(381),
    [anon_sym_NA_integer_] = ACTIONS(381),
    [anon_sym_NA_real_] = ACTIONS(381),
    [anon_sym_NA_complex_] = ACTIONS(381),
    [anon_sym_NA_character_] = ACTIONS(381),
    [sym_dots] = ACTIONS(381),
    [sym_dot_dot_i] = ACTIONS(379),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(379),
    [sym__newline] = ACTIONS(379),
    [sym__raw_string_literal] = ACTIONS(379),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(379),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(379),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [614] = {
    [sym_function_definition] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_while_statement] = STATE(517),
    [sym_repeat_statement] = STATE(517),
    [sym_braced_expression] = STATE(517),
    [sym_parenthesized_expression] = STATE(517),
    [sym_call] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym__argument] = STATE(2065),
    [sym_argument] = STATE(2077),
    [sym__argument_named] = STATE(2063),
    [sym__argument_unnamed] = STATE(2070),
    [sym__argument_value] = STATE(2078),
    [sym_unary_operator] = STATE(517),
    [sym_binary_operator] = STATE(517),
    [sym_extract_operator] = STATE(517),
    [sym_namespace_operator] = STATE(517),
    [sym_integer] = STATE(517),
    [sym_complex] = STATE(517),
    [sym_float] = STATE(517),
    [sym__float_literal] = STATE(778),
    [sym_string] = STATE(781),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(928),
    [sym__close_bracket2] = STATE(1031),
    [aux_sym_call_arguments_repeat1] = STATE(382),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_BSLASH] = ACTIONS(573),
    [anon_sym_function] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_while] = ACTIONS(581),
    [anon_sym_repeat] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [sym__hex_literal] = ACTIONS(593),
    [sym__number_literal] = ACTIONS(595),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(601),
    [sym_next] = ACTIONS(601),
    [sym_break] = ACTIONS(601),
    [sym_true] = ACTIONS(601),
    [sym_false] = ACTIONS(601),
    [sym_null] = ACTIONS(601),
    [sym_inf] = ACTIONS(601),
    [sym_nan] = ACTIONS(601),
    [anon_sym_NA] = ACTIONS(603),
    [anon_sym_NA_integer_] = ACTIONS(603),
    [anon_sym_NA_real_] = ACTIONS(603),
    [anon_sym_NA_complex_] = ACTIONS(603),
    [anon_sym_NA_character_] = ACTIONS(603),
    [sym_dots] = ACTIONS(605),
    [sym_dot_dot_i] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(609),
    [sym__newline] = ACTIONS(611),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(615),
    [sym__external_open_brace] = ACTIONS(617),
    [sym__external_close_bracket2] = ACTIONS(937),
  },
  [615] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [616] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(389),
    [anon_sym_BSLASH] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(389),
    [anon_sym_repeat] = ACTIONS(389),
    [anon_sym_QMARK] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(389),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(387),
    [sym__number_literal] = ACTIONS(389),
    [anon_sym_SQUOTE] = ACTIONS(387),
    [anon_sym_DQUOTE] = ACTIONS(387),
    [sym_return] = ACTIONS(389),
    [sym_next] = ACTIONS(389),
    [sym_break] = ACTIONS(389),
    [sym_true] = ACTIONS(389),
    [sym_false] = ACTIONS(389),
    [sym_null] = ACTIONS(389),
    [sym_inf] = ACTIONS(389),
    [sym_nan] = ACTIONS(389),
    [anon_sym_NA] = ACTIONS(389),
    [anon_sym_NA_integer_] = ACTIONS(389),
    [anon_sym_NA_real_] = ACTIONS(389),
    [anon_sym_NA_complex_] = ACTIONS(389),
    [anon_sym_NA_character_] = ACTIONS(389),
    [sym_dots] = ACTIONS(389),
    [sym_dot_dot_i] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(387),
    [sym__newline] = ACTIONS(387),
    [sym__raw_string_literal] = ACTIONS(387),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(387),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(387),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [617] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(393),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_function] = ACTIONS(393),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(393),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(393),
    [anon_sym_QMARK] = ACTIONS(391),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(391),
    [sym__number_literal] = ACTIONS(393),
    [anon_sym_SQUOTE] = ACTIONS(391),
    [anon_sym_DQUOTE] = ACTIONS(391),
    [sym_return] = ACTIONS(393),
    [sym_next] = ACTIONS(393),
    [sym_break] = ACTIONS(393),
    [sym_true] = ACTIONS(393),
    [sym_false] = ACTIONS(393),
    [sym_null] = ACTIONS(393),
    [sym_inf] = ACTIONS(393),
    [sym_nan] = ACTIONS(393),
    [anon_sym_NA] = ACTIONS(393),
    [anon_sym_NA_integer_] = ACTIONS(393),
    [anon_sym_NA_real_] = ACTIONS(393),
    [anon_sym_NA_complex_] = ACTIONS(393),
    [anon_sym_NA_character_] = ACTIONS(393),
    [sym_dots] = ACTIONS(393),
    [sym_dot_dot_i] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(391),
    [sym__newline] = ACTIONS(391),
    [sym__raw_string_literal] = ACTIONS(391),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(391),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(391),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [618] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(395),
    [anon_sym_function] = ACTIONS(397),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(397),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_while] = ACTIONS(397),
    [anon_sym_repeat] = ACTIONS(397),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(395),
    [sym__number_literal] = ACTIONS(397),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(395),
    [sym_return] = ACTIONS(397),
    [sym_next] = ACTIONS(397),
    [sym_break] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_inf] = ACTIONS(397),
    [sym_nan] = ACTIONS(397),
    [anon_sym_NA] = ACTIONS(397),
    [anon_sym_NA_integer_] = ACTIONS(397),
    [anon_sym_NA_real_] = ACTIONS(397),
    [anon_sym_NA_complex_] = ACTIONS(397),
    [anon_sym_NA_character_] = ACTIONS(397),
    [sym_dots] = ACTIONS(397),
    [sym_dot_dot_i] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(395),
    [sym__newline] = ACTIONS(395),
    [sym__raw_string_literal] = ACTIONS(395),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(395),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(395),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [619] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(399),
    [anon_sym_function] = ACTIONS(401),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(401),
    [anon_sym_repeat] = ACTIONS(401),
    [anon_sym_QMARK] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(401),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(399),
    [sym__number_literal] = ACTIONS(401),
    [anon_sym_SQUOTE] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(399),
    [sym_return] = ACTIONS(401),
    [sym_next] = ACTIONS(401),
    [sym_break] = ACTIONS(401),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [sym_null] = ACTIONS(401),
    [sym_inf] = ACTIONS(401),
    [sym_nan] = ACTIONS(401),
    [anon_sym_NA] = ACTIONS(401),
    [anon_sym_NA_integer_] = ACTIONS(401),
    [anon_sym_NA_real_] = ACTIONS(401),
    [anon_sym_NA_complex_] = ACTIONS(401),
    [anon_sym_NA_character_] = ACTIONS(401),
    [sym_dots] = ACTIONS(401),
    [sym_dot_dot_i] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(399),
    [sym__newline] = ACTIONS(399),
    [sym__raw_string_literal] = ACTIONS(399),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(399),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(399),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [620] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(405),
    [anon_sym_BSLASH] = ACTIONS(403),
    [anon_sym_function] = ACTIONS(405),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(405),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(405),
    [anon_sym_QMARK] = ACTIONS(403),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(405),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(403),
    [sym__number_literal] = ACTIONS(405),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_return] = ACTIONS(405),
    [sym_next] = ACTIONS(405),
    [sym_break] = ACTIONS(405),
    [sym_true] = ACTIONS(405),
    [sym_false] = ACTIONS(405),
    [sym_null] = ACTIONS(405),
    [sym_inf] = ACTIONS(405),
    [sym_nan] = ACTIONS(405),
    [anon_sym_NA] = ACTIONS(405),
    [anon_sym_NA_integer_] = ACTIONS(405),
    [anon_sym_NA_real_] = ACTIONS(405),
    [anon_sym_NA_complex_] = ACTIONS(405),
    [anon_sym_NA_character_] = ACTIONS(405),
    [sym_dots] = ACTIONS(405),
    [sym_dot_dot_i] = ACTIONS(403),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(403),
    [sym__newline] = ACTIONS(403),
    [sym__raw_string_literal] = ACTIONS(403),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(403),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(403),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [621] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_for] = ACTIONS(409),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_repeat] = ACTIONS(409),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(409),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(407),
    [sym__number_literal] = ACTIONS(409),
    [anon_sym_SQUOTE] = ACTIONS(407),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_return] = ACTIONS(409),
    [sym_next] = ACTIONS(409),
    [sym_break] = ACTIONS(409),
    [sym_true] = ACTIONS(409),
    [sym_false] = ACTIONS(409),
    [sym_null] = ACTIONS(409),
    [sym_inf] = ACTIONS(409),
    [sym_nan] = ACTIONS(409),
    [anon_sym_NA] = ACTIONS(409),
    [anon_sym_NA_integer_] = ACTIONS(409),
    [anon_sym_NA_real_] = ACTIONS(409),
    [anon_sym_NA_complex_] = ACTIONS(409),
    [anon_sym_NA_character_] = ACTIONS(409),
    [sym_dots] = ACTIONS(409),
    [sym_dot_dot_i] = ACTIONS(407),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(407),
    [sym__newline] = ACTIONS(407),
    [sym__raw_string_literal] = ACTIONS(407),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(407),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(407),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [622] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(413),
    [anon_sym_BSLASH] = ACTIONS(411),
    [anon_sym_function] = ACTIONS(413),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_repeat] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(411),
    [sym__number_literal] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(411),
    [anon_sym_DQUOTE] = ACTIONS(411),
    [sym_return] = ACTIONS(413),
    [sym_next] = ACTIONS(413),
    [sym_break] = ACTIONS(413),
    [sym_true] = ACTIONS(413),
    [sym_false] = ACTIONS(413),
    [sym_null] = ACTIONS(413),
    [sym_inf] = ACTIONS(413),
    [sym_nan] = ACTIONS(413),
    [anon_sym_NA] = ACTIONS(413),
    [anon_sym_NA_integer_] = ACTIONS(413),
    [anon_sym_NA_real_] = ACTIONS(413),
    [anon_sym_NA_complex_] = ACTIONS(413),
    [anon_sym_NA_character_] = ACTIONS(413),
    [sym_dots] = ACTIONS(413),
    [sym_dot_dot_i] = ACTIONS(411),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(411),
    [sym__newline] = ACTIONS(411),
    [sym__raw_string_literal] = ACTIONS(411),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(411),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(411),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [623] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_BSLASH] = ACTIONS(323),
    [anon_sym_function] = ACTIONS(325),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_repeat] = ACTIONS(325),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(323),
    [sym__number_literal] = ACTIONS(325),
    [anon_sym_SQUOTE] = ACTIONS(323),
    [anon_sym_DQUOTE] = ACTIONS(323),
    [sym_return] = ACTIONS(325),
    [sym_next] = ACTIONS(325),
    [sym_break] = ACTIONS(325),
    [sym_true] = ACTIONS(325),
    [sym_false] = ACTIONS(325),
    [sym_null] = ACTIONS(325),
    [sym_inf] = ACTIONS(325),
    [sym_nan] = ACTIONS(325),
    [anon_sym_NA] = ACTIONS(325),
    [anon_sym_NA_integer_] = ACTIONS(325),
    [anon_sym_NA_real_] = ACTIONS(325),
    [anon_sym_NA_complex_] = ACTIONS(325),
    [anon_sym_NA_character_] = ACTIONS(325),
    [sym_dots] = ACTIONS(325),
    [sym_dot_dot_i] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(323),
    [sym__newline] = ACTIONS(323),
    [sym__raw_string_literal] = ACTIONS(323),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(323),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(323),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [624] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(417),
    [anon_sym_BSLASH] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_repeat] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(415),
    [sym__number_literal] = ACTIONS(417),
    [anon_sym_SQUOTE] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(415),
    [sym_return] = ACTIONS(417),
    [sym_next] = ACTIONS(417),
    [sym_break] = ACTIONS(417),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [sym_null] = ACTIONS(417),
    [sym_inf] = ACTIONS(417),
    [sym_nan] = ACTIONS(417),
    [anon_sym_NA] = ACTIONS(417),
    [anon_sym_NA_integer_] = ACTIONS(417),
    [anon_sym_NA_real_] = ACTIONS(417),
    [anon_sym_NA_complex_] = ACTIONS(417),
    [anon_sym_NA_character_] = ACTIONS(417),
    [sym_dots] = ACTIONS(417),
    [sym_dot_dot_i] = ACTIONS(415),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(415),
    [sym__newline] = ACTIONS(415),
    [sym__raw_string_literal] = ACTIONS(415),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(415),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(415),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [625] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(421),
    [anon_sym_BSLASH] = ACTIONS(419),
    [anon_sym_function] = ACTIONS(421),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_repeat] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(419),
    [sym__number_literal] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [sym_return] = ACTIONS(421),
    [sym_next] = ACTIONS(421),
    [sym_break] = ACTIONS(421),
    [sym_true] = ACTIONS(421),
    [sym_false] = ACTIONS(421),
    [sym_null] = ACTIONS(421),
    [sym_inf] = ACTIONS(421),
    [sym_nan] = ACTIONS(421),
    [anon_sym_NA] = ACTIONS(421),
    [anon_sym_NA_integer_] = ACTIONS(421),
    [anon_sym_NA_real_] = ACTIONS(421),
    [anon_sym_NA_complex_] = ACTIONS(421),
    [anon_sym_NA_character_] = ACTIONS(421),
    [sym_dots] = ACTIONS(421),
    [sym_dot_dot_i] = ACTIONS(419),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(419),
    [sym__newline] = ACTIONS(419),
    [sym__raw_string_literal] = ACTIONS(419),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(419),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(419),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [626] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_BSLASH] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_for] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_repeat] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(821),
    [anon_sym_PIPE_PIPE] = ACTIONS(823),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(833),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [aux_sym_binary_operator_token1] = ACTIONS(837),
    [anon_sym_PIPE_GT] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [sym__hex_literal] = ACTIONS(423),
    [sym__number_literal] = ACTIONS(425),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_return] = ACTIONS(425),
    [sym_next] = ACTIONS(425),
    [sym_break] = ACTIONS(425),
    [sym_true] = ACTIONS(425),
    [sym_false] = ACTIONS(425),
    [sym_null] = ACTIONS(425),
    [sym_inf] = ACTIONS(425),
    [sym_nan] = ACTIONS(425),
    [anon_sym_NA] = ACTIONS(425),
    [anon_sym_NA_integer_] = ACTIONS(425),
    [anon_sym_NA_real_] = ACTIONS(425),
    [anon_sym_NA_complex_] = ACTIONS(425),
    [anon_sym_NA_character_] = ACTIONS(425),
    [sym_dots] = ACTIONS(425),
    [sym_dot_dot_i] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(423),
    [sym__newline] = ACTIONS(423),
    [sym__raw_string_literal] = ACTIONS(423),
    [sym__external_open_parenthesis] = ACTIONS(843),
    [sym__external_open_brace] = ACTIONS(423),
    [sym__external_open_bracket] = ACTIONS(845),
    [sym__external_close_bracket] = ACTIONS(423),
    [sym__external_open_bracket2] = ACTIONS(847),
  },
  [627] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_BSLASH] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(329),
    [anon_sym_while] = ACTIONS(329),
    [anon_sym_repeat] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(329),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(327),
    [sym__number_literal] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [sym_return] = ACTIONS(329),
    [sym_next] = ACTIONS(329),
    [sym_break] = ACTIONS(329),
    [sym_true] = ACTIONS(329),
    [sym_false] = ACTIONS(329),
    [sym_null] = ACTIONS(329),
    [sym_inf] = ACTIONS(329),
    [sym_nan] = ACTIONS(329),
    [anon_sym_NA] = ACTIONS(329),
    [anon_sym_NA_integer_] = ACTIONS(329),
    [anon_sym_NA_real_] = ACTIONS(329),
    [anon_sym_NA_complex_] = ACTIONS(329),
    [anon_sym_NA_character_] = ACTIONS(329),
    [sym_dots] = ACTIONS(329),
    [sym_dot_dot_i] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(327),
    [sym__newline] = ACTIONS(327),
    [sym__raw_string_literal] = ACTIONS(327),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(327),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(327),
  },
  [628] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(505),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(507),
    [anon_sym_LT_LT_DASH] = ACTIONS(507),
    [anon_sym_COLON_EQ] = ACTIONS(507),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(331),
    [sym__newline] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(331),
  },
  [629] = {
    [sym_call_arguments] = STATE(951),
    [sym_subset_arguments] = STATE(952),
    [sym_subset2_arguments] = STATE(958),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(331),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_repeat] = ACTIONS(333),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(331),
    [anon_sym_LT_LT_DASH] = ACTIONS(331),
    [anon_sym_COLON_EQ] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(333),
    [anon_sym_DASH_GT_GT] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_AMP_AMP] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_STAR_STAR] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(489),
    [aux_sym_binary_operator_token1] = ACTIONS(491),
    [anon_sym_PIPE_GT] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_DOLLAR] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [sym__hex_literal] = ACTIONS(331),
    [sym__number_literal] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [sym_return] = ACTIONS(333),
    [sym_next] = ACTIONS(333),
    [sym_break] = ACTIONS(333),
    [sym_true] = ACTIONS(333),
    [sym_false] = ACTIONS(333),
    [sym_null] = ACTIONS(333),
    [sym_inf] = ACTIONS(333),
    [sym_nan] = ACTIONS(333),
    [anon_sym_NA] = ACTIONS(333),
    [anon_sym_NA_integer_] = ACTIONS(333),
    [anon_sym_NA_real_] = ACTIONS(333),
    [anon_sym_NA_complex_] = ACTIONS(333),
    [anon_sym_NA_character_] = ACTIONS(333),
    [sym_dots] = ACTIONS(333),
    [sym_dot_dot_i] = ACTIONS(331),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(331),
    [sym__newline] = ACTIONS(331),
    [sym__raw_string_literal] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(497),
    [sym__external_open_brace] = ACTIONS(331),
    [sym__external_open_bracket] = ACTIONS(499),
    [sym__external_open_bracket2] = ACTIONS(501),
    [sym__external_close_bracket2] = ACTIONS(331),
  },
  [630] = {
    [sym_function_definition] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_while_statement] = STATE(498),
    [sym_repeat_statement] = STATE(498),
    [sym_braced_expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym__argument] = STATE(2071),
    [sym_argument] = STATE(2075),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2068),
    [sym__argument_value] = STATE(2076),
    [sym_unary_operator] = STATE(498),
    [sym_binary_operator] = STATE(498),
    [sym_extract_operator] = STATE(498),
    [sym_namespace_operator] = STATE(498),
    [sym_integer] = STATE(498),
    [sym_complex] = STATE(498),
    [sym_float] = STATE(498),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(770),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(962),
    [sym__open_brace] = STATE(922),
    [aux_sym_call_arguments_repeat1] = STATE(446),
    [sym_identifier] = ACTIONS(427),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(457),
    [sym_next] = ACTIONS(457),
    [sym_break] = ACTIONS(457),
    [sym_true] = ACTIONS(457),
    [sym_false] = ACTIONS(457),
    [sym_null] = ACTIONS(457),
    [sym_inf] = ACTIONS(457),
    [sym_nan] = ACTIONS(457),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(461),
    [sym_dot_dot_i] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(467),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(939),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [631] = {
    [sym_function_definition] = STATE(445),
    [sym_if_statement] = STATE(445),
    [sym_for_statement] = STATE(445),
    [sym_while_statement] = STATE(445),
    [sym_repeat_statement] = STATE(445),
    [sym_braced_expression] = STATE(445),
    [sym_parenthesized_expression] = STATE(445),
    [sym_call] = STATE(445),
    [sym_subset] = STATE(445),
    [sym_subset2] = STATE(445),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2057),
    [sym__argument_named] = STATE(2066),
    [sym__argument_unnamed] = STATE(2060),
    [sym__argument_value] = STATE(2062),
    [sym_unary_operator] = STATE(445),
    [sym_binary_operator] = STATE(445),
    [sym_extract_operator] = STATE(445),
    [sym_namespace_operator] = STATE(445),
    [sym_integer] = STATE(445),
    [sym_complex] = STATE(445),
    [sym_float] = STATE(445),
    [sym__float_literal] = STATE(772),
    [sym_string] = STATE(761),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym_na] = STATE(445),
    [sym__expression] = STATE(445),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(1027),
    [sym__open_brace] = STATE(927),
    [sym__close_bracket] = STATE(963),
    [aux_sym_call_arguments_repeat1] = STATE(450),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_BSLASH] = ACTIONS(523),
    [anon_sym_function] = ACTIONS(525),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_repeat] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(539),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [sym__hex_literal] = ACTIONS(543),
    [sym__number_literal] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(551),
    [sym_next] = ACTIONS(551),
    [sym_break] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_inf] = ACTIONS(551),
    [sym_nan] = ACTIONS(551),
    [anon_sym_NA] = ACTIONS(553),
    [anon_sym_NA_integer_] = ACTIONS(553),
    [anon_sym_NA_real_] = ACTIONS(553),
    [anon_sym_NA_complex_] = ACTIONS(553),
    [anon_sym_NA_character_] = ACTIONS(553),
    [sym_dots] = ACTIONS(555),
    [sym_dot_dot_i] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(559),
    [sym__newline] = ACTIONS(561),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(565),
    [sym__external_open_brace] = ACTIONS(567),
    [sym__external_close_bracket] = ACTIONS(941),
  },
  [632] = {
    [sym_function_definition] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_while_statement] = STATE(517),
    [sym_repeat_statement] = STATE(517),
    [sym_braced_expression] = STATE(517),
    [sym_parenthesized_expression] = STATE(517),
    [sym_call] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym__argument] = STATE(2065),
    [sym_argument] = STATE(2077),
    [sym__argument_named] = STATE(2063),
    [sym__argument_unnamed] = STATE(2070),
    [sym__argument_value] = STATE(2078),
    [sym_unary_operator] = STATE(517),
    [sym_binary_operator] = STATE(517),
    [sym_extract_operator] = STATE(517),
    [sym_namespace_operator] = STATE(517),
    [sym_integer] = STATE(517),
    [sym_complex] = STATE(517),
    [sym_float] = STATE(517),
    [sym__float_literal] = STATE(778),
    [sym_string] = STATE(781),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(928),
    [sym__close_bracket2] = STATE(964),
    [aux_sym_call_arguments_repeat1] = STATE(451),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_BSLASH] = ACTIONS(573),
    [anon_sym_function] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_while] = ACTIONS(581),
    [anon_sym_repeat] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [sym__hex_literal] = ACTIONS(593),
    [sym__number_literal] = ACTIONS(595),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(601),
    [sym_next] = ACTIONS(601),
    [sym_break] = ACTIONS(601),
    [sym_true] = ACTIONS(601),
    [sym_false] = ACTIONS(601),
    [sym_null] = ACTIONS(601),
    [sym_inf] = ACTIONS(601),
    [sym_nan] = ACTIONS(601),
    [anon_sym_NA] = ACTIONS(603),
    [anon_sym_NA_integer_] = ACTIONS(603),
    [anon_sym_NA_real_] = ACTIONS(603),
    [anon_sym_NA_complex_] = ACTIONS(603),
    [anon_sym_NA_character_] = ACTIONS(603),
    [sym_dots] = ACTIONS(605),
    [sym_dot_dot_i] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(609),
    [sym__newline] = ACTIONS(611),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(615),
    [sym__external_open_brace] = ACTIONS(617),
    [sym__external_close_bracket2] = ACTIONS(943),
  },
  [633] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(343),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(343),
    [sym__semicolon] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [634] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(343),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_PIPE_PIPE] = ACTIONS(343),
    [anon_sym_AMP_AMP] = ACTIONS(343),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(343),
    [sym__semicolon] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [635] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(343),
    [sym_identifier] = ACTIONS(345),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(343),
    [anon_sym_DASH] = ACTIONS(345),
    [anon_sym_LT_DASH] = ACTIONS(343),
    [anon_sym_LT_LT_DASH] = ACTIONS(343),
    [anon_sym_COLON_EQ] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_PIPE_PIPE] = ACTIONS(343),
    [anon_sym_AMP_AMP] = ACTIONS(343),
    [anon_sym_LT] = ACTIONS(345),
    [anon_sym_LT_EQ] = ACTIONS(343),
    [anon_sym_GT] = ACTIONS(345),
    [anon_sym_GT_EQ] = ACTIONS(343),
    [anon_sym_EQ_EQ] = ACTIONS(343),
    [anon_sym_BANG_EQ] = ACTIONS(343),
    [anon_sym_STAR] = ACTIONS(345),
    [anon_sym_SLASH] = ACTIONS(343),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(343),
    [anon_sym_PIPE_GT] = ACTIONS(343),
    [anon_sym_COLON] = ACTIONS(345),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(343),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_dots] = ACTIONS(345),
    [sym_dot_dot_i] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(343),
    [sym__semicolon] = ACTIONS(343),
    [sym__raw_string_literal] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(343),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [636] = {
    [sym_function_definition] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_while_statement] = STATE(498),
    [sym_repeat_statement] = STATE(498),
    [sym_braced_expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym__argument] = STATE(2071),
    [sym_argument] = STATE(2075),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2068),
    [sym__argument_value] = STATE(2076),
    [sym_unary_operator] = STATE(498),
    [sym_binary_operator] = STATE(498),
    [sym_extract_operator] = STATE(498),
    [sym_namespace_operator] = STATE(498),
    [sym_integer] = STATE(498),
    [sym_complex] = STATE(498),
    [sym_float] = STATE(498),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(770),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(1062),
    [sym__open_brace] = STATE(922),
    [aux_sym_call_arguments_repeat1] = STATE(701),
    [sym_identifier] = ACTIONS(427),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(457),
    [sym_next] = ACTIONS(457),
    [sym_break] = ACTIONS(457),
    [sym_true] = ACTIONS(457),
    [sym_false] = ACTIONS(457),
    [sym_null] = ACTIONS(457),
    [sym_inf] = ACTIONS(457),
    [sym_nan] = ACTIONS(457),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(461),
    [sym_dot_dot_i] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(467),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(945),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [637] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [638] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [639] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [640] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [641] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(679),
    [anon_sym_LT_LT_DASH] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(679),
    [anon_sym_DASH_GT] = ACTIONS(681),
    [anon_sym_DASH_GT_GT] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [642] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(685),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(689),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [643] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [644] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(693),
    [anon_sym_LT_EQ] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(693),
    [anon_sym_GT_EQ] = ACTIONS(695),
    [anon_sym_EQ_EQ] = ACTIONS(695),
    [anon_sym_BANG_EQ] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [645] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [646] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(703),
    [anon_sym_PIPE_GT] = ACTIONS(703),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [647] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(349),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [648] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(705),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [649] = {
    [sym_call_arguments] = STATE(992),
    [sym_subset_arguments] = STATE(935),
    [sym_subset2_arguments] = STATE(1022),
    [sym__open_parenthesis] = STATE(609),
    [sym__open_bracket] = STATE(610),
    [sym__open_bracket2] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_identifier] = ACTIONS(349),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_EQ] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(349),
    [anon_sym_while] = ACTIONS(349),
    [anon_sym_repeat] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(347),
    [anon_sym_LT_LT_DASH] = ACTIONS(347),
    [anon_sym_COLON_EQ] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(349),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_PIPE] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(347),
    [anon_sym_AMP_AMP] = ACTIONS(347),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(347),
    [anon_sym_EQ_EQ] = ACTIONS(347),
    [anon_sym_BANG_EQ] = ACTIONS(347),
    [anon_sym_STAR] = ACTIONS(349),
    [anon_sym_SLASH] = ACTIONS(347),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(347),
    [anon_sym_PIPE_GT] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(349),
    [anon_sym_DOLLAR] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(707),
    [sym__hex_literal] = ACTIONS(347),
    [sym__number_literal] = ACTIONS(349),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_return] = ACTIONS(349),
    [sym_next] = ACTIONS(349),
    [sym_break] = ACTIONS(349),
    [sym_true] = ACTIONS(349),
    [sym_false] = ACTIONS(349),
    [sym_null] = ACTIONS(349),
    [sym_inf] = ACTIONS(349),
    [sym_nan] = ACTIONS(349),
    [anon_sym_NA] = ACTIONS(349),
    [anon_sym_NA_integer_] = ACTIONS(349),
    [anon_sym_NA_real_] = ACTIONS(349),
    [anon_sym_NA_complex_] = ACTIONS(349),
    [anon_sym_NA_character_] = ACTIONS(349),
    [sym_dots] = ACTIONS(349),
    [sym_dot_dot_i] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__semicolon] = ACTIONS(347),
    [sym__raw_string_literal] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(347),
    [sym__external_open_bracket] = ACTIONS(711),
    [sym__external_open_bracket2] = ACTIONS(713),
  },
  [650] = {
    [sym_function_definition] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_while_statement] = STATE(498),
    [sym_repeat_statement] = STATE(498),
    [sym_braced_expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym__argument] = STATE(2071),
    [sym_argument] = STATE(2075),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2068),
    [sym__argument_value] = STATE(2076),
    [sym_unary_operator] = STATE(498),
    [sym_binary_operator] = STATE(498),
    [sym_extract_operator] = STATE(498),
    [sym_namespace_operator] = STATE(498),
    [sym_integer] = STATE(498),
    [sym_complex] = STATE(498),
    [sym_float] = STATE(498),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(770),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(995),
    [sym__open_brace] = STATE(922),
    [aux_sym_call_arguments_repeat1] = STATE(636),
    [sym_identifier] = ACTIONS(427),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(457),
    [sym_next] = ACTIONS(457),
    [sym_break] = ACTIONS(457),
    [sym_true] = ACTIONS(457),
    [sym_false] = ACTIONS(457),
    [sym_null] = ACTIONS(457),
    [sym_inf] = ACTIONS(457),
    [sym_nan] = ACTIONS(457),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(461),
    [sym_dot_dot_i] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(467),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(947),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [651] = {
    [sym_function_definition] = STATE(445),
    [sym_if_statement] = STATE(445),
    [sym_for_statement] = STATE(445),
    [sym_while_statement] = STATE(445),
    [sym_repeat_statement] = STATE(445),
    [sym_braced_expression] = STATE(445),
    [sym_parenthesized_expression] = STATE(445),
    [sym_call] = STATE(445),
    [sym_subset] = STATE(445),
    [sym_subset2] = STATE(445),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2057),
    [sym__argument_named] = STATE(2066),
    [sym__argument_unnamed] = STATE(2060),
    [sym__argument_value] = STATE(2062),
    [sym_unary_operator] = STATE(445),
    [sym_binary_operator] = STATE(445),
    [sym_extract_operator] = STATE(445),
    [sym_namespace_operator] = STATE(445),
    [sym_integer] = STATE(445),
    [sym_complex] = STATE(445),
    [sym_float] = STATE(445),
    [sym__float_literal] = STATE(772),
    [sym_string] = STATE(761),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym_na] = STATE(445),
    [sym__expression] = STATE(445),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(1027),
    [sym__open_brace] = STATE(927),
    [sym__close_bracket] = STATE(997),
    [aux_sym_call_arguments_repeat1] = STATE(518),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_BSLASH] = ACTIONS(523),
    [anon_sym_function] = ACTIONS(525),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_repeat] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(539),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [sym__hex_literal] = ACTIONS(543),
    [sym__number_literal] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(551),
    [sym_next] = ACTIONS(551),
    [sym_break] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_inf] = ACTIONS(551),
    [sym_nan] = ACTIONS(551),
    [anon_sym_NA] = ACTIONS(553),
    [anon_sym_NA_integer_] = ACTIONS(553),
    [anon_sym_NA_real_] = ACTIONS(553),
    [anon_sym_NA_complex_] = ACTIONS(553),
    [anon_sym_NA_character_] = ACTIONS(553),
    [sym_dots] = ACTIONS(555),
    [sym_dot_dot_i] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(559),
    [sym__newline] = ACTIONS(561),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(565),
    [sym__external_open_brace] = ACTIONS(567),
    [sym__external_close_bracket] = ACTIONS(949),
  },
  [652] = {
    [sym_function_definition] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_while_statement] = STATE(517),
    [sym_repeat_statement] = STATE(517),
    [sym_braced_expression] = STATE(517),
    [sym_parenthesized_expression] = STATE(517),
    [sym_call] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym__argument] = STATE(2065),
    [sym_argument] = STATE(2077),
    [sym__argument_named] = STATE(2063),
    [sym__argument_unnamed] = STATE(2070),
    [sym__argument_value] = STATE(2078),
    [sym_unary_operator] = STATE(517),
    [sym_binary_operator] = STATE(517),
    [sym_extract_operator] = STATE(517),
    [sym_namespace_operator] = STATE(517),
    [sym_integer] = STATE(517),
    [sym_complex] = STATE(517),
    [sym_float] = STATE(517),
    [sym__float_literal] = STATE(778),
    [sym_string] = STATE(781),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(928),
    [sym__close_bracket2] = STATE(1001),
    [aux_sym_call_arguments_repeat1] = STATE(519),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_BSLASH] = ACTIONS(573),
    [anon_sym_function] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_while] = ACTIONS(581),
    [anon_sym_repeat] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [sym__hex_literal] = ACTIONS(593),
    [sym__number_literal] = ACTIONS(595),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(601),
    [sym_next] = ACTIONS(601),
    [sym_break] = ACTIONS(601),
    [sym_true] = ACTIONS(601),
    [sym_false] = ACTIONS(601),
    [sym_null] = ACTIONS(601),
    [sym_inf] = ACTIONS(601),
    [sym_nan] = ACTIONS(601),
    [anon_sym_NA] = ACTIONS(603),
    [anon_sym_NA_integer_] = ACTIONS(603),
    [anon_sym_NA_real_] = ACTIONS(603),
    [anon_sym_NA_complex_] = ACTIONS(603),
    [anon_sym_NA_character_] = ACTIONS(603),
    [sym_dots] = ACTIONS(605),
    [sym_dot_dot_i] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(609),
    [sym__newline] = ACTIONS(611),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(615),
    [sym__external_open_brace] = ACTIONS(617),
    [sym__external_close_bracket2] = ACTIONS(951),
  },
  [653] = {
    [sym_function_definition] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_while_statement] = STATE(498),
    [sym_repeat_statement] = STATE(498),
    [sym_braced_expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym__argument] = STATE(2071),
    [sym_argument] = STATE(2075),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2068),
    [sym__argument_value] = STATE(2076),
    [sym_unary_operator] = STATE(498),
    [sym_binary_operator] = STATE(498),
    [sym_extract_operator] = STATE(498),
    [sym_namespace_operator] = STATE(498),
    [sym_integer] = STATE(498),
    [sym_complex] = STATE(498),
    [sym_float] = STATE(498),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(770),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(2134),
    [sym__open_brace] = STATE(922),
    [aux_sym_call_arguments_repeat1] = STATE(701),
    [sym_identifier] = ACTIONS(427),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(457),
    [sym_next] = ACTIONS(457),
    [sym_break] = ACTIONS(457),
    [sym_true] = ACTIONS(457),
    [sym_false] = ACTIONS(457),
    [sym_null] = ACTIONS(457),
    [sym_inf] = ACTIONS(457),
    [sym_nan] = ACTIONS(457),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(461),
    [sym_dot_dot_i] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(467),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(953),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [654] = {
    [sym_function_definition] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_while_statement] = STATE(498),
    [sym_repeat_statement] = STATE(498),
    [sym_braced_expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym__argument] = STATE(2071),
    [sym_argument] = STATE(2075),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2068),
    [sym__argument_value] = STATE(2076),
    [sym_unary_operator] = STATE(498),
    [sym_binary_operator] = STATE(498),
    [sym_extract_operator] = STATE(498),
    [sym_namespace_operator] = STATE(498),
    [sym_integer] = STATE(498),
    [sym_complex] = STATE(498),
    [sym_float] = STATE(498),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(770),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(2130),
    [sym__open_brace] = STATE(922),
    [aux_sym_call_arguments_repeat1] = STATE(653),
    [sym_identifier] = ACTIONS(427),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(457),
    [sym_next] = ACTIONS(457),
    [sym_break] = ACTIONS(457),
    [sym_true] = ACTIONS(457),
    [sym_false] = ACTIONS(457),
    [sym_null] = ACTIONS(457),
    [sym_inf] = ACTIONS(457),
    [sym_nan] = ACTIONS(457),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(461),
    [sym_dot_dot_i] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(467),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(955),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [655] = {
    [sym_function_definition] = STATE(445),
    [sym_if_statement] = STATE(445),
    [sym_for_statement] = STATE(445),
    [sym_while_statement] = STATE(445),
    [sym_repeat_statement] = STATE(445),
    [sym_braced_expression] = STATE(445),
    [sym_parenthesized_expression] = STATE(445),
    [sym_call] = STATE(445),
    [sym_subset] = STATE(445),
    [sym_subset2] = STATE(445),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2057),
    [sym__argument_named] = STATE(2066),
    [sym__argument_unnamed] = STATE(2060),
    [sym__argument_value] = STATE(2062),
    [sym_unary_operator] = STATE(445),
    [sym_binary_operator] = STATE(445),
    [sym_extract_operator] = STATE(445),
    [sym_namespace_operator] = STATE(445),
    [sym_integer] = STATE(445),
    [sym_complex] = STATE(445),
    [sym_float] = STATE(445),
    [sym__float_literal] = STATE(772),
    [sym_string] = STATE(761),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym_na] = STATE(445),
    [sym__expression] = STATE(445),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(1027),
    [sym__open_brace] = STATE(927),
    [sym__close_bracket] = STATE(2123),
    [aux_sym_call_arguments_repeat1] = STATE(560),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_BSLASH] = ACTIONS(523),
    [anon_sym_function] = ACTIONS(525),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_repeat] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(539),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [sym__hex_literal] = ACTIONS(543),
    [sym__number_literal] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(551),
    [sym_next] = ACTIONS(551),
    [sym_break] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_inf] = ACTIONS(551),
    [sym_nan] = ACTIONS(551),
    [anon_sym_NA] = ACTIONS(553),
    [anon_sym_NA_integer_] = ACTIONS(553),
    [anon_sym_NA_real_] = ACTIONS(553),
    [anon_sym_NA_complex_] = ACTIONS(553),
    [anon_sym_NA_character_] = ACTIONS(553),
    [sym_dots] = ACTIONS(555),
    [sym_dot_dot_i] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(559),
    [sym__newline] = ACTIONS(561),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(565),
    [sym__external_open_brace] = ACTIONS(567),
    [sym__external_close_bracket] = ACTIONS(957),
  },
  [656] = {
    [sym_function_definition] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_while_statement] = STATE(517),
    [sym_repeat_statement] = STATE(517),
    [sym_braced_expression] = STATE(517),
    [sym_parenthesized_expression] = STATE(517),
    [sym_call] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym__argument] = STATE(2065),
    [sym_argument] = STATE(2077),
    [sym__argument_named] = STATE(2063),
    [sym__argument_unnamed] = STATE(2070),
    [sym__argument_value] = STATE(2078),
    [sym_unary_operator] = STATE(517),
    [sym_binary_operator] = STATE(517),
    [sym_extract_operator] = STATE(517),
    [sym_namespace_operator] = STATE(517),
    [sym_integer] = STATE(517),
    [sym_complex] = STATE(517),
    [sym_float] = STATE(517),
    [sym__float_literal] = STATE(778),
    [sym_string] = STATE(781),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(928),
    [sym__close_bracket2] = STATE(2120),
    [aux_sym_call_arguments_repeat1] = STATE(561),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_BSLASH] = ACTIONS(573),
    [anon_sym_function] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_while] = ACTIONS(581),
    [anon_sym_repeat] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [sym__hex_literal] = ACTIONS(593),
    [sym__number_literal] = ACTIONS(595),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(601),
    [sym_next] = ACTIONS(601),
    [sym_break] = ACTIONS(601),
    [sym_true] = ACTIONS(601),
    [sym_false] = ACTIONS(601),
    [sym_null] = ACTIONS(601),
    [sym_inf] = ACTIONS(601),
    [sym_nan] = ACTIONS(601),
    [anon_sym_NA] = ACTIONS(603),
    [anon_sym_NA_integer_] = ACTIONS(603),
    [anon_sym_NA_real_] = ACTIONS(603),
    [anon_sym_NA_complex_] = ACTIONS(603),
    [anon_sym_NA_character_] = ACTIONS(603),
    [sym_dots] = ACTIONS(605),
    [sym_dot_dot_i] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(609),
    [sym__newline] = ACTIONS(611),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(615),
    [sym__external_open_brace] = ACTIONS(617),
    [sym__external_close_bracket2] = ACTIONS(959),
  },
  [657] = {
    [sym_function_definition] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_while_statement] = STATE(498),
    [sym_repeat_statement] = STATE(498),
    [sym_braced_expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym__argument] = STATE(2071),
    [sym_argument] = STATE(2075),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2068),
    [sym__argument_value] = STATE(2076),
    [sym_unary_operator] = STATE(498),
    [sym_binary_operator] = STATE(498),
    [sym_extract_operator] = STATE(498),
    [sym_namespace_operator] = STATE(498),
    [sym_integer] = STATE(498),
    [sym_complex] = STATE(498),
    [sym_float] = STATE(498),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(770),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(942),
    [sym__open_brace] = STATE(922),
    [aux_sym_call_arguments_repeat1] = STATE(701),
    [sym_identifier] = ACTIONS(427),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(457),
    [sym_next] = ACTIONS(457),
    [sym_break] = ACTIONS(457),
    [sym_true] = ACTIONS(457),
    [sym_false] = ACTIONS(457),
    [sym_null] = ACTIONS(457),
    [sym_inf] = ACTIONS(457),
    [sym_nan] = ACTIONS(457),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(461),
    [sym_dot_dot_i] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(467),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(961),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [658] = {
    [sym_function_definition] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_while_statement] = STATE(498),
    [sym_repeat_statement] = STATE(498),
    [sym_braced_expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym__argument] = STATE(2071),
    [sym_argument] = STATE(2075),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2068),
    [sym__argument_value] = STATE(2076),
    [sym_unary_operator] = STATE(498),
    [sym_binary_operator] = STATE(498),
    [sym_extract_operator] = STATE(498),
    [sym_namespace_operator] = STATE(498),
    [sym_integer] = STATE(498),
    [sym_complex] = STATE(498),
    [sym_float] = STATE(498),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(770),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(1046),
    [sym__open_brace] = STATE(922),
    [aux_sym_call_arguments_repeat1] = STATE(657),
    [sym_identifier] = ACTIONS(427),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(457),
    [sym_next] = ACTIONS(457),
    [sym_break] = ACTIONS(457),
    [sym_true] = ACTIONS(457),
    [sym_false] = ACTIONS(457),
    [sym_null] = ACTIONS(457),
    [sym_inf] = ACTIONS(457),
    [sym_nan] = ACTIONS(457),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(461),
    [sym_dot_dot_i] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(467),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(963),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [659] = {
    [sym_function_definition] = STATE(445),
    [sym_if_statement] = STATE(445),
    [sym_for_statement] = STATE(445),
    [sym_while_statement] = STATE(445),
    [sym_repeat_statement] = STATE(445),
    [sym_braced_expression] = STATE(445),
    [sym_parenthesized_expression] = STATE(445),
    [sym_call] = STATE(445),
    [sym_subset] = STATE(445),
    [sym_subset2] = STATE(445),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2057),
    [sym__argument_named] = STATE(2066),
    [sym__argument_unnamed] = STATE(2060),
    [sym__argument_value] = STATE(2062),
    [sym_unary_operator] = STATE(445),
    [sym_binary_operator] = STATE(445),
    [sym_extract_operator] = STATE(445),
    [sym_namespace_operator] = STATE(445),
    [sym_integer] = STATE(445),
    [sym_complex] = STATE(445),
    [sym_float] = STATE(445),
    [sym__float_literal] = STATE(772),
    [sym_string] = STATE(761),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym_na] = STATE(445),
    [sym__expression] = STATE(445),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(1027),
    [sym__open_brace] = STATE(927),
    [sym__close_bracket] = STATE(1049),
    [aux_sym_call_arguments_repeat1] = STATE(587),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_BSLASH] = ACTIONS(523),
    [anon_sym_function] = ACTIONS(525),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_repeat] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(539),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [sym__hex_literal] = ACTIONS(543),
    [sym__number_literal] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(551),
    [sym_next] = ACTIONS(551),
    [sym_break] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_inf] = ACTIONS(551),
    [sym_nan] = ACTIONS(551),
    [anon_sym_NA] = ACTIONS(553),
    [anon_sym_NA_integer_] = ACTIONS(553),
    [anon_sym_NA_real_] = ACTIONS(553),
    [anon_sym_NA_complex_] = ACTIONS(553),
    [anon_sym_NA_character_] = ACTIONS(553),
    [sym_dots] = ACTIONS(555),
    [sym_dot_dot_i] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(559),
    [sym__newline] = ACTIONS(561),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(565),
    [sym__external_open_brace] = ACTIONS(567),
    [sym__external_close_bracket] = ACTIONS(965),
  },
  [660] = {
    [sym_function_definition] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_while_statement] = STATE(517),
    [sym_repeat_statement] = STATE(517),
    [sym_braced_expression] = STATE(517),
    [sym_parenthesized_expression] = STATE(517),
    [sym_call] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym__argument] = STATE(2065),
    [sym_argument] = STATE(2077),
    [sym__argument_named] = STATE(2063),
    [sym__argument_unnamed] = STATE(2070),
    [sym__argument_value] = STATE(2078),
    [sym_unary_operator] = STATE(517),
    [sym_binary_operator] = STATE(517),
    [sym_extract_operator] = STATE(517),
    [sym_namespace_operator] = STATE(517),
    [sym_integer] = STATE(517),
    [sym_complex] = STATE(517),
    [sym_float] = STATE(517),
    [sym__float_literal] = STATE(778),
    [sym_string] = STATE(781),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(928),
    [sym__close_bracket2] = STATE(1051),
    [aux_sym_call_arguments_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_BSLASH] = ACTIONS(573),
    [anon_sym_function] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_while] = ACTIONS(581),
    [anon_sym_repeat] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [sym__hex_literal] = ACTIONS(593),
    [sym__number_literal] = ACTIONS(595),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(601),
    [sym_next] = ACTIONS(601),
    [sym_break] = ACTIONS(601),
    [sym_true] = ACTIONS(601),
    [sym_false] = ACTIONS(601),
    [sym_null] = ACTIONS(601),
    [sym_inf] = ACTIONS(601),
    [sym_nan] = ACTIONS(601),
    [anon_sym_NA] = ACTIONS(603),
    [anon_sym_NA_integer_] = ACTIONS(603),
    [anon_sym_NA_real_] = ACTIONS(603),
    [anon_sym_NA_complex_] = ACTIONS(603),
    [anon_sym_NA_character_] = ACTIONS(603),
    [sym_dots] = ACTIONS(605),
    [sym_dot_dot_i] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(609),
    [sym__newline] = ACTIONS(611),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(615),
    [sym__external_open_brace] = ACTIONS(617),
    [sym__external_close_bracket2] = ACTIONS(967),
  },
  [661] = {
    [sym_function_definition] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_while_statement] = STATE(498),
    [sym_repeat_statement] = STATE(498),
    [sym_braced_expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym__argument] = STATE(2071),
    [sym_argument] = STATE(2075),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2068),
    [sym__argument_value] = STATE(2076),
    [sym_unary_operator] = STATE(498),
    [sym_binary_operator] = STATE(498),
    [sym_extract_operator] = STATE(498),
    [sym_namespace_operator] = STATE(498),
    [sym_integer] = STATE(498),
    [sym_complex] = STATE(498),
    [sym_float] = STATE(498),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(770),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(1000),
    [sym__open_brace] = STATE(922),
    [aux_sym_call_arguments_repeat1] = STATE(701),
    [sym_identifier] = ACTIONS(427),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(457),
    [sym_next] = ACTIONS(457),
    [sym_break] = ACTIONS(457),
    [sym_true] = ACTIONS(457),
    [sym_false] = ACTIONS(457),
    [sym_null] = ACTIONS(457),
    [sym_inf] = ACTIONS(457),
    [sym_nan] = ACTIONS(457),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(461),
    [sym_dot_dot_i] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(467),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(969),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [662] = {
    [sym_function_definition] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_while_statement] = STATE(498),
    [sym_repeat_statement] = STATE(498),
    [sym_braced_expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym__argument] = STATE(2071),
    [sym_argument] = STATE(2075),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2068),
    [sym__argument_value] = STATE(2076),
    [sym_unary_operator] = STATE(498),
    [sym_binary_operator] = STATE(498),
    [sym_extract_operator] = STATE(498),
    [sym_namespace_operator] = STATE(498),
    [sym_integer] = STATE(498),
    [sym_complex] = STATE(498),
    [sym_float] = STATE(498),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(770),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(975),
    [sym__open_brace] = STATE(922),
    [aux_sym_call_arguments_repeat1] = STATE(661),
    [sym_identifier] = ACTIONS(427),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(457),
    [sym_next] = ACTIONS(457),
    [sym_break] = ACTIONS(457),
    [sym_true] = ACTIONS(457),
    [sym_false] = ACTIONS(457),
    [sym_null] = ACTIONS(457),
    [sym_inf] = ACTIONS(457),
    [sym_nan] = ACTIONS(457),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(461),
    [sym_dot_dot_i] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(467),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(971),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [663] = {
    [sym_function_definition] = STATE(445),
    [sym_if_statement] = STATE(445),
    [sym_for_statement] = STATE(445),
    [sym_while_statement] = STATE(445),
    [sym_repeat_statement] = STATE(445),
    [sym_braced_expression] = STATE(445),
    [sym_parenthesized_expression] = STATE(445),
    [sym_call] = STATE(445),
    [sym_subset] = STATE(445),
    [sym_subset2] = STATE(445),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2057),
    [sym__argument_named] = STATE(2066),
    [sym__argument_unnamed] = STATE(2060),
    [sym__argument_value] = STATE(2062),
    [sym_unary_operator] = STATE(445),
    [sym_binary_operator] = STATE(445),
    [sym_extract_operator] = STATE(445),
    [sym_namespace_operator] = STATE(445),
    [sym_integer] = STATE(445),
    [sym_complex] = STATE(445),
    [sym_float] = STATE(445),
    [sym__float_literal] = STATE(772),
    [sym_string] = STATE(761),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym_na] = STATE(445),
    [sym__expression] = STATE(445),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(1027),
    [sym__open_brace] = STATE(927),
    [sym__close_bracket] = STATE(982),
    [aux_sym_call_arguments_repeat1] = STATE(344),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_BSLASH] = ACTIONS(523),
    [anon_sym_function] = ACTIONS(525),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_repeat] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(539),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [sym__hex_literal] = ACTIONS(543),
    [sym__number_literal] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(551),
    [sym_next] = ACTIONS(551),
    [sym_break] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_inf] = ACTIONS(551),
    [sym_nan] = ACTIONS(551),
    [anon_sym_NA] = ACTIONS(553),
    [anon_sym_NA_integer_] = ACTIONS(553),
    [anon_sym_NA_real_] = ACTIONS(553),
    [anon_sym_NA_complex_] = ACTIONS(553),
    [anon_sym_NA_character_] = ACTIONS(553),
    [sym_dots] = ACTIONS(555),
    [sym_dot_dot_i] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(559),
    [sym__newline] = ACTIONS(561),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(565),
    [sym__external_open_brace] = ACTIONS(567),
    [sym__external_close_bracket] = ACTIONS(973),
  },
  [664] = {
    [sym_function_definition] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_while_statement] = STATE(517),
    [sym_repeat_statement] = STATE(517),
    [sym_braced_expression] = STATE(517),
    [sym_parenthesized_expression] = STATE(517),
    [sym_call] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym__argument] = STATE(2065),
    [sym_argument] = STATE(2077),
    [sym__argument_named] = STATE(2063),
    [sym__argument_unnamed] = STATE(2070),
    [sym__argument_value] = STATE(2078),
    [sym_unary_operator] = STATE(517),
    [sym_binary_operator] = STATE(517),
    [sym_extract_operator] = STATE(517),
    [sym_namespace_operator] = STATE(517),
    [sym_integer] = STATE(517),
    [sym_complex] = STATE(517),
    [sym_float] = STATE(517),
    [sym__float_literal] = STATE(778),
    [sym_string] = STATE(781),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(928),
    [sym__close_bracket2] = STATE(984),
    [aux_sym_call_arguments_repeat1] = STATE(345),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_BSLASH] = ACTIONS(573),
    [anon_sym_function] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_while] = ACTIONS(581),
    [anon_sym_repeat] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [sym__hex_literal] = ACTIONS(593),
    [sym__number_literal] = ACTIONS(595),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(601),
    [sym_next] = ACTIONS(601),
    [sym_break] = ACTIONS(601),
    [sym_true] = ACTIONS(601),
    [sym_false] = ACTIONS(601),
    [sym_null] = ACTIONS(601),
    [sym_inf] = ACTIONS(601),
    [sym_nan] = ACTIONS(601),
    [anon_sym_NA] = ACTIONS(603),
    [anon_sym_NA_integer_] = ACTIONS(603),
    [anon_sym_NA_real_] = ACTIONS(603),
    [anon_sym_NA_complex_] = ACTIONS(603),
    [anon_sym_NA_character_] = ACTIONS(603),
    [sym_dots] = ACTIONS(605),
    [sym_dot_dot_i] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(609),
    [sym__newline] = ACTIONS(611),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(615),
    [sym__external_open_brace] = ACTIONS(617),
    [sym__external_close_bracket2] = ACTIONS(975),
  },
  [665] = {
    [sym_function_definition] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_while_statement] = STATE(498),
    [sym_repeat_statement] = STATE(498),
    [sym_braced_expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym__argument] = STATE(2071),
    [sym_argument] = STATE(2075),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2068),
    [sym__argument_value] = STATE(2076),
    [sym_unary_operator] = STATE(498),
    [sym_binary_operator] = STATE(498),
    [sym_extract_operator] = STATE(498),
    [sym_namespace_operator] = STATE(498),
    [sym_integer] = STATE(498),
    [sym_complex] = STATE(498),
    [sym_float] = STATE(498),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(770),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(832),
    [sym__open_brace] = STATE(922),
    [aux_sym_call_arguments_repeat1] = STATE(701),
    [sym_identifier] = ACTIONS(427),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(457),
    [sym_next] = ACTIONS(457),
    [sym_break] = ACTIONS(457),
    [sym_true] = ACTIONS(457),
    [sym_false] = ACTIONS(457),
    [sym_null] = ACTIONS(457),
    [sym_inf] = ACTIONS(457),
    [sym_nan] = ACTIONS(457),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(461),
    [sym_dot_dot_i] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(467),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(977),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [666] = {
    [sym_function_definition] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_while_statement] = STATE(498),
    [sym_repeat_statement] = STATE(498),
    [sym_braced_expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym__argument] = STATE(2071),
    [sym_argument] = STATE(2075),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2068),
    [sym__argument_value] = STATE(2076),
    [sym_unary_operator] = STATE(498),
    [sym_binary_operator] = STATE(498),
    [sym_extract_operator] = STATE(498),
    [sym_namespace_operator] = STATE(498),
    [sym_integer] = STATE(498),
    [sym_complex] = STATE(498),
    [sym_float] = STATE(498),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(770),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(825),
    [sym__open_brace] = STATE(922),
    [aux_sym_call_arguments_repeat1] = STATE(665),
    [sym_identifier] = ACTIONS(427),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(457),
    [sym_next] = ACTIONS(457),
    [sym_break] = ACTIONS(457),
    [sym_true] = ACTIONS(457),
    [sym_false] = ACTIONS(457),
    [sym_null] = ACTIONS(457),
    [sym_inf] = ACTIONS(457),
    [sym_nan] = ACTIONS(457),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(461),
    [sym_dot_dot_i] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(467),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(979),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [667] = {
    [sym_function_definition] = STATE(445),
    [sym_if_statement] = STATE(445),
    [sym_for_statement] = STATE(445),
    [sym_while_statement] = STATE(445),
    [sym_repeat_statement] = STATE(445),
    [sym_braced_expression] = STATE(445),
    [sym_parenthesized_expression] = STATE(445),
    [sym_call] = STATE(445),
    [sym_subset] = STATE(445),
    [sym_subset2] = STATE(445),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2057),
    [sym__argument_named] = STATE(2066),
    [sym__argument_unnamed] = STATE(2060),
    [sym__argument_value] = STATE(2062),
    [sym_unary_operator] = STATE(445),
    [sym_binary_operator] = STATE(445),
    [sym_extract_operator] = STATE(445),
    [sym_namespace_operator] = STATE(445),
    [sym_integer] = STATE(445),
    [sym_complex] = STATE(445),
    [sym_float] = STATE(445),
    [sym__float_literal] = STATE(772),
    [sym_string] = STATE(761),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym_na] = STATE(445),
    [sym__expression] = STATE(445),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(1027),
    [sym__open_brace] = STATE(927),
    [sym__close_bracket] = STATE(826),
    [aux_sym_call_arguments_repeat1] = STATE(402),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_BSLASH] = ACTIONS(523),
    [anon_sym_function] = ACTIONS(525),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_repeat] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(539),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [sym__hex_literal] = ACTIONS(543),
    [sym__number_literal] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(551),
    [sym_next] = ACTIONS(551),
    [sym_break] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_inf] = ACTIONS(551),
    [sym_nan] = ACTIONS(551),
    [anon_sym_NA] = ACTIONS(553),
    [anon_sym_NA_integer_] = ACTIONS(553),
    [anon_sym_NA_real_] = ACTIONS(553),
    [anon_sym_NA_complex_] = ACTIONS(553),
    [anon_sym_NA_character_] = ACTIONS(553),
    [sym_dots] = ACTIONS(555),
    [sym_dot_dot_i] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(559),
    [sym__newline] = ACTIONS(561),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(565),
    [sym__external_open_brace] = ACTIONS(567),
    [sym__external_close_bracket] = ACTIONS(981),
  },
  [668] = {
    [sym_function_definition] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_while_statement] = STATE(517),
    [sym_repeat_statement] = STATE(517),
    [sym_braced_expression] = STATE(517),
    [sym_parenthesized_expression] = STATE(517),
    [sym_call] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym__argument] = STATE(2065),
    [sym_argument] = STATE(2077),
    [sym__argument_named] = STATE(2063),
    [sym__argument_unnamed] = STATE(2070),
    [sym__argument_value] = STATE(2078),
    [sym_unary_operator] = STATE(517),
    [sym_binary_operator] = STATE(517),
    [sym_extract_operator] = STATE(517),
    [sym_namespace_operator] = STATE(517),
    [sym_integer] = STATE(517),
    [sym_complex] = STATE(517),
    [sym_float] = STATE(517),
    [sym__float_literal] = STATE(778),
    [sym_string] = STATE(781),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(928),
    [sym__close_bracket2] = STATE(827),
    [aux_sym_call_arguments_repeat1] = STATE(403),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_BSLASH] = ACTIONS(573),
    [anon_sym_function] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_while] = ACTIONS(581),
    [anon_sym_repeat] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [sym__hex_literal] = ACTIONS(593),
    [sym__number_literal] = ACTIONS(595),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(601),
    [sym_next] = ACTIONS(601),
    [sym_break] = ACTIONS(601),
    [sym_true] = ACTIONS(601),
    [sym_false] = ACTIONS(601),
    [sym_null] = ACTIONS(601),
    [sym_inf] = ACTIONS(601),
    [sym_nan] = ACTIONS(601),
    [anon_sym_NA] = ACTIONS(603),
    [anon_sym_NA_integer_] = ACTIONS(603),
    [anon_sym_NA_real_] = ACTIONS(603),
    [anon_sym_NA_complex_] = ACTIONS(603),
    [anon_sym_NA_character_] = ACTIONS(603),
    [sym_dots] = ACTIONS(605),
    [sym_dot_dot_i] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(609),
    [sym__newline] = ACTIONS(611),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(615),
    [sym__external_open_brace] = ACTIONS(617),
    [sym__external_close_bracket2] = ACTIONS(983),
  },
  [669] = {
    [sym_function_definition] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_while_statement] = STATE(498),
    [sym_repeat_statement] = STATE(498),
    [sym_braced_expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym__argument] = STATE(2071),
    [sym_argument] = STATE(2075),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2068),
    [sym__argument_value] = STATE(2076),
    [sym_unary_operator] = STATE(498),
    [sym_binary_operator] = STATE(498),
    [sym_extract_operator] = STATE(498),
    [sym_namespace_operator] = STATE(498),
    [sym_integer] = STATE(498),
    [sym_complex] = STATE(498),
    [sym_float] = STATE(498),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(770),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(855),
    [sym__open_brace] = STATE(922),
    [aux_sym_call_arguments_repeat1] = STATE(701),
    [sym_identifier] = ACTIONS(427),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(457),
    [sym_next] = ACTIONS(457),
    [sym_break] = ACTIONS(457),
    [sym_true] = ACTIONS(457),
    [sym_false] = ACTIONS(457),
    [sym_null] = ACTIONS(457),
    [sym_inf] = ACTIONS(457),
    [sym_nan] = ACTIONS(457),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(461),
    [sym_dot_dot_i] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(467),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(985),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [670] = {
    [sym_function_definition] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_while_statement] = STATE(498),
    [sym_repeat_statement] = STATE(498),
    [sym_braced_expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym__argument] = STATE(2071),
    [sym_argument] = STATE(2075),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2068),
    [sym__argument_value] = STATE(2076),
    [sym_unary_operator] = STATE(498),
    [sym_binary_operator] = STATE(498),
    [sym_extract_operator] = STATE(498),
    [sym_namespace_operator] = STATE(498),
    [sym_integer] = STATE(498),
    [sym_complex] = STATE(498),
    [sym_float] = STATE(498),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(770),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(848),
    [sym__open_brace] = STATE(922),
    [aux_sym_call_arguments_repeat1] = STATE(669),
    [sym_identifier] = ACTIONS(427),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(457),
    [sym_next] = ACTIONS(457),
    [sym_break] = ACTIONS(457),
    [sym_true] = ACTIONS(457),
    [sym_false] = ACTIONS(457),
    [sym_null] = ACTIONS(457),
    [sym_inf] = ACTIONS(457),
    [sym_nan] = ACTIONS(457),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(461),
    [sym_dot_dot_i] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(467),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(987),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [671] = {
    [sym_function_definition] = STATE(445),
    [sym_if_statement] = STATE(445),
    [sym_for_statement] = STATE(445),
    [sym_while_statement] = STATE(445),
    [sym_repeat_statement] = STATE(445),
    [sym_braced_expression] = STATE(445),
    [sym_parenthesized_expression] = STATE(445),
    [sym_call] = STATE(445),
    [sym_subset] = STATE(445),
    [sym_subset2] = STATE(445),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2057),
    [sym__argument_named] = STATE(2066),
    [sym__argument_unnamed] = STATE(2060),
    [sym__argument_value] = STATE(2062),
    [sym_unary_operator] = STATE(445),
    [sym_binary_operator] = STATE(445),
    [sym_extract_operator] = STATE(445),
    [sym_namespace_operator] = STATE(445),
    [sym_integer] = STATE(445),
    [sym_complex] = STATE(445),
    [sym_float] = STATE(445),
    [sym__float_literal] = STATE(772),
    [sym_string] = STATE(761),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym_na] = STATE(445),
    [sym__expression] = STATE(445),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(1027),
    [sym__open_brace] = STATE(927),
    [sym__close_bracket] = STATE(849),
    [aux_sym_call_arguments_repeat1] = STATE(448),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_BSLASH] = ACTIONS(523),
    [anon_sym_function] = ACTIONS(525),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_repeat] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(539),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [sym__hex_literal] = ACTIONS(543),
    [sym__number_literal] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(551),
    [sym_next] = ACTIONS(551),
    [sym_break] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_inf] = ACTIONS(551),
    [sym_nan] = ACTIONS(551),
    [anon_sym_NA] = ACTIONS(553),
    [anon_sym_NA_integer_] = ACTIONS(553),
    [anon_sym_NA_real_] = ACTIONS(553),
    [anon_sym_NA_complex_] = ACTIONS(553),
    [anon_sym_NA_character_] = ACTIONS(553),
    [sym_dots] = ACTIONS(555),
    [sym_dot_dot_i] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(559),
    [sym__newline] = ACTIONS(561),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(565),
    [sym__external_open_brace] = ACTIONS(567),
    [sym__external_close_bracket] = ACTIONS(989),
  },
  [672] = {
    [sym_function_definition] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_while_statement] = STATE(517),
    [sym_repeat_statement] = STATE(517),
    [sym_braced_expression] = STATE(517),
    [sym_parenthesized_expression] = STATE(517),
    [sym_call] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym__argument] = STATE(2065),
    [sym_argument] = STATE(2077),
    [sym__argument_named] = STATE(2063),
    [sym__argument_unnamed] = STATE(2070),
    [sym__argument_value] = STATE(2078),
    [sym_unary_operator] = STATE(517),
    [sym_binary_operator] = STATE(517),
    [sym_extract_operator] = STATE(517),
    [sym_namespace_operator] = STATE(517),
    [sym_integer] = STATE(517),
    [sym_complex] = STATE(517),
    [sym_float] = STATE(517),
    [sym__float_literal] = STATE(778),
    [sym_string] = STATE(781),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(928),
    [sym__close_bracket2] = STATE(850),
    [aux_sym_call_arguments_repeat1] = STATE(449),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_BSLASH] = ACTIONS(573),
    [anon_sym_function] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_while] = ACTIONS(581),
    [anon_sym_repeat] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [sym__hex_literal] = ACTIONS(593),
    [sym__number_literal] = ACTIONS(595),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(601),
    [sym_next] = ACTIONS(601),
    [sym_break] = ACTIONS(601),
    [sym_true] = ACTIONS(601),
    [sym_false] = ACTIONS(601),
    [sym_null] = ACTIONS(601),
    [sym_inf] = ACTIONS(601),
    [sym_nan] = ACTIONS(601),
    [anon_sym_NA] = ACTIONS(603),
    [anon_sym_NA_integer_] = ACTIONS(603),
    [anon_sym_NA_real_] = ACTIONS(603),
    [anon_sym_NA_complex_] = ACTIONS(603),
    [anon_sym_NA_character_] = ACTIONS(603),
    [sym_dots] = ACTIONS(605),
    [sym_dot_dot_i] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(609),
    [sym__newline] = ACTIONS(611),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(615),
    [sym__external_open_brace] = ACTIONS(617),
    [sym__external_close_bracket2] = ACTIONS(991),
  },
  [673] = {
    [sym_function_definition] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_while_statement] = STATE(498),
    [sym_repeat_statement] = STATE(498),
    [sym_braced_expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym__argument] = STATE(2071),
    [sym_argument] = STATE(2075),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2068),
    [sym__argument_value] = STATE(2076),
    [sym_unary_operator] = STATE(498),
    [sym_binary_operator] = STATE(498),
    [sym_extract_operator] = STATE(498),
    [sym_namespace_operator] = STATE(498),
    [sym_integer] = STATE(498),
    [sym_complex] = STATE(498),
    [sym_float] = STATE(498),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(770),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(875),
    [sym__open_brace] = STATE(922),
    [aux_sym_call_arguments_repeat1] = STATE(701),
    [sym_identifier] = ACTIONS(427),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(457),
    [sym_next] = ACTIONS(457),
    [sym_break] = ACTIONS(457),
    [sym_true] = ACTIONS(457),
    [sym_false] = ACTIONS(457),
    [sym_null] = ACTIONS(457),
    [sym_inf] = ACTIONS(457),
    [sym_nan] = ACTIONS(457),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(461),
    [sym_dot_dot_i] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(467),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(993),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [674] = {
    [sym_function_definition] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_while_statement] = STATE(498),
    [sym_repeat_statement] = STATE(498),
    [sym_braced_expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym__argument] = STATE(2071),
    [sym_argument] = STATE(2075),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2068),
    [sym__argument_value] = STATE(2076),
    [sym_unary_operator] = STATE(498),
    [sym_binary_operator] = STATE(498),
    [sym_extract_operator] = STATE(498),
    [sym_namespace_operator] = STATE(498),
    [sym_integer] = STATE(498),
    [sym_complex] = STATE(498),
    [sym_float] = STATE(498),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(770),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(868),
    [sym__open_brace] = STATE(922),
    [aux_sym_call_arguments_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(427),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(457),
    [sym_next] = ACTIONS(457),
    [sym_break] = ACTIONS(457),
    [sym_true] = ACTIONS(457),
    [sym_false] = ACTIONS(457),
    [sym_null] = ACTIONS(457),
    [sym_inf] = ACTIONS(457),
    [sym_nan] = ACTIONS(457),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(461),
    [sym_dot_dot_i] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(467),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(995),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [675] = {
    [sym_function_definition] = STATE(445),
    [sym_if_statement] = STATE(445),
    [sym_for_statement] = STATE(445),
    [sym_while_statement] = STATE(445),
    [sym_repeat_statement] = STATE(445),
    [sym_braced_expression] = STATE(445),
    [sym_parenthesized_expression] = STATE(445),
    [sym_call] = STATE(445),
    [sym_subset] = STATE(445),
    [sym_subset2] = STATE(445),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2057),
    [sym__argument_named] = STATE(2066),
    [sym__argument_unnamed] = STATE(2060),
    [sym__argument_value] = STATE(2062),
    [sym_unary_operator] = STATE(445),
    [sym_binary_operator] = STATE(445),
    [sym_extract_operator] = STATE(445),
    [sym_namespace_operator] = STATE(445),
    [sym_integer] = STATE(445),
    [sym_complex] = STATE(445),
    [sym_float] = STATE(445),
    [sym__float_literal] = STATE(772),
    [sym_string] = STATE(761),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym_na] = STATE(445),
    [sym__expression] = STATE(445),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(1027),
    [sym__open_brace] = STATE(927),
    [sym__close_bracket] = STATE(869),
    [aux_sym_call_arguments_repeat1] = STATE(499),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_BSLASH] = ACTIONS(523),
    [anon_sym_function] = ACTIONS(525),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_repeat] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(539),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [sym__hex_literal] = ACTIONS(543),
    [sym__number_literal] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(551),
    [sym_next] = ACTIONS(551),
    [sym_break] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_inf] = ACTIONS(551),
    [sym_nan] = ACTIONS(551),
    [anon_sym_NA] = ACTIONS(553),
    [anon_sym_NA_integer_] = ACTIONS(553),
    [anon_sym_NA_real_] = ACTIONS(553),
    [anon_sym_NA_complex_] = ACTIONS(553),
    [anon_sym_NA_character_] = ACTIONS(553),
    [sym_dots] = ACTIONS(555),
    [sym_dot_dot_i] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(559),
    [sym__newline] = ACTIONS(561),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(565),
    [sym__external_open_brace] = ACTIONS(567),
    [sym__external_close_bracket] = ACTIONS(997),
  },
  [676] = {
    [sym_function_definition] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_while_statement] = STATE(517),
    [sym_repeat_statement] = STATE(517),
    [sym_braced_expression] = STATE(517),
    [sym_parenthesized_expression] = STATE(517),
    [sym_call] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym__argument] = STATE(2065),
    [sym_argument] = STATE(2077),
    [sym__argument_named] = STATE(2063),
    [sym__argument_unnamed] = STATE(2070),
    [sym__argument_value] = STATE(2078),
    [sym_unary_operator] = STATE(517),
    [sym_binary_operator] = STATE(517),
    [sym_extract_operator] = STATE(517),
    [sym_namespace_operator] = STATE(517),
    [sym_integer] = STATE(517),
    [sym_complex] = STATE(517),
    [sym_float] = STATE(517),
    [sym__float_literal] = STATE(778),
    [sym_string] = STATE(781),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(928),
    [sym__close_bracket2] = STATE(870),
    [aux_sym_call_arguments_repeat1] = STATE(500),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_BSLASH] = ACTIONS(573),
    [anon_sym_function] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_while] = ACTIONS(581),
    [anon_sym_repeat] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [sym__hex_literal] = ACTIONS(593),
    [sym__number_literal] = ACTIONS(595),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(601),
    [sym_next] = ACTIONS(601),
    [sym_break] = ACTIONS(601),
    [sym_true] = ACTIONS(601),
    [sym_false] = ACTIONS(601),
    [sym_null] = ACTIONS(601),
    [sym_inf] = ACTIONS(601),
    [sym_nan] = ACTIONS(601),
    [anon_sym_NA] = ACTIONS(603),
    [anon_sym_NA_integer_] = ACTIONS(603),
    [anon_sym_NA_real_] = ACTIONS(603),
    [anon_sym_NA_complex_] = ACTIONS(603),
    [anon_sym_NA_character_] = ACTIONS(603),
    [sym_dots] = ACTIONS(605),
    [sym_dot_dot_i] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(609),
    [sym__newline] = ACTIONS(611),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(615),
    [sym__external_open_brace] = ACTIONS(617),
    [sym__external_close_bracket2] = ACTIONS(999),
  },
  [677] = {
    [sym_function_definition] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_while_statement] = STATE(498),
    [sym_repeat_statement] = STATE(498),
    [sym_braced_expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym__argument] = STATE(2071),
    [sym_argument] = STATE(2075),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2068),
    [sym__argument_value] = STATE(2076),
    [sym_unary_operator] = STATE(498),
    [sym_binary_operator] = STATE(498),
    [sym_extract_operator] = STATE(498),
    [sym_namespace_operator] = STATE(498),
    [sym_integer] = STATE(498),
    [sym_complex] = STATE(498),
    [sym_float] = STATE(498),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(770),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(2098),
    [sym__open_brace] = STATE(922),
    [aux_sym_call_arguments_repeat1] = STATE(701),
    [sym_identifier] = ACTIONS(427),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(457),
    [sym_next] = ACTIONS(457),
    [sym_break] = ACTIONS(457),
    [sym_true] = ACTIONS(457),
    [sym_false] = ACTIONS(457),
    [sym_null] = ACTIONS(457),
    [sym_inf] = ACTIONS(457),
    [sym_nan] = ACTIONS(457),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(461),
    [sym_dot_dot_i] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(467),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1001),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [678] = {
    [sym_function_definition] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_while_statement] = STATE(498),
    [sym_repeat_statement] = STATE(498),
    [sym_braced_expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym__argument] = STATE(2071),
    [sym_argument] = STATE(2075),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2068),
    [sym__argument_value] = STATE(2076),
    [sym_unary_operator] = STATE(498),
    [sym_binary_operator] = STATE(498),
    [sym_extract_operator] = STATE(498),
    [sym_namespace_operator] = STATE(498),
    [sym_integer] = STATE(498),
    [sym_complex] = STATE(498),
    [sym_float] = STATE(498),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(770),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(2102),
    [sym__open_brace] = STATE(922),
    [aux_sym_call_arguments_repeat1] = STATE(677),
    [sym_identifier] = ACTIONS(427),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(457),
    [sym_next] = ACTIONS(457),
    [sym_break] = ACTIONS(457),
    [sym_true] = ACTIONS(457),
    [sym_false] = ACTIONS(457),
    [sym_null] = ACTIONS(457),
    [sym_inf] = ACTIONS(457),
    [sym_nan] = ACTIONS(457),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(461),
    [sym_dot_dot_i] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(467),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1003),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [679] = {
    [sym_function_definition] = STATE(445),
    [sym_if_statement] = STATE(445),
    [sym_for_statement] = STATE(445),
    [sym_while_statement] = STATE(445),
    [sym_repeat_statement] = STATE(445),
    [sym_braced_expression] = STATE(445),
    [sym_parenthesized_expression] = STATE(445),
    [sym_call] = STATE(445),
    [sym_subset] = STATE(445),
    [sym_subset2] = STATE(445),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2057),
    [sym__argument_named] = STATE(2066),
    [sym__argument_unnamed] = STATE(2060),
    [sym__argument_value] = STATE(2062),
    [sym_unary_operator] = STATE(445),
    [sym_binary_operator] = STATE(445),
    [sym_extract_operator] = STATE(445),
    [sym_namespace_operator] = STATE(445),
    [sym_integer] = STATE(445),
    [sym_complex] = STATE(445),
    [sym_float] = STATE(445),
    [sym__float_literal] = STATE(772),
    [sym_string] = STATE(761),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym_na] = STATE(445),
    [sym__expression] = STATE(445),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(1027),
    [sym__open_brace] = STATE(927),
    [sym__close_bracket] = STATE(2103),
    [aux_sym_call_arguments_repeat1] = STATE(529),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_BSLASH] = ACTIONS(523),
    [anon_sym_function] = ACTIONS(525),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_repeat] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(539),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [sym__hex_literal] = ACTIONS(543),
    [sym__number_literal] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(551),
    [sym_next] = ACTIONS(551),
    [sym_break] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_inf] = ACTIONS(551),
    [sym_nan] = ACTIONS(551),
    [anon_sym_NA] = ACTIONS(553),
    [anon_sym_NA_integer_] = ACTIONS(553),
    [anon_sym_NA_real_] = ACTIONS(553),
    [anon_sym_NA_complex_] = ACTIONS(553),
    [anon_sym_NA_character_] = ACTIONS(553),
    [sym_dots] = ACTIONS(555),
    [sym_dot_dot_i] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(559),
    [sym__newline] = ACTIONS(561),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(565),
    [sym__external_open_brace] = ACTIONS(567),
    [sym__external_close_bracket] = ACTIONS(1005),
  },
  [680] = {
    [sym_function_definition] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_while_statement] = STATE(517),
    [sym_repeat_statement] = STATE(517),
    [sym_braced_expression] = STATE(517),
    [sym_parenthesized_expression] = STATE(517),
    [sym_call] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym__argument] = STATE(2065),
    [sym_argument] = STATE(2077),
    [sym__argument_named] = STATE(2063),
    [sym__argument_unnamed] = STATE(2070),
    [sym__argument_value] = STATE(2078),
    [sym_unary_operator] = STATE(517),
    [sym_binary_operator] = STATE(517),
    [sym_extract_operator] = STATE(517),
    [sym_namespace_operator] = STATE(517),
    [sym_integer] = STATE(517),
    [sym_complex] = STATE(517),
    [sym_float] = STATE(517),
    [sym__float_literal] = STATE(778),
    [sym_string] = STATE(781),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(928),
    [sym__close_bracket2] = STATE(2107),
    [aux_sym_call_arguments_repeat1] = STATE(530),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_BSLASH] = ACTIONS(573),
    [anon_sym_function] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_while] = ACTIONS(581),
    [anon_sym_repeat] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [sym__hex_literal] = ACTIONS(593),
    [sym__number_literal] = ACTIONS(595),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(601),
    [sym_next] = ACTIONS(601),
    [sym_break] = ACTIONS(601),
    [sym_true] = ACTIONS(601),
    [sym_false] = ACTIONS(601),
    [sym_null] = ACTIONS(601),
    [sym_inf] = ACTIONS(601),
    [sym_nan] = ACTIONS(601),
    [anon_sym_NA] = ACTIONS(603),
    [anon_sym_NA_integer_] = ACTIONS(603),
    [anon_sym_NA_real_] = ACTIONS(603),
    [anon_sym_NA_complex_] = ACTIONS(603),
    [anon_sym_NA_character_] = ACTIONS(603),
    [sym_dots] = ACTIONS(605),
    [sym_dot_dot_i] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(609),
    [sym__newline] = ACTIONS(611),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(615),
    [sym__external_open_brace] = ACTIONS(617),
    [sym__external_close_bracket2] = ACTIONS(1007),
  },
  [681] = {
    [sym_function_definition] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_while_statement] = STATE(498),
    [sym_repeat_statement] = STATE(498),
    [sym_braced_expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym__argument] = STATE(2071),
    [sym_argument] = STATE(2075),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2068),
    [sym__argument_value] = STATE(2076),
    [sym_unary_operator] = STATE(498),
    [sym_binary_operator] = STATE(498),
    [sym_extract_operator] = STATE(498),
    [sym_namespace_operator] = STATE(498),
    [sym_integer] = STATE(498),
    [sym_complex] = STATE(498),
    [sym_float] = STATE(498),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(770),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(891),
    [sym__open_brace] = STATE(922),
    [aux_sym_call_arguments_repeat1] = STATE(322),
    [sym_identifier] = ACTIONS(427),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(457),
    [sym_next] = ACTIONS(457),
    [sym_break] = ACTIONS(457),
    [sym_true] = ACTIONS(457),
    [sym_false] = ACTIONS(457),
    [sym_null] = ACTIONS(457),
    [sym_inf] = ACTIONS(457),
    [sym_nan] = ACTIONS(457),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(461),
    [sym_dot_dot_i] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(467),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1009),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [682] = {
    [sym_function_definition] = STATE(445),
    [sym_if_statement] = STATE(445),
    [sym_for_statement] = STATE(445),
    [sym_while_statement] = STATE(445),
    [sym_repeat_statement] = STATE(445),
    [sym_braced_expression] = STATE(445),
    [sym_parenthesized_expression] = STATE(445),
    [sym_call] = STATE(445),
    [sym_subset] = STATE(445),
    [sym_subset2] = STATE(445),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2057),
    [sym__argument_named] = STATE(2066),
    [sym__argument_unnamed] = STATE(2060),
    [sym__argument_value] = STATE(2062),
    [sym_unary_operator] = STATE(445),
    [sym_binary_operator] = STATE(445),
    [sym_extract_operator] = STATE(445),
    [sym_namespace_operator] = STATE(445),
    [sym_integer] = STATE(445),
    [sym_complex] = STATE(445),
    [sym_float] = STATE(445),
    [sym__float_literal] = STATE(772),
    [sym_string] = STATE(761),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym_na] = STATE(445),
    [sym__expression] = STATE(445),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(1027),
    [sym__open_brace] = STATE(927),
    [sym__close_bracket] = STATE(892),
    [aux_sym_call_arguments_repeat1] = STATE(554),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_BSLASH] = ACTIONS(523),
    [anon_sym_function] = ACTIONS(525),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_repeat] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(539),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [sym__hex_literal] = ACTIONS(543),
    [sym__number_literal] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(551),
    [sym_next] = ACTIONS(551),
    [sym_break] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_inf] = ACTIONS(551),
    [sym_nan] = ACTIONS(551),
    [anon_sym_NA] = ACTIONS(553),
    [anon_sym_NA_integer_] = ACTIONS(553),
    [anon_sym_NA_real_] = ACTIONS(553),
    [anon_sym_NA_complex_] = ACTIONS(553),
    [anon_sym_NA_character_] = ACTIONS(553),
    [sym_dots] = ACTIONS(555),
    [sym_dot_dot_i] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(559),
    [sym__newline] = ACTIONS(561),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(565),
    [sym__external_open_brace] = ACTIONS(567),
    [sym__external_close_bracket] = ACTIONS(1011),
  },
  [683] = {
    [sym_function_definition] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_while_statement] = STATE(517),
    [sym_repeat_statement] = STATE(517),
    [sym_braced_expression] = STATE(517),
    [sym_parenthesized_expression] = STATE(517),
    [sym_call] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym__argument] = STATE(2065),
    [sym_argument] = STATE(2077),
    [sym__argument_named] = STATE(2063),
    [sym__argument_unnamed] = STATE(2070),
    [sym__argument_value] = STATE(2078),
    [sym_unary_operator] = STATE(517),
    [sym_binary_operator] = STATE(517),
    [sym_extract_operator] = STATE(517),
    [sym_namespace_operator] = STATE(517),
    [sym_integer] = STATE(517),
    [sym_complex] = STATE(517),
    [sym_float] = STATE(517),
    [sym__float_literal] = STATE(778),
    [sym_string] = STATE(781),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(928),
    [sym__close_bracket2] = STATE(893),
    [aux_sym_call_arguments_repeat1] = STATE(555),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_BSLASH] = ACTIONS(573),
    [anon_sym_function] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_while] = ACTIONS(581),
    [anon_sym_repeat] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [sym__hex_literal] = ACTIONS(593),
    [sym__number_literal] = ACTIONS(595),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(601),
    [sym_next] = ACTIONS(601),
    [sym_break] = ACTIONS(601),
    [sym_true] = ACTIONS(601),
    [sym_false] = ACTIONS(601),
    [sym_null] = ACTIONS(601),
    [sym_inf] = ACTIONS(601),
    [sym_nan] = ACTIONS(601),
    [anon_sym_NA] = ACTIONS(603),
    [anon_sym_NA_integer_] = ACTIONS(603),
    [anon_sym_NA_real_] = ACTIONS(603),
    [anon_sym_NA_complex_] = ACTIONS(603),
    [anon_sym_NA_character_] = ACTIONS(603),
    [sym_dots] = ACTIONS(605),
    [sym_dot_dot_i] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(609),
    [sym__newline] = ACTIONS(611),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(615),
    [sym__external_open_brace] = ACTIONS(617),
    [sym__external_close_bracket2] = ACTIONS(1013),
  },
  [684] = {
    [sym_function_definition] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_while_statement] = STATE(498),
    [sym_repeat_statement] = STATE(498),
    [sym_braced_expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym__argument] = STATE(2071),
    [sym_argument] = STATE(2075),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2068),
    [sym__argument_value] = STATE(2076),
    [sym_unary_operator] = STATE(498),
    [sym_binary_operator] = STATE(498),
    [sym_extract_operator] = STATE(498),
    [sym_namespace_operator] = STATE(498),
    [sym_integer] = STATE(498),
    [sym_complex] = STATE(498),
    [sym_float] = STATE(498),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(770),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(919),
    [sym__open_brace] = STATE(922),
    [aux_sym_call_arguments_repeat1] = STATE(701),
    [sym_identifier] = ACTIONS(427),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(457),
    [sym_next] = ACTIONS(457),
    [sym_break] = ACTIONS(457),
    [sym_true] = ACTIONS(457),
    [sym_false] = ACTIONS(457),
    [sym_null] = ACTIONS(457),
    [sym_inf] = ACTIONS(457),
    [sym_nan] = ACTIONS(457),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(461),
    [sym_dot_dot_i] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(467),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1015),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [685] = {
    [sym_function_definition] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_while_statement] = STATE(498),
    [sym_repeat_statement] = STATE(498),
    [sym_braced_expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym__argument] = STATE(2071),
    [sym_argument] = STATE(2075),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2068),
    [sym__argument_value] = STATE(2076),
    [sym_unary_operator] = STATE(498),
    [sym_binary_operator] = STATE(498),
    [sym_extract_operator] = STATE(498),
    [sym_namespace_operator] = STATE(498),
    [sym_integer] = STATE(498),
    [sym_complex] = STATE(498),
    [sym_float] = STATE(498),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(770),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(912),
    [sym__open_brace] = STATE(922),
    [aux_sym_call_arguments_repeat1] = STATE(684),
    [sym_identifier] = ACTIONS(427),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(457),
    [sym_next] = ACTIONS(457),
    [sym_break] = ACTIONS(457),
    [sym_true] = ACTIONS(457),
    [sym_false] = ACTIONS(457),
    [sym_null] = ACTIONS(457),
    [sym_inf] = ACTIONS(457),
    [sym_nan] = ACTIONS(457),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(461),
    [sym_dot_dot_i] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(467),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1017),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [686] = {
    [sym_function_definition] = STATE(445),
    [sym_if_statement] = STATE(445),
    [sym_for_statement] = STATE(445),
    [sym_while_statement] = STATE(445),
    [sym_repeat_statement] = STATE(445),
    [sym_braced_expression] = STATE(445),
    [sym_parenthesized_expression] = STATE(445),
    [sym_call] = STATE(445),
    [sym_subset] = STATE(445),
    [sym_subset2] = STATE(445),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2057),
    [sym__argument_named] = STATE(2066),
    [sym__argument_unnamed] = STATE(2060),
    [sym__argument_value] = STATE(2062),
    [sym_unary_operator] = STATE(445),
    [sym_binary_operator] = STATE(445),
    [sym_extract_operator] = STATE(445),
    [sym_namespace_operator] = STATE(445),
    [sym_integer] = STATE(445),
    [sym_complex] = STATE(445),
    [sym_float] = STATE(445),
    [sym__float_literal] = STATE(772),
    [sym_string] = STATE(761),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym_na] = STATE(445),
    [sym__expression] = STATE(445),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(1027),
    [sym__open_brace] = STATE(927),
    [sym__close_bracket] = STATE(913),
    [aux_sym_call_arguments_repeat1] = STATE(602),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_BSLASH] = ACTIONS(523),
    [anon_sym_function] = ACTIONS(525),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_repeat] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(539),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [sym__hex_literal] = ACTIONS(543),
    [sym__number_literal] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(551),
    [sym_next] = ACTIONS(551),
    [sym_break] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_inf] = ACTIONS(551),
    [sym_nan] = ACTIONS(551),
    [anon_sym_NA] = ACTIONS(553),
    [anon_sym_NA_integer_] = ACTIONS(553),
    [anon_sym_NA_real_] = ACTIONS(553),
    [anon_sym_NA_complex_] = ACTIONS(553),
    [anon_sym_NA_character_] = ACTIONS(553),
    [sym_dots] = ACTIONS(555),
    [sym_dot_dot_i] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(559),
    [sym__newline] = ACTIONS(561),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(565),
    [sym__external_open_brace] = ACTIONS(567),
    [sym__external_close_bracket] = ACTIONS(1019),
  },
  [687] = {
    [sym_function_definition] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_while_statement] = STATE(517),
    [sym_repeat_statement] = STATE(517),
    [sym_braced_expression] = STATE(517),
    [sym_parenthesized_expression] = STATE(517),
    [sym_call] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym__argument] = STATE(2065),
    [sym_argument] = STATE(2077),
    [sym__argument_named] = STATE(2063),
    [sym__argument_unnamed] = STATE(2070),
    [sym__argument_value] = STATE(2078),
    [sym_unary_operator] = STATE(517),
    [sym_binary_operator] = STATE(517),
    [sym_extract_operator] = STATE(517),
    [sym_namespace_operator] = STATE(517),
    [sym_integer] = STATE(517),
    [sym_complex] = STATE(517),
    [sym_float] = STATE(517),
    [sym__float_literal] = STATE(778),
    [sym_string] = STATE(781),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(928),
    [sym__close_bracket2] = STATE(914),
    [aux_sym_call_arguments_repeat1] = STATE(603),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_BSLASH] = ACTIONS(573),
    [anon_sym_function] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_while] = ACTIONS(581),
    [anon_sym_repeat] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [sym__hex_literal] = ACTIONS(593),
    [sym__number_literal] = ACTIONS(595),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(601),
    [sym_next] = ACTIONS(601),
    [sym_break] = ACTIONS(601),
    [sym_true] = ACTIONS(601),
    [sym_false] = ACTIONS(601),
    [sym_null] = ACTIONS(601),
    [sym_inf] = ACTIONS(601),
    [sym_nan] = ACTIONS(601),
    [anon_sym_NA] = ACTIONS(603),
    [anon_sym_NA_integer_] = ACTIONS(603),
    [anon_sym_NA_real_] = ACTIONS(603),
    [anon_sym_NA_complex_] = ACTIONS(603),
    [anon_sym_NA_character_] = ACTIONS(603),
    [sym_dots] = ACTIONS(605),
    [sym_dot_dot_i] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(609),
    [sym__newline] = ACTIONS(611),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(615),
    [sym__external_open_brace] = ACTIONS(617),
    [sym__external_close_bracket2] = ACTIONS(1021),
  },
  [688] = {
    [sym_string] = STATE(874),
    [sym__single_quoted_string] = STATE(719),
    [sym__double_quoted_string] = STATE(720),
    [sym__string_or_identifier] = STATE(874),
    [aux_sym_function_definition_repeat1] = STATE(782),
    [sym_identifier] = ACTIONS(1023),
    [anon_sym_BSLASH] = ACTIONS(735),
    [anon_sym_function] = ACTIONS(739),
    [anon_sym_EQ] = ACTIONS(739),
    [anon_sym_if] = ACTIONS(739),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(739),
    [anon_sym_repeat] = ACTIONS(739),
    [anon_sym_QMARK] = ACTIONS(735),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(739),
    [anon_sym_LT_DASH] = ACTIONS(735),
    [anon_sym_LT_LT_DASH] = ACTIONS(735),
    [anon_sym_COLON_EQ] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(739),
    [anon_sym_DASH_GT_GT] = ACTIONS(735),
    [anon_sym_PIPE] = ACTIONS(739),
    [anon_sym_AMP] = ACTIONS(739),
    [anon_sym_PIPE_PIPE] = ACTIONS(735),
    [anon_sym_AMP_AMP] = ACTIONS(735),
    [anon_sym_LT] = ACTIONS(739),
    [anon_sym_LT_EQ] = ACTIONS(735),
    [anon_sym_GT] = ACTIONS(739),
    [anon_sym_GT_EQ] = ACTIONS(735),
    [anon_sym_EQ_EQ] = ACTIONS(735),
    [anon_sym_BANG_EQ] = ACTIONS(735),
    [anon_sym_STAR] = ACTIONS(739),
    [anon_sym_SLASH] = ACTIONS(735),
    [anon_sym_STAR_STAR] = ACTIONS(735),
    [anon_sym_CARET] = ACTIONS(735),
    [aux_sym_binary_operator_token1] = ACTIONS(735),
    [anon_sym_PIPE_GT] = ACTIONS(735),
    [anon_sym_COLON] = ACTIONS(739),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(735),
    [sym__hex_literal] = ACTIONS(735),
    [sym__number_literal] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(869),
    [anon_sym_DQUOTE] = ACTIONS(871),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(739),
    [sym_dot_dot_i] = ACTIONS(735),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(735),
    [sym__semicolon] = ACTIONS(735),
    [sym__raw_string_literal] = ACTIONS(875),
    [sym__external_else] = ACTIONS(735),
    [sym__external_open_parenthesis] = ACTIONS(735),
    [sym__external_open_brace] = ACTIONS(735),
    [sym__external_close_brace] = ACTIONS(735),
    [sym__external_open_bracket] = ACTIONS(735),
    [sym__external_open_bracket2] = ACTIONS(735),
  },
  [689] = {
    [sym_string] = STATE(1048),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym__string_or_identifier] = STATE(1048),
    [aux_sym_function_definition_repeat1] = STATE(924),
    [sym_identifier] = ACTIONS(1025),
    [anon_sym_BSLASH] = ACTIONS(735),
    [anon_sym_function] = ACTIONS(739),
    [anon_sym_EQ] = ACTIONS(739),
    [anon_sym_if] = ACTIONS(739),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(739),
    [anon_sym_repeat] = ACTIONS(739),
    [anon_sym_QMARK] = ACTIONS(735),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(739),
    [anon_sym_LT_DASH] = ACTIONS(735),
    [anon_sym_LT_LT_DASH] = ACTIONS(735),
    [anon_sym_COLON_EQ] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(739),
    [anon_sym_DASH_GT_GT] = ACTIONS(735),
    [anon_sym_PIPE] = ACTIONS(739),
    [anon_sym_AMP] = ACTIONS(739),
    [anon_sym_PIPE_PIPE] = ACTIONS(735),
    [anon_sym_AMP_AMP] = ACTIONS(735),
    [anon_sym_LT] = ACTIONS(739),
    [anon_sym_LT_EQ] = ACTIONS(735),
    [anon_sym_GT] = ACTIONS(739),
    [anon_sym_GT_EQ] = ACTIONS(735),
    [anon_sym_EQ_EQ] = ACTIONS(735),
    [anon_sym_BANG_EQ] = ACTIONS(735),
    [anon_sym_STAR] = ACTIONS(739),
    [anon_sym_SLASH] = ACTIONS(735),
    [anon_sym_STAR_STAR] = ACTIONS(735),
    [anon_sym_CARET] = ACTIONS(735),
    [aux_sym_binary_operator_token1] = ACTIONS(735),
    [anon_sym_PIPE_GT] = ACTIONS(735),
    [anon_sym_COLON] = ACTIONS(739),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(735),
    [sym__hex_literal] = ACTIONS(735),
    [sym__number_literal] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(739),
    [sym_dot_dot_i] = ACTIONS(735),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(735),
    [sym__semicolon] = ACTIONS(735),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(735),
    [sym__external_open_brace] = ACTIONS(735),
    [sym__external_close_brace] = ACTIONS(735),
    [sym__external_open_bracket] = ACTIONS(735),
    [sym__external_open_bracket2] = ACTIONS(735),
  },
  [690] = {
    [sym_function_definition] = STATE(445),
    [sym_if_statement] = STATE(445),
    [sym_for_statement] = STATE(445),
    [sym_while_statement] = STATE(445),
    [sym_repeat_statement] = STATE(445),
    [sym_braced_expression] = STATE(445),
    [sym_parenthesized_expression] = STATE(445),
    [sym_call] = STATE(445),
    [sym_subset] = STATE(445),
    [sym_subset2] = STATE(445),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2057),
    [sym__argument_named] = STATE(2066),
    [sym__argument_unnamed] = STATE(2060),
    [sym__argument_value] = STATE(2062),
    [sym_unary_operator] = STATE(445),
    [sym_binary_operator] = STATE(445),
    [sym_extract_operator] = STATE(445),
    [sym_namespace_operator] = STATE(445),
    [sym_integer] = STATE(445),
    [sym_complex] = STATE(445),
    [sym_float] = STATE(445),
    [sym__float_literal] = STATE(772),
    [sym_string] = STATE(761),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym_na] = STATE(445),
    [sym__expression] = STATE(445),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(1027),
    [sym__open_brace] = STATE(927),
    [aux_sym_call_arguments_repeat1] = STATE(690),
    [sym_identifier] = ACTIONS(1033),
    [anon_sym_BSLASH] = ACTIONS(1036),
    [anon_sym_function] = ACTIONS(1039),
    [anon_sym_if] = ACTIONS(1042),
    [anon_sym_for] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(1048),
    [anon_sym_repeat] = ACTIONS(1051),
    [anon_sym_QMARK] = ACTIONS(1054),
    [anon_sym_TILDE] = ACTIONS(1057),
    [anon_sym_BANG] = ACTIONS(1060),
    [anon_sym_PLUS] = ACTIONS(1063),
    [anon_sym_DASH] = ACTIONS(1063),
    [sym__hex_literal] = ACTIONS(1066),
    [sym__number_literal] = ACTIONS(1069),
    [anon_sym_SQUOTE] = ACTIONS(1072),
    [anon_sym_DQUOTE] = ACTIONS(1075),
    [sym_return] = ACTIONS(1078),
    [sym_next] = ACTIONS(1078),
    [sym_break] = ACTIONS(1078),
    [sym_true] = ACTIONS(1078),
    [sym_false] = ACTIONS(1078),
    [sym_null] = ACTIONS(1078),
    [sym_inf] = ACTIONS(1078),
    [sym_nan] = ACTIONS(1078),
    [anon_sym_NA] = ACTIONS(1081),
    [anon_sym_NA_integer_] = ACTIONS(1081),
    [anon_sym_NA_real_] = ACTIONS(1081),
    [anon_sym_NA_complex_] = ACTIONS(1081),
    [anon_sym_NA_character_] = ACTIONS(1081),
    [sym_dots] = ACTIONS(1084),
    [sym_dot_dot_i] = ACTIONS(1087),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1090),
    [sym__newline] = ACTIONS(1093),
    [sym__raw_string_literal] = ACTIONS(1096),
    [sym__external_open_parenthesis] = ACTIONS(1099),
    [sym__external_open_brace] = ACTIONS(1102),
    [sym__external_close_bracket] = ACTIONS(1105),
  },
  [691] = {
    [sym_string] = STATE(961),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym__string_or_identifier] = STATE(961),
    [aux_sym_function_definition_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(1107),
    [anon_sym_BSLASH] = ACTIONS(735),
    [anon_sym_function] = ACTIONS(739),
    [anon_sym_EQ] = ACTIONS(739),
    [anon_sym_if] = ACTIONS(739),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(739),
    [anon_sym_repeat] = ACTIONS(739),
    [anon_sym_QMARK] = ACTIONS(735),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(739),
    [anon_sym_LT_DASH] = ACTIONS(735),
    [anon_sym_LT_LT_DASH] = ACTIONS(735),
    [anon_sym_COLON_EQ] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(739),
    [anon_sym_DASH_GT_GT] = ACTIONS(735),
    [anon_sym_PIPE] = ACTIONS(739),
    [anon_sym_AMP] = ACTIONS(739),
    [anon_sym_PIPE_PIPE] = ACTIONS(735),
    [anon_sym_AMP_AMP] = ACTIONS(735),
    [anon_sym_LT] = ACTIONS(739),
    [anon_sym_LT_EQ] = ACTIONS(735),
    [anon_sym_GT] = ACTIONS(739),
    [anon_sym_GT_EQ] = ACTIONS(735),
    [anon_sym_EQ_EQ] = ACTIONS(735),
    [anon_sym_BANG_EQ] = ACTIONS(735),
    [anon_sym_STAR] = ACTIONS(739),
    [anon_sym_SLASH] = ACTIONS(735),
    [anon_sym_STAR_STAR] = ACTIONS(735),
    [anon_sym_CARET] = ACTIONS(735),
    [aux_sym_binary_operator_token1] = ACTIONS(735),
    [anon_sym_PIPE_GT] = ACTIONS(735),
    [anon_sym_COLON] = ACTIONS(739),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(735),
    [sym__hex_literal] = ACTIONS(735),
    [sym__number_literal] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(739),
    [sym_dot_dot_i] = ACTIONS(735),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(735),
    [sym__newline] = ACTIONS(735),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(735),
    [sym__external_open_brace] = ACTIONS(735),
    [sym__external_open_bracket] = ACTIONS(735),
    [sym__external_close_bracket] = ACTIONS(735),
    [sym__external_open_bracket2] = ACTIONS(735),
  },
  [692] = {
    [sym_string] = STATE(974),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym__string_or_identifier] = STATE(974),
    [aux_sym_function_definition_repeat1] = STATE(698),
    [sym_identifier] = ACTIONS(1109),
    [anon_sym_BSLASH] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(725),
    [anon_sym_repeat] = ACTIONS(725),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(721),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(721),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_LT_DASH] = ACTIONS(721),
    [anon_sym_LT_LT_DASH] = ACTIONS(721),
    [anon_sym_COLON_EQ] = ACTIONS(721),
    [anon_sym_DASH_GT] = ACTIONS(725),
    [anon_sym_DASH_GT_GT] = ACTIONS(721),
    [anon_sym_PIPE] = ACTIONS(725),
    [anon_sym_AMP] = ACTIONS(725),
    [anon_sym_PIPE_PIPE] = ACTIONS(721),
    [anon_sym_AMP_AMP] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(725),
    [anon_sym_LT_EQ] = ACTIONS(721),
    [anon_sym_GT] = ACTIONS(725),
    [anon_sym_GT_EQ] = ACTIONS(721),
    [anon_sym_EQ_EQ] = ACTIONS(721),
    [anon_sym_BANG_EQ] = ACTIONS(721),
    [anon_sym_STAR] = ACTIONS(725),
    [anon_sym_SLASH] = ACTIONS(721),
    [anon_sym_STAR_STAR] = ACTIONS(721),
    [anon_sym_CARET] = ACTIONS(721),
    [aux_sym_binary_operator_token1] = ACTIONS(721),
    [anon_sym_PIPE_GT] = ACTIONS(721),
    [anon_sym_COLON] = ACTIONS(725),
    [anon_sym_DOLLAR] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(721),
    [sym__hex_literal] = ACTIONS(721),
    [sym__number_literal] = ACTIONS(725),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(725),
    [sym_next] = ACTIONS(725),
    [sym_break] = ACTIONS(725),
    [sym_true] = ACTIONS(725),
    [sym_false] = ACTIONS(725),
    [sym_null] = ACTIONS(725),
    [sym_inf] = ACTIONS(725),
    [sym_nan] = ACTIONS(725),
    [anon_sym_NA] = ACTIONS(725),
    [anon_sym_NA_integer_] = ACTIONS(725),
    [anon_sym_NA_real_] = ACTIONS(725),
    [anon_sym_NA_complex_] = ACTIONS(725),
    [anon_sym_NA_character_] = ACTIONS(725),
    [sym_dots] = ACTIONS(725),
    [sym_dot_dot_i] = ACTIONS(721),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(721),
    [sym__newline] = ACTIONS(1111),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(721),
    [sym__external_open_brace] = ACTIONS(721),
    [sym__external_open_bracket] = ACTIONS(721),
    [sym__external_open_bracket2] = ACTIONS(721),
    [sym__external_close_bracket2] = ACTIONS(721),
  },
  [693] = {
    [sym_string] = STATE(915),
    [sym__single_quoted_string] = STATE(748),
    [sym__double_quoted_string] = STATE(749),
    [sym__string_or_identifier] = STATE(915),
    [sym_identifier] = ACTIONS(1113),
    [anon_sym_BSLASH] = ACTIONS(1115),
    [anon_sym_function] = ACTIONS(1117),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_for] = ACTIONS(1117),
    [anon_sym_while] = ACTIONS(1117),
    [anon_sym_repeat] = ACTIONS(1117),
    [anon_sym_QMARK] = ACTIONS(1115),
    [anon_sym_TILDE] = ACTIONS(1115),
    [anon_sym_BANG] = ACTIONS(1117),
    [anon_sym_PLUS] = ACTIONS(1115),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_LT_DASH] = ACTIONS(1115),
    [anon_sym_LT_LT_DASH] = ACTIONS(1115),
    [anon_sym_COLON_EQ] = ACTIONS(1115),
    [anon_sym_DASH_GT] = ACTIONS(1117),
    [anon_sym_DASH_GT_GT] = ACTIONS(1115),
    [anon_sym_PIPE] = ACTIONS(1117),
    [anon_sym_AMP] = ACTIONS(1117),
    [anon_sym_PIPE_PIPE] = ACTIONS(1115),
    [anon_sym_AMP_AMP] = ACTIONS(1115),
    [anon_sym_LT] = ACTIONS(1117),
    [anon_sym_LT_EQ] = ACTIONS(1115),
    [anon_sym_GT] = ACTIONS(1117),
    [anon_sym_GT_EQ] = ACTIONS(1115),
    [anon_sym_EQ_EQ] = ACTIONS(1115),
    [anon_sym_BANG_EQ] = ACTIONS(1115),
    [anon_sym_STAR] = ACTIONS(1117),
    [anon_sym_SLASH] = ACTIONS(1115),
    [anon_sym_STAR_STAR] = ACTIONS(1115),
    [anon_sym_CARET] = ACTIONS(1115),
    [aux_sym_binary_operator_token1] = ACTIONS(1115),
    [anon_sym_PIPE_GT] = ACTIONS(1115),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_DOLLAR] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(1115),
    [sym__hex_literal] = ACTIONS(1115),
    [sym__number_literal] = ACTIONS(1117),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(917),
    [sym_return] = ACTIONS(1117),
    [sym_next] = ACTIONS(1117),
    [sym_break] = ACTIONS(1117),
    [sym_true] = ACTIONS(1117),
    [sym_false] = ACTIONS(1117),
    [sym_null] = ACTIONS(1117),
    [sym_inf] = ACTIONS(1117),
    [sym_nan] = ACTIONS(1117),
    [anon_sym_NA] = ACTIONS(1117),
    [anon_sym_NA_integer_] = ACTIONS(1117),
    [anon_sym_NA_real_] = ACTIONS(1117),
    [anon_sym_NA_complex_] = ACTIONS(1117),
    [anon_sym_NA_character_] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1117),
    [sym_dot_dot_i] = ACTIONS(1115),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1115),
    [sym__newline] = ACTIONS(1115),
    [sym__raw_string_literal] = ACTIONS(921),
    [sym__external_else] = ACTIONS(1115),
    [sym__external_open_parenthesis] = ACTIONS(1115),
    [sym__external_open_brace] = ACTIONS(1115),
    [sym__external_open_bracket] = ACTIONS(1115),
    [sym__external_open_bracket2] = ACTIONS(1115),
    [sym__external_close_bracket2] = ACTIONS(1115),
  },
  [694] = {
    [sym_string] = STATE(851),
    [sym__single_quoted_string] = STATE(752),
    [sym__double_quoted_string] = STATE(753),
    [sym__string_or_identifier] = STATE(851),
    [sym_identifier] = ACTIONS(1119),
    [anon_sym_BSLASH] = ACTIONS(1115),
    [anon_sym_function] = ACTIONS(1117),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_for] = ACTIONS(1117),
    [anon_sym_while] = ACTIONS(1117),
    [anon_sym_repeat] = ACTIONS(1117),
    [anon_sym_QMARK] = ACTIONS(1115),
    [anon_sym_TILDE] = ACTIONS(1115),
    [anon_sym_BANG] = ACTIONS(1117),
    [anon_sym_PLUS] = ACTIONS(1115),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_LT_DASH] = ACTIONS(1115),
    [anon_sym_LT_LT_DASH] = ACTIONS(1115),
    [anon_sym_COLON_EQ] = ACTIONS(1115),
    [anon_sym_DASH_GT] = ACTIONS(1117),
    [anon_sym_DASH_GT_GT] = ACTIONS(1115),
    [anon_sym_PIPE] = ACTIONS(1117),
    [anon_sym_AMP] = ACTIONS(1117),
    [anon_sym_PIPE_PIPE] = ACTIONS(1115),
    [anon_sym_AMP_AMP] = ACTIONS(1115),
    [anon_sym_LT] = ACTIONS(1117),
    [anon_sym_LT_EQ] = ACTIONS(1115),
    [anon_sym_GT] = ACTIONS(1117),
    [anon_sym_GT_EQ] = ACTIONS(1115),
    [anon_sym_EQ_EQ] = ACTIONS(1115),
    [anon_sym_BANG_EQ] = ACTIONS(1115),
    [anon_sym_STAR] = ACTIONS(1117),
    [anon_sym_SLASH] = ACTIONS(1115),
    [anon_sym_STAR_STAR] = ACTIONS(1115),
    [anon_sym_CARET] = ACTIONS(1115),
    [aux_sym_binary_operator_token1] = ACTIONS(1115),
    [anon_sym_PIPE_GT] = ACTIONS(1115),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_DOLLAR] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(1115),
    [sym__hex_literal] = ACTIONS(1115),
    [sym__number_literal] = ACTIONS(1117),
    [anon_sym_SQUOTE] = ACTIONS(791),
    [anon_sym_DQUOTE] = ACTIONS(793),
    [sym_return] = ACTIONS(1117),
    [sym_next] = ACTIONS(1117),
    [sym_break] = ACTIONS(1117),
    [sym_true] = ACTIONS(1117),
    [sym_false] = ACTIONS(1117),
    [sym_null] = ACTIONS(1117),
    [sym_inf] = ACTIONS(1117),
    [sym_nan] = ACTIONS(1117),
    [anon_sym_NA] = ACTIONS(1117),
    [anon_sym_NA_integer_] = ACTIONS(1117),
    [anon_sym_NA_real_] = ACTIONS(1117),
    [anon_sym_NA_complex_] = ACTIONS(1117),
    [anon_sym_NA_character_] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1117),
    [sym_dot_dot_i] = ACTIONS(1115),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1115),
    [sym__newline] = ACTIONS(1115),
    [sym__raw_string_literal] = ACTIONS(797),
    [sym__external_else] = ACTIONS(1115),
    [sym__external_open_parenthesis] = ACTIONS(1115),
    [sym__external_close_parenthesis] = ACTIONS(1115),
    [sym__external_open_brace] = ACTIONS(1115),
    [sym__external_open_bracket] = ACTIONS(1115),
    [sym__external_open_bracket2] = ACTIONS(1115),
  },
  [695] = {
    [sym_string] = STATE(971),
    [sym__single_quoted_string] = STATE(784),
    [sym__double_quoted_string] = STATE(769),
    [sym__string_or_identifier] = STATE(971),
    [aux_sym_function_definition_repeat1] = STATE(703),
    [ts_builtin_sym_end] = ACTIONS(721),
    [sym_identifier] = ACTIONS(1121),
    [anon_sym_BSLASH] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(725),
    [anon_sym_repeat] = ACTIONS(725),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(721),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(721),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_LT_DASH] = ACTIONS(721),
    [anon_sym_LT_LT_DASH] = ACTIONS(721),
    [anon_sym_COLON_EQ] = ACTIONS(721),
    [anon_sym_DASH_GT] = ACTIONS(725),
    [anon_sym_DASH_GT_GT] = ACTIONS(721),
    [anon_sym_PIPE] = ACTIONS(725),
    [anon_sym_AMP] = ACTIONS(725),
    [anon_sym_PIPE_PIPE] = ACTIONS(721),
    [anon_sym_AMP_AMP] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(725),
    [anon_sym_LT_EQ] = ACTIONS(721),
    [anon_sym_GT] = ACTIONS(725),
    [anon_sym_GT_EQ] = ACTIONS(721),
    [anon_sym_EQ_EQ] = ACTIONS(721),
    [anon_sym_BANG_EQ] = ACTIONS(721),
    [anon_sym_STAR] = ACTIONS(725),
    [anon_sym_SLASH] = ACTIONS(721),
    [anon_sym_STAR_STAR] = ACTIONS(721),
    [anon_sym_CARET] = ACTIONS(721),
    [aux_sym_binary_operator_token1] = ACTIONS(721),
    [anon_sym_PIPE_GT] = ACTIONS(721),
    [anon_sym_COLON] = ACTIONS(725),
    [anon_sym_DOLLAR] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(721),
    [sym__hex_literal] = ACTIONS(721),
    [sym__number_literal] = ACTIONS(725),
    [anon_sym_SQUOTE] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1125),
    [sym_return] = ACTIONS(725),
    [sym_next] = ACTIONS(725),
    [sym_break] = ACTIONS(725),
    [sym_true] = ACTIONS(725),
    [sym_false] = ACTIONS(725),
    [sym_null] = ACTIONS(725),
    [sym_inf] = ACTIONS(725),
    [sym_nan] = ACTIONS(725),
    [anon_sym_NA] = ACTIONS(725),
    [anon_sym_NA_integer_] = ACTIONS(725),
    [anon_sym_NA_real_] = ACTIONS(725),
    [anon_sym_NA_complex_] = ACTIONS(725),
    [anon_sym_NA_character_] = ACTIONS(725),
    [sym_dots] = ACTIONS(725),
    [sym_dot_dot_i] = ACTIONS(721),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1127),
    [sym__semicolon] = ACTIONS(721),
    [sym__raw_string_literal] = ACTIONS(1129),
    [sym__external_open_parenthesis] = ACTIONS(721),
    [sym__external_open_brace] = ACTIONS(721),
    [sym__external_open_bracket] = ACTIONS(721),
    [sym__external_open_bracket2] = ACTIONS(721),
  },
  [696] = {
    [sym_call_arguments] = STATE(1036),
    [sym_subset_arguments] = STATE(1039),
    [sym_subset2_arguments] = STATE(1041),
    [sym__open_parenthesis] = STATE(630),
    [sym__open_bracket] = STATE(631),
    [sym__open_bracket2] = STATE(632),
    [sym_identifier] = ACTIONS(1131),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_function] = ACTIONS(1131),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(1131),
    [anon_sym_for] = ACTIONS(1131),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_repeat] = ACTIONS(1131),
    [anon_sym_QMARK] = ACTIONS(877),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LT_DASH] = ACTIONS(753),
    [anon_sym_LT_LT_DASH] = ACTIONS(753),
    [anon_sym_COLON_EQ] = ACTIONS(753),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_DASH_GT_GT] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(759),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(1133),
    [sym__number_literal] = ACTIONS(1131),
    [anon_sym_SQUOTE] = ACTIONS(1133),
    [anon_sym_DQUOTE] = ACTIONS(1133),
    [sym_return] = ACTIONS(1131),
    [sym_next] = ACTIONS(1131),
    [sym_break] = ACTIONS(1131),
    [sym_true] = ACTIONS(1131),
    [sym_false] = ACTIONS(1131),
    [sym_null] = ACTIONS(1131),
    [sym_inf] = ACTIONS(1131),
    [sym_nan] = ACTIONS(1131),
    [anon_sym_NA] = ACTIONS(1131),
    [anon_sym_NA_integer_] = ACTIONS(1131),
    [anon_sym_NA_real_] = ACTIONS(1131),
    [anon_sym_NA_complex_] = ACTIONS(1131),
    [anon_sym_NA_character_] = ACTIONS(1131),
    [sym_dots] = ACTIONS(1131),
    [sym_dot_dot_i] = ACTIONS(1133),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1133),
    [sym__raw_string_literal] = ACTIONS(1133),
    [sym__external_open_parenthesis] = ACTIONS(783),
    [sym__external_close_parenthesis] = ACTIONS(1133),
    [sym__external_open_brace] = ACTIONS(1133),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(787),
  },
  [697] = {
    [sym_string] = STATE(894),
    [sym__single_quoted_string] = STATE(716),
    [sym__double_quoted_string] = STATE(717),
    [sym__string_or_identifier] = STATE(894),
    [sym_identifier] = ACTIONS(1135),
    [anon_sym_BSLASH] = ACTIONS(1115),
    [anon_sym_function] = ACTIONS(1117),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_for] = ACTIONS(1117),
    [anon_sym_while] = ACTIONS(1117),
    [anon_sym_repeat] = ACTIONS(1117),
    [anon_sym_QMARK] = ACTIONS(1115),
    [anon_sym_TILDE] = ACTIONS(1115),
    [anon_sym_BANG] = ACTIONS(1117),
    [anon_sym_PLUS] = ACTIONS(1115),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_LT_DASH] = ACTIONS(1115),
    [anon_sym_LT_LT_DASH] = ACTIONS(1115),
    [anon_sym_COLON_EQ] = ACTIONS(1115),
    [anon_sym_DASH_GT] = ACTIONS(1117),
    [anon_sym_DASH_GT_GT] = ACTIONS(1115),
    [anon_sym_PIPE] = ACTIONS(1117),
    [anon_sym_AMP] = ACTIONS(1117),
    [anon_sym_PIPE_PIPE] = ACTIONS(1115),
    [anon_sym_AMP_AMP] = ACTIONS(1115),
    [anon_sym_LT] = ACTIONS(1117),
    [anon_sym_LT_EQ] = ACTIONS(1115),
    [anon_sym_GT] = ACTIONS(1117),
    [anon_sym_GT_EQ] = ACTIONS(1115),
    [anon_sym_EQ_EQ] = ACTIONS(1115),
    [anon_sym_BANG_EQ] = ACTIONS(1115),
    [anon_sym_STAR] = ACTIONS(1117),
    [anon_sym_SLASH] = ACTIONS(1115),
    [anon_sym_STAR_STAR] = ACTIONS(1115),
    [anon_sym_CARET] = ACTIONS(1115),
    [aux_sym_binary_operator_token1] = ACTIONS(1115),
    [anon_sym_PIPE_GT] = ACTIONS(1115),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_DOLLAR] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(1115),
    [sym__hex_literal] = ACTIONS(1115),
    [sym__number_literal] = ACTIONS(1117),
    [anon_sym_SQUOTE] = ACTIONS(895),
    [anon_sym_DQUOTE] = ACTIONS(897),
    [sym_return] = ACTIONS(1117),
    [sym_next] = ACTIONS(1117),
    [sym_break] = ACTIONS(1117),
    [sym_true] = ACTIONS(1117),
    [sym_false] = ACTIONS(1117),
    [sym_null] = ACTIONS(1117),
    [sym_inf] = ACTIONS(1117),
    [sym_nan] = ACTIONS(1117),
    [anon_sym_NA] = ACTIONS(1117),
    [anon_sym_NA_integer_] = ACTIONS(1117),
    [anon_sym_NA_real_] = ACTIONS(1117),
    [anon_sym_NA_complex_] = ACTIONS(1117),
    [anon_sym_NA_character_] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1117),
    [sym_dot_dot_i] = ACTIONS(1115),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1115),
    [sym__newline] = ACTIONS(1115),
    [sym__raw_string_literal] = ACTIONS(901),
    [sym__external_else] = ACTIONS(1115),
    [sym__external_open_parenthesis] = ACTIONS(1115),
    [sym__external_open_brace] = ACTIONS(1115),
    [sym__external_open_bracket] = ACTIONS(1115),
    [sym__external_close_bracket] = ACTIONS(1115),
    [sym__external_open_bracket2] = ACTIONS(1115),
  },
  [698] = {
    [sym_string] = STATE(999),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym__string_or_identifier] = STATE(999),
    [aux_sym_function_definition_repeat1] = STATE(846),
    [sym_identifier] = ACTIONS(1137),
    [anon_sym_BSLASH] = ACTIONS(735),
    [anon_sym_function] = ACTIONS(739),
    [anon_sym_EQ] = ACTIONS(739),
    [anon_sym_if] = ACTIONS(739),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(739),
    [anon_sym_repeat] = ACTIONS(739),
    [anon_sym_QMARK] = ACTIONS(735),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(739),
    [anon_sym_LT_DASH] = ACTIONS(735),
    [anon_sym_LT_LT_DASH] = ACTIONS(735),
    [anon_sym_COLON_EQ] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(739),
    [anon_sym_DASH_GT_GT] = ACTIONS(735),
    [anon_sym_PIPE] = ACTIONS(739),
    [anon_sym_AMP] = ACTIONS(739),
    [anon_sym_PIPE_PIPE] = ACTIONS(735),
    [anon_sym_AMP_AMP] = ACTIONS(735),
    [anon_sym_LT] = ACTIONS(739),
    [anon_sym_LT_EQ] = ACTIONS(735),
    [anon_sym_GT] = ACTIONS(739),
    [anon_sym_GT_EQ] = ACTIONS(735),
    [anon_sym_EQ_EQ] = ACTIONS(735),
    [anon_sym_BANG_EQ] = ACTIONS(735),
    [anon_sym_STAR] = ACTIONS(739),
    [anon_sym_SLASH] = ACTIONS(735),
    [anon_sym_STAR_STAR] = ACTIONS(735),
    [anon_sym_CARET] = ACTIONS(735),
    [aux_sym_binary_operator_token1] = ACTIONS(735),
    [anon_sym_PIPE_GT] = ACTIONS(735),
    [anon_sym_COLON] = ACTIONS(739),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(735),
    [sym__hex_literal] = ACTIONS(735),
    [sym__number_literal] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(739),
    [sym_dot_dot_i] = ACTIONS(735),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(735),
    [sym__newline] = ACTIONS(735),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(735),
    [sym__external_open_brace] = ACTIONS(735),
    [sym__external_open_bracket] = ACTIONS(735),
    [sym__external_open_bracket2] = ACTIONS(735),
    [sym__external_close_bracket2] = ACTIONS(735),
  },
  [699] = {
    [sym_function_definition] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_while_statement] = STATE(517),
    [sym_repeat_statement] = STATE(517),
    [sym_braced_expression] = STATE(517),
    [sym_parenthesized_expression] = STATE(517),
    [sym_call] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym__argument] = STATE(2065),
    [sym_argument] = STATE(2077),
    [sym__argument_named] = STATE(2063),
    [sym__argument_unnamed] = STATE(2070),
    [sym__argument_value] = STATE(2078),
    [sym_unary_operator] = STATE(517),
    [sym_binary_operator] = STATE(517),
    [sym_extract_operator] = STATE(517),
    [sym_namespace_operator] = STATE(517),
    [sym_integer] = STATE(517),
    [sym_complex] = STATE(517),
    [sym_float] = STATE(517),
    [sym__float_literal] = STATE(778),
    [sym_string] = STATE(781),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(928),
    [aux_sym_call_arguments_repeat1] = STATE(699),
    [sym_identifier] = ACTIONS(1139),
    [anon_sym_BSLASH] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_for] = ACTIONS(1151),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_repeat] = ACTIONS(1157),
    [anon_sym_QMARK] = ACTIONS(1160),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1169),
    [sym__hex_literal] = ACTIONS(1172),
    [sym__number_literal] = ACTIONS(1175),
    [anon_sym_SQUOTE] = ACTIONS(1178),
    [anon_sym_DQUOTE] = ACTIONS(1181),
    [sym_return] = ACTIONS(1184),
    [sym_next] = ACTIONS(1184),
    [sym_break] = ACTIONS(1184),
    [sym_true] = ACTIONS(1184),
    [sym_false] = ACTIONS(1184),
    [sym_null] = ACTIONS(1184),
    [sym_inf] = ACTIONS(1184),
    [sym_nan] = ACTIONS(1184),
    [anon_sym_NA] = ACTIONS(1187),
    [anon_sym_NA_integer_] = ACTIONS(1187),
    [anon_sym_NA_real_] = ACTIONS(1187),
    [anon_sym_NA_complex_] = ACTIONS(1187),
    [anon_sym_NA_character_] = ACTIONS(1187),
    [sym_dots] = ACTIONS(1190),
    [sym_dot_dot_i] = ACTIONS(1193),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1196),
    [sym__newline] = ACTIONS(1199),
    [sym__raw_string_literal] = ACTIONS(1202),
    [sym__external_open_parenthesis] = ACTIONS(1205),
    [sym__external_open_brace] = ACTIONS(1208),
    [sym__external_close_bracket2] = ACTIONS(1105),
  },
  [700] = {
    [sym_string] = STATE(988),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym__string_or_identifier] = STATE(988),
    [aux_sym_function_definition_repeat1] = STATE(881),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_BSLASH] = ACTIONS(735),
    [anon_sym_function] = ACTIONS(739),
    [anon_sym_EQ] = ACTIONS(739),
    [anon_sym_if] = ACTIONS(739),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(739),
    [anon_sym_repeat] = ACTIONS(739),
    [anon_sym_QMARK] = ACTIONS(735),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(739),
    [anon_sym_LT_DASH] = ACTIONS(735),
    [anon_sym_LT_LT_DASH] = ACTIONS(735),
    [anon_sym_COLON_EQ] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(739),
    [anon_sym_DASH_GT_GT] = ACTIONS(735),
    [anon_sym_PIPE] = ACTIONS(739),
    [anon_sym_AMP] = ACTIONS(739),
    [anon_sym_PIPE_PIPE] = ACTIONS(735),
    [anon_sym_AMP_AMP] = ACTIONS(735),
    [anon_sym_LT] = ACTIONS(739),
    [anon_sym_LT_EQ] = ACTIONS(735),
    [anon_sym_GT] = ACTIONS(739),
    [anon_sym_GT_EQ] = ACTIONS(735),
    [anon_sym_EQ_EQ] = ACTIONS(735),
    [anon_sym_BANG_EQ] = ACTIONS(735),
    [anon_sym_STAR] = ACTIONS(739),
    [anon_sym_SLASH] = ACTIONS(735),
    [anon_sym_STAR_STAR] = ACTIONS(735),
    [anon_sym_CARET] = ACTIONS(735),
    [aux_sym_binary_operator_token1] = ACTIONS(735),
    [anon_sym_PIPE_GT] = ACTIONS(735),
    [anon_sym_COLON] = ACTIONS(739),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(735),
    [sym__hex_literal] = ACTIONS(735),
    [sym__number_literal] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(739),
    [sym_dot_dot_i] = ACTIONS(735),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(735),
    [sym__newline] = ACTIONS(735),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(735),
    [sym__external_close_parenthesis] = ACTIONS(735),
    [sym__external_open_brace] = ACTIONS(735),
    [sym__external_open_bracket] = ACTIONS(735),
    [sym__external_open_bracket2] = ACTIONS(735),
  },
  [701] = {
    [sym_function_definition] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_while_statement] = STATE(498),
    [sym_repeat_statement] = STATE(498),
    [sym_braced_expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym__argument] = STATE(2071),
    [sym_argument] = STATE(2075),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2068),
    [sym__argument_value] = STATE(2076),
    [sym_unary_operator] = STATE(498),
    [sym_binary_operator] = STATE(498),
    [sym_extract_operator] = STATE(498),
    [sym_namespace_operator] = STATE(498),
    [sym_integer] = STATE(498),
    [sym_complex] = STATE(498),
    [sym_float] = STATE(498),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(770),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__open_brace] = STATE(922),
    [aux_sym_call_arguments_repeat1] = STATE(701),
    [sym_identifier] = ACTIONS(1213),
    [anon_sym_BSLASH] = ACTIONS(1216),
    [anon_sym_function] = ACTIONS(1219),
    [anon_sym_if] = ACTIONS(1222),
    [anon_sym_for] = ACTIONS(1225),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_repeat] = ACTIONS(1231),
    [anon_sym_QMARK] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1237),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_DASH] = ACTIONS(1243),
    [sym__hex_literal] = ACTIONS(1246),
    [sym__number_literal] = ACTIONS(1249),
    [anon_sym_SQUOTE] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1255),
    [sym_return] = ACTIONS(1258),
    [sym_next] = ACTIONS(1258),
    [sym_break] = ACTIONS(1258),
    [sym_true] = ACTIONS(1258),
    [sym_false] = ACTIONS(1258),
    [sym_null] = ACTIONS(1258),
    [sym_inf] = ACTIONS(1258),
    [sym_nan] = ACTIONS(1258),
    [anon_sym_NA] = ACTIONS(1261),
    [anon_sym_NA_integer_] = ACTIONS(1261),
    [anon_sym_NA_real_] = ACTIONS(1261),
    [anon_sym_NA_complex_] = ACTIONS(1261),
    [anon_sym_NA_character_] = ACTIONS(1261),
    [sym_dots] = ACTIONS(1264),
    [sym_dot_dot_i] = ACTIONS(1267),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1270),
    [sym__newline] = ACTIONS(1273),
    [sym__raw_string_literal] = ACTIONS(1276),
    [sym__external_open_parenthesis] = ACTIONS(1279),
    [sym__external_close_parenthesis] = ACTIONS(1105),
    [sym__external_open_brace] = ACTIONS(1282),
  },
  [702] = {
    [sym_string] = STATE(871),
    [sym__single_quoted_string] = STATE(719),
    [sym__double_quoted_string] = STATE(720),
    [sym__string_or_identifier] = STATE(871),
    [sym_identifier] = ACTIONS(1285),
    [anon_sym_BSLASH] = ACTIONS(1115),
    [anon_sym_function] = ACTIONS(1117),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_for] = ACTIONS(1117),
    [anon_sym_while] = ACTIONS(1117),
    [anon_sym_repeat] = ACTIONS(1117),
    [anon_sym_QMARK] = ACTIONS(1115),
    [anon_sym_TILDE] = ACTIONS(1115),
    [anon_sym_BANG] = ACTIONS(1117),
    [anon_sym_PLUS] = ACTIONS(1115),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_LT_DASH] = ACTIONS(1115),
    [anon_sym_LT_LT_DASH] = ACTIONS(1115),
    [anon_sym_COLON_EQ] = ACTIONS(1115),
    [anon_sym_DASH_GT] = ACTIONS(1117),
    [anon_sym_DASH_GT_GT] = ACTIONS(1115),
    [anon_sym_PIPE] = ACTIONS(1117),
    [anon_sym_AMP] = ACTIONS(1117),
    [anon_sym_PIPE_PIPE] = ACTIONS(1115),
    [anon_sym_AMP_AMP] = ACTIONS(1115),
    [anon_sym_LT] = ACTIONS(1117),
    [anon_sym_LT_EQ] = ACTIONS(1115),
    [anon_sym_GT] = ACTIONS(1117),
    [anon_sym_GT_EQ] = ACTIONS(1115),
    [anon_sym_EQ_EQ] = ACTIONS(1115),
    [anon_sym_BANG_EQ] = ACTIONS(1115),
    [anon_sym_STAR] = ACTIONS(1117),
    [anon_sym_SLASH] = ACTIONS(1115),
    [anon_sym_STAR_STAR] = ACTIONS(1115),
    [anon_sym_CARET] = ACTIONS(1115),
    [aux_sym_binary_operator_token1] = ACTIONS(1115),
    [anon_sym_PIPE_GT] = ACTIONS(1115),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_DOLLAR] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(1115),
    [sym__hex_literal] = ACTIONS(1115),
    [sym__number_literal] = ACTIONS(1117),
    [anon_sym_SQUOTE] = ACTIONS(869),
    [anon_sym_DQUOTE] = ACTIONS(871),
    [sym_return] = ACTIONS(1117),
    [sym_next] = ACTIONS(1117),
    [sym_break] = ACTIONS(1117),
    [sym_true] = ACTIONS(1117),
    [sym_false] = ACTIONS(1117),
    [sym_null] = ACTIONS(1117),
    [sym_inf] = ACTIONS(1117),
    [sym_nan] = ACTIONS(1117),
    [anon_sym_NA] = ACTIONS(1117),
    [anon_sym_NA_integer_] = ACTIONS(1117),
    [anon_sym_NA_real_] = ACTIONS(1117),
    [anon_sym_NA_complex_] = ACTIONS(1117),
    [anon_sym_NA_character_] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1117),
    [sym_dot_dot_i] = ACTIONS(1115),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1115),
    [sym__semicolon] = ACTIONS(1115),
    [sym__raw_string_literal] = ACTIONS(875),
    [sym__external_else] = ACTIONS(1115),
    [sym__external_open_parenthesis] = ACTIONS(1115),
    [sym__external_open_brace] = ACTIONS(1115),
    [sym__external_close_brace] = ACTIONS(1115),
    [sym__external_open_bracket] = ACTIONS(1115),
    [sym__external_open_bracket2] = ACTIONS(1115),
  },
  [703] = {
    [sym_string] = STATE(976),
    [sym__single_quoted_string] = STATE(784),
    [sym__double_quoted_string] = STATE(769),
    [sym__string_or_identifier] = STATE(976),
    [aux_sym_function_definition_repeat1] = STATE(836),
    [ts_builtin_sym_end] = ACTIONS(735),
    [sym_identifier] = ACTIONS(1287),
    [anon_sym_BSLASH] = ACTIONS(735),
    [anon_sym_function] = ACTIONS(739),
    [anon_sym_EQ] = ACTIONS(739),
    [anon_sym_if] = ACTIONS(739),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(739),
    [anon_sym_repeat] = ACTIONS(739),
    [anon_sym_QMARK] = ACTIONS(735),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(739),
    [anon_sym_LT_DASH] = ACTIONS(735),
    [anon_sym_LT_LT_DASH] = ACTIONS(735),
    [anon_sym_COLON_EQ] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(739),
    [anon_sym_DASH_GT_GT] = ACTIONS(735),
    [anon_sym_PIPE] = ACTIONS(739),
    [anon_sym_AMP] = ACTIONS(739),
    [anon_sym_PIPE_PIPE] = ACTIONS(735),
    [anon_sym_AMP_AMP] = ACTIONS(735),
    [anon_sym_LT] = ACTIONS(739),
    [anon_sym_LT_EQ] = ACTIONS(735),
    [anon_sym_GT] = ACTIONS(739),
    [anon_sym_GT_EQ] = ACTIONS(735),
    [anon_sym_EQ_EQ] = ACTIONS(735),
    [anon_sym_BANG_EQ] = ACTIONS(735),
    [anon_sym_STAR] = ACTIONS(739),
    [anon_sym_SLASH] = ACTIONS(735),
    [anon_sym_STAR_STAR] = ACTIONS(735),
    [anon_sym_CARET] = ACTIONS(735),
    [aux_sym_binary_operator_token1] = ACTIONS(735),
    [anon_sym_PIPE_GT] = ACTIONS(735),
    [anon_sym_COLON] = ACTIONS(739),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(735),
    [sym__hex_literal] = ACTIONS(735),
    [sym__number_literal] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1125),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(739),
    [sym_dot_dot_i] = ACTIONS(735),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(735),
    [sym__semicolon] = ACTIONS(735),
    [sym__raw_string_literal] = ACTIONS(1129),
    [sym__external_open_parenthesis] = ACTIONS(735),
    [sym__external_open_brace] = ACTIONS(735),
    [sym__external_open_bracket] = ACTIONS(735),
    [sym__external_open_bracket2] = ACTIONS(735),
  },
  [704] = {
    [sym_string] = STATE(993),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym__string_or_identifier] = STATE(993),
    [aux_sym_function_definition_repeat1] = STATE(689),
    [sym_identifier] = ACTIONS(1289),
    [anon_sym_BSLASH] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(725),
    [anon_sym_repeat] = ACTIONS(725),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(721),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(721),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_LT_DASH] = ACTIONS(721),
    [anon_sym_LT_LT_DASH] = ACTIONS(721),
    [anon_sym_COLON_EQ] = ACTIONS(721),
    [anon_sym_DASH_GT] = ACTIONS(725),
    [anon_sym_DASH_GT_GT] = ACTIONS(721),
    [anon_sym_PIPE] = ACTIONS(725),
    [anon_sym_AMP] = ACTIONS(725),
    [anon_sym_PIPE_PIPE] = ACTIONS(721),
    [anon_sym_AMP_AMP] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(725),
    [anon_sym_LT_EQ] = ACTIONS(721),
    [anon_sym_GT] = ACTIONS(725),
    [anon_sym_GT_EQ] = ACTIONS(721),
    [anon_sym_EQ_EQ] = ACTIONS(721),
    [anon_sym_BANG_EQ] = ACTIONS(721),
    [anon_sym_STAR] = ACTIONS(725),
    [anon_sym_SLASH] = ACTIONS(721),
    [anon_sym_STAR_STAR] = ACTIONS(721),
    [anon_sym_CARET] = ACTIONS(721),
    [aux_sym_binary_operator_token1] = ACTIONS(721),
    [anon_sym_PIPE_GT] = ACTIONS(721),
    [anon_sym_COLON] = ACTIONS(725),
    [anon_sym_DOLLAR] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(721),
    [sym__hex_literal] = ACTIONS(721),
    [sym__number_literal] = ACTIONS(725),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(725),
    [sym_next] = ACTIONS(725),
    [sym_break] = ACTIONS(725),
    [sym_true] = ACTIONS(725),
    [sym_false] = ACTIONS(725),
    [sym_null] = ACTIONS(725),
    [sym_inf] = ACTIONS(725),
    [sym_nan] = ACTIONS(725),
    [anon_sym_NA] = ACTIONS(725),
    [anon_sym_NA_integer_] = ACTIONS(725),
    [anon_sym_NA_real_] = ACTIONS(725),
    [anon_sym_NA_complex_] = ACTIONS(725),
    [anon_sym_NA_character_] = ACTIONS(725),
    [sym_dots] = ACTIONS(725),
    [sym_dot_dot_i] = ACTIONS(721),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1291),
    [sym__semicolon] = ACTIONS(721),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(721),
    [sym__external_open_brace] = ACTIONS(721),
    [sym__external_close_brace] = ACTIONS(721),
    [sym__external_open_bracket] = ACTIONS(721),
    [sym__external_open_bracket2] = ACTIONS(721),
  },
  [705] = {
    [sym_string] = STATE(1043),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym__string_or_identifier] = STATE(1043),
    [aux_sym_function_definition_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1293),
    [anon_sym_BSLASH] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(725),
    [anon_sym_repeat] = ACTIONS(725),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(721),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(721),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_LT_DASH] = ACTIONS(721),
    [anon_sym_LT_LT_DASH] = ACTIONS(721),
    [anon_sym_COLON_EQ] = ACTIONS(721),
    [anon_sym_DASH_GT] = ACTIONS(725),
    [anon_sym_DASH_GT_GT] = ACTIONS(721),
    [anon_sym_PIPE] = ACTIONS(725),
    [anon_sym_AMP] = ACTIONS(725),
    [anon_sym_PIPE_PIPE] = ACTIONS(721),
    [anon_sym_AMP_AMP] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(725),
    [anon_sym_LT_EQ] = ACTIONS(721),
    [anon_sym_GT] = ACTIONS(725),
    [anon_sym_GT_EQ] = ACTIONS(721),
    [anon_sym_EQ_EQ] = ACTIONS(721),
    [anon_sym_BANG_EQ] = ACTIONS(721),
    [anon_sym_STAR] = ACTIONS(725),
    [anon_sym_SLASH] = ACTIONS(721),
    [anon_sym_STAR_STAR] = ACTIONS(721),
    [anon_sym_CARET] = ACTIONS(721),
    [aux_sym_binary_operator_token1] = ACTIONS(721),
    [anon_sym_PIPE_GT] = ACTIONS(721),
    [anon_sym_COLON] = ACTIONS(725),
    [anon_sym_DOLLAR] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(721),
    [sym__hex_literal] = ACTIONS(721),
    [sym__number_literal] = ACTIONS(725),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(725),
    [sym_next] = ACTIONS(725),
    [sym_break] = ACTIONS(725),
    [sym_true] = ACTIONS(725),
    [sym_false] = ACTIONS(725),
    [sym_null] = ACTIONS(725),
    [sym_inf] = ACTIONS(725),
    [sym_nan] = ACTIONS(725),
    [anon_sym_NA] = ACTIONS(725),
    [anon_sym_NA_integer_] = ACTIONS(725),
    [anon_sym_NA_real_] = ACTIONS(725),
    [anon_sym_NA_complex_] = ACTIONS(725),
    [anon_sym_NA_character_] = ACTIONS(725),
    [sym_dots] = ACTIONS(725),
    [sym_dot_dot_i] = ACTIONS(721),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(721),
    [sym__newline] = ACTIONS(1295),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(721),
    [sym__external_open_brace] = ACTIONS(721),
    [sym__external_open_bracket] = ACTIONS(721),
    [sym__external_close_bracket] = ACTIONS(721),
    [sym__external_open_bracket2] = ACTIONS(721),
  },
  [706] = {
    [sym_string] = STATE(946),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym__string_or_identifier] = STATE(946),
    [aux_sym_function_definition_repeat1] = STATE(700),
    [sym_identifier] = ACTIONS(1297),
    [anon_sym_BSLASH] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(725),
    [anon_sym_repeat] = ACTIONS(725),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(721),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(721),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_LT_DASH] = ACTIONS(721),
    [anon_sym_LT_LT_DASH] = ACTIONS(721),
    [anon_sym_COLON_EQ] = ACTIONS(721),
    [anon_sym_DASH_GT] = ACTIONS(725),
    [anon_sym_DASH_GT_GT] = ACTIONS(721),
    [anon_sym_PIPE] = ACTIONS(725),
    [anon_sym_AMP] = ACTIONS(725),
    [anon_sym_PIPE_PIPE] = ACTIONS(721),
    [anon_sym_AMP_AMP] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(725),
    [anon_sym_LT_EQ] = ACTIONS(721),
    [anon_sym_GT] = ACTIONS(725),
    [anon_sym_GT_EQ] = ACTIONS(721),
    [anon_sym_EQ_EQ] = ACTIONS(721),
    [anon_sym_BANG_EQ] = ACTIONS(721),
    [anon_sym_STAR] = ACTIONS(725),
    [anon_sym_SLASH] = ACTIONS(721),
    [anon_sym_STAR_STAR] = ACTIONS(721),
    [anon_sym_CARET] = ACTIONS(721),
    [aux_sym_binary_operator_token1] = ACTIONS(721),
    [anon_sym_PIPE_GT] = ACTIONS(721),
    [anon_sym_COLON] = ACTIONS(725),
    [anon_sym_DOLLAR] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(721),
    [sym__hex_literal] = ACTIONS(721),
    [sym__number_literal] = ACTIONS(725),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(725),
    [sym_next] = ACTIONS(725),
    [sym_break] = ACTIONS(725),
    [sym_true] = ACTIONS(725),
    [sym_false] = ACTIONS(725),
    [sym_null] = ACTIONS(725),
    [sym_inf] = ACTIONS(725),
    [sym_nan] = ACTIONS(725),
    [anon_sym_NA] = ACTIONS(725),
    [anon_sym_NA_integer_] = ACTIONS(725),
    [anon_sym_NA_real_] = ACTIONS(725),
    [anon_sym_NA_complex_] = ACTIONS(725),
    [anon_sym_NA_character_] = ACTIONS(725),
    [sym_dots] = ACTIONS(725),
    [sym_dot_dot_i] = ACTIONS(721),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(721),
    [sym__newline] = ACTIONS(1299),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(721),
    [sym__external_close_parenthesis] = ACTIONS(721),
    [sym__external_open_brace] = ACTIONS(721),
    [sym__external_open_bracket] = ACTIONS(721),
    [sym__external_open_bracket2] = ACTIONS(721),
  },
  [707] = {
    [sym_string] = STATE(828),
    [sym__single_quoted_string] = STATE(737),
    [sym__double_quoted_string] = STATE(721),
    [sym__string_or_identifier] = STATE(828),
    [ts_builtin_sym_end] = ACTIONS(1115),
    [sym_identifier] = ACTIONS(1301),
    [anon_sym_BSLASH] = ACTIONS(1115),
    [anon_sym_function] = ACTIONS(1117),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_for] = ACTIONS(1117),
    [anon_sym_while] = ACTIONS(1117),
    [anon_sym_repeat] = ACTIONS(1117),
    [anon_sym_QMARK] = ACTIONS(1115),
    [anon_sym_TILDE] = ACTIONS(1115),
    [anon_sym_BANG] = ACTIONS(1117),
    [anon_sym_PLUS] = ACTIONS(1115),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_LT_DASH] = ACTIONS(1115),
    [anon_sym_LT_LT_DASH] = ACTIONS(1115),
    [anon_sym_COLON_EQ] = ACTIONS(1115),
    [anon_sym_DASH_GT] = ACTIONS(1117),
    [anon_sym_DASH_GT_GT] = ACTIONS(1115),
    [anon_sym_PIPE] = ACTIONS(1117),
    [anon_sym_AMP] = ACTIONS(1117),
    [anon_sym_PIPE_PIPE] = ACTIONS(1115),
    [anon_sym_AMP_AMP] = ACTIONS(1115),
    [anon_sym_LT] = ACTIONS(1117),
    [anon_sym_LT_EQ] = ACTIONS(1115),
    [anon_sym_GT] = ACTIONS(1117),
    [anon_sym_GT_EQ] = ACTIONS(1115),
    [anon_sym_EQ_EQ] = ACTIONS(1115),
    [anon_sym_BANG_EQ] = ACTIONS(1115),
    [anon_sym_STAR] = ACTIONS(1117),
    [anon_sym_SLASH] = ACTIONS(1115),
    [anon_sym_STAR_STAR] = ACTIONS(1115),
    [anon_sym_CARET] = ACTIONS(1115),
    [aux_sym_binary_operator_token1] = ACTIONS(1115),
    [anon_sym_PIPE_GT] = ACTIONS(1115),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_DOLLAR] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(1115),
    [sym__hex_literal] = ACTIONS(1115),
    [sym__number_literal] = ACTIONS(1117),
    [anon_sym_SQUOTE] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [sym_return] = ACTIONS(1117),
    [sym_next] = ACTIONS(1117),
    [sym_break] = ACTIONS(1117),
    [sym_true] = ACTIONS(1117),
    [sym_false] = ACTIONS(1117),
    [sym_null] = ACTIONS(1117),
    [sym_inf] = ACTIONS(1117),
    [sym_nan] = ACTIONS(1117),
    [anon_sym_NA] = ACTIONS(1117),
    [anon_sym_NA_integer_] = ACTIONS(1117),
    [anon_sym_NA_real_] = ACTIONS(1117),
    [anon_sym_NA_complex_] = ACTIONS(1117),
    [anon_sym_NA_character_] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1117),
    [sym_dot_dot_i] = ACTIONS(1115),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1115),
    [sym__semicolon] = ACTIONS(1115),
    [sym__raw_string_literal] = ACTIONS(733),
    [sym__external_else] = ACTIONS(1115),
    [sym__external_open_parenthesis] = ACTIONS(1115),
    [sym__external_open_brace] = ACTIONS(1115),
    [sym__external_open_bracket] = ACTIONS(1115),
    [sym__external_open_bracket2] = ACTIONS(1115),
  },
  [708] = {
    [sym_string] = STATE(1034),
    [sym__single_quoted_string] = STATE(784),
    [sym__double_quoted_string] = STATE(769),
    [sym__string_or_identifier] = STATE(1034),
    [ts_builtin_sym_end] = ACTIONS(1115),
    [sym_identifier] = ACTIONS(1303),
    [anon_sym_BSLASH] = ACTIONS(1115),
    [anon_sym_function] = ACTIONS(1117),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_for] = ACTIONS(1117),
    [anon_sym_while] = ACTIONS(1117),
    [anon_sym_repeat] = ACTIONS(1117),
    [anon_sym_QMARK] = ACTIONS(1115),
    [anon_sym_TILDE] = ACTIONS(1115),
    [anon_sym_BANG] = ACTIONS(1117),
    [anon_sym_PLUS] = ACTIONS(1115),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_LT_DASH] = ACTIONS(1115),
    [anon_sym_LT_LT_DASH] = ACTIONS(1115),
    [anon_sym_COLON_EQ] = ACTIONS(1115),
    [anon_sym_DASH_GT] = ACTIONS(1117),
    [anon_sym_DASH_GT_GT] = ACTIONS(1115),
    [anon_sym_PIPE] = ACTIONS(1117),
    [anon_sym_AMP] = ACTIONS(1117),
    [anon_sym_PIPE_PIPE] = ACTIONS(1115),
    [anon_sym_AMP_AMP] = ACTIONS(1115),
    [anon_sym_LT] = ACTIONS(1117),
    [anon_sym_LT_EQ] = ACTIONS(1115),
    [anon_sym_GT] = ACTIONS(1117),
    [anon_sym_GT_EQ] = ACTIONS(1115),
    [anon_sym_EQ_EQ] = ACTIONS(1115),
    [anon_sym_BANG_EQ] = ACTIONS(1115),
    [anon_sym_STAR] = ACTIONS(1117),
    [anon_sym_SLASH] = ACTIONS(1115),
    [anon_sym_STAR_STAR] = ACTIONS(1115),
    [anon_sym_CARET] = ACTIONS(1115),
    [aux_sym_binary_operator_token1] = ACTIONS(1115),
    [anon_sym_PIPE_GT] = ACTIONS(1115),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_DOLLAR] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(1115),
    [sym__hex_literal] = ACTIONS(1115),
    [sym__number_literal] = ACTIONS(1117),
    [anon_sym_SQUOTE] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1125),
    [sym_return] = ACTIONS(1117),
    [sym_next] = ACTIONS(1117),
    [sym_break] = ACTIONS(1117),
    [sym_true] = ACTIONS(1117),
    [sym_false] = ACTIONS(1117),
    [sym_null] = ACTIONS(1117),
    [sym_inf] = ACTIONS(1117),
    [sym_nan] = ACTIONS(1117),
    [anon_sym_NA] = ACTIONS(1117),
    [anon_sym_NA_integer_] = ACTIONS(1117),
    [anon_sym_NA_real_] = ACTIONS(1117),
    [anon_sym_NA_complex_] = ACTIONS(1117),
    [anon_sym_NA_character_] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1117),
    [sym_dot_dot_i] = ACTIONS(1115),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1115),
    [sym__semicolon] = ACTIONS(1115),
    [sym__raw_string_literal] = ACTIONS(1129),
    [sym__external_open_parenthesis] = ACTIONS(1115),
    [sym__external_open_brace] = ACTIONS(1115),
    [sym__external_open_bracket] = ACTIONS(1115),
    [sym__external_open_bracket2] = ACTIONS(1115),
  },
  [709] = {
    [sym_string] = STATE(985),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym__string_or_identifier] = STATE(985),
    [sym_identifier] = ACTIONS(1305),
    [anon_sym_BSLASH] = ACTIONS(1115),
    [anon_sym_function] = ACTIONS(1117),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_for] = ACTIONS(1117),
    [anon_sym_while] = ACTIONS(1117),
    [anon_sym_repeat] = ACTIONS(1117),
    [anon_sym_QMARK] = ACTIONS(1115),
    [anon_sym_TILDE] = ACTIONS(1115),
    [anon_sym_BANG] = ACTIONS(1117),
    [anon_sym_PLUS] = ACTIONS(1115),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_LT_DASH] = ACTIONS(1115),
    [anon_sym_LT_LT_DASH] = ACTIONS(1115),
    [anon_sym_COLON_EQ] = ACTIONS(1115),
    [anon_sym_DASH_GT] = ACTIONS(1117),
    [anon_sym_DASH_GT_GT] = ACTIONS(1115),
    [anon_sym_PIPE] = ACTIONS(1117),
    [anon_sym_AMP] = ACTIONS(1117),
    [anon_sym_PIPE_PIPE] = ACTIONS(1115),
    [anon_sym_AMP_AMP] = ACTIONS(1115),
    [anon_sym_LT] = ACTIONS(1117),
    [anon_sym_LT_EQ] = ACTIONS(1115),
    [anon_sym_GT] = ACTIONS(1117),
    [anon_sym_GT_EQ] = ACTIONS(1115),
    [anon_sym_EQ_EQ] = ACTIONS(1115),
    [anon_sym_BANG_EQ] = ACTIONS(1115),
    [anon_sym_STAR] = ACTIONS(1117),
    [anon_sym_SLASH] = ACTIONS(1115),
    [anon_sym_STAR_STAR] = ACTIONS(1115),
    [anon_sym_CARET] = ACTIONS(1115),
    [aux_sym_binary_operator_token1] = ACTIONS(1115),
    [anon_sym_PIPE_GT] = ACTIONS(1115),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_DOLLAR] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(1115),
    [sym__hex_literal] = ACTIONS(1115),
    [sym__number_literal] = ACTIONS(1117),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(1117),
    [sym_next] = ACTIONS(1117),
    [sym_break] = ACTIONS(1117),
    [sym_true] = ACTIONS(1117),
    [sym_false] = ACTIONS(1117),
    [sym_null] = ACTIONS(1117),
    [sym_inf] = ACTIONS(1117),
    [sym_nan] = ACTIONS(1117),
    [anon_sym_NA] = ACTIONS(1117),
    [anon_sym_NA_integer_] = ACTIONS(1117),
    [anon_sym_NA_real_] = ACTIONS(1117),
    [anon_sym_NA_complex_] = ACTIONS(1117),
    [anon_sym_NA_character_] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1117),
    [sym_dot_dot_i] = ACTIONS(1115),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1115),
    [sym__newline] = ACTIONS(1115),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(1115),
    [sym__external_open_brace] = ACTIONS(1115),
    [sym__external_open_bracket] = ACTIONS(1115),
    [sym__external_open_bracket2] = ACTIONS(1115),
    [sym__external_close_bracket2] = ACTIONS(1115),
  },
  [710] = {
    [sym_string] = STATE(1010),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym__string_or_identifier] = STATE(1010),
    [sym_identifier] = ACTIONS(1307),
    [anon_sym_BSLASH] = ACTIONS(1115),
    [anon_sym_function] = ACTIONS(1117),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_for] = ACTIONS(1117),
    [anon_sym_while] = ACTIONS(1117),
    [anon_sym_repeat] = ACTIONS(1117),
    [anon_sym_QMARK] = ACTIONS(1115),
    [anon_sym_TILDE] = ACTIONS(1115),
    [anon_sym_BANG] = ACTIONS(1117),
    [anon_sym_PLUS] = ACTIONS(1115),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_LT_DASH] = ACTIONS(1115),
    [anon_sym_LT_LT_DASH] = ACTIONS(1115),
    [anon_sym_COLON_EQ] = ACTIONS(1115),
    [anon_sym_DASH_GT] = ACTIONS(1117),
    [anon_sym_DASH_GT_GT] = ACTIONS(1115),
    [anon_sym_PIPE] = ACTIONS(1117),
    [anon_sym_AMP] = ACTIONS(1117),
    [anon_sym_PIPE_PIPE] = ACTIONS(1115),
    [anon_sym_AMP_AMP] = ACTIONS(1115),
    [anon_sym_LT] = ACTIONS(1117),
    [anon_sym_LT_EQ] = ACTIONS(1115),
    [anon_sym_GT] = ACTIONS(1117),
    [anon_sym_GT_EQ] = ACTIONS(1115),
    [anon_sym_EQ_EQ] = ACTIONS(1115),
    [anon_sym_BANG_EQ] = ACTIONS(1115),
    [anon_sym_STAR] = ACTIONS(1117),
    [anon_sym_SLASH] = ACTIONS(1115),
    [anon_sym_STAR_STAR] = ACTIONS(1115),
    [anon_sym_CARET] = ACTIONS(1115),
    [aux_sym_binary_operator_token1] = ACTIONS(1115),
    [anon_sym_PIPE_GT] = ACTIONS(1115),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_DOLLAR] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(1115),
    [sym__hex_literal] = ACTIONS(1115),
    [sym__number_literal] = ACTIONS(1117),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(1117),
    [sym_next] = ACTIONS(1117),
    [sym_break] = ACTIONS(1117),
    [sym_true] = ACTIONS(1117),
    [sym_false] = ACTIONS(1117),
    [sym_null] = ACTIONS(1117),
    [sym_inf] = ACTIONS(1117),
    [sym_nan] = ACTIONS(1117),
    [anon_sym_NA] = ACTIONS(1117),
    [anon_sym_NA_integer_] = ACTIONS(1117),
    [anon_sym_NA_real_] = ACTIONS(1117),
    [anon_sym_NA_complex_] = ACTIONS(1117),
    [anon_sym_NA_character_] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1117),
    [sym_dot_dot_i] = ACTIONS(1115),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1115),
    [sym__semicolon] = ACTIONS(1115),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(1115),
    [sym__external_open_brace] = ACTIONS(1115),
    [sym__external_close_brace] = ACTIONS(1115),
    [sym__external_open_bracket] = ACTIONS(1115),
    [sym__external_open_bracket2] = ACTIONS(1115),
  },
  [711] = {
    [sym_string] = STATE(1056),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym__string_or_identifier] = STATE(1056),
    [sym_identifier] = ACTIONS(1309),
    [anon_sym_BSLASH] = ACTIONS(1115),
    [anon_sym_function] = ACTIONS(1117),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_for] = ACTIONS(1117),
    [anon_sym_while] = ACTIONS(1117),
    [anon_sym_repeat] = ACTIONS(1117),
    [anon_sym_QMARK] = ACTIONS(1115),
    [anon_sym_TILDE] = ACTIONS(1115),
    [anon_sym_BANG] = ACTIONS(1117),
    [anon_sym_PLUS] = ACTIONS(1115),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_LT_DASH] = ACTIONS(1115),
    [anon_sym_LT_LT_DASH] = ACTIONS(1115),
    [anon_sym_COLON_EQ] = ACTIONS(1115),
    [anon_sym_DASH_GT] = ACTIONS(1117),
    [anon_sym_DASH_GT_GT] = ACTIONS(1115),
    [anon_sym_PIPE] = ACTIONS(1117),
    [anon_sym_AMP] = ACTIONS(1117),
    [anon_sym_PIPE_PIPE] = ACTIONS(1115),
    [anon_sym_AMP_AMP] = ACTIONS(1115),
    [anon_sym_LT] = ACTIONS(1117),
    [anon_sym_LT_EQ] = ACTIONS(1115),
    [anon_sym_GT] = ACTIONS(1117),
    [anon_sym_GT_EQ] = ACTIONS(1115),
    [anon_sym_EQ_EQ] = ACTIONS(1115),
    [anon_sym_BANG_EQ] = ACTIONS(1115),
    [anon_sym_STAR] = ACTIONS(1117),
    [anon_sym_SLASH] = ACTIONS(1115),
    [anon_sym_STAR_STAR] = ACTIONS(1115),
    [anon_sym_CARET] = ACTIONS(1115),
    [aux_sym_binary_operator_token1] = ACTIONS(1115),
    [anon_sym_PIPE_GT] = ACTIONS(1115),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_DOLLAR] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(1115),
    [sym__hex_literal] = ACTIONS(1115),
    [sym__number_literal] = ACTIONS(1117),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(1117),
    [sym_next] = ACTIONS(1117),
    [sym_break] = ACTIONS(1117),
    [sym_true] = ACTIONS(1117),
    [sym_false] = ACTIONS(1117),
    [sym_null] = ACTIONS(1117),
    [sym_inf] = ACTIONS(1117),
    [sym_nan] = ACTIONS(1117),
    [anon_sym_NA] = ACTIONS(1117),
    [anon_sym_NA_integer_] = ACTIONS(1117),
    [anon_sym_NA_real_] = ACTIONS(1117),
    [anon_sym_NA_complex_] = ACTIONS(1117),
    [anon_sym_NA_character_] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1117),
    [sym_dot_dot_i] = ACTIONS(1115),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1115),
    [sym__newline] = ACTIONS(1115),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(1115),
    [sym__external_open_brace] = ACTIONS(1115),
    [sym__external_open_bracket] = ACTIONS(1115),
    [sym__external_close_bracket] = ACTIONS(1115),
    [sym__external_open_bracket2] = ACTIONS(1115),
  },
  [712] = {
    [sym_string] = STATE(968),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym__string_or_identifier] = STATE(968),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_BSLASH] = ACTIONS(1115),
    [anon_sym_function] = ACTIONS(1117),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_for] = ACTIONS(1117),
    [anon_sym_while] = ACTIONS(1117),
    [anon_sym_repeat] = ACTIONS(1117),
    [anon_sym_QMARK] = ACTIONS(1115),
    [anon_sym_TILDE] = ACTIONS(1115),
    [anon_sym_BANG] = ACTIONS(1117),
    [anon_sym_PLUS] = ACTIONS(1115),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_LT_DASH] = ACTIONS(1115),
    [anon_sym_LT_LT_DASH] = ACTIONS(1115),
    [anon_sym_COLON_EQ] = ACTIONS(1115),
    [anon_sym_DASH_GT] = ACTIONS(1117),
    [anon_sym_DASH_GT_GT] = ACTIONS(1115),
    [anon_sym_PIPE] = ACTIONS(1117),
    [anon_sym_AMP] = ACTIONS(1117),
    [anon_sym_PIPE_PIPE] = ACTIONS(1115),
    [anon_sym_AMP_AMP] = ACTIONS(1115),
    [anon_sym_LT] = ACTIONS(1117),
    [anon_sym_LT_EQ] = ACTIONS(1115),
    [anon_sym_GT] = ACTIONS(1117),
    [anon_sym_GT_EQ] = ACTIONS(1115),
    [anon_sym_EQ_EQ] = ACTIONS(1115),
    [anon_sym_BANG_EQ] = ACTIONS(1115),
    [anon_sym_STAR] = ACTIONS(1117),
    [anon_sym_SLASH] = ACTIONS(1115),
    [anon_sym_STAR_STAR] = ACTIONS(1115),
    [anon_sym_CARET] = ACTIONS(1115),
    [aux_sym_binary_operator_token1] = ACTIONS(1115),
    [anon_sym_PIPE_GT] = ACTIONS(1115),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_DOLLAR] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(1115),
    [sym__hex_literal] = ACTIONS(1115),
    [sym__number_literal] = ACTIONS(1117),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(1117),
    [sym_next] = ACTIONS(1117),
    [sym_break] = ACTIONS(1117),
    [sym_true] = ACTIONS(1117),
    [sym_false] = ACTIONS(1117),
    [sym_null] = ACTIONS(1117),
    [sym_inf] = ACTIONS(1117),
    [sym_nan] = ACTIONS(1117),
    [anon_sym_NA] = ACTIONS(1117),
    [anon_sym_NA_integer_] = ACTIONS(1117),
    [anon_sym_NA_real_] = ACTIONS(1117),
    [anon_sym_NA_complex_] = ACTIONS(1117),
    [anon_sym_NA_character_] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1117),
    [sym_dot_dot_i] = ACTIONS(1115),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1115),
    [sym__newline] = ACTIONS(1115),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(1115),
    [sym__external_close_parenthesis] = ACTIONS(1115),
    [sym__external_open_brace] = ACTIONS(1115),
    [sym__external_open_bracket] = ACTIONS(1115),
    [sym__external_open_bracket2] = ACTIONS(1115),
  },
  [713] = {
    [sym_identifier] = ACTIONS(1313),
    [anon_sym_BSLASH] = ACTIONS(1315),
    [anon_sym_function] = ACTIONS(1313),
    [anon_sym_EQ] = ACTIONS(1313),
    [anon_sym_if] = ACTIONS(1313),
    [anon_sym_for] = ACTIONS(1313),
    [anon_sym_while] = ACTIONS(1313),
    [anon_sym_repeat] = ACTIONS(1313),
    [anon_sym_QMARK] = ACTIONS(1315),
    [anon_sym_TILDE] = ACTIONS(1315),
    [anon_sym_BANG] = ACTIONS(1313),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_DASH] = ACTIONS(1313),
    [anon_sym_LT_DASH] = ACTIONS(1315),
    [anon_sym_LT_LT_DASH] = ACTIONS(1315),
    [anon_sym_COLON_EQ] = ACTIONS(1315),
    [anon_sym_DASH_GT] = ACTIONS(1313),
    [anon_sym_DASH_GT_GT] = ACTIONS(1315),
    [anon_sym_PIPE] = ACTIONS(1313),
    [anon_sym_AMP] = ACTIONS(1313),
    [anon_sym_PIPE_PIPE] = ACTIONS(1315),
    [anon_sym_AMP_AMP] = ACTIONS(1315),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_LT_EQ] = ACTIONS(1315),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_GT_EQ] = ACTIONS(1315),
    [anon_sym_EQ_EQ] = ACTIONS(1315),
    [anon_sym_BANG_EQ] = ACTIONS(1315),
    [anon_sym_STAR] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1315),
    [anon_sym_STAR_STAR] = ACTIONS(1315),
    [anon_sym_CARET] = ACTIONS(1315),
    [aux_sym_binary_operator_token1] = ACTIONS(1315),
    [anon_sym_PIPE_GT] = ACTIONS(1315),
    [anon_sym_COLON] = ACTIONS(1313),
    [anon_sym_DOLLAR] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(1315),
    [anon_sym_COLON_COLON] = ACTIONS(1313),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1315),
    [sym__hex_literal] = ACTIONS(1315),
    [sym__number_literal] = ACTIONS(1313),
    [anon_sym_SQUOTE] = ACTIONS(1315),
    [anon_sym_DQUOTE] = ACTIONS(1315),
    [sym_return] = ACTIONS(1313),
    [sym_next] = ACTIONS(1313),
    [sym_break] = ACTIONS(1313),
    [sym_true] = ACTIONS(1313),
    [sym_false] = ACTIONS(1313),
    [sym_null] = ACTIONS(1313),
    [sym_inf] = ACTIONS(1313),
    [sym_nan] = ACTIONS(1313),
    [anon_sym_NA] = ACTIONS(1313),
    [anon_sym_NA_integer_] = ACTIONS(1313),
    [anon_sym_NA_real_] = ACTIONS(1313),
    [anon_sym_NA_complex_] = ACTIONS(1313),
    [anon_sym_NA_character_] = ACTIONS(1313),
    [sym_dots] = ACTIONS(1313),
    [sym_dot_dot_i] = ACTIONS(1315),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1315),
    [sym__newline] = ACTIONS(1315),
    [sym__raw_string_literal] = ACTIONS(1315),
    [sym__external_else] = ACTIONS(1315),
    [sym__external_open_parenthesis] = ACTIONS(1315),
    [sym__external_open_brace] = ACTIONS(1315),
    [sym__external_open_bracket] = ACTIONS(1315),
    [sym__external_open_bracket2] = ACTIONS(1315),
    [sym__external_close_bracket2] = ACTIONS(1315),
  },
  [714] = {
    [sym_identifier] = ACTIONS(1317),
    [anon_sym_BSLASH] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1317),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_for] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1317),
    [anon_sym_repeat] = ACTIONS(1317),
    [anon_sym_QMARK] = ACTIONS(1319),
    [anon_sym_TILDE] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_DASH] = ACTIONS(1317),
    [anon_sym_LT_DASH] = ACTIONS(1319),
    [anon_sym_LT_LT_DASH] = ACTIONS(1319),
    [anon_sym_COLON_EQ] = ACTIONS(1319),
    [anon_sym_DASH_GT] = ACTIONS(1317),
    [anon_sym_DASH_GT_GT] = ACTIONS(1319),
    [anon_sym_PIPE] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_PIPE_PIPE] = ACTIONS(1319),
    [anon_sym_AMP_AMP] = ACTIONS(1319),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1319),
    [anon_sym_GT] = ACTIONS(1317),
    [anon_sym_GT_EQ] = ACTIONS(1319),
    [anon_sym_EQ_EQ] = ACTIONS(1319),
    [anon_sym_BANG_EQ] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_STAR_STAR] = ACTIONS(1319),
    [anon_sym_CARET] = ACTIONS(1319),
    [aux_sym_binary_operator_token1] = ACTIONS(1319),
    [anon_sym_PIPE_GT] = ACTIONS(1319),
    [anon_sym_COLON] = ACTIONS(1317),
    [anon_sym_DOLLAR] = ACTIONS(1319),
    [anon_sym_AT] = ACTIONS(1319),
    [anon_sym_COLON_COLON] = ACTIONS(1321),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1323),
    [sym__hex_literal] = ACTIONS(1319),
    [sym__number_literal] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1319),
    [anon_sym_DQUOTE] = ACTIONS(1319),
    [sym_return] = ACTIONS(1317),
    [sym_next] = ACTIONS(1317),
    [sym_break] = ACTIONS(1317),
    [sym_true] = ACTIONS(1317),
    [sym_false] = ACTIONS(1317),
    [sym_null] = ACTIONS(1317),
    [sym_inf] = ACTIONS(1317),
    [sym_nan] = ACTIONS(1317),
    [anon_sym_NA] = ACTIONS(1317),
    [anon_sym_NA_integer_] = ACTIONS(1317),
    [anon_sym_NA_real_] = ACTIONS(1317),
    [anon_sym_NA_complex_] = ACTIONS(1317),
    [anon_sym_NA_character_] = ACTIONS(1317),
    [sym_dots] = ACTIONS(1317),
    [sym_dot_dot_i] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1319),
    [sym__newline] = ACTIONS(1319),
    [sym__raw_string_literal] = ACTIONS(1319),
    [sym__external_else] = ACTIONS(1319),
    [sym__external_open_parenthesis] = ACTIONS(1319),
    [sym__external_open_brace] = ACTIONS(1319),
    [sym__external_open_bracket] = ACTIONS(1319),
    [sym__external_close_bracket] = ACTIONS(1319),
    [sym__external_open_bracket2] = ACTIONS(1319),
  },
  [715] = {
    [sym_identifier] = ACTIONS(1325),
    [anon_sym_BSLASH] = ACTIONS(1327),
    [anon_sym_function] = ACTIONS(1325),
    [anon_sym_EQ] = ACTIONS(1325),
    [anon_sym_if] = ACTIONS(1325),
    [anon_sym_for] = ACTIONS(1325),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_repeat] = ACTIONS(1325),
    [anon_sym_QMARK] = ACTIONS(1327),
    [anon_sym_TILDE] = ACTIONS(1327),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_PLUS] = ACTIONS(1327),
    [anon_sym_DASH] = ACTIONS(1325),
    [anon_sym_LT_DASH] = ACTIONS(1327),
    [anon_sym_LT_LT_DASH] = ACTIONS(1327),
    [anon_sym_COLON_EQ] = ACTIONS(1327),
    [anon_sym_DASH_GT] = ACTIONS(1325),
    [anon_sym_DASH_GT_GT] = ACTIONS(1327),
    [anon_sym_PIPE] = ACTIONS(1325),
    [anon_sym_AMP] = ACTIONS(1325),
    [anon_sym_PIPE_PIPE] = ACTIONS(1327),
    [anon_sym_AMP_AMP] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(1325),
    [anon_sym_LT_EQ] = ACTIONS(1327),
    [anon_sym_GT] = ACTIONS(1325),
    [anon_sym_GT_EQ] = ACTIONS(1327),
    [anon_sym_EQ_EQ] = ACTIONS(1327),
    [anon_sym_BANG_EQ] = ACTIONS(1327),
    [anon_sym_STAR] = ACTIONS(1325),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_STAR_STAR] = ACTIONS(1327),
    [anon_sym_CARET] = ACTIONS(1327),
    [aux_sym_binary_operator_token1] = ACTIONS(1327),
    [anon_sym_PIPE_GT] = ACTIONS(1327),
    [anon_sym_COLON] = ACTIONS(1325),
    [anon_sym_DOLLAR] = ACTIONS(1327),
    [anon_sym_AT] = ACTIONS(1327),
    [anon_sym_L] = ACTIONS(1329),
    [anon_sym_i] = ACTIONS(1331),
    [sym__hex_literal] = ACTIONS(1327),
    [sym__number_literal] = ACTIONS(1325),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_return] = ACTIONS(1325),
    [sym_next] = ACTIONS(1325),
    [sym_break] = ACTIONS(1325),
    [sym_true] = ACTIONS(1325),
    [sym_false] = ACTIONS(1325),
    [sym_null] = ACTIONS(1325),
    [sym_inf] = ACTIONS(1325),
    [sym_nan] = ACTIONS(1325),
    [anon_sym_NA] = ACTIONS(1325),
    [anon_sym_NA_integer_] = ACTIONS(1325),
    [anon_sym_NA_real_] = ACTIONS(1325),
    [anon_sym_NA_complex_] = ACTIONS(1325),
    [anon_sym_NA_character_] = ACTIONS(1325),
    [sym_dots] = ACTIONS(1325),
    [sym_dot_dot_i] = ACTIONS(1327),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1327),
    [sym__newline] = ACTIONS(1327),
    [sym__raw_string_literal] = ACTIONS(1327),
    [sym__external_else] = ACTIONS(1327),
    [sym__external_open_parenthesis] = ACTIONS(1327),
    [sym__external_open_brace] = ACTIONS(1327),
    [sym__external_open_bracket] = ACTIONS(1327),
    [sym__external_close_bracket] = ACTIONS(1327),
    [sym__external_open_bracket2] = ACTIONS(1327),
  },
  [716] = {
    [sym_identifier] = ACTIONS(1333),
    [anon_sym_BSLASH] = ACTIONS(1335),
    [anon_sym_function] = ACTIONS(1333),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_if] = ACTIONS(1333),
    [anon_sym_for] = ACTIONS(1333),
    [anon_sym_while] = ACTIONS(1333),
    [anon_sym_repeat] = ACTIONS(1333),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1333),
    [anon_sym_LT_DASH] = ACTIONS(1335),
    [anon_sym_LT_LT_DASH] = ACTIONS(1335),
    [anon_sym_COLON_EQ] = ACTIONS(1335),
    [anon_sym_DASH_GT] = ACTIONS(1333),
    [anon_sym_DASH_GT_GT] = ACTIONS(1335),
    [anon_sym_PIPE] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PIPE_PIPE] = ACTIONS(1335),
    [anon_sym_AMP_AMP] = ACTIONS(1335),
    [anon_sym_LT] = ACTIONS(1333),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_GT] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_EQ_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_SLASH] = ACTIONS(1335),
    [anon_sym_STAR_STAR] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [aux_sym_binary_operator_token1] = ACTIONS(1335),
    [anon_sym_PIPE_GT] = ACTIONS(1335),
    [anon_sym_COLON] = ACTIONS(1333),
    [anon_sym_DOLLAR] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1335),
    [anon_sym_COLON_COLON] = ACTIONS(1333),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1335),
    [sym__hex_literal] = ACTIONS(1335),
    [sym__number_literal] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_DQUOTE] = ACTIONS(1335),
    [sym_return] = ACTIONS(1333),
    [sym_next] = ACTIONS(1333),
    [sym_break] = ACTIONS(1333),
    [sym_true] = ACTIONS(1333),
    [sym_false] = ACTIONS(1333),
    [sym_null] = ACTIONS(1333),
    [sym_inf] = ACTIONS(1333),
    [sym_nan] = ACTIONS(1333),
    [anon_sym_NA] = ACTIONS(1333),
    [anon_sym_NA_integer_] = ACTIONS(1333),
    [anon_sym_NA_real_] = ACTIONS(1333),
    [anon_sym_NA_complex_] = ACTIONS(1333),
    [anon_sym_NA_character_] = ACTIONS(1333),
    [sym_dots] = ACTIONS(1333),
    [sym_dot_dot_i] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1335),
    [sym__newline] = ACTIONS(1335),
    [sym__raw_string_literal] = ACTIONS(1335),
    [sym__external_else] = ACTIONS(1335),
    [sym__external_open_parenthesis] = ACTIONS(1335),
    [sym__external_open_brace] = ACTIONS(1335),
    [sym__external_open_bracket] = ACTIONS(1335),
    [sym__external_close_bracket] = ACTIONS(1335),
    [sym__external_open_bracket2] = ACTIONS(1335),
  },
  [717] = {
    [sym_identifier] = ACTIONS(1333),
    [anon_sym_BSLASH] = ACTIONS(1335),
    [anon_sym_function] = ACTIONS(1333),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_if] = ACTIONS(1333),
    [anon_sym_for] = ACTIONS(1333),
    [anon_sym_while] = ACTIONS(1333),
    [anon_sym_repeat] = ACTIONS(1333),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1333),
    [anon_sym_LT_DASH] = ACTIONS(1335),
    [anon_sym_LT_LT_DASH] = ACTIONS(1335),
    [anon_sym_COLON_EQ] = ACTIONS(1335),
    [anon_sym_DASH_GT] = ACTIONS(1333),
    [anon_sym_DASH_GT_GT] = ACTIONS(1335),
    [anon_sym_PIPE] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PIPE_PIPE] = ACTIONS(1335),
    [anon_sym_AMP_AMP] = ACTIONS(1335),
    [anon_sym_LT] = ACTIONS(1333),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_GT] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_EQ_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_SLASH] = ACTIONS(1335),
    [anon_sym_STAR_STAR] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [aux_sym_binary_operator_token1] = ACTIONS(1335),
    [anon_sym_PIPE_GT] = ACTIONS(1335),
    [anon_sym_COLON] = ACTIONS(1333),
    [anon_sym_DOLLAR] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1335),
    [anon_sym_COLON_COLON] = ACTIONS(1333),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1335),
    [sym__hex_literal] = ACTIONS(1335),
    [sym__number_literal] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_DQUOTE] = ACTIONS(1335),
    [sym_return] = ACTIONS(1333),
    [sym_next] = ACTIONS(1333),
    [sym_break] = ACTIONS(1333),
    [sym_true] = ACTIONS(1333),
    [sym_false] = ACTIONS(1333),
    [sym_null] = ACTIONS(1333),
    [sym_inf] = ACTIONS(1333),
    [sym_nan] = ACTIONS(1333),
    [anon_sym_NA] = ACTIONS(1333),
    [anon_sym_NA_integer_] = ACTIONS(1333),
    [anon_sym_NA_real_] = ACTIONS(1333),
    [anon_sym_NA_complex_] = ACTIONS(1333),
    [anon_sym_NA_character_] = ACTIONS(1333),
    [sym_dots] = ACTIONS(1333),
    [sym_dot_dot_i] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1335),
    [sym__newline] = ACTIONS(1335),
    [sym__raw_string_literal] = ACTIONS(1335),
    [sym__external_else] = ACTIONS(1335),
    [sym__external_open_parenthesis] = ACTIONS(1335),
    [sym__external_open_brace] = ACTIONS(1335),
    [sym__external_open_bracket] = ACTIONS(1335),
    [sym__external_close_bracket] = ACTIONS(1335),
    [sym__external_open_bracket2] = ACTIONS(1335),
  },
  [718] = {
    [sym_identifier] = ACTIONS(1325),
    [anon_sym_BSLASH] = ACTIONS(1327),
    [anon_sym_function] = ACTIONS(1325),
    [anon_sym_EQ] = ACTIONS(1325),
    [anon_sym_if] = ACTIONS(1325),
    [anon_sym_for] = ACTIONS(1325),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_repeat] = ACTIONS(1325),
    [anon_sym_QMARK] = ACTIONS(1327),
    [anon_sym_TILDE] = ACTIONS(1327),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_PLUS] = ACTIONS(1327),
    [anon_sym_DASH] = ACTIONS(1325),
    [anon_sym_LT_DASH] = ACTIONS(1327),
    [anon_sym_LT_LT_DASH] = ACTIONS(1327),
    [anon_sym_COLON_EQ] = ACTIONS(1327),
    [anon_sym_DASH_GT] = ACTIONS(1325),
    [anon_sym_DASH_GT_GT] = ACTIONS(1327),
    [anon_sym_PIPE] = ACTIONS(1325),
    [anon_sym_AMP] = ACTIONS(1325),
    [anon_sym_PIPE_PIPE] = ACTIONS(1327),
    [anon_sym_AMP_AMP] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(1325),
    [anon_sym_LT_EQ] = ACTIONS(1327),
    [anon_sym_GT] = ACTIONS(1325),
    [anon_sym_GT_EQ] = ACTIONS(1327),
    [anon_sym_EQ_EQ] = ACTIONS(1327),
    [anon_sym_BANG_EQ] = ACTIONS(1327),
    [anon_sym_STAR] = ACTIONS(1325),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_STAR_STAR] = ACTIONS(1327),
    [anon_sym_CARET] = ACTIONS(1327),
    [aux_sym_binary_operator_token1] = ACTIONS(1327),
    [anon_sym_PIPE_GT] = ACTIONS(1327),
    [anon_sym_COLON] = ACTIONS(1325),
    [anon_sym_DOLLAR] = ACTIONS(1327),
    [anon_sym_AT] = ACTIONS(1327),
    [anon_sym_L] = ACTIONS(1337),
    [anon_sym_i] = ACTIONS(1339),
    [sym__hex_literal] = ACTIONS(1327),
    [sym__number_literal] = ACTIONS(1325),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_return] = ACTIONS(1325),
    [sym_next] = ACTIONS(1325),
    [sym_break] = ACTIONS(1325),
    [sym_true] = ACTIONS(1325),
    [sym_false] = ACTIONS(1325),
    [sym_null] = ACTIONS(1325),
    [sym_inf] = ACTIONS(1325),
    [sym_nan] = ACTIONS(1325),
    [anon_sym_NA] = ACTIONS(1325),
    [anon_sym_NA_integer_] = ACTIONS(1325),
    [anon_sym_NA_real_] = ACTIONS(1325),
    [anon_sym_NA_complex_] = ACTIONS(1325),
    [anon_sym_NA_character_] = ACTIONS(1325),
    [sym_dots] = ACTIONS(1325),
    [sym_dot_dot_i] = ACTIONS(1327),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1327),
    [sym__semicolon] = ACTIONS(1327),
    [sym__raw_string_literal] = ACTIONS(1327),
    [sym__external_else] = ACTIONS(1327),
    [sym__external_open_parenthesis] = ACTIONS(1327),
    [sym__external_open_brace] = ACTIONS(1327),
    [sym__external_close_brace] = ACTIONS(1327),
    [sym__external_open_bracket] = ACTIONS(1327),
    [sym__external_open_bracket2] = ACTIONS(1327),
  },
  [719] = {
    [sym_identifier] = ACTIONS(1333),
    [anon_sym_BSLASH] = ACTIONS(1335),
    [anon_sym_function] = ACTIONS(1333),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_if] = ACTIONS(1333),
    [anon_sym_for] = ACTIONS(1333),
    [anon_sym_while] = ACTIONS(1333),
    [anon_sym_repeat] = ACTIONS(1333),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1333),
    [anon_sym_LT_DASH] = ACTIONS(1335),
    [anon_sym_LT_LT_DASH] = ACTIONS(1335),
    [anon_sym_COLON_EQ] = ACTIONS(1335),
    [anon_sym_DASH_GT] = ACTIONS(1333),
    [anon_sym_DASH_GT_GT] = ACTIONS(1335),
    [anon_sym_PIPE] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PIPE_PIPE] = ACTIONS(1335),
    [anon_sym_AMP_AMP] = ACTIONS(1335),
    [anon_sym_LT] = ACTIONS(1333),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_GT] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_EQ_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_SLASH] = ACTIONS(1335),
    [anon_sym_STAR_STAR] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [aux_sym_binary_operator_token1] = ACTIONS(1335),
    [anon_sym_PIPE_GT] = ACTIONS(1335),
    [anon_sym_COLON] = ACTIONS(1333),
    [anon_sym_DOLLAR] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1335),
    [anon_sym_COLON_COLON] = ACTIONS(1333),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1335),
    [sym__hex_literal] = ACTIONS(1335),
    [sym__number_literal] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_DQUOTE] = ACTIONS(1335),
    [sym_return] = ACTIONS(1333),
    [sym_next] = ACTIONS(1333),
    [sym_break] = ACTIONS(1333),
    [sym_true] = ACTIONS(1333),
    [sym_false] = ACTIONS(1333),
    [sym_null] = ACTIONS(1333),
    [sym_inf] = ACTIONS(1333),
    [sym_nan] = ACTIONS(1333),
    [anon_sym_NA] = ACTIONS(1333),
    [anon_sym_NA_integer_] = ACTIONS(1333),
    [anon_sym_NA_real_] = ACTIONS(1333),
    [anon_sym_NA_complex_] = ACTIONS(1333),
    [anon_sym_NA_character_] = ACTIONS(1333),
    [sym_dots] = ACTIONS(1333),
    [sym_dot_dot_i] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1335),
    [sym__semicolon] = ACTIONS(1335),
    [sym__raw_string_literal] = ACTIONS(1335),
    [sym__external_else] = ACTIONS(1335),
    [sym__external_open_parenthesis] = ACTIONS(1335),
    [sym__external_open_brace] = ACTIONS(1335),
    [sym__external_close_brace] = ACTIONS(1335),
    [sym__external_open_bracket] = ACTIONS(1335),
    [sym__external_open_bracket2] = ACTIONS(1335),
  },
  [720] = {
    [sym_identifier] = ACTIONS(1333),
    [anon_sym_BSLASH] = ACTIONS(1335),
    [anon_sym_function] = ACTIONS(1333),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_if] = ACTIONS(1333),
    [anon_sym_for] = ACTIONS(1333),
    [anon_sym_while] = ACTIONS(1333),
    [anon_sym_repeat] = ACTIONS(1333),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1333),
    [anon_sym_LT_DASH] = ACTIONS(1335),
    [anon_sym_LT_LT_DASH] = ACTIONS(1335),
    [anon_sym_COLON_EQ] = ACTIONS(1335),
    [anon_sym_DASH_GT] = ACTIONS(1333),
    [anon_sym_DASH_GT_GT] = ACTIONS(1335),
    [anon_sym_PIPE] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PIPE_PIPE] = ACTIONS(1335),
    [anon_sym_AMP_AMP] = ACTIONS(1335),
    [anon_sym_LT] = ACTIONS(1333),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_GT] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_EQ_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_SLASH] = ACTIONS(1335),
    [anon_sym_STAR_STAR] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [aux_sym_binary_operator_token1] = ACTIONS(1335),
    [anon_sym_PIPE_GT] = ACTIONS(1335),
    [anon_sym_COLON] = ACTIONS(1333),
    [anon_sym_DOLLAR] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1335),
    [anon_sym_COLON_COLON] = ACTIONS(1333),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1335),
    [sym__hex_literal] = ACTIONS(1335),
    [sym__number_literal] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_DQUOTE] = ACTIONS(1335),
    [sym_return] = ACTIONS(1333),
    [sym_next] = ACTIONS(1333),
    [sym_break] = ACTIONS(1333),
    [sym_true] = ACTIONS(1333),
    [sym_false] = ACTIONS(1333),
    [sym_null] = ACTIONS(1333),
    [sym_inf] = ACTIONS(1333),
    [sym_nan] = ACTIONS(1333),
    [anon_sym_NA] = ACTIONS(1333),
    [anon_sym_NA_integer_] = ACTIONS(1333),
    [anon_sym_NA_real_] = ACTIONS(1333),
    [anon_sym_NA_complex_] = ACTIONS(1333),
    [anon_sym_NA_character_] = ACTIONS(1333),
    [sym_dots] = ACTIONS(1333),
    [sym_dot_dot_i] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1335),
    [sym__semicolon] = ACTIONS(1335),
    [sym__raw_string_literal] = ACTIONS(1335),
    [sym__external_else] = ACTIONS(1335),
    [sym__external_open_parenthesis] = ACTIONS(1335),
    [sym__external_open_brace] = ACTIONS(1335),
    [sym__external_close_brace] = ACTIONS(1335),
    [sym__external_open_bracket] = ACTIONS(1335),
    [sym__external_open_bracket2] = ACTIONS(1335),
  },
  [721] = {
    [ts_builtin_sym_end] = ACTIONS(1335),
    [sym_identifier] = ACTIONS(1333),
    [anon_sym_BSLASH] = ACTIONS(1335),
    [anon_sym_function] = ACTIONS(1333),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_if] = ACTIONS(1333),
    [anon_sym_for] = ACTIONS(1333),
    [anon_sym_while] = ACTIONS(1333),
    [anon_sym_repeat] = ACTIONS(1333),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1333),
    [anon_sym_LT_DASH] = ACTIONS(1335),
    [anon_sym_LT_LT_DASH] = ACTIONS(1335),
    [anon_sym_COLON_EQ] = ACTIONS(1335),
    [anon_sym_DASH_GT] = ACTIONS(1333),
    [anon_sym_DASH_GT_GT] = ACTIONS(1335),
    [anon_sym_PIPE] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PIPE_PIPE] = ACTIONS(1335),
    [anon_sym_AMP_AMP] = ACTIONS(1335),
    [anon_sym_LT] = ACTIONS(1333),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_GT] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_EQ_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_SLASH] = ACTIONS(1335),
    [anon_sym_STAR_STAR] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [aux_sym_binary_operator_token1] = ACTIONS(1335),
    [anon_sym_PIPE_GT] = ACTIONS(1335),
    [anon_sym_COLON] = ACTIONS(1333),
    [anon_sym_DOLLAR] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1335),
    [anon_sym_COLON_COLON] = ACTIONS(1333),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1335),
    [sym__hex_literal] = ACTIONS(1335),
    [sym__number_literal] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_DQUOTE] = ACTIONS(1335),
    [sym_return] = ACTIONS(1333),
    [sym_next] = ACTIONS(1333),
    [sym_break] = ACTIONS(1333),
    [sym_true] = ACTIONS(1333),
    [sym_false] = ACTIONS(1333),
    [sym_null] = ACTIONS(1333),
    [sym_inf] = ACTIONS(1333),
    [sym_nan] = ACTIONS(1333),
    [anon_sym_NA] = ACTIONS(1333),
    [anon_sym_NA_integer_] = ACTIONS(1333),
    [anon_sym_NA_real_] = ACTIONS(1333),
    [anon_sym_NA_complex_] = ACTIONS(1333),
    [anon_sym_NA_character_] = ACTIONS(1333),
    [sym_dots] = ACTIONS(1333),
    [sym_dot_dot_i] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1335),
    [sym__semicolon] = ACTIONS(1335),
    [sym__raw_string_literal] = ACTIONS(1335),
    [sym__external_else] = ACTIONS(1335),
    [sym__external_open_parenthesis] = ACTIONS(1335),
    [sym__external_open_brace] = ACTIONS(1335),
    [sym__external_open_bracket] = ACTIONS(1335),
    [sym__external_open_bracket2] = ACTIONS(1335),
  },
  [722] = {
    [sym_identifier] = ACTIONS(1341),
    [anon_sym_BSLASH] = ACTIONS(1343),
    [anon_sym_function] = ACTIONS(1341),
    [anon_sym_EQ] = ACTIONS(1341),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_for] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1341),
    [anon_sym_repeat] = ACTIONS(1341),
    [anon_sym_QMARK] = ACTIONS(1343),
    [anon_sym_TILDE] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_LT_DASH] = ACTIONS(1343),
    [anon_sym_LT_LT_DASH] = ACTIONS(1343),
    [anon_sym_COLON_EQ] = ACTIONS(1343),
    [anon_sym_DASH_GT] = ACTIONS(1341),
    [anon_sym_DASH_GT_GT] = ACTIONS(1343),
    [anon_sym_PIPE] = ACTIONS(1341),
    [anon_sym_AMP] = ACTIONS(1341),
    [anon_sym_PIPE_PIPE] = ACTIONS(1343),
    [anon_sym_AMP_AMP] = ACTIONS(1343),
    [anon_sym_LT] = ACTIONS(1341),
    [anon_sym_LT_EQ] = ACTIONS(1343),
    [anon_sym_GT] = ACTIONS(1341),
    [anon_sym_GT_EQ] = ACTIONS(1343),
    [anon_sym_EQ_EQ] = ACTIONS(1343),
    [anon_sym_BANG_EQ] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(1343),
    [anon_sym_STAR_STAR] = ACTIONS(1343),
    [anon_sym_CARET] = ACTIONS(1343),
    [aux_sym_binary_operator_token1] = ACTIONS(1343),
    [anon_sym_PIPE_GT] = ACTIONS(1343),
    [anon_sym_COLON] = ACTIONS(1341),
    [anon_sym_DOLLAR] = ACTIONS(1343),
    [anon_sym_AT] = ACTIONS(1343),
    [anon_sym_COLON_COLON] = ACTIONS(1341),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1343),
    [sym__hex_literal] = ACTIONS(1343),
    [sym__number_literal] = ACTIONS(1341),
    [anon_sym_SQUOTE] = ACTIONS(1343),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_return] = ACTIONS(1341),
    [sym_next] = ACTIONS(1341),
    [sym_break] = ACTIONS(1341),
    [sym_true] = ACTIONS(1341),
    [sym_false] = ACTIONS(1341),
    [sym_null] = ACTIONS(1341),
    [sym_inf] = ACTIONS(1341),
    [sym_nan] = ACTIONS(1341),
    [anon_sym_NA] = ACTIONS(1341),
    [anon_sym_NA_integer_] = ACTIONS(1341),
    [anon_sym_NA_real_] = ACTIONS(1341),
    [anon_sym_NA_complex_] = ACTIONS(1341),
    [anon_sym_NA_character_] = ACTIONS(1341),
    [sym_dots] = ACTIONS(1341),
    [sym_dot_dot_i] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1343),
    [sym__newline] = ACTIONS(1343),
    [sym__raw_string_literal] = ACTIONS(1343),
    [sym__external_else] = ACTIONS(1343),
    [sym__external_open_parenthesis] = ACTIONS(1343),
    [sym__external_open_brace] = ACTIONS(1343),
    [sym__external_open_bracket] = ACTIONS(1343),
    [sym__external_open_bracket2] = ACTIONS(1343),
    [sym__external_close_bracket2] = ACTIONS(1343),
  },
  [723] = {
    [sym_identifier] = ACTIONS(1345),
    [anon_sym_BSLASH] = ACTIONS(1347),
    [anon_sym_function] = ACTIONS(1345),
    [anon_sym_EQ] = ACTIONS(1345),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_for] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1345),
    [anon_sym_repeat] = ACTIONS(1345),
    [anon_sym_QMARK] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [anon_sym_BANG] = ACTIONS(1345),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1345),
    [anon_sym_LT_DASH] = ACTIONS(1347),
    [anon_sym_LT_LT_DASH] = ACTIONS(1347),
    [anon_sym_COLON_EQ] = ACTIONS(1347),
    [anon_sym_DASH_GT] = ACTIONS(1345),
    [anon_sym_DASH_GT_GT] = ACTIONS(1347),
    [anon_sym_PIPE] = ACTIONS(1345),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE_PIPE] = ACTIONS(1347),
    [anon_sym_AMP_AMP] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1347),
    [anon_sym_GT] = ACTIONS(1345),
    [anon_sym_GT_EQ] = ACTIONS(1347),
    [anon_sym_EQ_EQ] = ACTIONS(1347),
    [anon_sym_BANG_EQ] = ACTIONS(1347),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_STAR_STAR] = ACTIONS(1347),
    [anon_sym_CARET] = ACTIONS(1347),
    [aux_sym_binary_operator_token1] = ACTIONS(1347),
    [anon_sym_PIPE_GT] = ACTIONS(1347),
    [anon_sym_COLON] = ACTIONS(1345),
    [anon_sym_DOLLAR] = ACTIONS(1347),
    [anon_sym_AT] = ACTIONS(1347),
    [anon_sym_COLON_COLON] = ACTIONS(1345),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1347),
    [sym__hex_literal] = ACTIONS(1347),
    [sym__number_literal] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [anon_sym_DQUOTE] = ACTIONS(1347),
    [sym_return] = ACTIONS(1345),
    [sym_next] = ACTIONS(1345),
    [sym_break] = ACTIONS(1345),
    [sym_true] = ACTIONS(1345),
    [sym_false] = ACTIONS(1345),
    [sym_null] = ACTIONS(1345),
    [sym_inf] = ACTIONS(1345),
    [sym_nan] = ACTIONS(1345),
    [anon_sym_NA] = ACTIONS(1345),
    [anon_sym_NA_integer_] = ACTIONS(1345),
    [anon_sym_NA_real_] = ACTIONS(1345),
    [anon_sym_NA_complex_] = ACTIONS(1345),
    [anon_sym_NA_character_] = ACTIONS(1345),
    [sym_dots] = ACTIONS(1345),
    [sym_dot_dot_i] = ACTIONS(1347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1347),
    [sym__newline] = ACTIONS(1347),
    [sym__raw_string_literal] = ACTIONS(1347),
    [sym__external_else] = ACTIONS(1347),
    [sym__external_open_parenthesis] = ACTIONS(1347),
    [sym__external_open_brace] = ACTIONS(1347),
    [sym__external_open_bracket] = ACTIONS(1347),
    [sym__external_close_bracket] = ACTIONS(1347),
    [sym__external_open_bracket2] = ACTIONS(1347),
  },
  [724] = {
    [sym_identifier] = ACTIONS(1349),
    [anon_sym_BSLASH] = ACTIONS(1351),
    [anon_sym_function] = ACTIONS(1349),
    [anon_sym_EQ] = ACTIONS(1349),
    [anon_sym_if] = ACTIONS(1349),
    [anon_sym_for] = ACTIONS(1349),
    [anon_sym_while] = ACTIONS(1349),
    [anon_sym_repeat] = ACTIONS(1349),
    [anon_sym_QMARK] = ACTIONS(1351),
    [anon_sym_TILDE] = ACTIONS(1351),
    [anon_sym_BANG] = ACTIONS(1349),
    [anon_sym_PLUS] = ACTIONS(1351),
    [anon_sym_DASH] = ACTIONS(1349),
    [anon_sym_LT_DASH] = ACTIONS(1351),
    [anon_sym_LT_LT_DASH] = ACTIONS(1351),
    [anon_sym_COLON_EQ] = ACTIONS(1351),
    [anon_sym_DASH_GT] = ACTIONS(1349),
    [anon_sym_DASH_GT_GT] = ACTIONS(1351),
    [anon_sym_PIPE] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1349),
    [anon_sym_PIPE_PIPE] = ACTIONS(1351),
    [anon_sym_AMP_AMP] = ACTIONS(1351),
    [anon_sym_LT] = ACTIONS(1349),
    [anon_sym_LT_EQ] = ACTIONS(1351),
    [anon_sym_GT] = ACTIONS(1349),
    [anon_sym_GT_EQ] = ACTIONS(1351),
    [anon_sym_EQ_EQ] = ACTIONS(1351),
    [anon_sym_BANG_EQ] = ACTIONS(1351),
    [anon_sym_STAR] = ACTIONS(1349),
    [anon_sym_SLASH] = ACTIONS(1351),
    [anon_sym_STAR_STAR] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1351),
    [aux_sym_binary_operator_token1] = ACTIONS(1351),
    [anon_sym_PIPE_GT] = ACTIONS(1351),
    [anon_sym_COLON] = ACTIONS(1349),
    [anon_sym_DOLLAR] = ACTIONS(1351),
    [anon_sym_AT] = ACTIONS(1351),
    [anon_sym_COLON_COLON] = ACTIONS(1349),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1351),
    [sym__hex_literal] = ACTIONS(1351),
    [sym__number_literal] = ACTIONS(1349),
    [anon_sym_SQUOTE] = ACTIONS(1351),
    [anon_sym_DQUOTE] = ACTIONS(1351),
    [sym_return] = ACTIONS(1349),
    [sym_next] = ACTIONS(1349),
    [sym_break] = ACTIONS(1349),
    [sym_true] = ACTIONS(1349),
    [sym_false] = ACTIONS(1349),
    [sym_null] = ACTIONS(1349),
    [sym_inf] = ACTIONS(1349),
    [sym_nan] = ACTIONS(1349),
    [anon_sym_NA] = ACTIONS(1349),
    [anon_sym_NA_integer_] = ACTIONS(1349),
    [anon_sym_NA_real_] = ACTIONS(1349),
    [anon_sym_NA_complex_] = ACTIONS(1349),
    [anon_sym_NA_character_] = ACTIONS(1349),
    [sym_dots] = ACTIONS(1349),
    [sym_dot_dot_i] = ACTIONS(1351),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1351),
    [sym__newline] = ACTIONS(1351),
    [sym__raw_string_literal] = ACTIONS(1351),
    [sym__external_else] = ACTIONS(1351),
    [sym__external_open_parenthesis] = ACTIONS(1351),
    [sym__external_open_brace] = ACTIONS(1351),
    [sym__external_open_bracket] = ACTIONS(1351),
    [sym__external_close_bracket] = ACTIONS(1351),
    [sym__external_open_bracket2] = ACTIONS(1351),
  },
  [725] = {
    [sym_identifier] = ACTIONS(1345),
    [anon_sym_BSLASH] = ACTIONS(1347),
    [anon_sym_function] = ACTIONS(1345),
    [anon_sym_EQ] = ACTIONS(1345),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_for] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1345),
    [anon_sym_repeat] = ACTIONS(1345),
    [anon_sym_QMARK] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [anon_sym_BANG] = ACTIONS(1345),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1345),
    [anon_sym_LT_DASH] = ACTIONS(1347),
    [anon_sym_LT_LT_DASH] = ACTIONS(1347),
    [anon_sym_COLON_EQ] = ACTIONS(1347),
    [anon_sym_DASH_GT] = ACTIONS(1345),
    [anon_sym_DASH_GT_GT] = ACTIONS(1347),
    [anon_sym_PIPE] = ACTIONS(1345),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE_PIPE] = ACTIONS(1347),
    [anon_sym_AMP_AMP] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1347),
    [anon_sym_GT] = ACTIONS(1345),
    [anon_sym_GT_EQ] = ACTIONS(1347),
    [anon_sym_EQ_EQ] = ACTIONS(1347),
    [anon_sym_BANG_EQ] = ACTIONS(1347),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_STAR_STAR] = ACTIONS(1347),
    [anon_sym_CARET] = ACTIONS(1347),
    [aux_sym_binary_operator_token1] = ACTIONS(1347),
    [anon_sym_PIPE_GT] = ACTIONS(1347),
    [anon_sym_COLON] = ACTIONS(1345),
    [anon_sym_DOLLAR] = ACTIONS(1347),
    [anon_sym_AT] = ACTIONS(1347),
    [anon_sym_COLON_COLON] = ACTIONS(1345),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1347),
    [sym__hex_literal] = ACTIONS(1347),
    [sym__number_literal] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [anon_sym_DQUOTE] = ACTIONS(1347),
    [sym_return] = ACTIONS(1345),
    [sym_next] = ACTIONS(1345),
    [sym_break] = ACTIONS(1345),
    [sym_true] = ACTIONS(1345),
    [sym_false] = ACTIONS(1345),
    [sym_null] = ACTIONS(1345),
    [sym_inf] = ACTIONS(1345),
    [sym_nan] = ACTIONS(1345),
    [anon_sym_NA] = ACTIONS(1345),
    [anon_sym_NA_integer_] = ACTIONS(1345),
    [anon_sym_NA_real_] = ACTIONS(1345),
    [anon_sym_NA_complex_] = ACTIONS(1345),
    [anon_sym_NA_character_] = ACTIONS(1345),
    [sym_dots] = ACTIONS(1345),
    [sym_dot_dot_i] = ACTIONS(1347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1347),
    [sym__newline] = ACTIONS(1347),
    [sym__raw_string_literal] = ACTIONS(1347),
    [sym__external_else] = ACTIONS(1347),
    [sym__external_open_parenthesis] = ACTIONS(1347),
    [sym__external_close_parenthesis] = ACTIONS(1347),
    [sym__external_open_brace] = ACTIONS(1347),
    [sym__external_open_bracket] = ACTIONS(1347),
    [sym__external_open_bracket2] = ACTIONS(1347),
  },
  [726] = {
    [sym_identifier] = ACTIONS(1349),
    [anon_sym_BSLASH] = ACTIONS(1351),
    [anon_sym_function] = ACTIONS(1349),
    [anon_sym_EQ] = ACTIONS(1349),
    [anon_sym_if] = ACTIONS(1349),
    [anon_sym_for] = ACTIONS(1349),
    [anon_sym_while] = ACTIONS(1349),
    [anon_sym_repeat] = ACTIONS(1349),
    [anon_sym_QMARK] = ACTIONS(1351),
    [anon_sym_TILDE] = ACTIONS(1351),
    [anon_sym_BANG] = ACTIONS(1349),
    [anon_sym_PLUS] = ACTIONS(1351),
    [anon_sym_DASH] = ACTIONS(1349),
    [anon_sym_LT_DASH] = ACTIONS(1351),
    [anon_sym_LT_LT_DASH] = ACTIONS(1351),
    [anon_sym_COLON_EQ] = ACTIONS(1351),
    [anon_sym_DASH_GT] = ACTIONS(1349),
    [anon_sym_DASH_GT_GT] = ACTIONS(1351),
    [anon_sym_PIPE] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1349),
    [anon_sym_PIPE_PIPE] = ACTIONS(1351),
    [anon_sym_AMP_AMP] = ACTIONS(1351),
    [anon_sym_LT] = ACTIONS(1349),
    [anon_sym_LT_EQ] = ACTIONS(1351),
    [anon_sym_GT] = ACTIONS(1349),
    [anon_sym_GT_EQ] = ACTIONS(1351),
    [anon_sym_EQ_EQ] = ACTIONS(1351),
    [anon_sym_BANG_EQ] = ACTIONS(1351),
    [anon_sym_STAR] = ACTIONS(1349),
    [anon_sym_SLASH] = ACTIONS(1351),
    [anon_sym_STAR_STAR] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1351),
    [aux_sym_binary_operator_token1] = ACTIONS(1351),
    [anon_sym_PIPE_GT] = ACTIONS(1351),
    [anon_sym_COLON] = ACTIONS(1349),
    [anon_sym_DOLLAR] = ACTIONS(1351),
    [anon_sym_AT] = ACTIONS(1351),
    [anon_sym_COLON_COLON] = ACTIONS(1349),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1351),
    [sym__hex_literal] = ACTIONS(1351),
    [sym__number_literal] = ACTIONS(1349),
    [anon_sym_SQUOTE] = ACTIONS(1351),
    [anon_sym_DQUOTE] = ACTIONS(1351),
    [sym_return] = ACTIONS(1349),
    [sym_next] = ACTIONS(1349),
    [sym_break] = ACTIONS(1349),
    [sym_true] = ACTIONS(1349),
    [sym_false] = ACTIONS(1349),
    [sym_null] = ACTIONS(1349),
    [sym_inf] = ACTIONS(1349),
    [sym_nan] = ACTIONS(1349),
    [anon_sym_NA] = ACTIONS(1349),
    [anon_sym_NA_integer_] = ACTIONS(1349),
    [anon_sym_NA_real_] = ACTIONS(1349),
    [anon_sym_NA_complex_] = ACTIONS(1349),
    [anon_sym_NA_character_] = ACTIONS(1349),
    [sym_dots] = ACTIONS(1349),
    [sym_dot_dot_i] = ACTIONS(1351),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1351),
    [sym__newline] = ACTIONS(1351),
    [sym__raw_string_literal] = ACTIONS(1351),
    [sym__external_else] = ACTIONS(1351),
    [sym__external_open_parenthesis] = ACTIONS(1351),
    [sym__external_close_parenthesis] = ACTIONS(1351),
    [sym__external_open_brace] = ACTIONS(1351),
    [sym__external_open_bracket] = ACTIONS(1351),
    [sym__external_open_bracket2] = ACTIONS(1351),
  },
  [727] = {
    [ts_builtin_sym_end] = ACTIONS(1319),
    [sym_identifier] = ACTIONS(1317),
    [anon_sym_BSLASH] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1317),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_for] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1317),
    [anon_sym_repeat] = ACTIONS(1317),
    [anon_sym_QMARK] = ACTIONS(1319),
    [anon_sym_TILDE] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_DASH] = ACTIONS(1317),
    [anon_sym_LT_DASH] = ACTIONS(1319),
    [anon_sym_LT_LT_DASH] = ACTIONS(1319),
    [anon_sym_COLON_EQ] = ACTIONS(1319),
    [anon_sym_DASH_GT] = ACTIONS(1317),
    [anon_sym_DASH_GT_GT] = ACTIONS(1319),
    [anon_sym_PIPE] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_PIPE_PIPE] = ACTIONS(1319),
    [anon_sym_AMP_AMP] = ACTIONS(1319),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1319),
    [anon_sym_GT] = ACTIONS(1317),
    [anon_sym_GT_EQ] = ACTIONS(1319),
    [anon_sym_EQ_EQ] = ACTIONS(1319),
    [anon_sym_BANG_EQ] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_STAR_STAR] = ACTIONS(1319),
    [anon_sym_CARET] = ACTIONS(1319),
    [aux_sym_binary_operator_token1] = ACTIONS(1319),
    [anon_sym_PIPE_GT] = ACTIONS(1319),
    [anon_sym_COLON] = ACTIONS(1317),
    [anon_sym_DOLLAR] = ACTIONS(1319),
    [anon_sym_AT] = ACTIONS(1319),
    [anon_sym_COLON_COLON] = ACTIONS(1321),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1323),
    [sym__hex_literal] = ACTIONS(1319),
    [sym__number_literal] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1319),
    [anon_sym_DQUOTE] = ACTIONS(1319),
    [sym_return] = ACTIONS(1317),
    [sym_next] = ACTIONS(1317),
    [sym_break] = ACTIONS(1317),
    [sym_true] = ACTIONS(1317),
    [sym_false] = ACTIONS(1317),
    [sym_null] = ACTIONS(1317),
    [sym_inf] = ACTIONS(1317),
    [sym_nan] = ACTIONS(1317),
    [anon_sym_NA] = ACTIONS(1317),
    [anon_sym_NA_integer_] = ACTIONS(1317),
    [anon_sym_NA_real_] = ACTIONS(1317),
    [anon_sym_NA_complex_] = ACTIONS(1317),
    [anon_sym_NA_character_] = ACTIONS(1317),
    [sym_dots] = ACTIONS(1317),
    [sym_dot_dot_i] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1319),
    [sym__semicolon] = ACTIONS(1319),
    [sym__raw_string_literal] = ACTIONS(1319),
    [sym__external_else] = ACTIONS(1319),
    [sym__external_open_parenthesis] = ACTIONS(1319),
    [sym__external_open_brace] = ACTIONS(1319),
    [sym__external_open_bracket] = ACTIONS(1319),
    [sym__external_open_bracket2] = ACTIONS(1319),
  },
  [728] = {
    [sym_identifier] = ACTIONS(1345),
    [anon_sym_BSLASH] = ACTIONS(1347),
    [anon_sym_function] = ACTIONS(1345),
    [anon_sym_EQ] = ACTIONS(1345),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_for] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1345),
    [anon_sym_repeat] = ACTIONS(1345),
    [anon_sym_QMARK] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [anon_sym_BANG] = ACTIONS(1345),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1345),
    [anon_sym_LT_DASH] = ACTIONS(1347),
    [anon_sym_LT_LT_DASH] = ACTIONS(1347),
    [anon_sym_COLON_EQ] = ACTIONS(1347),
    [anon_sym_DASH_GT] = ACTIONS(1345),
    [anon_sym_DASH_GT_GT] = ACTIONS(1347),
    [anon_sym_PIPE] = ACTIONS(1345),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE_PIPE] = ACTIONS(1347),
    [anon_sym_AMP_AMP] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1347),
    [anon_sym_GT] = ACTIONS(1345),
    [anon_sym_GT_EQ] = ACTIONS(1347),
    [anon_sym_EQ_EQ] = ACTIONS(1347),
    [anon_sym_BANG_EQ] = ACTIONS(1347),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_STAR_STAR] = ACTIONS(1347),
    [anon_sym_CARET] = ACTIONS(1347),
    [aux_sym_binary_operator_token1] = ACTIONS(1347),
    [anon_sym_PIPE_GT] = ACTIONS(1347),
    [anon_sym_COLON] = ACTIONS(1345),
    [anon_sym_DOLLAR] = ACTIONS(1347),
    [anon_sym_AT] = ACTIONS(1347),
    [anon_sym_COLON_COLON] = ACTIONS(1345),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1347),
    [sym__hex_literal] = ACTIONS(1347),
    [sym__number_literal] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [anon_sym_DQUOTE] = ACTIONS(1347),
    [sym_return] = ACTIONS(1345),
    [sym_next] = ACTIONS(1345),
    [sym_break] = ACTIONS(1345),
    [sym_true] = ACTIONS(1345),
    [sym_false] = ACTIONS(1345),
    [sym_null] = ACTIONS(1345),
    [sym_inf] = ACTIONS(1345),
    [sym_nan] = ACTIONS(1345),
    [anon_sym_NA] = ACTIONS(1345),
    [anon_sym_NA_integer_] = ACTIONS(1345),
    [anon_sym_NA_real_] = ACTIONS(1345),
    [anon_sym_NA_complex_] = ACTIONS(1345),
    [anon_sym_NA_character_] = ACTIONS(1345),
    [sym_dots] = ACTIONS(1345),
    [sym_dot_dot_i] = ACTIONS(1347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1347),
    [sym__semicolon] = ACTIONS(1347),
    [sym__raw_string_literal] = ACTIONS(1347),
    [sym__external_else] = ACTIONS(1347),
    [sym__external_open_parenthesis] = ACTIONS(1347),
    [sym__external_open_brace] = ACTIONS(1347),
    [sym__external_close_brace] = ACTIONS(1347),
    [sym__external_open_bracket] = ACTIONS(1347),
    [sym__external_open_bracket2] = ACTIONS(1347),
  },
  [729] = {
    [sym_identifier] = ACTIONS(1349),
    [anon_sym_BSLASH] = ACTIONS(1351),
    [anon_sym_function] = ACTIONS(1349),
    [anon_sym_EQ] = ACTIONS(1349),
    [anon_sym_if] = ACTIONS(1349),
    [anon_sym_for] = ACTIONS(1349),
    [anon_sym_while] = ACTIONS(1349),
    [anon_sym_repeat] = ACTIONS(1349),
    [anon_sym_QMARK] = ACTIONS(1351),
    [anon_sym_TILDE] = ACTIONS(1351),
    [anon_sym_BANG] = ACTIONS(1349),
    [anon_sym_PLUS] = ACTIONS(1351),
    [anon_sym_DASH] = ACTIONS(1349),
    [anon_sym_LT_DASH] = ACTIONS(1351),
    [anon_sym_LT_LT_DASH] = ACTIONS(1351),
    [anon_sym_COLON_EQ] = ACTIONS(1351),
    [anon_sym_DASH_GT] = ACTIONS(1349),
    [anon_sym_DASH_GT_GT] = ACTIONS(1351),
    [anon_sym_PIPE] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1349),
    [anon_sym_PIPE_PIPE] = ACTIONS(1351),
    [anon_sym_AMP_AMP] = ACTIONS(1351),
    [anon_sym_LT] = ACTIONS(1349),
    [anon_sym_LT_EQ] = ACTIONS(1351),
    [anon_sym_GT] = ACTIONS(1349),
    [anon_sym_GT_EQ] = ACTIONS(1351),
    [anon_sym_EQ_EQ] = ACTIONS(1351),
    [anon_sym_BANG_EQ] = ACTIONS(1351),
    [anon_sym_STAR] = ACTIONS(1349),
    [anon_sym_SLASH] = ACTIONS(1351),
    [anon_sym_STAR_STAR] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1351),
    [aux_sym_binary_operator_token1] = ACTIONS(1351),
    [anon_sym_PIPE_GT] = ACTIONS(1351),
    [anon_sym_COLON] = ACTIONS(1349),
    [anon_sym_DOLLAR] = ACTIONS(1351),
    [anon_sym_AT] = ACTIONS(1351),
    [anon_sym_COLON_COLON] = ACTIONS(1349),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1351),
    [sym__hex_literal] = ACTIONS(1351),
    [sym__number_literal] = ACTIONS(1349),
    [anon_sym_SQUOTE] = ACTIONS(1351),
    [anon_sym_DQUOTE] = ACTIONS(1351),
    [sym_return] = ACTIONS(1349),
    [sym_next] = ACTIONS(1349),
    [sym_break] = ACTIONS(1349),
    [sym_true] = ACTIONS(1349),
    [sym_false] = ACTIONS(1349),
    [sym_null] = ACTIONS(1349),
    [sym_inf] = ACTIONS(1349),
    [sym_nan] = ACTIONS(1349),
    [anon_sym_NA] = ACTIONS(1349),
    [anon_sym_NA_integer_] = ACTIONS(1349),
    [anon_sym_NA_real_] = ACTIONS(1349),
    [anon_sym_NA_complex_] = ACTIONS(1349),
    [anon_sym_NA_character_] = ACTIONS(1349),
    [sym_dots] = ACTIONS(1349),
    [sym_dot_dot_i] = ACTIONS(1351),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1351),
    [sym__semicolon] = ACTIONS(1351),
    [sym__raw_string_literal] = ACTIONS(1351),
    [sym__external_else] = ACTIONS(1351),
    [sym__external_open_parenthesis] = ACTIONS(1351),
    [sym__external_open_brace] = ACTIONS(1351),
    [sym__external_close_brace] = ACTIONS(1351),
    [sym__external_open_bracket] = ACTIONS(1351),
    [sym__external_open_bracket2] = ACTIONS(1351),
  },
  [730] = {
    [sym_identifier] = ACTIONS(1313),
    [anon_sym_BSLASH] = ACTIONS(1315),
    [anon_sym_function] = ACTIONS(1313),
    [anon_sym_EQ] = ACTIONS(1313),
    [anon_sym_if] = ACTIONS(1313),
    [anon_sym_for] = ACTIONS(1313),
    [anon_sym_while] = ACTIONS(1313),
    [anon_sym_repeat] = ACTIONS(1313),
    [anon_sym_QMARK] = ACTIONS(1315),
    [anon_sym_TILDE] = ACTIONS(1315),
    [anon_sym_BANG] = ACTIONS(1313),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_DASH] = ACTIONS(1313),
    [anon_sym_LT_DASH] = ACTIONS(1315),
    [anon_sym_LT_LT_DASH] = ACTIONS(1315),
    [anon_sym_COLON_EQ] = ACTIONS(1315),
    [anon_sym_DASH_GT] = ACTIONS(1313),
    [anon_sym_DASH_GT_GT] = ACTIONS(1315),
    [anon_sym_PIPE] = ACTIONS(1313),
    [anon_sym_AMP] = ACTIONS(1313),
    [anon_sym_PIPE_PIPE] = ACTIONS(1315),
    [anon_sym_AMP_AMP] = ACTIONS(1315),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_LT_EQ] = ACTIONS(1315),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_GT_EQ] = ACTIONS(1315),
    [anon_sym_EQ_EQ] = ACTIONS(1315),
    [anon_sym_BANG_EQ] = ACTIONS(1315),
    [anon_sym_STAR] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1315),
    [anon_sym_STAR_STAR] = ACTIONS(1315),
    [anon_sym_CARET] = ACTIONS(1315),
    [aux_sym_binary_operator_token1] = ACTIONS(1315),
    [anon_sym_PIPE_GT] = ACTIONS(1315),
    [anon_sym_COLON] = ACTIONS(1313),
    [anon_sym_DOLLAR] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(1315),
    [anon_sym_COLON_COLON] = ACTIONS(1313),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1315),
    [sym__hex_literal] = ACTIONS(1315),
    [sym__number_literal] = ACTIONS(1313),
    [anon_sym_SQUOTE] = ACTIONS(1315),
    [anon_sym_DQUOTE] = ACTIONS(1315),
    [sym_return] = ACTIONS(1313),
    [sym_next] = ACTIONS(1313),
    [sym_break] = ACTIONS(1313),
    [sym_true] = ACTIONS(1313),
    [sym_false] = ACTIONS(1313),
    [sym_null] = ACTIONS(1313),
    [sym_inf] = ACTIONS(1313),
    [sym_nan] = ACTIONS(1313),
    [anon_sym_NA] = ACTIONS(1313),
    [anon_sym_NA_integer_] = ACTIONS(1313),
    [anon_sym_NA_real_] = ACTIONS(1313),
    [anon_sym_NA_complex_] = ACTIONS(1313),
    [anon_sym_NA_character_] = ACTIONS(1313),
    [sym_dots] = ACTIONS(1313),
    [sym_dot_dot_i] = ACTIONS(1315),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1315),
    [sym__newline] = ACTIONS(1315),
    [sym__raw_string_literal] = ACTIONS(1315),
    [sym__external_else] = ACTIONS(1315),
    [sym__external_open_parenthesis] = ACTIONS(1315),
    [sym__external_open_brace] = ACTIONS(1315),
    [sym__external_open_bracket] = ACTIONS(1315),
    [sym__external_close_bracket] = ACTIONS(1315),
    [sym__external_open_bracket2] = ACTIONS(1315),
  },
  [731] = {
    [sym_identifier] = ACTIONS(1341),
    [anon_sym_BSLASH] = ACTIONS(1343),
    [anon_sym_function] = ACTIONS(1341),
    [anon_sym_EQ] = ACTIONS(1341),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_for] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1341),
    [anon_sym_repeat] = ACTIONS(1341),
    [anon_sym_QMARK] = ACTIONS(1343),
    [anon_sym_TILDE] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_LT_DASH] = ACTIONS(1343),
    [anon_sym_LT_LT_DASH] = ACTIONS(1343),
    [anon_sym_COLON_EQ] = ACTIONS(1343),
    [anon_sym_DASH_GT] = ACTIONS(1341),
    [anon_sym_DASH_GT_GT] = ACTIONS(1343),
    [anon_sym_PIPE] = ACTIONS(1341),
    [anon_sym_AMP] = ACTIONS(1341),
    [anon_sym_PIPE_PIPE] = ACTIONS(1343),
    [anon_sym_AMP_AMP] = ACTIONS(1343),
    [anon_sym_LT] = ACTIONS(1341),
    [anon_sym_LT_EQ] = ACTIONS(1343),
    [anon_sym_GT] = ACTIONS(1341),
    [anon_sym_GT_EQ] = ACTIONS(1343),
    [anon_sym_EQ_EQ] = ACTIONS(1343),
    [anon_sym_BANG_EQ] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(1343),
    [anon_sym_STAR_STAR] = ACTIONS(1343),
    [anon_sym_CARET] = ACTIONS(1343),
    [aux_sym_binary_operator_token1] = ACTIONS(1343),
    [anon_sym_PIPE_GT] = ACTIONS(1343),
    [anon_sym_COLON] = ACTIONS(1341),
    [anon_sym_DOLLAR] = ACTIONS(1343),
    [anon_sym_AT] = ACTIONS(1343),
    [anon_sym_COLON_COLON] = ACTIONS(1341),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1343),
    [sym__hex_literal] = ACTIONS(1343),
    [sym__number_literal] = ACTIONS(1341),
    [anon_sym_SQUOTE] = ACTIONS(1343),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_return] = ACTIONS(1341),
    [sym_next] = ACTIONS(1341),
    [sym_break] = ACTIONS(1341),
    [sym_true] = ACTIONS(1341),
    [sym_false] = ACTIONS(1341),
    [sym_null] = ACTIONS(1341),
    [sym_inf] = ACTIONS(1341),
    [sym_nan] = ACTIONS(1341),
    [anon_sym_NA] = ACTIONS(1341),
    [anon_sym_NA_integer_] = ACTIONS(1341),
    [anon_sym_NA_real_] = ACTIONS(1341),
    [anon_sym_NA_complex_] = ACTIONS(1341),
    [anon_sym_NA_character_] = ACTIONS(1341),
    [sym_dots] = ACTIONS(1341),
    [sym_dot_dot_i] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1343),
    [sym__newline] = ACTIONS(1343),
    [sym__raw_string_literal] = ACTIONS(1343),
    [sym__external_else] = ACTIONS(1343),
    [sym__external_open_parenthesis] = ACTIONS(1343),
    [sym__external_open_brace] = ACTIONS(1343),
    [sym__external_open_bracket] = ACTIONS(1343),
    [sym__external_close_bracket] = ACTIONS(1343),
    [sym__external_open_bracket2] = ACTIONS(1343),
  },
  [732] = {
    [sym_identifier] = ACTIONS(1313),
    [anon_sym_BSLASH] = ACTIONS(1315),
    [anon_sym_function] = ACTIONS(1313),
    [anon_sym_EQ] = ACTIONS(1313),
    [anon_sym_if] = ACTIONS(1313),
    [anon_sym_for] = ACTIONS(1313),
    [anon_sym_while] = ACTIONS(1313),
    [anon_sym_repeat] = ACTIONS(1313),
    [anon_sym_QMARK] = ACTIONS(1315),
    [anon_sym_TILDE] = ACTIONS(1315),
    [anon_sym_BANG] = ACTIONS(1313),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_DASH] = ACTIONS(1313),
    [anon_sym_LT_DASH] = ACTIONS(1315),
    [anon_sym_LT_LT_DASH] = ACTIONS(1315),
    [anon_sym_COLON_EQ] = ACTIONS(1315),
    [anon_sym_DASH_GT] = ACTIONS(1313),
    [anon_sym_DASH_GT_GT] = ACTIONS(1315),
    [anon_sym_PIPE] = ACTIONS(1313),
    [anon_sym_AMP] = ACTIONS(1313),
    [anon_sym_PIPE_PIPE] = ACTIONS(1315),
    [anon_sym_AMP_AMP] = ACTIONS(1315),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_LT_EQ] = ACTIONS(1315),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_GT_EQ] = ACTIONS(1315),
    [anon_sym_EQ_EQ] = ACTIONS(1315),
    [anon_sym_BANG_EQ] = ACTIONS(1315),
    [anon_sym_STAR] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1315),
    [anon_sym_STAR_STAR] = ACTIONS(1315),
    [anon_sym_CARET] = ACTIONS(1315),
    [aux_sym_binary_operator_token1] = ACTIONS(1315),
    [anon_sym_PIPE_GT] = ACTIONS(1315),
    [anon_sym_COLON] = ACTIONS(1313),
    [anon_sym_DOLLAR] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(1315),
    [anon_sym_COLON_COLON] = ACTIONS(1313),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1315),
    [sym__hex_literal] = ACTIONS(1315),
    [sym__number_literal] = ACTIONS(1313),
    [anon_sym_SQUOTE] = ACTIONS(1315),
    [anon_sym_DQUOTE] = ACTIONS(1315),
    [sym_return] = ACTIONS(1313),
    [sym_next] = ACTIONS(1313),
    [sym_break] = ACTIONS(1313),
    [sym_true] = ACTIONS(1313),
    [sym_false] = ACTIONS(1313),
    [sym_null] = ACTIONS(1313),
    [sym_inf] = ACTIONS(1313),
    [sym_nan] = ACTIONS(1313),
    [anon_sym_NA] = ACTIONS(1313),
    [anon_sym_NA_integer_] = ACTIONS(1313),
    [anon_sym_NA_real_] = ACTIONS(1313),
    [anon_sym_NA_complex_] = ACTIONS(1313),
    [anon_sym_NA_character_] = ACTIONS(1313),
    [sym_dots] = ACTIONS(1313),
    [sym_dot_dot_i] = ACTIONS(1315),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1315),
    [sym__semicolon] = ACTIONS(1315),
    [sym__raw_string_literal] = ACTIONS(1315),
    [sym__external_else] = ACTIONS(1315),
    [sym__external_open_parenthesis] = ACTIONS(1315),
    [sym__external_open_brace] = ACTIONS(1315),
    [sym__external_close_brace] = ACTIONS(1315),
    [sym__external_open_bracket] = ACTIONS(1315),
    [sym__external_open_bracket2] = ACTIONS(1315),
  },
  [733] = {
    [sym_identifier] = ACTIONS(1341),
    [anon_sym_BSLASH] = ACTIONS(1343),
    [anon_sym_function] = ACTIONS(1341),
    [anon_sym_EQ] = ACTIONS(1341),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_for] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1341),
    [anon_sym_repeat] = ACTIONS(1341),
    [anon_sym_QMARK] = ACTIONS(1343),
    [anon_sym_TILDE] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_LT_DASH] = ACTIONS(1343),
    [anon_sym_LT_LT_DASH] = ACTIONS(1343),
    [anon_sym_COLON_EQ] = ACTIONS(1343),
    [anon_sym_DASH_GT] = ACTIONS(1341),
    [anon_sym_DASH_GT_GT] = ACTIONS(1343),
    [anon_sym_PIPE] = ACTIONS(1341),
    [anon_sym_AMP] = ACTIONS(1341),
    [anon_sym_PIPE_PIPE] = ACTIONS(1343),
    [anon_sym_AMP_AMP] = ACTIONS(1343),
    [anon_sym_LT] = ACTIONS(1341),
    [anon_sym_LT_EQ] = ACTIONS(1343),
    [anon_sym_GT] = ACTIONS(1341),
    [anon_sym_GT_EQ] = ACTIONS(1343),
    [anon_sym_EQ_EQ] = ACTIONS(1343),
    [anon_sym_BANG_EQ] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(1343),
    [anon_sym_STAR_STAR] = ACTIONS(1343),
    [anon_sym_CARET] = ACTIONS(1343),
    [aux_sym_binary_operator_token1] = ACTIONS(1343),
    [anon_sym_PIPE_GT] = ACTIONS(1343),
    [anon_sym_COLON] = ACTIONS(1341),
    [anon_sym_DOLLAR] = ACTIONS(1343),
    [anon_sym_AT] = ACTIONS(1343),
    [anon_sym_COLON_COLON] = ACTIONS(1341),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1343),
    [sym__hex_literal] = ACTIONS(1343),
    [sym__number_literal] = ACTIONS(1341),
    [anon_sym_SQUOTE] = ACTIONS(1343),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_return] = ACTIONS(1341),
    [sym_next] = ACTIONS(1341),
    [sym_break] = ACTIONS(1341),
    [sym_true] = ACTIONS(1341),
    [sym_false] = ACTIONS(1341),
    [sym_null] = ACTIONS(1341),
    [sym_inf] = ACTIONS(1341),
    [sym_nan] = ACTIONS(1341),
    [anon_sym_NA] = ACTIONS(1341),
    [anon_sym_NA_integer_] = ACTIONS(1341),
    [anon_sym_NA_real_] = ACTIONS(1341),
    [anon_sym_NA_complex_] = ACTIONS(1341),
    [anon_sym_NA_character_] = ACTIONS(1341),
    [sym_dots] = ACTIONS(1341),
    [sym_dot_dot_i] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1343),
    [sym__semicolon] = ACTIONS(1343),
    [sym__raw_string_literal] = ACTIONS(1343),
    [sym__external_else] = ACTIONS(1343),
    [sym__external_open_parenthesis] = ACTIONS(1343),
    [sym__external_open_brace] = ACTIONS(1343),
    [sym__external_close_brace] = ACTIONS(1343),
    [sym__external_open_bracket] = ACTIONS(1343),
    [sym__external_open_bracket2] = ACTIONS(1343),
  },
  [734] = {
    [ts_builtin_sym_end] = ACTIONS(1327),
    [sym_identifier] = ACTIONS(1325),
    [anon_sym_BSLASH] = ACTIONS(1327),
    [anon_sym_function] = ACTIONS(1325),
    [anon_sym_EQ] = ACTIONS(1325),
    [anon_sym_if] = ACTIONS(1325),
    [anon_sym_for] = ACTIONS(1325),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_repeat] = ACTIONS(1325),
    [anon_sym_QMARK] = ACTIONS(1327),
    [anon_sym_TILDE] = ACTIONS(1327),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_PLUS] = ACTIONS(1327),
    [anon_sym_DASH] = ACTIONS(1325),
    [anon_sym_LT_DASH] = ACTIONS(1327),
    [anon_sym_LT_LT_DASH] = ACTIONS(1327),
    [anon_sym_COLON_EQ] = ACTIONS(1327),
    [anon_sym_DASH_GT] = ACTIONS(1325),
    [anon_sym_DASH_GT_GT] = ACTIONS(1327),
    [anon_sym_PIPE] = ACTIONS(1325),
    [anon_sym_AMP] = ACTIONS(1325),
    [anon_sym_PIPE_PIPE] = ACTIONS(1327),
    [anon_sym_AMP_AMP] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(1325),
    [anon_sym_LT_EQ] = ACTIONS(1327),
    [anon_sym_GT] = ACTIONS(1325),
    [anon_sym_GT_EQ] = ACTIONS(1327),
    [anon_sym_EQ_EQ] = ACTIONS(1327),
    [anon_sym_BANG_EQ] = ACTIONS(1327),
    [anon_sym_STAR] = ACTIONS(1325),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_STAR_STAR] = ACTIONS(1327),
    [anon_sym_CARET] = ACTIONS(1327),
    [aux_sym_binary_operator_token1] = ACTIONS(1327),
    [anon_sym_PIPE_GT] = ACTIONS(1327),
    [anon_sym_COLON] = ACTIONS(1325),
    [anon_sym_DOLLAR] = ACTIONS(1327),
    [anon_sym_AT] = ACTIONS(1327),
    [anon_sym_L] = ACTIONS(1353),
    [anon_sym_i] = ACTIONS(1355),
    [sym__hex_literal] = ACTIONS(1327),
    [sym__number_literal] = ACTIONS(1325),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_return] = ACTIONS(1325),
    [sym_next] = ACTIONS(1325),
    [sym_break] = ACTIONS(1325),
    [sym_true] = ACTIONS(1325),
    [sym_false] = ACTIONS(1325),
    [sym_null] = ACTIONS(1325),
    [sym_inf] = ACTIONS(1325),
    [sym_nan] = ACTIONS(1325),
    [anon_sym_NA] = ACTIONS(1325),
    [anon_sym_NA_integer_] = ACTIONS(1325),
    [anon_sym_NA_real_] = ACTIONS(1325),
    [anon_sym_NA_complex_] = ACTIONS(1325),
    [anon_sym_NA_character_] = ACTIONS(1325),
    [sym_dots] = ACTIONS(1325),
    [sym_dot_dot_i] = ACTIONS(1327),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1327),
    [sym__semicolon] = ACTIONS(1327),
    [sym__raw_string_literal] = ACTIONS(1327),
    [sym__external_else] = ACTIONS(1327),
    [sym__external_open_parenthesis] = ACTIONS(1327),
    [sym__external_open_brace] = ACTIONS(1327),
    [sym__external_open_bracket] = ACTIONS(1327),
    [sym__external_open_bracket2] = ACTIONS(1327),
  },
  [735] = {
    [ts_builtin_sym_end] = ACTIONS(1315),
    [sym_identifier] = ACTIONS(1313),
    [anon_sym_BSLASH] = ACTIONS(1315),
    [anon_sym_function] = ACTIONS(1313),
    [anon_sym_EQ] = ACTIONS(1313),
    [anon_sym_if] = ACTIONS(1313),
    [anon_sym_for] = ACTIONS(1313),
    [anon_sym_while] = ACTIONS(1313),
    [anon_sym_repeat] = ACTIONS(1313),
    [anon_sym_QMARK] = ACTIONS(1315),
    [anon_sym_TILDE] = ACTIONS(1315),
    [anon_sym_BANG] = ACTIONS(1313),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_DASH] = ACTIONS(1313),
    [anon_sym_LT_DASH] = ACTIONS(1315),
    [anon_sym_LT_LT_DASH] = ACTIONS(1315),
    [anon_sym_COLON_EQ] = ACTIONS(1315),
    [anon_sym_DASH_GT] = ACTIONS(1313),
    [anon_sym_DASH_GT_GT] = ACTIONS(1315),
    [anon_sym_PIPE] = ACTIONS(1313),
    [anon_sym_AMP] = ACTIONS(1313),
    [anon_sym_PIPE_PIPE] = ACTIONS(1315),
    [anon_sym_AMP_AMP] = ACTIONS(1315),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_LT_EQ] = ACTIONS(1315),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_GT_EQ] = ACTIONS(1315),
    [anon_sym_EQ_EQ] = ACTIONS(1315),
    [anon_sym_BANG_EQ] = ACTIONS(1315),
    [anon_sym_STAR] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1315),
    [anon_sym_STAR_STAR] = ACTIONS(1315),
    [anon_sym_CARET] = ACTIONS(1315),
    [aux_sym_binary_operator_token1] = ACTIONS(1315),
    [anon_sym_PIPE_GT] = ACTIONS(1315),
    [anon_sym_COLON] = ACTIONS(1313),
    [anon_sym_DOLLAR] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(1315),
    [anon_sym_COLON_COLON] = ACTIONS(1313),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1315),
    [sym__hex_literal] = ACTIONS(1315),
    [sym__number_literal] = ACTIONS(1313),
    [anon_sym_SQUOTE] = ACTIONS(1315),
    [anon_sym_DQUOTE] = ACTIONS(1315),
    [sym_return] = ACTIONS(1313),
    [sym_next] = ACTIONS(1313),
    [sym_break] = ACTIONS(1313),
    [sym_true] = ACTIONS(1313),
    [sym_false] = ACTIONS(1313),
    [sym_null] = ACTIONS(1313),
    [sym_inf] = ACTIONS(1313),
    [sym_nan] = ACTIONS(1313),
    [anon_sym_NA] = ACTIONS(1313),
    [anon_sym_NA_integer_] = ACTIONS(1313),
    [anon_sym_NA_real_] = ACTIONS(1313),
    [anon_sym_NA_complex_] = ACTIONS(1313),
    [anon_sym_NA_character_] = ACTIONS(1313),
    [sym_dots] = ACTIONS(1313),
    [sym_dot_dot_i] = ACTIONS(1315),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1315),
    [sym__semicolon] = ACTIONS(1315),
    [sym__raw_string_literal] = ACTIONS(1315),
    [sym__external_else] = ACTIONS(1315),
    [sym__external_open_parenthesis] = ACTIONS(1315),
    [sym__external_open_brace] = ACTIONS(1315),
    [sym__external_open_bracket] = ACTIONS(1315),
    [sym__external_open_bracket2] = ACTIONS(1315),
  },
  [736] = {
    [ts_builtin_sym_end] = ACTIONS(1343),
    [sym_identifier] = ACTIONS(1341),
    [anon_sym_BSLASH] = ACTIONS(1343),
    [anon_sym_function] = ACTIONS(1341),
    [anon_sym_EQ] = ACTIONS(1341),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_for] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1341),
    [anon_sym_repeat] = ACTIONS(1341),
    [anon_sym_QMARK] = ACTIONS(1343),
    [anon_sym_TILDE] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_LT_DASH] = ACTIONS(1343),
    [anon_sym_LT_LT_DASH] = ACTIONS(1343),
    [anon_sym_COLON_EQ] = ACTIONS(1343),
    [anon_sym_DASH_GT] = ACTIONS(1341),
    [anon_sym_DASH_GT_GT] = ACTIONS(1343),
    [anon_sym_PIPE] = ACTIONS(1341),
    [anon_sym_AMP] = ACTIONS(1341),
    [anon_sym_PIPE_PIPE] = ACTIONS(1343),
    [anon_sym_AMP_AMP] = ACTIONS(1343),
    [anon_sym_LT] = ACTIONS(1341),
    [anon_sym_LT_EQ] = ACTIONS(1343),
    [anon_sym_GT] = ACTIONS(1341),
    [anon_sym_GT_EQ] = ACTIONS(1343),
    [anon_sym_EQ_EQ] = ACTIONS(1343),
    [anon_sym_BANG_EQ] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(1343),
    [anon_sym_STAR_STAR] = ACTIONS(1343),
    [anon_sym_CARET] = ACTIONS(1343),
    [aux_sym_binary_operator_token1] = ACTIONS(1343),
    [anon_sym_PIPE_GT] = ACTIONS(1343),
    [anon_sym_COLON] = ACTIONS(1341),
    [anon_sym_DOLLAR] = ACTIONS(1343),
    [anon_sym_AT] = ACTIONS(1343),
    [anon_sym_COLON_COLON] = ACTIONS(1341),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1343),
    [sym__hex_literal] = ACTIONS(1343),
    [sym__number_literal] = ACTIONS(1341),
    [anon_sym_SQUOTE] = ACTIONS(1343),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_return] = ACTIONS(1341),
    [sym_next] = ACTIONS(1341),
    [sym_break] = ACTIONS(1341),
    [sym_true] = ACTIONS(1341),
    [sym_false] = ACTIONS(1341),
    [sym_null] = ACTIONS(1341),
    [sym_inf] = ACTIONS(1341),
    [sym_nan] = ACTIONS(1341),
    [anon_sym_NA] = ACTIONS(1341),
    [anon_sym_NA_integer_] = ACTIONS(1341),
    [anon_sym_NA_real_] = ACTIONS(1341),
    [anon_sym_NA_complex_] = ACTIONS(1341),
    [anon_sym_NA_character_] = ACTIONS(1341),
    [sym_dots] = ACTIONS(1341),
    [sym_dot_dot_i] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1343),
    [sym__semicolon] = ACTIONS(1343),
    [sym__raw_string_literal] = ACTIONS(1343),
    [sym__external_else] = ACTIONS(1343),
    [sym__external_open_parenthesis] = ACTIONS(1343),
    [sym__external_open_brace] = ACTIONS(1343),
    [sym__external_open_bracket] = ACTIONS(1343),
    [sym__external_open_bracket2] = ACTIONS(1343),
  },
  [737] = {
    [ts_builtin_sym_end] = ACTIONS(1335),
    [sym_identifier] = ACTIONS(1333),
    [anon_sym_BSLASH] = ACTIONS(1335),
    [anon_sym_function] = ACTIONS(1333),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_if] = ACTIONS(1333),
    [anon_sym_for] = ACTIONS(1333),
    [anon_sym_while] = ACTIONS(1333),
    [anon_sym_repeat] = ACTIONS(1333),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1333),
    [anon_sym_LT_DASH] = ACTIONS(1335),
    [anon_sym_LT_LT_DASH] = ACTIONS(1335),
    [anon_sym_COLON_EQ] = ACTIONS(1335),
    [anon_sym_DASH_GT] = ACTIONS(1333),
    [anon_sym_DASH_GT_GT] = ACTIONS(1335),
    [anon_sym_PIPE] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PIPE_PIPE] = ACTIONS(1335),
    [anon_sym_AMP_AMP] = ACTIONS(1335),
    [anon_sym_LT] = ACTIONS(1333),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_GT] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_EQ_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_SLASH] = ACTIONS(1335),
    [anon_sym_STAR_STAR] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [aux_sym_binary_operator_token1] = ACTIONS(1335),
    [anon_sym_PIPE_GT] = ACTIONS(1335),
    [anon_sym_COLON] = ACTIONS(1333),
    [anon_sym_DOLLAR] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1335),
    [anon_sym_COLON_COLON] = ACTIONS(1333),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1335),
    [sym__hex_literal] = ACTIONS(1335),
    [sym__number_literal] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_DQUOTE] = ACTIONS(1335),
    [sym_return] = ACTIONS(1333),
    [sym_next] = ACTIONS(1333),
    [sym_break] = ACTIONS(1333),
    [sym_true] = ACTIONS(1333),
    [sym_false] = ACTIONS(1333),
    [sym_null] = ACTIONS(1333),
    [sym_inf] = ACTIONS(1333),
    [sym_nan] = ACTIONS(1333),
    [anon_sym_NA] = ACTIONS(1333),
    [anon_sym_NA_integer_] = ACTIONS(1333),
    [anon_sym_NA_real_] = ACTIONS(1333),
    [anon_sym_NA_complex_] = ACTIONS(1333),
    [anon_sym_NA_character_] = ACTIONS(1333),
    [sym_dots] = ACTIONS(1333),
    [sym_dot_dot_i] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1335),
    [sym__semicolon] = ACTIONS(1335),
    [sym__raw_string_literal] = ACTIONS(1335),
    [sym__external_else] = ACTIONS(1335),
    [sym__external_open_parenthesis] = ACTIONS(1335),
    [sym__external_open_brace] = ACTIONS(1335),
    [sym__external_open_bracket] = ACTIONS(1335),
    [sym__external_open_bracket2] = ACTIONS(1335),
  },
  [738] = {
    [ts_builtin_sym_end] = ACTIONS(1347),
    [sym_identifier] = ACTIONS(1345),
    [anon_sym_BSLASH] = ACTIONS(1347),
    [anon_sym_function] = ACTIONS(1345),
    [anon_sym_EQ] = ACTIONS(1345),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_for] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1345),
    [anon_sym_repeat] = ACTIONS(1345),
    [anon_sym_QMARK] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [anon_sym_BANG] = ACTIONS(1345),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1345),
    [anon_sym_LT_DASH] = ACTIONS(1347),
    [anon_sym_LT_LT_DASH] = ACTIONS(1347),
    [anon_sym_COLON_EQ] = ACTIONS(1347),
    [anon_sym_DASH_GT] = ACTIONS(1345),
    [anon_sym_DASH_GT_GT] = ACTIONS(1347),
    [anon_sym_PIPE] = ACTIONS(1345),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE_PIPE] = ACTIONS(1347),
    [anon_sym_AMP_AMP] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1347),
    [anon_sym_GT] = ACTIONS(1345),
    [anon_sym_GT_EQ] = ACTIONS(1347),
    [anon_sym_EQ_EQ] = ACTIONS(1347),
    [anon_sym_BANG_EQ] = ACTIONS(1347),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_STAR_STAR] = ACTIONS(1347),
    [anon_sym_CARET] = ACTIONS(1347),
    [aux_sym_binary_operator_token1] = ACTIONS(1347),
    [anon_sym_PIPE_GT] = ACTIONS(1347),
    [anon_sym_COLON] = ACTIONS(1345),
    [anon_sym_DOLLAR] = ACTIONS(1347),
    [anon_sym_AT] = ACTIONS(1347),
    [anon_sym_COLON_COLON] = ACTIONS(1345),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1347),
    [sym__hex_literal] = ACTIONS(1347),
    [sym__number_literal] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [anon_sym_DQUOTE] = ACTIONS(1347),
    [sym_return] = ACTIONS(1345),
    [sym_next] = ACTIONS(1345),
    [sym_break] = ACTIONS(1345),
    [sym_true] = ACTIONS(1345),
    [sym_false] = ACTIONS(1345),
    [sym_null] = ACTIONS(1345),
    [sym_inf] = ACTIONS(1345),
    [sym_nan] = ACTIONS(1345),
    [anon_sym_NA] = ACTIONS(1345),
    [anon_sym_NA_integer_] = ACTIONS(1345),
    [anon_sym_NA_real_] = ACTIONS(1345),
    [anon_sym_NA_complex_] = ACTIONS(1345),
    [anon_sym_NA_character_] = ACTIONS(1345),
    [sym_dots] = ACTIONS(1345),
    [sym_dot_dot_i] = ACTIONS(1347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1347),
    [sym__semicolon] = ACTIONS(1347),
    [sym__raw_string_literal] = ACTIONS(1347),
    [sym__external_else] = ACTIONS(1347),
    [sym__external_open_parenthesis] = ACTIONS(1347),
    [sym__external_open_brace] = ACTIONS(1347),
    [sym__external_open_bracket] = ACTIONS(1347),
    [sym__external_open_bracket2] = ACTIONS(1347),
  },
  [739] = {
    [ts_builtin_sym_end] = ACTIONS(1351),
    [sym_identifier] = ACTIONS(1349),
    [anon_sym_BSLASH] = ACTIONS(1351),
    [anon_sym_function] = ACTIONS(1349),
    [anon_sym_EQ] = ACTIONS(1349),
    [anon_sym_if] = ACTIONS(1349),
    [anon_sym_for] = ACTIONS(1349),
    [anon_sym_while] = ACTIONS(1349),
    [anon_sym_repeat] = ACTIONS(1349),
    [anon_sym_QMARK] = ACTIONS(1351),
    [anon_sym_TILDE] = ACTIONS(1351),
    [anon_sym_BANG] = ACTIONS(1349),
    [anon_sym_PLUS] = ACTIONS(1351),
    [anon_sym_DASH] = ACTIONS(1349),
    [anon_sym_LT_DASH] = ACTIONS(1351),
    [anon_sym_LT_LT_DASH] = ACTIONS(1351),
    [anon_sym_COLON_EQ] = ACTIONS(1351),
    [anon_sym_DASH_GT] = ACTIONS(1349),
    [anon_sym_DASH_GT_GT] = ACTIONS(1351),
    [anon_sym_PIPE] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1349),
    [anon_sym_PIPE_PIPE] = ACTIONS(1351),
    [anon_sym_AMP_AMP] = ACTIONS(1351),
    [anon_sym_LT] = ACTIONS(1349),
    [anon_sym_LT_EQ] = ACTIONS(1351),
    [anon_sym_GT] = ACTIONS(1349),
    [anon_sym_GT_EQ] = ACTIONS(1351),
    [anon_sym_EQ_EQ] = ACTIONS(1351),
    [anon_sym_BANG_EQ] = ACTIONS(1351),
    [anon_sym_STAR] = ACTIONS(1349),
    [anon_sym_SLASH] = ACTIONS(1351),
    [anon_sym_STAR_STAR] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1351),
    [aux_sym_binary_operator_token1] = ACTIONS(1351),
    [anon_sym_PIPE_GT] = ACTIONS(1351),
    [anon_sym_COLON] = ACTIONS(1349),
    [anon_sym_DOLLAR] = ACTIONS(1351),
    [anon_sym_AT] = ACTIONS(1351),
    [anon_sym_COLON_COLON] = ACTIONS(1349),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1351),
    [sym__hex_literal] = ACTIONS(1351),
    [sym__number_literal] = ACTIONS(1349),
    [anon_sym_SQUOTE] = ACTIONS(1351),
    [anon_sym_DQUOTE] = ACTIONS(1351),
    [sym_return] = ACTIONS(1349),
    [sym_next] = ACTIONS(1349),
    [sym_break] = ACTIONS(1349),
    [sym_true] = ACTIONS(1349),
    [sym_false] = ACTIONS(1349),
    [sym_null] = ACTIONS(1349),
    [sym_inf] = ACTIONS(1349),
    [sym_nan] = ACTIONS(1349),
    [anon_sym_NA] = ACTIONS(1349),
    [anon_sym_NA_integer_] = ACTIONS(1349),
    [anon_sym_NA_real_] = ACTIONS(1349),
    [anon_sym_NA_complex_] = ACTIONS(1349),
    [anon_sym_NA_character_] = ACTIONS(1349),
    [sym_dots] = ACTIONS(1349),
    [sym_dot_dot_i] = ACTIONS(1351),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1351),
    [sym__semicolon] = ACTIONS(1351),
    [sym__raw_string_literal] = ACTIONS(1351),
    [sym__external_else] = ACTIONS(1351),
    [sym__external_open_parenthesis] = ACTIONS(1351),
    [sym__external_open_brace] = ACTIONS(1351),
    [sym__external_open_bracket] = ACTIONS(1351),
    [sym__external_open_bracket2] = ACTIONS(1351),
  },
  [740] = {
    [sym_identifier] = ACTIONS(1313),
    [anon_sym_BSLASH] = ACTIONS(1315),
    [anon_sym_function] = ACTIONS(1313),
    [anon_sym_EQ] = ACTIONS(1313),
    [anon_sym_if] = ACTIONS(1313),
    [anon_sym_for] = ACTIONS(1313),
    [anon_sym_while] = ACTIONS(1313),
    [anon_sym_repeat] = ACTIONS(1313),
    [anon_sym_QMARK] = ACTIONS(1315),
    [anon_sym_TILDE] = ACTIONS(1315),
    [anon_sym_BANG] = ACTIONS(1313),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_DASH] = ACTIONS(1313),
    [anon_sym_LT_DASH] = ACTIONS(1315),
    [anon_sym_LT_LT_DASH] = ACTIONS(1315),
    [anon_sym_COLON_EQ] = ACTIONS(1315),
    [anon_sym_DASH_GT] = ACTIONS(1313),
    [anon_sym_DASH_GT_GT] = ACTIONS(1315),
    [anon_sym_PIPE] = ACTIONS(1313),
    [anon_sym_AMP] = ACTIONS(1313),
    [anon_sym_PIPE_PIPE] = ACTIONS(1315),
    [anon_sym_AMP_AMP] = ACTIONS(1315),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_LT_EQ] = ACTIONS(1315),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_GT_EQ] = ACTIONS(1315),
    [anon_sym_EQ_EQ] = ACTIONS(1315),
    [anon_sym_BANG_EQ] = ACTIONS(1315),
    [anon_sym_STAR] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1315),
    [anon_sym_STAR_STAR] = ACTIONS(1315),
    [anon_sym_CARET] = ACTIONS(1315),
    [aux_sym_binary_operator_token1] = ACTIONS(1315),
    [anon_sym_PIPE_GT] = ACTIONS(1315),
    [anon_sym_COLON] = ACTIONS(1313),
    [anon_sym_DOLLAR] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(1315),
    [anon_sym_COLON_COLON] = ACTIONS(1313),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1315),
    [sym__hex_literal] = ACTIONS(1315),
    [sym__number_literal] = ACTIONS(1313),
    [anon_sym_SQUOTE] = ACTIONS(1315),
    [anon_sym_DQUOTE] = ACTIONS(1315),
    [sym_return] = ACTIONS(1313),
    [sym_next] = ACTIONS(1313),
    [sym_break] = ACTIONS(1313),
    [sym_true] = ACTIONS(1313),
    [sym_false] = ACTIONS(1313),
    [sym_null] = ACTIONS(1313),
    [sym_inf] = ACTIONS(1313),
    [sym_nan] = ACTIONS(1313),
    [anon_sym_NA] = ACTIONS(1313),
    [anon_sym_NA_integer_] = ACTIONS(1313),
    [anon_sym_NA_real_] = ACTIONS(1313),
    [anon_sym_NA_complex_] = ACTIONS(1313),
    [anon_sym_NA_character_] = ACTIONS(1313),
    [sym_dots] = ACTIONS(1313),
    [sym_dot_dot_i] = ACTIONS(1315),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1315),
    [sym__newline] = ACTIONS(1315),
    [sym__raw_string_literal] = ACTIONS(1315),
    [sym__external_else] = ACTIONS(1315),
    [sym__external_open_parenthesis] = ACTIONS(1315),
    [sym__external_close_parenthesis] = ACTIONS(1315),
    [sym__external_open_brace] = ACTIONS(1315),
    [sym__external_open_bracket] = ACTIONS(1315),
    [sym__external_open_bracket2] = ACTIONS(1315),
  },
  [741] = {
    [sym_identifier] = ACTIONS(1341),
    [anon_sym_BSLASH] = ACTIONS(1343),
    [anon_sym_function] = ACTIONS(1341),
    [anon_sym_EQ] = ACTIONS(1341),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_for] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1341),
    [anon_sym_repeat] = ACTIONS(1341),
    [anon_sym_QMARK] = ACTIONS(1343),
    [anon_sym_TILDE] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_LT_DASH] = ACTIONS(1343),
    [anon_sym_LT_LT_DASH] = ACTIONS(1343),
    [anon_sym_COLON_EQ] = ACTIONS(1343),
    [anon_sym_DASH_GT] = ACTIONS(1341),
    [anon_sym_DASH_GT_GT] = ACTIONS(1343),
    [anon_sym_PIPE] = ACTIONS(1341),
    [anon_sym_AMP] = ACTIONS(1341),
    [anon_sym_PIPE_PIPE] = ACTIONS(1343),
    [anon_sym_AMP_AMP] = ACTIONS(1343),
    [anon_sym_LT] = ACTIONS(1341),
    [anon_sym_LT_EQ] = ACTIONS(1343),
    [anon_sym_GT] = ACTIONS(1341),
    [anon_sym_GT_EQ] = ACTIONS(1343),
    [anon_sym_EQ_EQ] = ACTIONS(1343),
    [anon_sym_BANG_EQ] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(1343),
    [anon_sym_STAR_STAR] = ACTIONS(1343),
    [anon_sym_CARET] = ACTIONS(1343),
    [aux_sym_binary_operator_token1] = ACTIONS(1343),
    [anon_sym_PIPE_GT] = ACTIONS(1343),
    [anon_sym_COLON] = ACTIONS(1341),
    [anon_sym_DOLLAR] = ACTIONS(1343),
    [anon_sym_AT] = ACTIONS(1343),
    [anon_sym_COLON_COLON] = ACTIONS(1341),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1343),
    [sym__hex_literal] = ACTIONS(1343),
    [sym__number_literal] = ACTIONS(1341),
    [anon_sym_SQUOTE] = ACTIONS(1343),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_return] = ACTIONS(1341),
    [sym_next] = ACTIONS(1341),
    [sym_break] = ACTIONS(1341),
    [sym_true] = ACTIONS(1341),
    [sym_false] = ACTIONS(1341),
    [sym_null] = ACTIONS(1341),
    [sym_inf] = ACTIONS(1341),
    [sym_nan] = ACTIONS(1341),
    [anon_sym_NA] = ACTIONS(1341),
    [anon_sym_NA_integer_] = ACTIONS(1341),
    [anon_sym_NA_real_] = ACTIONS(1341),
    [anon_sym_NA_complex_] = ACTIONS(1341),
    [anon_sym_NA_character_] = ACTIONS(1341),
    [sym_dots] = ACTIONS(1341),
    [sym_dot_dot_i] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1343),
    [sym__newline] = ACTIONS(1343),
    [sym__raw_string_literal] = ACTIONS(1343),
    [sym__external_else] = ACTIONS(1343),
    [sym__external_open_parenthesis] = ACTIONS(1343),
    [sym__external_close_parenthesis] = ACTIONS(1343),
    [sym__external_open_brace] = ACTIONS(1343),
    [sym__external_open_bracket] = ACTIONS(1343),
    [sym__external_open_bracket2] = ACTIONS(1343),
  },
  [742] = {
    [sym_identifier] = ACTIONS(1357),
    [anon_sym_BSLASH] = ACTIONS(1359),
    [anon_sym_function] = ACTIONS(1357),
    [anon_sym_EQ] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_repeat] = ACTIONS(1357),
    [anon_sym_QMARK] = ACTIONS(1359),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_BANG] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1357),
    [anon_sym_LT_DASH] = ACTIONS(1359),
    [anon_sym_LT_LT_DASH] = ACTIONS(1359),
    [anon_sym_COLON_EQ] = ACTIONS(1359),
    [anon_sym_DASH_GT] = ACTIONS(1357),
    [anon_sym_DASH_GT_GT] = ACTIONS(1359),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE_PIPE] = ACTIONS(1359),
    [anon_sym_AMP_AMP] = ACTIONS(1359),
    [anon_sym_LT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1359),
    [anon_sym_GT] = ACTIONS(1357),
    [anon_sym_GT_EQ] = ACTIONS(1359),
    [anon_sym_EQ_EQ] = ACTIONS(1359),
    [anon_sym_BANG_EQ] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_SLASH] = ACTIONS(1359),
    [anon_sym_STAR_STAR] = ACTIONS(1359),
    [anon_sym_CARET] = ACTIONS(1359),
    [aux_sym_binary_operator_token1] = ACTIONS(1359),
    [anon_sym_PIPE_GT] = ACTIONS(1359),
    [anon_sym_COLON] = ACTIONS(1357),
    [anon_sym_DOLLAR] = ACTIONS(1359),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_COLON_COLON] = ACTIONS(1357),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1359),
    [sym__hex_literal] = ACTIONS(1359),
    [sym__number_literal] = ACTIONS(1357),
    [anon_sym_SQUOTE] = ACTIONS(1359),
    [anon_sym_DQUOTE] = ACTIONS(1359),
    [sym_return] = ACTIONS(1357),
    [sym_next] = ACTIONS(1357),
    [sym_break] = ACTIONS(1357),
    [sym_true] = ACTIONS(1357),
    [sym_false] = ACTIONS(1357),
    [sym_null] = ACTIONS(1357),
    [sym_inf] = ACTIONS(1357),
    [sym_nan] = ACTIONS(1357),
    [anon_sym_NA] = ACTIONS(1357),
    [anon_sym_NA_integer_] = ACTIONS(1357),
    [anon_sym_NA_real_] = ACTIONS(1357),
    [anon_sym_NA_complex_] = ACTIONS(1357),
    [anon_sym_NA_character_] = ACTIONS(1357),
    [sym_dots] = ACTIONS(1357),
    [sym_dot_dot_i] = ACTIONS(1359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1359),
    [sym__semicolon] = ACTIONS(1359),
    [sym__raw_string_literal] = ACTIONS(1359),
    [sym__external_else] = ACTIONS(1359),
    [sym__external_open_parenthesis] = ACTIONS(1359),
    [sym__external_open_brace] = ACTIONS(1359),
    [sym__external_close_brace] = ACTIONS(1359),
    [sym__external_open_bracket] = ACTIONS(1359),
    [sym__external_open_bracket2] = ACTIONS(1359),
  },
  [743] = {
    [sym_identifier] = ACTIONS(1317),
    [anon_sym_BSLASH] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1317),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_for] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1317),
    [anon_sym_repeat] = ACTIONS(1317),
    [anon_sym_QMARK] = ACTIONS(1319),
    [anon_sym_TILDE] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_DASH] = ACTIONS(1317),
    [anon_sym_LT_DASH] = ACTIONS(1319),
    [anon_sym_LT_LT_DASH] = ACTIONS(1319),
    [anon_sym_COLON_EQ] = ACTIONS(1319),
    [anon_sym_DASH_GT] = ACTIONS(1317),
    [anon_sym_DASH_GT_GT] = ACTIONS(1319),
    [anon_sym_PIPE] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_PIPE_PIPE] = ACTIONS(1319),
    [anon_sym_AMP_AMP] = ACTIONS(1319),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1319),
    [anon_sym_GT] = ACTIONS(1317),
    [anon_sym_GT_EQ] = ACTIONS(1319),
    [anon_sym_EQ_EQ] = ACTIONS(1319),
    [anon_sym_BANG_EQ] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_STAR_STAR] = ACTIONS(1319),
    [anon_sym_CARET] = ACTIONS(1319),
    [aux_sym_binary_operator_token1] = ACTIONS(1319),
    [anon_sym_PIPE_GT] = ACTIONS(1319),
    [anon_sym_COLON] = ACTIONS(1317),
    [anon_sym_DOLLAR] = ACTIONS(1319),
    [anon_sym_AT] = ACTIONS(1319),
    [anon_sym_COLON_COLON] = ACTIONS(1321),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1323),
    [sym__hex_literal] = ACTIONS(1319),
    [sym__number_literal] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1319),
    [anon_sym_DQUOTE] = ACTIONS(1319),
    [sym_return] = ACTIONS(1317),
    [sym_next] = ACTIONS(1317),
    [sym_break] = ACTIONS(1317),
    [sym_true] = ACTIONS(1317),
    [sym_false] = ACTIONS(1317),
    [sym_null] = ACTIONS(1317),
    [sym_inf] = ACTIONS(1317),
    [sym_nan] = ACTIONS(1317),
    [anon_sym_NA] = ACTIONS(1317),
    [anon_sym_NA_integer_] = ACTIONS(1317),
    [anon_sym_NA_real_] = ACTIONS(1317),
    [anon_sym_NA_complex_] = ACTIONS(1317),
    [anon_sym_NA_character_] = ACTIONS(1317),
    [sym_dots] = ACTIONS(1317),
    [sym_dot_dot_i] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1319),
    [sym__semicolon] = ACTIONS(1319),
    [sym__raw_string_literal] = ACTIONS(1319),
    [sym__external_else] = ACTIONS(1319),
    [sym__external_open_parenthesis] = ACTIONS(1319),
    [sym__external_open_brace] = ACTIONS(1319),
    [sym__external_close_brace] = ACTIONS(1319),
    [sym__external_open_bracket] = ACTIONS(1319),
    [sym__external_open_bracket2] = ACTIONS(1319),
  },
  [744] = {
    [sym_identifier] = ACTIONS(1357),
    [anon_sym_BSLASH] = ACTIONS(1359),
    [anon_sym_function] = ACTIONS(1357),
    [anon_sym_EQ] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_repeat] = ACTIONS(1357),
    [anon_sym_QMARK] = ACTIONS(1359),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_BANG] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1357),
    [anon_sym_LT_DASH] = ACTIONS(1359),
    [anon_sym_LT_LT_DASH] = ACTIONS(1359),
    [anon_sym_COLON_EQ] = ACTIONS(1359),
    [anon_sym_DASH_GT] = ACTIONS(1357),
    [anon_sym_DASH_GT_GT] = ACTIONS(1359),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE_PIPE] = ACTIONS(1359),
    [anon_sym_AMP_AMP] = ACTIONS(1359),
    [anon_sym_LT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1359),
    [anon_sym_GT] = ACTIONS(1357),
    [anon_sym_GT_EQ] = ACTIONS(1359),
    [anon_sym_EQ_EQ] = ACTIONS(1359),
    [anon_sym_BANG_EQ] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_SLASH] = ACTIONS(1359),
    [anon_sym_STAR_STAR] = ACTIONS(1359),
    [anon_sym_CARET] = ACTIONS(1359),
    [aux_sym_binary_operator_token1] = ACTIONS(1359),
    [anon_sym_PIPE_GT] = ACTIONS(1359),
    [anon_sym_COLON] = ACTIONS(1357),
    [anon_sym_DOLLAR] = ACTIONS(1359),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_COLON_COLON] = ACTIONS(1357),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1359),
    [sym__hex_literal] = ACTIONS(1359),
    [sym__number_literal] = ACTIONS(1357),
    [anon_sym_SQUOTE] = ACTIONS(1359),
    [anon_sym_DQUOTE] = ACTIONS(1359),
    [sym_return] = ACTIONS(1357),
    [sym_next] = ACTIONS(1357),
    [sym_break] = ACTIONS(1357),
    [sym_true] = ACTIONS(1357),
    [sym_false] = ACTIONS(1357),
    [sym_null] = ACTIONS(1357),
    [sym_inf] = ACTIONS(1357),
    [sym_nan] = ACTIONS(1357),
    [anon_sym_NA] = ACTIONS(1357),
    [anon_sym_NA_integer_] = ACTIONS(1357),
    [anon_sym_NA_real_] = ACTIONS(1357),
    [anon_sym_NA_complex_] = ACTIONS(1357),
    [anon_sym_NA_character_] = ACTIONS(1357),
    [sym_dots] = ACTIONS(1357),
    [sym_dot_dot_i] = ACTIONS(1359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1359),
    [sym__newline] = ACTIONS(1359),
    [sym__raw_string_literal] = ACTIONS(1359),
    [sym__external_else] = ACTIONS(1359),
    [sym__external_open_parenthesis] = ACTIONS(1359),
    [sym__external_close_parenthesis] = ACTIONS(1359),
    [sym__external_open_brace] = ACTIONS(1359),
    [sym__external_open_bracket] = ACTIONS(1359),
    [sym__external_open_bracket2] = ACTIONS(1359),
  },
  [745] = {
    [sym_identifier] = ACTIONS(1357),
    [anon_sym_BSLASH] = ACTIONS(1359),
    [anon_sym_function] = ACTIONS(1357),
    [anon_sym_EQ] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_repeat] = ACTIONS(1357),
    [anon_sym_QMARK] = ACTIONS(1359),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_BANG] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1357),
    [anon_sym_LT_DASH] = ACTIONS(1359),
    [anon_sym_LT_LT_DASH] = ACTIONS(1359),
    [anon_sym_COLON_EQ] = ACTIONS(1359),
    [anon_sym_DASH_GT] = ACTIONS(1357),
    [anon_sym_DASH_GT_GT] = ACTIONS(1359),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE_PIPE] = ACTIONS(1359),
    [anon_sym_AMP_AMP] = ACTIONS(1359),
    [anon_sym_LT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1359),
    [anon_sym_GT] = ACTIONS(1357),
    [anon_sym_GT_EQ] = ACTIONS(1359),
    [anon_sym_EQ_EQ] = ACTIONS(1359),
    [anon_sym_BANG_EQ] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_SLASH] = ACTIONS(1359),
    [anon_sym_STAR_STAR] = ACTIONS(1359),
    [anon_sym_CARET] = ACTIONS(1359),
    [aux_sym_binary_operator_token1] = ACTIONS(1359),
    [anon_sym_PIPE_GT] = ACTIONS(1359),
    [anon_sym_COLON] = ACTIONS(1357),
    [anon_sym_DOLLAR] = ACTIONS(1359),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_COLON_COLON] = ACTIONS(1357),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1359),
    [sym__hex_literal] = ACTIONS(1359),
    [sym__number_literal] = ACTIONS(1357),
    [anon_sym_SQUOTE] = ACTIONS(1359),
    [anon_sym_DQUOTE] = ACTIONS(1359),
    [sym_return] = ACTIONS(1357),
    [sym_next] = ACTIONS(1357),
    [sym_break] = ACTIONS(1357),
    [sym_true] = ACTIONS(1357),
    [sym_false] = ACTIONS(1357),
    [sym_null] = ACTIONS(1357),
    [sym_inf] = ACTIONS(1357),
    [sym_nan] = ACTIONS(1357),
    [anon_sym_NA] = ACTIONS(1357),
    [anon_sym_NA_integer_] = ACTIONS(1357),
    [anon_sym_NA_real_] = ACTIONS(1357),
    [anon_sym_NA_complex_] = ACTIONS(1357),
    [anon_sym_NA_character_] = ACTIONS(1357),
    [sym_dots] = ACTIONS(1357),
    [sym_dot_dot_i] = ACTIONS(1359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1359),
    [sym__newline] = ACTIONS(1359),
    [sym__raw_string_literal] = ACTIONS(1359),
    [sym__external_else] = ACTIONS(1359),
    [sym__external_open_parenthesis] = ACTIONS(1359),
    [sym__external_open_brace] = ACTIONS(1359),
    [sym__external_open_bracket] = ACTIONS(1359),
    [sym__external_open_bracket2] = ACTIONS(1359),
    [sym__external_close_bracket2] = ACTIONS(1359),
  },
  [746] = {
    [sym_identifier] = ACTIONS(1317),
    [anon_sym_BSLASH] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1317),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_for] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1317),
    [anon_sym_repeat] = ACTIONS(1317),
    [anon_sym_QMARK] = ACTIONS(1319),
    [anon_sym_TILDE] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_DASH] = ACTIONS(1317),
    [anon_sym_LT_DASH] = ACTIONS(1319),
    [anon_sym_LT_LT_DASH] = ACTIONS(1319),
    [anon_sym_COLON_EQ] = ACTIONS(1319),
    [anon_sym_DASH_GT] = ACTIONS(1317),
    [anon_sym_DASH_GT_GT] = ACTIONS(1319),
    [anon_sym_PIPE] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_PIPE_PIPE] = ACTIONS(1319),
    [anon_sym_AMP_AMP] = ACTIONS(1319),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1319),
    [anon_sym_GT] = ACTIONS(1317),
    [anon_sym_GT_EQ] = ACTIONS(1319),
    [anon_sym_EQ_EQ] = ACTIONS(1319),
    [anon_sym_BANG_EQ] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_STAR_STAR] = ACTIONS(1319),
    [anon_sym_CARET] = ACTIONS(1319),
    [aux_sym_binary_operator_token1] = ACTIONS(1319),
    [anon_sym_PIPE_GT] = ACTIONS(1319),
    [anon_sym_COLON] = ACTIONS(1317),
    [anon_sym_DOLLAR] = ACTIONS(1319),
    [anon_sym_AT] = ACTIONS(1319),
    [anon_sym_COLON_COLON] = ACTIONS(1321),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1323),
    [sym__hex_literal] = ACTIONS(1319),
    [sym__number_literal] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1319),
    [anon_sym_DQUOTE] = ACTIONS(1319),
    [sym_return] = ACTIONS(1317),
    [sym_next] = ACTIONS(1317),
    [sym_break] = ACTIONS(1317),
    [sym_true] = ACTIONS(1317),
    [sym_false] = ACTIONS(1317),
    [sym_null] = ACTIONS(1317),
    [sym_inf] = ACTIONS(1317),
    [sym_nan] = ACTIONS(1317),
    [anon_sym_NA] = ACTIONS(1317),
    [anon_sym_NA_integer_] = ACTIONS(1317),
    [anon_sym_NA_real_] = ACTIONS(1317),
    [anon_sym_NA_complex_] = ACTIONS(1317),
    [anon_sym_NA_character_] = ACTIONS(1317),
    [sym_dots] = ACTIONS(1317),
    [sym_dot_dot_i] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1319),
    [sym__newline] = ACTIONS(1319),
    [sym__raw_string_literal] = ACTIONS(1319),
    [sym__external_else] = ACTIONS(1319),
    [sym__external_open_parenthesis] = ACTIONS(1319),
    [sym__external_open_brace] = ACTIONS(1319),
    [sym__external_open_bracket] = ACTIONS(1319),
    [sym__external_open_bracket2] = ACTIONS(1319),
    [sym__external_close_bracket2] = ACTIONS(1319),
  },
  [747] = {
    [sym_identifier] = ACTIONS(1325),
    [anon_sym_BSLASH] = ACTIONS(1327),
    [anon_sym_function] = ACTIONS(1325),
    [anon_sym_EQ] = ACTIONS(1325),
    [anon_sym_if] = ACTIONS(1325),
    [anon_sym_for] = ACTIONS(1325),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_repeat] = ACTIONS(1325),
    [anon_sym_QMARK] = ACTIONS(1327),
    [anon_sym_TILDE] = ACTIONS(1327),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_PLUS] = ACTIONS(1327),
    [anon_sym_DASH] = ACTIONS(1325),
    [anon_sym_LT_DASH] = ACTIONS(1327),
    [anon_sym_LT_LT_DASH] = ACTIONS(1327),
    [anon_sym_COLON_EQ] = ACTIONS(1327),
    [anon_sym_DASH_GT] = ACTIONS(1325),
    [anon_sym_DASH_GT_GT] = ACTIONS(1327),
    [anon_sym_PIPE] = ACTIONS(1325),
    [anon_sym_AMP] = ACTIONS(1325),
    [anon_sym_PIPE_PIPE] = ACTIONS(1327),
    [anon_sym_AMP_AMP] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(1325),
    [anon_sym_LT_EQ] = ACTIONS(1327),
    [anon_sym_GT] = ACTIONS(1325),
    [anon_sym_GT_EQ] = ACTIONS(1327),
    [anon_sym_EQ_EQ] = ACTIONS(1327),
    [anon_sym_BANG_EQ] = ACTIONS(1327),
    [anon_sym_STAR] = ACTIONS(1325),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_STAR_STAR] = ACTIONS(1327),
    [anon_sym_CARET] = ACTIONS(1327),
    [aux_sym_binary_operator_token1] = ACTIONS(1327),
    [anon_sym_PIPE_GT] = ACTIONS(1327),
    [anon_sym_COLON] = ACTIONS(1325),
    [anon_sym_DOLLAR] = ACTIONS(1327),
    [anon_sym_AT] = ACTIONS(1327),
    [anon_sym_L] = ACTIONS(1361),
    [anon_sym_i] = ACTIONS(1363),
    [sym__hex_literal] = ACTIONS(1327),
    [sym__number_literal] = ACTIONS(1325),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_return] = ACTIONS(1325),
    [sym_next] = ACTIONS(1325),
    [sym_break] = ACTIONS(1325),
    [sym_true] = ACTIONS(1325),
    [sym_false] = ACTIONS(1325),
    [sym_null] = ACTIONS(1325),
    [sym_inf] = ACTIONS(1325),
    [sym_nan] = ACTIONS(1325),
    [anon_sym_NA] = ACTIONS(1325),
    [anon_sym_NA_integer_] = ACTIONS(1325),
    [anon_sym_NA_real_] = ACTIONS(1325),
    [anon_sym_NA_complex_] = ACTIONS(1325),
    [anon_sym_NA_character_] = ACTIONS(1325),
    [sym_dots] = ACTIONS(1325),
    [sym_dot_dot_i] = ACTIONS(1327),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1327),
    [sym__newline] = ACTIONS(1327),
    [sym__raw_string_literal] = ACTIONS(1327),
    [sym__external_else] = ACTIONS(1327),
    [sym__external_open_parenthesis] = ACTIONS(1327),
    [sym__external_open_brace] = ACTIONS(1327),
    [sym__external_open_bracket] = ACTIONS(1327),
    [sym__external_open_bracket2] = ACTIONS(1327),
    [sym__external_close_bracket2] = ACTIONS(1327),
  },
  [748] = {
    [sym_identifier] = ACTIONS(1333),
    [anon_sym_BSLASH] = ACTIONS(1335),
    [anon_sym_function] = ACTIONS(1333),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_if] = ACTIONS(1333),
    [anon_sym_for] = ACTIONS(1333),
    [anon_sym_while] = ACTIONS(1333),
    [anon_sym_repeat] = ACTIONS(1333),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1333),
    [anon_sym_LT_DASH] = ACTIONS(1335),
    [anon_sym_LT_LT_DASH] = ACTIONS(1335),
    [anon_sym_COLON_EQ] = ACTIONS(1335),
    [anon_sym_DASH_GT] = ACTIONS(1333),
    [anon_sym_DASH_GT_GT] = ACTIONS(1335),
    [anon_sym_PIPE] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PIPE_PIPE] = ACTIONS(1335),
    [anon_sym_AMP_AMP] = ACTIONS(1335),
    [anon_sym_LT] = ACTIONS(1333),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_GT] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_EQ_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_SLASH] = ACTIONS(1335),
    [anon_sym_STAR_STAR] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [aux_sym_binary_operator_token1] = ACTIONS(1335),
    [anon_sym_PIPE_GT] = ACTIONS(1335),
    [anon_sym_COLON] = ACTIONS(1333),
    [anon_sym_DOLLAR] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1335),
    [anon_sym_COLON_COLON] = ACTIONS(1333),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1335),
    [sym__hex_literal] = ACTIONS(1335),
    [sym__number_literal] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_DQUOTE] = ACTIONS(1335),
    [sym_return] = ACTIONS(1333),
    [sym_next] = ACTIONS(1333),
    [sym_break] = ACTIONS(1333),
    [sym_true] = ACTIONS(1333),
    [sym_false] = ACTIONS(1333),
    [sym_null] = ACTIONS(1333),
    [sym_inf] = ACTIONS(1333),
    [sym_nan] = ACTIONS(1333),
    [anon_sym_NA] = ACTIONS(1333),
    [anon_sym_NA_integer_] = ACTIONS(1333),
    [anon_sym_NA_real_] = ACTIONS(1333),
    [anon_sym_NA_complex_] = ACTIONS(1333),
    [anon_sym_NA_character_] = ACTIONS(1333),
    [sym_dots] = ACTIONS(1333),
    [sym_dot_dot_i] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1335),
    [sym__newline] = ACTIONS(1335),
    [sym__raw_string_literal] = ACTIONS(1335),
    [sym__external_else] = ACTIONS(1335),
    [sym__external_open_parenthesis] = ACTIONS(1335),
    [sym__external_open_brace] = ACTIONS(1335),
    [sym__external_open_bracket] = ACTIONS(1335),
    [sym__external_open_bracket2] = ACTIONS(1335),
    [sym__external_close_bracket2] = ACTIONS(1335),
  },
  [749] = {
    [sym_identifier] = ACTIONS(1333),
    [anon_sym_BSLASH] = ACTIONS(1335),
    [anon_sym_function] = ACTIONS(1333),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_if] = ACTIONS(1333),
    [anon_sym_for] = ACTIONS(1333),
    [anon_sym_while] = ACTIONS(1333),
    [anon_sym_repeat] = ACTIONS(1333),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1333),
    [anon_sym_LT_DASH] = ACTIONS(1335),
    [anon_sym_LT_LT_DASH] = ACTIONS(1335),
    [anon_sym_COLON_EQ] = ACTIONS(1335),
    [anon_sym_DASH_GT] = ACTIONS(1333),
    [anon_sym_DASH_GT_GT] = ACTIONS(1335),
    [anon_sym_PIPE] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PIPE_PIPE] = ACTIONS(1335),
    [anon_sym_AMP_AMP] = ACTIONS(1335),
    [anon_sym_LT] = ACTIONS(1333),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_GT] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_EQ_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_SLASH] = ACTIONS(1335),
    [anon_sym_STAR_STAR] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [aux_sym_binary_operator_token1] = ACTIONS(1335),
    [anon_sym_PIPE_GT] = ACTIONS(1335),
    [anon_sym_COLON] = ACTIONS(1333),
    [anon_sym_DOLLAR] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1335),
    [anon_sym_COLON_COLON] = ACTIONS(1333),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1335),
    [sym__hex_literal] = ACTIONS(1335),
    [sym__number_literal] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_DQUOTE] = ACTIONS(1335),
    [sym_return] = ACTIONS(1333),
    [sym_next] = ACTIONS(1333),
    [sym_break] = ACTIONS(1333),
    [sym_true] = ACTIONS(1333),
    [sym_false] = ACTIONS(1333),
    [sym_null] = ACTIONS(1333),
    [sym_inf] = ACTIONS(1333),
    [sym_nan] = ACTIONS(1333),
    [anon_sym_NA] = ACTIONS(1333),
    [anon_sym_NA_integer_] = ACTIONS(1333),
    [anon_sym_NA_real_] = ACTIONS(1333),
    [anon_sym_NA_complex_] = ACTIONS(1333),
    [anon_sym_NA_character_] = ACTIONS(1333),
    [sym_dots] = ACTIONS(1333),
    [sym_dot_dot_i] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1335),
    [sym__newline] = ACTIONS(1335),
    [sym__raw_string_literal] = ACTIONS(1335),
    [sym__external_else] = ACTIONS(1335),
    [sym__external_open_parenthesis] = ACTIONS(1335),
    [sym__external_open_brace] = ACTIONS(1335),
    [sym__external_open_bracket] = ACTIONS(1335),
    [sym__external_open_bracket2] = ACTIONS(1335),
    [sym__external_close_bracket2] = ACTIONS(1335),
  },
  [750] = {
    [sym_identifier] = ACTIONS(1317),
    [anon_sym_BSLASH] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1317),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_for] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1317),
    [anon_sym_repeat] = ACTIONS(1317),
    [anon_sym_QMARK] = ACTIONS(1319),
    [anon_sym_TILDE] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_DASH] = ACTIONS(1317),
    [anon_sym_LT_DASH] = ACTIONS(1319),
    [anon_sym_LT_LT_DASH] = ACTIONS(1319),
    [anon_sym_COLON_EQ] = ACTIONS(1319),
    [anon_sym_DASH_GT] = ACTIONS(1317),
    [anon_sym_DASH_GT_GT] = ACTIONS(1319),
    [anon_sym_PIPE] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_PIPE_PIPE] = ACTIONS(1319),
    [anon_sym_AMP_AMP] = ACTIONS(1319),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1319),
    [anon_sym_GT] = ACTIONS(1317),
    [anon_sym_GT_EQ] = ACTIONS(1319),
    [anon_sym_EQ_EQ] = ACTIONS(1319),
    [anon_sym_BANG_EQ] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_STAR_STAR] = ACTIONS(1319),
    [anon_sym_CARET] = ACTIONS(1319),
    [aux_sym_binary_operator_token1] = ACTIONS(1319),
    [anon_sym_PIPE_GT] = ACTIONS(1319),
    [anon_sym_COLON] = ACTIONS(1317),
    [anon_sym_DOLLAR] = ACTIONS(1319),
    [anon_sym_AT] = ACTIONS(1319),
    [anon_sym_COLON_COLON] = ACTIONS(1321),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1323),
    [sym__hex_literal] = ACTIONS(1319),
    [sym__number_literal] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1319),
    [anon_sym_DQUOTE] = ACTIONS(1319),
    [sym_return] = ACTIONS(1317),
    [sym_next] = ACTIONS(1317),
    [sym_break] = ACTIONS(1317),
    [sym_true] = ACTIONS(1317),
    [sym_false] = ACTIONS(1317),
    [sym_null] = ACTIONS(1317),
    [sym_inf] = ACTIONS(1317),
    [sym_nan] = ACTIONS(1317),
    [anon_sym_NA] = ACTIONS(1317),
    [anon_sym_NA_integer_] = ACTIONS(1317),
    [anon_sym_NA_real_] = ACTIONS(1317),
    [anon_sym_NA_complex_] = ACTIONS(1317),
    [anon_sym_NA_character_] = ACTIONS(1317),
    [sym_dots] = ACTIONS(1317),
    [sym_dot_dot_i] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1319),
    [sym__newline] = ACTIONS(1319),
    [sym__raw_string_literal] = ACTIONS(1319),
    [sym__external_else] = ACTIONS(1319),
    [sym__external_open_parenthesis] = ACTIONS(1319),
    [sym__external_close_parenthesis] = ACTIONS(1319),
    [sym__external_open_brace] = ACTIONS(1319),
    [sym__external_open_bracket] = ACTIONS(1319),
    [sym__external_open_bracket2] = ACTIONS(1319),
  },
  [751] = {
    [sym_identifier] = ACTIONS(1325),
    [anon_sym_BSLASH] = ACTIONS(1327),
    [anon_sym_function] = ACTIONS(1325),
    [anon_sym_EQ] = ACTIONS(1325),
    [anon_sym_if] = ACTIONS(1325),
    [anon_sym_for] = ACTIONS(1325),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_repeat] = ACTIONS(1325),
    [anon_sym_QMARK] = ACTIONS(1327),
    [anon_sym_TILDE] = ACTIONS(1327),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_PLUS] = ACTIONS(1327),
    [anon_sym_DASH] = ACTIONS(1325),
    [anon_sym_LT_DASH] = ACTIONS(1327),
    [anon_sym_LT_LT_DASH] = ACTIONS(1327),
    [anon_sym_COLON_EQ] = ACTIONS(1327),
    [anon_sym_DASH_GT] = ACTIONS(1325),
    [anon_sym_DASH_GT_GT] = ACTIONS(1327),
    [anon_sym_PIPE] = ACTIONS(1325),
    [anon_sym_AMP] = ACTIONS(1325),
    [anon_sym_PIPE_PIPE] = ACTIONS(1327),
    [anon_sym_AMP_AMP] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(1325),
    [anon_sym_LT_EQ] = ACTIONS(1327),
    [anon_sym_GT] = ACTIONS(1325),
    [anon_sym_GT_EQ] = ACTIONS(1327),
    [anon_sym_EQ_EQ] = ACTIONS(1327),
    [anon_sym_BANG_EQ] = ACTIONS(1327),
    [anon_sym_STAR] = ACTIONS(1325),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_STAR_STAR] = ACTIONS(1327),
    [anon_sym_CARET] = ACTIONS(1327),
    [aux_sym_binary_operator_token1] = ACTIONS(1327),
    [anon_sym_PIPE_GT] = ACTIONS(1327),
    [anon_sym_COLON] = ACTIONS(1325),
    [anon_sym_DOLLAR] = ACTIONS(1327),
    [anon_sym_AT] = ACTIONS(1327),
    [anon_sym_L] = ACTIONS(1365),
    [anon_sym_i] = ACTIONS(1367),
    [sym__hex_literal] = ACTIONS(1327),
    [sym__number_literal] = ACTIONS(1325),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_return] = ACTIONS(1325),
    [sym_next] = ACTIONS(1325),
    [sym_break] = ACTIONS(1325),
    [sym_true] = ACTIONS(1325),
    [sym_false] = ACTIONS(1325),
    [sym_null] = ACTIONS(1325),
    [sym_inf] = ACTIONS(1325),
    [sym_nan] = ACTIONS(1325),
    [anon_sym_NA] = ACTIONS(1325),
    [anon_sym_NA_integer_] = ACTIONS(1325),
    [anon_sym_NA_real_] = ACTIONS(1325),
    [anon_sym_NA_complex_] = ACTIONS(1325),
    [anon_sym_NA_character_] = ACTIONS(1325),
    [sym_dots] = ACTIONS(1325),
    [sym_dot_dot_i] = ACTIONS(1327),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1327),
    [sym__newline] = ACTIONS(1327),
    [sym__raw_string_literal] = ACTIONS(1327),
    [sym__external_else] = ACTIONS(1327),
    [sym__external_open_parenthesis] = ACTIONS(1327),
    [sym__external_close_parenthesis] = ACTIONS(1327),
    [sym__external_open_brace] = ACTIONS(1327),
    [sym__external_open_bracket] = ACTIONS(1327),
    [sym__external_open_bracket2] = ACTIONS(1327),
  },
  [752] = {
    [sym_identifier] = ACTIONS(1333),
    [anon_sym_BSLASH] = ACTIONS(1335),
    [anon_sym_function] = ACTIONS(1333),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_if] = ACTIONS(1333),
    [anon_sym_for] = ACTIONS(1333),
    [anon_sym_while] = ACTIONS(1333),
    [anon_sym_repeat] = ACTIONS(1333),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1333),
    [anon_sym_LT_DASH] = ACTIONS(1335),
    [anon_sym_LT_LT_DASH] = ACTIONS(1335),
    [anon_sym_COLON_EQ] = ACTIONS(1335),
    [anon_sym_DASH_GT] = ACTIONS(1333),
    [anon_sym_DASH_GT_GT] = ACTIONS(1335),
    [anon_sym_PIPE] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PIPE_PIPE] = ACTIONS(1335),
    [anon_sym_AMP_AMP] = ACTIONS(1335),
    [anon_sym_LT] = ACTIONS(1333),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_GT] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_EQ_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_SLASH] = ACTIONS(1335),
    [anon_sym_STAR_STAR] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [aux_sym_binary_operator_token1] = ACTIONS(1335),
    [anon_sym_PIPE_GT] = ACTIONS(1335),
    [anon_sym_COLON] = ACTIONS(1333),
    [anon_sym_DOLLAR] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1335),
    [anon_sym_COLON_COLON] = ACTIONS(1333),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1335),
    [sym__hex_literal] = ACTIONS(1335),
    [sym__number_literal] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_DQUOTE] = ACTIONS(1335),
    [sym_return] = ACTIONS(1333),
    [sym_next] = ACTIONS(1333),
    [sym_break] = ACTIONS(1333),
    [sym_true] = ACTIONS(1333),
    [sym_false] = ACTIONS(1333),
    [sym_null] = ACTIONS(1333),
    [sym_inf] = ACTIONS(1333),
    [sym_nan] = ACTIONS(1333),
    [anon_sym_NA] = ACTIONS(1333),
    [anon_sym_NA_integer_] = ACTIONS(1333),
    [anon_sym_NA_real_] = ACTIONS(1333),
    [anon_sym_NA_complex_] = ACTIONS(1333),
    [anon_sym_NA_character_] = ACTIONS(1333),
    [sym_dots] = ACTIONS(1333),
    [sym_dot_dot_i] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1335),
    [sym__newline] = ACTIONS(1335),
    [sym__raw_string_literal] = ACTIONS(1335),
    [sym__external_else] = ACTIONS(1335),
    [sym__external_open_parenthesis] = ACTIONS(1335),
    [sym__external_close_parenthesis] = ACTIONS(1335),
    [sym__external_open_brace] = ACTIONS(1335),
    [sym__external_open_bracket] = ACTIONS(1335),
    [sym__external_open_bracket2] = ACTIONS(1335),
  },
  [753] = {
    [sym_identifier] = ACTIONS(1333),
    [anon_sym_BSLASH] = ACTIONS(1335),
    [anon_sym_function] = ACTIONS(1333),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_if] = ACTIONS(1333),
    [anon_sym_for] = ACTIONS(1333),
    [anon_sym_while] = ACTIONS(1333),
    [anon_sym_repeat] = ACTIONS(1333),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1333),
    [anon_sym_LT_DASH] = ACTIONS(1335),
    [anon_sym_LT_LT_DASH] = ACTIONS(1335),
    [anon_sym_COLON_EQ] = ACTIONS(1335),
    [anon_sym_DASH_GT] = ACTIONS(1333),
    [anon_sym_DASH_GT_GT] = ACTIONS(1335),
    [anon_sym_PIPE] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PIPE_PIPE] = ACTIONS(1335),
    [anon_sym_AMP_AMP] = ACTIONS(1335),
    [anon_sym_LT] = ACTIONS(1333),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_GT] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_EQ_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_SLASH] = ACTIONS(1335),
    [anon_sym_STAR_STAR] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [aux_sym_binary_operator_token1] = ACTIONS(1335),
    [anon_sym_PIPE_GT] = ACTIONS(1335),
    [anon_sym_COLON] = ACTIONS(1333),
    [anon_sym_DOLLAR] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1335),
    [anon_sym_COLON_COLON] = ACTIONS(1333),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1335),
    [sym__hex_literal] = ACTIONS(1335),
    [sym__number_literal] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_DQUOTE] = ACTIONS(1335),
    [sym_return] = ACTIONS(1333),
    [sym_next] = ACTIONS(1333),
    [sym_break] = ACTIONS(1333),
    [sym_true] = ACTIONS(1333),
    [sym_false] = ACTIONS(1333),
    [sym_null] = ACTIONS(1333),
    [sym_inf] = ACTIONS(1333),
    [sym_nan] = ACTIONS(1333),
    [anon_sym_NA] = ACTIONS(1333),
    [anon_sym_NA_integer_] = ACTIONS(1333),
    [anon_sym_NA_real_] = ACTIONS(1333),
    [anon_sym_NA_complex_] = ACTIONS(1333),
    [anon_sym_NA_character_] = ACTIONS(1333),
    [sym_dots] = ACTIONS(1333),
    [sym_dot_dot_i] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1335),
    [sym__newline] = ACTIONS(1335),
    [sym__raw_string_literal] = ACTIONS(1335),
    [sym__external_else] = ACTIONS(1335),
    [sym__external_open_parenthesis] = ACTIONS(1335),
    [sym__external_close_parenthesis] = ACTIONS(1335),
    [sym__external_open_brace] = ACTIONS(1335),
    [sym__external_open_bracket] = ACTIONS(1335),
    [sym__external_open_bracket2] = ACTIONS(1335),
  },
  [754] = {
    [sym_identifier] = ACTIONS(1345),
    [anon_sym_BSLASH] = ACTIONS(1347),
    [anon_sym_function] = ACTIONS(1345),
    [anon_sym_EQ] = ACTIONS(1345),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_for] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1345),
    [anon_sym_repeat] = ACTIONS(1345),
    [anon_sym_QMARK] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [anon_sym_BANG] = ACTIONS(1345),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1345),
    [anon_sym_LT_DASH] = ACTIONS(1347),
    [anon_sym_LT_LT_DASH] = ACTIONS(1347),
    [anon_sym_COLON_EQ] = ACTIONS(1347),
    [anon_sym_DASH_GT] = ACTIONS(1345),
    [anon_sym_DASH_GT_GT] = ACTIONS(1347),
    [anon_sym_PIPE] = ACTIONS(1345),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE_PIPE] = ACTIONS(1347),
    [anon_sym_AMP_AMP] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1347),
    [anon_sym_GT] = ACTIONS(1345),
    [anon_sym_GT_EQ] = ACTIONS(1347),
    [anon_sym_EQ_EQ] = ACTIONS(1347),
    [anon_sym_BANG_EQ] = ACTIONS(1347),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_STAR_STAR] = ACTIONS(1347),
    [anon_sym_CARET] = ACTIONS(1347),
    [aux_sym_binary_operator_token1] = ACTIONS(1347),
    [anon_sym_PIPE_GT] = ACTIONS(1347),
    [anon_sym_COLON] = ACTIONS(1345),
    [anon_sym_DOLLAR] = ACTIONS(1347),
    [anon_sym_AT] = ACTIONS(1347),
    [anon_sym_COLON_COLON] = ACTIONS(1345),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1347),
    [sym__hex_literal] = ACTIONS(1347),
    [sym__number_literal] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [anon_sym_DQUOTE] = ACTIONS(1347),
    [sym_return] = ACTIONS(1345),
    [sym_next] = ACTIONS(1345),
    [sym_break] = ACTIONS(1345),
    [sym_true] = ACTIONS(1345),
    [sym_false] = ACTIONS(1345),
    [sym_null] = ACTIONS(1345),
    [sym_inf] = ACTIONS(1345),
    [sym_nan] = ACTIONS(1345),
    [anon_sym_NA] = ACTIONS(1345),
    [anon_sym_NA_integer_] = ACTIONS(1345),
    [anon_sym_NA_real_] = ACTIONS(1345),
    [anon_sym_NA_complex_] = ACTIONS(1345),
    [anon_sym_NA_character_] = ACTIONS(1345),
    [sym_dots] = ACTIONS(1345),
    [sym_dot_dot_i] = ACTIONS(1347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1347),
    [sym__newline] = ACTIONS(1347),
    [sym__raw_string_literal] = ACTIONS(1347),
    [sym__external_else] = ACTIONS(1347),
    [sym__external_open_parenthesis] = ACTIONS(1347),
    [sym__external_open_brace] = ACTIONS(1347),
    [sym__external_open_bracket] = ACTIONS(1347),
    [sym__external_open_bracket2] = ACTIONS(1347),
    [sym__external_close_bracket2] = ACTIONS(1347),
  },
  [755] = {
    [sym_identifier] = ACTIONS(1349),
    [anon_sym_BSLASH] = ACTIONS(1351),
    [anon_sym_function] = ACTIONS(1349),
    [anon_sym_EQ] = ACTIONS(1349),
    [anon_sym_if] = ACTIONS(1349),
    [anon_sym_for] = ACTIONS(1349),
    [anon_sym_while] = ACTIONS(1349),
    [anon_sym_repeat] = ACTIONS(1349),
    [anon_sym_QMARK] = ACTIONS(1351),
    [anon_sym_TILDE] = ACTIONS(1351),
    [anon_sym_BANG] = ACTIONS(1349),
    [anon_sym_PLUS] = ACTIONS(1351),
    [anon_sym_DASH] = ACTIONS(1349),
    [anon_sym_LT_DASH] = ACTIONS(1351),
    [anon_sym_LT_LT_DASH] = ACTIONS(1351),
    [anon_sym_COLON_EQ] = ACTIONS(1351),
    [anon_sym_DASH_GT] = ACTIONS(1349),
    [anon_sym_DASH_GT_GT] = ACTIONS(1351),
    [anon_sym_PIPE] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1349),
    [anon_sym_PIPE_PIPE] = ACTIONS(1351),
    [anon_sym_AMP_AMP] = ACTIONS(1351),
    [anon_sym_LT] = ACTIONS(1349),
    [anon_sym_LT_EQ] = ACTIONS(1351),
    [anon_sym_GT] = ACTIONS(1349),
    [anon_sym_GT_EQ] = ACTIONS(1351),
    [anon_sym_EQ_EQ] = ACTIONS(1351),
    [anon_sym_BANG_EQ] = ACTIONS(1351),
    [anon_sym_STAR] = ACTIONS(1349),
    [anon_sym_SLASH] = ACTIONS(1351),
    [anon_sym_STAR_STAR] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1351),
    [aux_sym_binary_operator_token1] = ACTIONS(1351),
    [anon_sym_PIPE_GT] = ACTIONS(1351),
    [anon_sym_COLON] = ACTIONS(1349),
    [anon_sym_DOLLAR] = ACTIONS(1351),
    [anon_sym_AT] = ACTIONS(1351),
    [anon_sym_COLON_COLON] = ACTIONS(1349),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1351),
    [sym__hex_literal] = ACTIONS(1351),
    [sym__number_literal] = ACTIONS(1349),
    [anon_sym_SQUOTE] = ACTIONS(1351),
    [anon_sym_DQUOTE] = ACTIONS(1351),
    [sym_return] = ACTIONS(1349),
    [sym_next] = ACTIONS(1349),
    [sym_break] = ACTIONS(1349),
    [sym_true] = ACTIONS(1349),
    [sym_false] = ACTIONS(1349),
    [sym_null] = ACTIONS(1349),
    [sym_inf] = ACTIONS(1349),
    [sym_nan] = ACTIONS(1349),
    [anon_sym_NA] = ACTIONS(1349),
    [anon_sym_NA_integer_] = ACTIONS(1349),
    [anon_sym_NA_real_] = ACTIONS(1349),
    [anon_sym_NA_complex_] = ACTIONS(1349),
    [anon_sym_NA_character_] = ACTIONS(1349),
    [sym_dots] = ACTIONS(1349),
    [sym_dot_dot_i] = ACTIONS(1351),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1351),
    [sym__newline] = ACTIONS(1351),
    [sym__raw_string_literal] = ACTIONS(1351),
    [sym__external_else] = ACTIONS(1351),
    [sym__external_open_parenthesis] = ACTIONS(1351),
    [sym__external_open_brace] = ACTIONS(1351),
    [sym__external_open_bracket] = ACTIONS(1351),
    [sym__external_open_bracket2] = ACTIONS(1351),
    [sym__external_close_bracket2] = ACTIONS(1351),
  },
  [756] = {
    [sym_identifier] = ACTIONS(1357),
    [anon_sym_BSLASH] = ACTIONS(1359),
    [anon_sym_function] = ACTIONS(1357),
    [anon_sym_EQ] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_repeat] = ACTIONS(1357),
    [anon_sym_QMARK] = ACTIONS(1359),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_BANG] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1357),
    [anon_sym_LT_DASH] = ACTIONS(1359),
    [anon_sym_LT_LT_DASH] = ACTIONS(1359),
    [anon_sym_COLON_EQ] = ACTIONS(1359),
    [anon_sym_DASH_GT] = ACTIONS(1357),
    [anon_sym_DASH_GT_GT] = ACTIONS(1359),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE_PIPE] = ACTIONS(1359),
    [anon_sym_AMP_AMP] = ACTIONS(1359),
    [anon_sym_LT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1359),
    [anon_sym_GT] = ACTIONS(1357),
    [anon_sym_GT_EQ] = ACTIONS(1359),
    [anon_sym_EQ_EQ] = ACTIONS(1359),
    [anon_sym_BANG_EQ] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_SLASH] = ACTIONS(1359),
    [anon_sym_STAR_STAR] = ACTIONS(1359),
    [anon_sym_CARET] = ACTIONS(1359),
    [aux_sym_binary_operator_token1] = ACTIONS(1359),
    [anon_sym_PIPE_GT] = ACTIONS(1359),
    [anon_sym_COLON] = ACTIONS(1357),
    [anon_sym_DOLLAR] = ACTIONS(1359),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_COLON_COLON] = ACTIONS(1357),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1359),
    [sym__hex_literal] = ACTIONS(1359),
    [sym__number_literal] = ACTIONS(1357),
    [anon_sym_SQUOTE] = ACTIONS(1359),
    [anon_sym_DQUOTE] = ACTIONS(1359),
    [sym_return] = ACTIONS(1357),
    [sym_next] = ACTIONS(1357),
    [sym_break] = ACTIONS(1357),
    [sym_true] = ACTIONS(1357),
    [sym_false] = ACTIONS(1357),
    [sym_null] = ACTIONS(1357),
    [sym_inf] = ACTIONS(1357),
    [sym_nan] = ACTIONS(1357),
    [anon_sym_NA] = ACTIONS(1357),
    [anon_sym_NA_integer_] = ACTIONS(1357),
    [anon_sym_NA_real_] = ACTIONS(1357),
    [anon_sym_NA_complex_] = ACTIONS(1357),
    [anon_sym_NA_character_] = ACTIONS(1357),
    [sym_dots] = ACTIONS(1357),
    [sym_dot_dot_i] = ACTIONS(1359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1359),
    [sym__newline] = ACTIONS(1359),
    [sym__raw_string_literal] = ACTIONS(1359),
    [sym__external_else] = ACTIONS(1359),
    [sym__external_open_parenthesis] = ACTIONS(1359),
    [sym__external_open_brace] = ACTIONS(1359),
    [sym__external_open_bracket] = ACTIONS(1359),
    [sym__external_close_bracket] = ACTIONS(1359),
    [sym__external_open_bracket2] = ACTIONS(1359),
  },
  [757] = {
    [ts_builtin_sym_end] = ACTIONS(1359),
    [sym_identifier] = ACTIONS(1357),
    [anon_sym_BSLASH] = ACTIONS(1359),
    [anon_sym_function] = ACTIONS(1357),
    [anon_sym_EQ] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_repeat] = ACTIONS(1357),
    [anon_sym_QMARK] = ACTIONS(1359),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_BANG] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1357),
    [anon_sym_LT_DASH] = ACTIONS(1359),
    [anon_sym_LT_LT_DASH] = ACTIONS(1359),
    [anon_sym_COLON_EQ] = ACTIONS(1359),
    [anon_sym_DASH_GT] = ACTIONS(1357),
    [anon_sym_DASH_GT_GT] = ACTIONS(1359),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE_PIPE] = ACTIONS(1359),
    [anon_sym_AMP_AMP] = ACTIONS(1359),
    [anon_sym_LT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1359),
    [anon_sym_GT] = ACTIONS(1357),
    [anon_sym_GT_EQ] = ACTIONS(1359),
    [anon_sym_EQ_EQ] = ACTIONS(1359),
    [anon_sym_BANG_EQ] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_SLASH] = ACTIONS(1359),
    [anon_sym_STAR_STAR] = ACTIONS(1359),
    [anon_sym_CARET] = ACTIONS(1359),
    [aux_sym_binary_operator_token1] = ACTIONS(1359),
    [anon_sym_PIPE_GT] = ACTIONS(1359),
    [anon_sym_COLON] = ACTIONS(1357),
    [anon_sym_DOLLAR] = ACTIONS(1359),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_COLON_COLON] = ACTIONS(1357),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1359),
    [sym__hex_literal] = ACTIONS(1359),
    [sym__number_literal] = ACTIONS(1357),
    [anon_sym_SQUOTE] = ACTIONS(1359),
    [anon_sym_DQUOTE] = ACTIONS(1359),
    [sym_return] = ACTIONS(1357),
    [sym_next] = ACTIONS(1357),
    [sym_break] = ACTIONS(1357),
    [sym_true] = ACTIONS(1357),
    [sym_false] = ACTIONS(1357),
    [sym_null] = ACTIONS(1357),
    [sym_inf] = ACTIONS(1357),
    [sym_nan] = ACTIONS(1357),
    [anon_sym_NA] = ACTIONS(1357),
    [anon_sym_NA_integer_] = ACTIONS(1357),
    [anon_sym_NA_real_] = ACTIONS(1357),
    [anon_sym_NA_complex_] = ACTIONS(1357),
    [anon_sym_NA_character_] = ACTIONS(1357),
    [sym_dots] = ACTIONS(1357),
    [sym_dot_dot_i] = ACTIONS(1359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1359),
    [sym__semicolon] = ACTIONS(1359),
    [sym__raw_string_literal] = ACTIONS(1359),
    [sym__external_else] = ACTIONS(1359),
    [sym__external_open_parenthesis] = ACTIONS(1359),
    [sym__external_open_brace] = ACTIONS(1359),
    [sym__external_open_bracket] = ACTIONS(1359),
    [sym__external_open_bracket2] = ACTIONS(1359),
  },
  [758] = {
    [sym_identifier] = ACTIONS(1349),
    [anon_sym_BSLASH] = ACTIONS(1351),
    [anon_sym_function] = ACTIONS(1349),
    [anon_sym_EQ] = ACTIONS(1349),
    [anon_sym_if] = ACTIONS(1349),
    [anon_sym_for] = ACTIONS(1349),
    [anon_sym_while] = ACTIONS(1349),
    [anon_sym_repeat] = ACTIONS(1349),
    [anon_sym_QMARK] = ACTIONS(1351),
    [anon_sym_TILDE] = ACTIONS(1351),
    [anon_sym_BANG] = ACTIONS(1349),
    [anon_sym_PLUS] = ACTIONS(1351),
    [anon_sym_DASH] = ACTIONS(1349),
    [anon_sym_LT_DASH] = ACTIONS(1351),
    [anon_sym_LT_LT_DASH] = ACTIONS(1351),
    [anon_sym_COLON_EQ] = ACTIONS(1351),
    [anon_sym_DASH_GT] = ACTIONS(1349),
    [anon_sym_DASH_GT_GT] = ACTIONS(1351),
    [anon_sym_PIPE] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1349),
    [anon_sym_PIPE_PIPE] = ACTIONS(1351),
    [anon_sym_AMP_AMP] = ACTIONS(1351),
    [anon_sym_LT] = ACTIONS(1349),
    [anon_sym_LT_EQ] = ACTIONS(1351),
    [anon_sym_GT] = ACTIONS(1349),
    [anon_sym_GT_EQ] = ACTIONS(1351),
    [anon_sym_EQ_EQ] = ACTIONS(1351),
    [anon_sym_BANG_EQ] = ACTIONS(1351),
    [anon_sym_STAR] = ACTIONS(1349),
    [anon_sym_SLASH] = ACTIONS(1351),
    [anon_sym_STAR_STAR] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1351),
    [aux_sym_binary_operator_token1] = ACTIONS(1351),
    [anon_sym_PIPE_GT] = ACTIONS(1351),
    [anon_sym_COLON] = ACTIONS(1349),
    [anon_sym_DOLLAR] = ACTIONS(1351),
    [anon_sym_AT] = ACTIONS(1351),
    [anon_sym_COLON_COLON] = ACTIONS(1349),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1351),
    [sym__hex_literal] = ACTIONS(1351),
    [sym__number_literal] = ACTIONS(1349),
    [anon_sym_SQUOTE] = ACTIONS(1351),
    [anon_sym_DQUOTE] = ACTIONS(1351),
    [sym_return] = ACTIONS(1349),
    [sym_next] = ACTIONS(1349),
    [sym_break] = ACTIONS(1349),
    [sym_true] = ACTIONS(1349),
    [sym_false] = ACTIONS(1349),
    [sym_null] = ACTIONS(1349),
    [sym_inf] = ACTIONS(1349),
    [sym_nan] = ACTIONS(1349),
    [anon_sym_NA] = ACTIONS(1349),
    [anon_sym_NA_integer_] = ACTIONS(1349),
    [anon_sym_NA_real_] = ACTIONS(1349),
    [anon_sym_NA_complex_] = ACTIONS(1349),
    [anon_sym_NA_character_] = ACTIONS(1349),
    [sym_dots] = ACTIONS(1349),
    [sym_dot_dot_i] = ACTIONS(1351),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1351),
    [sym__newline] = ACTIONS(1351),
    [sym__raw_string_literal] = ACTIONS(1351),
    [sym__external_open_parenthesis] = ACTIONS(1351),
    [sym__external_open_brace] = ACTIONS(1351),
    [sym__external_open_bracket] = ACTIONS(1351),
    [sym__external_close_bracket] = ACTIONS(1351),
    [sym__external_open_bracket2] = ACTIONS(1351),
  },
  [759] = {
    [sym_identifier] = ACTIONS(1333),
    [anon_sym_BSLASH] = ACTIONS(1335),
    [anon_sym_function] = ACTIONS(1333),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_if] = ACTIONS(1333),
    [anon_sym_for] = ACTIONS(1333),
    [anon_sym_while] = ACTIONS(1333),
    [anon_sym_repeat] = ACTIONS(1333),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1333),
    [anon_sym_LT_DASH] = ACTIONS(1335),
    [anon_sym_LT_LT_DASH] = ACTIONS(1335),
    [anon_sym_COLON_EQ] = ACTIONS(1335),
    [anon_sym_DASH_GT] = ACTIONS(1333),
    [anon_sym_DASH_GT_GT] = ACTIONS(1335),
    [anon_sym_PIPE] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PIPE_PIPE] = ACTIONS(1335),
    [anon_sym_AMP_AMP] = ACTIONS(1335),
    [anon_sym_LT] = ACTIONS(1333),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_GT] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_EQ_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_SLASH] = ACTIONS(1335),
    [anon_sym_STAR_STAR] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [aux_sym_binary_operator_token1] = ACTIONS(1335),
    [anon_sym_PIPE_GT] = ACTIONS(1335),
    [anon_sym_COLON] = ACTIONS(1333),
    [anon_sym_DOLLAR] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1335),
    [anon_sym_COLON_COLON] = ACTIONS(1333),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1335),
    [sym__hex_literal] = ACTIONS(1335),
    [sym__number_literal] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_DQUOTE] = ACTIONS(1335),
    [sym_return] = ACTIONS(1333),
    [sym_next] = ACTIONS(1333),
    [sym_break] = ACTIONS(1333),
    [sym_true] = ACTIONS(1333),
    [sym_false] = ACTIONS(1333),
    [sym_null] = ACTIONS(1333),
    [sym_inf] = ACTIONS(1333),
    [sym_nan] = ACTIONS(1333),
    [anon_sym_NA] = ACTIONS(1333),
    [anon_sym_NA_integer_] = ACTIONS(1333),
    [anon_sym_NA_real_] = ACTIONS(1333),
    [anon_sym_NA_complex_] = ACTIONS(1333),
    [anon_sym_NA_character_] = ACTIONS(1333),
    [sym_dots] = ACTIONS(1333),
    [sym_dot_dot_i] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1335),
    [sym__semicolon] = ACTIONS(1335),
    [sym__raw_string_literal] = ACTIONS(1335),
    [sym__external_open_parenthesis] = ACTIONS(1335),
    [sym__external_open_brace] = ACTIONS(1335),
    [sym__external_close_brace] = ACTIONS(1335),
    [sym__external_open_bracket] = ACTIONS(1335),
    [sym__external_open_bracket2] = ACTIONS(1335),
  },
  [760] = {
    [sym_identifier] = ACTIONS(1345),
    [anon_sym_BSLASH] = ACTIONS(1347),
    [anon_sym_function] = ACTIONS(1345),
    [anon_sym_EQ] = ACTIONS(1345),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_for] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1345),
    [anon_sym_repeat] = ACTIONS(1345),
    [anon_sym_QMARK] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [anon_sym_BANG] = ACTIONS(1345),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1345),
    [anon_sym_LT_DASH] = ACTIONS(1347),
    [anon_sym_LT_LT_DASH] = ACTIONS(1347),
    [anon_sym_COLON_EQ] = ACTIONS(1347),
    [anon_sym_DASH_GT] = ACTIONS(1345),
    [anon_sym_DASH_GT_GT] = ACTIONS(1347),
    [anon_sym_PIPE] = ACTIONS(1345),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE_PIPE] = ACTIONS(1347),
    [anon_sym_AMP_AMP] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1347),
    [anon_sym_GT] = ACTIONS(1345),
    [anon_sym_GT_EQ] = ACTIONS(1347),
    [anon_sym_EQ_EQ] = ACTIONS(1347),
    [anon_sym_BANG_EQ] = ACTIONS(1347),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_STAR_STAR] = ACTIONS(1347),
    [anon_sym_CARET] = ACTIONS(1347),
    [aux_sym_binary_operator_token1] = ACTIONS(1347),
    [anon_sym_PIPE_GT] = ACTIONS(1347),
    [anon_sym_COLON] = ACTIONS(1345),
    [anon_sym_DOLLAR] = ACTIONS(1347),
    [anon_sym_AT] = ACTIONS(1347),
    [anon_sym_COLON_COLON] = ACTIONS(1345),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1347),
    [sym__hex_literal] = ACTIONS(1347),
    [sym__number_literal] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [anon_sym_DQUOTE] = ACTIONS(1347),
    [sym_return] = ACTIONS(1345),
    [sym_next] = ACTIONS(1345),
    [sym_break] = ACTIONS(1345),
    [sym_true] = ACTIONS(1345),
    [sym_false] = ACTIONS(1345),
    [sym_null] = ACTIONS(1345),
    [sym_inf] = ACTIONS(1345),
    [sym_nan] = ACTIONS(1345),
    [anon_sym_NA] = ACTIONS(1345),
    [anon_sym_NA_integer_] = ACTIONS(1345),
    [anon_sym_NA_real_] = ACTIONS(1345),
    [anon_sym_NA_complex_] = ACTIONS(1345),
    [anon_sym_NA_character_] = ACTIONS(1345),
    [sym_dots] = ACTIONS(1345),
    [sym_dot_dot_i] = ACTIONS(1347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1347),
    [sym__newline] = ACTIONS(1347),
    [sym__raw_string_literal] = ACTIONS(1347),
    [sym__external_open_parenthesis] = ACTIONS(1347),
    [sym__external_open_brace] = ACTIONS(1347),
    [sym__external_open_bracket] = ACTIONS(1347),
    [sym__external_open_bracket2] = ACTIONS(1347),
    [sym__external_close_bracket2] = ACTIONS(1347),
  },
  [761] = {
    [sym_identifier] = ACTIONS(1317),
    [anon_sym_BSLASH] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1317),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_for] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1317),
    [anon_sym_repeat] = ACTIONS(1317),
    [anon_sym_QMARK] = ACTIONS(1319),
    [anon_sym_TILDE] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_DASH] = ACTIONS(1317),
    [anon_sym_LT_DASH] = ACTIONS(1319),
    [anon_sym_LT_LT_DASH] = ACTIONS(1319),
    [anon_sym_COLON_EQ] = ACTIONS(1319),
    [anon_sym_DASH_GT] = ACTIONS(1317),
    [anon_sym_DASH_GT_GT] = ACTIONS(1319),
    [anon_sym_PIPE] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_PIPE_PIPE] = ACTIONS(1319),
    [anon_sym_AMP_AMP] = ACTIONS(1319),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1319),
    [anon_sym_GT] = ACTIONS(1317),
    [anon_sym_GT_EQ] = ACTIONS(1319),
    [anon_sym_EQ_EQ] = ACTIONS(1319),
    [anon_sym_BANG_EQ] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_STAR_STAR] = ACTIONS(1319),
    [anon_sym_CARET] = ACTIONS(1319),
    [aux_sym_binary_operator_token1] = ACTIONS(1319),
    [anon_sym_PIPE_GT] = ACTIONS(1319),
    [anon_sym_COLON] = ACTIONS(1317),
    [anon_sym_DOLLAR] = ACTIONS(1319),
    [anon_sym_AT] = ACTIONS(1319),
    [anon_sym_COLON_COLON] = ACTIONS(1321),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1323),
    [sym__hex_literal] = ACTIONS(1319),
    [sym__number_literal] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1319),
    [anon_sym_DQUOTE] = ACTIONS(1319),
    [sym_return] = ACTIONS(1317),
    [sym_next] = ACTIONS(1317),
    [sym_break] = ACTIONS(1317),
    [sym_true] = ACTIONS(1317),
    [sym_false] = ACTIONS(1317),
    [sym_null] = ACTIONS(1317),
    [sym_inf] = ACTIONS(1317),
    [sym_nan] = ACTIONS(1317),
    [anon_sym_NA] = ACTIONS(1317),
    [anon_sym_NA_integer_] = ACTIONS(1317),
    [anon_sym_NA_real_] = ACTIONS(1317),
    [anon_sym_NA_complex_] = ACTIONS(1317),
    [anon_sym_NA_character_] = ACTIONS(1317),
    [sym_dots] = ACTIONS(1317),
    [sym_dot_dot_i] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1319),
    [sym__newline] = ACTIONS(1319),
    [sym__raw_string_literal] = ACTIONS(1319),
    [sym__external_open_parenthesis] = ACTIONS(1319),
    [sym__external_open_brace] = ACTIONS(1319),
    [sym__external_open_bracket] = ACTIONS(1319),
    [sym__external_close_bracket] = ACTIONS(1319),
    [sym__external_open_bracket2] = ACTIONS(1319),
  },
  [762] = {
    [sym_identifier] = ACTIONS(1325),
    [anon_sym_BSLASH] = ACTIONS(1327),
    [anon_sym_function] = ACTIONS(1325),
    [anon_sym_EQ] = ACTIONS(1325),
    [anon_sym_if] = ACTIONS(1325),
    [anon_sym_for] = ACTIONS(1325),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_repeat] = ACTIONS(1325),
    [anon_sym_QMARK] = ACTIONS(1327),
    [anon_sym_TILDE] = ACTIONS(1327),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_PLUS] = ACTIONS(1327),
    [anon_sym_DASH] = ACTIONS(1325),
    [anon_sym_LT_DASH] = ACTIONS(1327),
    [anon_sym_LT_LT_DASH] = ACTIONS(1327),
    [anon_sym_COLON_EQ] = ACTIONS(1327),
    [anon_sym_DASH_GT] = ACTIONS(1325),
    [anon_sym_DASH_GT_GT] = ACTIONS(1327),
    [anon_sym_PIPE] = ACTIONS(1325),
    [anon_sym_AMP] = ACTIONS(1325),
    [anon_sym_PIPE_PIPE] = ACTIONS(1327),
    [anon_sym_AMP_AMP] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(1325),
    [anon_sym_LT_EQ] = ACTIONS(1327),
    [anon_sym_GT] = ACTIONS(1325),
    [anon_sym_GT_EQ] = ACTIONS(1327),
    [anon_sym_EQ_EQ] = ACTIONS(1327),
    [anon_sym_BANG_EQ] = ACTIONS(1327),
    [anon_sym_STAR] = ACTIONS(1325),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_STAR_STAR] = ACTIONS(1327),
    [anon_sym_CARET] = ACTIONS(1327),
    [aux_sym_binary_operator_token1] = ACTIONS(1327),
    [anon_sym_PIPE_GT] = ACTIONS(1327),
    [anon_sym_COLON] = ACTIONS(1325),
    [anon_sym_DOLLAR] = ACTIONS(1327),
    [anon_sym_AT] = ACTIONS(1327),
    [anon_sym_L] = ACTIONS(1371),
    [anon_sym_i] = ACTIONS(1373),
    [sym__hex_literal] = ACTIONS(1327),
    [sym__number_literal] = ACTIONS(1325),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_return] = ACTIONS(1325),
    [sym_next] = ACTIONS(1325),
    [sym_break] = ACTIONS(1325),
    [sym_true] = ACTIONS(1325),
    [sym_false] = ACTIONS(1325),
    [sym_null] = ACTIONS(1325),
    [sym_inf] = ACTIONS(1325),
    [sym_nan] = ACTIONS(1325),
    [anon_sym_NA] = ACTIONS(1325),
    [anon_sym_NA_integer_] = ACTIONS(1325),
    [anon_sym_NA_real_] = ACTIONS(1325),
    [anon_sym_NA_complex_] = ACTIONS(1325),
    [anon_sym_NA_character_] = ACTIONS(1325),
    [sym_dots] = ACTIONS(1325),
    [sym_dot_dot_i] = ACTIONS(1327),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1327),
    [sym__newline] = ACTIONS(1327),
    [sym__raw_string_literal] = ACTIONS(1327),
    [sym__external_open_parenthesis] = ACTIONS(1327),
    [sym__external_close_parenthesis] = ACTIONS(1327),
    [sym__external_open_brace] = ACTIONS(1327),
    [sym__external_open_bracket] = ACTIONS(1327),
    [sym__external_open_bracket2] = ACTIONS(1327),
  },
  [763] = {
    [sym_identifier] = ACTIONS(1333),
    [anon_sym_BSLASH] = ACTIONS(1335),
    [anon_sym_function] = ACTIONS(1333),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_if] = ACTIONS(1333),
    [anon_sym_for] = ACTIONS(1333),
    [anon_sym_while] = ACTIONS(1333),
    [anon_sym_repeat] = ACTIONS(1333),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1333),
    [anon_sym_LT_DASH] = ACTIONS(1335),
    [anon_sym_LT_LT_DASH] = ACTIONS(1335),
    [anon_sym_COLON_EQ] = ACTIONS(1335),
    [anon_sym_DASH_GT] = ACTIONS(1333),
    [anon_sym_DASH_GT_GT] = ACTIONS(1335),
    [anon_sym_PIPE] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PIPE_PIPE] = ACTIONS(1335),
    [anon_sym_AMP_AMP] = ACTIONS(1335),
    [anon_sym_LT] = ACTIONS(1333),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_GT] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_EQ_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_SLASH] = ACTIONS(1335),
    [anon_sym_STAR_STAR] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [aux_sym_binary_operator_token1] = ACTIONS(1335),
    [anon_sym_PIPE_GT] = ACTIONS(1335),
    [anon_sym_COLON] = ACTIONS(1333),
    [anon_sym_DOLLAR] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1335),
    [anon_sym_COLON_COLON] = ACTIONS(1333),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1335),
    [sym__hex_literal] = ACTIONS(1335),
    [sym__number_literal] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_DQUOTE] = ACTIONS(1335),
    [sym_return] = ACTIONS(1333),
    [sym_next] = ACTIONS(1333),
    [sym_break] = ACTIONS(1333),
    [sym_true] = ACTIONS(1333),
    [sym_false] = ACTIONS(1333),
    [sym_null] = ACTIONS(1333),
    [sym_inf] = ACTIONS(1333),
    [sym_nan] = ACTIONS(1333),
    [anon_sym_NA] = ACTIONS(1333),
    [anon_sym_NA_integer_] = ACTIONS(1333),
    [anon_sym_NA_real_] = ACTIONS(1333),
    [anon_sym_NA_complex_] = ACTIONS(1333),
    [anon_sym_NA_character_] = ACTIONS(1333),
    [sym_dots] = ACTIONS(1333),
    [sym_dot_dot_i] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1335),
    [sym__newline] = ACTIONS(1335),
    [sym__raw_string_literal] = ACTIONS(1335),
    [sym__external_open_parenthesis] = ACTIONS(1335),
    [sym__external_close_parenthesis] = ACTIONS(1335),
    [sym__external_open_brace] = ACTIONS(1335),
    [sym__external_open_bracket] = ACTIONS(1335),
    [sym__external_open_bracket2] = ACTIONS(1335),
  },
  [764] = {
    [sym_identifier] = ACTIONS(1333),
    [anon_sym_BSLASH] = ACTIONS(1335),
    [anon_sym_function] = ACTIONS(1333),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_if] = ACTIONS(1333),
    [anon_sym_for] = ACTIONS(1333),
    [anon_sym_while] = ACTIONS(1333),
    [anon_sym_repeat] = ACTIONS(1333),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1333),
    [anon_sym_LT_DASH] = ACTIONS(1335),
    [anon_sym_LT_LT_DASH] = ACTIONS(1335),
    [anon_sym_COLON_EQ] = ACTIONS(1335),
    [anon_sym_DASH_GT] = ACTIONS(1333),
    [anon_sym_DASH_GT_GT] = ACTIONS(1335),
    [anon_sym_PIPE] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PIPE_PIPE] = ACTIONS(1335),
    [anon_sym_AMP_AMP] = ACTIONS(1335),
    [anon_sym_LT] = ACTIONS(1333),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_GT] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_EQ_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_SLASH] = ACTIONS(1335),
    [anon_sym_STAR_STAR] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [aux_sym_binary_operator_token1] = ACTIONS(1335),
    [anon_sym_PIPE_GT] = ACTIONS(1335),
    [anon_sym_COLON] = ACTIONS(1333),
    [anon_sym_DOLLAR] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1335),
    [anon_sym_COLON_COLON] = ACTIONS(1333),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1335),
    [sym__hex_literal] = ACTIONS(1335),
    [sym__number_literal] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_DQUOTE] = ACTIONS(1335),
    [sym_return] = ACTIONS(1333),
    [sym_next] = ACTIONS(1333),
    [sym_break] = ACTIONS(1333),
    [sym_true] = ACTIONS(1333),
    [sym_false] = ACTIONS(1333),
    [sym_null] = ACTIONS(1333),
    [sym_inf] = ACTIONS(1333),
    [sym_nan] = ACTIONS(1333),
    [anon_sym_NA] = ACTIONS(1333),
    [anon_sym_NA_integer_] = ACTIONS(1333),
    [anon_sym_NA_real_] = ACTIONS(1333),
    [anon_sym_NA_complex_] = ACTIONS(1333),
    [anon_sym_NA_character_] = ACTIONS(1333),
    [sym_dots] = ACTIONS(1333),
    [sym_dot_dot_i] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1335),
    [sym__newline] = ACTIONS(1335),
    [sym__raw_string_literal] = ACTIONS(1335),
    [sym__external_open_parenthesis] = ACTIONS(1335),
    [sym__external_close_parenthesis] = ACTIONS(1335),
    [sym__external_open_brace] = ACTIONS(1335),
    [sym__external_open_bracket] = ACTIONS(1335),
    [sym__external_open_bracket2] = ACTIONS(1335),
  },
  [765] = {
    [sym_identifier] = ACTIONS(1345),
    [anon_sym_BSLASH] = ACTIONS(1347),
    [anon_sym_function] = ACTIONS(1345),
    [anon_sym_EQ] = ACTIONS(1345),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_for] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1345),
    [anon_sym_repeat] = ACTIONS(1345),
    [anon_sym_QMARK] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [anon_sym_BANG] = ACTIONS(1345),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1345),
    [anon_sym_LT_DASH] = ACTIONS(1347),
    [anon_sym_LT_LT_DASH] = ACTIONS(1347),
    [anon_sym_COLON_EQ] = ACTIONS(1347),
    [anon_sym_DASH_GT] = ACTIONS(1345),
    [anon_sym_DASH_GT_GT] = ACTIONS(1347),
    [anon_sym_PIPE] = ACTIONS(1345),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE_PIPE] = ACTIONS(1347),
    [anon_sym_AMP_AMP] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1347),
    [anon_sym_GT] = ACTIONS(1345),
    [anon_sym_GT_EQ] = ACTIONS(1347),
    [anon_sym_EQ_EQ] = ACTIONS(1347),
    [anon_sym_BANG_EQ] = ACTIONS(1347),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_STAR_STAR] = ACTIONS(1347),
    [anon_sym_CARET] = ACTIONS(1347),
    [aux_sym_binary_operator_token1] = ACTIONS(1347),
    [anon_sym_PIPE_GT] = ACTIONS(1347),
    [anon_sym_COLON] = ACTIONS(1345),
    [anon_sym_DOLLAR] = ACTIONS(1347),
    [anon_sym_AT] = ACTIONS(1347),
    [anon_sym_COLON_COLON] = ACTIONS(1345),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1347),
    [sym__hex_literal] = ACTIONS(1347),
    [sym__number_literal] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [anon_sym_DQUOTE] = ACTIONS(1347),
    [sym_return] = ACTIONS(1345),
    [sym_next] = ACTIONS(1345),
    [sym_break] = ACTIONS(1345),
    [sym_true] = ACTIONS(1345),
    [sym_false] = ACTIONS(1345),
    [sym_null] = ACTIONS(1345),
    [sym_inf] = ACTIONS(1345),
    [sym_nan] = ACTIONS(1345),
    [anon_sym_NA] = ACTIONS(1345),
    [anon_sym_NA_integer_] = ACTIONS(1345),
    [anon_sym_NA_real_] = ACTIONS(1345),
    [anon_sym_NA_complex_] = ACTIONS(1345),
    [anon_sym_NA_character_] = ACTIONS(1345),
    [sym_dots] = ACTIONS(1345),
    [sym_dot_dot_i] = ACTIONS(1347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1347),
    [sym__semicolon] = ACTIONS(1347),
    [sym__raw_string_literal] = ACTIONS(1347),
    [sym__external_open_parenthesis] = ACTIONS(1347),
    [sym__external_open_brace] = ACTIONS(1347),
    [sym__external_close_brace] = ACTIONS(1347),
    [sym__external_open_bracket] = ACTIONS(1347),
    [sym__external_open_bracket2] = ACTIONS(1347),
  },
  [766] = {
    [sym_identifier] = ACTIONS(1349),
    [anon_sym_BSLASH] = ACTIONS(1351),
    [anon_sym_function] = ACTIONS(1349),
    [anon_sym_EQ] = ACTIONS(1349),
    [anon_sym_if] = ACTIONS(1349),
    [anon_sym_for] = ACTIONS(1349),
    [anon_sym_while] = ACTIONS(1349),
    [anon_sym_repeat] = ACTIONS(1349),
    [anon_sym_QMARK] = ACTIONS(1351),
    [anon_sym_TILDE] = ACTIONS(1351),
    [anon_sym_BANG] = ACTIONS(1349),
    [anon_sym_PLUS] = ACTIONS(1351),
    [anon_sym_DASH] = ACTIONS(1349),
    [anon_sym_LT_DASH] = ACTIONS(1351),
    [anon_sym_LT_LT_DASH] = ACTIONS(1351),
    [anon_sym_COLON_EQ] = ACTIONS(1351),
    [anon_sym_DASH_GT] = ACTIONS(1349),
    [anon_sym_DASH_GT_GT] = ACTIONS(1351),
    [anon_sym_PIPE] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1349),
    [anon_sym_PIPE_PIPE] = ACTIONS(1351),
    [anon_sym_AMP_AMP] = ACTIONS(1351),
    [anon_sym_LT] = ACTIONS(1349),
    [anon_sym_LT_EQ] = ACTIONS(1351),
    [anon_sym_GT] = ACTIONS(1349),
    [anon_sym_GT_EQ] = ACTIONS(1351),
    [anon_sym_EQ_EQ] = ACTIONS(1351),
    [anon_sym_BANG_EQ] = ACTIONS(1351),
    [anon_sym_STAR] = ACTIONS(1349),
    [anon_sym_SLASH] = ACTIONS(1351),
    [anon_sym_STAR_STAR] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1351),
    [aux_sym_binary_operator_token1] = ACTIONS(1351),
    [anon_sym_PIPE_GT] = ACTIONS(1351),
    [anon_sym_COLON] = ACTIONS(1349),
    [anon_sym_DOLLAR] = ACTIONS(1351),
    [anon_sym_AT] = ACTIONS(1351),
    [anon_sym_COLON_COLON] = ACTIONS(1349),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1351),
    [sym__hex_literal] = ACTIONS(1351),
    [sym__number_literal] = ACTIONS(1349),
    [anon_sym_SQUOTE] = ACTIONS(1351),
    [anon_sym_DQUOTE] = ACTIONS(1351),
    [sym_return] = ACTIONS(1349),
    [sym_next] = ACTIONS(1349),
    [sym_break] = ACTIONS(1349),
    [sym_true] = ACTIONS(1349),
    [sym_false] = ACTIONS(1349),
    [sym_null] = ACTIONS(1349),
    [sym_inf] = ACTIONS(1349),
    [sym_nan] = ACTIONS(1349),
    [anon_sym_NA] = ACTIONS(1349),
    [anon_sym_NA_integer_] = ACTIONS(1349),
    [anon_sym_NA_real_] = ACTIONS(1349),
    [anon_sym_NA_complex_] = ACTIONS(1349),
    [anon_sym_NA_character_] = ACTIONS(1349),
    [sym_dots] = ACTIONS(1349),
    [sym_dot_dot_i] = ACTIONS(1351),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1351),
    [sym__semicolon] = ACTIONS(1351),
    [sym__raw_string_literal] = ACTIONS(1351),
    [sym__external_open_parenthesis] = ACTIONS(1351),
    [sym__external_open_brace] = ACTIONS(1351),
    [sym__external_close_brace] = ACTIONS(1351),
    [sym__external_open_bracket] = ACTIONS(1351),
    [sym__external_open_bracket2] = ACTIONS(1351),
  },
  [767] = {
    [sym_identifier] = ACTIONS(1341),
    [anon_sym_BSLASH] = ACTIONS(1343),
    [anon_sym_function] = ACTIONS(1341),
    [anon_sym_EQ] = ACTIONS(1341),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_for] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1341),
    [anon_sym_repeat] = ACTIONS(1341),
    [anon_sym_QMARK] = ACTIONS(1343),
    [anon_sym_TILDE] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_LT_DASH] = ACTIONS(1343),
    [anon_sym_LT_LT_DASH] = ACTIONS(1343),
    [anon_sym_COLON_EQ] = ACTIONS(1343),
    [anon_sym_DASH_GT] = ACTIONS(1341),
    [anon_sym_DASH_GT_GT] = ACTIONS(1343),
    [anon_sym_PIPE] = ACTIONS(1341),
    [anon_sym_AMP] = ACTIONS(1341),
    [anon_sym_PIPE_PIPE] = ACTIONS(1343),
    [anon_sym_AMP_AMP] = ACTIONS(1343),
    [anon_sym_LT] = ACTIONS(1341),
    [anon_sym_LT_EQ] = ACTIONS(1343),
    [anon_sym_GT] = ACTIONS(1341),
    [anon_sym_GT_EQ] = ACTIONS(1343),
    [anon_sym_EQ_EQ] = ACTIONS(1343),
    [anon_sym_BANG_EQ] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(1343),
    [anon_sym_STAR_STAR] = ACTIONS(1343),
    [anon_sym_CARET] = ACTIONS(1343),
    [aux_sym_binary_operator_token1] = ACTIONS(1343),
    [anon_sym_PIPE_GT] = ACTIONS(1343),
    [anon_sym_COLON] = ACTIONS(1341),
    [anon_sym_DOLLAR] = ACTIONS(1343),
    [anon_sym_AT] = ACTIONS(1343),
    [anon_sym_COLON_COLON] = ACTIONS(1341),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1343),
    [sym__hex_literal] = ACTIONS(1343),
    [sym__number_literal] = ACTIONS(1341),
    [anon_sym_SQUOTE] = ACTIONS(1343),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_return] = ACTIONS(1341),
    [sym_next] = ACTIONS(1341),
    [sym_break] = ACTIONS(1341),
    [sym_true] = ACTIONS(1341),
    [sym_false] = ACTIONS(1341),
    [sym_null] = ACTIONS(1341),
    [sym_inf] = ACTIONS(1341),
    [sym_nan] = ACTIONS(1341),
    [anon_sym_NA] = ACTIONS(1341),
    [anon_sym_NA_integer_] = ACTIONS(1341),
    [anon_sym_NA_real_] = ACTIONS(1341),
    [anon_sym_NA_complex_] = ACTIONS(1341),
    [anon_sym_NA_character_] = ACTIONS(1341),
    [sym_dots] = ACTIONS(1341),
    [sym_dot_dot_i] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1343),
    [sym__newline] = ACTIONS(1343),
    [sym__raw_string_literal] = ACTIONS(1343),
    [sym__external_open_parenthesis] = ACTIONS(1343),
    [sym__external_open_brace] = ACTIONS(1343),
    [sym__external_open_bracket] = ACTIONS(1343),
    [sym__external_open_bracket2] = ACTIONS(1343),
    [sym__external_close_bracket2] = ACTIONS(1343),
  },
  [768] = {
    [sym_identifier] = ACTIONS(1357),
    [anon_sym_BSLASH] = ACTIONS(1359),
    [anon_sym_function] = ACTIONS(1357),
    [anon_sym_EQ] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_repeat] = ACTIONS(1357),
    [anon_sym_QMARK] = ACTIONS(1359),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_BANG] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1357),
    [anon_sym_LT_DASH] = ACTIONS(1359),
    [anon_sym_LT_LT_DASH] = ACTIONS(1359),
    [anon_sym_COLON_EQ] = ACTIONS(1359),
    [anon_sym_DASH_GT] = ACTIONS(1357),
    [anon_sym_DASH_GT_GT] = ACTIONS(1359),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE_PIPE] = ACTIONS(1359),
    [anon_sym_AMP_AMP] = ACTIONS(1359),
    [anon_sym_LT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1359),
    [anon_sym_GT] = ACTIONS(1357),
    [anon_sym_GT_EQ] = ACTIONS(1359),
    [anon_sym_EQ_EQ] = ACTIONS(1359),
    [anon_sym_BANG_EQ] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_SLASH] = ACTIONS(1359),
    [anon_sym_STAR_STAR] = ACTIONS(1359),
    [anon_sym_CARET] = ACTIONS(1359),
    [aux_sym_binary_operator_token1] = ACTIONS(1359),
    [anon_sym_PIPE_GT] = ACTIONS(1359),
    [anon_sym_COLON] = ACTIONS(1357),
    [anon_sym_DOLLAR] = ACTIONS(1359),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_COLON_COLON] = ACTIONS(1357),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1359),
    [sym__hex_literal] = ACTIONS(1359),
    [sym__number_literal] = ACTIONS(1357),
    [anon_sym_SQUOTE] = ACTIONS(1359),
    [anon_sym_DQUOTE] = ACTIONS(1359),
    [sym_return] = ACTIONS(1357),
    [sym_next] = ACTIONS(1357),
    [sym_break] = ACTIONS(1357),
    [sym_true] = ACTIONS(1357),
    [sym_false] = ACTIONS(1357),
    [sym_null] = ACTIONS(1357),
    [sym_inf] = ACTIONS(1357),
    [sym_nan] = ACTIONS(1357),
    [anon_sym_NA] = ACTIONS(1357),
    [anon_sym_NA_integer_] = ACTIONS(1357),
    [anon_sym_NA_real_] = ACTIONS(1357),
    [anon_sym_NA_complex_] = ACTIONS(1357),
    [anon_sym_NA_character_] = ACTIONS(1357),
    [sym_dots] = ACTIONS(1357),
    [sym_dot_dot_i] = ACTIONS(1359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1359),
    [sym__newline] = ACTIONS(1359),
    [sym__raw_string_literal] = ACTIONS(1359),
    [sym__external_open_parenthesis] = ACTIONS(1359),
    [sym__external_open_brace] = ACTIONS(1359),
    [sym__external_open_bracket] = ACTIONS(1359),
    [sym__external_close_bracket] = ACTIONS(1359),
    [sym__external_open_bracket2] = ACTIONS(1359),
  },
  [769] = {
    [ts_builtin_sym_end] = ACTIONS(1335),
    [sym_identifier] = ACTIONS(1333),
    [anon_sym_BSLASH] = ACTIONS(1335),
    [anon_sym_function] = ACTIONS(1333),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_if] = ACTIONS(1333),
    [anon_sym_for] = ACTIONS(1333),
    [anon_sym_while] = ACTIONS(1333),
    [anon_sym_repeat] = ACTIONS(1333),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1333),
    [anon_sym_LT_DASH] = ACTIONS(1335),
    [anon_sym_LT_LT_DASH] = ACTIONS(1335),
    [anon_sym_COLON_EQ] = ACTIONS(1335),
    [anon_sym_DASH_GT] = ACTIONS(1333),
    [anon_sym_DASH_GT_GT] = ACTIONS(1335),
    [anon_sym_PIPE] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PIPE_PIPE] = ACTIONS(1335),
    [anon_sym_AMP_AMP] = ACTIONS(1335),
    [anon_sym_LT] = ACTIONS(1333),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_GT] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_EQ_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_SLASH] = ACTIONS(1335),
    [anon_sym_STAR_STAR] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [aux_sym_binary_operator_token1] = ACTIONS(1335),
    [anon_sym_PIPE_GT] = ACTIONS(1335),
    [anon_sym_COLON] = ACTIONS(1333),
    [anon_sym_DOLLAR] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1335),
    [anon_sym_COLON_COLON] = ACTIONS(1333),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1335),
    [sym__hex_literal] = ACTIONS(1335),
    [sym__number_literal] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_DQUOTE] = ACTIONS(1335),
    [sym_return] = ACTIONS(1333),
    [sym_next] = ACTIONS(1333),
    [sym_break] = ACTIONS(1333),
    [sym_true] = ACTIONS(1333),
    [sym_false] = ACTIONS(1333),
    [sym_null] = ACTIONS(1333),
    [sym_inf] = ACTIONS(1333),
    [sym_nan] = ACTIONS(1333),
    [anon_sym_NA] = ACTIONS(1333),
    [anon_sym_NA_integer_] = ACTIONS(1333),
    [anon_sym_NA_real_] = ACTIONS(1333),
    [anon_sym_NA_complex_] = ACTIONS(1333),
    [anon_sym_NA_character_] = ACTIONS(1333),
    [sym_dots] = ACTIONS(1333),
    [sym_dot_dot_i] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1335),
    [sym__semicolon] = ACTIONS(1335),
    [sym__raw_string_literal] = ACTIONS(1335),
    [sym__external_open_parenthesis] = ACTIONS(1335),
    [sym__external_open_brace] = ACTIONS(1335),
    [sym__external_open_bracket] = ACTIONS(1335),
    [sym__external_open_bracket2] = ACTIONS(1335),
  },
  [770] = {
    [sym_identifier] = ACTIONS(1317),
    [anon_sym_BSLASH] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1317),
    [anon_sym_EQ] = ACTIONS(1375),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_for] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1317),
    [anon_sym_repeat] = ACTIONS(1317),
    [anon_sym_QMARK] = ACTIONS(1319),
    [anon_sym_TILDE] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_DASH] = ACTIONS(1317),
    [anon_sym_LT_DASH] = ACTIONS(1319),
    [anon_sym_LT_LT_DASH] = ACTIONS(1319),
    [anon_sym_COLON_EQ] = ACTIONS(1319),
    [anon_sym_DASH_GT] = ACTIONS(1317),
    [anon_sym_DASH_GT_GT] = ACTIONS(1319),
    [anon_sym_PIPE] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_PIPE_PIPE] = ACTIONS(1319),
    [anon_sym_AMP_AMP] = ACTIONS(1319),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1319),
    [anon_sym_GT] = ACTIONS(1317),
    [anon_sym_GT_EQ] = ACTIONS(1319),
    [anon_sym_EQ_EQ] = ACTIONS(1319),
    [anon_sym_BANG_EQ] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_STAR_STAR] = ACTIONS(1319),
    [anon_sym_CARET] = ACTIONS(1319),
    [aux_sym_binary_operator_token1] = ACTIONS(1319),
    [anon_sym_PIPE_GT] = ACTIONS(1319),
    [anon_sym_COLON] = ACTIONS(1317),
    [anon_sym_DOLLAR] = ACTIONS(1319),
    [anon_sym_AT] = ACTIONS(1319),
    [anon_sym_COLON_COLON] = ACTIONS(1321),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1323),
    [sym__hex_literal] = ACTIONS(1319),
    [sym__number_literal] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1319),
    [anon_sym_DQUOTE] = ACTIONS(1319),
    [sym_return] = ACTIONS(1317),
    [sym_next] = ACTIONS(1317),
    [sym_break] = ACTIONS(1317),
    [sym_true] = ACTIONS(1317),
    [sym_false] = ACTIONS(1317),
    [sym_null] = ACTIONS(1317),
    [sym_inf] = ACTIONS(1317),
    [sym_nan] = ACTIONS(1317),
    [anon_sym_NA] = ACTIONS(1317),
    [anon_sym_NA_integer_] = ACTIONS(1317),
    [anon_sym_NA_real_] = ACTIONS(1317),
    [anon_sym_NA_complex_] = ACTIONS(1317),
    [anon_sym_NA_character_] = ACTIONS(1317),
    [sym_dots] = ACTIONS(1317),
    [sym_dot_dot_i] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1319),
    [sym__newline] = ACTIONS(1319),
    [sym__raw_string_literal] = ACTIONS(1319),
    [sym__external_open_parenthesis] = ACTIONS(1319),
    [sym__external_close_parenthesis] = ACTIONS(1319),
    [sym__external_open_brace] = ACTIONS(1319),
    [sym__external_open_bracket] = ACTIONS(1319),
    [sym__external_open_bracket2] = ACTIONS(1319),
  },
  [771] = {
    [sym_identifier] = ACTIONS(1317),
    [anon_sym_BSLASH] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1317),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_for] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1317),
    [anon_sym_repeat] = ACTIONS(1317),
    [anon_sym_QMARK] = ACTIONS(1319),
    [anon_sym_TILDE] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_DASH] = ACTIONS(1317),
    [anon_sym_LT_DASH] = ACTIONS(1319),
    [anon_sym_LT_LT_DASH] = ACTIONS(1319),
    [anon_sym_COLON_EQ] = ACTIONS(1319),
    [anon_sym_DASH_GT] = ACTIONS(1317),
    [anon_sym_DASH_GT_GT] = ACTIONS(1319),
    [anon_sym_PIPE] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_PIPE_PIPE] = ACTIONS(1319),
    [anon_sym_AMP_AMP] = ACTIONS(1319),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1319),
    [anon_sym_GT] = ACTIONS(1317),
    [anon_sym_GT_EQ] = ACTIONS(1319),
    [anon_sym_EQ_EQ] = ACTIONS(1319),
    [anon_sym_BANG_EQ] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_STAR_STAR] = ACTIONS(1319),
    [anon_sym_CARET] = ACTIONS(1319),
    [aux_sym_binary_operator_token1] = ACTIONS(1319),
    [anon_sym_PIPE_GT] = ACTIONS(1319),
    [anon_sym_COLON] = ACTIONS(1317),
    [anon_sym_DOLLAR] = ACTIONS(1319),
    [anon_sym_AT] = ACTIONS(1319),
    [anon_sym_COLON_COLON] = ACTIONS(1321),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1323),
    [sym__hex_literal] = ACTIONS(1319),
    [sym__number_literal] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1319),
    [anon_sym_DQUOTE] = ACTIONS(1319),
    [sym_return] = ACTIONS(1317),
    [sym_next] = ACTIONS(1317),
    [sym_break] = ACTIONS(1317),
    [sym_true] = ACTIONS(1317),
    [sym_false] = ACTIONS(1317),
    [sym_null] = ACTIONS(1317),
    [sym_inf] = ACTIONS(1317),
    [sym_nan] = ACTIONS(1317),
    [anon_sym_NA] = ACTIONS(1317),
    [anon_sym_NA_integer_] = ACTIONS(1317),
    [anon_sym_NA_real_] = ACTIONS(1317),
    [anon_sym_NA_complex_] = ACTIONS(1317),
    [anon_sym_NA_character_] = ACTIONS(1317),
    [sym_dots] = ACTIONS(1317),
    [sym_dot_dot_i] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1319),
    [sym__newline] = ACTIONS(1319),
    [sym__raw_string_literal] = ACTIONS(1319),
    [sym__external_open_parenthesis] = ACTIONS(1319),
    [sym__external_open_brace] = ACTIONS(1319),
    [sym__external_open_bracket] = ACTIONS(1319),
    [sym__external_close_bracket] = ACTIONS(1319),
    [sym__external_open_bracket2] = ACTIONS(1319),
  },
  [772] = {
    [sym_identifier] = ACTIONS(1325),
    [anon_sym_BSLASH] = ACTIONS(1327),
    [anon_sym_function] = ACTIONS(1325),
    [anon_sym_EQ] = ACTIONS(1325),
    [anon_sym_if] = ACTIONS(1325),
    [anon_sym_for] = ACTIONS(1325),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_repeat] = ACTIONS(1325),
    [anon_sym_QMARK] = ACTIONS(1327),
    [anon_sym_TILDE] = ACTIONS(1327),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_PLUS] = ACTIONS(1327),
    [anon_sym_DASH] = ACTIONS(1325),
    [anon_sym_LT_DASH] = ACTIONS(1327),
    [anon_sym_LT_LT_DASH] = ACTIONS(1327),
    [anon_sym_COLON_EQ] = ACTIONS(1327),
    [anon_sym_DASH_GT] = ACTIONS(1325),
    [anon_sym_DASH_GT_GT] = ACTIONS(1327),
    [anon_sym_PIPE] = ACTIONS(1325),
    [anon_sym_AMP] = ACTIONS(1325),
    [anon_sym_PIPE_PIPE] = ACTIONS(1327),
    [anon_sym_AMP_AMP] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(1325),
    [anon_sym_LT_EQ] = ACTIONS(1327),
    [anon_sym_GT] = ACTIONS(1325),
    [anon_sym_GT_EQ] = ACTIONS(1327),
    [anon_sym_EQ_EQ] = ACTIONS(1327),
    [anon_sym_BANG_EQ] = ACTIONS(1327),
    [anon_sym_STAR] = ACTIONS(1325),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_STAR_STAR] = ACTIONS(1327),
    [anon_sym_CARET] = ACTIONS(1327),
    [aux_sym_binary_operator_token1] = ACTIONS(1327),
    [anon_sym_PIPE_GT] = ACTIONS(1327),
    [anon_sym_COLON] = ACTIONS(1325),
    [anon_sym_DOLLAR] = ACTIONS(1327),
    [anon_sym_AT] = ACTIONS(1327),
    [anon_sym_L] = ACTIONS(1377),
    [anon_sym_i] = ACTIONS(1379),
    [sym__hex_literal] = ACTIONS(1327),
    [sym__number_literal] = ACTIONS(1325),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_return] = ACTIONS(1325),
    [sym_next] = ACTIONS(1325),
    [sym_break] = ACTIONS(1325),
    [sym_true] = ACTIONS(1325),
    [sym_false] = ACTIONS(1325),
    [sym_null] = ACTIONS(1325),
    [sym_inf] = ACTIONS(1325),
    [sym_nan] = ACTIONS(1325),
    [anon_sym_NA] = ACTIONS(1325),
    [anon_sym_NA_integer_] = ACTIONS(1325),
    [anon_sym_NA_real_] = ACTIONS(1325),
    [anon_sym_NA_complex_] = ACTIONS(1325),
    [anon_sym_NA_character_] = ACTIONS(1325),
    [sym_dots] = ACTIONS(1325),
    [sym_dot_dot_i] = ACTIONS(1327),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1327),
    [sym__newline] = ACTIONS(1327),
    [sym__raw_string_literal] = ACTIONS(1327),
    [sym__external_open_parenthesis] = ACTIONS(1327),
    [sym__external_open_brace] = ACTIONS(1327),
    [sym__external_open_bracket] = ACTIONS(1327),
    [sym__external_close_bracket] = ACTIONS(1327),
    [sym__external_open_bracket2] = ACTIONS(1327),
  },
  [773] = {
    [sym_identifier] = ACTIONS(1333),
    [anon_sym_BSLASH] = ACTIONS(1335),
    [anon_sym_function] = ACTIONS(1333),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_if] = ACTIONS(1333),
    [anon_sym_for] = ACTIONS(1333),
    [anon_sym_while] = ACTIONS(1333),
    [anon_sym_repeat] = ACTIONS(1333),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1333),
    [anon_sym_LT_DASH] = ACTIONS(1335),
    [anon_sym_LT_LT_DASH] = ACTIONS(1335),
    [anon_sym_COLON_EQ] = ACTIONS(1335),
    [anon_sym_DASH_GT] = ACTIONS(1333),
    [anon_sym_DASH_GT_GT] = ACTIONS(1335),
    [anon_sym_PIPE] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PIPE_PIPE] = ACTIONS(1335),
    [anon_sym_AMP_AMP] = ACTIONS(1335),
    [anon_sym_LT] = ACTIONS(1333),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_GT] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_EQ_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_SLASH] = ACTIONS(1335),
    [anon_sym_STAR_STAR] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [aux_sym_binary_operator_token1] = ACTIONS(1335),
    [anon_sym_PIPE_GT] = ACTIONS(1335),
    [anon_sym_COLON] = ACTIONS(1333),
    [anon_sym_DOLLAR] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1335),
    [anon_sym_COLON_COLON] = ACTIONS(1333),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1335),
    [sym__hex_literal] = ACTIONS(1335),
    [sym__number_literal] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_DQUOTE] = ACTIONS(1335),
    [sym_return] = ACTIONS(1333),
    [sym_next] = ACTIONS(1333),
    [sym_break] = ACTIONS(1333),
    [sym_true] = ACTIONS(1333),
    [sym_false] = ACTIONS(1333),
    [sym_null] = ACTIONS(1333),
    [sym_inf] = ACTIONS(1333),
    [sym_nan] = ACTIONS(1333),
    [anon_sym_NA] = ACTIONS(1333),
    [anon_sym_NA_integer_] = ACTIONS(1333),
    [anon_sym_NA_real_] = ACTIONS(1333),
    [anon_sym_NA_complex_] = ACTIONS(1333),
    [anon_sym_NA_character_] = ACTIONS(1333),
    [sym_dots] = ACTIONS(1333),
    [sym_dot_dot_i] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1335),
    [sym__newline] = ACTIONS(1335),
    [sym__raw_string_literal] = ACTIONS(1335),
    [sym__external_open_parenthesis] = ACTIONS(1335),
    [sym__external_open_brace] = ACTIONS(1335),
    [sym__external_open_bracket] = ACTIONS(1335),
    [sym__external_close_bracket] = ACTIONS(1335),
    [sym__external_open_bracket2] = ACTIONS(1335),
  },
  [774] = {
    [sym_identifier] = ACTIONS(1333),
    [anon_sym_BSLASH] = ACTIONS(1335),
    [anon_sym_function] = ACTIONS(1333),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_if] = ACTIONS(1333),
    [anon_sym_for] = ACTIONS(1333),
    [anon_sym_while] = ACTIONS(1333),
    [anon_sym_repeat] = ACTIONS(1333),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1333),
    [anon_sym_LT_DASH] = ACTIONS(1335),
    [anon_sym_LT_LT_DASH] = ACTIONS(1335),
    [anon_sym_COLON_EQ] = ACTIONS(1335),
    [anon_sym_DASH_GT] = ACTIONS(1333),
    [anon_sym_DASH_GT_GT] = ACTIONS(1335),
    [anon_sym_PIPE] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PIPE_PIPE] = ACTIONS(1335),
    [anon_sym_AMP_AMP] = ACTIONS(1335),
    [anon_sym_LT] = ACTIONS(1333),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_GT] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_EQ_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_SLASH] = ACTIONS(1335),
    [anon_sym_STAR_STAR] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [aux_sym_binary_operator_token1] = ACTIONS(1335),
    [anon_sym_PIPE_GT] = ACTIONS(1335),
    [anon_sym_COLON] = ACTIONS(1333),
    [anon_sym_DOLLAR] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1335),
    [anon_sym_COLON_COLON] = ACTIONS(1333),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1335),
    [sym__hex_literal] = ACTIONS(1335),
    [sym__number_literal] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_DQUOTE] = ACTIONS(1335),
    [sym_return] = ACTIONS(1333),
    [sym_next] = ACTIONS(1333),
    [sym_break] = ACTIONS(1333),
    [sym_true] = ACTIONS(1333),
    [sym_false] = ACTIONS(1333),
    [sym_null] = ACTIONS(1333),
    [sym_inf] = ACTIONS(1333),
    [sym_nan] = ACTIONS(1333),
    [anon_sym_NA] = ACTIONS(1333),
    [anon_sym_NA_integer_] = ACTIONS(1333),
    [anon_sym_NA_real_] = ACTIONS(1333),
    [anon_sym_NA_complex_] = ACTIONS(1333),
    [anon_sym_NA_character_] = ACTIONS(1333),
    [sym_dots] = ACTIONS(1333),
    [sym_dot_dot_i] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1335),
    [sym__newline] = ACTIONS(1335),
    [sym__raw_string_literal] = ACTIONS(1335),
    [sym__external_open_parenthesis] = ACTIONS(1335),
    [sym__external_open_brace] = ACTIONS(1335),
    [sym__external_open_bracket] = ACTIONS(1335),
    [sym__external_close_bracket] = ACTIONS(1335),
    [sym__external_open_bracket2] = ACTIONS(1335),
  },
  [775] = {
    [sym_identifier] = ACTIONS(1357),
    [anon_sym_BSLASH] = ACTIONS(1359),
    [anon_sym_function] = ACTIONS(1357),
    [anon_sym_EQ] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_repeat] = ACTIONS(1357),
    [anon_sym_QMARK] = ACTIONS(1359),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_BANG] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1357),
    [anon_sym_LT_DASH] = ACTIONS(1359),
    [anon_sym_LT_LT_DASH] = ACTIONS(1359),
    [anon_sym_COLON_EQ] = ACTIONS(1359),
    [anon_sym_DASH_GT] = ACTIONS(1357),
    [anon_sym_DASH_GT_GT] = ACTIONS(1359),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE_PIPE] = ACTIONS(1359),
    [anon_sym_AMP_AMP] = ACTIONS(1359),
    [anon_sym_LT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1359),
    [anon_sym_GT] = ACTIONS(1357),
    [anon_sym_GT_EQ] = ACTIONS(1359),
    [anon_sym_EQ_EQ] = ACTIONS(1359),
    [anon_sym_BANG_EQ] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_SLASH] = ACTIONS(1359),
    [anon_sym_STAR_STAR] = ACTIONS(1359),
    [anon_sym_CARET] = ACTIONS(1359),
    [aux_sym_binary_operator_token1] = ACTIONS(1359),
    [anon_sym_PIPE_GT] = ACTIONS(1359),
    [anon_sym_COLON] = ACTIONS(1357),
    [anon_sym_DOLLAR] = ACTIONS(1359),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_COLON_COLON] = ACTIONS(1357),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1359),
    [sym__hex_literal] = ACTIONS(1359),
    [sym__number_literal] = ACTIONS(1357),
    [anon_sym_SQUOTE] = ACTIONS(1359),
    [anon_sym_DQUOTE] = ACTIONS(1359),
    [sym_return] = ACTIONS(1357),
    [sym_next] = ACTIONS(1357),
    [sym_break] = ACTIONS(1357),
    [sym_true] = ACTIONS(1357),
    [sym_false] = ACTIONS(1357),
    [sym_null] = ACTIONS(1357),
    [sym_inf] = ACTIONS(1357),
    [sym_nan] = ACTIONS(1357),
    [anon_sym_NA] = ACTIONS(1357),
    [anon_sym_NA_integer_] = ACTIONS(1357),
    [anon_sym_NA_real_] = ACTIONS(1357),
    [anon_sym_NA_complex_] = ACTIONS(1357),
    [anon_sym_NA_character_] = ACTIONS(1357),
    [sym_dots] = ACTIONS(1357),
    [sym_dot_dot_i] = ACTIONS(1359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1359),
    [sym__newline] = ACTIONS(1359),
    [sym__raw_string_literal] = ACTIONS(1359),
    [sym__external_open_parenthesis] = ACTIONS(1359),
    [sym__external_open_brace] = ACTIONS(1359),
    [sym__external_open_bracket] = ACTIONS(1359),
    [sym__external_open_bracket2] = ACTIONS(1359),
    [sym__external_close_bracket2] = ACTIONS(1359),
  },
  [776] = {
    [sym_identifier] = ACTIONS(1317),
    [anon_sym_BSLASH] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1317),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_for] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1317),
    [anon_sym_repeat] = ACTIONS(1317),
    [anon_sym_QMARK] = ACTIONS(1319),
    [anon_sym_TILDE] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_DASH] = ACTIONS(1317),
    [anon_sym_LT_DASH] = ACTIONS(1319),
    [anon_sym_LT_LT_DASH] = ACTIONS(1319),
    [anon_sym_COLON_EQ] = ACTIONS(1319),
    [anon_sym_DASH_GT] = ACTIONS(1317),
    [anon_sym_DASH_GT_GT] = ACTIONS(1319),
    [anon_sym_PIPE] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_PIPE_PIPE] = ACTIONS(1319),
    [anon_sym_AMP_AMP] = ACTIONS(1319),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1319),
    [anon_sym_GT] = ACTIONS(1317),
    [anon_sym_GT_EQ] = ACTIONS(1319),
    [anon_sym_EQ_EQ] = ACTIONS(1319),
    [anon_sym_BANG_EQ] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_STAR_STAR] = ACTIONS(1319),
    [anon_sym_CARET] = ACTIONS(1319),
    [aux_sym_binary_operator_token1] = ACTIONS(1319),
    [anon_sym_PIPE_GT] = ACTIONS(1319),
    [anon_sym_COLON] = ACTIONS(1317),
    [anon_sym_DOLLAR] = ACTIONS(1319),
    [anon_sym_AT] = ACTIONS(1319),
    [anon_sym_COLON_COLON] = ACTIONS(1321),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1323),
    [sym__hex_literal] = ACTIONS(1319),
    [sym__number_literal] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1319),
    [anon_sym_DQUOTE] = ACTIONS(1319),
    [sym_return] = ACTIONS(1317),
    [sym_next] = ACTIONS(1317),
    [sym_break] = ACTIONS(1317),
    [sym_true] = ACTIONS(1317),
    [sym_false] = ACTIONS(1317),
    [sym_null] = ACTIONS(1317),
    [sym_inf] = ACTIONS(1317),
    [sym_nan] = ACTIONS(1317),
    [anon_sym_NA] = ACTIONS(1317),
    [anon_sym_NA_integer_] = ACTIONS(1317),
    [anon_sym_NA_real_] = ACTIONS(1317),
    [anon_sym_NA_complex_] = ACTIONS(1317),
    [anon_sym_NA_character_] = ACTIONS(1317),
    [sym_dots] = ACTIONS(1317),
    [sym_dot_dot_i] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1319),
    [sym__newline] = ACTIONS(1319),
    [sym__raw_string_literal] = ACTIONS(1319),
    [sym__external_open_parenthesis] = ACTIONS(1319),
    [sym__external_open_brace] = ACTIONS(1319),
    [sym__external_open_bracket] = ACTIONS(1319),
    [sym__external_open_bracket2] = ACTIONS(1319),
    [sym__external_close_bracket2] = ACTIONS(1319),
  },
  [777] = {
    [ts_builtin_sym_end] = ACTIONS(1319),
    [sym_identifier] = ACTIONS(1317),
    [anon_sym_BSLASH] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1317),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_for] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1317),
    [anon_sym_repeat] = ACTIONS(1317),
    [anon_sym_QMARK] = ACTIONS(1319),
    [anon_sym_TILDE] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_DASH] = ACTIONS(1317),
    [anon_sym_LT_DASH] = ACTIONS(1319),
    [anon_sym_LT_LT_DASH] = ACTIONS(1319),
    [anon_sym_COLON_EQ] = ACTIONS(1319),
    [anon_sym_DASH_GT] = ACTIONS(1317),
    [anon_sym_DASH_GT_GT] = ACTIONS(1319),
    [anon_sym_PIPE] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_PIPE_PIPE] = ACTIONS(1319),
    [anon_sym_AMP_AMP] = ACTIONS(1319),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1319),
    [anon_sym_GT] = ACTIONS(1317),
    [anon_sym_GT_EQ] = ACTIONS(1319),
    [anon_sym_EQ_EQ] = ACTIONS(1319),
    [anon_sym_BANG_EQ] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_STAR_STAR] = ACTIONS(1319),
    [anon_sym_CARET] = ACTIONS(1319),
    [aux_sym_binary_operator_token1] = ACTIONS(1319),
    [anon_sym_PIPE_GT] = ACTIONS(1319),
    [anon_sym_COLON] = ACTIONS(1317),
    [anon_sym_DOLLAR] = ACTIONS(1319),
    [anon_sym_AT] = ACTIONS(1319),
    [anon_sym_COLON_COLON] = ACTIONS(1321),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1323),
    [sym__hex_literal] = ACTIONS(1319),
    [sym__number_literal] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1319),
    [anon_sym_DQUOTE] = ACTIONS(1319),
    [sym_return] = ACTIONS(1317),
    [sym_next] = ACTIONS(1317),
    [sym_break] = ACTIONS(1317),
    [sym_true] = ACTIONS(1317),
    [sym_false] = ACTIONS(1317),
    [sym_null] = ACTIONS(1317),
    [sym_inf] = ACTIONS(1317),
    [sym_nan] = ACTIONS(1317),
    [anon_sym_NA] = ACTIONS(1317),
    [anon_sym_NA_integer_] = ACTIONS(1317),
    [anon_sym_NA_real_] = ACTIONS(1317),
    [anon_sym_NA_complex_] = ACTIONS(1317),
    [anon_sym_NA_character_] = ACTIONS(1317),
    [sym_dots] = ACTIONS(1317),
    [sym_dot_dot_i] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1319),
    [sym__semicolon] = ACTIONS(1319),
    [sym__raw_string_literal] = ACTIONS(1319),
    [sym__external_open_parenthesis] = ACTIONS(1319),
    [sym__external_open_brace] = ACTIONS(1319),
    [sym__external_open_bracket] = ACTIONS(1319),
    [sym__external_open_bracket2] = ACTIONS(1319),
  },
  [778] = {
    [sym_identifier] = ACTIONS(1325),
    [anon_sym_BSLASH] = ACTIONS(1327),
    [anon_sym_function] = ACTIONS(1325),
    [anon_sym_EQ] = ACTIONS(1325),
    [anon_sym_if] = ACTIONS(1325),
    [anon_sym_for] = ACTIONS(1325),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_repeat] = ACTIONS(1325),
    [anon_sym_QMARK] = ACTIONS(1327),
    [anon_sym_TILDE] = ACTIONS(1327),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_PLUS] = ACTIONS(1327),
    [anon_sym_DASH] = ACTIONS(1325),
    [anon_sym_LT_DASH] = ACTIONS(1327),
    [anon_sym_LT_LT_DASH] = ACTIONS(1327),
    [anon_sym_COLON_EQ] = ACTIONS(1327),
    [anon_sym_DASH_GT] = ACTIONS(1325),
    [anon_sym_DASH_GT_GT] = ACTIONS(1327),
    [anon_sym_PIPE] = ACTIONS(1325),
    [anon_sym_AMP] = ACTIONS(1325),
    [anon_sym_PIPE_PIPE] = ACTIONS(1327),
    [anon_sym_AMP_AMP] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(1325),
    [anon_sym_LT_EQ] = ACTIONS(1327),
    [anon_sym_GT] = ACTIONS(1325),
    [anon_sym_GT_EQ] = ACTIONS(1327),
    [anon_sym_EQ_EQ] = ACTIONS(1327),
    [anon_sym_BANG_EQ] = ACTIONS(1327),
    [anon_sym_STAR] = ACTIONS(1325),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_STAR_STAR] = ACTIONS(1327),
    [anon_sym_CARET] = ACTIONS(1327),
    [aux_sym_binary_operator_token1] = ACTIONS(1327),
    [anon_sym_PIPE_GT] = ACTIONS(1327),
    [anon_sym_COLON] = ACTIONS(1325),
    [anon_sym_DOLLAR] = ACTIONS(1327),
    [anon_sym_AT] = ACTIONS(1327),
    [anon_sym_L] = ACTIONS(1381),
    [anon_sym_i] = ACTIONS(1383),
    [sym__hex_literal] = ACTIONS(1327),
    [sym__number_literal] = ACTIONS(1325),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_return] = ACTIONS(1325),
    [sym_next] = ACTIONS(1325),
    [sym_break] = ACTIONS(1325),
    [sym_true] = ACTIONS(1325),
    [sym_false] = ACTIONS(1325),
    [sym_null] = ACTIONS(1325),
    [sym_inf] = ACTIONS(1325),
    [sym_nan] = ACTIONS(1325),
    [anon_sym_NA] = ACTIONS(1325),
    [anon_sym_NA_integer_] = ACTIONS(1325),
    [anon_sym_NA_real_] = ACTIONS(1325),
    [anon_sym_NA_complex_] = ACTIONS(1325),
    [anon_sym_NA_character_] = ACTIONS(1325),
    [sym_dots] = ACTIONS(1325),
    [sym_dot_dot_i] = ACTIONS(1327),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1327),
    [sym__newline] = ACTIONS(1327),
    [sym__raw_string_literal] = ACTIONS(1327),
    [sym__external_open_parenthesis] = ACTIONS(1327),
    [sym__external_open_brace] = ACTIONS(1327),
    [sym__external_open_bracket] = ACTIONS(1327),
    [sym__external_open_bracket2] = ACTIONS(1327),
    [sym__external_close_bracket2] = ACTIONS(1327),
  },
  [779] = {
    [ts_builtin_sym_end] = ACTIONS(1327),
    [sym_identifier] = ACTIONS(1325),
    [anon_sym_BSLASH] = ACTIONS(1327),
    [anon_sym_function] = ACTIONS(1325),
    [anon_sym_EQ] = ACTIONS(1325),
    [anon_sym_if] = ACTIONS(1325),
    [anon_sym_for] = ACTIONS(1325),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_repeat] = ACTIONS(1325),
    [anon_sym_QMARK] = ACTIONS(1327),
    [anon_sym_TILDE] = ACTIONS(1327),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_PLUS] = ACTIONS(1327),
    [anon_sym_DASH] = ACTIONS(1325),
    [anon_sym_LT_DASH] = ACTIONS(1327),
    [anon_sym_LT_LT_DASH] = ACTIONS(1327),
    [anon_sym_COLON_EQ] = ACTIONS(1327),
    [anon_sym_DASH_GT] = ACTIONS(1325),
    [anon_sym_DASH_GT_GT] = ACTIONS(1327),
    [anon_sym_PIPE] = ACTIONS(1325),
    [anon_sym_AMP] = ACTIONS(1325),
    [anon_sym_PIPE_PIPE] = ACTIONS(1327),
    [anon_sym_AMP_AMP] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(1325),
    [anon_sym_LT_EQ] = ACTIONS(1327),
    [anon_sym_GT] = ACTIONS(1325),
    [anon_sym_GT_EQ] = ACTIONS(1327),
    [anon_sym_EQ_EQ] = ACTIONS(1327),
    [anon_sym_BANG_EQ] = ACTIONS(1327),
    [anon_sym_STAR] = ACTIONS(1325),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_STAR_STAR] = ACTIONS(1327),
    [anon_sym_CARET] = ACTIONS(1327),
    [aux_sym_binary_operator_token1] = ACTIONS(1327),
    [anon_sym_PIPE_GT] = ACTIONS(1327),
    [anon_sym_COLON] = ACTIONS(1325),
    [anon_sym_DOLLAR] = ACTIONS(1327),
    [anon_sym_AT] = ACTIONS(1327),
    [anon_sym_L] = ACTIONS(1385),
    [anon_sym_i] = ACTIONS(1387),
    [sym__hex_literal] = ACTIONS(1327),
    [sym__number_literal] = ACTIONS(1325),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_return] = ACTIONS(1325),
    [sym_next] = ACTIONS(1325),
    [sym_break] = ACTIONS(1325),
    [sym_true] = ACTIONS(1325),
    [sym_false] = ACTIONS(1325),
    [sym_null] = ACTIONS(1325),
    [sym_inf] = ACTIONS(1325),
    [sym_nan] = ACTIONS(1325),
    [anon_sym_NA] = ACTIONS(1325),
    [anon_sym_NA_integer_] = ACTIONS(1325),
    [anon_sym_NA_real_] = ACTIONS(1325),
    [anon_sym_NA_complex_] = ACTIONS(1325),
    [anon_sym_NA_character_] = ACTIONS(1325),
    [sym_dots] = ACTIONS(1325),
    [sym_dot_dot_i] = ACTIONS(1327),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1327),
    [sym__semicolon] = ACTIONS(1327),
    [sym__raw_string_literal] = ACTIONS(1327),
    [sym__external_open_parenthesis] = ACTIONS(1327),
    [sym__external_open_brace] = ACTIONS(1327),
    [sym__external_open_bracket] = ACTIONS(1327),
    [sym__external_open_bracket2] = ACTIONS(1327),
  },
  [780] = {
    [sym_identifier] = ACTIONS(1345),
    [anon_sym_BSLASH] = ACTIONS(1347),
    [anon_sym_function] = ACTIONS(1345),
    [anon_sym_EQ] = ACTIONS(1345),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_for] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1345),
    [anon_sym_repeat] = ACTIONS(1345),
    [anon_sym_QMARK] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [anon_sym_BANG] = ACTIONS(1345),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1345),
    [anon_sym_LT_DASH] = ACTIONS(1347),
    [anon_sym_LT_LT_DASH] = ACTIONS(1347),
    [anon_sym_COLON_EQ] = ACTIONS(1347),
    [anon_sym_DASH_GT] = ACTIONS(1345),
    [anon_sym_DASH_GT_GT] = ACTIONS(1347),
    [anon_sym_PIPE] = ACTIONS(1345),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE_PIPE] = ACTIONS(1347),
    [anon_sym_AMP_AMP] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1347),
    [anon_sym_GT] = ACTIONS(1345),
    [anon_sym_GT_EQ] = ACTIONS(1347),
    [anon_sym_EQ_EQ] = ACTIONS(1347),
    [anon_sym_BANG_EQ] = ACTIONS(1347),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_STAR_STAR] = ACTIONS(1347),
    [anon_sym_CARET] = ACTIONS(1347),
    [aux_sym_binary_operator_token1] = ACTIONS(1347),
    [anon_sym_PIPE_GT] = ACTIONS(1347),
    [anon_sym_COLON] = ACTIONS(1345),
    [anon_sym_DOLLAR] = ACTIONS(1347),
    [anon_sym_AT] = ACTIONS(1347),
    [anon_sym_COLON_COLON] = ACTIONS(1345),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1347),
    [sym__hex_literal] = ACTIONS(1347),
    [sym__number_literal] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [anon_sym_DQUOTE] = ACTIONS(1347),
    [sym_return] = ACTIONS(1345),
    [sym_next] = ACTIONS(1345),
    [sym_break] = ACTIONS(1345),
    [sym_true] = ACTIONS(1345),
    [sym_false] = ACTIONS(1345),
    [sym_null] = ACTIONS(1345),
    [sym_inf] = ACTIONS(1345),
    [sym_nan] = ACTIONS(1345),
    [anon_sym_NA] = ACTIONS(1345),
    [anon_sym_NA_integer_] = ACTIONS(1345),
    [anon_sym_NA_real_] = ACTIONS(1345),
    [anon_sym_NA_complex_] = ACTIONS(1345),
    [anon_sym_NA_character_] = ACTIONS(1345),
    [sym_dots] = ACTIONS(1345),
    [sym_dot_dot_i] = ACTIONS(1347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1347),
    [sym__newline] = ACTIONS(1347),
    [sym__raw_string_literal] = ACTIONS(1347),
    [sym__external_open_parenthesis] = ACTIONS(1347),
    [sym__external_open_brace] = ACTIONS(1347),
    [sym__external_open_bracket] = ACTIONS(1347),
    [sym__external_close_bracket] = ACTIONS(1347),
    [sym__external_open_bracket2] = ACTIONS(1347),
  },
  [781] = {
    [sym_identifier] = ACTIONS(1317),
    [anon_sym_BSLASH] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1317),
    [anon_sym_EQ] = ACTIONS(1389),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_for] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1317),
    [anon_sym_repeat] = ACTIONS(1317),
    [anon_sym_QMARK] = ACTIONS(1319),
    [anon_sym_TILDE] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_DASH] = ACTIONS(1317),
    [anon_sym_LT_DASH] = ACTIONS(1319),
    [anon_sym_LT_LT_DASH] = ACTIONS(1319),
    [anon_sym_COLON_EQ] = ACTIONS(1319),
    [anon_sym_DASH_GT] = ACTIONS(1317),
    [anon_sym_DASH_GT_GT] = ACTIONS(1319),
    [anon_sym_PIPE] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_PIPE_PIPE] = ACTIONS(1319),
    [anon_sym_AMP_AMP] = ACTIONS(1319),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1319),
    [anon_sym_GT] = ACTIONS(1317),
    [anon_sym_GT_EQ] = ACTIONS(1319),
    [anon_sym_EQ_EQ] = ACTIONS(1319),
    [anon_sym_BANG_EQ] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_STAR_STAR] = ACTIONS(1319),
    [anon_sym_CARET] = ACTIONS(1319),
    [aux_sym_binary_operator_token1] = ACTIONS(1319),
    [anon_sym_PIPE_GT] = ACTIONS(1319),
    [anon_sym_COLON] = ACTIONS(1317),
    [anon_sym_DOLLAR] = ACTIONS(1319),
    [anon_sym_AT] = ACTIONS(1319),
    [anon_sym_COLON_COLON] = ACTIONS(1321),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1323),
    [sym__hex_literal] = ACTIONS(1319),
    [sym__number_literal] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1319),
    [anon_sym_DQUOTE] = ACTIONS(1319),
    [sym_return] = ACTIONS(1317),
    [sym_next] = ACTIONS(1317),
    [sym_break] = ACTIONS(1317),
    [sym_true] = ACTIONS(1317),
    [sym_false] = ACTIONS(1317),
    [sym_null] = ACTIONS(1317),
    [sym_inf] = ACTIONS(1317),
    [sym_nan] = ACTIONS(1317),
    [anon_sym_NA] = ACTIONS(1317),
    [anon_sym_NA_integer_] = ACTIONS(1317),
    [anon_sym_NA_real_] = ACTIONS(1317),
    [anon_sym_NA_complex_] = ACTIONS(1317),
    [anon_sym_NA_character_] = ACTIONS(1317),
    [sym_dots] = ACTIONS(1317),
    [sym_dot_dot_i] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1319),
    [sym__newline] = ACTIONS(1319),
    [sym__raw_string_literal] = ACTIONS(1319),
    [sym__external_open_parenthesis] = ACTIONS(1319),
    [sym__external_open_brace] = ACTIONS(1319),
    [sym__external_open_bracket] = ACTIONS(1319),
    [sym__external_open_bracket2] = ACTIONS(1319),
    [sym__external_close_bracket2] = ACTIONS(1319),
  },
  [782] = {
    [aux_sym_function_definition_repeat1] = STATE(782),
    [sym_identifier] = ACTIONS(1391),
    [anon_sym_BSLASH] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1391),
    [anon_sym_EQ] = ACTIONS(1391),
    [anon_sym_if] = ACTIONS(1391),
    [anon_sym_for] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1391),
    [anon_sym_repeat] = ACTIONS(1391),
    [anon_sym_QMARK] = ACTIONS(1393),
    [anon_sym_TILDE] = ACTIONS(1393),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1391),
    [anon_sym_LT_DASH] = ACTIONS(1393),
    [anon_sym_LT_LT_DASH] = ACTIONS(1393),
    [anon_sym_COLON_EQ] = ACTIONS(1393),
    [anon_sym_DASH_GT] = ACTIONS(1391),
    [anon_sym_DASH_GT_GT] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_AMP] = ACTIONS(1391),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_AMP_AMP] = ACTIONS(1393),
    [anon_sym_LT] = ACTIONS(1391),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_GT] = ACTIONS(1391),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_EQ_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_SLASH] = ACTIONS(1393),
    [anon_sym_STAR_STAR] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [aux_sym_binary_operator_token1] = ACTIONS(1393),
    [anon_sym_PIPE_GT] = ACTIONS(1393),
    [anon_sym_COLON] = ACTIONS(1391),
    [anon_sym_DOLLAR] = ACTIONS(1393),
    [anon_sym_AT] = ACTIONS(1393),
    [sym__hex_literal] = ACTIONS(1393),
    [sym__number_literal] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [anon_sym_DQUOTE] = ACTIONS(1393),
    [sym_return] = ACTIONS(1391),
    [sym_next] = ACTIONS(1391),
    [sym_break] = ACTIONS(1391),
    [sym_true] = ACTIONS(1391),
    [sym_false] = ACTIONS(1391),
    [sym_null] = ACTIONS(1391),
    [sym_inf] = ACTIONS(1391),
    [sym_nan] = ACTIONS(1391),
    [anon_sym_NA] = ACTIONS(1391),
    [anon_sym_NA_integer_] = ACTIONS(1391),
    [anon_sym_NA_real_] = ACTIONS(1391),
    [anon_sym_NA_complex_] = ACTIONS(1391),
    [anon_sym_NA_character_] = ACTIONS(1391),
    [sym_dots] = ACTIONS(1391),
    [sym_dot_dot_i] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1395),
    [sym__semicolon] = ACTIONS(1393),
    [sym__raw_string_literal] = ACTIONS(1393),
    [sym__external_else] = ACTIONS(1393),
    [sym__external_open_parenthesis] = ACTIONS(1393),
    [sym__external_open_brace] = ACTIONS(1393),
    [sym__external_close_brace] = ACTIONS(1393),
    [sym__external_open_bracket] = ACTIONS(1393),
    [sym__external_open_bracket2] = ACTIONS(1393),
  },
  [783] = {
    [sym_identifier] = ACTIONS(1333),
    [anon_sym_BSLASH] = ACTIONS(1335),
    [anon_sym_function] = ACTIONS(1333),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_if] = ACTIONS(1333),
    [anon_sym_for] = ACTIONS(1333),
    [anon_sym_while] = ACTIONS(1333),
    [anon_sym_repeat] = ACTIONS(1333),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1333),
    [anon_sym_LT_DASH] = ACTIONS(1335),
    [anon_sym_LT_LT_DASH] = ACTIONS(1335),
    [anon_sym_COLON_EQ] = ACTIONS(1335),
    [anon_sym_DASH_GT] = ACTIONS(1333),
    [anon_sym_DASH_GT_GT] = ACTIONS(1335),
    [anon_sym_PIPE] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PIPE_PIPE] = ACTIONS(1335),
    [anon_sym_AMP_AMP] = ACTIONS(1335),
    [anon_sym_LT] = ACTIONS(1333),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_GT] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_EQ_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_SLASH] = ACTIONS(1335),
    [anon_sym_STAR_STAR] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [aux_sym_binary_operator_token1] = ACTIONS(1335),
    [anon_sym_PIPE_GT] = ACTIONS(1335),
    [anon_sym_COLON] = ACTIONS(1333),
    [anon_sym_DOLLAR] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1335),
    [anon_sym_COLON_COLON] = ACTIONS(1333),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1335),
    [sym__hex_literal] = ACTIONS(1335),
    [sym__number_literal] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_DQUOTE] = ACTIONS(1335),
    [sym_return] = ACTIONS(1333),
    [sym_next] = ACTIONS(1333),
    [sym_break] = ACTIONS(1333),
    [sym_true] = ACTIONS(1333),
    [sym_false] = ACTIONS(1333),
    [sym_null] = ACTIONS(1333),
    [sym_inf] = ACTIONS(1333),
    [sym_nan] = ACTIONS(1333),
    [anon_sym_NA] = ACTIONS(1333),
    [anon_sym_NA_integer_] = ACTIONS(1333),
    [anon_sym_NA_real_] = ACTIONS(1333),
    [anon_sym_NA_complex_] = ACTIONS(1333),
    [anon_sym_NA_character_] = ACTIONS(1333),
    [sym_dots] = ACTIONS(1333),
    [sym_dot_dot_i] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1335),
    [sym__newline] = ACTIONS(1335),
    [sym__raw_string_literal] = ACTIONS(1335),
    [sym__external_open_parenthesis] = ACTIONS(1335),
    [sym__external_open_brace] = ACTIONS(1335),
    [sym__external_open_bracket] = ACTIONS(1335),
    [sym__external_open_bracket2] = ACTIONS(1335),
    [sym__external_close_bracket2] = ACTIONS(1335),
  },
  [784] = {
    [ts_builtin_sym_end] = ACTIONS(1335),
    [sym_identifier] = ACTIONS(1333),
    [anon_sym_BSLASH] = ACTIONS(1335),
    [anon_sym_function] = ACTIONS(1333),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_if] = ACTIONS(1333),
    [anon_sym_for] = ACTIONS(1333),
    [anon_sym_while] = ACTIONS(1333),
    [anon_sym_repeat] = ACTIONS(1333),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1333),
    [anon_sym_LT_DASH] = ACTIONS(1335),
    [anon_sym_LT_LT_DASH] = ACTIONS(1335),
    [anon_sym_COLON_EQ] = ACTIONS(1335),
    [anon_sym_DASH_GT] = ACTIONS(1333),
    [anon_sym_DASH_GT_GT] = ACTIONS(1335),
    [anon_sym_PIPE] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PIPE_PIPE] = ACTIONS(1335),
    [anon_sym_AMP_AMP] = ACTIONS(1335),
    [anon_sym_LT] = ACTIONS(1333),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_GT] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_EQ_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_SLASH] = ACTIONS(1335),
    [anon_sym_STAR_STAR] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [aux_sym_binary_operator_token1] = ACTIONS(1335),
    [anon_sym_PIPE_GT] = ACTIONS(1335),
    [anon_sym_COLON] = ACTIONS(1333),
    [anon_sym_DOLLAR] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1335),
    [anon_sym_COLON_COLON] = ACTIONS(1333),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1335),
    [sym__hex_literal] = ACTIONS(1335),
    [sym__number_literal] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_DQUOTE] = ACTIONS(1335),
    [sym_return] = ACTIONS(1333),
    [sym_next] = ACTIONS(1333),
    [sym_break] = ACTIONS(1333),
    [sym_true] = ACTIONS(1333),
    [sym_false] = ACTIONS(1333),
    [sym_null] = ACTIONS(1333),
    [sym_inf] = ACTIONS(1333),
    [sym_nan] = ACTIONS(1333),
    [anon_sym_NA] = ACTIONS(1333),
    [anon_sym_NA_integer_] = ACTIONS(1333),
    [anon_sym_NA_real_] = ACTIONS(1333),
    [anon_sym_NA_complex_] = ACTIONS(1333),
    [anon_sym_NA_character_] = ACTIONS(1333),
    [sym_dots] = ACTIONS(1333),
    [sym_dot_dot_i] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1335),
    [sym__semicolon] = ACTIONS(1335),
    [sym__raw_string_literal] = ACTIONS(1335),
    [sym__external_open_parenthesis] = ACTIONS(1335),
    [sym__external_open_brace] = ACTIONS(1335),
    [sym__external_open_bracket] = ACTIONS(1335),
    [sym__external_open_bracket2] = ACTIONS(1335),
  },
  [785] = {
    [sym_identifier] = ACTIONS(1345),
    [anon_sym_BSLASH] = ACTIONS(1347),
    [anon_sym_function] = ACTIONS(1345),
    [anon_sym_EQ] = ACTIONS(1345),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_for] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1345),
    [anon_sym_repeat] = ACTIONS(1345),
    [anon_sym_QMARK] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [anon_sym_BANG] = ACTIONS(1345),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1345),
    [anon_sym_LT_DASH] = ACTIONS(1347),
    [anon_sym_LT_LT_DASH] = ACTIONS(1347),
    [anon_sym_COLON_EQ] = ACTIONS(1347),
    [anon_sym_DASH_GT] = ACTIONS(1345),
    [anon_sym_DASH_GT_GT] = ACTIONS(1347),
    [anon_sym_PIPE] = ACTIONS(1345),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE_PIPE] = ACTIONS(1347),
    [anon_sym_AMP_AMP] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1347),
    [anon_sym_GT] = ACTIONS(1345),
    [anon_sym_GT_EQ] = ACTIONS(1347),
    [anon_sym_EQ_EQ] = ACTIONS(1347),
    [anon_sym_BANG_EQ] = ACTIONS(1347),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_STAR_STAR] = ACTIONS(1347),
    [anon_sym_CARET] = ACTIONS(1347),
    [aux_sym_binary_operator_token1] = ACTIONS(1347),
    [anon_sym_PIPE_GT] = ACTIONS(1347),
    [anon_sym_COLON] = ACTIONS(1345),
    [anon_sym_DOLLAR] = ACTIONS(1347),
    [anon_sym_AT] = ACTIONS(1347),
    [anon_sym_COLON_COLON] = ACTIONS(1345),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1347),
    [sym__hex_literal] = ACTIONS(1347),
    [sym__number_literal] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [anon_sym_DQUOTE] = ACTIONS(1347),
    [sym_return] = ACTIONS(1345),
    [sym_next] = ACTIONS(1345),
    [sym_break] = ACTIONS(1345),
    [sym_true] = ACTIONS(1345),
    [sym_false] = ACTIONS(1345),
    [sym_null] = ACTIONS(1345),
    [sym_inf] = ACTIONS(1345),
    [sym_nan] = ACTIONS(1345),
    [anon_sym_NA] = ACTIONS(1345),
    [anon_sym_NA_integer_] = ACTIONS(1345),
    [anon_sym_NA_real_] = ACTIONS(1345),
    [anon_sym_NA_complex_] = ACTIONS(1345),
    [anon_sym_NA_character_] = ACTIONS(1345),
    [sym_dots] = ACTIONS(1345),
    [sym_dot_dot_i] = ACTIONS(1347),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1347),
    [sym__newline] = ACTIONS(1347),
    [sym__raw_string_literal] = ACTIONS(1347),
    [sym__external_open_parenthesis] = ACTIONS(1347),
    [sym__external_close_parenthesis] = ACTIONS(1347),
    [sym__external_open_brace] = ACTIONS(1347),
    [sym__external_open_bracket] = ACTIONS(1347),
    [sym__external_open_bracket2] = ACTIONS(1347),
  },
  [786] = {
    [sym_identifier] = ACTIONS(1349),
    [anon_sym_BSLASH] = ACTIONS(1351),
    [anon_sym_function] = ACTIONS(1349),
    [anon_sym_EQ] = ACTIONS(1349),
    [anon_sym_if] = ACTIONS(1349),
    [anon_sym_for] = ACTIONS(1349),
    [anon_sym_while] = ACTIONS(1349),
    [anon_sym_repeat] = ACTIONS(1349),
    [anon_sym_QMARK] = ACTIONS(1351),
    [anon_sym_TILDE] = ACTIONS(1351),
    [anon_sym_BANG] = ACTIONS(1349),
    [anon_sym_PLUS] = ACTIONS(1351),
    [anon_sym_DASH] = ACTIONS(1349),
    [anon_sym_LT_DASH] = ACTIONS(1351),
    [anon_sym_LT_LT_DASH] = ACTIONS(1351),
    [anon_sym_COLON_EQ] = ACTIONS(1351),
    [anon_sym_DASH_GT] = ACTIONS(1349),
    [anon_sym_DASH_GT_GT] = ACTIONS(1351),
    [anon_sym_PIPE] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1349),
    [anon_sym_PIPE_PIPE] = ACTIONS(1351),
    [anon_sym_AMP_AMP] = ACTIONS(1351),
    [anon_sym_LT] = ACTIONS(1349),
    [anon_sym_LT_EQ] = ACTIONS(1351),
    [anon_sym_GT] = ACTIONS(1349),
    [anon_sym_GT_EQ] = ACTIONS(1351),
    [anon_sym_EQ_EQ] = ACTIONS(1351),
    [anon_sym_BANG_EQ] = ACTIONS(1351),
    [anon_sym_STAR] = ACTIONS(1349),
    [anon_sym_SLASH] = ACTIONS(1351),
    [anon_sym_STAR_STAR] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1351),
    [aux_sym_binary_operator_token1] = ACTIONS(1351),
    [anon_sym_PIPE_GT] = ACTIONS(1351),
    [anon_sym_COLON] = ACTIONS(1349),
    [anon_sym_DOLLAR] = ACTIONS(1351),
    [anon_sym_AT] = ACTIONS(1351),
    [anon_sym_COLON_COLON] = ACTIONS(1349),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1351),
    [sym__hex_literal] = ACTIONS(1351),
    [sym__number_literal] = ACTIONS(1349),
    [anon_sym_SQUOTE] = ACTIONS(1351),
    [anon_sym_DQUOTE] = ACTIONS(1351),
    [sym_return] = ACTIONS(1349),
    [sym_next] = ACTIONS(1349),
    [sym_break] = ACTIONS(1349),
    [sym_true] = ACTIONS(1349),
    [sym_false] = ACTIONS(1349),
    [sym_null] = ACTIONS(1349),
    [sym_inf] = ACTIONS(1349),
    [sym_nan] = ACTIONS(1349),
    [anon_sym_NA] = ACTIONS(1349),
    [anon_sym_NA_integer_] = ACTIONS(1349),
    [anon_sym_NA_real_] = ACTIONS(1349),
    [anon_sym_NA_complex_] = ACTIONS(1349),
    [anon_sym_NA_character_] = ACTIONS(1349),
    [sym_dots] = ACTIONS(1349),
    [sym_dot_dot_i] = ACTIONS(1351),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1351),
    [sym__newline] = ACTIONS(1351),
    [sym__raw_string_literal] = ACTIONS(1351),
    [sym__external_open_parenthesis] = ACTIONS(1351),
    [sym__external_close_parenthesis] = ACTIONS(1351),
    [sym__external_open_brace] = ACTIONS(1351),
    [sym__external_open_bracket] = ACTIONS(1351),
    [sym__external_open_bracket2] = ACTIONS(1351),
  },
  [787] = {
    [sym_identifier] = ACTIONS(1349),
    [anon_sym_BSLASH] = ACTIONS(1351),
    [anon_sym_function] = ACTIONS(1349),
    [anon_sym_EQ] = ACTIONS(1349),
    [anon_sym_if] = ACTIONS(1349),
    [anon_sym_for] = ACTIONS(1349),
    [anon_sym_while] = ACTIONS(1349),
    [anon_sym_repeat] = ACTIONS(1349),
    [anon_sym_QMARK] = ACTIONS(1351),
    [anon_sym_TILDE] = ACTIONS(1351),
    [anon_sym_BANG] = ACTIONS(1349),
    [anon_sym_PLUS] = ACTIONS(1351),
    [anon_sym_DASH] = ACTIONS(1349),
    [anon_sym_LT_DASH] = ACTIONS(1351),
    [anon_sym_LT_LT_DASH] = ACTIONS(1351),
    [anon_sym_COLON_EQ] = ACTIONS(1351),
    [anon_sym_DASH_GT] = ACTIONS(1349),
    [anon_sym_DASH_GT_GT] = ACTIONS(1351),
    [anon_sym_PIPE] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1349),
    [anon_sym_PIPE_PIPE] = ACTIONS(1351),
    [anon_sym_AMP_AMP] = ACTIONS(1351),
    [anon_sym_LT] = ACTIONS(1349),
    [anon_sym_LT_EQ] = ACTIONS(1351),
    [anon_sym_GT] = ACTIONS(1349),
    [anon_sym_GT_EQ] = ACTIONS(1351),
    [anon_sym_EQ_EQ] = ACTIONS(1351),
    [anon_sym_BANG_EQ] = ACTIONS(1351),
    [anon_sym_STAR] = ACTIONS(1349),
    [anon_sym_SLASH] = ACTIONS(1351),
    [anon_sym_STAR_STAR] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1351),
    [aux_sym_binary_operator_token1] = ACTIONS(1351),
    [anon_sym_PIPE_GT] = ACTIONS(1351),
    [anon_sym_COLON] = ACTIONS(1349),
    [anon_sym_DOLLAR] = ACTIONS(1351),
    [anon_sym_AT] = ACTIONS(1351),
    [anon_sym_COLON_COLON] = ACTIONS(1349),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1351),
    [sym__hex_literal] = ACTIONS(1351),
    [sym__number_literal] = ACTIONS(1349),
    [anon_sym_SQUOTE] = ACTIONS(1351),
    [anon_sym_DQUOTE] = ACTIONS(1351),
    [sym_return] = ACTIONS(1349),
    [sym_next] = ACTIONS(1349),
    [sym_break] = ACTIONS(1349),
    [sym_true] = ACTIONS(1349),
    [sym_false] = ACTIONS(1349),
    [sym_null] = ACTIONS(1349),
    [sym_inf] = ACTIONS(1349),
    [sym_nan] = ACTIONS(1349),
    [anon_sym_NA] = ACTIONS(1349),
    [anon_sym_NA_integer_] = ACTIONS(1349),
    [anon_sym_NA_real_] = ACTIONS(1349),
    [anon_sym_NA_complex_] = ACTIONS(1349),
    [anon_sym_NA_character_] = ACTIONS(1349),
    [sym_dots] = ACTIONS(1349),
    [sym_dot_dot_i] = ACTIONS(1351),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1351),
    [sym__newline] = ACTIONS(1351),
    [sym__raw_string_literal] = ACTIONS(1351),
    [sym__external_open_parenthesis] = ACTIONS(1351),
    [sym__external_open_brace] = ACTIONS(1351),
    [sym__external_open_bracket] = ACTIONS(1351),
    [sym__external_open_bracket2] = ACTIONS(1351),
    [sym__external_close_bracket2] = ACTIONS(1351),
  },
  [788] = {
    [aux_sym_function_definition_repeat1] = STATE(788),
    [sym_identifier] = ACTIONS(1391),
    [anon_sym_BSLASH] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1391),
    [anon_sym_EQ] = ACTIONS(1391),
    [anon_sym_if] = ACTIONS(1391),
    [anon_sym_for] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1391),
    [anon_sym_repeat] = ACTIONS(1391),
    [anon_sym_QMARK] = ACTIONS(1393),
    [anon_sym_TILDE] = ACTIONS(1393),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1391),
    [anon_sym_LT_DASH] = ACTIONS(1393),
    [anon_sym_LT_LT_DASH] = ACTIONS(1393),
    [anon_sym_COLON_EQ] = ACTIONS(1393),
    [anon_sym_DASH_GT] = ACTIONS(1391),
    [anon_sym_DASH_GT_GT] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_AMP] = ACTIONS(1391),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_AMP_AMP] = ACTIONS(1393),
    [anon_sym_LT] = ACTIONS(1391),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_GT] = ACTIONS(1391),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_EQ_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_SLASH] = ACTIONS(1393),
    [anon_sym_STAR_STAR] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [aux_sym_binary_operator_token1] = ACTIONS(1393),
    [anon_sym_PIPE_GT] = ACTIONS(1393),
    [anon_sym_COLON] = ACTIONS(1391),
    [anon_sym_DOLLAR] = ACTIONS(1393),
    [anon_sym_AT] = ACTIONS(1393),
    [sym__hex_literal] = ACTIONS(1393),
    [sym__number_literal] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [anon_sym_DQUOTE] = ACTIONS(1393),
    [sym_return] = ACTIONS(1391),
    [sym_next] = ACTIONS(1391),
    [sym_break] = ACTIONS(1391),
    [sym_true] = ACTIONS(1391),
    [sym_false] = ACTIONS(1391),
    [sym_null] = ACTIONS(1391),
    [sym_inf] = ACTIONS(1391),
    [sym_nan] = ACTIONS(1391),
    [anon_sym_NA] = ACTIONS(1391),
    [anon_sym_NA_integer_] = ACTIONS(1391),
    [anon_sym_NA_real_] = ACTIONS(1391),
    [anon_sym_NA_complex_] = ACTIONS(1391),
    [anon_sym_NA_character_] = ACTIONS(1391),
    [sym_dots] = ACTIONS(1391),
    [sym_dot_dot_i] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1393),
    [sym__newline] = ACTIONS(1398),
    [sym__raw_string_literal] = ACTIONS(1393),
    [sym__external_else] = ACTIONS(1393),
    [sym__external_open_parenthesis] = ACTIONS(1393),
    [sym__external_close_parenthesis] = ACTIONS(1393),
    [sym__external_open_brace] = ACTIONS(1393),
    [sym__external_open_bracket] = ACTIONS(1393),
    [sym__external_open_bracket2] = ACTIONS(1393),
  },
  [789] = {
    [sym_identifier] = ACTIONS(1313),
    [anon_sym_BSLASH] = ACTIONS(1315),
    [anon_sym_function] = ACTIONS(1313),
    [anon_sym_EQ] = ACTIONS(1313),
    [anon_sym_if] = ACTIONS(1313),
    [anon_sym_for] = ACTIONS(1313),
    [anon_sym_while] = ACTIONS(1313),
    [anon_sym_repeat] = ACTIONS(1313),
    [anon_sym_QMARK] = ACTIONS(1315),
    [anon_sym_TILDE] = ACTIONS(1315),
    [anon_sym_BANG] = ACTIONS(1313),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_DASH] = ACTIONS(1313),
    [anon_sym_LT_DASH] = ACTIONS(1315),
    [anon_sym_LT_LT_DASH] = ACTIONS(1315),
    [anon_sym_COLON_EQ] = ACTIONS(1315),
    [anon_sym_DASH_GT] = ACTIONS(1313),
    [anon_sym_DASH_GT_GT] = ACTIONS(1315),
    [anon_sym_PIPE] = ACTIONS(1313),
    [anon_sym_AMP] = ACTIONS(1313),
    [anon_sym_PIPE_PIPE] = ACTIONS(1315),
    [anon_sym_AMP_AMP] = ACTIONS(1315),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_LT_EQ] = ACTIONS(1315),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_GT_EQ] = ACTIONS(1315),
    [anon_sym_EQ_EQ] = ACTIONS(1315),
    [anon_sym_BANG_EQ] = ACTIONS(1315),
    [anon_sym_STAR] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1315),
    [anon_sym_STAR_STAR] = ACTIONS(1315),
    [anon_sym_CARET] = ACTIONS(1315),
    [aux_sym_binary_operator_token1] = ACTIONS(1315),
    [anon_sym_PIPE_GT] = ACTIONS(1315),
    [anon_sym_COLON] = ACTIONS(1313),
    [anon_sym_DOLLAR] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(1315),
    [anon_sym_COLON_COLON] = ACTIONS(1313),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1315),
    [sym__hex_literal] = ACTIONS(1315),
    [sym__number_literal] = ACTIONS(1313),
    [anon_sym_SQUOTE] = ACTIONS(1315),
    [anon_sym_DQUOTE] = ACTIONS(1315),
    [sym_return] = ACTIONS(1313),
    [sym_next] = ACTIONS(1313),
    [sym_break] = ACTIONS(1313),
    [sym_true] = ACTIONS(1313),
    [sym_false] = ACTIONS(1313),
    [sym_null] = ACTIONS(1313),
    [sym_inf] = ACTIONS(1313),
    [sym_nan] = ACTIONS(1313),
    [anon_sym_NA] = ACTIONS(1313),
    [anon_sym_NA_integer_] = ACTIONS(1313),
    [anon_sym_NA_real_] = ACTIONS(1313),
    [anon_sym_NA_complex_] = ACTIONS(1313),
    [anon_sym_NA_character_] = ACTIONS(1313),
    [sym_dots] = ACTIONS(1313),
    [sym_dot_dot_i] = ACTIONS(1315),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1315),
    [sym__semicolon] = ACTIONS(1315),
    [sym__raw_string_literal] = ACTIONS(1315),
    [sym__external_open_parenthesis] = ACTIONS(1315),
    [sym__external_open_brace] = ACTIONS(1315),
    [sym__external_close_brace] = ACTIONS(1315),
    [sym__external_open_bracket] = ACTIONS(1315),
    [sym__external_open_bracket2] = ACTIONS(1315),
  },
  [790] = {
    [sym_identifier] = ACTIONS(1313),
    [anon_sym_BSLASH] = ACTIONS(1315),
    [anon_sym_function] = ACTIONS(1313),
    [anon_sym_EQ] = ACTIONS(1313),
    [anon_sym_if] = ACTIONS(1313),
    [anon_sym_for] = ACTIONS(1313),
    [anon_sym_while] = ACTIONS(1313),
    [anon_sym_repeat] = ACTIONS(1313),
    [anon_sym_QMARK] = ACTIONS(1315),
    [anon_sym_TILDE] = ACTIONS(1315),
    [anon_sym_BANG] = ACTIONS(1313),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_DASH] = ACTIONS(1313),
    [anon_sym_LT_DASH] = ACTIONS(1315),
    [anon_sym_LT_LT_DASH] = ACTIONS(1315),
    [anon_sym_COLON_EQ] = ACTIONS(1315),
    [anon_sym_DASH_GT] = ACTIONS(1313),
    [anon_sym_DASH_GT_GT] = ACTIONS(1315),
    [anon_sym_PIPE] = ACTIONS(1313),
    [anon_sym_AMP] = ACTIONS(1313),
    [anon_sym_PIPE_PIPE] = ACTIONS(1315),
    [anon_sym_AMP_AMP] = ACTIONS(1315),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_LT_EQ] = ACTIONS(1315),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_GT_EQ] = ACTIONS(1315),
    [anon_sym_EQ_EQ] = ACTIONS(1315),
    [anon_sym_BANG_EQ] = ACTIONS(1315),
    [anon_sym_STAR] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1315),
    [anon_sym_STAR_STAR] = ACTIONS(1315),
    [anon_sym_CARET] = ACTIONS(1315),
    [aux_sym_binary_operator_token1] = ACTIONS(1315),
    [anon_sym_PIPE_GT] = ACTIONS(1315),
    [anon_sym_COLON] = ACTIONS(1313),
    [anon_sym_DOLLAR] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(1315),
    [anon_sym_COLON_COLON] = ACTIONS(1313),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1315),
    [sym__hex_literal] = ACTIONS(1315),
    [sym__number_literal] = ACTIONS(1313),
    [anon_sym_SQUOTE] = ACTIONS(1315),
    [anon_sym_DQUOTE] = ACTIONS(1315),
    [sym_return] = ACTIONS(1313),
    [sym_next] = ACTIONS(1313),
    [sym_break] = ACTIONS(1313),
    [sym_true] = ACTIONS(1313),
    [sym_false] = ACTIONS(1313),
    [sym_null] = ACTIONS(1313),
    [sym_inf] = ACTIONS(1313),
    [sym_nan] = ACTIONS(1313),
    [anon_sym_NA] = ACTIONS(1313),
    [anon_sym_NA_integer_] = ACTIONS(1313),
    [anon_sym_NA_real_] = ACTIONS(1313),
    [anon_sym_NA_complex_] = ACTIONS(1313),
    [anon_sym_NA_character_] = ACTIONS(1313),
    [sym_dots] = ACTIONS(1313),
    [sym_dot_dot_i] = ACTIONS(1315),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1315),
    [sym__newline] = ACTIONS(1315),
    [sym__raw_string_literal] = ACTIONS(1315),
    [sym__external_open_parenthesis] = ACTIONS(1315),
    [sym__external_open_brace] = ACTIONS(1315),
    [sym__external_open_bracket] = ACTIONS(1315),
    [sym__external_close_bracket] = ACTIONS(1315),
    [sym__external_open_bracket2] = ACTIONS(1315),
  },
  [791] = {
    [sym_identifier] = ACTIONS(1341),
    [anon_sym_BSLASH] = ACTIONS(1343),
    [anon_sym_function] = ACTIONS(1341),
    [anon_sym_EQ] = ACTIONS(1341),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_for] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1341),
    [anon_sym_repeat] = ACTIONS(1341),
    [anon_sym_QMARK] = ACTIONS(1343),
    [anon_sym_TILDE] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_LT_DASH] = ACTIONS(1343),
    [anon_sym_LT_LT_DASH] = ACTIONS(1343),
    [anon_sym_COLON_EQ] = ACTIONS(1343),
    [anon_sym_DASH_GT] = ACTIONS(1341),
    [anon_sym_DASH_GT_GT] = ACTIONS(1343),
    [anon_sym_PIPE] = ACTIONS(1341),
    [anon_sym_AMP] = ACTIONS(1341),
    [anon_sym_PIPE_PIPE] = ACTIONS(1343),
    [anon_sym_AMP_AMP] = ACTIONS(1343),
    [anon_sym_LT] = ACTIONS(1341),
    [anon_sym_LT_EQ] = ACTIONS(1343),
    [anon_sym_GT] = ACTIONS(1341),
    [anon_sym_GT_EQ] = ACTIONS(1343),
    [anon_sym_EQ_EQ] = ACTIONS(1343),
    [anon_sym_BANG_EQ] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(1343),
    [anon_sym_STAR_STAR] = ACTIONS(1343),
    [anon_sym_CARET] = ACTIONS(1343),
    [aux_sym_binary_operator_token1] = ACTIONS(1343),
    [anon_sym_PIPE_GT] = ACTIONS(1343),
    [anon_sym_COLON] = ACTIONS(1341),
    [anon_sym_DOLLAR] = ACTIONS(1343),
    [anon_sym_AT] = ACTIONS(1343),
    [anon_sym_COLON_COLON] = ACTIONS(1341),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1343),
    [sym__hex_literal] = ACTIONS(1343),
    [sym__number_literal] = ACTIONS(1341),
    [anon_sym_SQUOTE] = ACTIONS(1343),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_return] = ACTIONS(1341),
    [sym_next] = ACTIONS(1341),
    [sym_break] = ACTIONS(1341),
    [sym_true] = ACTIONS(1341),
    [sym_false] = ACTIONS(1341),
    [sym_null] = ACTIONS(1341),
    [sym_inf] = ACTIONS(1341),
    [sym_nan] = ACTIONS(1341),
    [anon_sym_NA] = ACTIONS(1341),
    [anon_sym_NA_integer_] = ACTIONS(1341),
    [anon_sym_NA_real_] = ACTIONS(1341),
    [anon_sym_NA_complex_] = ACTIONS(1341),
    [anon_sym_NA_character_] = ACTIONS(1341),
    [sym_dots] = ACTIONS(1341),
    [sym_dot_dot_i] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1343),
    [sym__newline] = ACTIONS(1343),
    [sym__raw_string_literal] = ACTIONS(1343),
    [sym__external_open_parenthesis] = ACTIONS(1343),
    [sym__external_open_brace] = ACTIONS(1343),
    [sym__external_open_bracket] = ACTIONS(1343),
    [sym__external_close_bracket] = ACTIONS(1343),
    [sym__external_open_bracket2] = ACTIONS(1343),
  },
  [792] = {
    [sym_identifier] = ACTIONS(1341),
    [anon_sym_BSLASH] = ACTIONS(1343),
    [anon_sym_function] = ACTIONS(1341),
    [anon_sym_EQ] = ACTIONS(1341),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_for] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1341),
    [anon_sym_repeat] = ACTIONS(1341),
    [anon_sym_QMARK] = ACTIONS(1343),
    [anon_sym_TILDE] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_LT_DASH] = ACTIONS(1343),
    [anon_sym_LT_LT_DASH] = ACTIONS(1343),
    [anon_sym_COLON_EQ] = ACTIONS(1343),
    [anon_sym_DASH_GT] = ACTIONS(1341),
    [anon_sym_DASH_GT_GT] = ACTIONS(1343),
    [anon_sym_PIPE] = ACTIONS(1341),
    [anon_sym_AMP] = ACTIONS(1341),
    [anon_sym_PIPE_PIPE] = ACTIONS(1343),
    [anon_sym_AMP_AMP] = ACTIONS(1343),
    [anon_sym_LT] = ACTIONS(1341),
    [anon_sym_LT_EQ] = ACTIONS(1343),
    [anon_sym_GT] = ACTIONS(1341),
    [anon_sym_GT_EQ] = ACTIONS(1343),
    [anon_sym_EQ_EQ] = ACTIONS(1343),
    [anon_sym_BANG_EQ] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(1343),
    [anon_sym_STAR_STAR] = ACTIONS(1343),
    [anon_sym_CARET] = ACTIONS(1343),
    [aux_sym_binary_operator_token1] = ACTIONS(1343),
    [anon_sym_PIPE_GT] = ACTIONS(1343),
    [anon_sym_COLON] = ACTIONS(1341),
    [anon_sym_DOLLAR] = ACTIONS(1343),
    [anon_sym_AT] = ACTIONS(1343),
    [anon_sym_COLON_COLON] = ACTIONS(1341),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1343),
    [sym__hex_literal] = ACTIONS(1343),
    [sym__number_literal] = ACTIONS(1341),
    [anon_sym_SQUOTE] = ACTIONS(1343),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_return] = ACTIONS(1341),
    [sym_next] = ACTIONS(1341),
    [sym_break] = ACTIONS(1341),
    [sym_true] = ACTIONS(1341),
    [sym_false] = ACTIONS(1341),
    [sym_null] = ACTIONS(1341),
    [sym_inf] = ACTIONS(1341),
    [sym_nan] = ACTIONS(1341),
    [anon_sym_NA] = ACTIONS(1341),
    [anon_sym_NA_integer_] = ACTIONS(1341),
    [anon_sym_NA_real_] = ACTIONS(1341),
    [anon_sym_NA_complex_] = ACTIONS(1341),
    [anon_sym_NA_character_] = ACTIONS(1341),
    [sym_dots] = ACTIONS(1341),
    [sym_dot_dot_i] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1343),
    [sym__semicolon] = ACTIONS(1343),
    [sym__raw_string_literal] = ACTIONS(1343),
    [sym__external_open_parenthesis] = ACTIONS(1343),
    [sym__external_open_brace] = ACTIONS(1343),
    [sym__external_close_brace] = ACTIONS(1343),
    [sym__external_open_bracket] = ACTIONS(1343),
    [sym__external_open_bracket2] = ACTIONS(1343),
  },
  [793] = {
    [ts_builtin_sym_end] = ACTIONS(1347),
    [sym_identifier] = ACTIONS(1345),
    [anon_sym_BSLASH] = ACTIONS(1347),
    [anon_sym_function] = ACTIONS(1345),
    [anon_sym_EQ] = ACTIONS(1345),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_for] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1345),
    [anon_sym_repeat] = ACTIONS(1345),
    [anon_sym_QMARK] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [anon_sym_BANG] = ACTIONS(1345),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1345),
    [anon_sym_LT_DASH] = ACTIONS(1347),
    [anon_sym_LT_LT_DASH] = ACTIONS(1347),
    [anon_sym_COLON_EQ] = ACTIONS(1347),
    [anon_sym_DASH_GT] = ACTIONS(1345),
    [anon_sym_DASH_GT_GT] = ACTIONS(1347),
    [anon_sym_PIPE] = ACTIONS(1345),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE_PIPE] = ACTIONS(1347),
    [anon_sym_AMP_AMP] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1347),
    [anon_sym_GT] = ACTIONS(1345),
    [anon_sym_GT_EQ] = ACTIONS(1347),
    [anon_sym_EQ_EQ] = ACTIONS(1347),
    [anon_sym_BANG_EQ] = ACTIONS(1347),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_STAR_STAR] = ACTIONS(1347),
    [anon_sym_CARET] = ACTIONS(1347),
    [aux_sym_binary_operator_token1] = ACTIONS(1347),
    [anon_sym_PIPE_GT] = ACTIONS(1347),
    [anon_sym_COLON] = ACTIONS(1345),
    [anon_sym_DOLLAR] = ACTIONS(1347),
    [anon_sym_AT] = ACTIONS(1347),
    [anon_sym_COLON_COLON] = ACTIONS(1345),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1347),
    [sym__hex_literal] = ACTIONS(1347),
    [sym__number_literal] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [anon_sym_DQUOTE] = ACTIONS(1347),
    [sym_return] = ACTIONS(1345),
    [sym_next] = ACTIONS(1345),
    [sym_break] = ACTIONS(1345),
    [sym_true] = ACTIONS(1345),
    [sym_false] = ACTIONS(1345),
    [sym_null] = ACTIONS(1345),
    [sym_inf] = ACTIONS(1345),
    [sym_nan] = ACTIONS(1345),
    [anon_sym_NA] = ACTIONS(1345),
    [anon_sym_NA_integer_] = ACTIONS(1345),
    [anon_sym_NA_real_] = ACTIONS(1345),
    [anon_sym_NA_complex_] = ACTIONS(1345),
    [anon_sym_NA_character_] = ACTIONS(1345),
    [sym_dots] = ACTIONS(1345),
    [sym_dot_dot_i] = ACTIONS(1347),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1347),
    [sym__semicolon] = ACTIONS(1347),
    [sym__raw_string_literal] = ACTIONS(1347),
    [sym__external_open_parenthesis] = ACTIONS(1347),
    [sym__external_open_brace] = ACTIONS(1347),
    [sym__external_open_bracket] = ACTIONS(1347),
    [sym__external_open_bracket2] = ACTIONS(1347),
  },
  [794] = {
    [sym_identifier] = ACTIONS(1313),
    [anon_sym_BSLASH] = ACTIONS(1315),
    [anon_sym_function] = ACTIONS(1313),
    [anon_sym_EQ] = ACTIONS(1313),
    [anon_sym_if] = ACTIONS(1313),
    [anon_sym_for] = ACTIONS(1313),
    [anon_sym_while] = ACTIONS(1313),
    [anon_sym_repeat] = ACTIONS(1313),
    [anon_sym_QMARK] = ACTIONS(1315),
    [anon_sym_TILDE] = ACTIONS(1315),
    [anon_sym_BANG] = ACTIONS(1313),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_DASH] = ACTIONS(1313),
    [anon_sym_LT_DASH] = ACTIONS(1315),
    [anon_sym_LT_LT_DASH] = ACTIONS(1315),
    [anon_sym_COLON_EQ] = ACTIONS(1315),
    [anon_sym_DASH_GT] = ACTIONS(1313),
    [anon_sym_DASH_GT_GT] = ACTIONS(1315),
    [anon_sym_PIPE] = ACTIONS(1313),
    [anon_sym_AMP] = ACTIONS(1313),
    [anon_sym_PIPE_PIPE] = ACTIONS(1315),
    [anon_sym_AMP_AMP] = ACTIONS(1315),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_LT_EQ] = ACTIONS(1315),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_GT_EQ] = ACTIONS(1315),
    [anon_sym_EQ_EQ] = ACTIONS(1315),
    [anon_sym_BANG_EQ] = ACTIONS(1315),
    [anon_sym_STAR] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1315),
    [anon_sym_STAR_STAR] = ACTIONS(1315),
    [anon_sym_CARET] = ACTIONS(1315),
    [aux_sym_binary_operator_token1] = ACTIONS(1315),
    [anon_sym_PIPE_GT] = ACTIONS(1315),
    [anon_sym_COLON] = ACTIONS(1313),
    [anon_sym_DOLLAR] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(1315),
    [anon_sym_COLON_COLON] = ACTIONS(1313),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1315),
    [sym__hex_literal] = ACTIONS(1315),
    [sym__number_literal] = ACTIONS(1313),
    [anon_sym_SQUOTE] = ACTIONS(1315),
    [anon_sym_DQUOTE] = ACTIONS(1315),
    [sym_return] = ACTIONS(1313),
    [sym_next] = ACTIONS(1313),
    [sym_break] = ACTIONS(1313),
    [sym_true] = ACTIONS(1313),
    [sym_false] = ACTIONS(1313),
    [sym_null] = ACTIONS(1313),
    [sym_inf] = ACTIONS(1313),
    [sym_nan] = ACTIONS(1313),
    [anon_sym_NA] = ACTIONS(1313),
    [anon_sym_NA_integer_] = ACTIONS(1313),
    [anon_sym_NA_real_] = ACTIONS(1313),
    [anon_sym_NA_complex_] = ACTIONS(1313),
    [anon_sym_NA_character_] = ACTIONS(1313),
    [sym_dots] = ACTIONS(1313),
    [sym_dot_dot_i] = ACTIONS(1315),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1315),
    [sym__newline] = ACTIONS(1315),
    [sym__raw_string_literal] = ACTIONS(1315),
    [sym__external_open_parenthesis] = ACTIONS(1315),
    [sym__external_close_parenthesis] = ACTIONS(1315),
    [sym__external_open_brace] = ACTIONS(1315),
    [sym__external_open_bracket] = ACTIONS(1315),
    [sym__external_open_bracket2] = ACTIONS(1315),
  },
  [795] = {
    [sym_identifier] = ACTIONS(1341),
    [anon_sym_BSLASH] = ACTIONS(1343),
    [anon_sym_function] = ACTIONS(1341),
    [anon_sym_EQ] = ACTIONS(1341),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_for] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1341),
    [anon_sym_repeat] = ACTIONS(1341),
    [anon_sym_QMARK] = ACTIONS(1343),
    [anon_sym_TILDE] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_LT_DASH] = ACTIONS(1343),
    [anon_sym_LT_LT_DASH] = ACTIONS(1343),
    [anon_sym_COLON_EQ] = ACTIONS(1343),
    [anon_sym_DASH_GT] = ACTIONS(1341),
    [anon_sym_DASH_GT_GT] = ACTIONS(1343),
    [anon_sym_PIPE] = ACTIONS(1341),
    [anon_sym_AMP] = ACTIONS(1341),
    [anon_sym_PIPE_PIPE] = ACTIONS(1343),
    [anon_sym_AMP_AMP] = ACTIONS(1343),
    [anon_sym_LT] = ACTIONS(1341),
    [anon_sym_LT_EQ] = ACTIONS(1343),
    [anon_sym_GT] = ACTIONS(1341),
    [anon_sym_GT_EQ] = ACTIONS(1343),
    [anon_sym_EQ_EQ] = ACTIONS(1343),
    [anon_sym_BANG_EQ] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(1343),
    [anon_sym_STAR_STAR] = ACTIONS(1343),
    [anon_sym_CARET] = ACTIONS(1343),
    [aux_sym_binary_operator_token1] = ACTIONS(1343),
    [anon_sym_PIPE_GT] = ACTIONS(1343),
    [anon_sym_COLON] = ACTIONS(1341),
    [anon_sym_DOLLAR] = ACTIONS(1343),
    [anon_sym_AT] = ACTIONS(1343),
    [anon_sym_COLON_COLON] = ACTIONS(1341),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1343),
    [sym__hex_literal] = ACTIONS(1343),
    [sym__number_literal] = ACTIONS(1341),
    [anon_sym_SQUOTE] = ACTIONS(1343),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_return] = ACTIONS(1341),
    [sym_next] = ACTIONS(1341),
    [sym_break] = ACTIONS(1341),
    [sym_true] = ACTIONS(1341),
    [sym_false] = ACTIONS(1341),
    [sym_null] = ACTIONS(1341),
    [sym_inf] = ACTIONS(1341),
    [sym_nan] = ACTIONS(1341),
    [anon_sym_NA] = ACTIONS(1341),
    [anon_sym_NA_integer_] = ACTIONS(1341),
    [anon_sym_NA_real_] = ACTIONS(1341),
    [anon_sym_NA_complex_] = ACTIONS(1341),
    [anon_sym_NA_character_] = ACTIONS(1341),
    [sym_dots] = ACTIONS(1341),
    [sym_dot_dot_i] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1343),
    [sym__newline] = ACTIONS(1343),
    [sym__raw_string_literal] = ACTIONS(1343),
    [sym__external_open_parenthesis] = ACTIONS(1343),
    [sym__external_close_parenthesis] = ACTIONS(1343),
    [sym__external_open_brace] = ACTIONS(1343),
    [sym__external_open_bracket] = ACTIONS(1343),
    [sym__external_open_bracket2] = ACTIONS(1343),
  },
  [796] = {
    [aux_sym_function_definition_repeat1] = STATE(796),
    [sym_identifier] = ACTIONS(1391),
    [anon_sym_BSLASH] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1391),
    [anon_sym_EQ] = ACTIONS(1391),
    [anon_sym_if] = ACTIONS(1391),
    [anon_sym_for] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1391),
    [anon_sym_repeat] = ACTIONS(1391),
    [anon_sym_QMARK] = ACTIONS(1393),
    [anon_sym_TILDE] = ACTIONS(1393),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1391),
    [anon_sym_LT_DASH] = ACTIONS(1393),
    [anon_sym_LT_LT_DASH] = ACTIONS(1393),
    [anon_sym_COLON_EQ] = ACTIONS(1393),
    [anon_sym_DASH_GT] = ACTIONS(1391),
    [anon_sym_DASH_GT_GT] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_AMP] = ACTIONS(1391),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_AMP_AMP] = ACTIONS(1393),
    [anon_sym_LT] = ACTIONS(1391),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_GT] = ACTIONS(1391),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_EQ_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_SLASH] = ACTIONS(1393),
    [anon_sym_STAR_STAR] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [aux_sym_binary_operator_token1] = ACTIONS(1393),
    [anon_sym_PIPE_GT] = ACTIONS(1393),
    [anon_sym_COLON] = ACTIONS(1391),
    [anon_sym_DOLLAR] = ACTIONS(1393),
    [anon_sym_AT] = ACTIONS(1393),
    [sym__hex_literal] = ACTIONS(1393),
    [sym__number_literal] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [anon_sym_DQUOTE] = ACTIONS(1393),
    [sym_return] = ACTIONS(1391),
    [sym_next] = ACTIONS(1391),
    [sym_break] = ACTIONS(1391),
    [sym_true] = ACTIONS(1391),
    [sym_false] = ACTIONS(1391),
    [sym_null] = ACTIONS(1391),
    [sym_inf] = ACTIONS(1391),
    [sym_nan] = ACTIONS(1391),
    [anon_sym_NA] = ACTIONS(1391),
    [anon_sym_NA_integer_] = ACTIONS(1391),
    [anon_sym_NA_real_] = ACTIONS(1391),
    [anon_sym_NA_complex_] = ACTIONS(1391),
    [anon_sym_NA_character_] = ACTIONS(1391),
    [sym_dots] = ACTIONS(1391),
    [sym_dot_dot_i] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1393),
    [sym__newline] = ACTIONS(1401),
    [sym__raw_string_literal] = ACTIONS(1393),
    [sym__external_else] = ACTIONS(1393),
    [sym__external_open_parenthesis] = ACTIONS(1393),
    [sym__external_open_brace] = ACTIONS(1393),
    [sym__external_open_bracket] = ACTIONS(1393),
    [sym__external_close_bracket] = ACTIONS(1393),
    [sym__external_open_bracket2] = ACTIONS(1393),
  },
  [797] = {
    [aux_sym_function_definition_repeat1] = STATE(797),
    [sym_identifier] = ACTIONS(1391),
    [anon_sym_BSLASH] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1391),
    [anon_sym_EQ] = ACTIONS(1391),
    [anon_sym_if] = ACTIONS(1391),
    [anon_sym_for] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1391),
    [anon_sym_repeat] = ACTIONS(1391),
    [anon_sym_QMARK] = ACTIONS(1393),
    [anon_sym_TILDE] = ACTIONS(1393),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1391),
    [anon_sym_LT_DASH] = ACTIONS(1393),
    [anon_sym_LT_LT_DASH] = ACTIONS(1393),
    [anon_sym_COLON_EQ] = ACTIONS(1393),
    [anon_sym_DASH_GT] = ACTIONS(1391),
    [anon_sym_DASH_GT_GT] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_AMP] = ACTIONS(1391),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_AMP_AMP] = ACTIONS(1393),
    [anon_sym_LT] = ACTIONS(1391),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_GT] = ACTIONS(1391),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_EQ_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_SLASH] = ACTIONS(1393),
    [anon_sym_STAR_STAR] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [aux_sym_binary_operator_token1] = ACTIONS(1393),
    [anon_sym_PIPE_GT] = ACTIONS(1393),
    [anon_sym_COLON] = ACTIONS(1391),
    [anon_sym_DOLLAR] = ACTIONS(1393),
    [anon_sym_AT] = ACTIONS(1393),
    [sym__hex_literal] = ACTIONS(1393),
    [sym__number_literal] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [anon_sym_DQUOTE] = ACTIONS(1393),
    [sym_return] = ACTIONS(1391),
    [sym_next] = ACTIONS(1391),
    [sym_break] = ACTIONS(1391),
    [sym_true] = ACTIONS(1391),
    [sym_false] = ACTIONS(1391),
    [sym_null] = ACTIONS(1391),
    [sym_inf] = ACTIONS(1391),
    [sym_nan] = ACTIONS(1391),
    [anon_sym_NA] = ACTIONS(1391),
    [anon_sym_NA_integer_] = ACTIONS(1391),
    [anon_sym_NA_real_] = ACTIONS(1391),
    [anon_sym_NA_complex_] = ACTIONS(1391),
    [anon_sym_NA_character_] = ACTIONS(1391),
    [sym_dots] = ACTIONS(1391),
    [sym_dot_dot_i] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1393),
    [sym__newline] = ACTIONS(1404),
    [sym__raw_string_literal] = ACTIONS(1393),
    [sym__external_else] = ACTIONS(1393),
    [sym__external_open_parenthesis] = ACTIONS(1393),
    [sym__external_open_brace] = ACTIONS(1393),
    [sym__external_open_bracket] = ACTIONS(1393),
    [sym__external_open_bracket2] = ACTIONS(1393),
    [sym__external_close_bracket2] = ACTIONS(1393),
  },
  [798] = {
    [sym_identifier] = ACTIONS(1357),
    [anon_sym_BSLASH] = ACTIONS(1359),
    [anon_sym_function] = ACTIONS(1357),
    [anon_sym_EQ] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_repeat] = ACTIONS(1357),
    [anon_sym_QMARK] = ACTIONS(1359),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_BANG] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1357),
    [anon_sym_LT_DASH] = ACTIONS(1359),
    [anon_sym_LT_LT_DASH] = ACTIONS(1359),
    [anon_sym_COLON_EQ] = ACTIONS(1359),
    [anon_sym_DASH_GT] = ACTIONS(1357),
    [anon_sym_DASH_GT_GT] = ACTIONS(1359),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE_PIPE] = ACTIONS(1359),
    [anon_sym_AMP_AMP] = ACTIONS(1359),
    [anon_sym_LT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1359),
    [anon_sym_GT] = ACTIONS(1357),
    [anon_sym_GT_EQ] = ACTIONS(1359),
    [anon_sym_EQ_EQ] = ACTIONS(1359),
    [anon_sym_BANG_EQ] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_SLASH] = ACTIONS(1359),
    [anon_sym_STAR_STAR] = ACTIONS(1359),
    [anon_sym_CARET] = ACTIONS(1359),
    [aux_sym_binary_operator_token1] = ACTIONS(1359),
    [anon_sym_PIPE_GT] = ACTIONS(1359),
    [anon_sym_COLON] = ACTIONS(1357),
    [anon_sym_DOLLAR] = ACTIONS(1359),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_COLON_COLON] = ACTIONS(1357),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1359),
    [sym__hex_literal] = ACTIONS(1359),
    [sym__number_literal] = ACTIONS(1357),
    [anon_sym_SQUOTE] = ACTIONS(1359),
    [anon_sym_DQUOTE] = ACTIONS(1359),
    [sym_return] = ACTIONS(1357),
    [sym_next] = ACTIONS(1357),
    [sym_break] = ACTIONS(1357),
    [sym_true] = ACTIONS(1357),
    [sym_false] = ACTIONS(1357),
    [sym_null] = ACTIONS(1357),
    [sym_inf] = ACTIONS(1357),
    [sym_nan] = ACTIONS(1357),
    [anon_sym_NA] = ACTIONS(1357),
    [anon_sym_NA_integer_] = ACTIONS(1357),
    [anon_sym_NA_real_] = ACTIONS(1357),
    [anon_sym_NA_complex_] = ACTIONS(1357),
    [anon_sym_NA_character_] = ACTIONS(1357),
    [sym_dots] = ACTIONS(1357),
    [sym_dot_dot_i] = ACTIONS(1359),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1359),
    [sym__newline] = ACTIONS(1359),
    [sym__raw_string_literal] = ACTIONS(1359),
    [sym__external_open_parenthesis] = ACTIONS(1359),
    [sym__external_close_parenthesis] = ACTIONS(1359),
    [sym__external_open_brace] = ACTIONS(1359),
    [sym__external_open_bracket] = ACTIONS(1359),
    [sym__external_open_bracket2] = ACTIONS(1359),
  },
  [799] = {
    [ts_builtin_sym_end] = ACTIONS(1351),
    [sym_identifier] = ACTIONS(1349),
    [anon_sym_BSLASH] = ACTIONS(1351),
    [anon_sym_function] = ACTIONS(1349),
    [anon_sym_EQ] = ACTIONS(1349),
    [anon_sym_if] = ACTIONS(1349),
    [anon_sym_for] = ACTIONS(1349),
    [anon_sym_while] = ACTIONS(1349),
    [anon_sym_repeat] = ACTIONS(1349),
    [anon_sym_QMARK] = ACTIONS(1351),
    [anon_sym_TILDE] = ACTIONS(1351),
    [anon_sym_BANG] = ACTIONS(1349),
    [anon_sym_PLUS] = ACTIONS(1351),
    [anon_sym_DASH] = ACTIONS(1349),
    [anon_sym_LT_DASH] = ACTIONS(1351),
    [anon_sym_LT_LT_DASH] = ACTIONS(1351),
    [anon_sym_COLON_EQ] = ACTIONS(1351),
    [anon_sym_DASH_GT] = ACTIONS(1349),
    [anon_sym_DASH_GT_GT] = ACTIONS(1351),
    [anon_sym_PIPE] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1349),
    [anon_sym_PIPE_PIPE] = ACTIONS(1351),
    [anon_sym_AMP_AMP] = ACTIONS(1351),
    [anon_sym_LT] = ACTIONS(1349),
    [anon_sym_LT_EQ] = ACTIONS(1351),
    [anon_sym_GT] = ACTIONS(1349),
    [anon_sym_GT_EQ] = ACTIONS(1351),
    [anon_sym_EQ_EQ] = ACTIONS(1351),
    [anon_sym_BANG_EQ] = ACTIONS(1351),
    [anon_sym_STAR] = ACTIONS(1349),
    [anon_sym_SLASH] = ACTIONS(1351),
    [anon_sym_STAR_STAR] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1351),
    [aux_sym_binary_operator_token1] = ACTIONS(1351),
    [anon_sym_PIPE_GT] = ACTIONS(1351),
    [anon_sym_COLON] = ACTIONS(1349),
    [anon_sym_DOLLAR] = ACTIONS(1351),
    [anon_sym_AT] = ACTIONS(1351),
    [anon_sym_COLON_COLON] = ACTIONS(1349),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1351),
    [sym__hex_literal] = ACTIONS(1351),
    [sym__number_literal] = ACTIONS(1349),
    [anon_sym_SQUOTE] = ACTIONS(1351),
    [anon_sym_DQUOTE] = ACTIONS(1351),
    [sym_return] = ACTIONS(1349),
    [sym_next] = ACTIONS(1349),
    [sym_break] = ACTIONS(1349),
    [sym_true] = ACTIONS(1349),
    [sym_false] = ACTIONS(1349),
    [sym_null] = ACTIONS(1349),
    [sym_inf] = ACTIONS(1349),
    [sym_nan] = ACTIONS(1349),
    [anon_sym_NA] = ACTIONS(1349),
    [anon_sym_NA_integer_] = ACTIONS(1349),
    [anon_sym_NA_real_] = ACTIONS(1349),
    [anon_sym_NA_complex_] = ACTIONS(1349),
    [anon_sym_NA_character_] = ACTIONS(1349),
    [sym_dots] = ACTIONS(1349),
    [sym_dot_dot_i] = ACTIONS(1351),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1351),
    [sym__semicolon] = ACTIONS(1351),
    [sym__raw_string_literal] = ACTIONS(1351),
    [sym__external_open_parenthesis] = ACTIONS(1351),
    [sym__external_open_brace] = ACTIONS(1351),
    [sym__external_open_bracket] = ACTIONS(1351),
    [sym__external_open_bracket2] = ACTIONS(1351),
  },
  [800] = {
    [aux_sym_function_definition_repeat1] = STATE(800),
    [ts_builtin_sym_end] = ACTIONS(1393),
    [sym_identifier] = ACTIONS(1391),
    [anon_sym_BSLASH] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1391),
    [anon_sym_EQ] = ACTIONS(1391),
    [anon_sym_if] = ACTIONS(1391),
    [anon_sym_for] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1391),
    [anon_sym_repeat] = ACTIONS(1391),
    [anon_sym_QMARK] = ACTIONS(1393),
    [anon_sym_TILDE] = ACTIONS(1393),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1391),
    [anon_sym_LT_DASH] = ACTIONS(1393),
    [anon_sym_LT_LT_DASH] = ACTIONS(1393),
    [anon_sym_COLON_EQ] = ACTIONS(1393),
    [anon_sym_DASH_GT] = ACTIONS(1391),
    [anon_sym_DASH_GT_GT] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_AMP] = ACTIONS(1391),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_AMP_AMP] = ACTIONS(1393),
    [anon_sym_LT] = ACTIONS(1391),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_GT] = ACTIONS(1391),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_EQ_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_SLASH] = ACTIONS(1393),
    [anon_sym_STAR_STAR] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [aux_sym_binary_operator_token1] = ACTIONS(1393),
    [anon_sym_PIPE_GT] = ACTIONS(1393),
    [anon_sym_COLON] = ACTIONS(1391),
    [anon_sym_DOLLAR] = ACTIONS(1393),
    [anon_sym_AT] = ACTIONS(1393),
    [sym__hex_literal] = ACTIONS(1393),
    [sym__number_literal] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [anon_sym_DQUOTE] = ACTIONS(1393),
    [sym_return] = ACTIONS(1391),
    [sym_next] = ACTIONS(1391),
    [sym_break] = ACTIONS(1391),
    [sym_true] = ACTIONS(1391),
    [sym_false] = ACTIONS(1391),
    [sym_null] = ACTIONS(1391),
    [sym_inf] = ACTIONS(1391),
    [sym_nan] = ACTIONS(1391),
    [anon_sym_NA] = ACTIONS(1391),
    [anon_sym_NA_integer_] = ACTIONS(1391),
    [anon_sym_NA_real_] = ACTIONS(1391),
    [anon_sym_NA_complex_] = ACTIONS(1391),
    [anon_sym_NA_character_] = ACTIONS(1391),
    [sym_dots] = ACTIONS(1391),
    [sym_dot_dot_i] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1407),
    [sym__semicolon] = ACTIONS(1393),
    [sym__raw_string_literal] = ACTIONS(1393),
    [sym__external_else] = ACTIONS(1393),
    [sym__external_open_parenthesis] = ACTIONS(1393),
    [sym__external_open_brace] = ACTIONS(1393),
    [sym__external_open_bracket] = ACTIONS(1393),
    [sym__external_open_bracket2] = ACTIONS(1393),
  },
  [801] = {
    [sym_identifier] = ACTIONS(1317),
    [anon_sym_BSLASH] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1317),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_for] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1317),
    [anon_sym_repeat] = ACTIONS(1317),
    [anon_sym_QMARK] = ACTIONS(1319),
    [anon_sym_TILDE] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_DASH] = ACTIONS(1317),
    [anon_sym_LT_DASH] = ACTIONS(1319),
    [anon_sym_LT_LT_DASH] = ACTIONS(1319),
    [anon_sym_COLON_EQ] = ACTIONS(1319),
    [anon_sym_DASH_GT] = ACTIONS(1317),
    [anon_sym_DASH_GT_GT] = ACTIONS(1319),
    [anon_sym_PIPE] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_PIPE_PIPE] = ACTIONS(1319),
    [anon_sym_AMP_AMP] = ACTIONS(1319),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1319),
    [anon_sym_GT] = ACTIONS(1317),
    [anon_sym_GT_EQ] = ACTIONS(1319),
    [anon_sym_EQ_EQ] = ACTIONS(1319),
    [anon_sym_BANG_EQ] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_STAR_STAR] = ACTIONS(1319),
    [anon_sym_CARET] = ACTIONS(1319),
    [aux_sym_binary_operator_token1] = ACTIONS(1319),
    [anon_sym_PIPE_GT] = ACTIONS(1319),
    [anon_sym_COLON] = ACTIONS(1317),
    [anon_sym_DOLLAR] = ACTIONS(1319),
    [anon_sym_AT] = ACTIONS(1319),
    [anon_sym_COLON_COLON] = ACTIONS(1321),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1323),
    [sym__hex_literal] = ACTIONS(1319),
    [sym__number_literal] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1319),
    [anon_sym_DQUOTE] = ACTIONS(1319),
    [sym_return] = ACTIONS(1317),
    [sym_next] = ACTIONS(1317),
    [sym_break] = ACTIONS(1317),
    [sym_true] = ACTIONS(1317),
    [sym_false] = ACTIONS(1317),
    [sym_null] = ACTIONS(1317),
    [sym_inf] = ACTIONS(1317),
    [sym_nan] = ACTIONS(1317),
    [anon_sym_NA] = ACTIONS(1317),
    [anon_sym_NA_integer_] = ACTIONS(1317),
    [anon_sym_NA_real_] = ACTIONS(1317),
    [anon_sym_NA_complex_] = ACTIONS(1317),
    [anon_sym_NA_character_] = ACTIONS(1317),
    [sym_dots] = ACTIONS(1317),
    [sym_dot_dot_i] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1319),
    [sym__newline] = ACTIONS(1319),
    [sym__raw_string_literal] = ACTIONS(1319),
    [sym__external_open_parenthesis] = ACTIONS(1319),
    [sym__external_close_parenthesis] = ACTIONS(1319),
    [sym__external_open_brace] = ACTIONS(1319),
    [sym__external_open_bracket] = ACTIONS(1319),
    [sym__external_open_bracket2] = ACTIONS(1319),
  },
  [802] = {
    [ts_builtin_sym_end] = ACTIONS(1359),
    [sym_identifier] = ACTIONS(1357),
    [anon_sym_BSLASH] = ACTIONS(1359),
    [anon_sym_function] = ACTIONS(1357),
    [anon_sym_EQ] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_repeat] = ACTIONS(1357),
    [anon_sym_QMARK] = ACTIONS(1359),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_BANG] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1357),
    [anon_sym_LT_DASH] = ACTIONS(1359),
    [anon_sym_LT_LT_DASH] = ACTIONS(1359),
    [anon_sym_COLON_EQ] = ACTIONS(1359),
    [anon_sym_DASH_GT] = ACTIONS(1357),
    [anon_sym_DASH_GT_GT] = ACTIONS(1359),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE_PIPE] = ACTIONS(1359),
    [anon_sym_AMP_AMP] = ACTIONS(1359),
    [anon_sym_LT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1359),
    [anon_sym_GT] = ACTIONS(1357),
    [anon_sym_GT_EQ] = ACTIONS(1359),
    [anon_sym_EQ_EQ] = ACTIONS(1359),
    [anon_sym_BANG_EQ] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_SLASH] = ACTIONS(1359),
    [anon_sym_STAR_STAR] = ACTIONS(1359),
    [anon_sym_CARET] = ACTIONS(1359),
    [aux_sym_binary_operator_token1] = ACTIONS(1359),
    [anon_sym_PIPE_GT] = ACTIONS(1359),
    [anon_sym_COLON] = ACTIONS(1357),
    [anon_sym_DOLLAR] = ACTIONS(1359),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_COLON_COLON] = ACTIONS(1357),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1359),
    [sym__hex_literal] = ACTIONS(1359),
    [sym__number_literal] = ACTIONS(1357),
    [anon_sym_SQUOTE] = ACTIONS(1359),
    [anon_sym_DQUOTE] = ACTIONS(1359),
    [sym_return] = ACTIONS(1357),
    [sym_next] = ACTIONS(1357),
    [sym_break] = ACTIONS(1357),
    [sym_true] = ACTIONS(1357),
    [sym_false] = ACTIONS(1357),
    [sym_null] = ACTIONS(1357),
    [sym_inf] = ACTIONS(1357),
    [sym_nan] = ACTIONS(1357),
    [anon_sym_NA] = ACTIONS(1357),
    [anon_sym_NA_integer_] = ACTIONS(1357),
    [anon_sym_NA_real_] = ACTIONS(1357),
    [anon_sym_NA_complex_] = ACTIONS(1357),
    [anon_sym_NA_character_] = ACTIONS(1357),
    [sym_dots] = ACTIONS(1357),
    [sym_dot_dot_i] = ACTIONS(1359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1359),
    [sym__semicolon] = ACTIONS(1359),
    [sym__raw_string_literal] = ACTIONS(1359),
    [sym__external_open_parenthesis] = ACTIONS(1359),
    [sym__external_open_brace] = ACTIONS(1359),
    [sym__external_open_bracket] = ACTIONS(1359),
    [sym__external_open_bracket2] = ACTIONS(1359),
  },
  [803] = {
    [sym_identifier] = ACTIONS(1357),
    [anon_sym_BSLASH] = ACTIONS(1359),
    [anon_sym_function] = ACTIONS(1357),
    [anon_sym_EQ] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_repeat] = ACTIONS(1357),
    [anon_sym_QMARK] = ACTIONS(1359),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_BANG] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1357),
    [anon_sym_LT_DASH] = ACTIONS(1359),
    [anon_sym_LT_LT_DASH] = ACTIONS(1359),
    [anon_sym_COLON_EQ] = ACTIONS(1359),
    [anon_sym_DASH_GT] = ACTIONS(1357),
    [anon_sym_DASH_GT_GT] = ACTIONS(1359),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE_PIPE] = ACTIONS(1359),
    [anon_sym_AMP_AMP] = ACTIONS(1359),
    [anon_sym_LT] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1359),
    [anon_sym_GT] = ACTIONS(1357),
    [anon_sym_GT_EQ] = ACTIONS(1359),
    [anon_sym_EQ_EQ] = ACTIONS(1359),
    [anon_sym_BANG_EQ] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_SLASH] = ACTIONS(1359),
    [anon_sym_STAR_STAR] = ACTIONS(1359),
    [anon_sym_CARET] = ACTIONS(1359),
    [aux_sym_binary_operator_token1] = ACTIONS(1359),
    [anon_sym_PIPE_GT] = ACTIONS(1359),
    [anon_sym_COLON] = ACTIONS(1357),
    [anon_sym_DOLLAR] = ACTIONS(1359),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_COLON_COLON] = ACTIONS(1357),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1359),
    [sym__hex_literal] = ACTIONS(1359),
    [sym__number_literal] = ACTIONS(1357),
    [anon_sym_SQUOTE] = ACTIONS(1359),
    [anon_sym_DQUOTE] = ACTIONS(1359),
    [sym_return] = ACTIONS(1357),
    [sym_next] = ACTIONS(1357),
    [sym_break] = ACTIONS(1357),
    [sym_true] = ACTIONS(1357),
    [sym_false] = ACTIONS(1357),
    [sym_null] = ACTIONS(1357),
    [sym_inf] = ACTIONS(1357),
    [sym_nan] = ACTIONS(1357),
    [anon_sym_NA] = ACTIONS(1357),
    [anon_sym_NA_integer_] = ACTIONS(1357),
    [anon_sym_NA_real_] = ACTIONS(1357),
    [anon_sym_NA_complex_] = ACTIONS(1357),
    [anon_sym_NA_character_] = ACTIONS(1357),
    [sym_dots] = ACTIONS(1357),
    [sym_dot_dot_i] = ACTIONS(1359),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1359),
    [sym__semicolon] = ACTIONS(1359),
    [sym__raw_string_literal] = ACTIONS(1359),
    [sym__external_open_parenthesis] = ACTIONS(1359),
    [sym__external_open_brace] = ACTIONS(1359),
    [sym__external_close_brace] = ACTIONS(1359),
    [sym__external_open_bracket] = ACTIONS(1359),
    [sym__external_open_bracket2] = ACTIONS(1359),
  },
  [804] = {
    [sym_identifier] = ACTIONS(1317),
    [anon_sym_BSLASH] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1317),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_for] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1317),
    [anon_sym_repeat] = ACTIONS(1317),
    [anon_sym_QMARK] = ACTIONS(1319),
    [anon_sym_TILDE] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_DASH] = ACTIONS(1317),
    [anon_sym_LT_DASH] = ACTIONS(1319),
    [anon_sym_LT_LT_DASH] = ACTIONS(1319),
    [anon_sym_COLON_EQ] = ACTIONS(1319),
    [anon_sym_DASH_GT] = ACTIONS(1317),
    [anon_sym_DASH_GT_GT] = ACTIONS(1319),
    [anon_sym_PIPE] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_PIPE_PIPE] = ACTIONS(1319),
    [anon_sym_AMP_AMP] = ACTIONS(1319),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1319),
    [anon_sym_GT] = ACTIONS(1317),
    [anon_sym_GT_EQ] = ACTIONS(1319),
    [anon_sym_EQ_EQ] = ACTIONS(1319),
    [anon_sym_BANG_EQ] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_STAR_STAR] = ACTIONS(1319),
    [anon_sym_CARET] = ACTIONS(1319),
    [aux_sym_binary_operator_token1] = ACTIONS(1319),
    [anon_sym_PIPE_GT] = ACTIONS(1319),
    [anon_sym_COLON] = ACTIONS(1317),
    [anon_sym_DOLLAR] = ACTIONS(1319),
    [anon_sym_AT] = ACTIONS(1319),
    [anon_sym_COLON_COLON] = ACTIONS(1321),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1323),
    [sym__hex_literal] = ACTIONS(1319),
    [sym__number_literal] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1319),
    [anon_sym_DQUOTE] = ACTIONS(1319),
    [sym_return] = ACTIONS(1317),
    [sym_next] = ACTIONS(1317),
    [sym_break] = ACTIONS(1317),
    [sym_true] = ACTIONS(1317),
    [sym_false] = ACTIONS(1317),
    [sym_null] = ACTIONS(1317),
    [sym_inf] = ACTIONS(1317),
    [sym_nan] = ACTIONS(1317),
    [anon_sym_NA] = ACTIONS(1317),
    [anon_sym_NA_integer_] = ACTIONS(1317),
    [anon_sym_NA_real_] = ACTIONS(1317),
    [anon_sym_NA_complex_] = ACTIONS(1317),
    [anon_sym_NA_character_] = ACTIONS(1317),
    [sym_dots] = ACTIONS(1317),
    [sym_dot_dot_i] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1319),
    [sym__semicolon] = ACTIONS(1319),
    [sym__raw_string_literal] = ACTIONS(1319),
    [sym__external_open_parenthesis] = ACTIONS(1319),
    [sym__external_open_brace] = ACTIONS(1319),
    [sym__external_close_brace] = ACTIONS(1319),
    [sym__external_open_bracket] = ACTIONS(1319),
    [sym__external_open_bracket2] = ACTIONS(1319),
  },
  [805] = {
    [ts_builtin_sym_end] = ACTIONS(1315),
    [sym_identifier] = ACTIONS(1313),
    [anon_sym_BSLASH] = ACTIONS(1315),
    [anon_sym_function] = ACTIONS(1313),
    [anon_sym_EQ] = ACTIONS(1313),
    [anon_sym_if] = ACTIONS(1313),
    [anon_sym_for] = ACTIONS(1313),
    [anon_sym_while] = ACTIONS(1313),
    [anon_sym_repeat] = ACTIONS(1313),
    [anon_sym_QMARK] = ACTIONS(1315),
    [anon_sym_TILDE] = ACTIONS(1315),
    [anon_sym_BANG] = ACTIONS(1313),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_DASH] = ACTIONS(1313),
    [anon_sym_LT_DASH] = ACTIONS(1315),
    [anon_sym_LT_LT_DASH] = ACTIONS(1315),
    [anon_sym_COLON_EQ] = ACTIONS(1315),
    [anon_sym_DASH_GT] = ACTIONS(1313),
    [anon_sym_DASH_GT_GT] = ACTIONS(1315),
    [anon_sym_PIPE] = ACTIONS(1313),
    [anon_sym_AMP] = ACTIONS(1313),
    [anon_sym_PIPE_PIPE] = ACTIONS(1315),
    [anon_sym_AMP_AMP] = ACTIONS(1315),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_LT_EQ] = ACTIONS(1315),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_GT_EQ] = ACTIONS(1315),
    [anon_sym_EQ_EQ] = ACTIONS(1315),
    [anon_sym_BANG_EQ] = ACTIONS(1315),
    [anon_sym_STAR] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1315),
    [anon_sym_STAR_STAR] = ACTIONS(1315),
    [anon_sym_CARET] = ACTIONS(1315),
    [aux_sym_binary_operator_token1] = ACTIONS(1315),
    [anon_sym_PIPE_GT] = ACTIONS(1315),
    [anon_sym_COLON] = ACTIONS(1313),
    [anon_sym_DOLLAR] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(1315),
    [anon_sym_COLON_COLON] = ACTIONS(1313),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1315),
    [sym__hex_literal] = ACTIONS(1315),
    [sym__number_literal] = ACTIONS(1313),
    [anon_sym_SQUOTE] = ACTIONS(1315),
    [anon_sym_DQUOTE] = ACTIONS(1315),
    [sym_return] = ACTIONS(1313),
    [sym_next] = ACTIONS(1313),
    [sym_break] = ACTIONS(1313),
    [sym_true] = ACTIONS(1313),
    [sym_false] = ACTIONS(1313),
    [sym_null] = ACTIONS(1313),
    [sym_inf] = ACTIONS(1313),
    [sym_nan] = ACTIONS(1313),
    [anon_sym_NA] = ACTIONS(1313),
    [anon_sym_NA_integer_] = ACTIONS(1313),
    [anon_sym_NA_real_] = ACTIONS(1313),
    [anon_sym_NA_complex_] = ACTIONS(1313),
    [anon_sym_NA_character_] = ACTIONS(1313),
    [sym_dots] = ACTIONS(1313),
    [sym_dot_dot_i] = ACTIONS(1315),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1315),
    [sym__semicolon] = ACTIONS(1315),
    [sym__raw_string_literal] = ACTIONS(1315),
    [sym__external_open_parenthesis] = ACTIONS(1315),
    [sym__external_open_brace] = ACTIONS(1315),
    [sym__external_open_bracket] = ACTIONS(1315),
    [sym__external_open_bracket2] = ACTIONS(1315),
  },
  [806] = {
    [sym_identifier] = ACTIONS(1313),
    [anon_sym_BSLASH] = ACTIONS(1315),
    [anon_sym_function] = ACTIONS(1313),
    [anon_sym_EQ] = ACTIONS(1313),
    [anon_sym_if] = ACTIONS(1313),
    [anon_sym_for] = ACTIONS(1313),
    [anon_sym_while] = ACTIONS(1313),
    [anon_sym_repeat] = ACTIONS(1313),
    [anon_sym_QMARK] = ACTIONS(1315),
    [anon_sym_TILDE] = ACTIONS(1315),
    [anon_sym_BANG] = ACTIONS(1313),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_DASH] = ACTIONS(1313),
    [anon_sym_LT_DASH] = ACTIONS(1315),
    [anon_sym_LT_LT_DASH] = ACTIONS(1315),
    [anon_sym_COLON_EQ] = ACTIONS(1315),
    [anon_sym_DASH_GT] = ACTIONS(1313),
    [anon_sym_DASH_GT_GT] = ACTIONS(1315),
    [anon_sym_PIPE] = ACTIONS(1313),
    [anon_sym_AMP] = ACTIONS(1313),
    [anon_sym_PIPE_PIPE] = ACTIONS(1315),
    [anon_sym_AMP_AMP] = ACTIONS(1315),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_LT_EQ] = ACTIONS(1315),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_GT_EQ] = ACTIONS(1315),
    [anon_sym_EQ_EQ] = ACTIONS(1315),
    [anon_sym_BANG_EQ] = ACTIONS(1315),
    [anon_sym_STAR] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1315),
    [anon_sym_STAR_STAR] = ACTIONS(1315),
    [anon_sym_CARET] = ACTIONS(1315),
    [aux_sym_binary_operator_token1] = ACTIONS(1315),
    [anon_sym_PIPE_GT] = ACTIONS(1315),
    [anon_sym_COLON] = ACTIONS(1313),
    [anon_sym_DOLLAR] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(1315),
    [anon_sym_COLON_COLON] = ACTIONS(1313),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1315),
    [sym__hex_literal] = ACTIONS(1315),
    [sym__number_literal] = ACTIONS(1313),
    [anon_sym_SQUOTE] = ACTIONS(1315),
    [anon_sym_DQUOTE] = ACTIONS(1315),
    [sym_return] = ACTIONS(1313),
    [sym_next] = ACTIONS(1313),
    [sym_break] = ACTIONS(1313),
    [sym_true] = ACTIONS(1313),
    [sym_false] = ACTIONS(1313),
    [sym_null] = ACTIONS(1313),
    [sym_inf] = ACTIONS(1313),
    [sym_nan] = ACTIONS(1313),
    [anon_sym_NA] = ACTIONS(1313),
    [anon_sym_NA_integer_] = ACTIONS(1313),
    [anon_sym_NA_real_] = ACTIONS(1313),
    [anon_sym_NA_complex_] = ACTIONS(1313),
    [anon_sym_NA_character_] = ACTIONS(1313),
    [sym_dots] = ACTIONS(1313),
    [sym_dot_dot_i] = ACTIONS(1315),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1315),
    [sym__newline] = ACTIONS(1315),
    [sym__raw_string_literal] = ACTIONS(1315),
    [sym__external_open_parenthesis] = ACTIONS(1315),
    [sym__external_open_brace] = ACTIONS(1315),
    [sym__external_open_bracket] = ACTIONS(1315),
    [sym__external_open_bracket2] = ACTIONS(1315),
    [sym__external_close_bracket2] = ACTIONS(1315),
  },
  [807] = {
    [sym_identifier] = ACTIONS(1325),
    [anon_sym_BSLASH] = ACTIONS(1327),
    [anon_sym_function] = ACTIONS(1325),
    [anon_sym_EQ] = ACTIONS(1325),
    [anon_sym_if] = ACTIONS(1325),
    [anon_sym_for] = ACTIONS(1325),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_repeat] = ACTIONS(1325),
    [anon_sym_QMARK] = ACTIONS(1327),
    [anon_sym_TILDE] = ACTIONS(1327),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_PLUS] = ACTIONS(1327),
    [anon_sym_DASH] = ACTIONS(1325),
    [anon_sym_LT_DASH] = ACTIONS(1327),
    [anon_sym_LT_LT_DASH] = ACTIONS(1327),
    [anon_sym_COLON_EQ] = ACTIONS(1327),
    [anon_sym_DASH_GT] = ACTIONS(1325),
    [anon_sym_DASH_GT_GT] = ACTIONS(1327),
    [anon_sym_PIPE] = ACTIONS(1325),
    [anon_sym_AMP] = ACTIONS(1325),
    [anon_sym_PIPE_PIPE] = ACTIONS(1327),
    [anon_sym_AMP_AMP] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(1325),
    [anon_sym_LT_EQ] = ACTIONS(1327),
    [anon_sym_GT] = ACTIONS(1325),
    [anon_sym_GT_EQ] = ACTIONS(1327),
    [anon_sym_EQ_EQ] = ACTIONS(1327),
    [anon_sym_BANG_EQ] = ACTIONS(1327),
    [anon_sym_STAR] = ACTIONS(1325),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_STAR_STAR] = ACTIONS(1327),
    [anon_sym_CARET] = ACTIONS(1327),
    [aux_sym_binary_operator_token1] = ACTIONS(1327),
    [anon_sym_PIPE_GT] = ACTIONS(1327),
    [anon_sym_COLON] = ACTIONS(1325),
    [anon_sym_DOLLAR] = ACTIONS(1327),
    [anon_sym_AT] = ACTIONS(1327),
    [anon_sym_L] = ACTIONS(1410),
    [anon_sym_i] = ACTIONS(1412),
    [sym__hex_literal] = ACTIONS(1327),
    [sym__number_literal] = ACTIONS(1325),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_return] = ACTIONS(1325),
    [sym_next] = ACTIONS(1325),
    [sym_break] = ACTIONS(1325),
    [sym_true] = ACTIONS(1325),
    [sym_false] = ACTIONS(1325),
    [sym_null] = ACTIONS(1325),
    [sym_inf] = ACTIONS(1325),
    [sym_nan] = ACTIONS(1325),
    [anon_sym_NA] = ACTIONS(1325),
    [anon_sym_NA_integer_] = ACTIONS(1325),
    [anon_sym_NA_real_] = ACTIONS(1325),
    [anon_sym_NA_complex_] = ACTIONS(1325),
    [anon_sym_NA_character_] = ACTIONS(1325),
    [sym_dots] = ACTIONS(1325),
    [sym_dot_dot_i] = ACTIONS(1327),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1327),
    [sym__semicolon] = ACTIONS(1327),
    [sym__raw_string_literal] = ACTIONS(1327),
    [sym__external_open_parenthesis] = ACTIONS(1327),
    [sym__external_open_brace] = ACTIONS(1327),
    [sym__external_close_brace] = ACTIONS(1327),
    [sym__external_open_bracket] = ACTIONS(1327),
    [sym__external_open_bracket2] = ACTIONS(1327),
  },
  [808] = {
    [ts_builtin_sym_end] = ACTIONS(1343),
    [sym_identifier] = ACTIONS(1341),
    [anon_sym_BSLASH] = ACTIONS(1343),
    [anon_sym_function] = ACTIONS(1341),
    [anon_sym_EQ] = ACTIONS(1341),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_for] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1341),
    [anon_sym_repeat] = ACTIONS(1341),
    [anon_sym_QMARK] = ACTIONS(1343),
    [anon_sym_TILDE] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_LT_DASH] = ACTIONS(1343),
    [anon_sym_LT_LT_DASH] = ACTIONS(1343),
    [anon_sym_COLON_EQ] = ACTIONS(1343),
    [anon_sym_DASH_GT] = ACTIONS(1341),
    [anon_sym_DASH_GT_GT] = ACTIONS(1343),
    [anon_sym_PIPE] = ACTIONS(1341),
    [anon_sym_AMP] = ACTIONS(1341),
    [anon_sym_PIPE_PIPE] = ACTIONS(1343),
    [anon_sym_AMP_AMP] = ACTIONS(1343),
    [anon_sym_LT] = ACTIONS(1341),
    [anon_sym_LT_EQ] = ACTIONS(1343),
    [anon_sym_GT] = ACTIONS(1341),
    [anon_sym_GT_EQ] = ACTIONS(1343),
    [anon_sym_EQ_EQ] = ACTIONS(1343),
    [anon_sym_BANG_EQ] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(1343),
    [anon_sym_STAR_STAR] = ACTIONS(1343),
    [anon_sym_CARET] = ACTIONS(1343),
    [aux_sym_binary_operator_token1] = ACTIONS(1343),
    [anon_sym_PIPE_GT] = ACTIONS(1343),
    [anon_sym_COLON] = ACTIONS(1341),
    [anon_sym_DOLLAR] = ACTIONS(1343),
    [anon_sym_AT] = ACTIONS(1343),
    [anon_sym_COLON_COLON] = ACTIONS(1341),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1343),
    [sym__hex_literal] = ACTIONS(1343),
    [sym__number_literal] = ACTIONS(1341),
    [anon_sym_SQUOTE] = ACTIONS(1343),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_return] = ACTIONS(1341),
    [sym_next] = ACTIONS(1341),
    [sym_break] = ACTIONS(1341),
    [sym_true] = ACTIONS(1341),
    [sym_false] = ACTIONS(1341),
    [sym_null] = ACTIONS(1341),
    [sym_inf] = ACTIONS(1341),
    [sym_nan] = ACTIONS(1341),
    [anon_sym_NA] = ACTIONS(1341),
    [anon_sym_NA_integer_] = ACTIONS(1341),
    [anon_sym_NA_real_] = ACTIONS(1341),
    [anon_sym_NA_complex_] = ACTIONS(1341),
    [anon_sym_NA_character_] = ACTIONS(1341),
    [sym_dots] = ACTIONS(1341),
    [sym_dot_dot_i] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1343),
    [sym__semicolon] = ACTIONS(1343),
    [sym__raw_string_literal] = ACTIONS(1343),
    [sym__external_open_parenthesis] = ACTIONS(1343),
    [sym__external_open_brace] = ACTIONS(1343),
    [sym__external_open_bracket] = ACTIONS(1343),
    [sym__external_open_bracket2] = ACTIONS(1343),
  },
  [809] = {
    [sym_identifier] = ACTIONS(1333),
    [anon_sym_BSLASH] = ACTIONS(1335),
    [anon_sym_function] = ACTIONS(1333),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_if] = ACTIONS(1333),
    [anon_sym_for] = ACTIONS(1333),
    [anon_sym_while] = ACTIONS(1333),
    [anon_sym_repeat] = ACTIONS(1333),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1333),
    [anon_sym_LT_DASH] = ACTIONS(1335),
    [anon_sym_LT_LT_DASH] = ACTIONS(1335),
    [anon_sym_COLON_EQ] = ACTIONS(1335),
    [anon_sym_DASH_GT] = ACTIONS(1333),
    [anon_sym_DASH_GT_GT] = ACTIONS(1335),
    [anon_sym_PIPE] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PIPE_PIPE] = ACTIONS(1335),
    [anon_sym_AMP_AMP] = ACTIONS(1335),
    [anon_sym_LT] = ACTIONS(1333),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_GT] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_EQ_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_SLASH] = ACTIONS(1335),
    [anon_sym_STAR_STAR] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [aux_sym_binary_operator_token1] = ACTIONS(1335),
    [anon_sym_PIPE_GT] = ACTIONS(1335),
    [anon_sym_COLON] = ACTIONS(1333),
    [anon_sym_DOLLAR] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1335),
    [anon_sym_COLON_COLON] = ACTIONS(1333),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1335),
    [sym__hex_literal] = ACTIONS(1335),
    [sym__number_literal] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_DQUOTE] = ACTIONS(1335),
    [sym_return] = ACTIONS(1333),
    [sym_next] = ACTIONS(1333),
    [sym_break] = ACTIONS(1333),
    [sym_true] = ACTIONS(1333),
    [sym_false] = ACTIONS(1333),
    [sym_null] = ACTIONS(1333),
    [sym_inf] = ACTIONS(1333),
    [sym_nan] = ACTIONS(1333),
    [anon_sym_NA] = ACTIONS(1333),
    [anon_sym_NA_integer_] = ACTIONS(1333),
    [anon_sym_NA_real_] = ACTIONS(1333),
    [anon_sym_NA_complex_] = ACTIONS(1333),
    [anon_sym_NA_character_] = ACTIONS(1333),
    [sym_dots] = ACTIONS(1333),
    [sym_dot_dot_i] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1335),
    [sym__semicolon] = ACTIONS(1335),
    [sym__raw_string_literal] = ACTIONS(1335),
    [sym__external_open_parenthesis] = ACTIONS(1335),
    [sym__external_open_brace] = ACTIONS(1335),
    [sym__external_close_brace] = ACTIONS(1335),
    [sym__external_open_bracket] = ACTIONS(1335),
    [sym__external_open_bracket2] = ACTIONS(1335),
  },
  [810] = {
    [sym_identifier] = ACTIONS(1333),
    [anon_sym_BSLASH] = ACTIONS(1335),
    [anon_sym_function] = ACTIONS(1333),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_if] = ACTIONS(1333),
    [anon_sym_for] = ACTIONS(1333),
    [anon_sym_while] = ACTIONS(1333),
    [anon_sym_repeat] = ACTIONS(1333),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1333),
    [anon_sym_LT_DASH] = ACTIONS(1335),
    [anon_sym_LT_LT_DASH] = ACTIONS(1335),
    [anon_sym_COLON_EQ] = ACTIONS(1335),
    [anon_sym_DASH_GT] = ACTIONS(1333),
    [anon_sym_DASH_GT_GT] = ACTIONS(1335),
    [anon_sym_PIPE] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PIPE_PIPE] = ACTIONS(1335),
    [anon_sym_AMP_AMP] = ACTIONS(1335),
    [anon_sym_LT] = ACTIONS(1333),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_GT] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_EQ_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_SLASH] = ACTIONS(1335),
    [anon_sym_STAR_STAR] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [aux_sym_binary_operator_token1] = ACTIONS(1335),
    [anon_sym_PIPE_GT] = ACTIONS(1335),
    [anon_sym_COLON] = ACTIONS(1333),
    [anon_sym_DOLLAR] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1335),
    [anon_sym_COLON_COLON] = ACTIONS(1333),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1335),
    [sym__hex_literal] = ACTIONS(1335),
    [sym__number_literal] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_DQUOTE] = ACTIONS(1335),
    [sym_return] = ACTIONS(1333),
    [sym_next] = ACTIONS(1333),
    [sym_break] = ACTIONS(1333),
    [sym_true] = ACTIONS(1333),
    [sym_false] = ACTIONS(1333),
    [sym_null] = ACTIONS(1333),
    [sym_inf] = ACTIONS(1333),
    [sym_nan] = ACTIONS(1333),
    [anon_sym_NA] = ACTIONS(1333),
    [anon_sym_NA_integer_] = ACTIONS(1333),
    [anon_sym_NA_real_] = ACTIONS(1333),
    [anon_sym_NA_complex_] = ACTIONS(1333),
    [anon_sym_NA_character_] = ACTIONS(1333),
    [sym_dots] = ACTIONS(1333),
    [sym_dot_dot_i] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1335),
    [sym__newline] = ACTIONS(1335),
    [sym__raw_string_literal] = ACTIONS(1335),
    [sym__external_open_parenthesis] = ACTIONS(1335),
    [sym__external_open_brace] = ACTIONS(1335),
    [sym__external_open_bracket] = ACTIONS(1335),
    [sym__external_open_bracket2] = ACTIONS(1335),
    [sym__external_close_bracket2] = ACTIONS(1335),
  },
  [811] = {
    [sym_identifier] = ACTIONS(1414),
    [anon_sym_BSLASH] = ACTIONS(1416),
    [anon_sym_function] = ACTIONS(1414),
    [anon_sym_EQ] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1414),
    [anon_sym_for] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_repeat] = ACTIONS(1414),
    [anon_sym_QMARK] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_LT_DASH] = ACTIONS(1416),
    [anon_sym_LT_LT_DASH] = ACTIONS(1416),
    [anon_sym_COLON_EQ] = ACTIONS(1416),
    [anon_sym_DASH_GT] = ACTIONS(1414),
    [anon_sym_DASH_GT_GT] = ACTIONS(1416),
    [anon_sym_PIPE] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_PIPE_PIPE] = ACTIONS(1416),
    [anon_sym_AMP_AMP] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1416),
    [anon_sym_EQ_EQ] = ACTIONS(1416),
    [anon_sym_BANG_EQ] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_STAR_STAR] = ACTIONS(1416),
    [anon_sym_CARET] = ACTIONS(1416),
    [aux_sym_binary_operator_token1] = ACTIONS(1416),
    [anon_sym_PIPE_GT] = ACTIONS(1416),
    [anon_sym_COLON] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [sym__hex_literal] = ACTIONS(1416),
    [sym__number_literal] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [sym_return] = ACTIONS(1414),
    [sym_next] = ACTIONS(1414),
    [sym_break] = ACTIONS(1414),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [sym_null] = ACTIONS(1414),
    [sym_inf] = ACTIONS(1414),
    [sym_nan] = ACTIONS(1414),
    [anon_sym_NA] = ACTIONS(1414),
    [anon_sym_NA_integer_] = ACTIONS(1414),
    [anon_sym_NA_real_] = ACTIONS(1414),
    [anon_sym_NA_complex_] = ACTIONS(1414),
    [anon_sym_NA_character_] = ACTIONS(1414),
    [sym_dots] = ACTIONS(1414),
    [sym_dot_dot_i] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1416),
    [sym__semicolon] = ACTIONS(1416),
    [sym__raw_string_literal] = ACTIONS(1416),
    [sym__external_else] = ACTIONS(1416),
    [sym__external_open_parenthesis] = ACTIONS(1416),
    [sym__external_open_brace] = ACTIONS(1416),
    [sym__external_close_brace] = ACTIONS(1416),
    [sym__external_open_bracket] = ACTIONS(1416),
    [sym__external_open_bracket2] = ACTIONS(1416),
  },
  [812] = {
    [sym_function_definition] = STATE(363),
    [sym_if_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_repeat_statement] = STATE(363),
    [sym_braced_expression] = STATE(363),
    [sym_parenthesized_expression] = STATE(363),
    [sym_call] = STATE(363),
    [sym_subset] = STATE(363),
    [sym_subset2] = STATE(363),
    [sym_unary_operator] = STATE(363),
    [sym_binary_operator] = STATE(363),
    [sym_extract_operator] = STATE(363),
    [sym_namespace_operator] = STATE(363),
    [sym_integer] = STATE(363),
    [sym_complex] = STATE(363),
    [sym_float] = STATE(363),
    [sym__float_literal] = STATE(807),
    [sym_string] = STATE(804),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym_na] = STATE(363),
    [sym__expression] = STATE(363),
    [sym__string_or_identifier] = STATE(2301),
    [sym__open_parenthesis] = STATE(1021),
    [sym__open_brace] = STATE(925),
    [sym__close_brace] = STATE(909),
    [aux_sym_braced_expression_repeat1] = STATE(910),
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_repeat] = ACTIONS(1430),
    [anon_sym_QMARK] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [sym__hex_literal] = ACTIONS(1440),
    [sym__number_literal] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(1444),
    [sym_next] = ACTIONS(1444),
    [sym_break] = ACTIONS(1444),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [sym_null] = ACTIONS(1444),
    [sym_inf] = ACTIONS(1444),
    [sym_nan] = ACTIONS(1444),
    [anon_sym_NA] = ACTIONS(1446),
    [anon_sym_NA_integer_] = ACTIONS(1446),
    [anon_sym_NA_real_] = ACTIONS(1446),
    [anon_sym_NA_complex_] = ACTIONS(1446),
    [anon_sym_NA_character_] = ACTIONS(1446),
    [sym_dots] = ACTIONS(1444),
    [sym_dot_dot_i] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1450),
    [sym__semicolon] = ACTIONS(1450),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(1452),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_close_brace] = ACTIONS(1456),
  },
  [813] = {
    [sym_function_definition] = STATE(363),
    [sym_if_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_repeat_statement] = STATE(363),
    [sym_braced_expression] = STATE(363),
    [sym_parenthesized_expression] = STATE(363),
    [sym_call] = STATE(363),
    [sym_subset] = STATE(363),
    [sym_subset2] = STATE(363),
    [sym_unary_operator] = STATE(363),
    [sym_binary_operator] = STATE(363),
    [sym_extract_operator] = STATE(363),
    [sym_namespace_operator] = STATE(363),
    [sym_integer] = STATE(363),
    [sym_complex] = STATE(363),
    [sym_float] = STATE(363),
    [sym__float_literal] = STATE(807),
    [sym_string] = STATE(804),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym_na] = STATE(363),
    [sym__expression] = STATE(363),
    [sym__string_or_identifier] = STATE(2301),
    [sym__open_parenthesis] = STATE(1021),
    [sym__open_brace] = STATE(925),
    [sym__close_brace] = STATE(987),
    [aux_sym_braced_expression_repeat1] = STATE(941),
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_repeat] = ACTIONS(1430),
    [anon_sym_QMARK] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [sym__hex_literal] = ACTIONS(1440),
    [sym__number_literal] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(1444),
    [sym_next] = ACTIONS(1444),
    [sym_break] = ACTIONS(1444),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [sym_null] = ACTIONS(1444),
    [sym_inf] = ACTIONS(1444),
    [sym_nan] = ACTIONS(1444),
    [anon_sym_NA] = ACTIONS(1446),
    [anon_sym_NA_integer_] = ACTIONS(1446),
    [anon_sym_NA_real_] = ACTIONS(1446),
    [anon_sym_NA_complex_] = ACTIONS(1446),
    [anon_sym_NA_character_] = ACTIONS(1446),
    [sym_dots] = ACTIONS(1444),
    [sym_dot_dot_i] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1450),
    [sym__semicolon] = ACTIONS(1450),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(1452),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_close_brace] = ACTIONS(1458),
  },
  [814] = {
    [ts_builtin_sym_end] = ACTIONS(1460),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_function] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [anon_sym_if] = ACTIONS(1462),
    [anon_sym_for] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1462),
    [anon_sym_repeat] = ACTIONS(1462),
    [anon_sym_QMARK] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_LT_DASH] = ACTIONS(1460),
    [anon_sym_LT_LT_DASH] = ACTIONS(1460),
    [anon_sym_COLON_EQ] = ACTIONS(1460),
    [anon_sym_DASH_GT] = ACTIONS(1462),
    [anon_sym_DASH_GT_GT] = ACTIONS(1460),
    [anon_sym_PIPE] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_PIPE_PIPE] = ACTIONS(1460),
    [anon_sym_AMP_AMP] = ACTIONS(1460),
    [anon_sym_LT] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1460),
    [anon_sym_EQ_EQ] = ACTIONS(1460),
    [anon_sym_BANG_EQ] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_STAR_STAR] = ACTIONS(1460),
    [anon_sym_CARET] = ACTIONS(1460),
    [aux_sym_binary_operator_token1] = ACTIONS(1460),
    [anon_sym_PIPE_GT] = ACTIONS(1460),
    [anon_sym_COLON] = ACTIONS(1462),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1460),
    [sym__hex_literal] = ACTIONS(1460),
    [sym__number_literal] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [sym_return] = ACTIONS(1462),
    [sym_next] = ACTIONS(1462),
    [sym_break] = ACTIONS(1462),
    [sym_true] = ACTIONS(1462),
    [sym_false] = ACTIONS(1462),
    [sym_null] = ACTIONS(1462),
    [sym_inf] = ACTIONS(1462),
    [sym_nan] = ACTIONS(1462),
    [anon_sym_NA] = ACTIONS(1462),
    [anon_sym_NA_integer_] = ACTIONS(1462),
    [anon_sym_NA_real_] = ACTIONS(1462),
    [anon_sym_NA_complex_] = ACTIONS(1462),
    [anon_sym_NA_character_] = ACTIONS(1462),
    [sym_dots] = ACTIONS(1462),
    [sym_dot_dot_i] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1460),
    [sym__semicolon] = ACTIONS(1460),
    [sym__raw_string_literal] = ACTIONS(1460),
    [sym__external_else] = ACTIONS(1460),
    [sym__external_open_parenthesis] = ACTIONS(1460),
    [sym__external_open_brace] = ACTIONS(1460),
    [sym__external_open_bracket] = ACTIONS(1460),
    [sym__external_open_bracket2] = ACTIONS(1460),
  },
  [815] = {
    [ts_builtin_sym_end] = ACTIONS(1464),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_BSLASH] = ACTIONS(1464),
    [anon_sym_function] = ACTIONS(1466),
    [anon_sym_EQ] = ACTIONS(1466),
    [anon_sym_if] = ACTIONS(1466),
    [anon_sym_for] = ACTIONS(1466),
    [anon_sym_while] = ACTIONS(1466),
    [anon_sym_repeat] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_LT_DASH] = ACTIONS(1464),
    [anon_sym_LT_LT_DASH] = ACTIONS(1464),
    [anon_sym_COLON_EQ] = ACTIONS(1464),
    [anon_sym_DASH_GT] = ACTIONS(1466),
    [anon_sym_DASH_GT_GT] = ACTIONS(1464),
    [anon_sym_PIPE] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_PIPE_PIPE] = ACTIONS(1464),
    [anon_sym_AMP_AMP] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1464),
    [anon_sym_EQ_EQ] = ACTIONS(1464),
    [anon_sym_BANG_EQ] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_STAR_STAR] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [aux_sym_binary_operator_token1] = ACTIONS(1464),
    [anon_sym_PIPE_GT] = ACTIONS(1464),
    [anon_sym_COLON] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1464),
    [anon_sym_AT] = ACTIONS(1464),
    [sym__hex_literal] = ACTIONS(1464),
    [sym__number_literal] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [sym_return] = ACTIONS(1466),
    [sym_next] = ACTIONS(1466),
    [sym_break] = ACTIONS(1466),
    [sym_true] = ACTIONS(1466),
    [sym_false] = ACTIONS(1466),
    [sym_null] = ACTIONS(1466),
    [sym_inf] = ACTIONS(1466),
    [sym_nan] = ACTIONS(1466),
    [anon_sym_NA] = ACTIONS(1466),
    [anon_sym_NA_integer_] = ACTIONS(1466),
    [anon_sym_NA_real_] = ACTIONS(1466),
    [anon_sym_NA_complex_] = ACTIONS(1466),
    [anon_sym_NA_character_] = ACTIONS(1466),
    [sym_dots] = ACTIONS(1466),
    [sym_dot_dot_i] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1464),
    [sym__semicolon] = ACTIONS(1464),
    [sym__raw_string_literal] = ACTIONS(1464),
    [sym__external_else] = ACTIONS(1464),
    [sym__external_open_parenthesis] = ACTIONS(1464),
    [sym__external_open_brace] = ACTIONS(1464),
    [sym__external_open_bracket] = ACTIONS(1464),
    [sym__external_open_bracket2] = ACTIONS(1464),
  },
  [816] = {
    [ts_builtin_sym_end] = ACTIONS(1468),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_BSLASH] = ACTIONS(1468),
    [anon_sym_function] = ACTIONS(1470),
    [anon_sym_EQ] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(1470),
    [anon_sym_for] = ACTIONS(1470),
    [anon_sym_while] = ACTIONS(1470),
    [anon_sym_repeat] = ACTIONS(1470),
    [anon_sym_QMARK] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_LT_DASH] = ACTIONS(1468),
    [anon_sym_LT_LT_DASH] = ACTIONS(1468),
    [anon_sym_COLON_EQ] = ACTIONS(1468),
    [anon_sym_DASH_GT] = ACTIONS(1470),
    [anon_sym_DASH_GT_GT] = ACTIONS(1468),
    [anon_sym_PIPE] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_PIPE_PIPE] = ACTIONS(1468),
    [anon_sym_AMP_AMP] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1468),
    [anon_sym_EQ_EQ] = ACTIONS(1468),
    [anon_sym_BANG_EQ] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_STAR_STAR] = ACTIONS(1468),
    [anon_sym_CARET] = ACTIONS(1468),
    [aux_sym_binary_operator_token1] = ACTIONS(1468),
    [anon_sym_PIPE_GT] = ACTIONS(1468),
    [anon_sym_COLON] = ACTIONS(1470),
    [anon_sym_DOLLAR] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(1468),
    [sym__hex_literal] = ACTIONS(1468),
    [sym__number_literal] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [sym_return] = ACTIONS(1470),
    [sym_next] = ACTIONS(1470),
    [sym_break] = ACTIONS(1470),
    [sym_true] = ACTIONS(1470),
    [sym_false] = ACTIONS(1470),
    [sym_null] = ACTIONS(1470),
    [sym_inf] = ACTIONS(1470),
    [sym_nan] = ACTIONS(1470),
    [anon_sym_NA] = ACTIONS(1470),
    [anon_sym_NA_integer_] = ACTIONS(1470),
    [anon_sym_NA_real_] = ACTIONS(1470),
    [anon_sym_NA_complex_] = ACTIONS(1470),
    [anon_sym_NA_character_] = ACTIONS(1470),
    [sym_dots] = ACTIONS(1470),
    [sym_dot_dot_i] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1468),
    [sym__semicolon] = ACTIONS(1468),
    [sym__raw_string_literal] = ACTIONS(1468),
    [sym__external_else] = ACTIONS(1468),
    [sym__external_open_parenthesis] = ACTIONS(1468),
    [sym__external_open_brace] = ACTIONS(1468),
    [sym__external_open_bracket] = ACTIONS(1468),
    [sym__external_open_bracket2] = ACTIONS(1468),
  },
  [817] = {
    [ts_builtin_sym_end] = ACTIONS(1472),
    [sym_identifier] = ACTIONS(1474),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_function] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1474),
    [anon_sym_if] = ACTIONS(1474),
    [anon_sym_for] = ACTIONS(1474),
    [anon_sym_while] = ACTIONS(1474),
    [anon_sym_repeat] = ACTIONS(1474),
    [anon_sym_QMARK] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_LT_DASH] = ACTIONS(1472),
    [anon_sym_LT_LT_DASH] = ACTIONS(1472),
    [anon_sym_COLON_EQ] = ACTIONS(1472),
    [anon_sym_DASH_GT] = ACTIONS(1474),
    [anon_sym_DASH_GT_GT] = ACTIONS(1472),
    [anon_sym_PIPE] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_PIPE_PIPE] = ACTIONS(1472),
    [anon_sym_AMP_AMP] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1474),
    [anon_sym_LT_EQ] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1474),
    [anon_sym_GT_EQ] = ACTIONS(1472),
    [anon_sym_EQ_EQ] = ACTIONS(1472),
    [anon_sym_BANG_EQ] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_STAR_STAR] = ACTIONS(1472),
    [anon_sym_CARET] = ACTIONS(1472),
    [aux_sym_binary_operator_token1] = ACTIONS(1472),
    [anon_sym_PIPE_GT] = ACTIONS(1472),
    [anon_sym_COLON] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1472),
    [sym__hex_literal] = ACTIONS(1472),
    [sym__number_literal] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [sym_return] = ACTIONS(1474),
    [sym_next] = ACTIONS(1474),
    [sym_break] = ACTIONS(1474),
    [sym_true] = ACTIONS(1474),
    [sym_false] = ACTIONS(1474),
    [sym_null] = ACTIONS(1474),
    [sym_inf] = ACTIONS(1474),
    [sym_nan] = ACTIONS(1474),
    [anon_sym_NA] = ACTIONS(1474),
    [anon_sym_NA_integer_] = ACTIONS(1474),
    [anon_sym_NA_real_] = ACTIONS(1474),
    [anon_sym_NA_complex_] = ACTIONS(1474),
    [anon_sym_NA_character_] = ACTIONS(1474),
    [sym_dots] = ACTIONS(1474),
    [sym_dot_dot_i] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1472),
    [sym__semicolon] = ACTIONS(1472),
    [sym__raw_string_literal] = ACTIONS(1472),
    [sym__external_else] = ACTIONS(1472),
    [sym__external_open_parenthesis] = ACTIONS(1472),
    [sym__external_open_brace] = ACTIONS(1472),
    [sym__external_open_bracket] = ACTIONS(1472),
    [sym__external_open_bracket2] = ACTIONS(1472),
  },
  [818] = {
    [ts_builtin_sym_end] = ACTIONS(1416),
    [sym_identifier] = ACTIONS(1414),
    [anon_sym_BSLASH] = ACTIONS(1416),
    [anon_sym_function] = ACTIONS(1414),
    [anon_sym_EQ] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1414),
    [anon_sym_for] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_repeat] = ACTIONS(1414),
    [anon_sym_QMARK] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_LT_DASH] = ACTIONS(1416),
    [anon_sym_LT_LT_DASH] = ACTIONS(1416),
    [anon_sym_COLON_EQ] = ACTIONS(1416),
    [anon_sym_DASH_GT] = ACTIONS(1414),
    [anon_sym_DASH_GT_GT] = ACTIONS(1416),
    [anon_sym_PIPE] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_PIPE_PIPE] = ACTIONS(1416),
    [anon_sym_AMP_AMP] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1416),
    [anon_sym_EQ_EQ] = ACTIONS(1416),
    [anon_sym_BANG_EQ] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_STAR_STAR] = ACTIONS(1416),
    [anon_sym_CARET] = ACTIONS(1416),
    [aux_sym_binary_operator_token1] = ACTIONS(1416),
    [anon_sym_PIPE_GT] = ACTIONS(1416),
    [anon_sym_COLON] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [sym__hex_literal] = ACTIONS(1416),
    [sym__number_literal] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [sym_return] = ACTIONS(1414),
    [sym_next] = ACTIONS(1414),
    [sym_break] = ACTIONS(1414),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [sym_null] = ACTIONS(1414),
    [sym_inf] = ACTIONS(1414),
    [sym_nan] = ACTIONS(1414),
    [anon_sym_NA] = ACTIONS(1414),
    [anon_sym_NA_integer_] = ACTIONS(1414),
    [anon_sym_NA_real_] = ACTIONS(1414),
    [anon_sym_NA_complex_] = ACTIONS(1414),
    [anon_sym_NA_character_] = ACTIONS(1414),
    [sym_dots] = ACTIONS(1414),
    [sym_dot_dot_i] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1416),
    [sym__semicolon] = ACTIONS(1416),
    [sym__raw_string_literal] = ACTIONS(1416),
    [sym__external_else] = ACTIONS(1416),
    [sym__external_open_parenthesis] = ACTIONS(1416),
    [sym__external_open_brace] = ACTIONS(1416),
    [sym__external_open_bracket] = ACTIONS(1416),
    [sym__external_open_bracket2] = ACTIONS(1416),
  },
  [819] = {
    [ts_builtin_sym_end] = ACTIONS(1476),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_BSLASH] = ACTIONS(1476),
    [anon_sym_function] = ACTIONS(1478),
    [anon_sym_EQ] = ACTIONS(1478),
    [anon_sym_if] = ACTIONS(1478),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_while] = ACTIONS(1478),
    [anon_sym_repeat] = ACTIONS(1478),
    [anon_sym_QMARK] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_LT_DASH] = ACTIONS(1476),
    [anon_sym_LT_LT_DASH] = ACTIONS(1476),
    [anon_sym_COLON_EQ] = ACTIONS(1476),
    [anon_sym_DASH_GT] = ACTIONS(1478),
    [anon_sym_DASH_GT_GT] = ACTIONS(1476),
    [anon_sym_PIPE] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_PIPE_PIPE] = ACTIONS(1476),
    [anon_sym_AMP_AMP] = ACTIONS(1476),
    [anon_sym_LT] = ACTIONS(1478),
    [anon_sym_LT_EQ] = ACTIONS(1476),
    [anon_sym_GT] = ACTIONS(1478),
    [anon_sym_GT_EQ] = ACTIONS(1476),
    [anon_sym_EQ_EQ] = ACTIONS(1476),
    [anon_sym_BANG_EQ] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_SLASH] = ACTIONS(1476),
    [anon_sym_STAR_STAR] = ACTIONS(1476),
    [anon_sym_CARET] = ACTIONS(1476),
    [aux_sym_binary_operator_token1] = ACTIONS(1476),
    [anon_sym_PIPE_GT] = ACTIONS(1476),
    [anon_sym_COLON] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [sym__hex_literal] = ACTIONS(1476),
    [sym__number_literal] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [sym_return] = ACTIONS(1478),
    [sym_next] = ACTIONS(1478),
    [sym_break] = ACTIONS(1478),
    [sym_true] = ACTIONS(1478),
    [sym_false] = ACTIONS(1478),
    [sym_null] = ACTIONS(1478),
    [sym_inf] = ACTIONS(1478),
    [sym_nan] = ACTIONS(1478),
    [anon_sym_NA] = ACTIONS(1478),
    [anon_sym_NA_integer_] = ACTIONS(1478),
    [anon_sym_NA_real_] = ACTIONS(1478),
    [anon_sym_NA_complex_] = ACTIONS(1478),
    [anon_sym_NA_character_] = ACTIONS(1478),
    [sym_dots] = ACTIONS(1478),
    [sym_dot_dot_i] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1476),
    [sym__semicolon] = ACTIONS(1476),
    [sym__raw_string_literal] = ACTIONS(1476),
    [sym__external_else] = ACTIONS(1476),
    [sym__external_open_parenthesis] = ACTIONS(1476),
    [sym__external_open_brace] = ACTIONS(1476),
    [sym__external_open_bracket] = ACTIONS(1476),
    [sym__external_open_bracket2] = ACTIONS(1476),
  },
  [820] = {
    [ts_builtin_sym_end] = ACTIONS(1480),
    [sym_identifier] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1480),
    [anon_sym_function] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1482),
    [anon_sym_if] = ACTIONS(1482),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_while] = ACTIONS(1482),
    [anon_sym_repeat] = ACTIONS(1482),
    [anon_sym_QMARK] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_LT_DASH] = ACTIONS(1480),
    [anon_sym_LT_LT_DASH] = ACTIONS(1480),
    [anon_sym_COLON_EQ] = ACTIONS(1480),
    [anon_sym_DASH_GT] = ACTIONS(1482),
    [anon_sym_DASH_GT_GT] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1482),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1482),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_SLASH] = ACTIONS(1480),
    [anon_sym_STAR_STAR] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [aux_sym_binary_operator_token1] = ACTIONS(1480),
    [anon_sym_PIPE_GT] = ACTIONS(1480),
    [anon_sym_COLON] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [sym__hex_literal] = ACTIONS(1480),
    [sym__number_literal] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [sym_return] = ACTIONS(1482),
    [sym_next] = ACTIONS(1482),
    [sym_break] = ACTIONS(1482),
    [sym_true] = ACTIONS(1482),
    [sym_false] = ACTIONS(1482),
    [sym_null] = ACTIONS(1482),
    [sym_inf] = ACTIONS(1482),
    [sym_nan] = ACTIONS(1482),
    [anon_sym_NA] = ACTIONS(1482),
    [anon_sym_NA_integer_] = ACTIONS(1482),
    [anon_sym_NA_real_] = ACTIONS(1482),
    [anon_sym_NA_complex_] = ACTIONS(1482),
    [anon_sym_NA_character_] = ACTIONS(1482),
    [sym_dots] = ACTIONS(1482),
    [sym_dot_dot_i] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1480),
    [sym__semicolon] = ACTIONS(1480),
    [sym__raw_string_literal] = ACTIONS(1480),
    [sym__external_else] = ACTIONS(1480),
    [sym__external_open_parenthesis] = ACTIONS(1480),
    [sym__external_open_brace] = ACTIONS(1480),
    [sym__external_open_bracket] = ACTIONS(1480),
    [sym__external_open_bracket2] = ACTIONS(1480),
  },
  [821] = {
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_BSLASH] = ACTIONS(1484),
    [anon_sym_function] = ACTIONS(1486),
    [anon_sym_EQ] = ACTIONS(1486),
    [anon_sym_if] = ACTIONS(1486),
    [anon_sym_for] = ACTIONS(1486),
    [anon_sym_while] = ACTIONS(1486),
    [anon_sym_repeat] = ACTIONS(1486),
    [anon_sym_QMARK] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_LT_DASH] = ACTIONS(1484),
    [anon_sym_LT_LT_DASH] = ACTIONS(1484),
    [anon_sym_COLON_EQ] = ACTIONS(1484),
    [anon_sym_DASH_GT] = ACTIONS(1486),
    [anon_sym_DASH_GT_GT] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_AMP_AMP] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_GT] = ACTIONS(1486),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_EQ_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_SLASH] = ACTIONS(1484),
    [anon_sym_STAR_STAR] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [aux_sym_binary_operator_token1] = ACTIONS(1484),
    [anon_sym_PIPE_GT] = ACTIONS(1484),
    [anon_sym_COLON] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [sym__hex_literal] = ACTIONS(1484),
    [sym__number_literal] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [sym_return] = ACTIONS(1486),
    [sym_next] = ACTIONS(1486),
    [sym_break] = ACTIONS(1486),
    [sym_true] = ACTIONS(1486),
    [sym_false] = ACTIONS(1486),
    [sym_null] = ACTIONS(1486),
    [sym_inf] = ACTIONS(1486),
    [sym_nan] = ACTIONS(1486),
    [anon_sym_NA] = ACTIONS(1486),
    [anon_sym_NA_integer_] = ACTIONS(1486),
    [anon_sym_NA_real_] = ACTIONS(1486),
    [anon_sym_NA_complex_] = ACTIONS(1486),
    [anon_sym_NA_character_] = ACTIONS(1486),
    [sym_dots] = ACTIONS(1486),
    [sym_dot_dot_i] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1484),
    [sym__semicolon] = ACTIONS(1484),
    [sym__raw_string_literal] = ACTIONS(1484),
    [sym__external_else] = ACTIONS(1484),
    [sym__external_open_parenthesis] = ACTIONS(1484),
    [sym__external_open_brace] = ACTIONS(1484),
    [sym__external_open_bracket] = ACTIONS(1484),
    [sym__external_open_bracket2] = ACTIONS(1484),
  },
  [822] = {
    [sym_function_definition] = STATE(363),
    [sym_if_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_repeat_statement] = STATE(363),
    [sym_braced_expression] = STATE(363),
    [sym_parenthesized_expression] = STATE(363),
    [sym_call] = STATE(363),
    [sym_subset] = STATE(363),
    [sym_subset2] = STATE(363),
    [sym_unary_operator] = STATE(363),
    [sym_binary_operator] = STATE(363),
    [sym_extract_operator] = STATE(363),
    [sym_namespace_operator] = STATE(363),
    [sym_integer] = STATE(363),
    [sym_complex] = STATE(363),
    [sym_float] = STATE(363),
    [sym__float_literal] = STATE(807),
    [sym_string] = STATE(804),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym_na] = STATE(363),
    [sym__expression] = STATE(363),
    [sym__string_or_identifier] = STATE(2301),
    [sym__open_parenthesis] = STATE(1021),
    [sym__open_brace] = STATE(925),
    [sym__close_brace] = STATE(830),
    [aux_sym_braced_expression_repeat1] = STATE(941),
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_repeat] = ACTIONS(1430),
    [anon_sym_QMARK] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [sym__hex_literal] = ACTIONS(1440),
    [sym__number_literal] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(1444),
    [sym_next] = ACTIONS(1444),
    [sym_break] = ACTIONS(1444),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [sym_null] = ACTIONS(1444),
    [sym_inf] = ACTIONS(1444),
    [sym_nan] = ACTIONS(1444),
    [anon_sym_NA] = ACTIONS(1446),
    [anon_sym_NA_integer_] = ACTIONS(1446),
    [anon_sym_NA_real_] = ACTIONS(1446),
    [anon_sym_NA_complex_] = ACTIONS(1446),
    [anon_sym_NA_character_] = ACTIONS(1446),
    [sym_dots] = ACTIONS(1444),
    [sym_dot_dot_i] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1450),
    [sym__semicolon] = ACTIONS(1450),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(1452),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_close_brace] = ACTIONS(1488),
  },
  [823] = {
    [aux_sym_function_definition_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(1391),
    [anon_sym_BSLASH] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1391),
    [anon_sym_EQ] = ACTIONS(1391),
    [anon_sym_if] = ACTIONS(1391),
    [anon_sym_for] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1391),
    [anon_sym_repeat] = ACTIONS(1391),
    [anon_sym_QMARK] = ACTIONS(1393),
    [anon_sym_TILDE] = ACTIONS(1393),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1391),
    [anon_sym_LT_DASH] = ACTIONS(1393),
    [anon_sym_LT_LT_DASH] = ACTIONS(1393),
    [anon_sym_COLON_EQ] = ACTIONS(1393),
    [anon_sym_DASH_GT] = ACTIONS(1391),
    [anon_sym_DASH_GT_GT] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_AMP] = ACTIONS(1391),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_AMP_AMP] = ACTIONS(1393),
    [anon_sym_LT] = ACTIONS(1391),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_GT] = ACTIONS(1391),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_EQ_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_SLASH] = ACTIONS(1393),
    [anon_sym_STAR_STAR] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [aux_sym_binary_operator_token1] = ACTIONS(1393),
    [anon_sym_PIPE_GT] = ACTIONS(1393),
    [anon_sym_COLON] = ACTIONS(1391),
    [anon_sym_DOLLAR] = ACTIONS(1393),
    [anon_sym_AT] = ACTIONS(1393),
    [sym__hex_literal] = ACTIONS(1393),
    [sym__number_literal] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [anon_sym_DQUOTE] = ACTIONS(1393),
    [sym_return] = ACTIONS(1391),
    [sym_next] = ACTIONS(1391),
    [sym_break] = ACTIONS(1391),
    [sym_true] = ACTIONS(1391),
    [sym_false] = ACTIONS(1391),
    [sym_null] = ACTIONS(1391),
    [sym_inf] = ACTIONS(1391),
    [sym_nan] = ACTIONS(1391),
    [anon_sym_NA] = ACTIONS(1391),
    [anon_sym_NA_integer_] = ACTIONS(1391),
    [anon_sym_NA_real_] = ACTIONS(1391),
    [anon_sym_NA_complex_] = ACTIONS(1391),
    [anon_sym_NA_character_] = ACTIONS(1391),
    [sym_dots] = ACTIONS(1391),
    [sym_dot_dot_i] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1393),
    [sym__newline] = ACTIONS(1490),
    [sym__raw_string_literal] = ACTIONS(1393),
    [sym__external_open_parenthesis] = ACTIONS(1393),
    [sym__external_open_brace] = ACTIONS(1393),
    [sym__external_open_bracket] = ACTIONS(1393),
    [sym__external_close_bracket] = ACTIONS(1393),
    [sym__external_open_bracket2] = ACTIONS(1393),
  },
  [824] = {
    [ts_builtin_sym_end] = ACTIONS(1493),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_BSLASH] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1495),
    [anon_sym_EQ] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1495),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_repeat] = ACTIONS(1495),
    [anon_sym_QMARK] = ACTIONS(1493),
    [anon_sym_TILDE] = ACTIONS(1493),
    [anon_sym_BANG] = ACTIONS(1495),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_LT_DASH] = ACTIONS(1493),
    [anon_sym_LT_LT_DASH] = ACTIONS(1493),
    [anon_sym_COLON_EQ] = ACTIONS(1493),
    [anon_sym_DASH_GT] = ACTIONS(1495),
    [anon_sym_DASH_GT_GT] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
    [anon_sym_AMP] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_AMP_AMP] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_GT] = ACTIONS(1495),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_EQ_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_STAR] = ACTIONS(1495),
    [anon_sym_SLASH] = ACTIONS(1493),
    [anon_sym_STAR_STAR] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [aux_sym_binary_operator_token1] = ACTIONS(1493),
    [anon_sym_PIPE_GT] = ACTIONS(1493),
    [anon_sym_COLON] = ACTIONS(1495),
    [anon_sym_DOLLAR] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(1493),
    [sym__hex_literal] = ACTIONS(1493),
    [sym__number_literal] = ACTIONS(1495),
    [anon_sym_SQUOTE] = ACTIONS(1493),
    [anon_sym_DQUOTE] = ACTIONS(1493),
    [sym_return] = ACTIONS(1495),
    [sym_next] = ACTIONS(1495),
    [sym_break] = ACTIONS(1495),
    [sym_true] = ACTIONS(1495),
    [sym_false] = ACTIONS(1495),
    [sym_null] = ACTIONS(1495),
    [sym_inf] = ACTIONS(1495),
    [sym_nan] = ACTIONS(1495),
    [anon_sym_NA] = ACTIONS(1495),
    [anon_sym_NA_integer_] = ACTIONS(1495),
    [anon_sym_NA_real_] = ACTIONS(1495),
    [anon_sym_NA_complex_] = ACTIONS(1495),
    [anon_sym_NA_character_] = ACTIONS(1495),
    [sym_dots] = ACTIONS(1495),
    [sym_dot_dot_i] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1493),
    [sym__semicolon] = ACTIONS(1493),
    [sym__raw_string_literal] = ACTIONS(1493),
    [sym__external_else] = ACTIONS(1493),
    [sym__external_open_parenthesis] = ACTIONS(1493),
    [sym__external_open_brace] = ACTIONS(1493),
    [sym__external_open_bracket] = ACTIONS(1493),
    [sym__external_open_bracket2] = ACTIONS(1493),
  },
  [825] = {
    [ts_builtin_sym_end] = ACTIONS(1497),
    [sym_identifier] = ACTIONS(1499),
    [anon_sym_BSLASH] = ACTIONS(1497),
    [anon_sym_function] = ACTIONS(1499),
    [anon_sym_EQ] = ACTIONS(1499),
    [anon_sym_if] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1499),
    [anon_sym_while] = ACTIONS(1499),
    [anon_sym_repeat] = ACTIONS(1499),
    [anon_sym_QMARK] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(1497),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_LT_DASH] = ACTIONS(1497),
    [anon_sym_LT_LT_DASH] = ACTIONS(1497),
    [anon_sym_COLON_EQ] = ACTIONS(1497),
    [anon_sym_DASH_GT] = ACTIONS(1499),
    [anon_sym_DASH_GT_GT] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_AMP_AMP] = ACTIONS(1497),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_GT] = ACTIONS(1499),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_EQ_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1497),
    [anon_sym_STAR_STAR] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [aux_sym_binary_operator_token1] = ACTIONS(1497),
    [anon_sym_PIPE_GT] = ACTIONS(1497),
    [anon_sym_COLON] = ACTIONS(1499),
    [anon_sym_DOLLAR] = ACTIONS(1497),
    [anon_sym_AT] = ACTIONS(1497),
    [sym__hex_literal] = ACTIONS(1497),
    [sym__number_literal] = ACTIONS(1499),
    [anon_sym_SQUOTE] = ACTIONS(1497),
    [anon_sym_DQUOTE] = ACTIONS(1497),
    [sym_return] = ACTIONS(1499),
    [sym_next] = ACTIONS(1499),
    [sym_break] = ACTIONS(1499),
    [sym_true] = ACTIONS(1499),
    [sym_false] = ACTIONS(1499),
    [sym_null] = ACTIONS(1499),
    [sym_inf] = ACTIONS(1499),
    [sym_nan] = ACTIONS(1499),
    [anon_sym_NA] = ACTIONS(1499),
    [anon_sym_NA_integer_] = ACTIONS(1499),
    [anon_sym_NA_real_] = ACTIONS(1499),
    [anon_sym_NA_complex_] = ACTIONS(1499),
    [anon_sym_NA_character_] = ACTIONS(1499),
    [sym_dots] = ACTIONS(1499),
    [sym_dot_dot_i] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1497),
    [sym__semicolon] = ACTIONS(1497),
    [sym__raw_string_literal] = ACTIONS(1497),
    [sym__external_else] = ACTIONS(1497),
    [sym__external_open_parenthesis] = ACTIONS(1497),
    [sym__external_open_brace] = ACTIONS(1497),
    [sym__external_open_bracket] = ACTIONS(1497),
    [sym__external_open_bracket2] = ACTIONS(1497),
  },
  [826] = {
    [ts_builtin_sym_end] = ACTIONS(1501),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(1501),
    [anon_sym_function] = ACTIONS(1503),
    [anon_sym_EQ] = ACTIONS(1503),
    [anon_sym_if] = ACTIONS(1503),
    [anon_sym_for] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_repeat] = ACTIONS(1503),
    [anon_sym_QMARK] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(1501),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_LT_DASH] = ACTIONS(1501),
    [anon_sym_LT_LT_DASH] = ACTIONS(1501),
    [anon_sym_COLON_EQ] = ACTIONS(1501),
    [anon_sym_DASH_GT] = ACTIONS(1503),
    [anon_sym_DASH_GT_GT] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_AMP] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_AMP_AMP] = ACTIONS(1501),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_GT] = ACTIONS(1503),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_EQ_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_SLASH] = ACTIONS(1501),
    [anon_sym_STAR_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [aux_sym_binary_operator_token1] = ACTIONS(1501),
    [anon_sym_PIPE_GT] = ACTIONS(1501),
    [anon_sym_COLON] = ACTIONS(1503),
    [anon_sym_DOLLAR] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(1501),
    [sym__hex_literal] = ACTIONS(1501),
    [sym__number_literal] = ACTIONS(1503),
    [anon_sym_SQUOTE] = ACTIONS(1501),
    [anon_sym_DQUOTE] = ACTIONS(1501),
    [sym_return] = ACTIONS(1503),
    [sym_next] = ACTIONS(1503),
    [sym_break] = ACTIONS(1503),
    [sym_true] = ACTIONS(1503),
    [sym_false] = ACTIONS(1503),
    [sym_null] = ACTIONS(1503),
    [sym_inf] = ACTIONS(1503),
    [sym_nan] = ACTIONS(1503),
    [anon_sym_NA] = ACTIONS(1503),
    [anon_sym_NA_integer_] = ACTIONS(1503),
    [anon_sym_NA_real_] = ACTIONS(1503),
    [anon_sym_NA_complex_] = ACTIONS(1503),
    [anon_sym_NA_character_] = ACTIONS(1503),
    [sym_dots] = ACTIONS(1503),
    [sym_dot_dot_i] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1501),
    [sym__semicolon] = ACTIONS(1501),
    [sym__raw_string_literal] = ACTIONS(1501),
    [sym__external_else] = ACTIONS(1501),
    [sym__external_open_parenthesis] = ACTIONS(1501),
    [sym__external_open_brace] = ACTIONS(1501),
    [sym__external_open_bracket] = ACTIONS(1501),
    [sym__external_open_bracket2] = ACTIONS(1501),
  },
  [827] = {
    [ts_builtin_sym_end] = ACTIONS(1505),
    [sym_identifier] = ACTIONS(1507),
    [anon_sym_BSLASH] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ] = ACTIONS(1507),
    [anon_sym_if] = ACTIONS(1507),
    [anon_sym_for] = ACTIONS(1507),
    [anon_sym_while] = ACTIONS(1507),
    [anon_sym_repeat] = ACTIONS(1507),
    [anon_sym_QMARK] = ACTIONS(1505),
    [anon_sym_TILDE] = ACTIONS(1505),
    [anon_sym_BANG] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_LT_DASH] = ACTIONS(1505),
    [anon_sym_LT_LT_DASH] = ACTIONS(1505),
    [anon_sym_COLON_EQ] = ACTIONS(1505),
    [anon_sym_DASH_GT] = ACTIONS(1507),
    [anon_sym_DASH_GT_GT] = ACTIONS(1505),
    [anon_sym_PIPE] = ACTIONS(1507),
    [anon_sym_AMP] = ACTIONS(1507),
    [anon_sym_PIPE_PIPE] = ACTIONS(1505),
    [anon_sym_AMP_AMP] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1507),
    [anon_sym_LT_EQ] = ACTIONS(1505),
    [anon_sym_GT] = ACTIONS(1507),
    [anon_sym_GT_EQ] = ACTIONS(1505),
    [anon_sym_EQ_EQ] = ACTIONS(1505),
    [anon_sym_BANG_EQ] = ACTIONS(1505),
    [anon_sym_STAR] = ACTIONS(1507),
    [anon_sym_SLASH] = ACTIONS(1505),
    [anon_sym_STAR_STAR] = ACTIONS(1505),
    [anon_sym_CARET] = ACTIONS(1505),
    [aux_sym_binary_operator_token1] = ACTIONS(1505),
    [anon_sym_PIPE_GT] = ACTIONS(1505),
    [anon_sym_COLON] = ACTIONS(1507),
    [anon_sym_DOLLAR] = ACTIONS(1505),
    [anon_sym_AT] = ACTIONS(1505),
    [sym__hex_literal] = ACTIONS(1505),
    [sym__number_literal] = ACTIONS(1507),
    [anon_sym_SQUOTE] = ACTIONS(1505),
    [anon_sym_DQUOTE] = ACTIONS(1505),
    [sym_return] = ACTIONS(1507),
    [sym_next] = ACTIONS(1507),
    [sym_break] = ACTIONS(1507),
    [sym_true] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_null] = ACTIONS(1507),
    [sym_inf] = ACTIONS(1507),
    [sym_nan] = ACTIONS(1507),
    [anon_sym_NA] = ACTIONS(1507),
    [anon_sym_NA_integer_] = ACTIONS(1507),
    [anon_sym_NA_real_] = ACTIONS(1507),
    [anon_sym_NA_complex_] = ACTIONS(1507),
    [anon_sym_NA_character_] = ACTIONS(1507),
    [sym_dots] = ACTIONS(1507),
    [sym_dot_dot_i] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1505),
    [sym__semicolon] = ACTIONS(1505),
    [sym__raw_string_literal] = ACTIONS(1505),
    [sym__external_else] = ACTIONS(1505),
    [sym__external_open_parenthesis] = ACTIONS(1505),
    [sym__external_open_brace] = ACTIONS(1505),
    [sym__external_open_bracket] = ACTIONS(1505),
    [sym__external_open_bracket2] = ACTIONS(1505),
  },
  [828] = {
    [ts_builtin_sym_end] = ACTIONS(1509),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(1509),
    [anon_sym_function] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_for] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1511),
    [anon_sym_repeat] = ACTIONS(1511),
    [anon_sym_QMARK] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(1509),
    [anon_sym_BANG] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_LT_DASH] = ACTIONS(1509),
    [anon_sym_LT_LT_DASH] = ACTIONS(1509),
    [anon_sym_COLON_EQ] = ACTIONS(1509),
    [anon_sym_DASH_GT] = ACTIONS(1511),
    [anon_sym_DASH_GT_GT] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_AMP_AMP] = ACTIONS(1509),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT] = ACTIONS(1511),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_EQ_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_STAR] = ACTIONS(1511),
    [anon_sym_SLASH] = ACTIONS(1509),
    [anon_sym_STAR_STAR] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [aux_sym_binary_operator_token1] = ACTIONS(1509),
    [anon_sym_PIPE_GT] = ACTIONS(1509),
    [anon_sym_COLON] = ACTIONS(1511),
    [anon_sym_DOLLAR] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(1509),
    [sym__hex_literal] = ACTIONS(1509),
    [sym__number_literal] = ACTIONS(1511),
    [anon_sym_SQUOTE] = ACTIONS(1509),
    [anon_sym_DQUOTE] = ACTIONS(1509),
    [sym_return] = ACTIONS(1511),
    [sym_next] = ACTIONS(1511),
    [sym_break] = ACTIONS(1511),
    [sym_true] = ACTIONS(1511),
    [sym_false] = ACTIONS(1511),
    [sym_null] = ACTIONS(1511),
    [sym_inf] = ACTIONS(1511),
    [sym_nan] = ACTIONS(1511),
    [anon_sym_NA] = ACTIONS(1511),
    [anon_sym_NA_integer_] = ACTIONS(1511),
    [anon_sym_NA_real_] = ACTIONS(1511),
    [anon_sym_NA_complex_] = ACTIONS(1511),
    [anon_sym_NA_character_] = ACTIONS(1511),
    [sym_dots] = ACTIONS(1511),
    [sym_dot_dot_i] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1509),
    [sym__semicolon] = ACTIONS(1509),
    [sym__raw_string_literal] = ACTIONS(1509),
    [sym__external_else] = ACTIONS(1509),
    [sym__external_open_parenthesis] = ACTIONS(1509),
    [sym__external_open_brace] = ACTIONS(1509),
    [sym__external_open_bracket] = ACTIONS(1509),
    [sym__external_open_bracket2] = ACTIONS(1509),
  },
  [829] = {
    [ts_builtin_sym_end] = ACTIONS(1513),
    [sym_identifier] = ACTIONS(1515),
    [anon_sym_BSLASH] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_EQ] = ACTIONS(1515),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_for] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1515),
    [anon_sym_repeat] = ACTIONS(1515),
    [anon_sym_QMARK] = ACTIONS(1513),
    [anon_sym_TILDE] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_LT_DASH] = ACTIONS(1513),
    [anon_sym_LT_LT_DASH] = ACTIONS(1513),
    [anon_sym_COLON_EQ] = ACTIONS(1513),
    [anon_sym_DASH_GT] = ACTIONS(1515),
    [anon_sym_DASH_GT_GT] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_GT] = ACTIONS(1515),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_EQ_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_SLASH] = ACTIONS(1513),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [aux_sym_binary_operator_token1] = ACTIONS(1513),
    [anon_sym_PIPE_GT] = ACTIONS(1513),
    [anon_sym_COLON] = ACTIONS(1515),
    [anon_sym_DOLLAR] = ACTIONS(1513),
    [anon_sym_AT] = ACTIONS(1513),
    [sym__hex_literal] = ACTIONS(1513),
    [sym__number_literal] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1513),
    [anon_sym_DQUOTE] = ACTIONS(1513),
    [sym_return] = ACTIONS(1515),
    [sym_next] = ACTIONS(1515),
    [sym_break] = ACTIONS(1515),
    [sym_true] = ACTIONS(1515),
    [sym_false] = ACTIONS(1515),
    [sym_null] = ACTIONS(1515),
    [sym_inf] = ACTIONS(1515),
    [sym_nan] = ACTIONS(1515),
    [anon_sym_NA] = ACTIONS(1515),
    [anon_sym_NA_integer_] = ACTIONS(1515),
    [anon_sym_NA_real_] = ACTIONS(1515),
    [anon_sym_NA_complex_] = ACTIONS(1515),
    [anon_sym_NA_character_] = ACTIONS(1515),
    [sym_dots] = ACTIONS(1515),
    [sym_dot_dot_i] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1513),
    [sym__semicolon] = ACTIONS(1513),
    [sym__raw_string_literal] = ACTIONS(1513),
    [sym__external_else] = ACTIONS(1513),
    [sym__external_open_parenthesis] = ACTIONS(1513),
    [sym__external_open_brace] = ACTIONS(1513),
    [sym__external_open_bracket] = ACTIONS(1513),
    [sym__external_open_bracket2] = ACTIONS(1513),
  },
  [830] = {
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_BSLASH] = ACTIONS(1517),
    [anon_sym_function] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1519),
    [anon_sym_if] = ACTIONS(1519),
    [anon_sym_for] = ACTIONS(1519),
    [anon_sym_while] = ACTIONS(1519),
    [anon_sym_repeat] = ACTIONS(1519),
    [anon_sym_QMARK] = ACTIONS(1517),
    [anon_sym_TILDE] = ACTIONS(1517),
    [anon_sym_BANG] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_LT_DASH] = ACTIONS(1517),
    [anon_sym_LT_LT_DASH] = ACTIONS(1517),
    [anon_sym_COLON_EQ] = ACTIONS(1517),
    [anon_sym_DASH_GT] = ACTIONS(1519),
    [anon_sym_DASH_GT_GT] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_AMP_AMP] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_GT] = ACTIONS(1519),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_EQ_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_STAR] = ACTIONS(1519),
    [anon_sym_SLASH] = ACTIONS(1517),
    [anon_sym_STAR_STAR] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [aux_sym_binary_operator_token1] = ACTIONS(1517),
    [anon_sym_PIPE_GT] = ACTIONS(1517),
    [anon_sym_COLON] = ACTIONS(1519),
    [anon_sym_DOLLAR] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(1517),
    [sym__hex_literal] = ACTIONS(1517),
    [sym__number_literal] = ACTIONS(1519),
    [anon_sym_SQUOTE] = ACTIONS(1517),
    [anon_sym_DQUOTE] = ACTIONS(1517),
    [sym_return] = ACTIONS(1519),
    [sym_next] = ACTIONS(1519),
    [sym_break] = ACTIONS(1519),
    [sym_true] = ACTIONS(1519),
    [sym_false] = ACTIONS(1519),
    [sym_null] = ACTIONS(1519),
    [sym_inf] = ACTIONS(1519),
    [sym_nan] = ACTIONS(1519),
    [anon_sym_NA] = ACTIONS(1519),
    [anon_sym_NA_integer_] = ACTIONS(1519),
    [anon_sym_NA_real_] = ACTIONS(1519),
    [anon_sym_NA_complex_] = ACTIONS(1519),
    [anon_sym_NA_character_] = ACTIONS(1519),
    [sym_dots] = ACTIONS(1519),
    [sym_dot_dot_i] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1517),
    [sym__semicolon] = ACTIONS(1517),
    [sym__raw_string_literal] = ACTIONS(1517),
    [sym__external_else] = ACTIONS(1517),
    [sym__external_open_parenthesis] = ACTIONS(1517),
    [sym__external_open_brace] = ACTIONS(1517),
    [sym__external_open_bracket] = ACTIONS(1517),
    [sym__external_open_bracket2] = ACTIONS(1517),
  },
  [831] = {
    [ts_builtin_sym_end] = ACTIONS(1521),
    [sym_identifier] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(1521),
    [anon_sym_function] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(1523),
    [anon_sym_for] = ACTIONS(1523),
    [anon_sym_while] = ACTIONS(1523),
    [anon_sym_repeat] = ACTIONS(1523),
    [anon_sym_QMARK] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1523),
    [anon_sym_LT_DASH] = ACTIONS(1521),
    [anon_sym_LT_LT_DASH] = ACTIONS(1521),
    [anon_sym_COLON_EQ] = ACTIONS(1521),
    [anon_sym_DASH_GT] = ACTIONS(1523),
    [anon_sym_DASH_GT_GT] = ACTIONS(1521),
    [anon_sym_PIPE] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_PIPE_PIPE] = ACTIONS(1521),
    [anon_sym_AMP_AMP] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1521),
    [anon_sym_STAR_STAR] = ACTIONS(1521),
    [anon_sym_CARET] = ACTIONS(1521),
    [aux_sym_binary_operator_token1] = ACTIONS(1521),
    [anon_sym_PIPE_GT] = ACTIONS(1521),
    [anon_sym_COLON] = ACTIONS(1523),
    [anon_sym_DOLLAR] = ACTIONS(1521),
    [anon_sym_AT] = ACTIONS(1521),
    [sym__hex_literal] = ACTIONS(1521),
    [sym__number_literal] = ACTIONS(1523),
    [anon_sym_SQUOTE] = ACTIONS(1521),
    [anon_sym_DQUOTE] = ACTIONS(1521),
    [sym_return] = ACTIONS(1523),
    [sym_next] = ACTIONS(1523),
    [sym_break] = ACTIONS(1523),
    [sym_true] = ACTIONS(1523),
    [sym_false] = ACTIONS(1523),
    [sym_null] = ACTIONS(1523),
    [sym_inf] = ACTIONS(1523),
    [sym_nan] = ACTIONS(1523),
    [anon_sym_NA] = ACTIONS(1523),
    [anon_sym_NA_integer_] = ACTIONS(1523),
    [anon_sym_NA_real_] = ACTIONS(1523),
    [anon_sym_NA_complex_] = ACTIONS(1523),
    [anon_sym_NA_character_] = ACTIONS(1523),
    [sym_dots] = ACTIONS(1523),
    [sym_dot_dot_i] = ACTIONS(1521),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1521),
    [sym__semicolon] = ACTIONS(1521),
    [sym__raw_string_literal] = ACTIONS(1521),
    [sym__external_else] = ACTIONS(1521),
    [sym__external_open_parenthesis] = ACTIONS(1521),
    [sym__external_open_brace] = ACTIONS(1521),
    [sym__external_open_bracket] = ACTIONS(1521),
    [sym__external_open_bracket2] = ACTIONS(1521),
  },
  [832] = {
    [ts_builtin_sym_end] = ACTIONS(1525),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_BSLASH] = ACTIONS(1525),
    [anon_sym_function] = ACTIONS(1527),
    [anon_sym_EQ] = ACTIONS(1527),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_for] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1527),
    [anon_sym_repeat] = ACTIONS(1527),
    [anon_sym_QMARK] = ACTIONS(1525),
    [anon_sym_TILDE] = ACTIONS(1525),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1525),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_LT_DASH] = ACTIONS(1525),
    [anon_sym_LT_LT_DASH] = ACTIONS(1525),
    [anon_sym_COLON_EQ] = ACTIONS(1525),
    [anon_sym_DASH_GT] = ACTIONS(1527),
    [anon_sym_DASH_GT_GT] = ACTIONS(1525),
    [anon_sym_PIPE] = ACTIONS(1527),
    [anon_sym_AMP] = ACTIONS(1527),
    [anon_sym_PIPE_PIPE] = ACTIONS(1525),
    [anon_sym_AMP_AMP] = ACTIONS(1525),
    [anon_sym_LT] = ACTIONS(1527),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1527),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_EQ_EQ] = ACTIONS(1525),
    [anon_sym_BANG_EQ] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_STAR_STAR] = ACTIONS(1525),
    [anon_sym_CARET] = ACTIONS(1525),
    [aux_sym_binary_operator_token1] = ACTIONS(1525),
    [anon_sym_PIPE_GT] = ACTIONS(1525),
    [anon_sym_COLON] = ACTIONS(1527),
    [anon_sym_DOLLAR] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(1525),
    [sym__hex_literal] = ACTIONS(1525),
    [sym__number_literal] = ACTIONS(1527),
    [anon_sym_SQUOTE] = ACTIONS(1525),
    [anon_sym_DQUOTE] = ACTIONS(1525),
    [sym_return] = ACTIONS(1527),
    [sym_next] = ACTIONS(1527),
    [sym_break] = ACTIONS(1527),
    [sym_true] = ACTIONS(1527),
    [sym_false] = ACTIONS(1527),
    [sym_null] = ACTIONS(1527),
    [sym_inf] = ACTIONS(1527),
    [sym_nan] = ACTIONS(1527),
    [anon_sym_NA] = ACTIONS(1527),
    [anon_sym_NA_integer_] = ACTIONS(1527),
    [anon_sym_NA_real_] = ACTIONS(1527),
    [anon_sym_NA_complex_] = ACTIONS(1527),
    [anon_sym_NA_character_] = ACTIONS(1527),
    [sym_dots] = ACTIONS(1527),
    [sym_dot_dot_i] = ACTIONS(1525),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1525),
    [sym__semicolon] = ACTIONS(1525),
    [sym__raw_string_literal] = ACTIONS(1525),
    [sym__external_else] = ACTIONS(1525),
    [sym__external_open_parenthesis] = ACTIONS(1525),
    [sym__external_open_brace] = ACTIONS(1525),
    [sym__external_open_bracket] = ACTIONS(1525),
    [sym__external_open_bracket2] = ACTIONS(1525),
  },
  [833] = {
    [ts_builtin_sym_end] = ACTIONS(1529),
    [sym_identifier] = ACTIONS(1531),
    [anon_sym_BSLASH] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_EQ] = ACTIONS(1531),
    [anon_sym_if] = ACTIONS(1531),
    [anon_sym_for] = ACTIONS(1531),
    [anon_sym_while] = ACTIONS(1531),
    [anon_sym_repeat] = ACTIONS(1531),
    [anon_sym_QMARK] = ACTIONS(1529),
    [anon_sym_TILDE] = ACTIONS(1529),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1531),
    [anon_sym_LT_DASH] = ACTIONS(1529),
    [anon_sym_LT_LT_DASH] = ACTIONS(1529),
    [anon_sym_COLON_EQ] = ACTIONS(1529),
    [anon_sym_DASH_GT] = ACTIONS(1531),
    [anon_sym_DASH_GT_GT] = ACTIONS(1529),
    [anon_sym_PIPE] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_PIPE_PIPE] = ACTIONS(1529),
    [anon_sym_AMP_AMP] = ACTIONS(1529),
    [anon_sym_LT] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1529),
    [anon_sym_GT] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1529),
    [anon_sym_EQ_EQ] = ACTIONS(1529),
    [anon_sym_BANG_EQ] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1529),
    [anon_sym_STAR_STAR] = ACTIONS(1529),
    [anon_sym_CARET] = ACTIONS(1529),
    [aux_sym_binary_operator_token1] = ACTIONS(1529),
    [anon_sym_PIPE_GT] = ACTIONS(1529),
    [anon_sym_COLON] = ACTIONS(1531),
    [anon_sym_DOLLAR] = ACTIONS(1529),
    [anon_sym_AT] = ACTIONS(1529),
    [sym__hex_literal] = ACTIONS(1529),
    [sym__number_literal] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1529),
    [anon_sym_DQUOTE] = ACTIONS(1529),
    [sym_return] = ACTIONS(1531),
    [sym_next] = ACTIONS(1531),
    [sym_break] = ACTIONS(1531),
    [sym_true] = ACTIONS(1531),
    [sym_false] = ACTIONS(1531),
    [sym_null] = ACTIONS(1531),
    [sym_inf] = ACTIONS(1531),
    [sym_nan] = ACTIONS(1531),
    [anon_sym_NA] = ACTIONS(1531),
    [anon_sym_NA_integer_] = ACTIONS(1531),
    [anon_sym_NA_real_] = ACTIONS(1531),
    [anon_sym_NA_complex_] = ACTIONS(1531),
    [anon_sym_NA_character_] = ACTIONS(1531),
    [sym_dots] = ACTIONS(1531),
    [sym_dot_dot_i] = ACTIONS(1529),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1529),
    [sym__semicolon] = ACTIONS(1529),
    [sym__raw_string_literal] = ACTIONS(1529),
    [sym__external_else] = ACTIONS(1529),
    [sym__external_open_parenthesis] = ACTIONS(1529),
    [sym__external_open_brace] = ACTIONS(1529),
    [sym__external_open_bracket] = ACTIONS(1529),
    [sym__external_open_bracket2] = ACTIONS(1529),
  },
  [834] = {
    [ts_builtin_sym_end] = ACTIONS(1533),
    [sym_identifier] = ACTIONS(1535),
    [anon_sym_BSLASH] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(1535),
    [anon_sym_EQ] = ACTIONS(1535),
    [anon_sym_if] = ACTIONS(1535),
    [anon_sym_for] = ACTIONS(1535),
    [anon_sym_while] = ACTIONS(1535),
    [anon_sym_repeat] = ACTIONS(1535),
    [anon_sym_QMARK] = ACTIONS(1533),
    [anon_sym_TILDE] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1535),
    [anon_sym_LT_DASH] = ACTIONS(1533),
    [anon_sym_LT_LT_DASH] = ACTIONS(1533),
    [anon_sym_COLON_EQ] = ACTIONS(1533),
    [anon_sym_DASH_GT] = ACTIONS(1535),
    [anon_sym_DASH_GT_GT] = ACTIONS(1533),
    [anon_sym_PIPE] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_PIPE_PIPE] = ACTIONS(1533),
    [anon_sym_AMP_AMP] = ACTIONS(1533),
    [anon_sym_LT] = ACTIONS(1535),
    [anon_sym_LT_EQ] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1535),
    [anon_sym_GT_EQ] = ACTIONS(1533),
    [anon_sym_EQ_EQ] = ACTIONS(1533),
    [anon_sym_BANG_EQ] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_SLASH] = ACTIONS(1533),
    [anon_sym_STAR_STAR] = ACTIONS(1533),
    [anon_sym_CARET] = ACTIONS(1533),
    [aux_sym_binary_operator_token1] = ACTIONS(1533),
    [anon_sym_PIPE_GT] = ACTIONS(1533),
    [anon_sym_COLON] = ACTIONS(1535),
    [anon_sym_DOLLAR] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(1533),
    [sym__hex_literal] = ACTIONS(1533),
    [sym__number_literal] = ACTIONS(1535),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1533),
    [sym_return] = ACTIONS(1535),
    [sym_next] = ACTIONS(1535),
    [sym_break] = ACTIONS(1535),
    [sym_true] = ACTIONS(1535),
    [sym_false] = ACTIONS(1535),
    [sym_null] = ACTIONS(1535),
    [sym_inf] = ACTIONS(1535),
    [sym_nan] = ACTIONS(1535),
    [anon_sym_NA] = ACTIONS(1535),
    [anon_sym_NA_integer_] = ACTIONS(1535),
    [anon_sym_NA_real_] = ACTIONS(1535),
    [anon_sym_NA_complex_] = ACTIONS(1535),
    [anon_sym_NA_character_] = ACTIONS(1535),
    [sym_dots] = ACTIONS(1535),
    [sym_dot_dot_i] = ACTIONS(1533),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1533),
    [sym__semicolon] = ACTIONS(1533),
    [sym__raw_string_literal] = ACTIONS(1533),
    [sym__external_else] = ACTIONS(1533),
    [sym__external_open_parenthesis] = ACTIONS(1533),
    [sym__external_open_brace] = ACTIONS(1533),
    [sym__external_open_bracket] = ACTIONS(1533),
    [sym__external_open_bracket2] = ACTIONS(1533),
  },
  [835] = {
    [sym_function_definition] = STATE(363),
    [sym_if_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_repeat_statement] = STATE(363),
    [sym_braced_expression] = STATE(363),
    [sym_parenthesized_expression] = STATE(363),
    [sym_call] = STATE(363),
    [sym_subset] = STATE(363),
    [sym_subset2] = STATE(363),
    [sym_unary_operator] = STATE(363),
    [sym_binary_operator] = STATE(363),
    [sym_extract_operator] = STATE(363),
    [sym_namespace_operator] = STATE(363),
    [sym_integer] = STATE(363),
    [sym_complex] = STATE(363),
    [sym_float] = STATE(363),
    [sym__float_literal] = STATE(807),
    [sym_string] = STATE(804),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym_na] = STATE(363),
    [sym__expression] = STATE(363),
    [sym__string_or_identifier] = STATE(2301),
    [sym__open_parenthesis] = STATE(1021),
    [sym__open_brace] = STATE(925),
    [sym__close_brace] = STATE(1018),
    [aux_sym_braced_expression_repeat1] = STATE(941),
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_repeat] = ACTIONS(1430),
    [anon_sym_QMARK] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [sym__hex_literal] = ACTIONS(1440),
    [sym__number_literal] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(1444),
    [sym_next] = ACTIONS(1444),
    [sym_break] = ACTIONS(1444),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [sym_null] = ACTIONS(1444),
    [sym_inf] = ACTIONS(1444),
    [sym_nan] = ACTIONS(1444),
    [anon_sym_NA] = ACTIONS(1446),
    [anon_sym_NA_integer_] = ACTIONS(1446),
    [anon_sym_NA_real_] = ACTIONS(1446),
    [anon_sym_NA_complex_] = ACTIONS(1446),
    [anon_sym_NA_character_] = ACTIONS(1446),
    [sym_dots] = ACTIONS(1444),
    [sym_dot_dot_i] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1450),
    [sym__semicolon] = ACTIONS(1450),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(1452),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_close_brace] = ACTIONS(1537),
  },
  [836] = {
    [aux_sym_function_definition_repeat1] = STATE(836),
    [ts_builtin_sym_end] = ACTIONS(1393),
    [sym_identifier] = ACTIONS(1391),
    [anon_sym_BSLASH] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1391),
    [anon_sym_EQ] = ACTIONS(1391),
    [anon_sym_if] = ACTIONS(1391),
    [anon_sym_for] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1391),
    [anon_sym_repeat] = ACTIONS(1391),
    [anon_sym_QMARK] = ACTIONS(1393),
    [anon_sym_TILDE] = ACTIONS(1393),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1391),
    [anon_sym_LT_DASH] = ACTIONS(1393),
    [anon_sym_LT_LT_DASH] = ACTIONS(1393),
    [anon_sym_COLON_EQ] = ACTIONS(1393),
    [anon_sym_DASH_GT] = ACTIONS(1391),
    [anon_sym_DASH_GT_GT] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_AMP] = ACTIONS(1391),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_AMP_AMP] = ACTIONS(1393),
    [anon_sym_LT] = ACTIONS(1391),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_GT] = ACTIONS(1391),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_EQ_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_SLASH] = ACTIONS(1393),
    [anon_sym_STAR_STAR] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [aux_sym_binary_operator_token1] = ACTIONS(1393),
    [anon_sym_PIPE_GT] = ACTIONS(1393),
    [anon_sym_COLON] = ACTIONS(1391),
    [anon_sym_DOLLAR] = ACTIONS(1393),
    [anon_sym_AT] = ACTIONS(1393),
    [sym__hex_literal] = ACTIONS(1393),
    [sym__number_literal] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [anon_sym_DQUOTE] = ACTIONS(1393),
    [sym_return] = ACTIONS(1391),
    [sym_next] = ACTIONS(1391),
    [sym_break] = ACTIONS(1391),
    [sym_true] = ACTIONS(1391),
    [sym_false] = ACTIONS(1391),
    [sym_null] = ACTIONS(1391),
    [sym_inf] = ACTIONS(1391),
    [sym_nan] = ACTIONS(1391),
    [anon_sym_NA] = ACTIONS(1391),
    [anon_sym_NA_integer_] = ACTIONS(1391),
    [anon_sym_NA_real_] = ACTIONS(1391),
    [anon_sym_NA_complex_] = ACTIONS(1391),
    [anon_sym_NA_character_] = ACTIONS(1391),
    [sym_dots] = ACTIONS(1391),
    [sym_dot_dot_i] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1539),
    [sym__semicolon] = ACTIONS(1393),
    [sym__raw_string_literal] = ACTIONS(1393),
    [sym__external_open_parenthesis] = ACTIONS(1393),
    [sym__external_open_brace] = ACTIONS(1393),
    [sym__external_open_bracket] = ACTIONS(1393),
    [sym__external_open_bracket2] = ACTIONS(1393),
  },
  [837] = {
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_function] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [anon_sym_if] = ACTIONS(1462),
    [anon_sym_for] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1462),
    [anon_sym_repeat] = ACTIONS(1462),
    [anon_sym_QMARK] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_LT_DASH] = ACTIONS(1460),
    [anon_sym_LT_LT_DASH] = ACTIONS(1460),
    [anon_sym_COLON_EQ] = ACTIONS(1460),
    [anon_sym_DASH_GT] = ACTIONS(1462),
    [anon_sym_DASH_GT_GT] = ACTIONS(1460),
    [anon_sym_PIPE] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_PIPE_PIPE] = ACTIONS(1460),
    [anon_sym_AMP_AMP] = ACTIONS(1460),
    [anon_sym_LT] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1460),
    [anon_sym_EQ_EQ] = ACTIONS(1460),
    [anon_sym_BANG_EQ] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_STAR_STAR] = ACTIONS(1460),
    [anon_sym_CARET] = ACTIONS(1460),
    [aux_sym_binary_operator_token1] = ACTIONS(1460),
    [anon_sym_PIPE_GT] = ACTIONS(1460),
    [anon_sym_COLON] = ACTIONS(1462),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1460),
    [sym__hex_literal] = ACTIONS(1460),
    [sym__number_literal] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [sym_return] = ACTIONS(1462),
    [sym_next] = ACTIONS(1462),
    [sym_break] = ACTIONS(1462),
    [sym_true] = ACTIONS(1462),
    [sym_false] = ACTIONS(1462),
    [sym_null] = ACTIONS(1462),
    [sym_inf] = ACTIONS(1462),
    [sym_nan] = ACTIONS(1462),
    [anon_sym_NA] = ACTIONS(1462),
    [anon_sym_NA_integer_] = ACTIONS(1462),
    [anon_sym_NA_real_] = ACTIONS(1462),
    [anon_sym_NA_complex_] = ACTIONS(1462),
    [anon_sym_NA_character_] = ACTIONS(1462),
    [sym_dots] = ACTIONS(1462),
    [sym_dot_dot_i] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1460),
    [sym__newline] = ACTIONS(1460),
    [sym__raw_string_literal] = ACTIONS(1460),
    [sym__external_else] = ACTIONS(1460),
    [sym__external_open_parenthesis] = ACTIONS(1460),
    [sym__external_close_parenthesis] = ACTIONS(1460),
    [sym__external_open_brace] = ACTIONS(1460),
    [sym__external_open_bracket] = ACTIONS(1460),
    [sym__external_open_bracket2] = ACTIONS(1460),
  },
  [838] = {
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_BSLASH] = ACTIONS(1464),
    [anon_sym_function] = ACTIONS(1466),
    [anon_sym_EQ] = ACTIONS(1466),
    [anon_sym_if] = ACTIONS(1466),
    [anon_sym_for] = ACTIONS(1466),
    [anon_sym_while] = ACTIONS(1466),
    [anon_sym_repeat] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_LT_DASH] = ACTIONS(1464),
    [anon_sym_LT_LT_DASH] = ACTIONS(1464),
    [anon_sym_COLON_EQ] = ACTIONS(1464),
    [anon_sym_DASH_GT] = ACTIONS(1466),
    [anon_sym_DASH_GT_GT] = ACTIONS(1464),
    [anon_sym_PIPE] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_PIPE_PIPE] = ACTIONS(1464),
    [anon_sym_AMP_AMP] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1464),
    [anon_sym_EQ_EQ] = ACTIONS(1464),
    [anon_sym_BANG_EQ] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_STAR_STAR] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [aux_sym_binary_operator_token1] = ACTIONS(1464),
    [anon_sym_PIPE_GT] = ACTIONS(1464),
    [anon_sym_COLON] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1464),
    [anon_sym_AT] = ACTIONS(1464),
    [sym__hex_literal] = ACTIONS(1464),
    [sym__number_literal] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [sym_return] = ACTIONS(1466),
    [sym_next] = ACTIONS(1466),
    [sym_break] = ACTIONS(1466),
    [sym_true] = ACTIONS(1466),
    [sym_false] = ACTIONS(1466),
    [sym_null] = ACTIONS(1466),
    [sym_inf] = ACTIONS(1466),
    [sym_nan] = ACTIONS(1466),
    [anon_sym_NA] = ACTIONS(1466),
    [anon_sym_NA_integer_] = ACTIONS(1466),
    [anon_sym_NA_real_] = ACTIONS(1466),
    [anon_sym_NA_complex_] = ACTIONS(1466),
    [anon_sym_NA_character_] = ACTIONS(1466),
    [sym_dots] = ACTIONS(1466),
    [sym_dot_dot_i] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1464),
    [sym__newline] = ACTIONS(1464),
    [sym__raw_string_literal] = ACTIONS(1464),
    [sym__external_else] = ACTIONS(1464),
    [sym__external_open_parenthesis] = ACTIONS(1464),
    [sym__external_close_parenthesis] = ACTIONS(1464),
    [sym__external_open_brace] = ACTIONS(1464),
    [sym__external_open_bracket] = ACTIONS(1464),
    [sym__external_open_bracket2] = ACTIONS(1464),
  },
  [839] = {
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_BSLASH] = ACTIONS(1468),
    [anon_sym_function] = ACTIONS(1470),
    [anon_sym_EQ] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(1470),
    [anon_sym_for] = ACTIONS(1470),
    [anon_sym_while] = ACTIONS(1470),
    [anon_sym_repeat] = ACTIONS(1470),
    [anon_sym_QMARK] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_LT_DASH] = ACTIONS(1468),
    [anon_sym_LT_LT_DASH] = ACTIONS(1468),
    [anon_sym_COLON_EQ] = ACTIONS(1468),
    [anon_sym_DASH_GT] = ACTIONS(1470),
    [anon_sym_DASH_GT_GT] = ACTIONS(1468),
    [anon_sym_PIPE] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_PIPE_PIPE] = ACTIONS(1468),
    [anon_sym_AMP_AMP] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1468),
    [anon_sym_EQ_EQ] = ACTIONS(1468),
    [anon_sym_BANG_EQ] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_STAR_STAR] = ACTIONS(1468),
    [anon_sym_CARET] = ACTIONS(1468),
    [aux_sym_binary_operator_token1] = ACTIONS(1468),
    [anon_sym_PIPE_GT] = ACTIONS(1468),
    [anon_sym_COLON] = ACTIONS(1470),
    [anon_sym_DOLLAR] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(1468),
    [sym__hex_literal] = ACTIONS(1468),
    [sym__number_literal] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [sym_return] = ACTIONS(1470),
    [sym_next] = ACTIONS(1470),
    [sym_break] = ACTIONS(1470),
    [sym_true] = ACTIONS(1470),
    [sym_false] = ACTIONS(1470),
    [sym_null] = ACTIONS(1470),
    [sym_inf] = ACTIONS(1470),
    [sym_nan] = ACTIONS(1470),
    [anon_sym_NA] = ACTIONS(1470),
    [anon_sym_NA_integer_] = ACTIONS(1470),
    [anon_sym_NA_real_] = ACTIONS(1470),
    [anon_sym_NA_complex_] = ACTIONS(1470),
    [anon_sym_NA_character_] = ACTIONS(1470),
    [sym_dots] = ACTIONS(1470),
    [sym_dot_dot_i] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1468),
    [sym__newline] = ACTIONS(1468),
    [sym__raw_string_literal] = ACTIONS(1468),
    [sym__external_else] = ACTIONS(1468),
    [sym__external_open_parenthesis] = ACTIONS(1468),
    [sym__external_close_parenthesis] = ACTIONS(1468),
    [sym__external_open_brace] = ACTIONS(1468),
    [sym__external_open_bracket] = ACTIONS(1468),
    [sym__external_open_bracket2] = ACTIONS(1468),
  },
  [840] = {
    [sym_identifier] = ACTIONS(1474),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_function] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1474),
    [anon_sym_if] = ACTIONS(1474),
    [anon_sym_for] = ACTIONS(1474),
    [anon_sym_while] = ACTIONS(1474),
    [anon_sym_repeat] = ACTIONS(1474),
    [anon_sym_QMARK] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_LT_DASH] = ACTIONS(1472),
    [anon_sym_LT_LT_DASH] = ACTIONS(1472),
    [anon_sym_COLON_EQ] = ACTIONS(1472),
    [anon_sym_DASH_GT] = ACTIONS(1474),
    [anon_sym_DASH_GT_GT] = ACTIONS(1472),
    [anon_sym_PIPE] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_PIPE_PIPE] = ACTIONS(1472),
    [anon_sym_AMP_AMP] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1474),
    [anon_sym_LT_EQ] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1474),
    [anon_sym_GT_EQ] = ACTIONS(1472),
    [anon_sym_EQ_EQ] = ACTIONS(1472),
    [anon_sym_BANG_EQ] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_STAR_STAR] = ACTIONS(1472),
    [anon_sym_CARET] = ACTIONS(1472),
    [aux_sym_binary_operator_token1] = ACTIONS(1472),
    [anon_sym_PIPE_GT] = ACTIONS(1472),
    [anon_sym_COLON] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1472),
    [sym__hex_literal] = ACTIONS(1472),
    [sym__number_literal] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [sym_return] = ACTIONS(1474),
    [sym_next] = ACTIONS(1474),
    [sym_break] = ACTIONS(1474),
    [sym_true] = ACTIONS(1474),
    [sym_false] = ACTIONS(1474),
    [sym_null] = ACTIONS(1474),
    [sym_inf] = ACTIONS(1474),
    [sym_nan] = ACTIONS(1474),
    [anon_sym_NA] = ACTIONS(1474),
    [anon_sym_NA_integer_] = ACTIONS(1474),
    [anon_sym_NA_real_] = ACTIONS(1474),
    [anon_sym_NA_complex_] = ACTIONS(1474),
    [anon_sym_NA_character_] = ACTIONS(1474),
    [sym_dots] = ACTIONS(1474),
    [sym_dot_dot_i] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1472),
    [sym__newline] = ACTIONS(1472),
    [sym__raw_string_literal] = ACTIONS(1472),
    [sym__external_else] = ACTIONS(1472),
    [sym__external_open_parenthesis] = ACTIONS(1472),
    [sym__external_close_parenthesis] = ACTIONS(1472),
    [sym__external_open_brace] = ACTIONS(1472),
    [sym__external_open_bracket] = ACTIONS(1472),
    [sym__external_open_bracket2] = ACTIONS(1472),
  },
  [841] = {
    [sym_identifier] = ACTIONS(1414),
    [anon_sym_BSLASH] = ACTIONS(1416),
    [anon_sym_function] = ACTIONS(1414),
    [anon_sym_EQ] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1414),
    [anon_sym_for] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_repeat] = ACTIONS(1414),
    [anon_sym_QMARK] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_LT_DASH] = ACTIONS(1416),
    [anon_sym_LT_LT_DASH] = ACTIONS(1416),
    [anon_sym_COLON_EQ] = ACTIONS(1416),
    [anon_sym_DASH_GT] = ACTIONS(1414),
    [anon_sym_DASH_GT_GT] = ACTIONS(1416),
    [anon_sym_PIPE] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_PIPE_PIPE] = ACTIONS(1416),
    [anon_sym_AMP_AMP] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1416),
    [anon_sym_EQ_EQ] = ACTIONS(1416),
    [anon_sym_BANG_EQ] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_STAR_STAR] = ACTIONS(1416),
    [anon_sym_CARET] = ACTIONS(1416),
    [aux_sym_binary_operator_token1] = ACTIONS(1416),
    [anon_sym_PIPE_GT] = ACTIONS(1416),
    [anon_sym_COLON] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [sym__hex_literal] = ACTIONS(1416),
    [sym__number_literal] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [sym_return] = ACTIONS(1414),
    [sym_next] = ACTIONS(1414),
    [sym_break] = ACTIONS(1414),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [sym_null] = ACTIONS(1414),
    [sym_inf] = ACTIONS(1414),
    [sym_nan] = ACTIONS(1414),
    [anon_sym_NA] = ACTIONS(1414),
    [anon_sym_NA_integer_] = ACTIONS(1414),
    [anon_sym_NA_real_] = ACTIONS(1414),
    [anon_sym_NA_complex_] = ACTIONS(1414),
    [anon_sym_NA_character_] = ACTIONS(1414),
    [sym_dots] = ACTIONS(1414),
    [sym_dot_dot_i] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1416),
    [sym__newline] = ACTIONS(1416),
    [sym__raw_string_literal] = ACTIONS(1416),
    [sym__external_else] = ACTIONS(1416),
    [sym__external_open_parenthesis] = ACTIONS(1416),
    [sym__external_close_parenthesis] = ACTIONS(1416),
    [sym__external_open_brace] = ACTIONS(1416),
    [sym__external_open_bracket] = ACTIONS(1416),
    [sym__external_open_bracket2] = ACTIONS(1416),
  },
  [842] = {
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_BSLASH] = ACTIONS(1476),
    [anon_sym_function] = ACTIONS(1478),
    [anon_sym_EQ] = ACTIONS(1478),
    [anon_sym_if] = ACTIONS(1478),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_while] = ACTIONS(1478),
    [anon_sym_repeat] = ACTIONS(1478),
    [anon_sym_QMARK] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_LT_DASH] = ACTIONS(1476),
    [anon_sym_LT_LT_DASH] = ACTIONS(1476),
    [anon_sym_COLON_EQ] = ACTIONS(1476),
    [anon_sym_DASH_GT] = ACTIONS(1478),
    [anon_sym_DASH_GT_GT] = ACTIONS(1476),
    [anon_sym_PIPE] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_PIPE_PIPE] = ACTIONS(1476),
    [anon_sym_AMP_AMP] = ACTIONS(1476),
    [anon_sym_LT] = ACTIONS(1478),
    [anon_sym_LT_EQ] = ACTIONS(1476),
    [anon_sym_GT] = ACTIONS(1478),
    [anon_sym_GT_EQ] = ACTIONS(1476),
    [anon_sym_EQ_EQ] = ACTIONS(1476),
    [anon_sym_BANG_EQ] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_SLASH] = ACTIONS(1476),
    [anon_sym_STAR_STAR] = ACTIONS(1476),
    [anon_sym_CARET] = ACTIONS(1476),
    [aux_sym_binary_operator_token1] = ACTIONS(1476),
    [anon_sym_PIPE_GT] = ACTIONS(1476),
    [anon_sym_COLON] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [sym__hex_literal] = ACTIONS(1476),
    [sym__number_literal] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [sym_return] = ACTIONS(1478),
    [sym_next] = ACTIONS(1478),
    [sym_break] = ACTIONS(1478),
    [sym_true] = ACTIONS(1478),
    [sym_false] = ACTIONS(1478),
    [sym_null] = ACTIONS(1478),
    [sym_inf] = ACTIONS(1478),
    [sym_nan] = ACTIONS(1478),
    [anon_sym_NA] = ACTIONS(1478),
    [anon_sym_NA_integer_] = ACTIONS(1478),
    [anon_sym_NA_real_] = ACTIONS(1478),
    [anon_sym_NA_complex_] = ACTIONS(1478),
    [anon_sym_NA_character_] = ACTIONS(1478),
    [sym_dots] = ACTIONS(1478),
    [sym_dot_dot_i] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1476),
    [sym__newline] = ACTIONS(1476),
    [sym__raw_string_literal] = ACTIONS(1476),
    [sym__external_else] = ACTIONS(1476),
    [sym__external_open_parenthesis] = ACTIONS(1476),
    [sym__external_close_parenthesis] = ACTIONS(1476),
    [sym__external_open_brace] = ACTIONS(1476),
    [sym__external_open_bracket] = ACTIONS(1476),
    [sym__external_open_bracket2] = ACTIONS(1476),
  },
  [843] = {
    [sym_identifier] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1480),
    [anon_sym_function] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1482),
    [anon_sym_if] = ACTIONS(1482),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_while] = ACTIONS(1482),
    [anon_sym_repeat] = ACTIONS(1482),
    [anon_sym_QMARK] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_LT_DASH] = ACTIONS(1480),
    [anon_sym_LT_LT_DASH] = ACTIONS(1480),
    [anon_sym_COLON_EQ] = ACTIONS(1480),
    [anon_sym_DASH_GT] = ACTIONS(1482),
    [anon_sym_DASH_GT_GT] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1482),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1482),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_SLASH] = ACTIONS(1480),
    [anon_sym_STAR_STAR] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [aux_sym_binary_operator_token1] = ACTIONS(1480),
    [anon_sym_PIPE_GT] = ACTIONS(1480),
    [anon_sym_COLON] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [sym__hex_literal] = ACTIONS(1480),
    [sym__number_literal] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [sym_return] = ACTIONS(1482),
    [sym_next] = ACTIONS(1482),
    [sym_break] = ACTIONS(1482),
    [sym_true] = ACTIONS(1482),
    [sym_false] = ACTIONS(1482),
    [sym_null] = ACTIONS(1482),
    [sym_inf] = ACTIONS(1482),
    [sym_nan] = ACTIONS(1482),
    [anon_sym_NA] = ACTIONS(1482),
    [anon_sym_NA_integer_] = ACTIONS(1482),
    [anon_sym_NA_real_] = ACTIONS(1482),
    [anon_sym_NA_complex_] = ACTIONS(1482),
    [anon_sym_NA_character_] = ACTIONS(1482),
    [sym_dots] = ACTIONS(1482),
    [sym_dot_dot_i] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1480),
    [sym__newline] = ACTIONS(1480),
    [sym__raw_string_literal] = ACTIONS(1480),
    [sym__external_else] = ACTIONS(1480),
    [sym__external_open_parenthesis] = ACTIONS(1480),
    [sym__external_close_parenthesis] = ACTIONS(1480),
    [sym__external_open_brace] = ACTIONS(1480),
    [sym__external_open_bracket] = ACTIONS(1480),
    [sym__external_open_bracket2] = ACTIONS(1480),
  },
  [844] = {
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_BSLASH] = ACTIONS(1484),
    [anon_sym_function] = ACTIONS(1486),
    [anon_sym_EQ] = ACTIONS(1486),
    [anon_sym_if] = ACTIONS(1486),
    [anon_sym_for] = ACTIONS(1486),
    [anon_sym_while] = ACTIONS(1486),
    [anon_sym_repeat] = ACTIONS(1486),
    [anon_sym_QMARK] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_LT_DASH] = ACTIONS(1484),
    [anon_sym_LT_LT_DASH] = ACTIONS(1484),
    [anon_sym_COLON_EQ] = ACTIONS(1484),
    [anon_sym_DASH_GT] = ACTIONS(1486),
    [anon_sym_DASH_GT_GT] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_AMP_AMP] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_GT] = ACTIONS(1486),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_EQ_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_SLASH] = ACTIONS(1484),
    [anon_sym_STAR_STAR] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [aux_sym_binary_operator_token1] = ACTIONS(1484),
    [anon_sym_PIPE_GT] = ACTIONS(1484),
    [anon_sym_COLON] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [sym__hex_literal] = ACTIONS(1484),
    [sym__number_literal] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [sym_return] = ACTIONS(1486),
    [sym_next] = ACTIONS(1486),
    [sym_break] = ACTIONS(1486),
    [sym_true] = ACTIONS(1486),
    [sym_false] = ACTIONS(1486),
    [sym_null] = ACTIONS(1486),
    [sym_inf] = ACTIONS(1486),
    [sym_nan] = ACTIONS(1486),
    [anon_sym_NA] = ACTIONS(1486),
    [anon_sym_NA_integer_] = ACTIONS(1486),
    [anon_sym_NA_real_] = ACTIONS(1486),
    [anon_sym_NA_complex_] = ACTIONS(1486),
    [anon_sym_NA_character_] = ACTIONS(1486),
    [sym_dots] = ACTIONS(1486),
    [sym_dot_dot_i] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1484),
    [sym__newline] = ACTIONS(1484),
    [sym__raw_string_literal] = ACTIONS(1484),
    [sym__external_else] = ACTIONS(1484),
    [sym__external_open_parenthesis] = ACTIONS(1484),
    [sym__external_close_parenthesis] = ACTIONS(1484),
    [sym__external_open_brace] = ACTIONS(1484),
    [sym__external_open_bracket] = ACTIONS(1484),
    [sym__external_open_bracket2] = ACTIONS(1484),
  },
  [845] = {
    [sym_function_definition] = STATE(363),
    [sym_if_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_repeat_statement] = STATE(363),
    [sym_braced_expression] = STATE(363),
    [sym_parenthesized_expression] = STATE(363),
    [sym_call] = STATE(363),
    [sym_subset] = STATE(363),
    [sym_subset2] = STATE(363),
    [sym_unary_operator] = STATE(363),
    [sym_binary_operator] = STATE(363),
    [sym_extract_operator] = STATE(363),
    [sym_namespace_operator] = STATE(363),
    [sym_integer] = STATE(363),
    [sym_complex] = STATE(363),
    [sym_float] = STATE(363),
    [sym__float_literal] = STATE(807),
    [sym_string] = STATE(804),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym_na] = STATE(363),
    [sym__expression] = STATE(363),
    [sym__string_or_identifier] = STATE(2301),
    [sym__open_parenthesis] = STATE(1021),
    [sym__open_brace] = STATE(925),
    [sym__close_brace] = STATE(853),
    [aux_sym_braced_expression_repeat1] = STATE(941),
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_repeat] = ACTIONS(1430),
    [anon_sym_QMARK] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [sym__hex_literal] = ACTIONS(1440),
    [sym__number_literal] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(1444),
    [sym_next] = ACTIONS(1444),
    [sym_break] = ACTIONS(1444),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [sym_null] = ACTIONS(1444),
    [sym_inf] = ACTIONS(1444),
    [sym_nan] = ACTIONS(1444),
    [anon_sym_NA] = ACTIONS(1446),
    [anon_sym_NA_integer_] = ACTIONS(1446),
    [anon_sym_NA_real_] = ACTIONS(1446),
    [anon_sym_NA_complex_] = ACTIONS(1446),
    [anon_sym_NA_character_] = ACTIONS(1446),
    [sym_dots] = ACTIONS(1444),
    [sym_dot_dot_i] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1450),
    [sym__semicolon] = ACTIONS(1450),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(1452),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_close_brace] = ACTIONS(1542),
  },
  [846] = {
    [aux_sym_function_definition_repeat1] = STATE(846),
    [sym_identifier] = ACTIONS(1391),
    [anon_sym_BSLASH] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1391),
    [anon_sym_EQ] = ACTIONS(1391),
    [anon_sym_if] = ACTIONS(1391),
    [anon_sym_for] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1391),
    [anon_sym_repeat] = ACTIONS(1391),
    [anon_sym_QMARK] = ACTIONS(1393),
    [anon_sym_TILDE] = ACTIONS(1393),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1391),
    [anon_sym_LT_DASH] = ACTIONS(1393),
    [anon_sym_LT_LT_DASH] = ACTIONS(1393),
    [anon_sym_COLON_EQ] = ACTIONS(1393),
    [anon_sym_DASH_GT] = ACTIONS(1391),
    [anon_sym_DASH_GT_GT] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_AMP] = ACTIONS(1391),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_AMP_AMP] = ACTIONS(1393),
    [anon_sym_LT] = ACTIONS(1391),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_GT] = ACTIONS(1391),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_EQ_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_SLASH] = ACTIONS(1393),
    [anon_sym_STAR_STAR] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [aux_sym_binary_operator_token1] = ACTIONS(1393),
    [anon_sym_PIPE_GT] = ACTIONS(1393),
    [anon_sym_COLON] = ACTIONS(1391),
    [anon_sym_DOLLAR] = ACTIONS(1393),
    [anon_sym_AT] = ACTIONS(1393),
    [sym__hex_literal] = ACTIONS(1393),
    [sym__number_literal] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [anon_sym_DQUOTE] = ACTIONS(1393),
    [sym_return] = ACTIONS(1391),
    [sym_next] = ACTIONS(1391),
    [sym_break] = ACTIONS(1391),
    [sym_true] = ACTIONS(1391),
    [sym_false] = ACTIONS(1391),
    [sym_null] = ACTIONS(1391),
    [sym_inf] = ACTIONS(1391),
    [sym_nan] = ACTIONS(1391),
    [anon_sym_NA] = ACTIONS(1391),
    [anon_sym_NA_integer_] = ACTIONS(1391),
    [anon_sym_NA_real_] = ACTIONS(1391),
    [anon_sym_NA_complex_] = ACTIONS(1391),
    [anon_sym_NA_character_] = ACTIONS(1391),
    [sym_dots] = ACTIONS(1391),
    [sym_dot_dot_i] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1393),
    [sym__newline] = ACTIONS(1544),
    [sym__raw_string_literal] = ACTIONS(1393),
    [sym__external_open_parenthesis] = ACTIONS(1393),
    [sym__external_open_brace] = ACTIONS(1393),
    [sym__external_open_bracket] = ACTIONS(1393),
    [sym__external_open_bracket2] = ACTIONS(1393),
    [sym__external_close_bracket2] = ACTIONS(1393),
  },
  [847] = {
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_BSLASH] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1495),
    [anon_sym_EQ] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1495),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_repeat] = ACTIONS(1495),
    [anon_sym_QMARK] = ACTIONS(1493),
    [anon_sym_TILDE] = ACTIONS(1493),
    [anon_sym_BANG] = ACTIONS(1495),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_LT_DASH] = ACTIONS(1493),
    [anon_sym_LT_LT_DASH] = ACTIONS(1493),
    [anon_sym_COLON_EQ] = ACTIONS(1493),
    [anon_sym_DASH_GT] = ACTIONS(1495),
    [anon_sym_DASH_GT_GT] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
    [anon_sym_AMP] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_AMP_AMP] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_GT] = ACTIONS(1495),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_EQ_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_STAR] = ACTIONS(1495),
    [anon_sym_SLASH] = ACTIONS(1493),
    [anon_sym_STAR_STAR] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [aux_sym_binary_operator_token1] = ACTIONS(1493),
    [anon_sym_PIPE_GT] = ACTIONS(1493),
    [anon_sym_COLON] = ACTIONS(1495),
    [anon_sym_DOLLAR] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(1493),
    [sym__hex_literal] = ACTIONS(1493),
    [sym__number_literal] = ACTIONS(1495),
    [anon_sym_SQUOTE] = ACTIONS(1493),
    [anon_sym_DQUOTE] = ACTIONS(1493),
    [sym_return] = ACTIONS(1495),
    [sym_next] = ACTIONS(1495),
    [sym_break] = ACTIONS(1495),
    [sym_true] = ACTIONS(1495),
    [sym_false] = ACTIONS(1495),
    [sym_null] = ACTIONS(1495),
    [sym_inf] = ACTIONS(1495),
    [sym_nan] = ACTIONS(1495),
    [anon_sym_NA] = ACTIONS(1495),
    [anon_sym_NA_integer_] = ACTIONS(1495),
    [anon_sym_NA_real_] = ACTIONS(1495),
    [anon_sym_NA_complex_] = ACTIONS(1495),
    [anon_sym_NA_character_] = ACTIONS(1495),
    [sym_dots] = ACTIONS(1495),
    [sym_dot_dot_i] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1493),
    [sym__newline] = ACTIONS(1493),
    [sym__raw_string_literal] = ACTIONS(1493),
    [sym__external_else] = ACTIONS(1493),
    [sym__external_open_parenthesis] = ACTIONS(1493),
    [sym__external_close_parenthesis] = ACTIONS(1493),
    [sym__external_open_brace] = ACTIONS(1493),
    [sym__external_open_bracket] = ACTIONS(1493),
    [sym__external_open_bracket2] = ACTIONS(1493),
  },
  [848] = {
    [sym_identifier] = ACTIONS(1499),
    [anon_sym_BSLASH] = ACTIONS(1497),
    [anon_sym_function] = ACTIONS(1499),
    [anon_sym_EQ] = ACTIONS(1499),
    [anon_sym_if] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1499),
    [anon_sym_while] = ACTIONS(1499),
    [anon_sym_repeat] = ACTIONS(1499),
    [anon_sym_QMARK] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(1497),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_LT_DASH] = ACTIONS(1497),
    [anon_sym_LT_LT_DASH] = ACTIONS(1497),
    [anon_sym_COLON_EQ] = ACTIONS(1497),
    [anon_sym_DASH_GT] = ACTIONS(1499),
    [anon_sym_DASH_GT_GT] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_AMP_AMP] = ACTIONS(1497),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_GT] = ACTIONS(1499),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_EQ_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1497),
    [anon_sym_STAR_STAR] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [aux_sym_binary_operator_token1] = ACTIONS(1497),
    [anon_sym_PIPE_GT] = ACTIONS(1497),
    [anon_sym_COLON] = ACTIONS(1499),
    [anon_sym_DOLLAR] = ACTIONS(1497),
    [anon_sym_AT] = ACTIONS(1497),
    [sym__hex_literal] = ACTIONS(1497),
    [sym__number_literal] = ACTIONS(1499),
    [anon_sym_SQUOTE] = ACTIONS(1497),
    [anon_sym_DQUOTE] = ACTIONS(1497),
    [sym_return] = ACTIONS(1499),
    [sym_next] = ACTIONS(1499),
    [sym_break] = ACTIONS(1499),
    [sym_true] = ACTIONS(1499),
    [sym_false] = ACTIONS(1499),
    [sym_null] = ACTIONS(1499),
    [sym_inf] = ACTIONS(1499),
    [sym_nan] = ACTIONS(1499),
    [anon_sym_NA] = ACTIONS(1499),
    [anon_sym_NA_integer_] = ACTIONS(1499),
    [anon_sym_NA_real_] = ACTIONS(1499),
    [anon_sym_NA_complex_] = ACTIONS(1499),
    [anon_sym_NA_character_] = ACTIONS(1499),
    [sym_dots] = ACTIONS(1499),
    [sym_dot_dot_i] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1497),
    [sym__newline] = ACTIONS(1497),
    [sym__raw_string_literal] = ACTIONS(1497),
    [sym__external_else] = ACTIONS(1497),
    [sym__external_open_parenthesis] = ACTIONS(1497),
    [sym__external_close_parenthesis] = ACTIONS(1497),
    [sym__external_open_brace] = ACTIONS(1497),
    [sym__external_open_bracket] = ACTIONS(1497),
    [sym__external_open_bracket2] = ACTIONS(1497),
  },
  [849] = {
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(1501),
    [anon_sym_function] = ACTIONS(1503),
    [anon_sym_EQ] = ACTIONS(1503),
    [anon_sym_if] = ACTIONS(1503),
    [anon_sym_for] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_repeat] = ACTIONS(1503),
    [anon_sym_QMARK] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(1501),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_LT_DASH] = ACTIONS(1501),
    [anon_sym_LT_LT_DASH] = ACTIONS(1501),
    [anon_sym_COLON_EQ] = ACTIONS(1501),
    [anon_sym_DASH_GT] = ACTIONS(1503),
    [anon_sym_DASH_GT_GT] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_AMP] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_AMP_AMP] = ACTIONS(1501),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_GT] = ACTIONS(1503),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_EQ_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_SLASH] = ACTIONS(1501),
    [anon_sym_STAR_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [aux_sym_binary_operator_token1] = ACTIONS(1501),
    [anon_sym_PIPE_GT] = ACTIONS(1501),
    [anon_sym_COLON] = ACTIONS(1503),
    [anon_sym_DOLLAR] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(1501),
    [sym__hex_literal] = ACTIONS(1501),
    [sym__number_literal] = ACTIONS(1503),
    [anon_sym_SQUOTE] = ACTIONS(1501),
    [anon_sym_DQUOTE] = ACTIONS(1501),
    [sym_return] = ACTIONS(1503),
    [sym_next] = ACTIONS(1503),
    [sym_break] = ACTIONS(1503),
    [sym_true] = ACTIONS(1503),
    [sym_false] = ACTIONS(1503),
    [sym_null] = ACTIONS(1503),
    [sym_inf] = ACTIONS(1503),
    [sym_nan] = ACTIONS(1503),
    [anon_sym_NA] = ACTIONS(1503),
    [anon_sym_NA_integer_] = ACTIONS(1503),
    [anon_sym_NA_real_] = ACTIONS(1503),
    [anon_sym_NA_complex_] = ACTIONS(1503),
    [anon_sym_NA_character_] = ACTIONS(1503),
    [sym_dots] = ACTIONS(1503),
    [sym_dot_dot_i] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1501),
    [sym__newline] = ACTIONS(1501),
    [sym__raw_string_literal] = ACTIONS(1501),
    [sym__external_else] = ACTIONS(1501),
    [sym__external_open_parenthesis] = ACTIONS(1501),
    [sym__external_close_parenthesis] = ACTIONS(1501),
    [sym__external_open_brace] = ACTIONS(1501),
    [sym__external_open_bracket] = ACTIONS(1501),
    [sym__external_open_bracket2] = ACTIONS(1501),
  },
  [850] = {
    [sym_identifier] = ACTIONS(1507),
    [anon_sym_BSLASH] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ] = ACTIONS(1507),
    [anon_sym_if] = ACTIONS(1507),
    [anon_sym_for] = ACTIONS(1507),
    [anon_sym_while] = ACTIONS(1507),
    [anon_sym_repeat] = ACTIONS(1507),
    [anon_sym_QMARK] = ACTIONS(1505),
    [anon_sym_TILDE] = ACTIONS(1505),
    [anon_sym_BANG] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_LT_DASH] = ACTIONS(1505),
    [anon_sym_LT_LT_DASH] = ACTIONS(1505),
    [anon_sym_COLON_EQ] = ACTIONS(1505),
    [anon_sym_DASH_GT] = ACTIONS(1507),
    [anon_sym_DASH_GT_GT] = ACTIONS(1505),
    [anon_sym_PIPE] = ACTIONS(1507),
    [anon_sym_AMP] = ACTIONS(1507),
    [anon_sym_PIPE_PIPE] = ACTIONS(1505),
    [anon_sym_AMP_AMP] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1507),
    [anon_sym_LT_EQ] = ACTIONS(1505),
    [anon_sym_GT] = ACTIONS(1507),
    [anon_sym_GT_EQ] = ACTIONS(1505),
    [anon_sym_EQ_EQ] = ACTIONS(1505),
    [anon_sym_BANG_EQ] = ACTIONS(1505),
    [anon_sym_STAR] = ACTIONS(1507),
    [anon_sym_SLASH] = ACTIONS(1505),
    [anon_sym_STAR_STAR] = ACTIONS(1505),
    [anon_sym_CARET] = ACTIONS(1505),
    [aux_sym_binary_operator_token1] = ACTIONS(1505),
    [anon_sym_PIPE_GT] = ACTIONS(1505),
    [anon_sym_COLON] = ACTIONS(1507),
    [anon_sym_DOLLAR] = ACTIONS(1505),
    [anon_sym_AT] = ACTIONS(1505),
    [sym__hex_literal] = ACTIONS(1505),
    [sym__number_literal] = ACTIONS(1507),
    [anon_sym_SQUOTE] = ACTIONS(1505),
    [anon_sym_DQUOTE] = ACTIONS(1505),
    [sym_return] = ACTIONS(1507),
    [sym_next] = ACTIONS(1507),
    [sym_break] = ACTIONS(1507),
    [sym_true] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_null] = ACTIONS(1507),
    [sym_inf] = ACTIONS(1507),
    [sym_nan] = ACTIONS(1507),
    [anon_sym_NA] = ACTIONS(1507),
    [anon_sym_NA_integer_] = ACTIONS(1507),
    [anon_sym_NA_real_] = ACTIONS(1507),
    [anon_sym_NA_complex_] = ACTIONS(1507),
    [anon_sym_NA_character_] = ACTIONS(1507),
    [sym_dots] = ACTIONS(1507),
    [sym_dot_dot_i] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1505),
    [sym__newline] = ACTIONS(1505),
    [sym__raw_string_literal] = ACTIONS(1505),
    [sym__external_else] = ACTIONS(1505),
    [sym__external_open_parenthesis] = ACTIONS(1505),
    [sym__external_close_parenthesis] = ACTIONS(1505),
    [sym__external_open_brace] = ACTIONS(1505),
    [sym__external_open_bracket] = ACTIONS(1505),
    [sym__external_open_bracket2] = ACTIONS(1505),
  },
  [851] = {
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(1509),
    [anon_sym_function] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_for] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1511),
    [anon_sym_repeat] = ACTIONS(1511),
    [anon_sym_QMARK] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(1509),
    [anon_sym_BANG] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_LT_DASH] = ACTIONS(1509),
    [anon_sym_LT_LT_DASH] = ACTIONS(1509),
    [anon_sym_COLON_EQ] = ACTIONS(1509),
    [anon_sym_DASH_GT] = ACTIONS(1511),
    [anon_sym_DASH_GT_GT] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_AMP_AMP] = ACTIONS(1509),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT] = ACTIONS(1511),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_EQ_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_STAR] = ACTIONS(1511),
    [anon_sym_SLASH] = ACTIONS(1509),
    [anon_sym_STAR_STAR] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [aux_sym_binary_operator_token1] = ACTIONS(1509),
    [anon_sym_PIPE_GT] = ACTIONS(1509),
    [anon_sym_COLON] = ACTIONS(1511),
    [anon_sym_DOLLAR] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(1509),
    [sym__hex_literal] = ACTIONS(1509),
    [sym__number_literal] = ACTIONS(1511),
    [anon_sym_SQUOTE] = ACTIONS(1509),
    [anon_sym_DQUOTE] = ACTIONS(1509),
    [sym_return] = ACTIONS(1511),
    [sym_next] = ACTIONS(1511),
    [sym_break] = ACTIONS(1511),
    [sym_true] = ACTIONS(1511),
    [sym_false] = ACTIONS(1511),
    [sym_null] = ACTIONS(1511),
    [sym_inf] = ACTIONS(1511),
    [sym_nan] = ACTIONS(1511),
    [anon_sym_NA] = ACTIONS(1511),
    [anon_sym_NA_integer_] = ACTIONS(1511),
    [anon_sym_NA_real_] = ACTIONS(1511),
    [anon_sym_NA_complex_] = ACTIONS(1511),
    [anon_sym_NA_character_] = ACTIONS(1511),
    [sym_dots] = ACTIONS(1511),
    [sym_dot_dot_i] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1509),
    [sym__newline] = ACTIONS(1509),
    [sym__raw_string_literal] = ACTIONS(1509),
    [sym__external_else] = ACTIONS(1509),
    [sym__external_open_parenthesis] = ACTIONS(1509),
    [sym__external_close_parenthesis] = ACTIONS(1509),
    [sym__external_open_brace] = ACTIONS(1509),
    [sym__external_open_bracket] = ACTIONS(1509),
    [sym__external_open_bracket2] = ACTIONS(1509),
  },
  [852] = {
    [sym_identifier] = ACTIONS(1515),
    [anon_sym_BSLASH] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_EQ] = ACTIONS(1515),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_for] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1515),
    [anon_sym_repeat] = ACTIONS(1515),
    [anon_sym_QMARK] = ACTIONS(1513),
    [anon_sym_TILDE] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_LT_DASH] = ACTIONS(1513),
    [anon_sym_LT_LT_DASH] = ACTIONS(1513),
    [anon_sym_COLON_EQ] = ACTIONS(1513),
    [anon_sym_DASH_GT] = ACTIONS(1515),
    [anon_sym_DASH_GT_GT] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_GT] = ACTIONS(1515),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_EQ_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_SLASH] = ACTIONS(1513),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [aux_sym_binary_operator_token1] = ACTIONS(1513),
    [anon_sym_PIPE_GT] = ACTIONS(1513),
    [anon_sym_COLON] = ACTIONS(1515),
    [anon_sym_DOLLAR] = ACTIONS(1513),
    [anon_sym_AT] = ACTIONS(1513),
    [sym__hex_literal] = ACTIONS(1513),
    [sym__number_literal] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1513),
    [anon_sym_DQUOTE] = ACTIONS(1513),
    [sym_return] = ACTIONS(1515),
    [sym_next] = ACTIONS(1515),
    [sym_break] = ACTIONS(1515),
    [sym_true] = ACTIONS(1515),
    [sym_false] = ACTIONS(1515),
    [sym_null] = ACTIONS(1515),
    [sym_inf] = ACTIONS(1515),
    [sym_nan] = ACTIONS(1515),
    [anon_sym_NA] = ACTIONS(1515),
    [anon_sym_NA_integer_] = ACTIONS(1515),
    [anon_sym_NA_real_] = ACTIONS(1515),
    [anon_sym_NA_complex_] = ACTIONS(1515),
    [anon_sym_NA_character_] = ACTIONS(1515),
    [sym_dots] = ACTIONS(1515),
    [sym_dot_dot_i] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1513),
    [sym__newline] = ACTIONS(1513),
    [sym__raw_string_literal] = ACTIONS(1513),
    [sym__external_else] = ACTIONS(1513),
    [sym__external_open_parenthesis] = ACTIONS(1513),
    [sym__external_close_parenthesis] = ACTIONS(1513),
    [sym__external_open_brace] = ACTIONS(1513),
    [sym__external_open_bracket] = ACTIONS(1513),
    [sym__external_open_bracket2] = ACTIONS(1513),
  },
  [853] = {
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_BSLASH] = ACTIONS(1517),
    [anon_sym_function] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1519),
    [anon_sym_if] = ACTIONS(1519),
    [anon_sym_for] = ACTIONS(1519),
    [anon_sym_while] = ACTIONS(1519),
    [anon_sym_repeat] = ACTIONS(1519),
    [anon_sym_QMARK] = ACTIONS(1517),
    [anon_sym_TILDE] = ACTIONS(1517),
    [anon_sym_BANG] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_LT_DASH] = ACTIONS(1517),
    [anon_sym_LT_LT_DASH] = ACTIONS(1517),
    [anon_sym_COLON_EQ] = ACTIONS(1517),
    [anon_sym_DASH_GT] = ACTIONS(1519),
    [anon_sym_DASH_GT_GT] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_AMP_AMP] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_GT] = ACTIONS(1519),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_EQ_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_STAR] = ACTIONS(1519),
    [anon_sym_SLASH] = ACTIONS(1517),
    [anon_sym_STAR_STAR] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [aux_sym_binary_operator_token1] = ACTIONS(1517),
    [anon_sym_PIPE_GT] = ACTIONS(1517),
    [anon_sym_COLON] = ACTIONS(1519),
    [anon_sym_DOLLAR] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(1517),
    [sym__hex_literal] = ACTIONS(1517),
    [sym__number_literal] = ACTIONS(1519),
    [anon_sym_SQUOTE] = ACTIONS(1517),
    [anon_sym_DQUOTE] = ACTIONS(1517),
    [sym_return] = ACTIONS(1519),
    [sym_next] = ACTIONS(1519),
    [sym_break] = ACTIONS(1519),
    [sym_true] = ACTIONS(1519),
    [sym_false] = ACTIONS(1519),
    [sym_null] = ACTIONS(1519),
    [sym_inf] = ACTIONS(1519),
    [sym_nan] = ACTIONS(1519),
    [anon_sym_NA] = ACTIONS(1519),
    [anon_sym_NA_integer_] = ACTIONS(1519),
    [anon_sym_NA_real_] = ACTIONS(1519),
    [anon_sym_NA_complex_] = ACTIONS(1519),
    [anon_sym_NA_character_] = ACTIONS(1519),
    [sym_dots] = ACTIONS(1519),
    [sym_dot_dot_i] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1517),
    [sym__newline] = ACTIONS(1517),
    [sym__raw_string_literal] = ACTIONS(1517),
    [sym__external_else] = ACTIONS(1517),
    [sym__external_open_parenthesis] = ACTIONS(1517),
    [sym__external_close_parenthesis] = ACTIONS(1517),
    [sym__external_open_brace] = ACTIONS(1517),
    [sym__external_open_bracket] = ACTIONS(1517),
    [sym__external_open_bracket2] = ACTIONS(1517),
  },
  [854] = {
    [sym_identifier] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(1521),
    [anon_sym_function] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(1523),
    [anon_sym_for] = ACTIONS(1523),
    [anon_sym_while] = ACTIONS(1523),
    [anon_sym_repeat] = ACTIONS(1523),
    [anon_sym_QMARK] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1523),
    [anon_sym_LT_DASH] = ACTIONS(1521),
    [anon_sym_LT_LT_DASH] = ACTIONS(1521),
    [anon_sym_COLON_EQ] = ACTIONS(1521),
    [anon_sym_DASH_GT] = ACTIONS(1523),
    [anon_sym_DASH_GT_GT] = ACTIONS(1521),
    [anon_sym_PIPE] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_PIPE_PIPE] = ACTIONS(1521),
    [anon_sym_AMP_AMP] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1521),
    [anon_sym_STAR_STAR] = ACTIONS(1521),
    [anon_sym_CARET] = ACTIONS(1521),
    [aux_sym_binary_operator_token1] = ACTIONS(1521),
    [anon_sym_PIPE_GT] = ACTIONS(1521),
    [anon_sym_COLON] = ACTIONS(1523),
    [anon_sym_DOLLAR] = ACTIONS(1521),
    [anon_sym_AT] = ACTIONS(1521),
    [sym__hex_literal] = ACTIONS(1521),
    [sym__number_literal] = ACTIONS(1523),
    [anon_sym_SQUOTE] = ACTIONS(1521),
    [anon_sym_DQUOTE] = ACTIONS(1521),
    [sym_return] = ACTIONS(1523),
    [sym_next] = ACTIONS(1523),
    [sym_break] = ACTIONS(1523),
    [sym_true] = ACTIONS(1523),
    [sym_false] = ACTIONS(1523),
    [sym_null] = ACTIONS(1523),
    [sym_inf] = ACTIONS(1523),
    [sym_nan] = ACTIONS(1523),
    [anon_sym_NA] = ACTIONS(1523),
    [anon_sym_NA_integer_] = ACTIONS(1523),
    [anon_sym_NA_real_] = ACTIONS(1523),
    [anon_sym_NA_complex_] = ACTIONS(1523),
    [anon_sym_NA_character_] = ACTIONS(1523),
    [sym_dots] = ACTIONS(1523),
    [sym_dot_dot_i] = ACTIONS(1521),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1521),
    [sym__newline] = ACTIONS(1521),
    [sym__raw_string_literal] = ACTIONS(1521),
    [sym__external_else] = ACTIONS(1521),
    [sym__external_open_parenthesis] = ACTIONS(1521),
    [sym__external_close_parenthesis] = ACTIONS(1521),
    [sym__external_open_brace] = ACTIONS(1521),
    [sym__external_open_bracket] = ACTIONS(1521),
    [sym__external_open_bracket2] = ACTIONS(1521),
  },
  [855] = {
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_BSLASH] = ACTIONS(1525),
    [anon_sym_function] = ACTIONS(1527),
    [anon_sym_EQ] = ACTIONS(1527),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_for] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1527),
    [anon_sym_repeat] = ACTIONS(1527),
    [anon_sym_QMARK] = ACTIONS(1525),
    [anon_sym_TILDE] = ACTIONS(1525),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1525),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_LT_DASH] = ACTIONS(1525),
    [anon_sym_LT_LT_DASH] = ACTIONS(1525),
    [anon_sym_COLON_EQ] = ACTIONS(1525),
    [anon_sym_DASH_GT] = ACTIONS(1527),
    [anon_sym_DASH_GT_GT] = ACTIONS(1525),
    [anon_sym_PIPE] = ACTIONS(1527),
    [anon_sym_AMP] = ACTIONS(1527),
    [anon_sym_PIPE_PIPE] = ACTIONS(1525),
    [anon_sym_AMP_AMP] = ACTIONS(1525),
    [anon_sym_LT] = ACTIONS(1527),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1527),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_EQ_EQ] = ACTIONS(1525),
    [anon_sym_BANG_EQ] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_STAR_STAR] = ACTIONS(1525),
    [anon_sym_CARET] = ACTIONS(1525),
    [aux_sym_binary_operator_token1] = ACTIONS(1525),
    [anon_sym_PIPE_GT] = ACTIONS(1525),
    [anon_sym_COLON] = ACTIONS(1527),
    [anon_sym_DOLLAR] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(1525),
    [sym__hex_literal] = ACTIONS(1525),
    [sym__number_literal] = ACTIONS(1527),
    [anon_sym_SQUOTE] = ACTIONS(1525),
    [anon_sym_DQUOTE] = ACTIONS(1525),
    [sym_return] = ACTIONS(1527),
    [sym_next] = ACTIONS(1527),
    [sym_break] = ACTIONS(1527),
    [sym_true] = ACTIONS(1527),
    [sym_false] = ACTIONS(1527),
    [sym_null] = ACTIONS(1527),
    [sym_inf] = ACTIONS(1527),
    [sym_nan] = ACTIONS(1527),
    [anon_sym_NA] = ACTIONS(1527),
    [anon_sym_NA_integer_] = ACTIONS(1527),
    [anon_sym_NA_real_] = ACTIONS(1527),
    [anon_sym_NA_complex_] = ACTIONS(1527),
    [anon_sym_NA_character_] = ACTIONS(1527),
    [sym_dots] = ACTIONS(1527),
    [sym_dot_dot_i] = ACTIONS(1525),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1525),
    [sym__newline] = ACTIONS(1525),
    [sym__raw_string_literal] = ACTIONS(1525),
    [sym__external_else] = ACTIONS(1525),
    [sym__external_open_parenthesis] = ACTIONS(1525),
    [sym__external_close_parenthesis] = ACTIONS(1525),
    [sym__external_open_brace] = ACTIONS(1525),
    [sym__external_open_bracket] = ACTIONS(1525),
    [sym__external_open_bracket2] = ACTIONS(1525),
  },
  [856] = {
    [sym_identifier] = ACTIONS(1531),
    [anon_sym_BSLASH] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_EQ] = ACTIONS(1531),
    [anon_sym_if] = ACTIONS(1531),
    [anon_sym_for] = ACTIONS(1531),
    [anon_sym_while] = ACTIONS(1531),
    [anon_sym_repeat] = ACTIONS(1531),
    [anon_sym_QMARK] = ACTIONS(1529),
    [anon_sym_TILDE] = ACTIONS(1529),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1531),
    [anon_sym_LT_DASH] = ACTIONS(1529),
    [anon_sym_LT_LT_DASH] = ACTIONS(1529),
    [anon_sym_COLON_EQ] = ACTIONS(1529),
    [anon_sym_DASH_GT] = ACTIONS(1531),
    [anon_sym_DASH_GT_GT] = ACTIONS(1529),
    [anon_sym_PIPE] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_PIPE_PIPE] = ACTIONS(1529),
    [anon_sym_AMP_AMP] = ACTIONS(1529),
    [anon_sym_LT] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1529),
    [anon_sym_GT] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1529),
    [anon_sym_EQ_EQ] = ACTIONS(1529),
    [anon_sym_BANG_EQ] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1529),
    [anon_sym_STAR_STAR] = ACTIONS(1529),
    [anon_sym_CARET] = ACTIONS(1529),
    [aux_sym_binary_operator_token1] = ACTIONS(1529),
    [anon_sym_PIPE_GT] = ACTIONS(1529),
    [anon_sym_COLON] = ACTIONS(1531),
    [anon_sym_DOLLAR] = ACTIONS(1529),
    [anon_sym_AT] = ACTIONS(1529),
    [sym__hex_literal] = ACTIONS(1529),
    [sym__number_literal] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1529),
    [anon_sym_DQUOTE] = ACTIONS(1529),
    [sym_return] = ACTIONS(1531),
    [sym_next] = ACTIONS(1531),
    [sym_break] = ACTIONS(1531),
    [sym_true] = ACTIONS(1531),
    [sym_false] = ACTIONS(1531),
    [sym_null] = ACTIONS(1531),
    [sym_inf] = ACTIONS(1531),
    [sym_nan] = ACTIONS(1531),
    [anon_sym_NA] = ACTIONS(1531),
    [anon_sym_NA_integer_] = ACTIONS(1531),
    [anon_sym_NA_real_] = ACTIONS(1531),
    [anon_sym_NA_complex_] = ACTIONS(1531),
    [anon_sym_NA_character_] = ACTIONS(1531),
    [sym_dots] = ACTIONS(1531),
    [sym_dot_dot_i] = ACTIONS(1529),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1529),
    [sym__newline] = ACTIONS(1529),
    [sym__raw_string_literal] = ACTIONS(1529),
    [sym__external_else] = ACTIONS(1529),
    [sym__external_open_parenthesis] = ACTIONS(1529),
    [sym__external_close_parenthesis] = ACTIONS(1529),
    [sym__external_open_brace] = ACTIONS(1529),
    [sym__external_open_bracket] = ACTIONS(1529),
    [sym__external_open_bracket2] = ACTIONS(1529),
  },
  [857] = {
    [sym_identifier] = ACTIONS(1535),
    [anon_sym_BSLASH] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(1535),
    [anon_sym_EQ] = ACTIONS(1535),
    [anon_sym_if] = ACTIONS(1535),
    [anon_sym_for] = ACTIONS(1535),
    [anon_sym_while] = ACTIONS(1535),
    [anon_sym_repeat] = ACTIONS(1535),
    [anon_sym_QMARK] = ACTIONS(1533),
    [anon_sym_TILDE] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1535),
    [anon_sym_LT_DASH] = ACTIONS(1533),
    [anon_sym_LT_LT_DASH] = ACTIONS(1533),
    [anon_sym_COLON_EQ] = ACTIONS(1533),
    [anon_sym_DASH_GT] = ACTIONS(1535),
    [anon_sym_DASH_GT_GT] = ACTIONS(1533),
    [anon_sym_PIPE] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_PIPE_PIPE] = ACTIONS(1533),
    [anon_sym_AMP_AMP] = ACTIONS(1533),
    [anon_sym_LT] = ACTIONS(1535),
    [anon_sym_LT_EQ] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1535),
    [anon_sym_GT_EQ] = ACTIONS(1533),
    [anon_sym_EQ_EQ] = ACTIONS(1533),
    [anon_sym_BANG_EQ] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_SLASH] = ACTIONS(1533),
    [anon_sym_STAR_STAR] = ACTIONS(1533),
    [anon_sym_CARET] = ACTIONS(1533),
    [aux_sym_binary_operator_token1] = ACTIONS(1533),
    [anon_sym_PIPE_GT] = ACTIONS(1533),
    [anon_sym_COLON] = ACTIONS(1535),
    [anon_sym_DOLLAR] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(1533),
    [sym__hex_literal] = ACTIONS(1533),
    [sym__number_literal] = ACTIONS(1535),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1533),
    [sym_return] = ACTIONS(1535),
    [sym_next] = ACTIONS(1535),
    [sym_break] = ACTIONS(1535),
    [sym_true] = ACTIONS(1535),
    [sym_false] = ACTIONS(1535),
    [sym_null] = ACTIONS(1535),
    [sym_inf] = ACTIONS(1535),
    [sym_nan] = ACTIONS(1535),
    [anon_sym_NA] = ACTIONS(1535),
    [anon_sym_NA_integer_] = ACTIONS(1535),
    [anon_sym_NA_real_] = ACTIONS(1535),
    [anon_sym_NA_complex_] = ACTIONS(1535),
    [anon_sym_NA_character_] = ACTIONS(1535),
    [sym_dots] = ACTIONS(1535),
    [sym_dot_dot_i] = ACTIONS(1533),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1533),
    [sym__newline] = ACTIONS(1533),
    [sym__raw_string_literal] = ACTIONS(1533),
    [sym__external_else] = ACTIONS(1533),
    [sym__external_open_parenthesis] = ACTIONS(1533),
    [sym__external_close_parenthesis] = ACTIONS(1533),
    [sym__external_open_brace] = ACTIONS(1533),
    [sym__external_open_bracket] = ACTIONS(1533),
    [sym__external_open_bracket2] = ACTIONS(1533),
  },
  [858] = {
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_function] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [anon_sym_if] = ACTIONS(1462),
    [anon_sym_for] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1462),
    [anon_sym_repeat] = ACTIONS(1462),
    [anon_sym_QMARK] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_LT_DASH] = ACTIONS(1460),
    [anon_sym_LT_LT_DASH] = ACTIONS(1460),
    [anon_sym_COLON_EQ] = ACTIONS(1460),
    [anon_sym_DASH_GT] = ACTIONS(1462),
    [anon_sym_DASH_GT_GT] = ACTIONS(1460),
    [anon_sym_PIPE] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_PIPE_PIPE] = ACTIONS(1460),
    [anon_sym_AMP_AMP] = ACTIONS(1460),
    [anon_sym_LT] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1460),
    [anon_sym_EQ_EQ] = ACTIONS(1460),
    [anon_sym_BANG_EQ] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_STAR_STAR] = ACTIONS(1460),
    [anon_sym_CARET] = ACTIONS(1460),
    [aux_sym_binary_operator_token1] = ACTIONS(1460),
    [anon_sym_PIPE_GT] = ACTIONS(1460),
    [anon_sym_COLON] = ACTIONS(1462),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1460),
    [sym__hex_literal] = ACTIONS(1460),
    [sym__number_literal] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [sym_return] = ACTIONS(1462),
    [sym_next] = ACTIONS(1462),
    [sym_break] = ACTIONS(1462),
    [sym_true] = ACTIONS(1462),
    [sym_false] = ACTIONS(1462),
    [sym_null] = ACTIONS(1462),
    [sym_inf] = ACTIONS(1462),
    [sym_nan] = ACTIONS(1462),
    [anon_sym_NA] = ACTIONS(1462),
    [anon_sym_NA_integer_] = ACTIONS(1462),
    [anon_sym_NA_real_] = ACTIONS(1462),
    [anon_sym_NA_complex_] = ACTIONS(1462),
    [anon_sym_NA_character_] = ACTIONS(1462),
    [sym_dots] = ACTIONS(1462),
    [sym_dot_dot_i] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1460),
    [sym__semicolon] = ACTIONS(1460),
    [sym__raw_string_literal] = ACTIONS(1460),
    [sym__external_else] = ACTIONS(1460),
    [sym__external_open_parenthesis] = ACTIONS(1460),
    [sym__external_open_brace] = ACTIONS(1460),
    [sym__external_close_brace] = ACTIONS(1460),
    [sym__external_open_bracket] = ACTIONS(1460),
    [sym__external_open_bracket2] = ACTIONS(1460),
  },
  [859] = {
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_BSLASH] = ACTIONS(1464),
    [anon_sym_function] = ACTIONS(1466),
    [anon_sym_EQ] = ACTIONS(1466),
    [anon_sym_if] = ACTIONS(1466),
    [anon_sym_for] = ACTIONS(1466),
    [anon_sym_while] = ACTIONS(1466),
    [anon_sym_repeat] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_LT_DASH] = ACTIONS(1464),
    [anon_sym_LT_LT_DASH] = ACTIONS(1464),
    [anon_sym_COLON_EQ] = ACTIONS(1464),
    [anon_sym_DASH_GT] = ACTIONS(1466),
    [anon_sym_DASH_GT_GT] = ACTIONS(1464),
    [anon_sym_PIPE] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_PIPE_PIPE] = ACTIONS(1464),
    [anon_sym_AMP_AMP] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1464),
    [anon_sym_EQ_EQ] = ACTIONS(1464),
    [anon_sym_BANG_EQ] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_STAR_STAR] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [aux_sym_binary_operator_token1] = ACTIONS(1464),
    [anon_sym_PIPE_GT] = ACTIONS(1464),
    [anon_sym_COLON] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1464),
    [anon_sym_AT] = ACTIONS(1464),
    [sym__hex_literal] = ACTIONS(1464),
    [sym__number_literal] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [sym_return] = ACTIONS(1466),
    [sym_next] = ACTIONS(1466),
    [sym_break] = ACTIONS(1466),
    [sym_true] = ACTIONS(1466),
    [sym_false] = ACTIONS(1466),
    [sym_null] = ACTIONS(1466),
    [sym_inf] = ACTIONS(1466),
    [sym_nan] = ACTIONS(1466),
    [anon_sym_NA] = ACTIONS(1466),
    [anon_sym_NA_integer_] = ACTIONS(1466),
    [anon_sym_NA_real_] = ACTIONS(1466),
    [anon_sym_NA_complex_] = ACTIONS(1466),
    [anon_sym_NA_character_] = ACTIONS(1466),
    [sym_dots] = ACTIONS(1466),
    [sym_dot_dot_i] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1464),
    [sym__semicolon] = ACTIONS(1464),
    [sym__raw_string_literal] = ACTIONS(1464),
    [sym__external_else] = ACTIONS(1464),
    [sym__external_open_parenthesis] = ACTIONS(1464),
    [sym__external_open_brace] = ACTIONS(1464),
    [sym__external_close_brace] = ACTIONS(1464),
    [sym__external_open_bracket] = ACTIONS(1464),
    [sym__external_open_bracket2] = ACTIONS(1464),
  },
  [860] = {
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_BSLASH] = ACTIONS(1468),
    [anon_sym_function] = ACTIONS(1470),
    [anon_sym_EQ] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(1470),
    [anon_sym_for] = ACTIONS(1470),
    [anon_sym_while] = ACTIONS(1470),
    [anon_sym_repeat] = ACTIONS(1470),
    [anon_sym_QMARK] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_LT_DASH] = ACTIONS(1468),
    [anon_sym_LT_LT_DASH] = ACTIONS(1468),
    [anon_sym_COLON_EQ] = ACTIONS(1468),
    [anon_sym_DASH_GT] = ACTIONS(1470),
    [anon_sym_DASH_GT_GT] = ACTIONS(1468),
    [anon_sym_PIPE] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_PIPE_PIPE] = ACTIONS(1468),
    [anon_sym_AMP_AMP] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1468),
    [anon_sym_EQ_EQ] = ACTIONS(1468),
    [anon_sym_BANG_EQ] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_STAR_STAR] = ACTIONS(1468),
    [anon_sym_CARET] = ACTIONS(1468),
    [aux_sym_binary_operator_token1] = ACTIONS(1468),
    [anon_sym_PIPE_GT] = ACTIONS(1468),
    [anon_sym_COLON] = ACTIONS(1470),
    [anon_sym_DOLLAR] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(1468),
    [sym__hex_literal] = ACTIONS(1468),
    [sym__number_literal] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [sym_return] = ACTIONS(1470),
    [sym_next] = ACTIONS(1470),
    [sym_break] = ACTIONS(1470),
    [sym_true] = ACTIONS(1470),
    [sym_false] = ACTIONS(1470),
    [sym_null] = ACTIONS(1470),
    [sym_inf] = ACTIONS(1470),
    [sym_nan] = ACTIONS(1470),
    [anon_sym_NA] = ACTIONS(1470),
    [anon_sym_NA_integer_] = ACTIONS(1470),
    [anon_sym_NA_real_] = ACTIONS(1470),
    [anon_sym_NA_complex_] = ACTIONS(1470),
    [anon_sym_NA_character_] = ACTIONS(1470),
    [sym_dots] = ACTIONS(1470),
    [sym_dot_dot_i] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1468),
    [sym__semicolon] = ACTIONS(1468),
    [sym__raw_string_literal] = ACTIONS(1468),
    [sym__external_else] = ACTIONS(1468),
    [sym__external_open_parenthesis] = ACTIONS(1468),
    [sym__external_open_brace] = ACTIONS(1468),
    [sym__external_close_brace] = ACTIONS(1468),
    [sym__external_open_bracket] = ACTIONS(1468),
    [sym__external_open_bracket2] = ACTIONS(1468),
  },
  [861] = {
    [sym_identifier] = ACTIONS(1474),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_function] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1474),
    [anon_sym_if] = ACTIONS(1474),
    [anon_sym_for] = ACTIONS(1474),
    [anon_sym_while] = ACTIONS(1474),
    [anon_sym_repeat] = ACTIONS(1474),
    [anon_sym_QMARK] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_LT_DASH] = ACTIONS(1472),
    [anon_sym_LT_LT_DASH] = ACTIONS(1472),
    [anon_sym_COLON_EQ] = ACTIONS(1472),
    [anon_sym_DASH_GT] = ACTIONS(1474),
    [anon_sym_DASH_GT_GT] = ACTIONS(1472),
    [anon_sym_PIPE] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_PIPE_PIPE] = ACTIONS(1472),
    [anon_sym_AMP_AMP] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1474),
    [anon_sym_LT_EQ] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1474),
    [anon_sym_GT_EQ] = ACTIONS(1472),
    [anon_sym_EQ_EQ] = ACTIONS(1472),
    [anon_sym_BANG_EQ] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_STAR_STAR] = ACTIONS(1472),
    [anon_sym_CARET] = ACTIONS(1472),
    [aux_sym_binary_operator_token1] = ACTIONS(1472),
    [anon_sym_PIPE_GT] = ACTIONS(1472),
    [anon_sym_COLON] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1472),
    [sym__hex_literal] = ACTIONS(1472),
    [sym__number_literal] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [sym_return] = ACTIONS(1474),
    [sym_next] = ACTIONS(1474),
    [sym_break] = ACTIONS(1474),
    [sym_true] = ACTIONS(1474),
    [sym_false] = ACTIONS(1474),
    [sym_null] = ACTIONS(1474),
    [sym_inf] = ACTIONS(1474),
    [sym_nan] = ACTIONS(1474),
    [anon_sym_NA] = ACTIONS(1474),
    [anon_sym_NA_integer_] = ACTIONS(1474),
    [anon_sym_NA_real_] = ACTIONS(1474),
    [anon_sym_NA_complex_] = ACTIONS(1474),
    [anon_sym_NA_character_] = ACTIONS(1474),
    [sym_dots] = ACTIONS(1474),
    [sym_dot_dot_i] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1472),
    [sym__semicolon] = ACTIONS(1472),
    [sym__raw_string_literal] = ACTIONS(1472),
    [sym__external_else] = ACTIONS(1472),
    [sym__external_open_parenthesis] = ACTIONS(1472),
    [sym__external_open_brace] = ACTIONS(1472),
    [sym__external_close_brace] = ACTIONS(1472),
    [sym__external_open_bracket] = ACTIONS(1472),
    [sym__external_open_bracket2] = ACTIONS(1472),
  },
  [862] = {
    [sym_function_definition] = STATE(363),
    [sym_if_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_repeat_statement] = STATE(363),
    [sym_braced_expression] = STATE(363),
    [sym_parenthesized_expression] = STATE(363),
    [sym_call] = STATE(363),
    [sym_subset] = STATE(363),
    [sym_subset2] = STATE(363),
    [sym_unary_operator] = STATE(363),
    [sym_binary_operator] = STATE(363),
    [sym_extract_operator] = STATE(363),
    [sym_namespace_operator] = STATE(363),
    [sym_integer] = STATE(363),
    [sym_complex] = STATE(363),
    [sym_float] = STATE(363),
    [sym__float_literal] = STATE(807),
    [sym_string] = STATE(804),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym_na] = STATE(363),
    [sym__expression] = STATE(363),
    [sym__string_or_identifier] = STATE(2301),
    [sym__open_parenthesis] = STATE(1021),
    [sym__open_brace] = STATE(925),
    [sym__close_brace] = STATE(939),
    [aux_sym_braced_expression_repeat1] = STATE(941),
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_repeat] = ACTIONS(1430),
    [anon_sym_QMARK] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [sym__hex_literal] = ACTIONS(1440),
    [sym__number_literal] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(1444),
    [sym_next] = ACTIONS(1444),
    [sym_break] = ACTIONS(1444),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [sym_null] = ACTIONS(1444),
    [sym_inf] = ACTIONS(1444),
    [sym_nan] = ACTIONS(1444),
    [anon_sym_NA] = ACTIONS(1446),
    [anon_sym_NA_integer_] = ACTIONS(1446),
    [anon_sym_NA_real_] = ACTIONS(1446),
    [anon_sym_NA_complex_] = ACTIONS(1446),
    [anon_sym_NA_character_] = ACTIONS(1446),
    [sym_dots] = ACTIONS(1444),
    [sym_dot_dot_i] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1450),
    [sym__semicolon] = ACTIONS(1450),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(1452),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_close_brace] = ACTIONS(1547),
  },
  [863] = {
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_BSLASH] = ACTIONS(1476),
    [anon_sym_function] = ACTIONS(1478),
    [anon_sym_EQ] = ACTIONS(1478),
    [anon_sym_if] = ACTIONS(1478),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_while] = ACTIONS(1478),
    [anon_sym_repeat] = ACTIONS(1478),
    [anon_sym_QMARK] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_LT_DASH] = ACTIONS(1476),
    [anon_sym_LT_LT_DASH] = ACTIONS(1476),
    [anon_sym_COLON_EQ] = ACTIONS(1476),
    [anon_sym_DASH_GT] = ACTIONS(1478),
    [anon_sym_DASH_GT_GT] = ACTIONS(1476),
    [anon_sym_PIPE] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_PIPE_PIPE] = ACTIONS(1476),
    [anon_sym_AMP_AMP] = ACTIONS(1476),
    [anon_sym_LT] = ACTIONS(1478),
    [anon_sym_LT_EQ] = ACTIONS(1476),
    [anon_sym_GT] = ACTIONS(1478),
    [anon_sym_GT_EQ] = ACTIONS(1476),
    [anon_sym_EQ_EQ] = ACTIONS(1476),
    [anon_sym_BANG_EQ] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_SLASH] = ACTIONS(1476),
    [anon_sym_STAR_STAR] = ACTIONS(1476),
    [anon_sym_CARET] = ACTIONS(1476),
    [aux_sym_binary_operator_token1] = ACTIONS(1476),
    [anon_sym_PIPE_GT] = ACTIONS(1476),
    [anon_sym_COLON] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [sym__hex_literal] = ACTIONS(1476),
    [sym__number_literal] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [sym_return] = ACTIONS(1478),
    [sym_next] = ACTIONS(1478),
    [sym_break] = ACTIONS(1478),
    [sym_true] = ACTIONS(1478),
    [sym_false] = ACTIONS(1478),
    [sym_null] = ACTIONS(1478),
    [sym_inf] = ACTIONS(1478),
    [sym_nan] = ACTIONS(1478),
    [anon_sym_NA] = ACTIONS(1478),
    [anon_sym_NA_integer_] = ACTIONS(1478),
    [anon_sym_NA_real_] = ACTIONS(1478),
    [anon_sym_NA_complex_] = ACTIONS(1478),
    [anon_sym_NA_character_] = ACTIONS(1478),
    [sym_dots] = ACTIONS(1478),
    [sym_dot_dot_i] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1476),
    [sym__semicolon] = ACTIONS(1476),
    [sym__raw_string_literal] = ACTIONS(1476),
    [sym__external_else] = ACTIONS(1476),
    [sym__external_open_parenthesis] = ACTIONS(1476),
    [sym__external_open_brace] = ACTIONS(1476),
    [sym__external_close_brace] = ACTIONS(1476),
    [sym__external_open_bracket] = ACTIONS(1476),
    [sym__external_open_bracket2] = ACTIONS(1476),
  },
  [864] = {
    [sym_identifier] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1480),
    [anon_sym_function] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1482),
    [anon_sym_if] = ACTIONS(1482),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_while] = ACTIONS(1482),
    [anon_sym_repeat] = ACTIONS(1482),
    [anon_sym_QMARK] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_LT_DASH] = ACTIONS(1480),
    [anon_sym_LT_LT_DASH] = ACTIONS(1480),
    [anon_sym_COLON_EQ] = ACTIONS(1480),
    [anon_sym_DASH_GT] = ACTIONS(1482),
    [anon_sym_DASH_GT_GT] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1482),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1482),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_SLASH] = ACTIONS(1480),
    [anon_sym_STAR_STAR] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [aux_sym_binary_operator_token1] = ACTIONS(1480),
    [anon_sym_PIPE_GT] = ACTIONS(1480),
    [anon_sym_COLON] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [sym__hex_literal] = ACTIONS(1480),
    [sym__number_literal] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [sym_return] = ACTIONS(1482),
    [sym_next] = ACTIONS(1482),
    [sym_break] = ACTIONS(1482),
    [sym_true] = ACTIONS(1482),
    [sym_false] = ACTIONS(1482),
    [sym_null] = ACTIONS(1482),
    [sym_inf] = ACTIONS(1482),
    [sym_nan] = ACTIONS(1482),
    [anon_sym_NA] = ACTIONS(1482),
    [anon_sym_NA_integer_] = ACTIONS(1482),
    [anon_sym_NA_real_] = ACTIONS(1482),
    [anon_sym_NA_complex_] = ACTIONS(1482),
    [anon_sym_NA_character_] = ACTIONS(1482),
    [sym_dots] = ACTIONS(1482),
    [sym_dot_dot_i] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1480),
    [sym__semicolon] = ACTIONS(1480),
    [sym__raw_string_literal] = ACTIONS(1480),
    [sym__external_else] = ACTIONS(1480),
    [sym__external_open_parenthesis] = ACTIONS(1480),
    [sym__external_open_brace] = ACTIONS(1480),
    [sym__external_close_brace] = ACTIONS(1480),
    [sym__external_open_bracket] = ACTIONS(1480),
    [sym__external_open_bracket2] = ACTIONS(1480),
  },
  [865] = {
    [sym_function_definition] = STATE(363),
    [sym_if_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_repeat_statement] = STATE(363),
    [sym_braced_expression] = STATE(363),
    [sym_parenthesized_expression] = STATE(363),
    [sym_call] = STATE(363),
    [sym_subset] = STATE(363),
    [sym_subset2] = STATE(363),
    [sym_unary_operator] = STATE(363),
    [sym_binary_operator] = STATE(363),
    [sym_extract_operator] = STATE(363),
    [sym_namespace_operator] = STATE(363),
    [sym_integer] = STATE(363),
    [sym_complex] = STATE(363),
    [sym_float] = STATE(363),
    [sym__float_literal] = STATE(807),
    [sym_string] = STATE(804),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym_na] = STATE(363),
    [sym__expression] = STATE(363),
    [sym__string_or_identifier] = STATE(2301),
    [sym__open_parenthesis] = STATE(1021),
    [sym__open_brace] = STATE(925),
    [sym__close_brace] = STATE(970),
    [aux_sym_braced_expression_repeat1] = STATE(941),
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_repeat] = ACTIONS(1430),
    [anon_sym_QMARK] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [sym__hex_literal] = ACTIONS(1440),
    [sym__number_literal] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(1444),
    [sym_next] = ACTIONS(1444),
    [sym_break] = ACTIONS(1444),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [sym_null] = ACTIONS(1444),
    [sym_inf] = ACTIONS(1444),
    [sym_nan] = ACTIONS(1444),
    [anon_sym_NA] = ACTIONS(1446),
    [anon_sym_NA_integer_] = ACTIONS(1446),
    [anon_sym_NA_real_] = ACTIONS(1446),
    [anon_sym_NA_complex_] = ACTIONS(1446),
    [anon_sym_NA_character_] = ACTIONS(1446),
    [sym_dots] = ACTIONS(1444),
    [sym_dot_dot_i] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1450),
    [sym__semicolon] = ACTIONS(1450),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(1452),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_close_brace] = ACTIONS(1549),
  },
  [866] = {
    [sym_function_definition] = STATE(363),
    [sym_if_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_repeat_statement] = STATE(363),
    [sym_braced_expression] = STATE(363),
    [sym_parenthesized_expression] = STATE(363),
    [sym_call] = STATE(363),
    [sym_subset] = STATE(363),
    [sym_subset2] = STATE(363),
    [sym_unary_operator] = STATE(363),
    [sym_binary_operator] = STATE(363),
    [sym_extract_operator] = STATE(363),
    [sym_namespace_operator] = STATE(363),
    [sym_integer] = STATE(363),
    [sym_complex] = STATE(363),
    [sym_float] = STATE(363),
    [sym__float_literal] = STATE(807),
    [sym_string] = STATE(804),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym_na] = STATE(363),
    [sym__expression] = STATE(363),
    [sym__string_or_identifier] = STATE(2301),
    [sym__open_parenthesis] = STATE(1021),
    [sym__open_brace] = STATE(925),
    [sym__close_brace] = STATE(873),
    [aux_sym_braced_expression_repeat1] = STATE(941),
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_repeat] = ACTIONS(1430),
    [anon_sym_QMARK] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [sym__hex_literal] = ACTIONS(1440),
    [sym__number_literal] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(1444),
    [sym_next] = ACTIONS(1444),
    [sym_break] = ACTIONS(1444),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [sym_null] = ACTIONS(1444),
    [sym_inf] = ACTIONS(1444),
    [sym_nan] = ACTIONS(1444),
    [anon_sym_NA] = ACTIONS(1446),
    [anon_sym_NA_integer_] = ACTIONS(1446),
    [anon_sym_NA_real_] = ACTIONS(1446),
    [anon_sym_NA_complex_] = ACTIONS(1446),
    [anon_sym_NA_character_] = ACTIONS(1446),
    [sym_dots] = ACTIONS(1444),
    [sym_dot_dot_i] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1450),
    [sym__semicolon] = ACTIONS(1450),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(1452),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_close_brace] = ACTIONS(1551),
  },
  [867] = {
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_BSLASH] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1495),
    [anon_sym_EQ] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1495),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_repeat] = ACTIONS(1495),
    [anon_sym_QMARK] = ACTIONS(1493),
    [anon_sym_TILDE] = ACTIONS(1493),
    [anon_sym_BANG] = ACTIONS(1495),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_LT_DASH] = ACTIONS(1493),
    [anon_sym_LT_LT_DASH] = ACTIONS(1493),
    [anon_sym_COLON_EQ] = ACTIONS(1493),
    [anon_sym_DASH_GT] = ACTIONS(1495),
    [anon_sym_DASH_GT_GT] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
    [anon_sym_AMP] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_AMP_AMP] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_GT] = ACTIONS(1495),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_EQ_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_STAR] = ACTIONS(1495),
    [anon_sym_SLASH] = ACTIONS(1493),
    [anon_sym_STAR_STAR] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [aux_sym_binary_operator_token1] = ACTIONS(1493),
    [anon_sym_PIPE_GT] = ACTIONS(1493),
    [anon_sym_COLON] = ACTIONS(1495),
    [anon_sym_DOLLAR] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(1493),
    [sym__hex_literal] = ACTIONS(1493),
    [sym__number_literal] = ACTIONS(1495),
    [anon_sym_SQUOTE] = ACTIONS(1493),
    [anon_sym_DQUOTE] = ACTIONS(1493),
    [sym_return] = ACTIONS(1495),
    [sym_next] = ACTIONS(1495),
    [sym_break] = ACTIONS(1495),
    [sym_true] = ACTIONS(1495),
    [sym_false] = ACTIONS(1495),
    [sym_null] = ACTIONS(1495),
    [sym_inf] = ACTIONS(1495),
    [sym_nan] = ACTIONS(1495),
    [anon_sym_NA] = ACTIONS(1495),
    [anon_sym_NA_integer_] = ACTIONS(1495),
    [anon_sym_NA_real_] = ACTIONS(1495),
    [anon_sym_NA_complex_] = ACTIONS(1495),
    [anon_sym_NA_character_] = ACTIONS(1495),
    [sym_dots] = ACTIONS(1495),
    [sym_dot_dot_i] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1493),
    [sym__semicolon] = ACTIONS(1493),
    [sym__raw_string_literal] = ACTIONS(1493),
    [sym__external_else] = ACTIONS(1493),
    [sym__external_open_parenthesis] = ACTIONS(1493),
    [sym__external_open_brace] = ACTIONS(1493),
    [sym__external_close_brace] = ACTIONS(1493),
    [sym__external_open_bracket] = ACTIONS(1493),
    [sym__external_open_bracket2] = ACTIONS(1493),
  },
  [868] = {
    [sym_identifier] = ACTIONS(1499),
    [anon_sym_BSLASH] = ACTIONS(1497),
    [anon_sym_function] = ACTIONS(1499),
    [anon_sym_EQ] = ACTIONS(1499),
    [anon_sym_if] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1499),
    [anon_sym_while] = ACTIONS(1499),
    [anon_sym_repeat] = ACTIONS(1499),
    [anon_sym_QMARK] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(1497),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_LT_DASH] = ACTIONS(1497),
    [anon_sym_LT_LT_DASH] = ACTIONS(1497),
    [anon_sym_COLON_EQ] = ACTIONS(1497),
    [anon_sym_DASH_GT] = ACTIONS(1499),
    [anon_sym_DASH_GT_GT] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_AMP_AMP] = ACTIONS(1497),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_GT] = ACTIONS(1499),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_EQ_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1497),
    [anon_sym_STAR_STAR] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [aux_sym_binary_operator_token1] = ACTIONS(1497),
    [anon_sym_PIPE_GT] = ACTIONS(1497),
    [anon_sym_COLON] = ACTIONS(1499),
    [anon_sym_DOLLAR] = ACTIONS(1497),
    [anon_sym_AT] = ACTIONS(1497),
    [sym__hex_literal] = ACTIONS(1497),
    [sym__number_literal] = ACTIONS(1499),
    [anon_sym_SQUOTE] = ACTIONS(1497),
    [anon_sym_DQUOTE] = ACTIONS(1497),
    [sym_return] = ACTIONS(1499),
    [sym_next] = ACTIONS(1499),
    [sym_break] = ACTIONS(1499),
    [sym_true] = ACTIONS(1499),
    [sym_false] = ACTIONS(1499),
    [sym_null] = ACTIONS(1499),
    [sym_inf] = ACTIONS(1499),
    [sym_nan] = ACTIONS(1499),
    [anon_sym_NA] = ACTIONS(1499),
    [anon_sym_NA_integer_] = ACTIONS(1499),
    [anon_sym_NA_real_] = ACTIONS(1499),
    [anon_sym_NA_complex_] = ACTIONS(1499),
    [anon_sym_NA_character_] = ACTIONS(1499),
    [sym_dots] = ACTIONS(1499),
    [sym_dot_dot_i] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1497),
    [sym__semicolon] = ACTIONS(1497),
    [sym__raw_string_literal] = ACTIONS(1497),
    [sym__external_else] = ACTIONS(1497),
    [sym__external_open_parenthesis] = ACTIONS(1497),
    [sym__external_open_brace] = ACTIONS(1497),
    [sym__external_close_brace] = ACTIONS(1497),
    [sym__external_open_bracket] = ACTIONS(1497),
    [sym__external_open_bracket2] = ACTIONS(1497),
  },
  [869] = {
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(1501),
    [anon_sym_function] = ACTIONS(1503),
    [anon_sym_EQ] = ACTIONS(1503),
    [anon_sym_if] = ACTIONS(1503),
    [anon_sym_for] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_repeat] = ACTIONS(1503),
    [anon_sym_QMARK] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(1501),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_LT_DASH] = ACTIONS(1501),
    [anon_sym_LT_LT_DASH] = ACTIONS(1501),
    [anon_sym_COLON_EQ] = ACTIONS(1501),
    [anon_sym_DASH_GT] = ACTIONS(1503),
    [anon_sym_DASH_GT_GT] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_AMP] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_AMP_AMP] = ACTIONS(1501),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_GT] = ACTIONS(1503),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_EQ_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_SLASH] = ACTIONS(1501),
    [anon_sym_STAR_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [aux_sym_binary_operator_token1] = ACTIONS(1501),
    [anon_sym_PIPE_GT] = ACTIONS(1501),
    [anon_sym_COLON] = ACTIONS(1503),
    [anon_sym_DOLLAR] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(1501),
    [sym__hex_literal] = ACTIONS(1501),
    [sym__number_literal] = ACTIONS(1503),
    [anon_sym_SQUOTE] = ACTIONS(1501),
    [anon_sym_DQUOTE] = ACTIONS(1501),
    [sym_return] = ACTIONS(1503),
    [sym_next] = ACTIONS(1503),
    [sym_break] = ACTIONS(1503),
    [sym_true] = ACTIONS(1503),
    [sym_false] = ACTIONS(1503),
    [sym_null] = ACTIONS(1503),
    [sym_inf] = ACTIONS(1503),
    [sym_nan] = ACTIONS(1503),
    [anon_sym_NA] = ACTIONS(1503),
    [anon_sym_NA_integer_] = ACTIONS(1503),
    [anon_sym_NA_real_] = ACTIONS(1503),
    [anon_sym_NA_complex_] = ACTIONS(1503),
    [anon_sym_NA_character_] = ACTIONS(1503),
    [sym_dots] = ACTIONS(1503),
    [sym_dot_dot_i] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1501),
    [sym__semicolon] = ACTIONS(1501),
    [sym__raw_string_literal] = ACTIONS(1501),
    [sym__external_else] = ACTIONS(1501),
    [sym__external_open_parenthesis] = ACTIONS(1501),
    [sym__external_open_brace] = ACTIONS(1501),
    [sym__external_close_brace] = ACTIONS(1501),
    [sym__external_open_bracket] = ACTIONS(1501),
    [sym__external_open_bracket2] = ACTIONS(1501),
  },
  [870] = {
    [sym_identifier] = ACTIONS(1507),
    [anon_sym_BSLASH] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ] = ACTIONS(1507),
    [anon_sym_if] = ACTIONS(1507),
    [anon_sym_for] = ACTIONS(1507),
    [anon_sym_while] = ACTIONS(1507),
    [anon_sym_repeat] = ACTIONS(1507),
    [anon_sym_QMARK] = ACTIONS(1505),
    [anon_sym_TILDE] = ACTIONS(1505),
    [anon_sym_BANG] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_LT_DASH] = ACTIONS(1505),
    [anon_sym_LT_LT_DASH] = ACTIONS(1505),
    [anon_sym_COLON_EQ] = ACTIONS(1505),
    [anon_sym_DASH_GT] = ACTIONS(1507),
    [anon_sym_DASH_GT_GT] = ACTIONS(1505),
    [anon_sym_PIPE] = ACTIONS(1507),
    [anon_sym_AMP] = ACTIONS(1507),
    [anon_sym_PIPE_PIPE] = ACTIONS(1505),
    [anon_sym_AMP_AMP] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1507),
    [anon_sym_LT_EQ] = ACTIONS(1505),
    [anon_sym_GT] = ACTIONS(1507),
    [anon_sym_GT_EQ] = ACTIONS(1505),
    [anon_sym_EQ_EQ] = ACTIONS(1505),
    [anon_sym_BANG_EQ] = ACTIONS(1505),
    [anon_sym_STAR] = ACTIONS(1507),
    [anon_sym_SLASH] = ACTIONS(1505),
    [anon_sym_STAR_STAR] = ACTIONS(1505),
    [anon_sym_CARET] = ACTIONS(1505),
    [aux_sym_binary_operator_token1] = ACTIONS(1505),
    [anon_sym_PIPE_GT] = ACTIONS(1505),
    [anon_sym_COLON] = ACTIONS(1507),
    [anon_sym_DOLLAR] = ACTIONS(1505),
    [anon_sym_AT] = ACTIONS(1505),
    [sym__hex_literal] = ACTIONS(1505),
    [sym__number_literal] = ACTIONS(1507),
    [anon_sym_SQUOTE] = ACTIONS(1505),
    [anon_sym_DQUOTE] = ACTIONS(1505),
    [sym_return] = ACTIONS(1507),
    [sym_next] = ACTIONS(1507),
    [sym_break] = ACTIONS(1507),
    [sym_true] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_null] = ACTIONS(1507),
    [sym_inf] = ACTIONS(1507),
    [sym_nan] = ACTIONS(1507),
    [anon_sym_NA] = ACTIONS(1507),
    [anon_sym_NA_integer_] = ACTIONS(1507),
    [anon_sym_NA_real_] = ACTIONS(1507),
    [anon_sym_NA_complex_] = ACTIONS(1507),
    [anon_sym_NA_character_] = ACTIONS(1507),
    [sym_dots] = ACTIONS(1507),
    [sym_dot_dot_i] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1505),
    [sym__semicolon] = ACTIONS(1505),
    [sym__raw_string_literal] = ACTIONS(1505),
    [sym__external_else] = ACTIONS(1505),
    [sym__external_open_parenthesis] = ACTIONS(1505),
    [sym__external_open_brace] = ACTIONS(1505),
    [sym__external_close_brace] = ACTIONS(1505),
    [sym__external_open_bracket] = ACTIONS(1505),
    [sym__external_open_bracket2] = ACTIONS(1505),
  },
  [871] = {
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(1509),
    [anon_sym_function] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_for] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1511),
    [anon_sym_repeat] = ACTIONS(1511),
    [anon_sym_QMARK] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(1509),
    [anon_sym_BANG] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_LT_DASH] = ACTIONS(1509),
    [anon_sym_LT_LT_DASH] = ACTIONS(1509),
    [anon_sym_COLON_EQ] = ACTIONS(1509),
    [anon_sym_DASH_GT] = ACTIONS(1511),
    [anon_sym_DASH_GT_GT] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_AMP_AMP] = ACTIONS(1509),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT] = ACTIONS(1511),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_EQ_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_STAR] = ACTIONS(1511),
    [anon_sym_SLASH] = ACTIONS(1509),
    [anon_sym_STAR_STAR] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [aux_sym_binary_operator_token1] = ACTIONS(1509),
    [anon_sym_PIPE_GT] = ACTIONS(1509),
    [anon_sym_COLON] = ACTIONS(1511),
    [anon_sym_DOLLAR] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(1509),
    [sym__hex_literal] = ACTIONS(1509),
    [sym__number_literal] = ACTIONS(1511),
    [anon_sym_SQUOTE] = ACTIONS(1509),
    [anon_sym_DQUOTE] = ACTIONS(1509),
    [sym_return] = ACTIONS(1511),
    [sym_next] = ACTIONS(1511),
    [sym_break] = ACTIONS(1511),
    [sym_true] = ACTIONS(1511),
    [sym_false] = ACTIONS(1511),
    [sym_null] = ACTIONS(1511),
    [sym_inf] = ACTIONS(1511),
    [sym_nan] = ACTIONS(1511),
    [anon_sym_NA] = ACTIONS(1511),
    [anon_sym_NA_integer_] = ACTIONS(1511),
    [anon_sym_NA_real_] = ACTIONS(1511),
    [anon_sym_NA_complex_] = ACTIONS(1511),
    [anon_sym_NA_character_] = ACTIONS(1511),
    [sym_dots] = ACTIONS(1511),
    [sym_dot_dot_i] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1509),
    [sym__semicolon] = ACTIONS(1509),
    [sym__raw_string_literal] = ACTIONS(1509),
    [sym__external_else] = ACTIONS(1509),
    [sym__external_open_parenthesis] = ACTIONS(1509),
    [sym__external_open_brace] = ACTIONS(1509),
    [sym__external_close_brace] = ACTIONS(1509),
    [sym__external_open_bracket] = ACTIONS(1509),
    [sym__external_open_bracket2] = ACTIONS(1509),
  },
  [872] = {
    [sym_identifier] = ACTIONS(1515),
    [anon_sym_BSLASH] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_EQ] = ACTIONS(1515),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_for] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1515),
    [anon_sym_repeat] = ACTIONS(1515),
    [anon_sym_QMARK] = ACTIONS(1513),
    [anon_sym_TILDE] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_LT_DASH] = ACTIONS(1513),
    [anon_sym_LT_LT_DASH] = ACTIONS(1513),
    [anon_sym_COLON_EQ] = ACTIONS(1513),
    [anon_sym_DASH_GT] = ACTIONS(1515),
    [anon_sym_DASH_GT_GT] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_GT] = ACTIONS(1515),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_EQ_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_SLASH] = ACTIONS(1513),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [aux_sym_binary_operator_token1] = ACTIONS(1513),
    [anon_sym_PIPE_GT] = ACTIONS(1513),
    [anon_sym_COLON] = ACTIONS(1515),
    [anon_sym_DOLLAR] = ACTIONS(1513),
    [anon_sym_AT] = ACTIONS(1513),
    [sym__hex_literal] = ACTIONS(1513),
    [sym__number_literal] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1513),
    [anon_sym_DQUOTE] = ACTIONS(1513),
    [sym_return] = ACTIONS(1515),
    [sym_next] = ACTIONS(1515),
    [sym_break] = ACTIONS(1515),
    [sym_true] = ACTIONS(1515),
    [sym_false] = ACTIONS(1515),
    [sym_null] = ACTIONS(1515),
    [sym_inf] = ACTIONS(1515),
    [sym_nan] = ACTIONS(1515),
    [anon_sym_NA] = ACTIONS(1515),
    [anon_sym_NA_integer_] = ACTIONS(1515),
    [anon_sym_NA_real_] = ACTIONS(1515),
    [anon_sym_NA_complex_] = ACTIONS(1515),
    [anon_sym_NA_character_] = ACTIONS(1515),
    [sym_dots] = ACTIONS(1515),
    [sym_dot_dot_i] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1513),
    [sym__semicolon] = ACTIONS(1513),
    [sym__raw_string_literal] = ACTIONS(1513),
    [sym__external_else] = ACTIONS(1513),
    [sym__external_open_parenthesis] = ACTIONS(1513),
    [sym__external_open_brace] = ACTIONS(1513),
    [sym__external_close_brace] = ACTIONS(1513),
    [sym__external_open_bracket] = ACTIONS(1513),
    [sym__external_open_bracket2] = ACTIONS(1513),
  },
  [873] = {
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_BSLASH] = ACTIONS(1517),
    [anon_sym_function] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1519),
    [anon_sym_if] = ACTIONS(1519),
    [anon_sym_for] = ACTIONS(1519),
    [anon_sym_while] = ACTIONS(1519),
    [anon_sym_repeat] = ACTIONS(1519),
    [anon_sym_QMARK] = ACTIONS(1517),
    [anon_sym_TILDE] = ACTIONS(1517),
    [anon_sym_BANG] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_LT_DASH] = ACTIONS(1517),
    [anon_sym_LT_LT_DASH] = ACTIONS(1517),
    [anon_sym_COLON_EQ] = ACTIONS(1517),
    [anon_sym_DASH_GT] = ACTIONS(1519),
    [anon_sym_DASH_GT_GT] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_AMP_AMP] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_GT] = ACTIONS(1519),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_EQ_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_STAR] = ACTIONS(1519),
    [anon_sym_SLASH] = ACTIONS(1517),
    [anon_sym_STAR_STAR] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [aux_sym_binary_operator_token1] = ACTIONS(1517),
    [anon_sym_PIPE_GT] = ACTIONS(1517),
    [anon_sym_COLON] = ACTIONS(1519),
    [anon_sym_DOLLAR] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(1517),
    [sym__hex_literal] = ACTIONS(1517),
    [sym__number_literal] = ACTIONS(1519),
    [anon_sym_SQUOTE] = ACTIONS(1517),
    [anon_sym_DQUOTE] = ACTIONS(1517),
    [sym_return] = ACTIONS(1519),
    [sym_next] = ACTIONS(1519),
    [sym_break] = ACTIONS(1519),
    [sym_true] = ACTIONS(1519),
    [sym_false] = ACTIONS(1519),
    [sym_null] = ACTIONS(1519),
    [sym_inf] = ACTIONS(1519),
    [sym_nan] = ACTIONS(1519),
    [anon_sym_NA] = ACTIONS(1519),
    [anon_sym_NA_integer_] = ACTIONS(1519),
    [anon_sym_NA_real_] = ACTIONS(1519),
    [anon_sym_NA_complex_] = ACTIONS(1519),
    [anon_sym_NA_character_] = ACTIONS(1519),
    [sym_dots] = ACTIONS(1519),
    [sym_dot_dot_i] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1517),
    [sym__semicolon] = ACTIONS(1517),
    [sym__raw_string_literal] = ACTIONS(1517),
    [sym__external_else] = ACTIONS(1517),
    [sym__external_open_parenthesis] = ACTIONS(1517),
    [sym__external_open_brace] = ACTIONS(1517),
    [sym__external_close_brace] = ACTIONS(1517),
    [sym__external_open_bracket] = ACTIONS(1517),
    [sym__external_open_bracket2] = ACTIONS(1517),
  },
  [874] = {
    [sym_identifier] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(1521),
    [anon_sym_function] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(1523),
    [anon_sym_for] = ACTIONS(1523),
    [anon_sym_while] = ACTIONS(1523),
    [anon_sym_repeat] = ACTIONS(1523),
    [anon_sym_QMARK] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1523),
    [anon_sym_LT_DASH] = ACTIONS(1521),
    [anon_sym_LT_LT_DASH] = ACTIONS(1521),
    [anon_sym_COLON_EQ] = ACTIONS(1521),
    [anon_sym_DASH_GT] = ACTIONS(1523),
    [anon_sym_DASH_GT_GT] = ACTIONS(1521),
    [anon_sym_PIPE] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_PIPE_PIPE] = ACTIONS(1521),
    [anon_sym_AMP_AMP] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1521),
    [anon_sym_STAR_STAR] = ACTIONS(1521),
    [anon_sym_CARET] = ACTIONS(1521),
    [aux_sym_binary_operator_token1] = ACTIONS(1521),
    [anon_sym_PIPE_GT] = ACTIONS(1521),
    [anon_sym_COLON] = ACTIONS(1523),
    [anon_sym_DOLLAR] = ACTIONS(1521),
    [anon_sym_AT] = ACTIONS(1521),
    [sym__hex_literal] = ACTIONS(1521),
    [sym__number_literal] = ACTIONS(1523),
    [anon_sym_SQUOTE] = ACTIONS(1521),
    [anon_sym_DQUOTE] = ACTIONS(1521),
    [sym_return] = ACTIONS(1523),
    [sym_next] = ACTIONS(1523),
    [sym_break] = ACTIONS(1523),
    [sym_true] = ACTIONS(1523),
    [sym_false] = ACTIONS(1523),
    [sym_null] = ACTIONS(1523),
    [sym_inf] = ACTIONS(1523),
    [sym_nan] = ACTIONS(1523),
    [anon_sym_NA] = ACTIONS(1523),
    [anon_sym_NA_integer_] = ACTIONS(1523),
    [anon_sym_NA_real_] = ACTIONS(1523),
    [anon_sym_NA_complex_] = ACTIONS(1523),
    [anon_sym_NA_character_] = ACTIONS(1523),
    [sym_dots] = ACTIONS(1523),
    [sym_dot_dot_i] = ACTIONS(1521),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1521),
    [sym__semicolon] = ACTIONS(1521),
    [sym__raw_string_literal] = ACTIONS(1521),
    [sym__external_else] = ACTIONS(1521),
    [sym__external_open_parenthesis] = ACTIONS(1521),
    [sym__external_open_brace] = ACTIONS(1521),
    [sym__external_close_brace] = ACTIONS(1521),
    [sym__external_open_bracket] = ACTIONS(1521),
    [sym__external_open_bracket2] = ACTIONS(1521),
  },
  [875] = {
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_BSLASH] = ACTIONS(1525),
    [anon_sym_function] = ACTIONS(1527),
    [anon_sym_EQ] = ACTIONS(1527),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_for] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1527),
    [anon_sym_repeat] = ACTIONS(1527),
    [anon_sym_QMARK] = ACTIONS(1525),
    [anon_sym_TILDE] = ACTIONS(1525),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1525),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_LT_DASH] = ACTIONS(1525),
    [anon_sym_LT_LT_DASH] = ACTIONS(1525),
    [anon_sym_COLON_EQ] = ACTIONS(1525),
    [anon_sym_DASH_GT] = ACTIONS(1527),
    [anon_sym_DASH_GT_GT] = ACTIONS(1525),
    [anon_sym_PIPE] = ACTIONS(1527),
    [anon_sym_AMP] = ACTIONS(1527),
    [anon_sym_PIPE_PIPE] = ACTIONS(1525),
    [anon_sym_AMP_AMP] = ACTIONS(1525),
    [anon_sym_LT] = ACTIONS(1527),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1527),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_EQ_EQ] = ACTIONS(1525),
    [anon_sym_BANG_EQ] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_STAR_STAR] = ACTIONS(1525),
    [anon_sym_CARET] = ACTIONS(1525),
    [aux_sym_binary_operator_token1] = ACTIONS(1525),
    [anon_sym_PIPE_GT] = ACTIONS(1525),
    [anon_sym_COLON] = ACTIONS(1527),
    [anon_sym_DOLLAR] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(1525),
    [sym__hex_literal] = ACTIONS(1525),
    [sym__number_literal] = ACTIONS(1527),
    [anon_sym_SQUOTE] = ACTIONS(1525),
    [anon_sym_DQUOTE] = ACTIONS(1525),
    [sym_return] = ACTIONS(1527),
    [sym_next] = ACTIONS(1527),
    [sym_break] = ACTIONS(1527),
    [sym_true] = ACTIONS(1527),
    [sym_false] = ACTIONS(1527),
    [sym_null] = ACTIONS(1527),
    [sym_inf] = ACTIONS(1527),
    [sym_nan] = ACTIONS(1527),
    [anon_sym_NA] = ACTIONS(1527),
    [anon_sym_NA_integer_] = ACTIONS(1527),
    [anon_sym_NA_real_] = ACTIONS(1527),
    [anon_sym_NA_complex_] = ACTIONS(1527),
    [anon_sym_NA_character_] = ACTIONS(1527),
    [sym_dots] = ACTIONS(1527),
    [sym_dot_dot_i] = ACTIONS(1525),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1525),
    [sym__semicolon] = ACTIONS(1525),
    [sym__raw_string_literal] = ACTIONS(1525),
    [sym__external_else] = ACTIONS(1525),
    [sym__external_open_parenthesis] = ACTIONS(1525),
    [sym__external_open_brace] = ACTIONS(1525),
    [sym__external_close_brace] = ACTIONS(1525),
    [sym__external_open_bracket] = ACTIONS(1525),
    [sym__external_open_bracket2] = ACTIONS(1525),
  },
  [876] = {
    [sym_identifier] = ACTIONS(1531),
    [anon_sym_BSLASH] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_EQ] = ACTIONS(1531),
    [anon_sym_if] = ACTIONS(1531),
    [anon_sym_for] = ACTIONS(1531),
    [anon_sym_while] = ACTIONS(1531),
    [anon_sym_repeat] = ACTIONS(1531),
    [anon_sym_QMARK] = ACTIONS(1529),
    [anon_sym_TILDE] = ACTIONS(1529),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1531),
    [anon_sym_LT_DASH] = ACTIONS(1529),
    [anon_sym_LT_LT_DASH] = ACTIONS(1529),
    [anon_sym_COLON_EQ] = ACTIONS(1529),
    [anon_sym_DASH_GT] = ACTIONS(1531),
    [anon_sym_DASH_GT_GT] = ACTIONS(1529),
    [anon_sym_PIPE] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_PIPE_PIPE] = ACTIONS(1529),
    [anon_sym_AMP_AMP] = ACTIONS(1529),
    [anon_sym_LT] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1529),
    [anon_sym_GT] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1529),
    [anon_sym_EQ_EQ] = ACTIONS(1529),
    [anon_sym_BANG_EQ] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1529),
    [anon_sym_STAR_STAR] = ACTIONS(1529),
    [anon_sym_CARET] = ACTIONS(1529),
    [aux_sym_binary_operator_token1] = ACTIONS(1529),
    [anon_sym_PIPE_GT] = ACTIONS(1529),
    [anon_sym_COLON] = ACTIONS(1531),
    [anon_sym_DOLLAR] = ACTIONS(1529),
    [anon_sym_AT] = ACTIONS(1529),
    [sym__hex_literal] = ACTIONS(1529),
    [sym__number_literal] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1529),
    [anon_sym_DQUOTE] = ACTIONS(1529),
    [sym_return] = ACTIONS(1531),
    [sym_next] = ACTIONS(1531),
    [sym_break] = ACTIONS(1531),
    [sym_true] = ACTIONS(1531),
    [sym_false] = ACTIONS(1531),
    [sym_null] = ACTIONS(1531),
    [sym_inf] = ACTIONS(1531),
    [sym_nan] = ACTIONS(1531),
    [anon_sym_NA] = ACTIONS(1531),
    [anon_sym_NA_integer_] = ACTIONS(1531),
    [anon_sym_NA_real_] = ACTIONS(1531),
    [anon_sym_NA_complex_] = ACTIONS(1531),
    [anon_sym_NA_character_] = ACTIONS(1531),
    [sym_dots] = ACTIONS(1531),
    [sym_dot_dot_i] = ACTIONS(1529),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1529),
    [sym__semicolon] = ACTIONS(1529),
    [sym__raw_string_literal] = ACTIONS(1529),
    [sym__external_else] = ACTIONS(1529),
    [sym__external_open_parenthesis] = ACTIONS(1529),
    [sym__external_open_brace] = ACTIONS(1529),
    [sym__external_close_brace] = ACTIONS(1529),
    [sym__external_open_bracket] = ACTIONS(1529),
    [sym__external_open_bracket2] = ACTIONS(1529),
  },
  [877] = {
    [sym_identifier] = ACTIONS(1535),
    [anon_sym_BSLASH] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(1535),
    [anon_sym_EQ] = ACTIONS(1535),
    [anon_sym_if] = ACTIONS(1535),
    [anon_sym_for] = ACTIONS(1535),
    [anon_sym_while] = ACTIONS(1535),
    [anon_sym_repeat] = ACTIONS(1535),
    [anon_sym_QMARK] = ACTIONS(1533),
    [anon_sym_TILDE] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1535),
    [anon_sym_LT_DASH] = ACTIONS(1533),
    [anon_sym_LT_LT_DASH] = ACTIONS(1533),
    [anon_sym_COLON_EQ] = ACTIONS(1533),
    [anon_sym_DASH_GT] = ACTIONS(1535),
    [anon_sym_DASH_GT_GT] = ACTIONS(1533),
    [anon_sym_PIPE] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_PIPE_PIPE] = ACTIONS(1533),
    [anon_sym_AMP_AMP] = ACTIONS(1533),
    [anon_sym_LT] = ACTIONS(1535),
    [anon_sym_LT_EQ] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1535),
    [anon_sym_GT_EQ] = ACTIONS(1533),
    [anon_sym_EQ_EQ] = ACTIONS(1533),
    [anon_sym_BANG_EQ] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_SLASH] = ACTIONS(1533),
    [anon_sym_STAR_STAR] = ACTIONS(1533),
    [anon_sym_CARET] = ACTIONS(1533),
    [aux_sym_binary_operator_token1] = ACTIONS(1533),
    [anon_sym_PIPE_GT] = ACTIONS(1533),
    [anon_sym_COLON] = ACTIONS(1535),
    [anon_sym_DOLLAR] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(1533),
    [sym__hex_literal] = ACTIONS(1533),
    [sym__number_literal] = ACTIONS(1535),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1533),
    [sym_return] = ACTIONS(1535),
    [sym_next] = ACTIONS(1535),
    [sym_break] = ACTIONS(1535),
    [sym_true] = ACTIONS(1535),
    [sym_false] = ACTIONS(1535),
    [sym_null] = ACTIONS(1535),
    [sym_inf] = ACTIONS(1535),
    [sym_nan] = ACTIONS(1535),
    [anon_sym_NA] = ACTIONS(1535),
    [anon_sym_NA_integer_] = ACTIONS(1535),
    [anon_sym_NA_real_] = ACTIONS(1535),
    [anon_sym_NA_complex_] = ACTIONS(1535),
    [anon_sym_NA_character_] = ACTIONS(1535),
    [sym_dots] = ACTIONS(1535),
    [sym_dot_dot_i] = ACTIONS(1533),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1533),
    [sym__semicolon] = ACTIONS(1533),
    [sym__raw_string_literal] = ACTIONS(1533),
    [sym__external_else] = ACTIONS(1533),
    [sym__external_open_parenthesis] = ACTIONS(1533),
    [sym__external_open_brace] = ACTIONS(1533),
    [sym__external_close_brace] = ACTIONS(1533),
    [sym__external_open_bracket] = ACTIONS(1533),
    [sym__external_open_bracket2] = ACTIONS(1533),
  },
  [878] = {
    [sym_function_definition] = STATE(363),
    [sym_if_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_repeat_statement] = STATE(363),
    [sym_braced_expression] = STATE(363),
    [sym_parenthesized_expression] = STATE(363),
    [sym_call] = STATE(363),
    [sym_subset] = STATE(363),
    [sym_subset2] = STATE(363),
    [sym_unary_operator] = STATE(363),
    [sym_binary_operator] = STATE(363),
    [sym_extract_operator] = STATE(363),
    [sym_namespace_operator] = STATE(363),
    [sym_integer] = STATE(363),
    [sym_complex] = STATE(363),
    [sym_float] = STATE(363),
    [sym__float_literal] = STATE(807),
    [sym_string] = STATE(804),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym_na] = STATE(363),
    [sym__expression] = STATE(363),
    [sym__string_or_identifier] = STATE(2301),
    [sym__open_parenthesis] = STATE(1021),
    [sym__open_brace] = STATE(925),
    [sym__close_brace] = STATE(2115),
    [aux_sym_braced_expression_repeat1] = STATE(941),
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_repeat] = ACTIONS(1430),
    [anon_sym_QMARK] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [sym__hex_literal] = ACTIONS(1440),
    [sym__number_literal] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(1444),
    [sym_next] = ACTIONS(1444),
    [sym_break] = ACTIONS(1444),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [sym_null] = ACTIONS(1444),
    [sym_inf] = ACTIONS(1444),
    [sym_nan] = ACTIONS(1444),
    [anon_sym_NA] = ACTIONS(1446),
    [anon_sym_NA_integer_] = ACTIONS(1446),
    [anon_sym_NA_real_] = ACTIONS(1446),
    [anon_sym_NA_complex_] = ACTIONS(1446),
    [anon_sym_NA_character_] = ACTIONS(1446),
    [sym_dots] = ACTIONS(1444),
    [sym_dot_dot_i] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1450),
    [sym__semicolon] = ACTIONS(1450),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(1452),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_close_brace] = ACTIONS(1553),
  },
  [879] = {
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_function] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [anon_sym_if] = ACTIONS(1462),
    [anon_sym_for] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1462),
    [anon_sym_repeat] = ACTIONS(1462),
    [anon_sym_QMARK] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_LT_DASH] = ACTIONS(1460),
    [anon_sym_LT_LT_DASH] = ACTIONS(1460),
    [anon_sym_COLON_EQ] = ACTIONS(1460),
    [anon_sym_DASH_GT] = ACTIONS(1462),
    [anon_sym_DASH_GT_GT] = ACTIONS(1460),
    [anon_sym_PIPE] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_PIPE_PIPE] = ACTIONS(1460),
    [anon_sym_AMP_AMP] = ACTIONS(1460),
    [anon_sym_LT] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1460),
    [anon_sym_EQ_EQ] = ACTIONS(1460),
    [anon_sym_BANG_EQ] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_STAR_STAR] = ACTIONS(1460),
    [anon_sym_CARET] = ACTIONS(1460),
    [aux_sym_binary_operator_token1] = ACTIONS(1460),
    [anon_sym_PIPE_GT] = ACTIONS(1460),
    [anon_sym_COLON] = ACTIONS(1462),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1460),
    [sym__hex_literal] = ACTIONS(1460),
    [sym__number_literal] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [sym_return] = ACTIONS(1462),
    [sym_next] = ACTIONS(1462),
    [sym_break] = ACTIONS(1462),
    [sym_true] = ACTIONS(1462),
    [sym_false] = ACTIONS(1462),
    [sym_null] = ACTIONS(1462),
    [sym_inf] = ACTIONS(1462),
    [sym_nan] = ACTIONS(1462),
    [anon_sym_NA] = ACTIONS(1462),
    [anon_sym_NA_integer_] = ACTIONS(1462),
    [anon_sym_NA_real_] = ACTIONS(1462),
    [anon_sym_NA_complex_] = ACTIONS(1462),
    [anon_sym_NA_character_] = ACTIONS(1462),
    [sym_dots] = ACTIONS(1462),
    [sym_dot_dot_i] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1460),
    [sym__newline] = ACTIONS(1460),
    [sym__raw_string_literal] = ACTIONS(1460),
    [sym__external_else] = ACTIONS(1460),
    [sym__external_open_parenthesis] = ACTIONS(1460),
    [sym__external_open_brace] = ACTIONS(1460),
    [sym__external_open_bracket] = ACTIONS(1460),
    [sym__external_close_bracket] = ACTIONS(1460),
    [sym__external_open_bracket2] = ACTIONS(1460),
  },
  [880] = {
    [sym_function_definition] = STATE(363),
    [sym_if_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_repeat_statement] = STATE(363),
    [sym_braced_expression] = STATE(363),
    [sym_parenthesized_expression] = STATE(363),
    [sym_call] = STATE(363),
    [sym_subset] = STATE(363),
    [sym_subset2] = STATE(363),
    [sym_unary_operator] = STATE(363),
    [sym_binary_operator] = STATE(363),
    [sym_extract_operator] = STATE(363),
    [sym_namespace_operator] = STATE(363),
    [sym_integer] = STATE(363),
    [sym_complex] = STATE(363),
    [sym_float] = STATE(363),
    [sym__float_literal] = STATE(807),
    [sym_string] = STATE(804),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym_na] = STATE(363),
    [sym__expression] = STATE(363),
    [sym__string_or_identifier] = STATE(2301),
    [sym__open_parenthesis] = STATE(1021),
    [sym__open_brace] = STATE(925),
    [sym__close_brace] = STATE(2119),
    [aux_sym_braced_expression_repeat1] = STATE(941),
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_repeat] = ACTIONS(1430),
    [anon_sym_QMARK] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [sym__hex_literal] = ACTIONS(1440),
    [sym__number_literal] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(1444),
    [sym_next] = ACTIONS(1444),
    [sym_break] = ACTIONS(1444),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [sym_null] = ACTIONS(1444),
    [sym_inf] = ACTIONS(1444),
    [sym_nan] = ACTIONS(1444),
    [anon_sym_NA] = ACTIONS(1446),
    [anon_sym_NA_integer_] = ACTIONS(1446),
    [anon_sym_NA_real_] = ACTIONS(1446),
    [anon_sym_NA_complex_] = ACTIONS(1446),
    [anon_sym_NA_character_] = ACTIONS(1446),
    [sym_dots] = ACTIONS(1444),
    [sym_dot_dot_i] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1450),
    [sym__semicolon] = ACTIONS(1450),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(1452),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_close_brace] = ACTIONS(1555),
  },
  [881] = {
    [aux_sym_function_definition_repeat1] = STATE(881),
    [sym_identifier] = ACTIONS(1391),
    [anon_sym_BSLASH] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1391),
    [anon_sym_EQ] = ACTIONS(1391),
    [anon_sym_if] = ACTIONS(1391),
    [anon_sym_for] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1391),
    [anon_sym_repeat] = ACTIONS(1391),
    [anon_sym_QMARK] = ACTIONS(1393),
    [anon_sym_TILDE] = ACTIONS(1393),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1391),
    [anon_sym_LT_DASH] = ACTIONS(1393),
    [anon_sym_LT_LT_DASH] = ACTIONS(1393),
    [anon_sym_COLON_EQ] = ACTIONS(1393),
    [anon_sym_DASH_GT] = ACTIONS(1391),
    [anon_sym_DASH_GT_GT] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_AMP] = ACTIONS(1391),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_AMP_AMP] = ACTIONS(1393),
    [anon_sym_LT] = ACTIONS(1391),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_GT] = ACTIONS(1391),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_EQ_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_SLASH] = ACTIONS(1393),
    [anon_sym_STAR_STAR] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [aux_sym_binary_operator_token1] = ACTIONS(1393),
    [anon_sym_PIPE_GT] = ACTIONS(1393),
    [anon_sym_COLON] = ACTIONS(1391),
    [anon_sym_DOLLAR] = ACTIONS(1393),
    [anon_sym_AT] = ACTIONS(1393),
    [sym__hex_literal] = ACTIONS(1393),
    [sym__number_literal] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [anon_sym_DQUOTE] = ACTIONS(1393),
    [sym_return] = ACTIONS(1391),
    [sym_next] = ACTIONS(1391),
    [sym_break] = ACTIONS(1391),
    [sym_true] = ACTIONS(1391),
    [sym_false] = ACTIONS(1391),
    [sym_null] = ACTIONS(1391),
    [sym_inf] = ACTIONS(1391),
    [sym_nan] = ACTIONS(1391),
    [anon_sym_NA] = ACTIONS(1391),
    [anon_sym_NA_integer_] = ACTIONS(1391),
    [anon_sym_NA_real_] = ACTIONS(1391),
    [anon_sym_NA_complex_] = ACTIONS(1391),
    [anon_sym_NA_character_] = ACTIONS(1391),
    [sym_dots] = ACTIONS(1391),
    [sym_dot_dot_i] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1393),
    [sym__newline] = ACTIONS(1557),
    [sym__raw_string_literal] = ACTIONS(1393),
    [sym__external_open_parenthesis] = ACTIONS(1393),
    [sym__external_close_parenthesis] = ACTIONS(1393),
    [sym__external_open_brace] = ACTIONS(1393),
    [sym__external_open_bracket] = ACTIONS(1393),
    [sym__external_open_bracket2] = ACTIONS(1393),
  },
  [882] = {
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_BSLASH] = ACTIONS(1464),
    [anon_sym_function] = ACTIONS(1466),
    [anon_sym_EQ] = ACTIONS(1466),
    [anon_sym_if] = ACTIONS(1466),
    [anon_sym_for] = ACTIONS(1466),
    [anon_sym_while] = ACTIONS(1466),
    [anon_sym_repeat] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_LT_DASH] = ACTIONS(1464),
    [anon_sym_LT_LT_DASH] = ACTIONS(1464),
    [anon_sym_COLON_EQ] = ACTIONS(1464),
    [anon_sym_DASH_GT] = ACTIONS(1466),
    [anon_sym_DASH_GT_GT] = ACTIONS(1464),
    [anon_sym_PIPE] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_PIPE_PIPE] = ACTIONS(1464),
    [anon_sym_AMP_AMP] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1464),
    [anon_sym_EQ_EQ] = ACTIONS(1464),
    [anon_sym_BANG_EQ] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_STAR_STAR] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [aux_sym_binary_operator_token1] = ACTIONS(1464),
    [anon_sym_PIPE_GT] = ACTIONS(1464),
    [anon_sym_COLON] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1464),
    [anon_sym_AT] = ACTIONS(1464),
    [sym__hex_literal] = ACTIONS(1464),
    [sym__number_literal] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [sym_return] = ACTIONS(1466),
    [sym_next] = ACTIONS(1466),
    [sym_break] = ACTIONS(1466),
    [sym_true] = ACTIONS(1466),
    [sym_false] = ACTIONS(1466),
    [sym_null] = ACTIONS(1466),
    [sym_inf] = ACTIONS(1466),
    [sym_nan] = ACTIONS(1466),
    [anon_sym_NA] = ACTIONS(1466),
    [anon_sym_NA_integer_] = ACTIONS(1466),
    [anon_sym_NA_real_] = ACTIONS(1466),
    [anon_sym_NA_complex_] = ACTIONS(1466),
    [anon_sym_NA_character_] = ACTIONS(1466),
    [sym_dots] = ACTIONS(1466),
    [sym_dot_dot_i] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1464),
    [sym__newline] = ACTIONS(1464),
    [sym__raw_string_literal] = ACTIONS(1464),
    [sym__external_else] = ACTIONS(1464),
    [sym__external_open_parenthesis] = ACTIONS(1464),
    [sym__external_open_brace] = ACTIONS(1464),
    [sym__external_open_bracket] = ACTIONS(1464),
    [sym__external_close_bracket] = ACTIONS(1464),
    [sym__external_open_bracket2] = ACTIONS(1464),
  },
  [883] = {
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_BSLASH] = ACTIONS(1468),
    [anon_sym_function] = ACTIONS(1470),
    [anon_sym_EQ] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(1470),
    [anon_sym_for] = ACTIONS(1470),
    [anon_sym_while] = ACTIONS(1470),
    [anon_sym_repeat] = ACTIONS(1470),
    [anon_sym_QMARK] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_LT_DASH] = ACTIONS(1468),
    [anon_sym_LT_LT_DASH] = ACTIONS(1468),
    [anon_sym_COLON_EQ] = ACTIONS(1468),
    [anon_sym_DASH_GT] = ACTIONS(1470),
    [anon_sym_DASH_GT_GT] = ACTIONS(1468),
    [anon_sym_PIPE] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_PIPE_PIPE] = ACTIONS(1468),
    [anon_sym_AMP_AMP] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1468),
    [anon_sym_EQ_EQ] = ACTIONS(1468),
    [anon_sym_BANG_EQ] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_STAR_STAR] = ACTIONS(1468),
    [anon_sym_CARET] = ACTIONS(1468),
    [aux_sym_binary_operator_token1] = ACTIONS(1468),
    [anon_sym_PIPE_GT] = ACTIONS(1468),
    [anon_sym_COLON] = ACTIONS(1470),
    [anon_sym_DOLLAR] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(1468),
    [sym__hex_literal] = ACTIONS(1468),
    [sym__number_literal] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [sym_return] = ACTIONS(1470),
    [sym_next] = ACTIONS(1470),
    [sym_break] = ACTIONS(1470),
    [sym_true] = ACTIONS(1470),
    [sym_false] = ACTIONS(1470),
    [sym_null] = ACTIONS(1470),
    [sym_inf] = ACTIONS(1470),
    [sym_nan] = ACTIONS(1470),
    [anon_sym_NA] = ACTIONS(1470),
    [anon_sym_NA_integer_] = ACTIONS(1470),
    [anon_sym_NA_real_] = ACTIONS(1470),
    [anon_sym_NA_complex_] = ACTIONS(1470),
    [anon_sym_NA_character_] = ACTIONS(1470),
    [sym_dots] = ACTIONS(1470),
    [sym_dot_dot_i] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1468),
    [sym__newline] = ACTIONS(1468),
    [sym__raw_string_literal] = ACTIONS(1468),
    [sym__external_else] = ACTIONS(1468),
    [sym__external_open_parenthesis] = ACTIONS(1468),
    [sym__external_open_brace] = ACTIONS(1468),
    [sym__external_open_bracket] = ACTIONS(1468),
    [sym__external_close_bracket] = ACTIONS(1468),
    [sym__external_open_bracket2] = ACTIONS(1468),
  },
  [884] = {
    [sym_identifier] = ACTIONS(1474),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_function] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1474),
    [anon_sym_if] = ACTIONS(1474),
    [anon_sym_for] = ACTIONS(1474),
    [anon_sym_while] = ACTIONS(1474),
    [anon_sym_repeat] = ACTIONS(1474),
    [anon_sym_QMARK] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_LT_DASH] = ACTIONS(1472),
    [anon_sym_LT_LT_DASH] = ACTIONS(1472),
    [anon_sym_COLON_EQ] = ACTIONS(1472),
    [anon_sym_DASH_GT] = ACTIONS(1474),
    [anon_sym_DASH_GT_GT] = ACTIONS(1472),
    [anon_sym_PIPE] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_PIPE_PIPE] = ACTIONS(1472),
    [anon_sym_AMP_AMP] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1474),
    [anon_sym_LT_EQ] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1474),
    [anon_sym_GT_EQ] = ACTIONS(1472),
    [anon_sym_EQ_EQ] = ACTIONS(1472),
    [anon_sym_BANG_EQ] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_STAR_STAR] = ACTIONS(1472),
    [anon_sym_CARET] = ACTIONS(1472),
    [aux_sym_binary_operator_token1] = ACTIONS(1472),
    [anon_sym_PIPE_GT] = ACTIONS(1472),
    [anon_sym_COLON] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1472),
    [sym__hex_literal] = ACTIONS(1472),
    [sym__number_literal] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [sym_return] = ACTIONS(1474),
    [sym_next] = ACTIONS(1474),
    [sym_break] = ACTIONS(1474),
    [sym_true] = ACTIONS(1474),
    [sym_false] = ACTIONS(1474),
    [sym_null] = ACTIONS(1474),
    [sym_inf] = ACTIONS(1474),
    [sym_nan] = ACTIONS(1474),
    [anon_sym_NA] = ACTIONS(1474),
    [anon_sym_NA_integer_] = ACTIONS(1474),
    [anon_sym_NA_real_] = ACTIONS(1474),
    [anon_sym_NA_complex_] = ACTIONS(1474),
    [anon_sym_NA_character_] = ACTIONS(1474),
    [sym_dots] = ACTIONS(1474),
    [sym_dot_dot_i] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1472),
    [sym__newline] = ACTIONS(1472),
    [sym__raw_string_literal] = ACTIONS(1472),
    [sym__external_else] = ACTIONS(1472),
    [sym__external_open_parenthesis] = ACTIONS(1472),
    [sym__external_open_brace] = ACTIONS(1472),
    [sym__external_open_bracket] = ACTIONS(1472),
    [sym__external_close_bracket] = ACTIONS(1472),
    [sym__external_open_bracket2] = ACTIONS(1472),
  },
  [885] = {
    [sym_identifier] = ACTIONS(1414),
    [anon_sym_BSLASH] = ACTIONS(1416),
    [anon_sym_function] = ACTIONS(1414),
    [anon_sym_EQ] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1414),
    [anon_sym_for] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_repeat] = ACTIONS(1414),
    [anon_sym_QMARK] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_LT_DASH] = ACTIONS(1416),
    [anon_sym_LT_LT_DASH] = ACTIONS(1416),
    [anon_sym_COLON_EQ] = ACTIONS(1416),
    [anon_sym_DASH_GT] = ACTIONS(1414),
    [anon_sym_DASH_GT_GT] = ACTIONS(1416),
    [anon_sym_PIPE] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_PIPE_PIPE] = ACTIONS(1416),
    [anon_sym_AMP_AMP] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1416),
    [anon_sym_EQ_EQ] = ACTIONS(1416),
    [anon_sym_BANG_EQ] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_STAR_STAR] = ACTIONS(1416),
    [anon_sym_CARET] = ACTIONS(1416),
    [aux_sym_binary_operator_token1] = ACTIONS(1416),
    [anon_sym_PIPE_GT] = ACTIONS(1416),
    [anon_sym_COLON] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [sym__hex_literal] = ACTIONS(1416),
    [sym__number_literal] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [sym_return] = ACTIONS(1414),
    [sym_next] = ACTIONS(1414),
    [sym_break] = ACTIONS(1414),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [sym_null] = ACTIONS(1414),
    [sym_inf] = ACTIONS(1414),
    [sym_nan] = ACTIONS(1414),
    [anon_sym_NA] = ACTIONS(1414),
    [anon_sym_NA_integer_] = ACTIONS(1414),
    [anon_sym_NA_real_] = ACTIONS(1414),
    [anon_sym_NA_complex_] = ACTIONS(1414),
    [anon_sym_NA_character_] = ACTIONS(1414),
    [sym_dots] = ACTIONS(1414),
    [sym_dot_dot_i] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1416),
    [sym__newline] = ACTIONS(1416),
    [sym__raw_string_literal] = ACTIONS(1416),
    [sym__external_else] = ACTIONS(1416),
    [sym__external_open_parenthesis] = ACTIONS(1416),
    [sym__external_open_brace] = ACTIONS(1416),
    [sym__external_open_bracket] = ACTIONS(1416),
    [sym__external_close_bracket] = ACTIONS(1416),
    [sym__external_open_bracket2] = ACTIONS(1416),
  },
  [886] = {
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_BSLASH] = ACTIONS(1476),
    [anon_sym_function] = ACTIONS(1478),
    [anon_sym_EQ] = ACTIONS(1478),
    [anon_sym_if] = ACTIONS(1478),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_while] = ACTIONS(1478),
    [anon_sym_repeat] = ACTIONS(1478),
    [anon_sym_QMARK] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_LT_DASH] = ACTIONS(1476),
    [anon_sym_LT_LT_DASH] = ACTIONS(1476),
    [anon_sym_COLON_EQ] = ACTIONS(1476),
    [anon_sym_DASH_GT] = ACTIONS(1478),
    [anon_sym_DASH_GT_GT] = ACTIONS(1476),
    [anon_sym_PIPE] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_PIPE_PIPE] = ACTIONS(1476),
    [anon_sym_AMP_AMP] = ACTIONS(1476),
    [anon_sym_LT] = ACTIONS(1478),
    [anon_sym_LT_EQ] = ACTIONS(1476),
    [anon_sym_GT] = ACTIONS(1478),
    [anon_sym_GT_EQ] = ACTIONS(1476),
    [anon_sym_EQ_EQ] = ACTIONS(1476),
    [anon_sym_BANG_EQ] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_SLASH] = ACTIONS(1476),
    [anon_sym_STAR_STAR] = ACTIONS(1476),
    [anon_sym_CARET] = ACTIONS(1476),
    [aux_sym_binary_operator_token1] = ACTIONS(1476),
    [anon_sym_PIPE_GT] = ACTIONS(1476),
    [anon_sym_COLON] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [sym__hex_literal] = ACTIONS(1476),
    [sym__number_literal] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [sym_return] = ACTIONS(1478),
    [sym_next] = ACTIONS(1478),
    [sym_break] = ACTIONS(1478),
    [sym_true] = ACTIONS(1478),
    [sym_false] = ACTIONS(1478),
    [sym_null] = ACTIONS(1478),
    [sym_inf] = ACTIONS(1478),
    [sym_nan] = ACTIONS(1478),
    [anon_sym_NA] = ACTIONS(1478),
    [anon_sym_NA_integer_] = ACTIONS(1478),
    [anon_sym_NA_real_] = ACTIONS(1478),
    [anon_sym_NA_complex_] = ACTIONS(1478),
    [anon_sym_NA_character_] = ACTIONS(1478),
    [sym_dots] = ACTIONS(1478),
    [sym_dot_dot_i] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1476),
    [sym__newline] = ACTIONS(1476),
    [sym__raw_string_literal] = ACTIONS(1476),
    [sym__external_else] = ACTIONS(1476),
    [sym__external_open_parenthesis] = ACTIONS(1476),
    [sym__external_open_brace] = ACTIONS(1476),
    [sym__external_open_bracket] = ACTIONS(1476),
    [sym__external_close_bracket] = ACTIONS(1476),
    [sym__external_open_bracket2] = ACTIONS(1476),
  },
  [887] = {
    [sym_identifier] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1480),
    [anon_sym_function] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1482),
    [anon_sym_if] = ACTIONS(1482),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_while] = ACTIONS(1482),
    [anon_sym_repeat] = ACTIONS(1482),
    [anon_sym_QMARK] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_LT_DASH] = ACTIONS(1480),
    [anon_sym_LT_LT_DASH] = ACTIONS(1480),
    [anon_sym_COLON_EQ] = ACTIONS(1480),
    [anon_sym_DASH_GT] = ACTIONS(1482),
    [anon_sym_DASH_GT_GT] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1482),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1482),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_SLASH] = ACTIONS(1480),
    [anon_sym_STAR_STAR] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [aux_sym_binary_operator_token1] = ACTIONS(1480),
    [anon_sym_PIPE_GT] = ACTIONS(1480),
    [anon_sym_COLON] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [sym__hex_literal] = ACTIONS(1480),
    [sym__number_literal] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [sym_return] = ACTIONS(1482),
    [sym_next] = ACTIONS(1482),
    [sym_break] = ACTIONS(1482),
    [sym_true] = ACTIONS(1482),
    [sym_false] = ACTIONS(1482),
    [sym_null] = ACTIONS(1482),
    [sym_inf] = ACTIONS(1482),
    [sym_nan] = ACTIONS(1482),
    [anon_sym_NA] = ACTIONS(1482),
    [anon_sym_NA_integer_] = ACTIONS(1482),
    [anon_sym_NA_real_] = ACTIONS(1482),
    [anon_sym_NA_complex_] = ACTIONS(1482),
    [anon_sym_NA_character_] = ACTIONS(1482),
    [sym_dots] = ACTIONS(1482),
    [sym_dot_dot_i] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1480),
    [sym__newline] = ACTIONS(1480),
    [sym__raw_string_literal] = ACTIONS(1480),
    [sym__external_else] = ACTIONS(1480),
    [sym__external_open_parenthesis] = ACTIONS(1480),
    [sym__external_open_brace] = ACTIONS(1480),
    [sym__external_open_bracket] = ACTIONS(1480),
    [sym__external_close_bracket] = ACTIONS(1480),
    [sym__external_open_bracket2] = ACTIONS(1480),
  },
  [888] = {
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_BSLASH] = ACTIONS(1484),
    [anon_sym_function] = ACTIONS(1486),
    [anon_sym_EQ] = ACTIONS(1486),
    [anon_sym_if] = ACTIONS(1486),
    [anon_sym_for] = ACTIONS(1486),
    [anon_sym_while] = ACTIONS(1486),
    [anon_sym_repeat] = ACTIONS(1486),
    [anon_sym_QMARK] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_LT_DASH] = ACTIONS(1484),
    [anon_sym_LT_LT_DASH] = ACTIONS(1484),
    [anon_sym_COLON_EQ] = ACTIONS(1484),
    [anon_sym_DASH_GT] = ACTIONS(1486),
    [anon_sym_DASH_GT_GT] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_AMP_AMP] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_GT] = ACTIONS(1486),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_EQ_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_SLASH] = ACTIONS(1484),
    [anon_sym_STAR_STAR] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [aux_sym_binary_operator_token1] = ACTIONS(1484),
    [anon_sym_PIPE_GT] = ACTIONS(1484),
    [anon_sym_COLON] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [sym__hex_literal] = ACTIONS(1484),
    [sym__number_literal] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [sym_return] = ACTIONS(1486),
    [sym_next] = ACTIONS(1486),
    [sym_break] = ACTIONS(1486),
    [sym_true] = ACTIONS(1486),
    [sym_false] = ACTIONS(1486),
    [sym_null] = ACTIONS(1486),
    [sym_inf] = ACTIONS(1486),
    [sym_nan] = ACTIONS(1486),
    [anon_sym_NA] = ACTIONS(1486),
    [anon_sym_NA_integer_] = ACTIONS(1486),
    [anon_sym_NA_real_] = ACTIONS(1486),
    [anon_sym_NA_complex_] = ACTIONS(1486),
    [anon_sym_NA_character_] = ACTIONS(1486),
    [sym_dots] = ACTIONS(1486),
    [sym_dot_dot_i] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1484),
    [sym__newline] = ACTIONS(1484),
    [sym__raw_string_literal] = ACTIONS(1484),
    [sym__external_else] = ACTIONS(1484),
    [sym__external_open_parenthesis] = ACTIONS(1484),
    [sym__external_open_brace] = ACTIONS(1484),
    [sym__external_open_bracket] = ACTIONS(1484),
    [sym__external_close_bracket] = ACTIONS(1484),
    [sym__external_open_bracket2] = ACTIONS(1484),
  },
  [889] = {
    [sym_function_definition] = STATE(363),
    [sym_if_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_repeat_statement] = STATE(363),
    [sym_braced_expression] = STATE(363),
    [sym_parenthesized_expression] = STATE(363),
    [sym_call] = STATE(363),
    [sym_subset] = STATE(363),
    [sym_subset2] = STATE(363),
    [sym_unary_operator] = STATE(363),
    [sym_binary_operator] = STATE(363),
    [sym_extract_operator] = STATE(363),
    [sym_namespace_operator] = STATE(363),
    [sym_integer] = STATE(363),
    [sym_complex] = STATE(363),
    [sym_float] = STATE(363),
    [sym__float_literal] = STATE(807),
    [sym_string] = STATE(804),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym_na] = STATE(363),
    [sym__expression] = STATE(363),
    [sym__string_or_identifier] = STATE(2301),
    [sym__open_parenthesis] = STATE(1021),
    [sym__open_brace] = STATE(925),
    [sym__close_brace] = STATE(896),
    [aux_sym_braced_expression_repeat1] = STATE(941),
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_repeat] = ACTIONS(1430),
    [anon_sym_QMARK] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [sym__hex_literal] = ACTIONS(1440),
    [sym__number_literal] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(1444),
    [sym_next] = ACTIONS(1444),
    [sym_break] = ACTIONS(1444),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [sym_null] = ACTIONS(1444),
    [sym_inf] = ACTIONS(1444),
    [sym_nan] = ACTIONS(1444),
    [anon_sym_NA] = ACTIONS(1446),
    [anon_sym_NA_integer_] = ACTIONS(1446),
    [anon_sym_NA_real_] = ACTIONS(1446),
    [anon_sym_NA_complex_] = ACTIONS(1446),
    [anon_sym_NA_character_] = ACTIONS(1446),
    [sym_dots] = ACTIONS(1444),
    [sym_dot_dot_i] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1450),
    [sym__semicolon] = ACTIONS(1450),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(1452),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_close_brace] = ACTIONS(1560),
  },
  [890] = {
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_BSLASH] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1495),
    [anon_sym_EQ] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1495),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_repeat] = ACTIONS(1495),
    [anon_sym_QMARK] = ACTIONS(1493),
    [anon_sym_TILDE] = ACTIONS(1493),
    [anon_sym_BANG] = ACTIONS(1495),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_LT_DASH] = ACTIONS(1493),
    [anon_sym_LT_LT_DASH] = ACTIONS(1493),
    [anon_sym_COLON_EQ] = ACTIONS(1493),
    [anon_sym_DASH_GT] = ACTIONS(1495),
    [anon_sym_DASH_GT_GT] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
    [anon_sym_AMP] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_AMP_AMP] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_GT] = ACTIONS(1495),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_EQ_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_STAR] = ACTIONS(1495),
    [anon_sym_SLASH] = ACTIONS(1493),
    [anon_sym_STAR_STAR] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [aux_sym_binary_operator_token1] = ACTIONS(1493),
    [anon_sym_PIPE_GT] = ACTIONS(1493),
    [anon_sym_COLON] = ACTIONS(1495),
    [anon_sym_DOLLAR] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(1493),
    [sym__hex_literal] = ACTIONS(1493),
    [sym__number_literal] = ACTIONS(1495),
    [anon_sym_SQUOTE] = ACTIONS(1493),
    [anon_sym_DQUOTE] = ACTIONS(1493),
    [sym_return] = ACTIONS(1495),
    [sym_next] = ACTIONS(1495),
    [sym_break] = ACTIONS(1495),
    [sym_true] = ACTIONS(1495),
    [sym_false] = ACTIONS(1495),
    [sym_null] = ACTIONS(1495),
    [sym_inf] = ACTIONS(1495),
    [sym_nan] = ACTIONS(1495),
    [anon_sym_NA] = ACTIONS(1495),
    [anon_sym_NA_integer_] = ACTIONS(1495),
    [anon_sym_NA_real_] = ACTIONS(1495),
    [anon_sym_NA_complex_] = ACTIONS(1495),
    [anon_sym_NA_character_] = ACTIONS(1495),
    [sym_dots] = ACTIONS(1495),
    [sym_dot_dot_i] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1493),
    [sym__newline] = ACTIONS(1493),
    [sym__raw_string_literal] = ACTIONS(1493),
    [sym__external_else] = ACTIONS(1493),
    [sym__external_open_parenthesis] = ACTIONS(1493),
    [sym__external_open_brace] = ACTIONS(1493),
    [sym__external_open_bracket] = ACTIONS(1493),
    [sym__external_close_bracket] = ACTIONS(1493),
    [sym__external_open_bracket2] = ACTIONS(1493),
  },
  [891] = {
    [sym_identifier] = ACTIONS(1499),
    [anon_sym_BSLASH] = ACTIONS(1497),
    [anon_sym_function] = ACTIONS(1499),
    [anon_sym_EQ] = ACTIONS(1499),
    [anon_sym_if] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1499),
    [anon_sym_while] = ACTIONS(1499),
    [anon_sym_repeat] = ACTIONS(1499),
    [anon_sym_QMARK] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(1497),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_LT_DASH] = ACTIONS(1497),
    [anon_sym_LT_LT_DASH] = ACTIONS(1497),
    [anon_sym_COLON_EQ] = ACTIONS(1497),
    [anon_sym_DASH_GT] = ACTIONS(1499),
    [anon_sym_DASH_GT_GT] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_AMP_AMP] = ACTIONS(1497),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_GT] = ACTIONS(1499),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_EQ_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1497),
    [anon_sym_STAR_STAR] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [aux_sym_binary_operator_token1] = ACTIONS(1497),
    [anon_sym_PIPE_GT] = ACTIONS(1497),
    [anon_sym_COLON] = ACTIONS(1499),
    [anon_sym_DOLLAR] = ACTIONS(1497),
    [anon_sym_AT] = ACTIONS(1497),
    [sym__hex_literal] = ACTIONS(1497),
    [sym__number_literal] = ACTIONS(1499),
    [anon_sym_SQUOTE] = ACTIONS(1497),
    [anon_sym_DQUOTE] = ACTIONS(1497),
    [sym_return] = ACTIONS(1499),
    [sym_next] = ACTIONS(1499),
    [sym_break] = ACTIONS(1499),
    [sym_true] = ACTIONS(1499),
    [sym_false] = ACTIONS(1499),
    [sym_null] = ACTIONS(1499),
    [sym_inf] = ACTIONS(1499),
    [sym_nan] = ACTIONS(1499),
    [anon_sym_NA] = ACTIONS(1499),
    [anon_sym_NA_integer_] = ACTIONS(1499),
    [anon_sym_NA_real_] = ACTIONS(1499),
    [anon_sym_NA_complex_] = ACTIONS(1499),
    [anon_sym_NA_character_] = ACTIONS(1499),
    [sym_dots] = ACTIONS(1499),
    [sym_dot_dot_i] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1497),
    [sym__newline] = ACTIONS(1497),
    [sym__raw_string_literal] = ACTIONS(1497),
    [sym__external_else] = ACTIONS(1497),
    [sym__external_open_parenthesis] = ACTIONS(1497),
    [sym__external_open_brace] = ACTIONS(1497),
    [sym__external_open_bracket] = ACTIONS(1497),
    [sym__external_close_bracket] = ACTIONS(1497),
    [sym__external_open_bracket2] = ACTIONS(1497),
  },
  [892] = {
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(1501),
    [anon_sym_function] = ACTIONS(1503),
    [anon_sym_EQ] = ACTIONS(1503),
    [anon_sym_if] = ACTIONS(1503),
    [anon_sym_for] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_repeat] = ACTIONS(1503),
    [anon_sym_QMARK] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(1501),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_LT_DASH] = ACTIONS(1501),
    [anon_sym_LT_LT_DASH] = ACTIONS(1501),
    [anon_sym_COLON_EQ] = ACTIONS(1501),
    [anon_sym_DASH_GT] = ACTIONS(1503),
    [anon_sym_DASH_GT_GT] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_AMP] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_AMP_AMP] = ACTIONS(1501),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_GT] = ACTIONS(1503),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_EQ_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_SLASH] = ACTIONS(1501),
    [anon_sym_STAR_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [aux_sym_binary_operator_token1] = ACTIONS(1501),
    [anon_sym_PIPE_GT] = ACTIONS(1501),
    [anon_sym_COLON] = ACTIONS(1503),
    [anon_sym_DOLLAR] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(1501),
    [sym__hex_literal] = ACTIONS(1501),
    [sym__number_literal] = ACTIONS(1503),
    [anon_sym_SQUOTE] = ACTIONS(1501),
    [anon_sym_DQUOTE] = ACTIONS(1501),
    [sym_return] = ACTIONS(1503),
    [sym_next] = ACTIONS(1503),
    [sym_break] = ACTIONS(1503),
    [sym_true] = ACTIONS(1503),
    [sym_false] = ACTIONS(1503),
    [sym_null] = ACTIONS(1503),
    [sym_inf] = ACTIONS(1503),
    [sym_nan] = ACTIONS(1503),
    [anon_sym_NA] = ACTIONS(1503),
    [anon_sym_NA_integer_] = ACTIONS(1503),
    [anon_sym_NA_real_] = ACTIONS(1503),
    [anon_sym_NA_complex_] = ACTIONS(1503),
    [anon_sym_NA_character_] = ACTIONS(1503),
    [sym_dots] = ACTIONS(1503),
    [sym_dot_dot_i] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1501),
    [sym__newline] = ACTIONS(1501),
    [sym__raw_string_literal] = ACTIONS(1501),
    [sym__external_else] = ACTIONS(1501),
    [sym__external_open_parenthesis] = ACTIONS(1501),
    [sym__external_open_brace] = ACTIONS(1501),
    [sym__external_open_bracket] = ACTIONS(1501),
    [sym__external_close_bracket] = ACTIONS(1501),
    [sym__external_open_bracket2] = ACTIONS(1501),
  },
  [893] = {
    [sym_identifier] = ACTIONS(1507),
    [anon_sym_BSLASH] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ] = ACTIONS(1507),
    [anon_sym_if] = ACTIONS(1507),
    [anon_sym_for] = ACTIONS(1507),
    [anon_sym_while] = ACTIONS(1507),
    [anon_sym_repeat] = ACTIONS(1507),
    [anon_sym_QMARK] = ACTIONS(1505),
    [anon_sym_TILDE] = ACTIONS(1505),
    [anon_sym_BANG] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_LT_DASH] = ACTIONS(1505),
    [anon_sym_LT_LT_DASH] = ACTIONS(1505),
    [anon_sym_COLON_EQ] = ACTIONS(1505),
    [anon_sym_DASH_GT] = ACTIONS(1507),
    [anon_sym_DASH_GT_GT] = ACTIONS(1505),
    [anon_sym_PIPE] = ACTIONS(1507),
    [anon_sym_AMP] = ACTIONS(1507),
    [anon_sym_PIPE_PIPE] = ACTIONS(1505),
    [anon_sym_AMP_AMP] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1507),
    [anon_sym_LT_EQ] = ACTIONS(1505),
    [anon_sym_GT] = ACTIONS(1507),
    [anon_sym_GT_EQ] = ACTIONS(1505),
    [anon_sym_EQ_EQ] = ACTIONS(1505),
    [anon_sym_BANG_EQ] = ACTIONS(1505),
    [anon_sym_STAR] = ACTIONS(1507),
    [anon_sym_SLASH] = ACTIONS(1505),
    [anon_sym_STAR_STAR] = ACTIONS(1505),
    [anon_sym_CARET] = ACTIONS(1505),
    [aux_sym_binary_operator_token1] = ACTIONS(1505),
    [anon_sym_PIPE_GT] = ACTIONS(1505),
    [anon_sym_COLON] = ACTIONS(1507),
    [anon_sym_DOLLAR] = ACTIONS(1505),
    [anon_sym_AT] = ACTIONS(1505),
    [sym__hex_literal] = ACTIONS(1505),
    [sym__number_literal] = ACTIONS(1507),
    [anon_sym_SQUOTE] = ACTIONS(1505),
    [anon_sym_DQUOTE] = ACTIONS(1505),
    [sym_return] = ACTIONS(1507),
    [sym_next] = ACTIONS(1507),
    [sym_break] = ACTIONS(1507),
    [sym_true] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_null] = ACTIONS(1507),
    [sym_inf] = ACTIONS(1507),
    [sym_nan] = ACTIONS(1507),
    [anon_sym_NA] = ACTIONS(1507),
    [anon_sym_NA_integer_] = ACTIONS(1507),
    [anon_sym_NA_real_] = ACTIONS(1507),
    [anon_sym_NA_complex_] = ACTIONS(1507),
    [anon_sym_NA_character_] = ACTIONS(1507),
    [sym_dots] = ACTIONS(1507),
    [sym_dot_dot_i] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1505),
    [sym__newline] = ACTIONS(1505),
    [sym__raw_string_literal] = ACTIONS(1505),
    [sym__external_else] = ACTIONS(1505),
    [sym__external_open_parenthesis] = ACTIONS(1505),
    [sym__external_open_brace] = ACTIONS(1505),
    [sym__external_open_bracket] = ACTIONS(1505),
    [sym__external_close_bracket] = ACTIONS(1505),
    [sym__external_open_bracket2] = ACTIONS(1505),
  },
  [894] = {
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(1509),
    [anon_sym_function] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_for] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1511),
    [anon_sym_repeat] = ACTIONS(1511),
    [anon_sym_QMARK] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(1509),
    [anon_sym_BANG] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_LT_DASH] = ACTIONS(1509),
    [anon_sym_LT_LT_DASH] = ACTIONS(1509),
    [anon_sym_COLON_EQ] = ACTIONS(1509),
    [anon_sym_DASH_GT] = ACTIONS(1511),
    [anon_sym_DASH_GT_GT] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_AMP_AMP] = ACTIONS(1509),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT] = ACTIONS(1511),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_EQ_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_STAR] = ACTIONS(1511),
    [anon_sym_SLASH] = ACTIONS(1509),
    [anon_sym_STAR_STAR] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [aux_sym_binary_operator_token1] = ACTIONS(1509),
    [anon_sym_PIPE_GT] = ACTIONS(1509),
    [anon_sym_COLON] = ACTIONS(1511),
    [anon_sym_DOLLAR] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(1509),
    [sym__hex_literal] = ACTIONS(1509),
    [sym__number_literal] = ACTIONS(1511),
    [anon_sym_SQUOTE] = ACTIONS(1509),
    [anon_sym_DQUOTE] = ACTIONS(1509),
    [sym_return] = ACTIONS(1511),
    [sym_next] = ACTIONS(1511),
    [sym_break] = ACTIONS(1511),
    [sym_true] = ACTIONS(1511),
    [sym_false] = ACTIONS(1511),
    [sym_null] = ACTIONS(1511),
    [sym_inf] = ACTIONS(1511),
    [sym_nan] = ACTIONS(1511),
    [anon_sym_NA] = ACTIONS(1511),
    [anon_sym_NA_integer_] = ACTIONS(1511),
    [anon_sym_NA_real_] = ACTIONS(1511),
    [anon_sym_NA_complex_] = ACTIONS(1511),
    [anon_sym_NA_character_] = ACTIONS(1511),
    [sym_dots] = ACTIONS(1511),
    [sym_dot_dot_i] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1509),
    [sym__newline] = ACTIONS(1509),
    [sym__raw_string_literal] = ACTIONS(1509),
    [sym__external_else] = ACTIONS(1509),
    [sym__external_open_parenthesis] = ACTIONS(1509),
    [sym__external_open_brace] = ACTIONS(1509),
    [sym__external_open_bracket] = ACTIONS(1509),
    [sym__external_close_bracket] = ACTIONS(1509),
    [sym__external_open_bracket2] = ACTIONS(1509),
  },
  [895] = {
    [sym_identifier] = ACTIONS(1515),
    [anon_sym_BSLASH] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_EQ] = ACTIONS(1515),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_for] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1515),
    [anon_sym_repeat] = ACTIONS(1515),
    [anon_sym_QMARK] = ACTIONS(1513),
    [anon_sym_TILDE] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_LT_DASH] = ACTIONS(1513),
    [anon_sym_LT_LT_DASH] = ACTIONS(1513),
    [anon_sym_COLON_EQ] = ACTIONS(1513),
    [anon_sym_DASH_GT] = ACTIONS(1515),
    [anon_sym_DASH_GT_GT] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_GT] = ACTIONS(1515),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_EQ_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_SLASH] = ACTIONS(1513),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [aux_sym_binary_operator_token1] = ACTIONS(1513),
    [anon_sym_PIPE_GT] = ACTIONS(1513),
    [anon_sym_COLON] = ACTIONS(1515),
    [anon_sym_DOLLAR] = ACTIONS(1513),
    [anon_sym_AT] = ACTIONS(1513),
    [sym__hex_literal] = ACTIONS(1513),
    [sym__number_literal] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1513),
    [anon_sym_DQUOTE] = ACTIONS(1513),
    [sym_return] = ACTIONS(1515),
    [sym_next] = ACTIONS(1515),
    [sym_break] = ACTIONS(1515),
    [sym_true] = ACTIONS(1515),
    [sym_false] = ACTIONS(1515),
    [sym_null] = ACTIONS(1515),
    [sym_inf] = ACTIONS(1515),
    [sym_nan] = ACTIONS(1515),
    [anon_sym_NA] = ACTIONS(1515),
    [anon_sym_NA_integer_] = ACTIONS(1515),
    [anon_sym_NA_real_] = ACTIONS(1515),
    [anon_sym_NA_complex_] = ACTIONS(1515),
    [anon_sym_NA_character_] = ACTIONS(1515),
    [sym_dots] = ACTIONS(1515),
    [sym_dot_dot_i] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1513),
    [sym__newline] = ACTIONS(1513),
    [sym__raw_string_literal] = ACTIONS(1513),
    [sym__external_else] = ACTIONS(1513),
    [sym__external_open_parenthesis] = ACTIONS(1513),
    [sym__external_open_brace] = ACTIONS(1513),
    [sym__external_open_bracket] = ACTIONS(1513),
    [sym__external_close_bracket] = ACTIONS(1513),
    [sym__external_open_bracket2] = ACTIONS(1513),
  },
  [896] = {
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_BSLASH] = ACTIONS(1517),
    [anon_sym_function] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1519),
    [anon_sym_if] = ACTIONS(1519),
    [anon_sym_for] = ACTIONS(1519),
    [anon_sym_while] = ACTIONS(1519),
    [anon_sym_repeat] = ACTIONS(1519),
    [anon_sym_QMARK] = ACTIONS(1517),
    [anon_sym_TILDE] = ACTIONS(1517),
    [anon_sym_BANG] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_LT_DASH] = ACTIONS(1517),
    [anon_sym_LT_LT_DASH] = ACTIONS(1517),
    [anon_sym_COLON_EQ] = ACTIONS(1517),
    [anon_sym_DASH_GT] = ACTIONS(1519),
    [anon_sym_DASH_GT_GT] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_AMP_AMP] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_GT] = ACTIONS(1519),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_EQ_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_STAR] = ACTIONS(1519),
    [anon_sym_SLASH] = ACTIONS(1517),
    [anon_sym_STAR_STAR] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [aux_sym_binary_operator_token1] = ACTIONS(1517),
    [anon_sym_PIPE_GT] = ACTIONS(1517),
    [anon_sym_COLON] = ACTIONS(1519),
    [anon_sym_DOLLAR] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(1517),
    [sym__hex_literal] = ACTIONS(1517),
    [sym__number_literal] = ACTIONS(1519),
    [anon_sym_SQUOTE] = ACTIONS(1517),
    [anon_sym_DQUOTE] = ACTIONS(1517),
    [sym_return] = ACTIONS(1519),
    [sym_next] = ACTIONS(1519),
    [sym_break] = ACTIONS(1519),
    [sym_true] = ACTIONS(1519),
    [sym_false] = ACTIONS(1519),
    [sym_null] = ACTIONS(1519),
    [sym_inf] = ACTIONS(1519),
    [sym_nan] = ACTIONS(1519),
    [anon_sym_NA] = ACTIONS(1519),
    [anon_sym_NA_integer_] = ACTIONS(1519),
    [anon_sym_NA_real_] = ACTIONS(1519),
    [anon_sym_NA_complex_] = ACTIONS(1519),
    [anon_sym_NA_character_] = ACTIONS(1519),
    [sym_dots] = ACTIONS(1519),
    [sym_dot_dot_i] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1517),
    [sym__newline] = ACTIONS(1517),
    [sym__raw_string_literal] = ACTIONS(1517),
    [sym__external_else] = ACTIONS(1517),
    [sym__external_open_parenthesis] = ACTIONS(1517),
    [sym__external_open_brace] = ACTIONS(1517),
    [sym__external_open_bracket] = ACTIONS(1517),
    [sym__external_close_bracket] = ACTIONS(1517),
    [sym__external_open_bracket2] = ACTIONS(1517),
  },
  [897] = {
    [sym_identifier] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(1521),
    [anon_sym_function] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(1523),
    [anon_sym_for] = ACTIONS(1523),
    [anon_sym_while] = ACTIONS(1523),
    [anon_sym_repeat] = ACTIONS(1523),
    [anon_sym_QMARK] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1523),
    [anon_sym_LT_DASH] = ACTIONS(1521),
    [anon_sym_LT_LT_DASH] = ACTIONS(1521),
    [anon_sym_COLON_EQ] = ACTIONS(1521),
    [anon_sym_DASH_GT] = ACTIONS(1523),
    [anon_sym_DASH_GT_GT] = ACTIONS(1521),
    [anon_sym_PIPE] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_PIPE_PIPE] = ACTIONS(1521),
    [anon_sym_AMP_AMP] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1521),
    [anon_sym_STAR_STAR] = ACTIONS(1521),
    [anon_sym_CARET] = ACTIONS(1521),
    [aux_sym_binary_operator_token1] = ACTIONS(1521),
    [anon_sym_PIPE_GT] = ACTIONS(1521),
    [anon_sym_COLON] = ACTIONS(1523),
    [anon_sym_DOLLAR] = ACTIONS(1521),
    [anon_sym_AT] = ACTIONS(1521),
    [sym__hex_literal] = ACTIONS(1521),
    [sym__number_literal] = ACTIONS(1523),
    [anon_sym_SQUOTE] = ACTIONS(1521),
    [anon_sym_DQUOTE] = ACTIONS(1521),
    [sym_return] = ACTIONS(1523),
    [sym_next] = ACTIONS(1523),
    [sym_break] = ACTIONS(1523),
    [sym_true] = ACTIONS(1523),
    [sym_false] = ACTIONS(1523),
    [sym_null] = ACTIONS(1523),
    [sym_inf] = ACTIONS(1523),
    [sym_nan] = ACTIONS(1523),
    [anon_sym_NA] = ACTIONS(1523),
    [anon_sym_NA_integer_] = ACTIONS(1523),
    [anon_sym_NA_real_] = ACTIONS(1523),
    [anon_sym_NA_complex_] = ACTIONS(1523),
    [anon_sym_NA_character_] = ACTIONS(1523),
    [sym_dots] = ACTIONS(1523),
    [sym_dot_dot_i] = ACTIONS(1521),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1521),
    [sym__newline] = ACTIONS(1521),
    [sym__raw_string_literal] = ACTIONS(1521),
    [sym__external_else] = ACTIONS(1521),
    [sym__external_open_parenthesis] = ACTIONS(1521),
    [sym__external_open_brace] = ACTIONS(1521),
    [sym__external_open_bracket] = ACTIONS(1521),
    [sym__external_close_bracket] = ACTIONS(1521),
    [sym__external_open_bracket2] = ACTIONS(1521),
  },
  [898] = {
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_BSLASH] = ACTIONS(1525),
    [anon_sym_function] = ACTIONS(1527),
    [anon_sym_EQ] = ACTIONS(1527),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_for] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1527),
    [anon_sym_repeat] = ACTIONS(1527),
    [anon_sym_QMARK] = ACTIONS(1525),
    [anon_sym_TILDE] = ACTIONS(1525),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1525),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_LT_DASH] = ACTIONS(1525),
    [anon_sym_LT_LT_DASH] = ACTIONS(1525),
    [anon_sym_COLON_EQ] = ACTIONS(1525),
    [anon_sym_DASH_GT] = ACTIONS(1527),
    [anon_sym_DASH_GT_GT] = ACTIONS(1525),
    [anon_sym_PIPE] = ACTIONS(1527),
    [anon_sym_AMP] = ACTIONS(1527),
    [anon_sym_PIPE_PIPE] = ACTIONS(1525),
    [anon_sym_AMP_AMP] = ACTIONS(1525),
    [anon_sym_LT] = ACTIONS(1527),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1527),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_EQ_EQ] = ACTIONS(1525),
    [anon_sym_BANG_EQ] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_STAR_STAR] = ACTIONS(1525),
    [anon_sym_CARET] = ACTIONS(1525),
    [aux_sym_binary_operator_token1] = ACTIONS(1525),
    [anon_sym_PIPE_GT] = ACTIONS(1525),
    [anon_sym_COLON] = ACTIONS(1527),
    [anon_sym_DOLLAR] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(1525),
    [sym__hex_literal] = ACTIONS(1525),
    [sym__number_literal] = ACTIONS(1527),
    [anon_sym_SQUOTE] = ACTIONS(1525),
    [anon_sym_DQUOTE] = ACTIONS(1525),
    [sym_return] = ACTIONS(1527),
    [sym_next] = ACTIONS(1527),
    [sym_break] = ACTIONS(1527),
    [sym_true] = ACTIONS(1527),
    [sym_false] = ACTIONS(1527),
    [sym_null] = ACTIONS(1527),
    [sym_inf] = ACTIONS(1527),
    [sym_nan] = ACTIONS(1527),
    [anon_sym_NA] = ACTIONS(1527),
    [anon_sym_NA_integer_] = ACTIONS(1527),
    [anon_sym_NA_real_] = ACTIONS(1527),
    [anon_sym_NA_complex_] = ACTIONS(1527),
    [anon_sym_NA_character_] = ACTIONS(1527),
    [sym_dots] = ACTIONS(1527),
    [sym_dot_dot_i] = ACTIONS(1525),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1525),
    [sym__newline] = ACTIONS(1525),
    [sym__raw_string_literal] = ACTIONS(1525),
    [sym__external_else] = ACTIONS(1525),
    [sym__external_open_parenthesis] = ACTIONS(1525),
    [sym__external_open_brace] = ACTIONS(1525),
    [sym__external_open_bracket] = ACTIONS(1525),
    [sym__external_close_bracket] = ACTIONS(1525),
    [sym__external_open_bracket2] = ACTIONS(1525),
  },
  [899] = {
    [sym_identifier] = ACTIONS(1531),
    [anon_sym_BSLASH] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_EQ] = ACTIONS(1531),
    [anon_sym_if] = ACTIONS(1531),
    [anon_sym_for] = ACTIONS(1531),
    [anon_sym_while] = ACTIONS(1531),
    [anon_sym_repeat] = ACTIONS(1531),
    [anon_sym_QMARK] = ACTIONS(1529),
    [anon_sym_TILDE] = ACTIONS(1529),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1531),
    [anon_sym_LT_DASH] = ACTIONS(1529),
    [anon_sym_LT_LT_DASH] = ACTIONS(1529),
    [anon_sym_COLON_EQ] = ACTIONS(1529),
    [anon_sym_DASH_GT] = ACTIONS(1531),
    [anon_sym_DASH_GT_GT] = ACTIONS(1529),
    [anon_sym_PIPE] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_PIPE_PIPE] = ACTIONS(1529),
    [anon_sym_AMP_AMP] = ACTIONS(1529),
    [anon_sym_LT] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1529),
    [anon_sym_GT] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1529),
    [anon_sym_EQ_EQ] = ACTIONS(1529),
    [anon_sym_BANG_EQ] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1529),
    [anon_sym_STAR_STAR] = ACTIONS(1529),
    [anon_sym_CARET] = ACTIONS(1529),
    [aux_sym_binary_operator_token1] = ACTIONS(1529),
    [anon_sym_PIPE_GT] = ACTIONS(1529),
    [anon_sym_COLON] = ACTIONS(1531),
    [anon_sym_DOLLAR] = ACTIONS(1529),
    [anon_sym_AT] = ACTIONS(1529),
    [sym__hex_literal] = ACTIONS(1529),
    [sym__number_literal] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1529),
    [anon_sym_DQUOTE] = ACTIONS(1529),
    [sym_return] = ACTIONS(1531),
    [sym_next] = ACTIONS(1531),
    [sym_break] = ACTIONS(1531),
    [sym_true] = ACTIONS(1531),
    [sym_false] = ACTIONS(1531),
    [sym_null] = ACTIONS(1531),
    [sym_inf] = ACTIONS(1531),
    [sym_nan] = ACTIONS(1531),
    [anon_sym_NA] = ACTIONS(1531),
    [anon_sym_NA_integer_] = ACTIONS(1531),
    [anon_sym_NA_real_] = ACTIONS(1531),
    [anon_sym_NA_complex_] = ACTIONS(1531),
    [anon_sym_NA_character_] = ACTIONS(1531),
    [sym_dots] = ACTIONS(1531),
    [sym_dot_dot_i] = ACTIONS(1529),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1529),
    [sym__newline] = ACTIONS(1529),
    [sym__raw_string_literal] = ACTIONS(1529),
    [sym__external_else] = ACTIONS(1529),
    [sym__external_open_parenthesis] = ACTIONS(1529),
    [sym__external_open_brace] = ACTIONS(1529),
    [sym__external_open_bracket] = ACTIONS(1529),
    [sym__external_close_bracket] = ACTIONS(1529),
    [sym__external_open_bracket2] = ACTIONS(1529),
  },
  [900] = {
    [sym_identifier] = ACTIONS(1535),
    [anon_sym_BSLASH] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(1535),
    [anon_sym_EQ] = ACTIONS(1535),
    [anon_sym_if] = ACTIONS(1535),
    [anon_sym_for] = ACTIONS(1535),
    [anon_sym_while] = ACTIONS(1535),
    [anon_sym_repeat] = ACTIONS(1535),
    [anon_sym_QMARK] = ACTIONS(1533),
    [anon_sym_TILDE] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1535),
    [anon_sym_LT_DASH] = ACTIONS(1533),
    [anon_sym_LT_LT_DASH] = ACTIONS(1533),
    [anon_sym_COLON_EQ] = ACTIONS(1533),
    [anon_sym_DASH_GT] = ACTIONS(1535),
    [anon_sym_DASH_GT_GT] = ACTIONS(1533),
    [anon_sym_PIPE] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_PIPE_PIPE] = ACTIONS(1533),
    [anon_sym_AMP_AMP] = ACTIONS(1533),
    [anon_sym_LT] = ACTIONS(1535),
    [anon_sym_LT_EQ] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1535),
    [anon_sym_GT_EQ] = ACTIONS(1533),
    [anon_sym_EQ_EQ] = ACTIONS(1533),
    [anon_sym_BANG_EQ] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_SLASH] = ACTIONS(1533),
    [anon_sym_STAR_STAR] = ACTIONS(1533),
    [anon_sym_CARET] = ACTIONS(1533),
    [aux_sym_binary_operator_token1] = ACTIONS(1533),
    [anon_sym_PIPE_GT] = ACTIONS(1533),
    [anon_sym_COLON] = ACTIONS(1535),
    [anon_sym_DOLLAR] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(1533),
    [sym__hex_literal] = ACTIONS(1533),
    [sym__number_literal] = ACTIONS(1535),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1533),
    [sym_return] = ACTIONS(1535),
    [sym_next] = ACTIONS(1535),
    [sym_break] = ACTIONS(1535),
    [sym_true] = ACTIONS(1535),
    [sym_false] = ACTIONS(1535),
    [sym_null] = ACTIONS(1535),
    [sym_inf] = ACTIONS(1535),
    [sym_nan] = ACTIONS(1535),
    [anon_sym_NA] = ACTIONS(1535),
    [anon_sym_NA_integer_] = ACTIONS(1535),
    [anon_sym_NA_real_] = ACTIONS(1535),
    [anon_sym_NA_complex_] = ACTIONS(1535),
    [anon_sym_NA_character_] = ACTIONS(1535),
    [sym_dots] = ACTIONS(1535),
    [sym_dot_dot_i] = ACTIONS(1533),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1533),
    [sym__newline] = ACTIONS(1533),
    [sym__raw_string_literal] = ACTIONS(1533),
    [sym__external_else] = ACTIONS(1533),
    [sym__external_open_parenthesis] = ACTIONS(1533),
    [sym__external_open_brace] = ACTIONS(1533),
    [sym__external_open_bracket] = ACTIONS(1533),
    [sym__external_close_bracket] = ACTIONS(1533),
    [sym__external_open_bracket2] = ACTIONS(1533),
  },
  [901] = {
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_function] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [anon_sym_if] = ACTIONS(1462),
    [anon_sym_for] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1462),
    [anon_sym_repeat] = ACTIONS(1462),
    [anon_sym_QMARK] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_LT_DASH] = ACTIONS(1460),
    [anon_sym_LT_LT_DASH] = ACTIONS(1460),
    [anon_sym_COLON_EQ] = ACTIONS(1460),
    [anon_sym_DASH_GT] = ACTIONS(1462),
    [anon_sym_DASH_GT_GT] = ACTIONS(1460),
    [anon_sym_PIPE] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_PIPE_PIPE] = ACTIONS(1460),
    [anon_sym_AMP_AMP] = ACTIONS(1460),
    [anon_sym_LT] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1460),
    [anon_sym_EQ_EQ] = ACTIONS(1460),
    [anon_sym_BANG_EQ] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_STAR_STAR] = ACTIONS(1460),
    [anon_sym_CARET] = ACTIONS(1460),
    [aux_sym_binary_operator_token1] = ACTIONS(1460),
    [anon_sym_PIPE_GT] = ACTIONS(1460),
    [anon_sym_COLON] = ACTIONS(1462),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1460),
    [sym__hex_literal] = ACTIONS(1460),
    [sym__number_literal] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [sym_return] = ACTIONS(1462),
    [sym_next] = ACTIONS(1462),
    [sym_break] = ACTIONS(1462),
    [sym_true] = ACTIONS(1462),
    [sym_false] = ACTIONS(1462),
    [sym_null] = ACTIONS(1462),
    [sym_inf] = ACTIONS(1462),
    [sym_nan] = ACTIONS(1462),
    [anon_sym_NA] = ACTIONS(1462),
    [anon_sym_NA_integer_] = ACTIONS(1462),
    [anon_sym_NA_real_] = ACTIONS(1462),
    [anon_sym_NA_complex_] = ACTIONS(1462),
    [anon_sym_NA_character_] = ACTIONS(1462),
    [sym_dots] = ACTIONS(1462),
    [sym_dot_dot_i] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1460),
    [sym__newline] = ACTIONS(1460),
    [sym__raw_string_literal] = ACTIONS(1460),
    [sym__external_else] = ACTIONS(1460),
    [sym__external_open_parenthesis] = ACTIONS(1460),
    [sym__external_open_brace] = ACTIONS(1460),
    [sym__external_open_bracket] = ACTIONS(1460),
    [sym__external_open_bracket2] = ACTIONS(1460),
    [sym__external_close_bracket2] = ACTIONS(1460),
  },
  [902] = {
    [sym_function_definition] = STATE(363),
    [sym_if_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_repeat_statement] = STATE(363),
    [sym_braced_expression] = STATE(363),
    [sym_parenthesized_expression] = STATE(363),
    [sym_call] = STATE(363),
    [sym_subset] = STATE(363),
    [sym_subset2] = STATE(363),
    [sym_unary_operator] = STATE(363),
    [sym_binary_operator] = STATE(363),
    [sym_extract_operator] = STATE(363),
    [sym_namespace_operator] = STATE(363),
    [sym_integer] = STATE(363),
    [sym_complex] = STATE(363),
    [sym_float] = STATE(363),
    [sym__float_literal] = STATE(807),
    [sym_string] = STATE(804),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym_na] = STATE(363),
    [sym__expression] = STATE(363),
    [sym__string_or_identifier] = STATE(2301),
    [sym__open_parenthesis] = STATE(1021),
    [sym__open_brace] = STATE(925),
    [sym__close_brace] = STATE(940),
    [aux_sym_braced_expression_repeat1] = STATE(862),
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_repeat] = ACTIONS(1430),
    [anon_sym_QMARK] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [sym__hex_literal] = ACTIONS(1440),
    [sym__number_literal] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(1444),
    [sym_next] = ACTIONS(1444),
    [sym_break] = ACTIONS(1444),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [sym_null] = ACTIONS(1444),
    [sym_inf] = ACTIONS(1444),
    [sym_nan] = ACTIONS(1444),
    [anon_sym_NA] = ACTIONS(1446),
    [anon_sym_NA_integer_] = ACTIONS(1446),
    [anon_sym_NA_real_] = ACTIONS(1446),
    [anon_sym_NA_complex_] = ACTIONS(1446),
    [anon_sym_NA_character_] = ACTIONS(1446),
    [sym_dots] = ACTIONS(1444),
    [sym_dot_dot_i] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1450),
    [sym__semicolon] = ACTIONS(1450),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(1452),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_close_brace] = ACTIONS(1562),
  },
  [903] = {
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_BSLASH] = ACTIONS(1464),
    [anon_sym_function] = ACTIONS(1466),
    [anon_sym_EQ] = ACTIONS(1466),
    [anon_sym_if] = ACTIONS(1466),
    [anon_sym_for] = ACTIONS(1466),
    [anon_sym_while] = ACTIONS(1466),
    [anon_sym_repeat] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_LT_DASH] = ACTIONS(1464),
    [anon_sym_LT_LT_DASH] = ACTIONS(1464),
    [anon_sym_COLON_EQ] = ACTIONS(1464),
    [anon_sym_DASH_GT] = ACTIONS(1466),
    [anon_sym_DASH_GT_GT] = ACTIONS(1464),
    [anon_sym_PIPE] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_PIPE_PIPE] = ACTIONS(1464),
    [anon_sym_AMP_AMP] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1464),
    [anon_sym_EQ_EQ] = ACTIONS(1464),
    [anon_sym_BANG_EQ] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_STAR_STAR] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [aux_sym_binary_operator_token1] = ACTIONS(1464),
    [anon_sym_PIPE_GT] = ACTIONS(1464),
    [anon_sym_COLON] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1464),
    [anon_sym_AT] = ACTIONS(1464),
    [sym__hex_literal] = ACTIONS(1464),
    [sym__number_literal] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [sym_return] = ACTIONS(1466),
    [sym_next] = ACTIONS(1466),
    [sym_break] = ACTIONS(1466),
    [sym_true] = ACTIONS(1466),
    [sym_false] = ACTIONS(1466),
    [sym_null] = ACTIONS(1466),
    [sym_inf] = ACTIONS(1466),
    [sym_nan] = ACTIONS(1466),
    [anon_sym_NA] = ACTIONS(1466),
    [anon_sym_NA_integer_] = ACTIONS(1466),
    [anon_sym_NA_real_] = ACTIONS(1466),
    [anon_sym_NA_complex_] = ACTIONS(1466),
    [anon_sym_NA_character_] = ACTIONS(1466),
    [sym_dots] = ACTIONS(1466),
    [sym_dot_dot_i] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1464),
    [sym__newline] = ACTIONS(1464),
    [sym__raw_string_literal] = ACTIONS(1464),
    [sym__external_else] = ACTIONS(1464),
    [sym__external_open_parenthesis] = ACTIONS(1464),
    [sym__external_open_brace] = ACTIONS(1464),
    [sym__external_open_bracket] = ACTIONS(1464),
    [sym__external_open_bracket2] = ACTIONS(1464),
    [sym__external_close_bracket2] = ACTIONS(1464),
  },
  [904] = {
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_BSLASH] = ACTIONS(1468),
    [anon_sym_function] = ACTIONS(1470),
    [anon_sym_EQ] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(1470),
    [anon_sym_for] = ACTIONS(1470),
    [anon_sym_while] = ACTIONS(1470),
    [anon_sym_repeat] = ACTIONS(1470),
    [anon_sym_QMARK] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_LT_DASH] = ACTIONS(1468),
    [anon_sym_LT_LT_DASH] = ACTIONS(1468),
    [anon_sym_COLON_EQ] = ACTIONS(1468),
    [anon_sym_DASH_GT] = ACTIONS(1470),
    [anon_sym_DASH_GT_GT] = ACTIONS(1468),
    [anon_sym_PIPE] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_PIPE_PIPE] = ACTIONS(1468),
    [anon_sym_AMP_AMP] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1468),
    [anon_sym_EQ_EQ] = ACTIONS(1468),
    [anon_sym_BANG_EQ] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_STAR_STAR] = ACTIONS(1468),
    [anon_sym_CARET] = ACTIONS(1468),
    [aux_sym_binary_operator_token1] = ACTIONS(1468),
    [anon_sym_PIPE_GT] = ACTIONS(1468),
    [anon_sym_COLON] = ACTIONS(1470),
    [anon_sym_DOLLAR] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(1468),
    [sym__hex_literal] = ACTIONS(1468),
    [sym__number_literal] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [sym_return] = ACTIONS(1470),
    [sym_next] = ACTIONS(1470),
    [sym_break] = ACTIONS(1470),
    [sym_true] = ACTIONS(1470),
    [sym_false] = ACTIONS(1470),
    [sym_null] = ACTIONS(1470),
    [sym_inf] = ACTIONS(1470),
    [sym_nan] = ACTIONS(1470),
    [anon_sym_NA] = ACTIONS(1470),
    [anon_sym_NA_integer_] = ACTIONS(1470),
    [anon_sym_NA_real_] = ACTIONS(1470),
    [anon_sym_NA_complex_] = ACTIONS(1470),
    [anon_sym_NA_character_] = ACTIONS(1470),
    [sym_dots] = ACTIONS(1470),
    [sym_dot_dot_i] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1468),
    [sym__newline] = ACTIONS(1468),
    [sym__raw_string_literal] = ACTIONS(1468),
    [sym__external_else] = ACTIONS(1468),
    [sym__external_open_parenthesis] = ACTIONS(1468),
    [sym__external_open_brace] = ACTIONS(1468),
    [sym__external_open_bracket] = ACTIONS(1468),
    [sym__external_open_bracket2] = ACTIONS(1468),
    [sym__external_close_bracket2] = ACTIONS(1468),
  },
  [905] = {
    [sym_identifier] = ACTIONS(1474),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_function] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1474),
    [anon_sym_if] = ACTIONS(1474),
    [anon_sym_for] = ACTIONS(1474),
    [anon_sym_while] = ACTIONS(1474),
    [anon_sym_repeat] = ACTIONS(1474),
    [anon_sym_QMARK] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_LT_DASH] = ACTIONS(1472),
    [anon_sym_LT_LT_DASH] = ACTIONS(1472),
    [anon_sym_COLON_EQ] = ACTIONS(1472),
    [anon_sym_DASH_GT] = ACTIONS(1474),
    [anon_sym_DASH_GT_GT] = ACTIONS(1472),
    [anon_sym_PIPE] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_PIPE_PIPE] = ACTIONS(1472),
    [anon_sym_AMP_AMP] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1474),
    [anon_sym_LT_EQ] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1474),
    [anon_sym_GT_EQ] = ACTIONS(1472),
    [anon_sym_EQ_EQ] = ACTIONS(1472),
    [anon_sym_BANG_EQ] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_STAR_STAR] = ACTIONS(1472),
    [anon_sym_CARET] = ACTIONS(1472),
    [aux_sym_binary_operator_token1] = ACTIONS(1472),
    [anon_sym_PIPE_GT] = ACTIONS(1472),
    [anon_sym_COLON] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1472),
    [sym__hex_literal] = ACTIONS(1472),
    [sym__number_literal] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [sym_return] = ACTIONS(1474),
    [sym_next] = ACTIONS(1474),
    [sym_break] = ACTIONS(1474),
    [sym_true] = ACTIONS(1474),
    [sym_false] = ACTIONS(1474),
    [sym_null] = ACTIONS(1474),
    [sym_inf] = ACTIONS(1474),
    [sym_nan] = ACTIONS(1474),
    [anon_sym_NA] = ACTIONS(1474),
    [anon_sym_NA_integer_] = ACTIONS(1474),
    [anon_sym_NA_real_] = ACTIONS(1474),
    [anon_sym_NA_complex_] = ACTIONS(1474),
    [anon_sym_NA_character_] = ACTIONS(1474),
    [sym_dots] = ACTIONS(1474),
    [sym_dot_dot_i] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1472),
    [sym__newline] = ACTIONS(1472),
    [sym__raw_string_literal] = ACTIONS(1472),
    [sym__external_else] = ACTIONS(1472),
    [sym__external_open_parenthesis] = ACTIONS(1472),
    [sym__external_open_brace] = ACTIONS(1472),
    [sym__external_open_bracket] = ACTIONS(1472),
    [sym__external_open_bracket2] = ACTIONS(1472),
    [sym__external_close_bracket2] = ACTIONS(1472),
  },
  [906] = {
    [sym_identifier] = ACTIONS(1414),
    [anon_sym_BSLASH] = ACTIONS(1416),
    [anon_sym_function] = ACTIONS(1414),
    [anon_sym_EQ] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1414),
    [anon_sym_for] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_repeat] = ACTIONS(1414),
    [anon_sym_QMARK] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_LT_DASH] = ACTIONS(1416),
    [anon_sym_LT_LT_DASH] = ACTIONS(1416),
    [anon_sym_COLON_EQ] = ACTIONS(1416),
    [anon_sym_DASH_GT] = ACTIONS(1414),
    [anon_sym_DASH_GT_GT] = ACTIONS(1416),
    [anon_sym_PIPE] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_PIPE_PIPE] = ACTIONS(1416),
    [anon_sym_AMP_AMP] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1416),
    [anon_sym_EQ_EQ] = ACTIONS(1416),
    [anon_sym_BANG_EQ] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_STAR_STAR] = ACTIONS(1416),
    [anon_sym_CARET] = ACTIONS(1416),
    [aux_sym_binary_operator_token1] = ACTIONS(1416),
    [anon_sym_PIPE_GT] = ACTIONS(1416),
    [anon_sym_COLON] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [sym__hex_literal] = ACTIONS(1416),
    [sym__number_literal] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [sym_return] = ACTIONS(1414),
    [sym_next] = ACTIONS(1414),
    [sym_break] = ACTIONS(1414),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [sym_null] = ACTIONS(1414),
    [sym_inf] = ACTIONS(1414),
    [sym_nan] = ACTIONS(1414),
    [anon_sym_NA] = ACTIONS(1414),
    [anon_sym_NA_integer_] = ACTIONS(1414),
    [anon_sym_NA_real_] = ACTIONS(1414),
    [anon_sym_NA_complex_] = ACTIONS(1414),
    [anon_sym_NA_character_] = ACTIONS(1414),
    [sym_dots] = ACTIONS(1414),
    [sym_dot_dot_i] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1416),
    [sym__newline] = ACTIONS(1416),
    [sym__raw_string_literal] = ACTIONS(1416),
    [sym__external_else] = ACTIONS(1416),
    [sym__external_open_parenthesis] = ACTIONS(1416),
    [sym__external_open_brace] = ACTIONS(1416),
    [sym__external_open_bracket] = ACTIONS(1416),
    [sym__external_open_bracket2] = ACTIONS(1416),
    [sym__external_close_bracket2] = ACTIONS(1416),
  },
  [907] = {
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_BSLASH] = ACTIONS(1476),
    [anon_sym_function] = ACTIONS(1478),
    [anon_sym_EQ] = ACTIONS(1478),
    [anon_sym_if] = ACTIONS(1478),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_while] = ACTIONS(1478),
    [anon_sym_repeat] = ACTIONS(1478),
    [anon_sym_QMARK] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_LT_DASH] = ACTIONS(1476),
    [anon_sym_LT_LT_DASH] = ACTIONS(1476),
    [anon_sym_COLON_EQ] = ACTIONS(1476),
    [anon_sym_DASH_GT] = ACTIONS(1478),
    [anon_sym_DASH_GT_GT] = ACTIONS(1476),
    [anon_sym_PIPE] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_PIPE_PIPE] = ACTIONS(1476),
    [anon_sym_AMP_AMP] = ACTIONS(1476),
    [anon_sym_LT] = ACTIONS(1478),
    [anon_sym_LT_EQ] = ACTIONS(1476),
    [anon_sym_GT] = ACTIONS(1478),
    [anon_sym_GT_EQ] = ACTIONS(1476),
    [anon_sym_EQ_EQ] = ACTIONS(1476),
    [anon_sym_BANG_EQ] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_SLASH] = ACTIONS(1476),
    [anon_sym_STAR_STAR] = ACTIONS(1476),
    [anon_sym_CARET] = ACTIONS(1476),
    [aux_sym_binary_operator_token1] = ACTIONS(1476),
    [anon_sym_PIPE_GT] = ACTIONS(1476),
    [anon_sym_COLON] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [sym__hex_literal] = ACTIONS(1476),
    [sym__number_literal] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [sym_return] = ACTIONS(1478),
    [sym_next] = ACTIONS(1478),
    [sym_break] = ACTIONS(1478),
    [sym_true] = ACTIONS(1478),
    [sym_false] = ACTIONS(1478),
    [sym_null] = ACTIONS(1478),
    [sym_inf] = ACTIONS(1478),
    [sym_nan] = ACTIONS(1478),
    [anon_sym_NA] = ACTIONS(1478),
    [anon_sym_NA_integer_] = ACTIONS(1478),
    [anon_sym_NA_real_] = ACTIONS(1478),
    [anon_sym_NA_complex_] = ACTIONS(1478),
    [anon_sym_NA_character_] = ACTIONS(1478),
    [sym_dots] = ACTIONS(1478),
    [sym_dot_dot_i] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1476),
    [sym__newline] = ACTIONS(1476),
    [sym__raw_string_literal] = ACTIONS(1476),
    [sym__external_else] = ACTIONS(1476),
    [sym__external_open_parenthesis] = ACTIONS(1476),
    [sym__external_open_brace] = ACTIONS(1476),
    [sym__external_open_bracket] = ACTIONS(1476),
    [sym__external_open_bracket2] = ACTIONS(1476),
    [sym__external_close_bracket2] = ACTIONS(1476),
  },
  [908] = {
    [sym_identifier] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1480),
    [anon_sym_function] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1482),
    [anon_sym_if] = ACTIONS(1482),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_while] = ACTIONS(1482),
    [anon_sym_repeat] = ACTIONS(1482),
    [anon_sym_QMARK] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_LT_DASH] = ACTIONS(1480),
    [anon_sym_LT_LT_DASH] = ACTIONS(1480),
    [anon_sym_COLON_EQ] = ACTIONS(1480),
    [anon_sym_DASH_GT] = ACTIONS(1482),
    [anon_sym_DASH_GT_GT] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1482),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1482),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_SLASH] = ACTIONS(1480),
    [anon_sym_STAR_STAR] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [aux_sym_binary_operator_token1] = ACTIONS(1480),
    [anon_sym_PIPE_GT] = ACTIONS(1480),
    [anon_sym_COLON] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [sym__hex_literal] = ACTIONS(1480),
    [sym__number_literal] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [sym_return] = ACTIONS(1482),
    [sym_next] = ACTIONS(1482),
    [sym_break] = ACTIONS(1482),
    [sym_true] = ACTIONS(1482),
    [sym_false] = ACTIONS(1482),
    [sym_null] = ACTIONS(1482),
    [sym_inf] = ACTIONS(1482),
    [sym_nan] = ACTIONS(1482),
    [anon_sym_NA] = ACTIONS(1482),
    [anon_sym_NA_integer_] = ACTIONS(1482),
    [anon_sym_NA_real_] = ACTIONS(1482),
    [anon_sym_NA_complex_] = ACTIONS(1482),
    [anon_sym_NA_character_] = ACTIONS(1482),
    [sym_dots] = ACTIONS(1482),
    [sym_dot_dot_i] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1480),
    [sym__newline] = ACTIONS(1480),
    [sym__raw_string_literal] = ACTIONS(1480),
    [sym__external_else] = ACTIONS(1480),
    [sym__external_open_parenthesis] = ACTIONS(1480),
    [sym__external_open_brace] = ACTIONS(1480),
    [sym__external_open_bracket] = ACTIONS(1480),
    [sym__external_open_bracket2] = ACTIONS(1480),
    [sym__external_close_bracket2] = ACTIONS(1480),
  },
  [909] = {
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_BSLASH] = ACTIONS(1484),
    [anon_sym_function] = ACTIONS(1486),
    [anon_sym_EQ] = ACTIONS(1486),
    [anon_sym_if] = ACTIONS(1486),
    [anon_sym_for] = ACTIONS(1486),
    [anon_sym_while] = ACTIONS(1486),
    [anon_sym_repeat] = ACTIONS(1486),
    [anon_sym_QMARK] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_LT_DASH] = ACTIONS(1484),
    [anon_sym_LT_LT_DASH] = ACTIONS(1484),
    [anon_sym_COLON_EQ] = ACTIONS(1484),
    [anon_sym_DASH_GT] = ACTIONS(1486),
    [anon_sym_DASH_GT_GT] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_AMP_AMP] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_GT] = ACTIONS(1486),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_EQ_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_SLASH] = ACTIONS(1484),
    [anon_sym_STAR_STAR] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [aux_sym_binary_operator_token1] = ACTIONS(1484),
    [anon_sym_PIPE_GT] = ACTIONS(1484),
    [anon_sym_COLON] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [sym__hex_literal] = ACTIONS(1484),
    [sym__number_literal] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [sym_return] = ACTIONS(1486),
    [sym_next] = ACTIONS(1486),
    [sym_break] = ACTIONS(1486),
    [sym_true] = ACTIONS(1486),
    [sym_false] = ACTIONS(1486),
    [sym_null] = ACTIONS(1486),
    [sym_inf] = ACTIONS(1486),
    [sym_nan] = ACTIONS(1486),
    [anon_sym_NA] = ACTIONS(1486),
    [anon_sym_NA_integer_] = ACTIONS(1486),
    [anon_sym_NA_real_] = ACTIONS(1486),
    [anon_sym_NA_complex_] = ACTIONS(1486),
    [anon_sym_NA_character_] = ACTIONS(1486),
    [sym_dots] = ACTIONS(1486),
    [sym_dot_dot_i] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1484),
    [sym__newline] = ACTIONS(1484),
    [sym__raw_string_literal] = ACTIONS(1484),
    [sym__external_else] = ACTIONS(1484),
    [sym__external_open_parenthesis] = ACTIONS(1484),
    [sym__external_open_brace] = ACTIONS(1484),
    [sym__external_open_bracket] = ACTIONS(1484),
    [sym__external_open_bracket2] = ACTIONS(1484),
    [sym__external_close_bracket2] = ACTIONS(1484),
  },
  [910] = {
    [sym_function_definition] = STATE(363),
    [sym_if_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_repeat_statement] = STATE(363),
    [sym_braced_expression] = STATE(363),
    [sym_parenthesized_expression] = STATE(363),
    [sym_call] = STATE(363),
    [sym_subset] = STATE(363),
    [sym_subset2] = STATE(363),
    [sym_unary_operator] = STATE(363),
    [sym_binary_operator] = STATE(363),
    [sym_extract_operator] = STATE(363),
    [sym_namespace_operator] = STATE(363),
    [sym_integer] = STATE(363),
    [sym_complex] = STATE(363),
    [sym_float] = STATE(363),
    [sym__float_literal] = STATE(807),
    [sym_string] = STATE(804),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym_na] = STATE(363),
    [sym__expression] = STATE(363),
    [sym__string_or_identifier] = STATE(2301),
    [sym__open_parenthesis] = STATE(1021),
    [sym__open_brace] = STATE(925),
    [sym__close_brace] = STATE(917),
    [aux_sym_braced_expression_repeat1] = STATE(941),
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_repeat] = ACTIONS(1430),
    [anon_sym_QMARK] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [sym__hex_literal] = ACTIONS(1440),
    [sym__number_literal] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(1444),
    [sym_next] = ACTIONS(1444),
    [sym_break] = ACTIONS(1444),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [sym_null] = ACTIONS(1444),
    [sym_inf] = ACTIONS(1444),
    [sym_nan] = ACTIONS(1444),
    [anon_sym_NA] = ACTIONS(1446),
    [anon_sym_NA_integer_] = ACTIONS(1446),
    [anon_sym_NA_real_] = ACTIONS(1446),
    [anon_sym_NA_complex_] = ACTIONS(1446),
    [anon_sym_NA_character_] = ACTIONS(1446),
    [sym_dots] = ACTIONS(1444),
    [sym_dot_dot_i] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1450),
    [sym__semicolon] = ACTIONS(1450),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(1452),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_close_brace] = ACTIONS(1564),
  },
  [911] = {
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_BSLASH] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1495),
    [anon_sym_EQ] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1495),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_repeat] = ACTIONS(1495),
    [anon_sym_QMARK] = ACTIONS(1493),
    [anon_sym_TILDE] = ACTIONS(1493),
    [anon_sym_BANG] = ACTIONS(1495),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_LT_DASH] = ACTIONS(1493),
    [anon_sym_LT_LT_DASH] = ACTIONS(1493),
    [anon_sym_COLON_EQ] = ACTIONS(1493),
    [anon_sym_DASH_GT] = ACTIONS(1495),
    [anon_sym_DASH_GT_GT] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
    [anon_sym_AMP] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_AMP_AMP] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_GT] = ACTIONS(1495),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_EQ_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_STAR] = ACTIONS(1495),
    [anon_sym_SLASH] = ACTIONS(1493),
    [anon_sym_STAR_STAR] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [aux_sym_binary_operator_token1] = ACTIONS(1493),
    [anon_sym_PIPE_GT] = ACTIONS(1493),
    [anon_sym_COLON] = ACTIONS(1495),
    [anon_sym_DOLLAR] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(1493),
    [sym__hex_literal] = ACTIONS(1493),
    [sym__number_literal] = ACTIONS(1495),
    [anon_sym_SQUOTE] = ACTIONS(1493),
    [anon_sym_DQUOTE] = ACTIONS(1493),
    [sym_return] = ACTIONS(1495),
    [sym_next] = ACTIONS(1495),
    [sym_break] = ACTIONS(1495),
    [sym_true] = ACTIONS(1495),
    [sym_false] = ACTIONS(1495),
    [sym_null] = ACTIONS(1495),
    [sym_inf] = ACTIONS(1495),
    [sym_nan] = ACTIONS(1495),
    [anon_sym_NA] = ACTIONS(1495),
    [anon_sym_NA_integer_] = ACTIONS(1495),
    [anon_sym_NA_real_] = ACTIONS(1495),
    [anon_sym_NA_complex_] = ACTIONS(1495),
    [anon_sym_NA_character_] = ACTIONS(1495),
    [sym_dots] = ACTIONS(1495),
    [sym_dot_dot_i] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1493),
    [sym__newline] = ACTIONS(1493),
    [sym__raw_string_literal] = ACTIONS(1493),
    [sym__external_else] = ACTIONS(1493),
    [sym__external_open_parenthesis] = ACTIONS(1493),
    [sym__external_open_brace] = ACTIONS(1493),
    [sym__external_open_bracket] = ACTIONS(1493),
    [sym__external_open_bracket2] = ACTIONS(1493),
    [sym__external_close_bracket2] = ACTIONS(1493),
  },
  [912] = {
    [sym_identifier] = ACTIONS(1499),
    [anon_sym_BSLASH] = ACTIONS(1497),
    [anon_sym_function] = ACTIONS(1499),
    [anon_sym_EQ] = ACTIONS(1499),
    [anon_sym_if] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1499),
    [anon_sym_while] = ACTIONS(1499),
    [anon_sym_repeat] = ACTIONS(1499),
    [anon_sym_QMARK] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(1497),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_LT_DASH] = ACTIONS(1497),
    [anon_sym_LT_LT_DASH] = ACTIONS(1497),
    [anon_sym_COLON_EQ] = ACTIONS(1497),
    [anon_sym_DASH_GT] = ACTIONS(1499),
    [anon_sym_DASH_GT_GT] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_AMP_AMP] = ACTIONS(1497),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_GT] = ACTIONS(1499),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_EQ_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1497),
    [anon_sym_STAR_STAR] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [aux_sym_binary_operator_token1] = ACTIONS(1497),
    [anon_sym_PIPE_GT] = ACTIONS(1497),
    [anon_sym_COLON] = ACTIONS(1499),
    [anon_sym_DOLLAR] = ACTIONS(1497),
    [anon_sym_AT] = ACTIONS(1497),
    [sym__hex_literal] = ACTIONS(1497),
    [sym__number_literal] = ACTIONS(1499),
    [anon_sym_SQUOTE] = ACTIONS(1497),
    [anon_sym_DQUOTE] = ACTIONS(1497),
    [sym_return] = ACTIONS(1499),
    [sym_next] = ACTIONS(1499),
    [sym_break] = ACTIONS(1499),
    [sym_true] = ACTIONS(1499),
    [sym_false] = ACTIONS(1499),
    [sym_null] = ACTIONS(1499),
    [sym_inf] = ACTIONS(1499),
    [sym_nan] = ACTIONS(1499),
    [anon_sym_NA] = ACTIONS(1499),
    [anon_sym_NA_integer_] = ACTIONS(1499),
    [anon_sym_NA_real_] = ACTIONS(1499),
    [anon_sym_NA_complex_] = ACTIONS(1499),
    [anon_sym_NA_character_] = ACTIONS(1499),
    [sym_dots] = ACTIONS(1499),
    [sym_dot_dot_i] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1497),
    [sym__newline] = ACTIONS(1497),
    [sym__raw_string_literal] = ACTIONS(1497),
    [sym__external_else] = ACTIONS(1497),
    [sym__external_open_parenthesis] = ACTIONS(1497),
    [sym__external_open_brace] = ACTIONS(1497),
    [sym__external_open_bracket] = ACTIONS(1497),
    [sym__external_open_bracket2] = ACTIONS(1497),
    [sym__external_close_bracket2] = ACTIONS(1497),
  },
  [913] = {
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(1501),
    [anon_sym_function] = ACTIONS(1503),
    [anon_sym_EQ] = ACTIONS(1503),
    [anon_sym_if] = ACTIONS(1503),
    [anon_sym_for] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_repeat] = ACTIONS(1503),
    [anon_sym_QMARK] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(1501),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_LT_DASH] = ACTIONS(1501),
    [anon_sym_LT_LT_DASH] = ACTIONS(1501),
    [anon_sym_COLON_EQ] = ACTIONS(1501),
    [anon_sym_DASH_GT] = ACTIONS(1503),
    [anon_sym_DASH_GT_GT] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_AMP] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_AMP_AMP] = ACTIONS(1501),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_GT] = ACTIONS(1503),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_EQ_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_SLASH] = ACTIONS(1501),
    [anon_sym_STAR_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [aux_sym_binary_operator_token1] = ACTIONS(1501),
    [anon_sym_PIPE_GT] = ACTIONS(1501),
    [anon_sym_COLON] = ACTIONS(1503),
    [anon_sym_DOLLAR] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(1501),
    [sym__hex_literal] = ACTIONS(1501),
    [sym__number_literal] = ACTIONS(1503),
    [anon_sym_SQUOTE] = ACTIONS(1501),
    [anon_sym_DQUOTE] = ACTIONS(1501),
    [sym_return] = ACTIONS(1503),
    [sym_next] = ACTIONS(1503),
    [sym_break] = ACTIONS(1503),
    [sym_true] = ACTIONS(1503),
    [sym_false] = ACTIONS(1503),
    [sym_null] = ACTIONS(1503),
    [sym_inf] = ACTIONS(1503),
    [sym_nan] = ACTIONS(1503),
    [anon_sym_NA] = ACTIONS(1503),
    [anon_sym_NA_integer_] = ACTIONS(1503),
    [anon_sym_NA_real_] = ACTIONS(1503),
    [anon_sym_NA_complex_] = ACTIONS(1503),
    [anon_sym_NA_character_] = ACTIONS(1503),
    [sym_dots] = ACTIONS(1503),
    [sym_dot_dot_i] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1501),
    [sym__newline] = ACTIONS(1501),
    [sym__raw_string_literal] = ACTIONS(1501),
    [sym__external_else] = ACTIONS(1501),
    [sym__external_open_parenthesis] = ACTIONS(1501),
    [sym__external_open_brace] = ACTIONS(1501),
    [sym__external_open_bracket] = ACTIONS(1501),
    [sym__external_open_bracket2] = ACTIONS(1501),
    [sym__external_close_bracket2] = ACTIONS(1501),
  },
  [914] = {
    [sym_identifier] = ACTIONS(1507),
    [anon_sym_BSLASH] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ] = ACTIONS(1507),
    [anon_sym_if] = ACTIONS(1507),
    [anon_sym_for] = ACTIONS(1507),
    [anon_sym_while] = ACTIONS(1507),
    [anon_sym_repeat] = ACTIONS(1507),
    [anon_sym_QMARK] = ACTIONS(1505),
    [anon_sym_TILDE] = ACTIONS(1505),
    [anon_sym_BANG] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_LT_DASH] = ACTIONS(1505),
    [anon_sym_LT_LT_DASH] = ACTIONS(1505),
    [anon_sym_COLON_EQ] = ACTIONS(1505),
    [anon_sym_DASH_GT] = ACTIONS(1507),
    [anon_sym_DASH_GT_GT] = ACTIONS(1505),
    [anon_sym_PIPE] = ACTIONS(1507),
    [anon_sym_AMP] = ACTIONS(1507),
    [anon_sym_PIPE_PIPE] = ACTIONS(1505),
    [anon_sym_AMP_AMP] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1507),
    [anon_sym_LT_EQ] = ACTIONS(1505),
    [anon_sym_GT] = ACTIONS(1507),
    [anon_sym_GT_EQ] = ACTIONS(1505),
    [anon_sym_EQ_EQ] = ACTIONS(1505),
    [anon_sym_BANG_EQ] = ACTIONS(1505),
    [anon_sym_STAR] = ACTIONS(1507),
    [anon_sym_SLASH] = ACTIONS(1505),
    [anon_sym_STAR_STAR] = ACTIONS(1505),
    [anon_sym_CARET] = ACTIONS(1505),
    [aux_sym_binary_operator_token1] = ACTIONS(1505),
    [anon_sym_PIPE_GT] = ACTIONS(1505),
    [anon_sym_COLON] = ACTIONS(1507),
    [anon_sym_DOLLAR] = ACTIONS(1505),
    [anon_sym_AT] = ACTIONS(1505),
    [sym__hex_literal] = ACTIONS(1505),
    [sym__number_literal] = ACTIONS(1507),
    [anon_sym_SQUOTE] = ACTIONS(1505),
    [anon_sym_DQUOTE] = ACTIONS(1505),
    [sym_return] = ACTIONS(1507),
    [sym_next] = ACTIONS(1507),
    [sym_break] = ACTIONS(1507),
    [sym_true] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_null] = ACTIONS(1507),
    [sym_inf] = ACTIONS(1507),
    [sym_nan] = ACTIONS(1507),
    [anon_sym_NA] = ACTIONS(1507),
    [anon_sym_NA_integer_] = ACTIONS(1507),
    [anon_sym_NA_real_] = ACTIONS(1507),
    [anon_sym_NA_complex_] = ACTIONS(1507),
    [anon_sym_NA_character_] = ACTIONS(1507),
    [sym_dots] = ACTIONS(1507),
    [sym_dot_dot_i] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1505),
    [sym__newline] = ACTIONS(1505),
    [sym__raw_string_literal] = ACTIONS(1505),
    [sym__external_else] = ACTIONS(1505),
    [sym__external_open_parenthesis] = ACTIONS(1505),
    [sym__external_open_brace] = ACTIONS(1505),
    [sym__external_open_bracket] = ACTIONS(1505),
    [sym__external_open_bracket2] = ACTIONS(1505),
    [sym__external_close_bracket2] = ACTIONS(1505),
  },
  [915] = {
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(1509),
    [anon_sym_function] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_for] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1511),
    [anon_sym_repeat] = ACTIONS(1511),
    [anon_sym_QMARK] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(1509),
    [anon_sym_BANG] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_LT_DASH] = ACTIONS(1509),
    [anon_sym_LT_LT_DASH] = ACTIONS(1509),
    [anon_sym_COLON_EQ] = ACTIONS(1509),
    [anon_sym_DASH_GT] = ACTIONS(1511),
    [anon_sym_DASH_GT_GT] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_AMP_AMP] = ACTIONS(1509),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT] = ACTIONS(1511),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_EQ_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_STAR] = ACTIONS(1511),
    [anon_sym_SLASH] = ACTIONS(1509),
    [anon_sym_STAR_STAR] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [aux_sym_binary_operator_token1] = ACTIONS(1509),
    [anon_sym_PIPE_GT] = ACTIONS(1509),
    [anon_sym_COLON] = ACTIONS(1511),
    [anon_sym_DOLLAR] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(1509),
    [sym__hex_literal] = ACTIONS(1509),
    [sym__number_literal] = ACTIONS(1511),
    [anon_sym_SQUOTE] = ACTIONS(1509),
    [anon_sym_DQUOTE] = ACTIONS(1509),
    [sym_return] = ACTIONS(1511),
    [sym_next] = ACTIONS(1511),
    [sym_break] = ACTIONS(1511),
    [sym_true] = ACTIONS(1511),
    [sym_false] = ACTIONS(1511),
    [sym_null] = ACTIONS(1511),
    [sym_inf] = ACTIONS(1511),
    [sym_nan] = ACTIONS(1511),
    [anon_sym_NA] = ACTIONS(1511),
    [anon_sym_NA_integer_] = ACTIONS(1511),
    [anon_sym_NA_real_] = ACTIONS(1511),
    [anon_sym_NA_complex_] = ACTIONS(1511),
    [anon_sym_NA_character_] = ACTIONS(1511),
    [sym_dots] = ACTIONS(1511),
    [sym_dot_dot_i] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1509),
    [sym__newline] = ACTIONS(1509),
    [sym__raw_string_literal] = ACTIONS(1509),
    [sym__external_else] = ACTIONS(1509),
    [sym__external_open_parenthesis] = ACTIONS(1509),
    [sym__external_open_brace] = ACTIONS(1509),
    [sym__external_open_bracket] = ACTIONS(1509),
    [sym__external_open_bracket2] = ACTIONS(1509),
    [sym__external_close_bracket2] = ACTIONS(1509),
  },
  [916] = {
    [sym_identifier] = ACTIONS(1515),
    [anon_sym_BSLASH] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_EQ] = ACTIONS(1515),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_for] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1515),
    [anon_sym_repeat] = ACTIONS(1515),
    [anon_sym_QMARK] = ACTIONS(1513),
    [anon_sym_TILDE] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_LT_DASH] = ACTIONS(1513),
    [anon_sym_LT_LT_DASH] = ACTIONS(1513),
    [anon_sym_COLON_EQ] = ACTIONS(1513),
    [anon_sym_DASH_GT] = ACTIONS(1515),
    [anon_sym_DASH_GT_GT] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_GT] = ACTIONS(1515),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_EQ_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_SLASH] = ACTIONS(1513),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [aux_sym_binary_operator_token1] = ACTIONS(1513),
    [anon_sym_PIPE_GT] = ACTIONS(1513),
    [anon_sym_COLON] = ACTIONS(1515),
    [anon_sym_DOLLAR] = ACTIONS(1513),
    [anon_sym_AT] = ACTIONS(1513),
    [sym__hex_literal] = ACTIONS(1513),
    [sym__number_literal] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1513),
    [anon_sym_DQUOTE] = ACTIONS(1513),
    [sym_return] = ACTIONS(1515),
    [sym_next] = ACTIONS(1515),
    [sym_break] = ACTIONS(1515),
    [sym_true] = ACTIONS(1515),
    [sym_false] = ACTIONS(1515),
    [sym_null] = ACTIONS(1515),
    [sym_inf] = ACTIONS(1515),
    [sym_nan] = ACTIONS(1515),
    [anon_sym_NA] = ACTIONS(1515),
    [anon_sym_NA_integer_] = ACTIONS(1515),
    [anon_sym_NA_real_] = ACTIONS(1515),
    [anon_sym_NA_complex_] = ACTIONS(1515),
    [anon_sym_NA_character_] = ACTIONS(1515),
    [sym_dots] = ACTIONS(1515),
    [sym_dot_dot_i] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1513),
    [sym__newline] = ACTIONS(1513),
    [sym__raw_string_literal] = ACTIONS(1513),
    [sym__external_else] = ACTIONS(1513),
    [sym__external_open_parenthesis] = ACTIONS(1513),
    [sym__external_open_brace] = ACTIONS(1513),
    [sym__external_open_bracket] = ACTIONS(1513),
    [sym__external_open_bracket2] = ACTIONS(1513),
    [sym__external_close_bracket2] = ACTIONS(1513),
  },
  [917] = {
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_BSLASH] = ACTIONS(1517),
    [anon_sym_function] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1519),
    [anon_sym_if] = ACTIONS(1519),
    [anon_sym_for] = ACTIONS(1519),
    [anon_sym_while] = ACTIONS(1519),
    [anon_sym_repeat] = ACTIONS(1519),
    [anon_sym_QMARK] = ACTIONS(1517),
    [anon_sym_TILDE] = ACTIONS(1517),
    [anon_sym_BANG] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_LT_DASH] = ACTIONS(1517),
    [anon_sym_LT_LT_DASH] = ACTIONS(1517),
    [anon_sym_COLON_EQ] = ACTIONS(1517),
    [anon_sym_DASH_GT] = ACTIONS(1519),
    [anon_sym_DASH_GT_GT] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_AMP_AMP] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_GT] = ACTIONS(1519),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_EQ_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_STAR] = ACTIONS(1519),
    [anon_sym_SLASH] = ACTIONS(1517),
    [anon_sym_STAR_STAR] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [aux_sym_binary_operator_token1] = ACTIONS(1517),
    [anon_sym_PIPE_GT] = ACTIONS(1517),
    [anon_sym_COLON] = ACTIONS(1519),
    [anon_sym_DOLLAR] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(1517),
    [sym__hex_literal] = ACTIONS(1517),
    [sym__number_literal] = ACTIONS(1519),
    [anon_sym_SQUOTE] = ACTIONS(1517),
    [anon_sym_DQUOTE] = ACTIONS(1517),
    [sym_return] = ACTIONS(1519),
    [sym_next] = ACTIONS(1519),
    [sym_break] = ACTIONS(1519),
    [sym_true] = ACTIONS(1519),
    [sym_false] = ACTIONS(1519),
    [sym_null] = ACTIONS(1519),
    [sym_inf] = ACTIONS(1519),
    [sym_nan] = ACTIONS(1519),
    [anon_sym_NA] = ACTIONS(1519),
    [anon_sym_NA_integer_] = ACTIONS(1519),
    [anon_sym_NA_real_] = ACTIONS(1519),
    [anon_sym_NA_complex_] = ACTIONS(1519),
    [anon_sym_NA_character_] = ACTIONS(1519),
    [sym_dots] = ACTIONS(1519),
    [sym_dot_dot_i] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1517),
    [sym__newline] = ACTIONS(1517),
    [sym__raw_string_literal] = ACTIONS(1517),
    [sym__external_else] = ACTIONS(1517),
    [sym__external_open_parenthesis] = ACTIONS(1517),
    [sym__external_open_brace] = ACTIONS(1517),
    [sym__external_open_bracket] = ACTIONS(1517),
    [sym__external_open_bracket2] = ACTIONS(1517),
    [sym__external_close_bracket2] = ACTIONS(1517),
  },
  [918] = {
    [sym_identifier] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(1521),
    [anon_sym_function] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(1523),
    [anon_sym_for] = ACTIONS(1523),
    [anon_sym_while] = ACTIONS(1523),
    [anon_sym_repeat] = ACTIONS(1523),
    [anon_sym_QMARK] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1523),
    [anon_sym_LT_DASH] = ACTIONS(1521),
    [anon_sym_LT_LT_DASH] = ACTIONS(1521),
    [anon_sym_COLON_EQ] = ACTIONS(1521),
    [anon_sym_DASH_GT] = ACTIONS(1523),
    [anon_sym_DASH_GT_GT] = ACTIONS(1521),
    [anon_sym_PIPE] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_PIPE_PIPE] = ACTIONS(1521),
    [anon_sym_AMP_AMP] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1521),
    [anon_sym_STAR_STAR] = ACTIONS(1521),
    [anon_sym_CARET] = ACTIONS(1521),
    [aux_sym_binary_operator_token1] = ACTIONS(1521),
    [anon_sym_PIPE_GT] = ACTIONS(1521),
    [anon_sym_COLON] = ACTIONS(1523),
    [anon_sym_DOLLAR] = ACTIONS(1521),
    [anon_sym_AT] = ACTIONS(1521),
    [sym__hex_literal] = ACTIONS(1521),
    [sym__number_literal] = ACTIONS(1523),
    [anon_sym_SQUOTE] = ACTIONS(1521),
    [anon_sym_DQUOTE] = ACTIONS(1521),
    [sym_return] = ACTIONS(1523),
    [sym_next] = ACTIONS(1523),
    [sym_break] = ACTIONS(1523),
    [sym_true] = ACTIONS(1523),
    [sym_false] = ACTIONS(1523),
    [sym_null] = ACTIONS(1523),
    [sym_inf] = ACTIONS(1523),
    [sym_nan] = ACTIONS(1523),
    [anon_sym_NA] = ACTIONS(1523),
    [anon_sym_NA_integer_] = ACTIONS(1523),
    [anon_sym_NA_real_] = ACTIONS(1523),
    [anon_sym_NA_complex_] = ACTIONS(1523),
    [anon_sym_NA_character_] = ACTIONS(1523),
    [sym_dots] = ACTIONS(1523),
    [sym_dot_dot_i] = ACTIONS(1521),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1521),
    [sym__newline] = ACTIONS(1521),
    [sym__raw_string_literal] = ACTIONS(1521),
    [sym__external_else] = ACTIONS(1521),
    [sym__external_open_parenthesis] = ACTIONS(1521),
    [sym__external_open_brace] = ACTIONS(1521),
    [sym__external_open_bracket] = ACTIONS(1521),
    [sym__external_open_bracket2] = ACTIONS(1521),
    [sym__external_close_bracket2] = ACTIONS(1521),
  },
  [919] = {
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_BSLASH] = ACTIONS(1525),
    [anon_sym_function] = ACTIONS(1527),
    [anon_sym_EQ] = ACTIONS(1527),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_for] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1527),
    [anon_sym_repeat] = ACTIONS(1527),
    [anon_sym_QMARK] = ACTIONS(1525),
    [anon_sym_TILDE] = ACTIONS(1525),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1525),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_LT_DASH] = ACTIONS(1525),
    [anon_sym_LT_LT_DASH] = ACTIONS(1525),
    [anon_sym_COLON_EQ] = ACTIONS(1525),
    [anon_sym_DASH_GT] = ACTIONS(1527),
    [anon_sym_DASH_GT_GT] = ACTIONS(1525),
    [anon_sym_PIPE] = ACTIONS(1527),
    [anon_sym_AMP] = ACTIONS(1527),
    [anon_sym_PIPE_PIPE] = ACTIONS(1525),
    [anon_sym_AMP_AMP] = ACTIONS(1525),
    [anon_sym_LT] = ACTIONS(1527),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1527),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_EQ_EQ] = ACTIONS(1525),
    [anon_sym_BANG_EQ] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_STAR_STAR] = ACTIONS(1525),
    [anon_sym_CARET] = ACTIONS(1525),
    [aux_sym_binary_operator_token1] = ACTIONS(1525),
    [anon_sym_PIPE_GT] = ACTIONS(1525),
    [anon_sym_COLON] = ACTIONS(1527),
    [anon_sym_DOLLAR] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(1525),
    [sym__hex_literal] = ACTIONS(1525),
    [sym__number_literal] = ACTIONS(1527),
    [anon_sym_SQUOTE] = ACTIONS(1525),
    [anon_sym_DQUOTE] = ACTIONS(1525),
    [sym_return] = ACTIONS(1527),
    [sym_next] = ACTIONS(1527),
    [sym_break] = ACTIONS(1527),
    [sym_true] = ACTIONS(1527),
    [sym_false] = ACTIONS(1527),
    [sym_null] = ACTIONS(1527),
    [sym_inf] = ACTIONS(1527),
    [sym_nan] = ACTIONS(1527),
    [anon_sym_NA] = ACTIONS(1527),
    [anon_sym_NA_integer_] = ACTIONS(1527),
    [anon_sym_NA_real_] = ACTIONS(1527),
    [anon_sym_NA_complex_] = ACTIONS(1527),
    [anon_sym_NA_character_] = ACTIONS(1527),
    [sym_dots] = ACTIONS(1527),
    [sym_dot_dot_i] = ACTIONS(1525),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1525),
    [sym__newline] = ACTIONS(1525),
    [sym__raw_string_literal] = ACTIONS(1525),
    [sym__external_else] = ACTIONS(1525),
    [sym__external_open_parenthesis] = ACTIONS(1525),
    [sym__external_open_brace] = ACTIONS(1525),
    [sym__external_open_bracket] = ACTIONS(1525),
    [sym__external_open_bracket2] = ACTIONS(1525),
    [sym__external_close_bracket2] = ACTIONS(1525),
  },
  [920] = {
    [sym_identifier] = ACTIONS(1531),
    [anon_sym_BSLASH] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_EQ] = ACTIONS(1531),
    [anon_sym_if] = ACTIONS(1531),
    [anon_sym_for] = ACTIONS(1531),
    [anon_sym_while] = ACTIONS(1531),
    [anon_sym_repeat] = ACTIONS(1531),
    [anon_sym_QMARK] = ACTIONS(1529),
    [anon_sym_TILDE] = ACTIONS(1529),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1531),
    [anon_sym_LT_DASH] = ACTIONS(1529),
    [anon_sym_LT_LT_DASH] = ACTIONS(1529),
    [anon_sym_COLON_EQ] = ACTIONS(1529),
    [anon_sym_DASH_GT] = ACTIONS(1531),
    [anon_sym_DASH_GT_GT] = ACTIONS(1529),
    [anon_sym_PIPE] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_PIPE_PIPE] = ACTIONS(1529),
    [anon_sym_AMP_AMP] = ACTIONS(1529),
    [anon_sym_LT] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1529),
    [anon_sym_GT] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1529),
    [anon_sym_EQ_EQ] = ACTIONS(1529),
    [anon_sym_BANG_EQ] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1529),
    [anon_sym_STAR_STAR] = ACTIONS(1529),
    [anon_sym_CARET] = ACTIONS(1529),
    [aux_sym_binary_operator_token1] = ACTIONS(1529),
    [anon_sym_PIPE_GT] = ACTIONS(1529),
    [anon_sym_COLON] = ACTIONS(1531),
    [anon_sym_DOLLAR] = ACTIONS(1529),
    [anon_sym_AT] = ACTIONS(1529),
    [sym__hex_literal] = ACTIONS(1529),
    [sym__number_literal] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1529),
    [anon_sym_DQUOTE] = ACTIONS(1529),
    [sym_return] = ACTIONS(1531),
    [sym_next] = ACTIONS(1531),
    [sym_break] = ACTIONS(1531),
    [sym_true] = ACTIONS(1531),
    [sym_false] = ACTIONS(1531),
    [sym_null] = ACTIONS(1531),
    [sym_inf] = ACTIONS(1531),
    [sym_nan] = ACTIONS(1531),
    [anon_sym_NA] = ACTIONS(1531),
    [anon_sym_NA_integer_] = ACTIONS(1531),
    [anon_sym_NA_real_] = ACTIONS(1531),
    [anon_sym_NA_complex_] = ACTIONS(1531),
    [anon_sym_NA_character_] = ACTIONS(1531),
    [sym_dots] = ACTIONS(1531),
    [sym_dot_dot_i] = ACTIONS(1529),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1529),
    [sym__newline] = ACTIONS(1529),
    [sym__raw_string_literal] = ACTIONS(1529),
    [sym__external_else] = ACTIONS(1529),
    [sym__external_open_parenthesis] = ACTIONS(1529),
    [sym__external_open_brace] = ACTIONS(1529),
    [sym__external_open_bracket] = ACTIONS(1529),
    [sym__external_open_bracket2] = ACTIONS(1529),
    [sym__external_close_bracket2] = ACTIONS(1529),
  },
  [921] = {
    [sym_identifier] = ACTIONS(1535),
    [anon_sym_BSLASH] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(1535),
    [anon_sym_EQ] = ACTIONS(1535),
    [anon_sym_if] = ACTIONS(1535),
    [anon_sym_for] = ACTIONS(1535),
    [anon_sym_while] = ACTIONS(1535),
    [anon_sym_repeat] = ACTIONS(1535),
    [anon_sym_QMARK] = ACTIONS(1533),
    [anon_sym_TILDE] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1535),
    [anon_sym_LT_DASH] = ACTIONS(1533),
    [anon_sym_LT_LT_DASH] = ACTIONS(1533),
    [anon_sym_COLON_EQ] = ACTIONS(1533),
    [anon_sym_DASH_GT] = ACTIONS(1535),
    [anon_sym_DASH_GT_GT] = ACTIONS(1533),
    [anon_sym_PIPE] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_PIPE_PIPE] = ACTIONS(1533),
    [anon_sym_AMP_AMP] = ACTIONS(1533),
    [anon_sym_LT] = ACTIONS(1535),
    [anon_sym_LT_EQ] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1535),
    [anon_sym_GT_EQ] = ACTIONS(1533),
    [anon_sym_EQ_EQ] = ACTIONS(1533),
    [anon_sym_BANG_EQ] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_SLASH] = ACTIONS(1533),
    [anon_sym_STAR_STAR] = ACTIONS(1533),
    [anon_sym_CARET] = ACTIONS(1533),
    [aux_sym_binary_operator_token1] = ACTIONS(1533),
    [anon_sym_PIPE_GT] = ACTIONS(1533),
    [anon_sym_COLON] = ACTIONS(1535),
    [anon_sym_DOLLAR] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(1533),
    [sym__hex_literal] = ACTIONS(1533),
    [sym__number_literal] = ACTIONS(1535),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1533),
    [sym_return] = ACTIONS(1535),
    [sym_next] = ACTIONS(1535),
    [sym_break] = ACTIONS(1535),
    [sym_true] = ACTIONS(1535),
    [sym_false] = ACTIONS(1535),
    [sym_null] = ACTIONS(1535),
    [sym_inf] = ACTIONS(1535),
    [sym_nan] = ACTIONS(1535),
    [anon_sym_NA] = ACTIONS(1535),
    [anon_sym_NA_integer_] = ACTIONS(1535),
    [anon_sym_NA_real_] = ACTIONS(1535),
    [anon_sym_NA_complex_] = ACTIONS(1535),
    [anon_sym_NA_character_] = ACTIONS(1535),
    [sym_dots] = ACTIONS(1535),
    [sym_dot_dot_i] = ACTIONS(1533),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1533),
    [sym__newline] = ACTIONS(1533),
    [sym__raw_string_literal] = ACTIONS(1533),
    [sym__external_else] = ACTIONS(1533),
    [sym__external_open_parenthesis] = ACTIONS(1533),
    [sym__external_open_brace] = ACTIONS(1533),
    [sym__external_open_bracket] = ACTIONS(1533),
    [sym__external_open_bracket2] = ACTIONS(1533),
    [sym__external_close_bracket2] = ACTIONS(1533),
  },
  [922] = {
    [sym_function_definition] = STATE(363),
    [sym_if_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_repeat_statement] = STATE(363),
    [sym_braced_expression] = STATE(363),
    [sym_parenthesized_expression] = STATE(363),
    [sym_call] = STATE(363),
    [sym_subset] = STATE(363),
    [sym_subset2] = STATE(363),
    [sym_unary_operator] = STATE(363),
    [sym_binary_operator] = STATE(363),
    [sym_extract_operator] = STATE(363),
    [sym_namespace_operator] = STATE(363),
    [sym_integer] = STATE(363),
    [sym_complex] = STATE(363),
    [sym_float] = STATE(363),
    [sym__float_literal] = STATE(807),
    [sym_string] = STATE(804),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym_na] = STATE(363),
    [sym__expression] = STATE(363),
    [sym__string_or_identifier] = STATE(2301),
    [sym__open_parenthesis] = STATE(1021),
    [sym__open_brace] = STATE(925),
    [sym__close_brace] = STATE(1060),
    [aux_sym_braced_expression_repeat1] = STATE(865),
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_repeat] = ACTIONS(1430),
    [anon_sym_QMARK] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [sym__hex_literal] = ACTIONS(1440),
    [sym__number_literal] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(1444),
    [sym_next] = ACTIONS(1444),
    [sym_break] = ACTIONS(1444),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [sym_null] = ACTIONS(1444),
    [sym_inf] = ACTIONS(1444),
    [sym_nan] = ACTIONS(1444),
    [anon_sym_NA] = ACTIONS(1446),
    [anon_sym_NA_integer_] = ACTIONS(1446),
    [anon_sym_NA_real_] = ACTIONS(1446),
    [anon_sym_NA_complex_] = ACTIONS(1446),
    [anon_sym_NA_character_] = ACTIONS(1446),
    [sym_dots] = ACTIONS(1444),
    [sym_dot_dot_i] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1450),
    [sym__semicolon] = ACTIONS(1450),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(1452),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_close_brace] = ACTIONS(1566),
  },
  [923] = {
    [sym_function_definition] = STATE(363),
    [sym_if_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_repeat_statement] = STATE(363),
    [sym_braced_expression] = STATE(363),
    [sym_parenthesized_expression] = STATE(363),
    [sym_call] = STATE(363),
    [sym_subset] = STATE(363),
    [sym_subset2] = STATE(363),
    [sym_unary_operator] = STATE(363),
    [sym_binary_operator] = STATE(363),
    [sym_extract_operator] = STATE(363),
    [sym_namespace_operator] = STATE(363),
    [sym_integer] = STATE(363),
    [sym_complex] = STATE(363),
    [sym_float] = STATE(363),
    [sym__float_literal] = STATE(807),
    [sym_string] = STATE(804),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym_na] = STATE(363),
    [sym__expression] = STATE(363),
    [sym__string_or_identifier] = STATE(2301),
    [sym__open_parenthesis] = STATE(1021),
    [sym__open_brace] = STATE(925),
    [sym__close_brace] = STATE(1058),
    [aux_sym_braced_expression_repeat1] = STATE(941),
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_repeat] = ACTIONS(1430),
    [anon_sym_QMARK] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [sym__hex_literal] = ACTIONS(1440),
    [sym__number_literal] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(1444),
    [sym_next] = ACTIONS(1444),
    [sym_break] = ACTIONS(1444),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [sym_null] = ACTIONS(1444),
    [sym_inf] = ACTIONS(1444),
    [sym_nan] = ACTIONS(1444),
    [anon_sym_NA] = ACTIONS(1446),
    [anon_sym_NA_integer_] = ACTIONS(1446),
    [anon_sym_NA_real_] = ACTIONS(1446),
    [anon_sym_NA_complex_] = ACTIONS(1446),
    [anon_sym_NA_character_] = ACTIONS(1446),
    [sym_dots] = ACTIONS(1444),
    [sym_dot_dot_i] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1450),
    [sym__semicolon] = ACTIONS(1450),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(1452),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_close_brace] = ACTIONS(1568),
  },
  [924] = {
    [aux_sym_function_definition_repeat1] = STATE(924),
    [sym_identifier] = ACTIONS(1391),
    [anon_sym_BSLASH] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1391),
    [anon_sym_EQ] = ACTIONS(1391),
    [anon_sym_if] = ACTIONS(1391),
    [anon_sym_for] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1391),
    [anon_sym_repeat] = ACTIONS(1391),
    [anon_sym_QMARK] = ACTIONS(1393),
    [anon_sym_TILDE] = ACTIONS(1393),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1391),
    [anon_sym_LT_DASH] = ACTIONS(1393),
    [anon_sym_LT_LT_DASH] = ACTIONS(1393),
    [anon_sym_COLON_EQ] = ACTIONS(1393),
    [anon_sym_DASH_GT] = ACTIONS(1391),
    [anon_sym_DASH_GT_GT] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_AMP] = ACTIONS(1391),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_AMP_AMP] = ACTIONS(1393),
    [anon_sym_LT] = ACTIONS(1391),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_GT] = ACTIONS(1391),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_EQ_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_SLASH] = ACTIONS(1393),
    [anon_sym_STAR_STAR] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [aux_sym_binary_operator_token1] = ACTIONS(1393),
    [anon_sym_PIPE_GT] = ACTIONS(1393),
    [anon_sym_COLON] = ACTIONS(1391),
    [anon_sym_DOLLAR] = ACTIONS(1393),
    [anon_sym_AT] = ACTIONS(1393),
    [sym__hex_literal] = ACTIONS(1393),
    [sym__number_literal] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [anon_sym_DQUOTE] = ACTIONS(1393),
    [sym_return] = ACTIONS(1391),
    [sym_next] = ACTIONS(1391),
    [sym_break] = ACTIONS(1391),
    [sym_true] = ACTIONS(1391),
    [sym_false] = ACTIONS(1391),
    [sym_null] = ACTIONS(1391),
    [sym_inf] = ACTIONS(1391),
    [sym_nan] = ACTIONS(1391),
    [anon_sym_NA] = ACTIONS(1391),
    [anon_sym_NA_integer_] = ACTIONS(1391),
    [anon_sym_NA_real_] = ACTIONS(1391),
    [anon_sym_NA_complex_] = ACTIONS(1391),
    [anon_sym_NA_character_] = ACTIONS(1391),
    [sym_dots] = ACTIONS(1391),
    [sym_dot_dot_i] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1570),
    [sym__semicolon] = ACTIONS(1393),
    [sym__raw_string_literal] = ACTIONS(1393),
    [sym__external_open_parenthesis] = ACTIONS(1393),
    [sym__external_open_brace] = ACTIONS(1393),
    [sym__external_close_brace] = ACTIONS(1393),
    [sym__external_open_bracket] = ACTIONS(1393),
    [sym__external_open_bracket2] = ACTIONS(1393),
  },
  [925] = {
    [sym_function_definition] = STATE(363),
    [sym_if_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_repeat_statement] = STATE(363),
    [sym_braced_expression] = STATE(363),
    [sym_parenthesized_expression] = STATE(363),
    [sym_call] = STATE(363),
    [sym_subset] = STATE(363),
    [sym_subset2] = STATE(363),
    [sym_unary_operator] = STATE(363),
    [sym_binary_operator] = STATE(363),
    [sym_extract_operator] = STATE(363),
    [sym_namespace_operator] = STATE(363),
    [sym_integer] = STATE(363),
    [sym_complex] = STATE(363),
    [sym_float] = STATE(363),
    [sym__float_literal] = STATE(807),
    [sym_string] = STATE(804),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym_na] = STATE(363),
    [sym__expression] = STATE(363),
    [sym__string_or_identifier] = STATE(2301),
    [sym__open_parenthesis] = STATE(1021),
    [sym__open_brace] = STATE(925),
    [sym__close_brace] = STATE(973),
    [aux_sym_braced_expression_repeat1] = STATE(835),
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_repeat] = ACTIONS(1430),
    [anon_sym_QMARK] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [sym__hex_literal] = ACTIONS(1440),
    [sym__number_literal] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(1444),
    [sym_next] = ACTIONS(1444),
    [sym_break] = ACTIONS(1444),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [sym_null] = ACTIONS(1444),
    [sym_inf] = ACTIONS(1444),
    [sym_nan] = ACTIONS(1444),
    [anon_sym_NA] = ACTIONS(1446),
    [anon_sym_NA_integer_] = ACTIONS(1446),
    [anon_sym_NA_real_] = ACTIONS(1446),
    [anon_sym_NA_complex_] = ACTIONS(1446),
    [anon_sym_NA_character_] = ACTIONS(1446),
    [sym_dots] = ACTIONS(1444),
    [sym_dot_dot_i] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1450),
    [sym__semicolon] = ACTIONS(1450),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(1452),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_close_brace] = ACTIONS(1573),
  },
  [926] = {
    [sym_function_definition] = STATE(363),
    [sym_if_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_repeat_statement] = STATE(363),
    [sym_braced_expression] = STATE(363),
    [sym_parenthesized_expression] = STATE(363),
    [sym_call] = STATE(363),
    [sym_subset] = STATE(363),
    [sym_subset2] = STATE(363),
    [sym_unary_operator] = STATE(363),
    [sym_binary_operator] = STATE(363),
    [sym_extract_operator] = STATE(363),
    [sym_namespace_operator] = STATE(363),
    [sym_integer] = STATE(363),
    [sym_complex] = STATE(363),
    [sym_float] = STATE(363),
    [sym__float_literal] = STATE(807),
    [sym_string] = STATE(804),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym_na] = STATE(363),
    [sym__expression] = STATE(363),
    [sym__string_or_identifier] = STATE(2301),
    [sym__open_parenthesis] = STATE(1021),
    [sym__open_brace] = STATE(925),
    [sym__close_brace] = STATE(2132),
    [aux_sym_braced_expression_repeat1] = STATE(880),
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_repeat] = ACTIONS(1430),
    [anon_sym_QMARK] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [sym__hex_literal] = ACTIONS(1440),
    [sym__number_literal] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(1444),
    [sym_next] = ACTIONS(1444),
    [sym_break] = ACTIONS(1444),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [sym_null] = ACTIONS(1444),
    [sym_inf] = ACTIONS(1444),
    [sym_nan] = ACTIONS(1444),
    [anon_sym_NA] = ACTIONS(1446),
    [anon_sym_NA_integer_] = ACTIONS(1446),
    [anon_sym_NA_real_] = ACTIONS(1446),
    [anon_sym_NA_complex_] = ACTIONS(1446),
    [anon_sym_NA_character_] = ACTIONS(1446),
    [sym_dots] = ACTIONS(1444),
    [sym_dot_dot_i] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1450),
    [sym__semicolon] = ACTIONS(1450),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(1452),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_close_brace] = ACTIONS(1575),
  },
  [927] = {
    [sym_function_definition] = STATE(363),
    [sym_if_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_repeat_statement] = STATE(363),
    [sym_braced_expression] = STATE(363),
    [sym_parenthesized_expression] = STATE(363),
    [sym_call] = STATE(363),
    [sym_subset] = STATE(363),
    [sym_subset2] = STATE(363),
    [sym_unary_operator] = STATE(363),
    [sym_binary_operator] = STATE(363),
    [sym_extract_operator] = STATE(363),
    [sym_namespace_operator] = STATE(363),
    [sym_integer] = STATE(363),
    [sym_complex] = STATE(363),
    [sym_float] = STATE(363),
    [sym__float_literal] = STATE(807),
    [sym_string] = STATE(804),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym_na] = STATE(363),
    [sym__expression] = STATE(363),
    [sym__string_or_identifier] = STATE(2301),
    [sym__open_parenthesis] = STATE(1021),
    [sym__open_brace] = STATE(925),
    [sym__close_brace] = STATE(1016),
    [aux_sym_braced_expression_repeat1] = STATE(923),
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_repeat] = ACTIONS(1430),
    [anon_sym_QMARK] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [sym__hex_literal] = ACTIONS(1440),
    [sym__number_literal] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(1444),
    [sym_next] = ACTIONS(1444),
    [sym_break] = ACTIONS(1444),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [sym_null] = ACTIONS(1444),
    [sym_inf] = ACTIONS(1444),
    [sym_nan] = ACTIONS(1444),
    [anon_sym_NA] = ACTIONS(1446),
    [anon_sym_NA_integer_] = ACTIONS(1446),
    [anon_sym_NA_real_] = ACTIONS(1446),
    [anon_sym_NA_complex_] = ACTIONS(1446),
    [anon_sym_NA_character_] = ACTIONS(1446),
    [sym_dots] = ACTIONS(1444),
    [sym_dot_dot_i] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1450),
    [sym__semicolon] = ACTIONS(1450),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(1452),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_close_brace] = ACTIONS(1577),
  },
  [928] = {
    [sym_function_definition] = STATE(363),
    [sym_if_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_repeat_statement] = STATE(363),
    [sym_braced_expression] = STATE(363),
    [sym_parenthesized_expression] = STATE(363),
    [sym_call] = STATE(363),
    [sym_subset] = STATE(363),
    [sym_subset2] = STATE(363),
    [sym_unary_operator] = STATE(363),
    [sym_binary_operator] = STATE(363),
    [sym_extract_operator] = STATE(363),
    [sym_namespace_operator] = STATE(363),
    [sym_integer] = STATE(363),
    [sym_complex] = STATE(363),
    [sym_float] = STATE(363),
    [sym__float_literal] = STATE(807),
    [sym_string] = STATE(804),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym_na] = STATE(363),
    [sym__expression] = STATE(363),
    [sym__string_or_identifier] = STATE(2301),
    [sym__open_parenthesis] = STATE(1021),
    [sym__open_brace] = STATE(925),
    [sym__close_brace] = STATE(960),
    [aux_sym_braced_expression_repeat1] = STATE(813),
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_repeat] = ACTIONS(1430),
    [anon_sym_QMARK] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [sym__hex_literal] = ACTIONS(1440),
    [sym__number_literal] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(1444),
    [sym_next] = ACTIONS(1444),
    [sym_break] = ACTIONS(1444),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [sym_null] = ACTIONS(1444),
    [sym_inf] = ACTIONS(1444),
    [sym_nan] = ACTIONS(1444),
    [anon_sym_NA] = ACTIONS(1446),
    [anon_sym_NA_integer_] = ACTIONS(1446),
    [anon_sym_NA_real_] = ACTIONS(1446),
    [anon_sym_NA_complex_] = ACTIONS(1446),
    [anon_sym_NA_character_] = ACTIONS(1446),
    [sym_dots] = ACTIONS(1444),
    [sym_dot_dot_i] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1450),
    [sym__semicolon] = ACTIONS(1450),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(1452),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_close_brace] = ACTIONS(1579),
  },
  [929] = {
    [sym_function_definition] = STATE(363),
    [sym_if_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_repeat_statement] = STATE(363),
    [sym_braced_expression] = STATE(363),
    [sym_parenthesized_expression] = STATE(363),
    [sym_call] = STATE(363),
    [sym_subset] = STATE(363),
    [sym_subset2] = STATE(363),
    [sym_unary_operator] = STATE(363),
    [sym_binary_operator] = STATE(363),
    [sym_extract_operator] = STATE(363),
    [sym_namespace_operator] = STATE(363),
    [sym_integer] = STATE(363),
    [sym_complex] = STATE(363),
    [sym_float] = STATE(363),
    [sym__float_literal] = STATE(807),
    [sym_string] = STATE(804),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym_na] = STATE(363),
    [sym__expression] = STATE(363),
    [sym__string_or_identifier] = STATE(2301),
    [sym__open_parenthesis] = STATE(1021),
    [sym__open_brace] = STATE(925),
    [sym__close_brace] = STATE(821),
    [aux_sym_braced_expression_repeat1] = STATE(822),
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_repeat] = ACTIONS(1430),
    [anon_sym_QMARK] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [sym__hex_literal] = ACTIONS(1440),
    [sym__number_literal] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(1444),
    [sym_next] = ACTIONS(1444),
    [sym_break] = ACTIONS(1444),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [sym_null] = ACTIONS(1444),
    [sym_inf] = ACTIONS(1444),
    [sym_nan] = ACTIONS(1444),
    [anon_sym_NA] = ACTIONS(1446),
    [anon_sym_NA_integer_] = ACTIONS(1446),
    [anon_sym_NA_real_] = ACTIONS(1446),
    [anon_sym_NA_complex_] = ACTIONS(1446),
    [anon_sym_NA_character_] = ACTIONS(1446),
    [sym_dots] = ACTIONS(1444),
    [sym_dot_dot_i] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1450),
    [sym__semicolon] = ACTIONS(1450),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(1452),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_close_brace] = ACTIONS(1581),
  },
  [930] = {
    [sym_function_definition] = STATE(363),
    [sym_if_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_repeat_statement] = STATE(363),
    [sym_braced_expression] = STATE(363),
    [sym_parenthesized_expression] = STATE(363),
    [sym_call] = STATE(363),
    [sym_subset] = STATE(363),
    [sym_subset2] = STATE(363),
    [sym_unary_operator] = STATE(363),
    [sym_binary_operator] = STATE(363),
    [sym_extract_operator] = STATE(363),
    [sym_namespace_operator] = STATE(363),
    [sym_integer] = STATE(363),
    [sym_complex] = STATE(363),
    [sym_float] = STATE(363),
    [sym__float_literal] = STATE(807),
    [sym_string] = STATE(804),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym_na] = STATE(363),
    [sym__expression] = STATE(363),
    [sym__string_or_identifier] = STATE(2301),
    [sym__open_parenthesis] = STATE(1021),
    [sym__open_brace] = STATE(925),
    [sym__close_brace] = STATE(844),
    [aux_sym_braced_expression_repeat1] = STATE(845),
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_repeat] = ACTIONS(1430),
    [anon_sym_QMARK] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [sym__hex_literal] = ACTIONS(1440),
    [sym__number_literal] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(1444),
    [sym_next] = ACTIONS(1444),
    [sym_break] = ACTIONS(1444),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [sym_null] = ACTIONS(1444),
    [sym_inf] = ACTIONS(1444),
    [sym_nan] = ACTIONS(1444),
    [anon_sym_NA] = ACTIONS(1446),
    [anon_sym_NA_integer_] = ACTIONS(1446),
    [anon_sym_NA_real_] = ACTIONS(1446),
    [anon_sym_NA_complex_] = ACTIONS(1446),
    [anon_sym_NA_character_] = ACTIONS(1446),
    [sym_dots] = ACTIONS(1444),
    [sym_dot_dot_i] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1450),
    [sym__semicolon] = ACTIONS(1450),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(1452),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_close_brace] = ACTIONS(1583),
  },
  [931] = {
    [sym_function_definition] = STATE(363),
    [sym_if_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_repeat_statement] = STATE(363),
    [sym_braced_expression] = STATE(363),
    [sym_parenthesized_expression] = STATE(363),
    [sym_call] = STATE(363),
    [sym_subset] = STATE(363),
    [sym_subset2] = STATE(363),
    [sym_unary_operator] = STATE(363),
    [sym_binary_operator] = STATE(363),
    [sym_extract_operator] = STATE(363),
    [sym_namespace_operator] = STATE(363),
    [sym_integer] = STATE(363),
    [sym_complex] = STATE(363),
    [sym_float] = STATE(363),
    [sym__float_literal] = STATE(807),
    [sym_string] = STATE(804),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym_na] = STATE(363),
    [sym__expression] = STATE(363),
    [sym__string_or_identifier] = STATE(2301),
    [sym__open_parenthesis] = STATE(1021),
    [sym__open_brace] = STATE(925),
    [sym__close_brace] = STATE(934),
    [aux_sym_braced_expression_repeat1] = STATE(866),
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_repeat] = ACTIONS(1430),
    [anon_sym_QMARK] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [sym__hex_literal] = ACTIONS(1440),
    [sym__number_literal] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(1444),
    [sym_next] = ACTIONS(1444),
    [sym_break] = ACTIONS(1444),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [sym_null] = ACTIONS(1444),
    [sym_inf] = ACTIONS(1444),
    [sym_nan] = ACTIONS(1444),
    [anon_sym_NA] = ACTIONS(1446),
    [anon_sym_NA_integer_] = ACTIONS(1446),
    [anon_sym_NA_real_] = ACTIONS(1446),
    [anon_sym_NA_complex_] = ACTIONS(1446),
    [anon_sym_NA_character_] = ACTIONS(1446),
    [sym_dots] = ACTIONS(1444),
    [sym_dot_dot_i] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1450),
    [sym__semicolon] = ACTIONS(1450),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(1452),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_close_brace] = ACTIONS(1585),
  },
  [932] = {
    [sym_function_definition] = STATE(363),
    [sym_if_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_repeat_statement] = STATE(363),
    [sym_braced_expression] = STATE(363),
    [sym_parenthesized_expression] = STATE(363),
    [sym_call] = STATE(363),
    [sym_subset] = STATE(363),
    [sym_subset2] = STATE(363),
    [sym_unary_operator] = STATE(363),
    [sym_binary_operator] = STATE(363),
    [sym_extract_operator] = STATE(363),
    [sym_namespace_operator] = STATE(363),
    [sym_integer] = STATE(363),
    [sym_complex] = STATE(363),
    [sym_float] = STATE(363),
    [sym__float_literal] = STATE(807),
    [sym_string] = STATE(804),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym_na] = STATE(363),
    [sym__expression] = STATE(363),
    [sym__string_or_identifier] = STATE(2301),
    [sym__open_parenthesis] = STATE(1021),
    [sym__open_brace] = STATE(925),
    [sym__close_brace] = STATE(2113),
    [aux_sym_braced_expression_repeat1] = STATE(878),
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_repeat] = ACTIONS(1430),
    [anon_sym_QMARK] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [sym__hex_literal] = ACTIONS(1440),
    [sym__number_literal] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(1444),
    [sym_next] = ACTIONS(1444),
    [sym_break] = ACTIONS(1444),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [sym_null] = ACTIONS(1444),
    [sym_inf] = ACTIONS(1444),
    [sym_nan] = ACTIONS(1444),
    [anon_sym_NA] = ACTIONS(1446),
    [anon_sym_NA_integer_] = ACTIONS(1446),
    [anon_sym_NA_real_] = ACTIONS(1446),
    [anon_sym_NA_complex_] = ACTIONS(1446),
    [anon_sym_NA_character_] = ACTIONS(1446),
    [sym_dots] = ACTIONS(1444),
    [sym_dot_dot_i] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1450),
    [sym__semicolon] = ACTIONS(1450),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(1452),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_close_brace] = ACTIONS(1587),
  },
  [933] = {
    [sym_function_definition] = STATE(363),
    [sym_if_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_repeat_statement] = STATE(363),
    [sym_braced_expression] = STATE(363),
    [sym_parenthesized_expression] = STATE(363),
    [sym_call] = STATE(363),
    [sym_subset] = STATE(363),
    [sym_subset2] = STATE(363),
    [sym_unary_operator] = STATE(363),
    [sym_binary_operator] = STATE(363),
    [sym_extract_operator] = STATE(363),
    [sym_namespace_operator] = STATE(363),
    [sym_integer] = STATE(363),
    [sym_complex] = STATE(363),
    [sym_float] = STATE(363),
    [sym__float_literal] = STATE(807),
    [sym_string] = STATE(804),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym_na] = STATE(363),
    [sym__expression] = STATE(363),
    [sym__string_or_identifier] = STATE(2301),
    [sym__open_parenthesis] = STATE(1021),
    [sym__open_brace] = STATE(925),
    [sym__close_brace] = STATE(888),
    [aux_sym_braced_expression_repeat1] = STATE(889),
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_repeat] = ACTIONS(1430),
    [anon_sym_QMARK] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [sym__hex_literal] = ACTIONS(1440),
    [sym__number_literal] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [sym_return] = ACTIONS(1444),
    [sym_next] = ACTIONS(1444),
    [sym_break] = ACTIONS(1444),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [sym_null] = ACTIONS(1444),
    [sym_inf] = ACTIONS(1444),
    [sym_nan] = ACTIONS(1444),
    [anon_sym_NA] = ACTIONS(1446),
    [anon_sym_NA_integer_] = ACTIONS(1446),
    [anon_sym_NA_real_] = ACTIONS(1446),
    [anon_sym_NA_complex_] = ACTIONS(1446),
    [anon_sym_NA_character_] = ACTIONS(1446),
    [sym_dots] = ACTIONS(1444),
    [sym_dot_dot_i] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1450),
    [sym__semicolon] = ACTIONS(1450),
    [sym__raw_string_literal] = ACTIONS(1031),
    [sym__external_open_parenthesis] = ACTIONS(1452),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_close_brace] = ACTIONS(1589),
  },
  [934] = {
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_BSLASH] = ACTIONS(1484),
    [anon_sym_function] = ACTIONS(1486),
    [anon_sym_EQ] = ACTIONS(1486),
    [anon_sym_if] = ACTIONS(1486),
    [anon_sym_for] = ACTIONS(1486),
    [anon_sym_while] = ACTIONS(1486),
    [anon_sym_repeat] = ACTIONS(1486),
    [anon_sym_QMARK] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_LT_DASH] = ACTIONS(1484),
    [anon_sym_LT_LT_DASH] = ACTIONS(1484),
    [anon_sym_COLON_EQ] = ACTIONS(1484),
    [anon_sym_DASH_GT] = ACTIONS(1486),
    [anon_sym_DASH_GT_GT] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_AMP_AMP] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_GT] = ACTIONS(1486),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_EQ_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_SLASH] = ACTIONS(1484),
    [anon_sym_STAR_STAR] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [aux_sym_binary_operator_token1] = ACTIONS(1484),
    [anon_sym_PIPE_GT] = ACTIONS(1484),
    [anon_sym_COLON] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [sym__hex_literal] = ACTIONS(1484),
    [sym__number_literal] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [sym_return] = ACTIONS(1486),
    [sym_next] = ACTIONS(1486),
    [sym_break] = ACTIONS(1486),
    [sym_true] = ACTIONS(1486),
    [sym_false] = ACTIONS(1486),
    [sym_null] = ACTIONS(1486),
    [sym_inf] = ACTIONS(1486),
    [sym_nan] = ACTIONS(1486),
    [anon_sym_NA] = ACTIONS(1486),
    [anon_sym_NA_integer_] = ACTIONS(1486),
    [anon_sym_NA_real_] = ACTIONS(1486),
    [anon_sym_NA_complex_] = ACTIONS(1486),
    [anon_sym_NA_character_] = ACTIONS(1486),
    [sym_dots] = ACTIONS(1486),
    [sym_dot_dot_i] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1484),
    [sym__semicolon] = ACTIONS(1484),
    [sym__raw_string_literal] = ACTIONS(1484),
    [sym__external_else] = ACTIONS(1484),
    [sym__external_open_parenthesis] = ACTIONS(1484),
    [sym__external_open_brace] = ACTIONS(1484),
    [sym__external_close_brace] = ACTIONS(1484),
    [sym__external_open_bracket] = ACTIONS(1484),
    [sym__external_open_bracket2] = ACTIONS(1484),
  },
  [935] = {
    [ts_builtin_sym_end] = ACTIONS(1416),
    [sym_identifier] = ACTIONS(1414),
    [anon_sym_BSLASH] = ACTIONS(1416),
    [anon_sym_function] = ACTIONS(1414),
    [anon_sym_EQ] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1414),
    [anon_sym_for] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_repeat] = ACTIONS(1414),
    [anon_sym_QMARK] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_LT_DASH] = ACTIONS(1416),
    [anon_sym_LT_LT_DASH] = ACTIONS(1416),
    [anon_sym_COLON_EQ] = ACTIONS(1416),
    [anon_sym_DASH_GT] = ACTIONS(1414),
    [anon_sym_DASH_GT_GT] = ACTIONS(1416),
    [anon_sym_PIPE] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_PIPE_PIPE] = ACTIONS(1416),
    [anon_sym_AMP_AMP] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1416),
    [anon_sym_EQ_EQ] = ACTIONS(1416),
    [anon_sym_BANG_EQ] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_STAR_STAR] = ACTIONS(1416),
    [anon_sym_CARET] = ACTIONS(1416),
    [aux_sym_binary_operator_token1] = ACTIONS(1416),
    [anon_sym_PIPE_GT] = ACTIONS(1416),
    [anon_sym_COLON] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [sym__hex_literal] = ACTIONS(1416),
    [sym__number_literal] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [sym_return] = ACTIONS(1414),
    [sym_next] = ACTIONS(1414),
    [sym_break] = ACTIONS(1414),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [sym_null] = ACTIONS(1414),
    [sym_inf] = ACTIONS(1414),
    [sym_nan] = ACTIONS(1414),
    [anon_sym_NA] = ACTIONS(1414),
    [anon_sym_NA_integer_] = ACTIONS(1414),
    [anon_sym_NA_real_] = ACTIONS(1414),
    [anon_sym_NA_complex_] = ACTIONS(1414),
    [anon_sym_NA_character_] = ACTIONS(1414),
    [sym_dots] = ACTIONS(1414),
    [sym_dot_dot_i] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1416),
    [sym__semicolon] = ACTIONS(1416),
    [sym__raw_string_literal] = ACTIONS(1416),
    [sym__external_open_parenthesis] = ACTIONS(1416),
    [sym__external_open_brace] = ACTIONS(1416),
    [sym__external_open_bracket] = ACTIONS(1416),
    [sym__external_open_bracket2] = ACTIONS(1416),
  },
  [936] = {
    [sym_identifier] = ACTIONS(1535),
    [anon_sym_BSLASH] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(1535),
    [anon_sym_EQ] = ACTIONS(1535),
    [anon_sym_if] = ACTIONS(1535),
    [anon_sym_for] = ACTIONS(1535),
    [anon_sym_while] = ACTIONS(1535),
    [anon_sym_repeat] = ACTIONS(1535),
    [anon_sym_QMARK] = ACTIONS(1533),
    [anon_sym_TILDE] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1535),
    [anon_sym_LT_DASH] = ACTIONS(1533),
    [anon_sym_LT_LT_DASH] = ACTIONS(1533),
    [anon_sym_COLON_EQ] = ACTIONS(1533),
    [anon_sym_DASH_GT] = ACTIONS(1535),
    [anon_sym_DASH_GT_GT] = ACTIONS(1533),
    [anon_sym_PIPE] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_PIPE_PIPE] = ACTIONS(1533),
    [anon_sym_AMP_AMP] = ACTIONS(1533),
    [anon_sym_LT] = ACTIONS(1535),
    [anon_sym_LT_EQ] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1535),
    [anon_sym_GT_EQ] = ACTIONS(1533),
    [anon_sym_EQ_EQ] = ACTIONS(1533),
    [anon_sym_BANG_EQ] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_SLASH] = ACTIONS(1533),
    [anon_sym_STAR_STAR] = ACTIONS(1533),
    [anon_sym_CARET] = ACTIONS(1533),
    [aux_sym_binary_operator_token1] = ACTIONS(1533),
    [anon_sym_PIPE_GT] = ACTIONS(1533),
    [anon_sym_COLON] = ACTIONS(1535),
    [anon_sym_DOLLAR] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(1533),
    [sym__hex_literal] = ACTIONS(1533),
    [sym__number_literal] = ACTIONS(1535),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1533),
    [sym_return] = ACTIONS(1535),
    [sym_next] = ACTIONS(1535),
    [sym_break] = ACTIONS(1535),
    [sym_true] = ACTIONS(1535),
    [sym_false] = ACTIONS(1535),
    [sym_null] = ACTIONS(1535),
    [sym_inf] = ACTIONS(1535),
    [sym_nan] = ACTIONS(1535),
    [anon_sym_NA] = ACTIONS(1535),
    [anon_sym_NA_integer_] = ACTIONS(1535),
    [anon_sym_NA_real_] = ACTIONS(1535),
    [anon_sym_NA_complex_] = ACTIONS(1535),
    [anon_sym_NA_character_] = ACTIONS(1535),
    [sym_dots] = ACTIONS(1535),
    [sym_dot_dot_i] = ACTIONS(1533),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1533),
    [sym__semicolon] = ACTIONS(1533),
    [sym__raw_string_literal] = ACTIONS(1533),
    [sym__external_open_parenthesis] = ACTIONS(1533),
    [sym__external_open_brace] = ACTIONS(1533),
    [sym__external_close_brace] = ACTIONS(1533),
    [sym__external_open_bracket] = ACTIONS(1533),
    [sym__external_open_bracket2] = ACTIONS(1533),
  },
  [937] = {
    [ts_builtin_sym_end] = ACTIONS(1480),
    [sym_identifier] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1480),
    [anon_sym_function] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1482),
    [anon_sym_if] = ACTIONS(1482),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_while] = ACTIONS(1482),
    [anon_sym_repeat] = ACTIONS(1482),
    [anon_sym_QMARK] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_LT_DASH] = ACTIONS(1480),
    [anon_sym_LT_LT_DASH] = ACTIONS(1480),
    [anon_sym_COLON_EQ] = ACTIONS(1480),
    [anon_sym_DASH_GT] = ACTIONS(1482),
    [anon_sym_DASH_GT_GT] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1482),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1482),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_SLASH] = ACTIONS(1480),
    [anon_sym_STAR_STAR] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [aux_sym_binary_operator_token1] = ACTIONS(1480),
    [anon_sym_PIPE_GT] = ACTIONS(1480),
    [anon_sym_COLON] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [sym__hex_literal] = ACTIONS(1480),
    [sym__number_literal] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [sym_return] = ACTIONS(1482),
    [sym_next] = ACTIONS(1482),
    [sym_break] = ACTIONS(1482),
    [sym_true] = ACTIONS(1482),
    [sym_false] = ACTIONS(1482),
    [sym_null] = ACTIONS(1482),
    [sym_inf] = ACTIONS(1482),
    [sym_nan] = ACTIONS(1482),
    [anon_sym_NA] = ACTIONS(1482),
    [anon_sym_NA_integer_] = ACTIONS(1482),
    [anon_sym_NA_real_] = ACTIONS(1482),
    [anon_sym_NA_complex_] = ACTIONS(1482),
    [anon_sym_NA_character_] = ACTIONS(1482),
    [sym_dots] = ACTIONS(1482),
    [sym_dot_dot_i] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1480),
    [sym__semicolon] = ACTIONS(1480),
    [sym__raw_string_literal] = ACTIONS(1480),
    [sym__external_open_parenthesis] = ACTIONS(1480),
    [sym__external_open_brace] = ACTIONS(1480),
    [sym__external_open_bracket] = ACTIONS(1480),
    [sym__external_open_bracket2] = ACTIONS(1480),
  },
  [938] = {
    [sym_function_definition] = STATE(696),
    [sym_if_statement] = STATE(696),
    [sym_for_statement] = STATE(696),
    [sym_while_statement] = STATE(696),
    [sym_repeat_statement] = STATE(696),
    [sym_braced_expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_call] = STATE(696),
    [sym_subset] = STATE(696),
    [sym_subset2] = STATE(696),
    [sym_unary_operator] = STATE(696),
    [sym_binary_operator] = STATE(696),
    [sym_extract_operator] = STATE(696),
    [sym_namespace_operator] = STATE(696),
    [sym_integer] = STATE(696),
    [sym_complex] = STATE(696),
    [sym_float] = STATE(696),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(801),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(1038),
    [sym__open_brace] = STATE(922),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1064),
    [sym_identifier] = ACTIONS(1591),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(1593),
    [sym_next] = ACTIONS(1593),
    [sym_break] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_null] = ACTIONS(1593),
    [sym_inf] = ACTIONS(1593),
    [sym_nan] = ACTIONS(1593),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(1593),
    [sym_dot_dot_i] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1597),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1599),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [939] = {
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_BSLASH] = ACTIONS(1517),
    [anon_sym_function] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1519),
    [anon_sym_if] = ACTIONS(1519),
    [anon_sym_for] = ACTIONS(1519),
    [anon_sym_while] = ACTIONS(1519),
    [anon_sym_repeat] = ACTIONS(1519),
    [anon_sym_QMARK] = ACTIONS(1517),
    [anon_sym_TILDE] = ACTIONS(1517),
    [anon_sym_BANG] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_LT_DASH] = ACTIONS(1517),
    [anon_sym_LT_LT_DASH] = ACTIONS(1517),
    [anon_sym_COLON_EQ] = ACTIONS(1517),
    [anon_sym_DASH_GT] = ACTIONS(1519),
    [anon_sym_DASH_GT_GT] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_AMP_AMP] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_GT] = ACTIONS(1519),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_EQ_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_STAR] = ACTIONS(1519),
    [anon_sym_SLASH] = ACTIONS(1517),
    [anon_sym_STAR_STAR] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [aux_sym_binary_operator_token1] = ACTIONS(1517),
    [anon_sym_PIPE_GT] = ACTIONS(1517),
    [anon_sym_COLON] = ACTIONS(1519),
    [anon_sym_DOLLAR] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(1517),
    [sym__hex_literal] = ACTIONS(1517),
    [sym__number_literal] = ACTIONS(1519),
    [anon_sym_SQUOTE] = ACTIONS(1517),
    [anon_sym_DQUOTE] = ACTIONS(1517),
    [sym_return] = ACTIONS(1519),
    [sym_next] = ACTIONS(1519),
    [sym_break] = ACTIONS(1519),
    [sym_true] = ACTIONS(1519),
    [sym_false] = ACTIONS(1519),
    [sym_null] = ACTIONS(1519),
    [sym_inf] = ACTIONS(1519),
    [sym_nan] = ACTIONS(1519),
    [anon_sym_NA] = ACTIONS(1519),
    [anon_sym_NA_integer_] = ACTIONS(1519),
    [anon_sym_NA_real_] = ACTIONS(1519),
    [anon_sym_NA_complex_] = ACTIONS(1519),
    [anon_sym_NA_character_] = ACTIONS(1519),
    [sym_dots] = ACTIONS(1519),
    [sym_dot_dot_i] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1517),
    [sym__semicolon] = ACTIONS(1517),
    [sym__raw_string_literal] = ACTIONS(1517),
    [sym__external_open_parenthesis] = ACTIONS(1517),
    [sym__external_open_brace] = ACTIONS(1517),
    [sym__external_open_bracket] = ACTIONS(1517),
    [sym__external_open_bracket2] = ACTIONS(1517),
  },
  [940] = {
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_BSLASH] = ACTIONS(1484),
    [anon_sym_function] = ACTIONS(1486),
    [anon_sym_EQ] = ACTIONS(1486),
    [anon_sym_if] = ACTIONS(1486),
    [anon_sym_for] = ACTIONS(1486),
    [anon_sym_while] = ACTIONS(1486),
    [anon_sym_repeat] = ACTIONS(1486),
    [anon_sym_QMARK] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_LT_DASH] = ACTIONS(1484),
    [anon_sym_LT_LT_DASH] = ACTIONS(1484),
    [anon_sym_COLON_EQ] = ACTIONS(1484),
    [anon_sym_DASH_GT] = ACTIONS(1486),
    [anon_sym_DASH_GT_GT] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_AMP_AMP] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_GT] = ACTIONS(1486),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_EQ_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_SLASH] = ACTIONS(1484),
    [anon_sym_STAR_STAR] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [aux_sym_binary_operator_token1] = ACTIONS(1484),
    [anon_sym_PIPE_GT] = ACTIONS(1484),
    [anon_sym_COLON] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [sym__hex_literal] = ACTIONS(1484),
    [sym__number_literal] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [sym_return] = ACTIONS(1486),
    [sym_next] = ACTIONS(1486),
    [sym_break] = ACTIONS(1486),
    [sym_true] = ACTIONS(1486),
    [sym_false] = ACTIONS(1486),
    [sym_null] = ACTIONS(1486),
    [sym_inf] = ACTIONS(1486),
    [sym_nan] = ACTIONS(1486),
    [anon_sym_NA] = ACTIONS(1486),
    [anon_sym_NA_integer_] = ACTIONS(1486),
    [anon_sym_NA_real_] = ACTIONS(1486),
    [anon_sym_NA_complex_] = ACTIONS(1486),
    [anon_sym_NA_character_] = ACTIONS(1486),
    [sym_dots] = ACTIONS(1486),
    [sym_dot_dot_i] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1484),
    [sym__semicolon] = ACTIONS(1484),
    [sym__raw_string_literal] = ACTIONS(1484),
    [sym__external_open_parenthesis] = ACTIONS(1484),
    [sym__external_open_brace] = ACTIONS(1484),
    [sym__external_open_bracket] = ACTIONS(1484),
    [sym__external_open_bracket2] = ACTIONS(1484),
  },
  [941] = {
    [sym_function_definition] = STATE(363),
    [sym_if_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_repeat_statement] = STATE(363),
    [sym_braced_expression] = STATE(363),
    [sym_parenthesized_expression] = STATE(363),
    [sym_call] = STATE(363),
    [sym_subset] = STATE(363),
    [sym_subset2] = STATE(363),
    [sym_unary_operator] = STATE(363),
    [sym_binary_operator] = STATE(363),
    [sym_extract_operator] = STATE(363),
    [sym_namespace_operator] = STATE(363),
    [sym_integer] = STATE(363),
    [sym_complex] = STATE(363),
    [sym_float] = STATE(363),
    [sym__float_literal] = STATE(807),
    [sym_string] = STATE(804),
    [sym__single_quoted_string] = STATE(809),
    [sym__double_quoted_string] = STATE(759),
    [sym_na] = STATE(363),
    [sym__expression] = STATE(363),
    [sym__string_or_identifier] = STATE(2301),
    [sym__open_parenthesis] = STATE(1021),
    [sym__open_brace] = STATE(925),
    [aux_sym_braced_expression_repeat1] = STATE(941),
    [sym_identifier] = ACTIONS(1601),
    [anon_sym_BSLASH] = ACTIONS(1604),
    [anon_sym_function] = ACTIONS(1607),
    [anon_sym_if] = ACTIONS(1610),
    [anon_sym_for] = ACTIONS(1613),
    [anon_sym_while] = ACTIONS(1616),
    [anon_sym_repeat] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(1622),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1628),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1631),
    [sym__hex_literal] = ACTIONS(1634),
    [sym__number_literal] = ACTIONS(1637),
    [anon_sym_SQUOTE] = ACTIONS(1640),
    [anon_sym_DQUOTE] = ACTIONS(1643),
    [sym_return] = ACTIONS(1646),
    [sym_next] = ACTIONS(1646),
    [sym_break] = ACTIONS(1646),
    [sym_true] = ACTIONS(1646),
    [sym_false] = ACTIONS(1646),
    [sym_null] = ACTIONS(1646),
    [sym_inf] = ACTIONS(1646),
    [sym_nan] = ACTIONS(1646),
    [anon_sym_NA] = ACTIONS(1649),
    [anon_sym_NA_integer_] = ACTIONS(1649),
    [anon_sym_NA_real_] = ACTIONS(1649),
    [anon_sym_NA_complex_] = ACTIONS(1649),
    [anon_sym_NA_character_] = ACTIONS(1649),
    [sym_dots] = ACTIONS(1646),
    [sym_dot_dot_i] = ACTIONS(1652),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1655),
    [sym__semicolon] = ACTIONS(1655),
    [sym__raw_string_literal] = ACTIONS(1658),
    [sym__external_open_parenthesis] = ACTIONS(1661),
    [sym__external_open_brace] = ACTIONS(1664),
    [sym__external_close_brace] = ACTIONS(1667),
  },
  [942] = {
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_BSLASH] = ACTIONS(1525),
    [anon_sym_function] = ACTIONS(1527),
    [anon_sym_EQ] = ACTIONS(1527),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_for] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1527),
    [anon_sym_repeat] = ACTIONS(1527),
    [anon_sym_QMARK] = ACTIONS(1525),
    [anon_sym_TILDE] = ACTIONS(1525),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1525),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_LT_DASH] = ACTIONS(1525),
    [anon_sym_LT_LT_DASH] = ACTIONS(1525),
    [anon_sym_COLON_EQ] = ACTIONS(1525),
    [anon_sym_DASH_GT] = ACTIONS(1527),
    [anon_sym_DASH_GT_GT] = ACTIONS(1525),
    [anon_sym_PIPE] = ACTIONS(1527),
    [anon_sym_AMP] = ACTIONS(1527),
    [anon_sym_PIPE_PIPE] = ACTIONS(1525),
    [anon_sym_AMP_AMP] = ACTIONS(1525),
    [anon_sym_LT] = ACTIONS(1527),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1527),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_EQ_EQ] = ACTIONS(1525),
    [anon_sym_BANG_EQ] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_STAR_STAR] = ACTIONS(1525),
    [anon_sym_CARET] = ACTIONS(1525),
    [aux_sym_binary_operator_token1] = ACTIONS(1525),
    [anon_sym_PIPE_GT] = ACTIONS(1525),
    [anon_sym_COLON] = ACTIONS(1527),
    [anon_sym_DOLLAR] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(1525),
    [sym__hex_literal] = ACTIONS(1525),
    [sym__number_literal] = ACTIONS(1527),
    [anon_sym_SQUOTE] = ACTIONS(1525),
    [anon_sym_DQUOTE] = ACTIONS(1525),
    [sym_return] = ACTIONS(1527),
    [sym_next] = ACTIONS(1527),
    [sym_break] = ACTIONS(1527),
    [sym_true] = ACTIONS(1527),
    [sym_false] = ACTIONS(1527),
    [sym_null] = ACTIONS(1527),
    [sym_inf] = ACTIONS(1527),
    [sym_nan] = ACTIONS(1527),
    [anon_sym_NA] = ACTIONS(1527),
    [anon_sym_NA_integer_] = ACTIONS(1527),
    [anon_sym_NA_real_] = ACTIONS(1527),
    [anon_sym_NA_complex_] = ACTIONS(1527),
    [anon_sym_NA_character_] = ACTIONS(1527),
    [sym_dots] = ACTIONS(1527),
    [sym_dot_dot_i] = ACTIONS(1525),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1525),
    [sym__newline] = ACTIONS(1525),
    [sym__raw_string_literal] = ACTIONS(1525),
    [sym__external_open_parenthesis] = ACTIONS(1525),
    [sym__external_open_brace] = ACTIONS(1525),
    [sym__external_open_bracket] = ACTIONS(1525),
    [sym__external_close_bracket] = ACTIONS(1525),
    [sym__external_open_bracket2] = ACTIONS(1525),
  },
  [943] = {
    [sym_identifier] = ACTIONS(1531),
    [anon_sym_BSLASH] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_EQ] = ACTIONS(1531),
    [anon_sym_if] = ACTIONS(1531),
    [anon_sym_for] = ACTIONS(1531),
    [anon_sym_while] = ACTIONS(1531),
    [anon_sym_repeat] = ACTIONS(1531),
    [anon_sym_QMARK] = ACTIONS(1529),
    [anon_sym_TILDE] = ACTIONS(1529),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1531),
    [anon_sym_LT_DASH] = ACTIONS(1529),
    [anon_sym_LT_LT_DASH] = ACTIONS(1529),
    [anon_sym_COLON_EQ] = ACTIONS(1529),
    [anon_sym_DASH_GT] = ACTIONS(1531),
    [anon_sym_DASH_GT_GT] = ACTIONS(1529),
    [anon_sym_PIPE] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_PIPE_PIPE] = ACTIONS(1529),
    [anon_sym_AMP_AMP] = ACTIONS(1529),
    [anon_sym_LT] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1529),
    [anon_sym_GT] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1529),
    [anon_sym_EQ_EQ] = ACTIONS(1529),
    [anon_sym_BANG_EQ] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1529),
    [anon_sym_STAR_STAR] = ACTIONS(1529),
    [anon_sym_CARET] = ACTIONS(1529),
    [aux_sym_binary_operator_token1] = ACTIONS(1529),
    [anon_sym_PIPE_GT] = ACTIONS(1529),
    [anon_sym_COLON] = ACTIONS(1531),
    [anon_sym_DOLLAR] = ACTIONS(1529),
    [anon_sym_AT] = ACTIONS(1529),
    [sym__hex_literal] = ACTIONS(1529),
    [sym__number_literal] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1529),
    [anon_sym_DQUOTE] = ACTIONS(1529),
    [sym_return] = ACTIONS(1531),
    [sym_next] = ACTIONS(1531),
    [sym_break] = ACTIONS(1531),
    [sym_true] = ACTIONS(1531),
    [sym_false] = ACTIONS(1531),
    [sym_null] = ACTIONS(1531),
    [sym_inf] = ACTIONS(1531),
    [sym_nan] = ACTIONS(1531),
    [anon_sym_NA] = ACTIONS(1531),
    [anon_sym_NA_integer_] = ACTIONS(1531),
    [anon_sym_NA_real_] = ACTIONS(1531),
    [anon_sym_NA_complex_] = ACTIONS(1531),
    [anon_sym_NA_character_] = ACTIONS(1531),
    [sym_dots] = ACTIONS(1531),
    [sym_dot_dot_i] = ACTIONS(1529),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1529),
    [sym__newline] = ACTIONS(1529),
    [sym__raw_string_literal] = ACTIONS(1529),
    [sym__external_open_parenthesis] = ACTIONS(1529),
    [sym__external_open_brace] = ACTIONS(1529),
    [sym__external_open_bracket] = ACTIONS(1529),
    [sym__external_close_bracket] = ACTIONS(1529),
    [sym__external_open_bracket2] = ACTIONS(1529),
  },
  [944] = {
    [sym_identifier] = ACTIONS(1535),
    [anon_sym_BSLASH] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(1535),
    [anon_sym_EQ] = ACTIONS(1535),
    [anon_sym_if] = ACTIONS(1535),
    [anon_sym_for] = ACTIONS(1535),
    [anon_sym_while] = ACTIONS(1535),
    [anon_sym_repeat] = ACTIONS(1535),
    [anon_sym_QMARK] = ACTIONS(1533),
    [anon_sym_TILDE] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1535),
    [anon_sym_LT_DASH] = ACTIONS(1533),
    [anon_sym_LT_LT_DASH] = ACTIONS(1533),
    [anon_sym_COLON_EQ] = ACTIONS(1533),
    [anon_sym_DASH_GT] = ACTIONS(1535),
    [anon_sym_DASH_GT_GT] = ACTIONS(1533),
    [anon_sym_PIPE] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_PIPE_PIPE] = ACTIONS(1533),
    [anon_sym_AMP_AMP] = ACTIONS(1533),
    [anon_sym_LT] = ACTIONS(1535),
    [anon_sym_LT_EQ] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1535),
    [anon_sym_GT_EQ] = ACTIONS(1533),
    [anon_sym_EQ_EQ] = ACTIONS(1533),
    [anon_sym_BANG_EQ] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_SLASH] = ACTIONS(1533),
    [anon_sym_STAR_STAR] = ACTIONS(1533),
    [anon_sym_CARET] = ACTIONS(1533),
    [aux_sym_binary_operator_token1] = ACTIONS(1533),
    [anon_sym_PIPE_GT] = ACTIONS(1533),
    [anon_sym_COLON] = ACTIONS(1535),
    [anon_sym_DOLLAR] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(1533),
    [sym__hex_literal] = ACTIONS(1533),
    [sym__number_literal] = ACTIONS(1535),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1533),
    [sym_return] = ACTIONS(1535),
    [sym_next] = ACTIONS(1535),
    [sym_break] = ACTIONS(1535),
    [sym_true] = ACTIONS(1535),
    [sym_false] = ACTIONS(1535),
    [sym_null] = ACTIONS(1535),
    [sym_inf] = ACTIONS(1535),
    [sym_nan] = ACTIONS(1535),
    [anon_sym_NA] = ACTIONS(1535),
    [anon_sym_NA_integer_] = ACTIONS(1535),
    [anon_sym_NA_real_] = ACTIONS(1535),
    [anon_sym_NA_complex_] = ACTIONS(1535),
    [anon_sym_NA_character_] = ACTIONS(1535),
    [sym_dots] = ACTIONS(1535),
    [sym_dot_dot_i] = ACTIONS(1533),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1533),
    [sym__newline] = ACTIONS(1533),
    [sym__raw_string_literal] = ACTIONS(1533),
    [sym__external_open_parenthesis] = ACTIONS(1533),
    [sym__external_open_brace] = ACTIONS(1533),
    [sym__external_open_bracket] = ACTIONS(1533),
    [sym__external_close_bracket] = ACTIONS(1533),
    [sym__external_open_bracket2] = ACTIONS(1533),
  },
  [945] = {
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_function] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [anon_sym_if] = ACTIONS(1462),
    [anon_sym_for] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1462),
    [anon_sym_repeat] = ACTIONS(1462),
    [anon_sym_QMARK] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_LT_DASH] = ACTIONS(1460),
    [anon_sym_LT_LT_DASH] = ACTIONS(1460),
    [anon_sym_COLON_EQ] = ACTIONS(1460),
    [anon_sym_DASH_GT] = ACTIONS(1462),
    [anon_sym_DASH_GT_GT] = ACTIONS(1460),
    [anon_sym_PIPE] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_PIPE_PIPE] = ACTIONS(1460),
    [anon_sym_AMP_AMP] = ACTIONS(1460),
    [anon_sym_LT] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1460),
    [anon_sym_EQ_EQ] = ACTIONS(1460),
    [anon_sym_BANG_EQ] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_STAR_STAR] = ACTIONS(1460),
    [anon_sym_CARET] = ACTIONS(1460),
    [aux_sym_binary_operator_token1] = ACTIONS(1460),
    [anon_sym_PIPE_GT] = ACTIONS(1460),
    [anon_sym_COLON] = ACTIONS(1462),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1460),
    [sym__hex_literal] = ACTIONS(1460),
    [sym__number_literal] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [sym_return] = ACTIONS(1462),
    [sym_next] = ACTIONS(1462),
    [sym_break] = ACTIONS(1462),
    [sym_true] = ACTIONS(1462),
    [sym_false] = ACTIONS(1462),
    [sym_null] = ACTIONS(1462),
    [sym_inf] = ACTIONS(1462),
    [sym_nan] = ACTIONS(1462),
    [anon_sym_NA] = ACTIONS(1462),
    [anon_sym_NA_integer_] = ACTIONS(1462),
    [anon_sym_NA_real_] = ACTIONS(1462),
    [anon_sym_NA_complex_] = ACTIONS(1462),
    [anon_sym_NA_character_] = ACTIONS(1462),
    [sym_dots] = ACTIONS(1462),
    [sym_dot_dot_i] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1460),
    [sym__newline] = ACTIONS(1460),
    [sym__raw_string_literal] = ACTIONS(1460),
    [sym__external_open_parenthesis] = ACTIONS(1460),
    [sym__external_open_brace] = ACTIONS(1460),
    [sym__external_open_bracket] = ACTIONS(1460),
    [sym__external_open_bracket2] = ACTIONS(1460),
    [sym__external_close_bracket2] = ACTIONS(1460),
  },
  [946] = {
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_BSLASH] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1495),
    [anon_sym_EQ] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1495),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_repeat] = ACTIONS(1495),
    [anon_sym_QMARK] = ACTIONS(1493),
    [anon_sym_TILDE] = ACTIONS(1493),
    [anon_sym_BANG] = ACTIONS(1495),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_LT_DASH] = ACTIONS(1493),
    [anon_sym_LT_LT_DASH] = ACTIONS(1493),
    [anon_sym_COLON_EQ] = ACTIONS(1493),
    [anon_sym_DASH_GT] = ACTIONS(1495),
    [anon_sym_DASH_GT_GT] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
    [anon_sym_AMP] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_AMP_AMP] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_GT] = ACTIONS(1495),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_EQ_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_STAR] = ACTIONS(1495),
    [anon_sym_SLASH] = ACTIONS(1493),
    [anon_sym_STAR_STAR] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [aux_sym_binary_operator_token1] = ACTIONS(1493),
    [anon_sym_PIPE_GT] = ACTIONS(1493),
    [anon_sym_COLON] = ACTIONS(1495),
    [anon_sym_DOLLAR] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(1493),
    [sym__hex_literal] = ACTIONS(1493),
    [sym__number_literal] = ACTIONS(1495),
    [anon_sym_SQUOTE] = ACTIONS(1493),
    [anon_sym_DQUOTE] = ACTIONS(1493),
    [sym_return] = ACTIONS(1495),
    [sym_next] = ACTIONS(1495),
    [sym_break] = ACTIONS(1495),
    [sym_true] = ACTIONS(1495),
    [sym_false] = ACTIONS(1495),
    [sym_null] = ACTIONS(1495),
    [sym_inf] = ACTIONS(1495),
    [sym_nan] = ACTIONS(1495),
    [anon_sym_NA] = ACTIONS(1495),
    [anon_sym_NA_integer_] = ACTIONS(1495),
    [anon_sym_NA_real_] = ACTIONS(1495),
    [anon_sym_NA_complex_] = ACTIONS(1495),
    [anon_sym_NA_character_] = ACTIONS(1495),
    [sym_dots] = ACTIONS(1495),
    [sym_dot_dot_i] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1493),
    [sym__newline] = ACTIONS(1493),
    [sym__raw_string_literal] = ACTIONS(1493),
    [sym__external_open_parenthesis] = ACTIONS(1493),
    [sym__external_close_parenthesis] = ACTIONS(1493),
    [sym__external_open_brace] = ACTIONS(1493),
    [sym__external_open_bracket] = ACTIONS(1493),
    [sym__external_open_bracket2] = ACTIONS(1493),
  },
  [947] = {
    [sym_identifier] = ACTIONS(1317),
    [anon_sym_BSLASH] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1317),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_for] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1317),
    [anon_sym_repeat] = ACTIONS(1317),
    [anon_sym_QMARK] = ACTIONS(1319),
    [anon_sym_TILDE] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_DASH] = ACTIONS(1317),
    [anon_sym_LT_DASH] = ACTIONS(1319),
    [anon_sym_LT_LT_DASH] = ACTIONS(1319),
    [anon_sym_COLON_EQ] = ACTIONS(1319),
    [anon_sym_DASH_GT] = ACTIONS(1317),
    [anon_sym_DASH_GT_GT] = ACTIONS(1319),
    [anon_sym_PIPE] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_PIPE_PIPE] = ACTIONS(1319),
    [anon_sym_AMP_AMP] = ACTIONS(1319),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1319),
    [anon_sym_GT] = ACTIONS(1317),
    [anon_sym_GT_EQ] = ACTIONS(1319),
    [anon_sym_EQ_EQ] = ACTIONS(1319),
    [anon_sym_BANG_EQ] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_STAR_STAR] = ACTIONS(1319),
    [anon_sym_CARET] = ACTIONS(1319),
    [aux_sym_binary_operator_token1] = ACTIONS(1319),
    [anon_sym_PIPE_GT] = ACTIONS(1319),
    [anon_sym_COLON] = ACTIONS(1317),
    [anon_sym_DOLLAR] = ACTIONS(1319),
    [anon_sym_AT] = ACTIONS(1319),
    [sym__hex_literal] = ACTIONS(1319),
    [sym__number_literal] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1319),
    [anon_sym_DQUOTE] = ACTIONS(1319),
    [sym_return] = ACTIONS(1317),
    [sym_next] = ACTIONS(1317),
    [sym_break] = ACTIONS(1317),
    [sym_true] = ACTIONS(1317),
    [sym_false] = ACTIONS(1317),
    [sym_null] = ACTIONS(1317),
    [sym_inf] = ACTIONS(1317),
    [sym_nan] = ACTIONS(1317),
    [anon_sym_NA] = ACTIONS(1317),
    [anon_sym_NA_integer_] = ACTIONS(1317),
    [anon_sym_NA_real_] = ACTIONS(1317),
    [anon_sym_NA_complex_] = ACTIONS(1317),
    [anon_sym_NA_character_] = ACTIONS(1317),
    [sym_dots] = ACTIONS(1317),
    [sym_dot_dot_i] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1319),
    [sym__newline] = ACTIONS(1319),
    [sym__raw_string_literal] = ACTIONS(1319),
    [sym__external_open_parenthesis] = ACTIONS(1319),
    [sym__external_open_brace] = ACTIONS(1319),
    [sym__external_open_bracket] = ACTIONS(1319),
    [sym__external_close_bracket] = ACTIONS(1319),
    [sym__external_open_bracket2] = ACTIONS(1319),
  },
  [948] = {
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_BSLASH] = ACTIONS(1464),
    [anon_sym_function] = ACTIONS(1466),
    [anon_sym_EQ] = ACTIONS(1466),
    [anon_sym_if] = ACTIONS(1466),
    [anon_sym_for] = ACTIONS(1466),
    [anon_sym_while] = ACTIONS(1466),
    [anon_sym_repeat] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_LT_DASH] = ACTIONS(1464),
    [anon_sym_LT_LT_DASH] = ACTIONS(1464),
    [anon_sym_COLON_EQ] = ACTIONS(1464),
    [anon_sym_DASH_GT] = ACTIONS(1466),
    [anon_sym_DASH_GT_GT] = ACTIONS(1464),
    [anon_sym_PIPE] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_PIPE_PIPE] = ACTIONS(1464),
    [anon_sym_AMP_AMP] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1464),
    [anon_sym_EQ_EQ] = ACTIONS(1464),
    [anon_sym_BANG_EQ] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_STAR_STAR] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [aux_sym_binary_operator_token1] = ACTIONS(1464),
    [anon_sym_PIPE_GT] = ACTIONS(1464),
    [anon_sym_COLON] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1464),
    [anon_sym_AT] = ACTIONS(1464),
    [sym__hex_literal] = ACTIONS(1464),
    [sym__number_literal] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [sym_return] = ACTIONS(1466),
    [sym_next] = ACTIONS(1466),
    [sym_break] = ACTIONS(1466),
    [sym_true] = ACTIONS(1466),
    [sym_false] = ACTIONS(1466),
    [sym_null] = ACTIONS(1466),
    [sym_inf] = ACTIONS(1466),
    [sym_nan] = ACTIONS(1466),
    [anon_sym_NA] = ACTIONS(1466),
    [anon_sym_NA_integer_] = ACTIONS(1466),
    [anon_sym_NA_real_] = ACTIONS(1466),
    [anon_sym_NA_complex_] = ACTIONS(1466),
    [anon_sym_NA_character_] = ACTIONS(1466),
    [sym_dots] = ACTIONS(1466),
    [sym_dot_dot_i] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1464),
    [sym__newline] = ACTIONS(1464),
    [sym__raw_string_literal] = ACTIONS(1464),
    [sym__external_open_parenthesis] = ACTIONS(1464),
    [sym__external_open_brace] = ACTIONS(1464),
    [sym__external_open_bracket] = ACTIONS(1464),
    [sym__external_open_bracket2] = ACTIONS(1464),
    [sym__external_close_bracket2] = ACTIONS(1464),
  },
  [949] = {
    [sym_function_definition] = STATE(468),
    [sym_if_statement] = STATE(468),
    [sym_for_statement] = STATE(468),
    [sym_while_statement] = STATE(468),
    [sym_repeat_statement] = STATE(468),
    [sym_braced_expression] = STATE(468),
    [sym_parenthesized_expression] = STATE(468),
    [sym_call] = STATE(468),
    [sym_subset] = STATE(468),
    [sym_subset2] = STATE(468),
    [sym_unary_operator] = STATE(468),
    [sym_binary_operator] = STATE(468),
    [sym_extract_operator] = STATE(468),
    [sym_namespace_operator] = STATE(468),
    [sym_integer] = STATE(468),
    [sym_complex] = STATE(468),
    [sym_float] = STATE(468),
    [sym__float_literal] = STATE(779),
    [sym_string] = STATE(777),
    [sym__single_quoted_string] = STATE(784),
    [sym__double_quoted_string] = STATE(769),
    [sym_na] = STATE(468),
    [sym__expression] = STATE(468),
    [sym__string_or_identifier] = STATE(2294),
    [sym__open_parenthesis] = STATE(1044),
    [sym__open_brace] = STATE(902),
    [aux_sym_program_repeat1] = STATE(949),
    [ts_builtin_sym_end] = ACTIONS(1669),
    [sym_identifier] = ACTIONS(1671),
    [anon_sym_BSLASH] = ACTIONS(1674),
    [anon_sym_function] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1686),
    [anon_sym_repeat] = ACTIONS(1689),
    [anon_sym_QMARK] = ACTIONS(1692),
    [anon_sym_TILDE] = ACTIONS(1695),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1701),
    [sym__hex_literal] = ACTIONS(1704),
    [sym__number_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [anon_sym_DQUOTE] = ACTIONS(1713),
    [sym_return] = ACTIONS(1716),
    [sym_next] = ACTIONS(1716),
    [sym_break] = ACTIONS(1716),
    [sym_true] = ACTIONS(1716),
    [sym_false] = ACTIONS(1716),
    [sym_null] = ACTIONS(1716),
    [sym_inf] = ACTIONS(1716),
    [sym_nan] = ACTIONS(1716),
    [anon_sym_NA] = ACTIONS(1719),
    [anon_sym_NA_integer_] = ACTIONS(1719),
    [anon_sym_NA_real_] = ACTIONS(1719),
    [anon_sym_NA_complex_] = ACTIONS(1719),
    [anon_sym_NA_character_] = ACTIONS(1719),
    [sym_dots] = ACTIONS(1716),
    [sym_dot_dot_i] = ACTIONS(1722),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1725),
    [sym__semicolon] = ACTIONS(1725),
    [sym__raw_string_literal] = ACTIONS(1728),
    [sym__external_open_parenthesis] = ACTIONS(1731),
    [sym__external_open_brace] = ACTIONS(1734),
  },
  [950] = {
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_BSLASH] = ACTIONS(1468),
    [anon_sym_function] = ACTIONS(1470),
    [anon_sym_EQ] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(1470),
    [anon_sym_for] = ACTIONS(1470),
    [anon_sym_while] = ACTIONS(1470),
    [anon_sym_repeat] = ACTIONS(1470),
    [anon_sym_QMARK] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_LT_DASH] = ACTIONS(1468),
    [anon_sym_LT_LT_DASH] = ACTIONS(1468),
    [anon_sym_COLON_EQ] = ACTIONS(1468),
    [anon_sym_DASH_GT] = ACTIONS(1470),
    [anon_sym_DASH_GT_GT] = ACTIONS(1468),
    [anon_sym_PIPE] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_PIPE_PIPE] = ACTIONS(1468),
    [anon_sym_AMP_AMP] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1468),
    [anon_sym_EQ_EQ] = ACTIONS(1468),
    [anon_sym_BANG_EQ] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_STAR_STAR] = ACTIONS(1468),
    [anon_sym_CARET] = ACTIONS(1468),
    [aux_sym_binary_operator_token1] = ACTIONS(1468),
    [anon_sym_PIPE_GT] = ACTIONS(1468),
    [anon_sym_COLON] = ACTIONS(1470),
    [anon_sym_DOLLAR] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(1468),
    [sym__hex_literal] = ACTIONS(1468),
    [sym__number_literal] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [sym_return] = ACTIONS(1470),
    [sym_next] = ACTIONS(1470),
    [sym_break] = ACTIONS(1470),
    [sym_true] = ACTIONS(1470),
    [sym_false] = ACTIONS(1470),
    [sym_null] = ACTIONS(1470),
    [sym_inf] = ACTIONS(1470),
    [sym_nan] = ACTIONS(1470),
    [anon_sym_NA] = ACTIONS(1470),
    [anon_sym_NA_integer_] = ACTIONS(1470),
    [anon_sym_NA_real_] = ACTIONS(1470),
    [anon_sym_NA_complex_] = ACTIONS(1470),
    [anon_sym_NA_character_] = ACTIONS(1470),
    [sym_dots] = ACTIONS(1470),
    [sym_dot_dot_i] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1468),
    [sym__newline] = ACTIONS(1468),
    [sym__raw_string_literal] = ACTIONS(1468),
    [sym__external_open_parenthesis] = ACTIONS(1468),
    [sym__external_open_brace] = ACTIONS(1468),
    [sym__external_open_bracket] = ACTIONS(1468),
    [sym__external_open_bracket2] = ACTIONS(1468),
    [sym__external_close_bracket2] = ACTIONS(1468),
  },
  [951] = {
    [sym_identifier] = ACTIONS(1474),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_function] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1474),
    [anon_sym_if] = ACTIONS(1474),
    [anon_sym_for] = ACTIONS(1474),
    [anon_sym_while] = ACTIONS(1474),
    [anon_sym_repeat] = ACTIONS(1474),
    [anon_sym_QMARK] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_LT_DASH] = ACTIONS(1472),
    [anon_sym_LT_LT_DASH] = ACTIONS(1472),
    [anon_sym_COLON_EQ] = ACTIONS(1472),
    [anon_sym_DASH_GT] = ACTIONS(1474),
    [anon_sym_DASH_GT_GT] = ACTIONS(1472),
    [anon_sym_PIPE] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_PIPE_PIPE] = ACTIONS(1472),
    [anon_sym_AMP_AMP] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1474),
    [anon_sym_LT_EQ] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1474),
    [anon_sym_GT_EQ] = ACTIONS(1472),
    [anon_sym_EQ_EQ] = ACTIONS(1472),
    [anon_sym_BANG_EQ] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_STAR_STAR] = ACTIONS(1472),
    [anon_sym_CARET] = ACTIONS(1472),
    [aux_sym_binary_operator_token1] = ACTIONS(1472),
    [anon_sym_PIPE_GT] = ACTIONS(1472),
    [anon_sym_COLON] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1472),
    [sym__hex_literal] = ACTIONS(1472),
    [sym__number_literal] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [sym_return] = ACTIONS(1474),
    [sym_next] = ACTIONS(1474),
    [sym_break] = ACTIONS(1474),
    [sym_true] = ACTIONS(1474),
    [sym_false] = ACTIONS(1474),
    [sym_null] = ACTIONS(1474),
    [sym_inf] = ACTIONS(1474),
    [sym_nan] = ACTIONS(1474),
    [anon_sym_NA] = ACTIONS(1474),
    [anon_sym_NA_integer_] = ACTIONS(1474),
    [anon_sym_NA_real_] = ACTIONS(1474),
    [anon_sym_NA_complex_] = ACTIONS(1474),
    [anon_sym_NA_character_] = ACTIONS(1474),
    [sym_dots] = ACTIONS(1474),
    [sym_dot_dot_i] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1472),
    [sym__newline] = ACTIONS(1472),
    [sym__raw_string_literal] = ACTIONS(1472),
    [sym__external_open_parenthesis] = ACTIONS(1472),
    [sym__external_open_brace] = ACTIONS(1472),
    [sym__external_open_bracket] = ACTIONS(1472),
    [sym__external_open_bracket2] = ACTIONS(1472),
    [sym__external_close_bracket2] = ACTIONS(1472),
  },
  [952] = {
    [sym_identifier] = ACTIONS(1414),
    [anon_sym_BSLASH] = ACTIONS(1416),
    [anon_sym_function] = ACTIONS(1414),
    [anon_sym_EQ] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1414),
    [anon_sym_for] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_repeat] = ACTIONS(1414),
    [anon_sym_QMARK] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_LT_DASH] = ACTIONS(1416),
    [anon_sym_LT_LT_DASH] = ACTIONS(1416),
    [anon_sym_COLON_EQ] = ACTIONS(1416),
    [anon_sym_DASH_GT] = ACTIONS(1414),
    [anon_sym_DASH_GT_GT] = ACTIONS(1416),
    [anon_sym_PIPE] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_PIPE_PIPE] = ACTIONS(1416),
    [anon_sym_AMP_AMP] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1416),
    [anon_sym_EQ_EQ] = ACTIONS(1416),
    [anon_sym_BANG_EQ] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_STAR_STAR] = ACTIONS(1416),
    [anon_sym_CARET] = ACTIONS(1416),
    [aux_sym_binary_operator_token1] = ACTIONS(1416),
    [anon_sym_PIPE_GT] = ACTIONS(1416),
    [anon_sym_COLON] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [sym__hex_literal] = ACTIONS(1416),
    [sym__number_literal] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [sym_return] = ACTIONS(1414),
    [sym_next] = ACTIONS(1414),
    [sym_break] = ACTIONS(1414),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [sym_null] = ACTIONS(1414),
    [sym_inf] = ACTIONS(1414),
    [sym_nan] = ACTIONS(1414),
    [anon_sym_NA] = ACTIONS(1414),
    [anon_sym_NA_integer_] = ACTIONS(1414),
    [anon_sym_NA_real_] = ACTIONS(1414),
    [anon_sym_NA_complex_] = ACTIONS(1414),
    [anon_sym_NA_character_] = ACTIONS(1414),
    [sym_dots] = ACTIONS(1414),
    [sym_dot_dot_i] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1416),
    [sym__newline] = ACTIONS(1416),
    [sym__raw_string_literal] = ACTIONS(1416),
    [sym__external_open_parenthesis] = ACTIONS(1416),
    [sym__external_open_brace] = ACTIONS(1416),
    [sym__external_open_bracket] = ACTIONS(1416),
    [sym__external_open_bracket2] = ACTIONS(1416),
    [sym__external_close_bracket2] = ACTIONS(1416),
  },
  [953] = {
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_function] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [anon_sym_if] = ACTIONS(1462),
    [anon_sym_for] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1462),
    [anon_sym_repeat] = ACTIONS(1462),
    [anon_sym_QMARK] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_LT_DASH] = ACTIONS(1460),
    [anon_sym_LT_LT_DASH] = ACTIONS(1460),
    [anon_sym_COLON_EQ] = ACTIONS(1460),
    [anon_sym_DASH_GT] = ACTIONS(1462),
    [anon_sym_DASH_GT_GT] = ACTIONS(1460),
    [anon_sym_PIPE] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_PIPE_PIPE] = ACTIONS(1460),
    [anon_sym_AMP_AMP] = ACTIONS(1460),
    [anon_sym_LT] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1460),
    [anon_sym_EQ_EQ] = ACTIONS(1460),
    [anon_sym_BANG_EQ] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_STAR_STAR] = ACTIONS(1460),
    [anon_sym_CARET] = ACTIONS(1460),
    [aux_sym_binary_operator_token1] = ACTIONS(1460),
    [anon_sym_PIPE_GT] = ACTIONS(1460),
    [anon_sym_COLON] = ACTIONS(1462),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1460),
    [sym__hex_literal] = ACTIONS(1460),
    [sym__number_literal] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [sym_return] = ACTIONS(1462),
    [sym_next] = ACTIONS(1462),
    [sym_break] = ACTIONS(1462),
    [sym_true] = ACTIONS(1462),
    [sym_false] = ACTIONS(1462),
    [sym_null] = ACTIONS(1462),
    [sym_inf] = ACTIONS(1462),
    [sym_nan] = ACTIONS(1462),
    [anon_sym_NA] = ACTIONS(1462),
    [anon_sym_NA_integer_] = ACTIONS(1462),
    [anon_sym_NA_real_] = ACTIONS(1462),
    [anon_sym_NA_complex_] = ACTIONS(1462),
    [anon_sym_NA_character_] = ACTIONS(1462),
    [sym_dots] = ACTIONS(1462),
    [sym_dot_dot_i] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1460),
    [sym__semicolon] = ACTIONS(1460),
    [sym__raw_string_literal] = ACTIONS(1460),
    [sym__external_open_parenthesis] = ACTIONS(1460),
    [sym__external_open_brace] = ACTIONS(1460),
    [sym__external_close_brace] = ACTIONS(1460),
    [sym__external_open_bracket] = ACTIONS(1460),
    [sym__external_open_bracket2] = ACTIONS(1460),
  },
  [954] = {
    [ts_builtin_sym_end] = ACTIONS(1464),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_BSLASH] = ACTIONS(1464),
    [anon_sym_function] = ACTIONS(1466),
    [anon_sym_EQ] = ACTIONS(1466),
    [anon_sym_if] = ACTIONS(1466),
    [anon_sym_for] = ACTIONS(1466),
    [anon_sym_while] = ACTIONS(1466),
    [anon_sym_repeat] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_LT_DASH] = ACTIONS(1464),
    [anon_sym_LT_LT_DASH] = ACTIONS(1464),
    [anon_sym_COLON_EQ] = ACTIONS(1464),
    [anon_sym_DASH_GT] = ACTIONS(1466),
    [anon_sym_DASH_GT_GT] = ACTIONS(1464),
    [anon_sym_PIPE] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_PIPE_PIPE] = ACTIONS(1464),
    [anon_sym_AMP_AMP] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1464),
    [anon_sym_EQ_EQ] = ACTIONS(1464),
    [anon_sym_BANG_EQ] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_STAR_STAR] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [aux_sym_binary_operator_token1] = ACTIONS(1464),
    [anon_sym_PIPE_GT] = ACTIONS(1464),
    [anon_sym_COLON] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1464),
    [anon_sym_AT] = ACTIONS(1464),
    [sym__hex_literal] = ACTIONS(1464),
    [sym__number_literal] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [sym_return] = ACTIONS(1466),
    [sym_next] = ACTIONS(1466),
    [sym_break] = ACTIONS(1466),
    [sym_true] = ACTIONS(1466),
    [sym_false] = ACTIONS(1466),
    [sym_null] = ACTIONS(1466),
    [sym_inf] = ACTIONS(1466),
    [sym_nan] = ACTIONS(1466),
    [anon_sym_NA] = ACTIONS(1466),
    [anon_sym_NA_integer_] = ACTIONS(1466),
    [anon_sym_NA_real_] = ACTIONS(1466),
    [anon_sym_NA_complex_] = ACTIONS(1466),
    [anon_sym_NA_character_] = ACTIONS(1466),
    [sym_dots] = ACTIONS(1466),
    [sym_dot_dot_i] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1464),
    [sym__semicolon] = ACTIONS(1464),
    [sym__raw_string_literal] = ACTIONS(1464),
    [sym__external_open_parenthesis] = ACTIONS(1464),
    [sym__external_open_brace] = ACTIONS(1464),
    [sym__external_open_bracket] = ACTIONS(1464),
    [sym__external_open_bracket2] = ACTIONS(1464),
  },
  [955] = {
    [ts_builtin_sym_end] = ACTIONS(1468),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_BSLASH] = ACTIONS(1468),
    [anon_sym_function] = ACTIONS(1470),
    [anon_sym_EQ] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(1470),
    [anon_sym_for] = ACTIONS(1470),
    [anon_sym_while] = ACTIONS(1470),
    [anon_sym_repeat] = ACTIONS(1470),
    [anon_sym_QMARK] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_LT_DASH] = ACTIONS(1468),
    [anon_sym_LT_LT_DASH] = ACTIONS(1468),
    [anon_sym_COLON_EQ] = ACTIONS(1468),
    [anon_sym_DASH_GT] = ACTIONS(1470),
    [anon_sym_DASH_GT_GT] = ACTIONS(1468),
    [anon_sym_PIPE] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_PIPE_PIPE] = ACTIONS(1468),
    [anon_sym_AMP_AMP] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1468),
    [anon_sym_EQ_EQ] = ACTIONS(1468),
    [anon_sym_BANG_EQ] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_STAR_STAR] = ACTIONS(1468),
    [anon_sym_CARET] = ACTIONS(1468),
    [aux_sym_binary_operator_token1] = ACTIONS(1468),
    [anon_sym_PIPE_GT] = ACTIONS(1468),
    [anon_sym_COLON] = ACTIONS(1470),
    [anon_sym_DOLLAR] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(1468),
    [sym__hex_literal] = ACTIONS(1468),
    [sym__number_literal] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [sym_return] = ACTIONS(1470),
    [sym_next] = ACTIONS(1470),
    [sym_break] = ACTIONS(1470),
    [sym_true] = ACTIONS(1470),
    [sym_false] = ACTIONS(1470),
    [sym_null] = ACTIONS(1470),
    [sym_inf] = ACTIONS(1470),
    [sym_nan] = ACTIONS(1470),
    [anon_sym_NA] = ACTIONS(1470),
    [anon_sym_NA_integer_] = ACTIONS(1470),
    [anon_sym_NA_real_] = ACTIONS(1470),
    [anon_sym_NA_complex_] = ACTIONS(1470),
    [anon_sym_NA_character_] = ACTIONS(1470),
    [sym_dots] = ACTIONS(1470),
    [sym_dot_dot_i] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1468),
    [sym__semicolon] = ACTIONS(1468),
    [sym__raw_string_literal] = ACTIONS(1468),
    [sym__external_open_parenthesis] = ACTIONS(1468),
    [sym__external_open_brace] = ACTIONS(1468),
    [sym__external_open_bracket] = ACTIONS(1468),
    [sym__external_open_bracket2] = ACTIONS(1468),
  },
  [956] = {
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_BSLASH] = ACTIONS(1464),
    [anon_sym_function] = ACTIONS(1466),
    [anon_sym_EQ] = ACTIONS(1466),
    [anon_sym_if] = ACTIONS(1466),
    [anon_sym_for] = ACTIONS(1466),
    [anon_sym_while] = ACTIONS(1466),
    [anon_sym_repeat] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_LT_DASH] = ACTIONS(1464),
    [anon_sym_LT_LT_DASH] = ACTIONS(1464),
    [anon_sym_COLON_EQ] = ACTIONS(1464),
    [anon_sym_DASH_GT] = ACTIONS(1466),
    [anon_sym_DASH_GT_GT] = ACTIONS(1464),
    [anon_sym_PIPE] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_PIPE_PIPE] = ACTIONS(1464),
    [anon_sym_AMP_AMP] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1464),
    [anon_sym_EQ_EQ] = ACTIONS(1464),
    [anon_sym_BANG_EQ] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_STAR_STAR] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [aux_sym_binary_operator_token1] = ACTIONS(1464),
    [anon_sym_PIPE_GT] = ACTIONS(1464),
    [anon_sym_COLON] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1464),
    [anon_sym_AT] = ACTIONS(1464),
    [sym__hex_literal] = ACTIONS(1464),
    [sym__number_literal] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [sym_return] = ACTIONS(1466),
    [sym_next] = ACTIONS(1466),
    [sym_break] = ACTIONS(1466),
    [sym_true] = ACTIONS(1466),
    [sym_false] = ACTIONS(1466),
    [sym_null] = ACTIONS(1466),
    [sym_inf] = ACTIONS(1466),
    [sym_nan] = ACTIONS(1466),
    [anon_sym_NA] = ACTIONS(1466),
    [anon_sym_NA_integer_] = ACTIONS(1466),
    [anon_sym_NA_real_] = ACTIONS(1466),
    [anon_sym_NA_complex_] = ACTIONS(1466),
    [anon_sym_NA_character_] = ACTIONS(1466),
    [sym_dots] = ACTIONS(1466),
    [sym_dot_dot_i] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1464),
    [sym__semicolon] = ACTIONS(1464),
    [sym__raw_string_literal] = ACTIONS(1464),
    [sym__external_open_parenthesis] = ACTIONS(1464),
    [sym__external_open_brace] = ACTIONS(1464),
    [sym__external_close_brace] = ACTIONS(1464),
    [sym__external_open_bracket] = ACTIONS(1464),
    [sym__external_open_bracket2] = ACTIONS(1464),
  },
  [957] = {
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_BSLASH] = ACTIONS(1468),
    [anon_sym_function] = ACTIONS(1470),
    [anon_sym_EQ] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(1470),
    [anon_sym_for] = ACTIONS(1470),
    [anon_sym_while] = ACTIONS(1470),
    [anon_sym_repeat] = ACTIONS(1470),
    [anon_sym_QMARK] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_LT_DASH] = ACTIONS(1468),
    [anon_sym_LT_LT_DASH] = ACTIONS(1468),
    [anon_sym_COLON_EQ] = ACTIONS(1468),
    [anon_sym_DASH_GT] = ACTIONS(1470),
    [anon_sym_DASH_GT_GT] = ACTIONS(1468),
    [anon_sym_PIPE] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_PIPE_PIPE] = ACTIONS(1468),
    [anon_sym_AMP_AMP] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1468),
    [anon_sym_EQ_EQ] = ACTIONS(1468),
    [anon_sym_BANG_EQ] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_STAR_STAR] = ACTIONS(1468),
    [anon_sym_CARET] = ACTIONS(1468),
    [aux_sym_binary_operator_token1] = ACTIONS(1468),
    [anon_sym_PIPE_GT] = ACTIONS(1468),
    [anon_sym_COLON] = ACTIONS(1470),
    [anon_sym_DOLLAR] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(1468),
    [sym__hex_literal] = ACTIONS(1468),
    [sym__number_literal] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [sym_return] = ACTIONS(1470),
    [sym_next] = ACTIONS(1470),
    [sym_break] = ACTIONS(1470),
    [sym_true] = ACTIONS(1470),
    [sym_false] = ACTIONS(1470),
    [sym_null] = ACTIONS(1470),
    [sym_inf] = ACTIONS(1470),
    [sym_nan] = ACTIONS(1470),
    [anon_sym_NA] = ACTIONS(1470),
    [anon_sym_NA_integer_] = ACTIONS(1470),
    [anon_sym_NA_real_] = ACTIONS(1470),
    [anon_sym_NA_complex_] = ACTIONS(1470),
    [anon_sym_NA_character_] = ACTIONS(1470),
    [sym_dots] = ACTIONS(1470),
    [sym_dot_dot_i] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1468),
    [sym__semicolon] = ACTIONS(1468),
    [sym__raw_string_literal] = ACTIONS(1468),
    [sym__external_open_parenthesis] = ACTIONS(1468),
    [sym__external_open_brace] = ACTIONS(1468),
    [sym__external_close_brace] = ACTIONS(1468),
    [sym__external_open_bracket] = ACTIONS(1468),
    [sym__external_open_bracket2] = ACTIONS(1468),
  },
  [958] = {
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_BSLASH] = ACTIONS(1476),
    [anon_sym_function] = ACTIONS(1478),
    [anon_sym_EQ] = ACTIONS(1478),
    [anon_sym_if] = ACTIONS(1478),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_while] = ACTIONS(1478),
    [anon_sym_repeat] = ACTIONS(1478),
    [anon_sym_QMARK] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_LT_DASH] = ACTIONS(1476),
    [anon_sym_LT_LT_DASH] = ACTIONS(1476),
    [anon_sym_COLON_EQ] = ACTIONS(1476),
    [anon_sym_DASH_GT] = ACTIONS(1478),
    [anon_sym_DASH_GT_GT] = ACTIONS(1476),
    [anon_sym_PIPE] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_PIPE_PIPE] = ACTIONS(1476),
    [anon_sym_AMP_AMP] = ACTIONS(1476),
    [anon_sym_LT] = ACTIONS(1478),
    [anon_sym_LT_EQ] = ACTIONS(1476),
    [anon_sym_GT] = ACTIONS(1478),
    [anon_sym_GT_EQ] = ACTIONS(1476),
    [anon_sym_EQ_EQ] = ACTIONS(1476),
    [anon_sym_BANG_EQ] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_SLASH] = ACTIONS(1476),
    [anon_sym_STAR_STAR] = ACTIONS(1476),
    [anon_sym_CARET] = ACTIONS(1476),
    [aux_sym_binary_operator_token1] = ACTIONS(1476),
    [anon_sym_PIPE_GT] = ACTIONS(1476),
    [anon_sym_COLON] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [sym__hex_literal] = ACTIONS(1476),
    [sym__number_literal] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [sym_return] = ACTIONS(1478),
    [sym_next] = ACTIONS(1478),
    [sym_break] = ACTIONS(1478),
    [sym_true] = ACTIONS(1478),
    [sym_false] = ACTIONS(1478),
    [sym_null] = ACTIONS(1478),
    [sym_inf] = ACTIONS(1478),
    [sym_nan] = ACTIONS(1478),
    [anon_sym_NA] = ACTIONS(1478),
    [anon_sym_NA_integer_] = ACTIONS(1478),
    [anon_sym_NA_real_] = ACTIONS(1478),
    [anon_sym_NA_complex_] = ACTIONS(1478),
    [anon_sym_NA_character_] = ACTIONS(1478),
    [sym_dots] = ACTIONS(1478),
    [sym_dot_dot_i] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1476),
    [sym__newline] = ACTIONS(1476),
    [sym__raw_string_literal] = ACTIONS(1476),
    [sym__external_open_parenthesis] = ACTIONS(1476),
    [sym__external_open_brace] = ACTIONS(1476),
    [sym__external_open_bracket] = ACTIONS(1476),
    [sym__external_open_bracket2] = ACTIONS(1476),
    [sym__external_close_bracket2] = ACTIONS(1476),
  },
  [959] = {
    [sym_identifier] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1480),
    [anon_sym_function] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1482),
    [anon_sym_if] = ACTIONS(1482),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_while] = ACTIONS(1482),
    [anon_sym_repeat] = ACTIONS(1482),
    [anon_sym_QMARK] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_LT_DASH] = ACTIONS(1480),
    [anon_sym_LT_LT_DASH] = ACTIONS(1480),
    [anon_sym_COLON_EQ] = ACTIONS(1480),
    [anon_sym_DASH_GT] = ACTIONS(1482),
    [anon_sym_DASH_GT_GT] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1482),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1482),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_SLASH] = ACTIONS(1480),
    [anon_sym_STAR_STAR] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [aux_sym_binary_operator_token1] = ACTIONS(1480),
    [anon_sym_PIPE_GT] = ACTIONS(1480),
    [anon_sym_COLON] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [sym__hex_literal] = ACTIONS(1480),
    [sym__number_literal] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [sym_return] = ACTIONS(1482),
    [sym_next] = ACTIONS(1482),
    [sym_break] = ACTIONS(1482),
    [sym_true] = ACTIONS(1482),
    [sym_false] = ACTIONS(1482),
    [sym_null] = ACTIONS(1482),
    [sym_inf] = ACTIONS(1482),
    [sym_nan] = ACTIONS(1482),
    [anon_sym_NA] = ACTIONS(1482),
    [anon_sym_NA_integer_] = ACTIONS(1482),
    [anon_sym_NA_real_] = ACTIONS(1482),
    [anon_sym_NA_complex_] = ACTIONS(1482),
    [anon_sym_NA_character_] = ACTIONS(1482),
    [sym_dots] = ACTIONS(1482),
    [sym_dot_dot_i] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1480),
    [sym__newline] = ACTIONS(1480),
    [sym__raw_string_literal] = ACTIONS(1480),
    [sym__external_open_parenthesis] = ACTIONS(1480),
    [sym__external_open_brace] = ACTIONS(1480),
    [sym__external_open_bracket] = ACTIONS(1480),
    [sym__external_open_bracket2] = ACTIONS(1480),
    [sym__external_close_bracket2] = ACTIONS(1480),
  },
  [960] = {
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_BSLASH] = ACTIONS(1484),
    [anon_sym_function] = ACTIONS(1486),
    [anon_sym_EQ] = ACTIONS(1486),
    [anon_sym_if] = ACTIONS(1486),
    [anon_sym_for] = ACTIONS(1486),
    [anon_sym_while] = ACTIONS(1486),
    [anon_sym_repeat] = ACTIONS(1486),
    [anon_sym_QMARK] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_LT_DASH] = ACTIONS(1484),
    [anon_sym_LT_LT_DASH] = ACTIONS(1484),
    [anon_sym_COLON_EQ] = ACTIONS(1484),
    [anon_sym_DASH_GT] = ACTIONS(1486),
    [anon_sym_DASH_GT_GT] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_AMP_AMP] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_GT] = ACTIONS(1486),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_EQ_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_SLASH] = ACTIONS(1484),
    [anon_sym_STAR_STAR] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [aux_sym_binary_operator_token1] = ACTIONS(1484),
    [anon_sym_PIPE_GT] = ACTIONS(1484),
    [anon_sym_COLON] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [sym__hex_literal] = ACTIONS(1484),
    [sym__number_literal] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [sym_return] = ACTIONS(1486),
    [sym_next] = ACTIONS(1486),
    [sym_break] = ACTIONS(1486),
    [sym_true] = ACTIONS(1486),
    [sym_false] = ACTIONS(1486),
    [sym_null] = ACTIONS(1486),
    [sym_inf] = ACTIONS(1486),
    [sym_nan] = ACTIONS(1486),
    [anon_sym_NA] = ACTIONS(1486),
    [anon_sym_NA_integer_] = ACTIONS(1486),
    [anon_sym_NA_real_] = ACTIONS(1486),
    [anon_sym_NA_complex_] = ACTIONS(1486),
    [anon_sym_NA_character_] = ACTIONS(1486),
    [sym_dots] = ACTIONS(1486),
    [sym_dot_dot_i] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1484),
    [sym__newline] = ACTIONS(1484),
    [sym__raw_string_literal] = ACTIONS(1484),
    [sym__external_open_parenthesis] = ACTIONS(1484),
    [sym__external_open_brace] = ACTIONS(1484),
    [sym__external_open_bracket] = ACTIONS(1484),
    [sym__external_open_bracket2] = ACTIONS(1484),
    [sym__external_close_bracket2] = ACTIONS(1484),
  },
  [961] = {
    [sym_identifier] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(1521),
    [anon_sym_function] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(1523),
    [anon_sym_for] = ACTIONS(1523),
    [anon_sym_while] = ACTIONS(1523),
    [anon_sym_repeat] = ACTIONS(1523),
    [anon_sym_QMARK] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1523),
    [anon_sym_LT_DASH] = ACTIONS(1521),
    [anon_sym_LT_LT_DASH] = ACTIONS(1521),
    [anon_sym_COLON_EQ] = ACTIONS(1521),
    [anon_sym_DASH_GT] = ACTIONS(1523),
    [anon_sym_DASH_GT_GT] = ACTIONS(1521),
    [anon_sym_PIPE] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_PIPE_PIPE] = ACTIONS(1521),
    [anon_sym_AMP_AMP] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1521),
    [anon_sym_STAR_STAR] = ACTIONS(1521),
    [anon_sym_CARET] = ACTIONS(1521),
    [aux_sym_binary_operator_token1] = ACTIONS(1521),
    [anon_sym_PIPE_GT] = ACTIONS(1521),
    [anon_sym_COLON] = ACTIONS(1523),
    [anon_sym_DOLLAR] = ACTIONS(1521),
    [anon_sym_AT] = ACTIONS(1521),
    [sym__hex_literal] = ACTIONS(1521),
    [sym__number_literal] = ACTIONS(1523),
    [anon_sym_SQUOTE] = ACTIONS(1521),
    [anon_sym_DQUOTE] = ACTIONS(1521),
    [sym_return] = ACTIONS(1523),
    [sym_next] = ACTIONS(1523),
    [sym_break] = ACTIONS(1523),
    [sym_true] = ACTIONS(1523),
    [sym_false] = ACTIONS(1523),
    [sym_null] = ACTIONS(1523),
    [sym_inf] = ACTIONS(1523),
    [sym_nan] = ACTIONS(1523),
    [anon_sym_NA] = ACTIONS(1523),
    [anon_sym_NA_integer_] = ACTIONS(1523),
    [anon_sym_NA_real_] = ACTIONS(1523),
    [anon_sym_NA_complex_] = ACTIONS(1523),
    [anon_sym_NA_character_] = ACTIONS(1523),
    [sym_dots] = ACTIONS(1523),
    [sym_dot_dot_i] = ACTIONS(1521),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1521),
    [sym__newline] = ACTIONS(1521),
    [sym__raw_string_literal] = ACTIONS(1521),
    [sym__external_open_parenthesis] = ACTIONS(1521),
    [sym__external_open_brace] = ACTIONS(1521),
    [sym__external_open_bracket] = ACTIONS(1521),
    [sym__external_close_bracket] = ACTIONS(1521),
    [sym__external_open_bracket2] = ACTIONS(1521),
  },
  [962] = {
    [sym_identifier] = ACTIONS(1499),
    [anon_sym_BSLASH] = ACTIONS(1497),
    [anon_sym_function] = ACTIONS(1499),
    [anon_sym_EQ] = ACTIONS(1499),
    [anon_sym_if] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1499),
    [anon_sym_while] = ACTIONS(1499),
    [anon_sym_repeat] = ACTIONS(1499),
    [anon_sym_QMARK] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(1497),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_LT_DASH] = ACTIONS(1497),
    [anon_sym_LT_LT_DASH] = ACTIONS(1497),
    [anon_sym_COLON_EQ] = ACTIONS(1497),
    [anon_sym_DASH_GT] = ACTIONS(1499),
    [anon_sym_DASH_GT_GT] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_AMP_AMP] = ACTIONS(1497),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_GT] = ACTIONS(1499),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_EQ_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1497),
    [anon_sym_STAR_STAR] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [aux_sym_binary_operator_token1] = ACTIONS(1497),
    [anon_sym_PIPE_GT] = ACTIONS(1497),
    [anon_sym_COLON] = ACTIONS(1499),
    [anon_sym_DOLLAR] = ACTIONS(1497),
    [anon_sym_AT] = ACTIONS(1497),
    [sym__hex_literal] = ACTIONS(1497),
    [sym__number_literal] = ACTIONS(1499),
    [anon_sym_SQUOTE] = ACTIONS(1497),
    [anon_sym_DQUOTE] = ACTIONS(1497),
    [sym_return] = ACTIONS(1499),
    [sym_next] = ACTIONS(1499),
    [sym_break] = ACTIONS(1499),
    [sym_true] = ACTIONS(1499),
    [sym_false] = ACTIONS(1499),
    [sym_null] = ACTIONS(1499),
    [sym_inf] = ACTIONS(1499),
    [sym_nan] = ACTIONS(1499),
    [anon_sym_NA] = ACTIONS(1499),
    [anon_sym_NA_integer_] = ACTIONS(1499),
    [anon_sym_NA_real_] = ACTIONS(1499),
    [anon_sym_NA_complex_] = ACTIONS(1499),
    [anon_sym_NA_character_] = ACTIONS(1499),
    [sym_dots] = ACTIONS(1499),
    [sym_dot_dot_i] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1497),
    [sym__newline] = ACTIONS(1497),
    [sym__raw_string_literal] = ACTIONS(1497),
    [sym__external_open_parenthesis] = ACTIONS(1497),
    [sym__external_close_parenthesis] = ACTIONS(1497),
    [sym__external_open_brace] = ACTIONS(1497),
    [sym__external_open_bracket] = ACTIONS(1497),
    [sym__external_open_bracket2] = ACTIONS(1497),
  },
  [963] = {
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(1501),
    [anon_sym_function] = ACTIONS(1503),
    [anon_sym_EQ] = ACTIONS(1503),
    [anon_sym_if] = ACTIONS(1503),
    [anon_sym_for] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_repeat] = ACTIONS(1503),
    [anon_sym_QMARK] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(1501),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_LT_DASH] = ACTIONS(1501),
    [anon_sym_LT_LT_DASH] = ACTIONS(1501),
    [anon_sym_COLON_EQ] = ACTIONS(1501),
    [anon_sym_DASH_GT] = ACTIONS(1503),
    [anon_sym_DASH_GT_GT] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_AMP] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_AMP_AMP] = ACTIONS(1501),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_GT] = ACTIONS(1503),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_EQ_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_SLASH] = ACTIONS(1501),
    [anon_sym_STAR_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [aux_sym_binary_operator_token1] = ACTIONS(1501),
    [anon_sym_PIPE_GT] = ACTIONS(1501),
    [anon_sym_COLON] = ACTIONS(1503),
    [anon_sym_DOLLAR] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(1501),
    [sym__hex_literal] = ACTIONS(1501),
    [sym__number_literal] = ACTIONS(1503),
    [anon_sym_SQUOTE] = ACTIONS(1501),
    [anon_sym_DQUOTE] = ACTIONS(1501),
    [sym_return] = ACTIONS(1503),
    [sym_next] = ACTIONS(1503),
    [sym_break] = ACTIONS(1503),
    [sym_true] = ACTIONS(1503),
    [sym_false] = ACTIONS(1503),
    [sym_null] = ACTIONS(1503),
    [sym_inf] = ACTIONS(1503),
    [sym_nan] = ACTIONS(1503),
    [anon_sym_NA] = ACTIONS(1503),
    [anon_sym_NA_integer_] = ACTIONS(1503),
    [anon_sym_NA_real_] = ACTIONS(1503),
    [anon_sym_NA_complex_] = ACTIONS(1503),
    [anon_sym_NA_character_] = ACTIONS(1503),
    [sym_dots] = ACTIONS(1503),
    [sym_dot_dot_i] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1501),
    [sym__newline] = ACTIONS(1501),
    [sym__raw_string_literal] = ACTIONS(1501),
    [sym__external_open_parenthesis] = ACTIONS(1501),
    [sym__external_close_parenthesis] = ACTIONS(1501),
    [sym__external_open_brace] = ACTIONS(1501),
    [sym__external_open_bracket] = ACTIONS(1501),
    [sym__external_open_bracket2] = ACTIONS(1501),
  },
  [964] = {
    [sym_identifier] = ACTIONS(1507),
    [anon_sym_BSLASH] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ] = ACTIONS(1507),
    [anon_sym_if] = ACTIONS(1507),
    [anon_sym_for] = ACTIONS(1507),
    [anon_sym_while] = ACTIONS(1507),
    [anon_sym_repeat] = ACTIONS(1507),
    [anon_sym_QMARK] = ACTIONS(1505),
    [anon_sym_TILDE] = ACTIONS(1505),
    [anon_sym_BANG] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_LT_DASH] = ACTIONS(1505),
    [anon_sym_LT_LT_DASH] = ACTIONS(1505),
    [anon_sym_COLON_EQ] = ACTIONS(1505),
    [anon_sym_DASH_GT] = ACTIONS(1507),
    [anon_sym_DASH_GT_GT] = ACTIONS(1505),
    [anon_sym_PIPE] = ACTIONS(1507),
    [anon_sym_AMP] = ACTIONS(1507),
    [anon_sym_PIPE_PIPE] = ACTIONS(1505),
    [anon_sym_AMP_AMP] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1507),
    [anon_sym_LT_EQ] = ACTIONS(1505),
    [anon_sym_GT] = ACTIONS(1507),
    [anon_sym_GT_EQ] = ACTIONS(1505),
    [anon_sym_EQ_EQ] = ACTIONS(1505),
    [anon_sym_BANG_EQ] = ACTIONS(1505),
    [anon_sym_STAR] = ACTIONS(1507),
    [anon_sym_SLASH] = ACTIONS(1505),
    [anon_sym_STAR_STAR] = ACTIONS(1505),
    [anon_sym_CARET] = ACTIONS(1505),
    [aux_sym_binary_operator_token1] = ACTIONS(1505),
    [anon_sym_PIPE_GT] = ACTIONS(1505),
    [anon_sym_COLON] = ACTIONS(1507),
    [anon_sym_DOLLAR] = ACTIONS(1505),
    [anon_sym_AT] = ACTIONS(1505),
    [sym__hex_literal] = ACTIONS(1505),
    [sym__number_literal] = ACTIONS(1507),
    [anon_sym_SQUOTE] = ACTIONS(1505),
    [anon_sym_DQUOTE] = ACTIONS(1505),
    [sym_return] = ACTIONS(1507),
    [sym_next] = ACTIONS(1507),
    [sym_break] = ACTIONS(1507),
    [sym_true] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_null] = ACTIONS(1507),
    [sym_inf] = ACTIONS(1507),
    [sym_nan] = ACTIONS(1507),
    [anon_sym_NA] = ACTIONS(1507),
    [anon_sym_NA_integer_] = ACTIONS(1507),
    [anon_sym_NA_real_] = ACTIONS(1507),
    [anon_sym_NA_complex_] = ACTIONS(1507),
    [anon_sym_NA_character_] = ACTIONS(1507),
    [sym_dots] = ACTIONS(1507),
    [sym_dot_dot_i] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1505),
    [sym__newline] = ACTIONS(1505),
    [sym__raw_string_literal] = ACTIONS(1505),
    [sym__external_open_parenthesis] = ACTIONS(1505),
    [sym__external_close_parenthesis] = ACTIONS(1505),
    [sym__external_open_brace] = ACTIONS(1505),
    [sym__external_open_bracket] = ACTIONS(1505),
    [sym__external_open_bracket2] = ACTIONS(1505),
  },
  [965] = {
    [sym_identifier] = ACTIONS(1474),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_function] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1474),
    [anon_sym_if] = ACTIONS(1474),
    [anon_sym_for] = ACTIONS(1474),
    [anon_sym_while] = ACTIONS(1474),
    [anon_sym_repeat] = ACTIONS(1474),
    [anon_sym_QMARK] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_LT_DASH] = ACTIONS(1472),
    [anon_sym_LT_LT_DASH] = ACTIONS(1472),
    [anon_sym_COLON_EQ] = ACTIONS(1472),
    [anon_sym_DASH_GT] = ACTIONS(1474),
    [anon_sym_DASH_GT_GT] = ACTIONS(1472),
    [anon_sym_PIPE] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_PIPE_PIPE] = ACTIONS(1472),
    [anon_sym_AMP_AMP] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1474),
    [anon_sym_LT_EQ] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1474),
    [anon_sym_GT_EQ] = ACTIONS(1472),
    [anon_sym_EQ_EQ] = ACTIONS(1472),
    [anon_sym_BANG_EQ] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_STAR_STAR] = ACTIONS(1472),
    [anon_sym_CARET] = ACTIONS(1472),
    [aux_sym_binary_operator_token1] = ACTIONS(1472),
    [anon_sym_PIPE_GT] = ACTIONS(1472),
    [anon_sym_COLON] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1472),
    [sym__hex_literal] = ACTIONS(1472),
    [sym__number_literal] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [sym_return] = ACTIONS(1474),
    [sym_next] = ACTIONS(1474),
    [sym_break] = ACTIONS(1474),
    [sym_true] = ACTIONS(1474),
    [sym_false] = ACTIONS(1474),
    [sym_null] = ACTIONS(1474),
    [sym_inf] = ACTIONS(1474),
    [sym_nan] = ACTIONS(1474),
    [anon_sym_NA] = ACTIONS(1474),
    [anon_sym_NA_integer_] = ACTIONS(1474),
    [anon_sym_NA_real_] = ACTIONS(1474),
    [anon_sym_NA_complex_] = ACTIONS(1474),
    [anon_sym_NA_character_] = ACTIONS(1474),
    [sym_dots] = ACTIONS(1474),
    [sym_dot_dot_i] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1472),
    [sym__semicolon] = ACTIONS(1472),
    [sym__raw_string_literal] = ACTIONS(1472),
    [sym__external_open_parenthesis] = ACTIONS(1472),
    [sym__external_open_brace] = ACTIONS(1472),
    [sym__external_close_brace] = ACTIONS(1472),
    [sym__external_open_bracket] = ACTIONS(1472),
    [sym__external_open_bracket2] = ACTIONS(1472),
  },
  [966] = {
    [sym_identifier] = ACTIONS(1414),
    [anon_sym_BSLASH] = ACTIONS(1416),
    [anon_sym_function] = ACTIONS(1414),
    [anon_sym_EQ] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1414),
    [anon_sym_for] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_repeat] = ACTIONS(1414),
    [anon_sym_QMARK] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_LT_DASH] = ACTIONS(1416),
    [anon_sym_LT_LT_DASH] = ACTIONS(1416),
    [anon_sym_COLON_EQ] = ACTIONS(1416),
    [anon_sym_DASH_GT] = ACTIONS(1414),
    [anon_sym_DASH_GT_GT] = ACTIONS(1416),
    [anon_sym_PIPE] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_PIPE_PIPE] = ACTIONS(1416),
    [anon_sym_AMP_AMP] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1416),
    [anon_sym_EQ_EQ] = ACTIONS(1416),
    [anon_sym_BANG_EQ] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_STAR_STAR] = ACTIONS(1416),
    [anon_sym_CARET] = ACTIONS(1416),
    [aux_sym_binary_operator_token1] = ACTIONS(1416),
    [anon_sym_PIPE_GT] = ACTIONS(1416),
    [anon_sym_COLON] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [sym__hex_literal] = ACTIONS(1416),
    [sym__number_literal] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [sym_return] = ACTIONS(1414),
    [sym_next] = ACTIONS(1414),
    [sym_break] = ACTIONS(1414),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [sym_null] = ACTIONS(1414),
    [sym_inf] = ACTIONS(1414),
    [sym_nan] = ACTIONS(1414),
    [anon_sym_NA] = ACTIONS(1414),
    [anon_sym_NA_integer_] = ACTIONS(1414),
    [anon_sym_NA_real_] = ACTIONS(1414),
    [anon_sym_NA_complex_] = ACTIONS(1414),
    [anon_sym_NA_character_] = ACTIONS(1414),
    [sym_dots] = ACTIONS(1414),
    [sym_dot_dot_i] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1416),
    [sym__semicolon] = ACTIONS(1416),
    [sym__raw_string_literal] = ACTIONS(1416),
    [sym__external_open_parenthesis] = ACTIONS(1416),
    [sym__external_open_brace] = ACTIONS(1416),
    [sym__external_close_brace] = ACTIONS(1416),
    [sym__external_open_bracket] = ACTIONS(1416),
    [sym__external_open_bracket2] = ACTIONS(1416),
  },
  [967] = {
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_BSLASH] = ACTIONS(1476),
    [anon_sym_function] = ACTIONS(1478),
    [anon_sym_EQ] = ACTIONS(1478),
    [anon_sym_if] = ACTIONS(1478),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_while] = ACTIONS(1478),
    [anon_sym_repeat] = ACTIONS(1478),
    [anon_sym_QMARK] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_LT_DASH] = ACTIONS(1476),
    [anon_sym_LT_LT_DASH] = ACTIONS(1476),
    [anon_sym_COLON_EQ] = ACTIONS(1476),
    [anon_sym_DASH_GT] = ACTIONS(1478),
    [anon_sym_DASH_GT_GT] = ACTIONS(1476),
    [anon_sym_PIPE] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_PIPE_PIPE] = ACTIONS(1476),
    [anon_sym_AMP_AMP] = ACTIONS(1476),
    [anon_sym_LT] = ACTIONS(1478),
    [anon_sym_LT_EQ] = ACTIONS(1476),
    [anon_sym_GT] = ACTIONS(1478),
    [anon_sym_GT_EQ] = ACTIONS(1476),
    [anon_sym_EQ_EQ] = ACTIONS(1476),
    [anon_sym_BANG_EQ] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_SLASH] = ACTIONS(1476),
    [anon_sym_STAR_STAR] = ACTIONS(1476),
    [anon_sym_CARET] = ACTIONS(1476),
    [aux_sym_binary_operator_token1] = ACTIONS(1476),
    [anon_sym_PIPE_GT] = ACTIONS(1476),
    [anon_sym_COLON] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [sym__hex_literal] = ACTIONS(1476),
    [sym__number_literal] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [sym_return] = ACTIONS(1478),
    [sym_next] = ACTIONS(1478),
    [sym_break] = ACTIONS(1478),
    [sym_true] = ACTIONS(1478),
    [sym_false] = ACTIONS(1478),
    [sym_null] = ACTIONS(1478),
    [sym_inf] = ACTIONS(1478),
    [sym_nan] = ACTIONS(1478),
    [anon_sym_NA] = ACTIONS(1478),
    [anon_sym_NA_integer_] = ACTIONS(1478),
    [anon_sym_NA_real_] = ACTIONS(1478),
    [anon_sym_NA_complex_] = ACTIONS(1478),
    [anon_sym_NA_character_] = ACTIONS(1478),
    [sym_dots] = ACTIONS(1478),
    [sym_dot_dot_i] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1476),
    [sym__semicolon] = ACTIONS(1476),
    [sym__raw_string_literal] = ACTIONS(1476),
    [sym__external_open_parenthesis] = ACTIONS(1476),
    [sym__external_open_brace] = ACTIONS(1476),
    [sym__external_close_brace] = ACTIONS(1476),
    [sym__external_open_bracket] = ACTIONS(1476),
    [sym__external_open_bracket2] = ACTIONS(1476),
  },
  [968] = {
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(1509),
    [anon_sym_function] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_for] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1511),
    [anon_sym_repeat] = ACTIONS(1511),
    [anon_sym_QMARK] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(1509),
    [anon_sym_BANG] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_LT_DASH] = ACTIONS(1509),
    [anon_sym_LT_LT_DASH] = ACTIONS(1509),
    [anon_sym_COLON_EQ] = ACTIONS(1509),
    [anon_sym_DASH_GT] = ACTIONS(1511),
    [anon_sym_DASH_GT_GT] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_AMP_AMP] = ACTIONS(1509),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT] = ACTIONS(1511),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_EQ_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_STAR] = ACTIONS(1511),
    [anon_sym_SLASH] = ACTIONS(1509),
    [anon_sym_STAR_STAR] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [aux_sym_binary_operator_token1] = ACTIONS(1509),
    [anon_sym_PIPE_GT] = ACTIONS(1509),
    [anon_sym_COLON] = ACTIONS(1511),
    [anon_sym_DOLLAR] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(1509),
    [sym__hex_literal] = ACTIONS(1509),
    [sym__number_literal] = ACTIONS(1511),
    [anon_sym_SQUOTE] = ACTIONS(1509),
    [anon_sym_DQUOTE] = ACTIONS(1509),
    [sym_return] = ACTIONS(1511),
    [sym_next] = ACTIONS(1511),
    [sym_break] = ACTIONS(1511),
    [sym_true] = ACTIONS(1511),
    [sym_false] = ACTIONS(1511),
    [sym_null] = ACTIONS(1511),
    [sym_inf] = ACTIONS(1511),
    [sym_nan] = ACTIONS(1511),
    [anon_sym_NA] = ACTIONS(1511),
    [anon_sym_NA_integer_] = ACTIONS(1511),
    [anon_sym_NA_real_] = ACTIONS(1511),
    [anon_sym_NA_complex_] = ACTIONS(1511),
    [anon_sym_NA_character_] = ACTIONS(1511),
    [sym_dots] = ACTIONS(1511),
    [sym_dot_dot_i] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1509),
    [sym__newline] = ACTIONS(1509),
    [sym__raw_string_literal] = ACTIONS(1509),
    [sym__external_open_parenthesis] = ACTIONS(1509),
    [sym__external_close_parenthesis] = ACTIONS(1509),
    [sym__external_open_brace] = ACTIONS(1509),
    [sym__external_open_bracket] = ACTIONS(1509),
    [sym__external_open_bracket2] = ACTIONS(1509),
  },
  [969] = {
    [sym_identifier] = ACTIONS(1515),
    [anon_sym_BSLASH] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_EQ] = ACTIONS(1515),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_for] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1515),
    [anon_sym_repeat] = ACTIONS(1515),
    [anon_sym_QMARK] = ACTIONS(1513),
    [anon_sym_TILDE] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_LT_DASH] = ACTIONS(1513),
    [anon_sym_LT_LT_DASH] = ACTIONS(1513),
    [anon_sym_COLON_EQ] = ACTIONS(1513),
    [anon_sym_DASH_GT] = ACTIONS(1515),
    [anon_sym_DASH_GT_GT] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_GT] = ACTIONS(1515),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_EQ_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_SLASH] = ACTIONS(1513),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [aux_sym_binary_operator_token1] = ACTIONS(1513),
    [anon_sym_PIPE_GT] = ACTIONS(1513),
    [anon_sym_COLON] = ACTIONS(1515),
    [anon_sym_DOLLAR] = ACTIONS(1513),
    [anon_sym_AT] = ACTIONS(1513),
    [sym__hex_literal] = ACTIONS(1513),
    [sym__number_literal] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1513),
    [anon_sym_DQUOTE] = ACTIONS(1513),
    [sym_return] = ACTIONS(1515),
    [sym_next] = ACTIONS(1515),
    [sym_break] = ACTIONS(1515),
    [sym_true] = ACTIONS(1515),
    [sym_false] = ACTIONS(1515),
    [sym_null] = ACTIONS(1515),
    [sym_inf] = ACTIONS(1515),
    [sym_nan] = ACTIONS(1515),
    [anon_sym_NA] = ACTIONS(1515),
    [anon_sym_NA_integer_] = ACTIONS(1515),
    [anon_sym_NA_real_] = ACTIONS(1515),
    [anon_sym_NA_complex_] = ACTIONS(1515),
    [anon_sym_NA_character_] = ACTIONS(1515),
    [sym_dots] = ACTIONS(1515),
    [sym_dot_dot_i] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1513),
    [sym__newline] = ACTIONS(1513),
    [sym__raw_string_literal] = ACTIONS(1513),
    [sym__external_open_parenthesis] = ACTIONS(1513),
    [sym__external_close_parenthesis] = ACTIONS(1513),
    [sym__external_open_brace] = ACTIONS(1513),
    [sym__external_open_bracket] = ACTIONS(1513),
    [sym__external_open_bracket2] = ACTIONS(1513),
  },
  [970] = {
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_BSLASH] = ACTIONS(1517),
    [anon_sym_function] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1519),
    [anon_sym_if] = ACTIONS(1519),
    [anon_sym_for] = ACTIONS(1519),
    [anon_sym_while] = ACTIONS(1519),
    [anon_sym_repeat] = ACTIONS(1519),
    [anon_sym_QMARK] = ACTIONS(1517),
    [anon_sym_TILDE] = ACTIONS(1517),
    [anon_sym_BANG] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_LT_DASH] = ACTIONS(1517),
    [anon_sym_LT_LT_DASH] = ACTIONS(1517),
    [anon_sym_COLON_EQ] = ACTIONS(1517),
    [anon_sym_DASH_GT] = ACTIONS(1519),
    [anon_sym_DASH_GT_GT] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_AMP_AMP] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_GT] = ACTIONS(1519),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_EQ_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_STAR] = ACTIONS(1519),
    [anon_sym_SLASH] = ACTIONS(1517),
    [anon_sym_STAR_STAR] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [aux_sym_binary_operator_token1] = ACTIONS(1517),
    [anon_sym_PIPE_GT] = ACTIONS(1517),
    [anon_sym_COLON] = ACTIONS(1519),
    [anon_sym_DOLLAR] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(1517),
    [sym__hex_literal] = ACTIONS(1517),
    [sym__number_literal] = ACTIONS(1519),
    [anon_sym_SQUOTE] = ACTIONS(1517),
    [anon_sym_DQUOTE] = ACTIONS(1517),
    [sym_return] = ACTIONS(1519),
    [sym_next] = ACTIONS(1519),
    [sym_break] = ACTIONS(1519),
    [sym_true] = ACTIONS(1519),
    [sym_false] = ACTIONS(1519),
    [sym_null] = ACTIONS(1519),
    [sym_inf] = ACTIONS(1519),
    [sym_nan] = ACTIONS(1519),
    [anon_sym_NA] = ACTIONS(1519),
    [anon_sym_NA_integer_] = ACTIONS(1519),
    [anon_sym_NA_real_] = ACTIONS(1519),
    [anon_sym_NA_complex_] = ACTIONS(1519),
    [anon_sym_NA_character_] = ACTIONS(1519),
    [sym_dots] = ACTIONS(1519),
    [sym_dot_dot_i] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1517),
    [sym__newline] = ACTIONS(1517),
    [sym__raw_string_literal] = ACTIONS(1517),
    [sym__external_open_parenthesis] = ACTIONS(1517),
    [sym__external_close_parenthesis] = ACTIONS(1517),
    [sym__external_open_brace] = ACTIONS(1517),
    [sym__external_open_bracket] = ACTIONS(1517),
    [sym__external_open_bracket2] = ACTIONS(1517),
  },
  [971] = {
    [ts_builtin_sym_end] = ACTIONS(1493),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_BSLASH] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1495),
    [anon_sym_EQ] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1495),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_repeat] = ACTIONS(1495),
    [anon_sym_QMARK] = ACTIONS(1493),
    [anon_sym_TILDE] = ACTIONS(1493),
    [anon_sym_BANG] = ACTIONS(1495),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_LT_DASH] = ACTIONS(1493),
    [anon_sym_LT_LT_DASH] = ACTIONS(1493),
    [anon_sym_COLON_EQ] = ACTIONS(1493),
    [anon_sym_DASH_GT] = ACTIONS(1495),
    [anon_sym_DASH_GT_GT] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
    [anon_sym_AMP] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_AMP_AMP] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_GT] = ACTIONS(1495),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_EQ_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_STAR] = ACTIONS(1495),
    [anon_sym_SLASH] = ACTIONS(1493),
    [anon_sym_STAR_STAR] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [aux_sym_binary_operator_token1] = ACTIONS(1493),
    [anon_sym_PIPE_GT] = ACTIONS(1493),
    [anon_sym_COLON] = ACTIONS(1495),
    [anon_sym_DOLLAR] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(1493),
    [sym__hex_literal] = ACTIONS(1493),
    [sym__number_literal] = ACTIONS(1495),
    [anon_sym_SQUOTE] = ACTIONS(1493),
    [anon_sym_DQUOTE] = ACTIONS(1493),
    [sym_return] = ACTIONS(1495),
    [sym_next] = ACTIONS(1495),
    [sym_break] = ACTIONS(1495),
    [sym_true] = ACTIONS(1495),
    [sym_false] = ACTIONS(1495),
    [sym_null] = ACTIONS(1495),
    [sym_inf] = ACTIONS(1495),
    [sym_nan] = ACTIONS(1495),
    [anon_sym_NA] = ACTIONS(1495),
    [anon_sym_NA_integer_] = ACTIONS(1495),
    [anon_sym_NA_real_] = ACTIONS(1495),
    [anon_sym_NA_complex_] = ACTIONS(1495),
    [anon_sym_NA_character_] = ACTIONS(1495),
    [sym_dots] = ACTIONS(1495),
    [sym_dot_dot_i] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1493),
    [sym__semicolon] = ACTIONS(1493),
    [sym__raw_string_literal] = ACTIONS(1493),
    [sym__external_open_parenthesis] = ACTIONS(1493),
    [sym__external_open_brace] = ACTIONS(1493),
    [sym__external_open_bracket] = ACTIONS(1493),
    [sym__external_open_bracket2] = ACTIONS(1493),
  },
  [972] = {
    [sym_identifier] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1480),
    [anon_sym_function] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1482),
    [anon_sym_if] = ACTIONS(1482),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_while] = ACTIONS(1482),
    [anon_sym_repeat] = ACTIONS(1482),
    [anon_sym_QMARK] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_LT_DASH] = ACTIONS(1480),
    [anon_sym_LT_LT_DASH] = ACTIONS(1480),
    [anon_sym_COLON_EQ] = ACTIONS(1480),
    [anon_sym_DASH_GT] = ACTIONS(1482),
    [anon_sym_DASH_GT_GT] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1482),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1482),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_SLASH] = ACTIONS(1480),
    [anon_sym_STAR_STAR] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [aux_sym_binary_operator_token1] = ACTIONS(1480),
    [anon_sym_PIPE_GT] = ACTIONS(1480),
    [anon_sym_COLON] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [sym__hex_literal] = ACTIONS(1480),
    [sym__number_literal] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [sym_return] = ACTIONS(1482),
    [sym_next] = ACTIONS(1482),
    [sym_break] = ACTIONS(1482),
    [sym_true] = ACTIONS(1482),
    [sym_false] = ACTIONS(1482),
    [sym_null] = ACTIONS(1482),
    [sym_inf] = ACTIONS(1482),
    [sym_nan] = ACTIONS(1482),
    [anon_sym_NA] = ACTIONS(1482),
    [anon_sym_NA_integer_] = ACTIONS(1482),
    [anon_sym_NA_real_] = ACTIONS(1482),
    [anon_sym_NA_complex_] = ACTIONS(1482),
    [anon_sym_NA_character_] = ACTIONS(1482),
    [sym_dots] = ACTIONS(1482),
    [sym_dot_dot_i] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1480),
    [sym__semicolon] = ACTIONS(1480),
    [sym__raw_string_literal] = ACTIONS(1480),
    [sym__external_open_parenthesis] = ACTIONS(1480),
    [sym__external_open_brace] = ACTIONS(1480),
    [sym__external_close_brace] = ACTIONS(1480),
    [sym__external_open_bracket] = ACTIONS(1480),
    [sym__external_open_bracket2] = ACTIONS(1480),
  },
  [973] = {
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_BSLASH] = ACTIONS(1484),
    [anon_sym_function] = ACTIONS(1486),
    [anon_sym_EQ] = ACTIONS(1486),
    [anon_sym_if] = ACTIONS(1486),
    [anon_sym_for] = ACTIONS(1486),
    [anon_sym_while] = ACTIONS(1486),
    [anon_sym_repeat] = ACTIONS(1486),
    [anon_sym_QMARK] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_LT_DASH] = ACTIONS(1484),
    [anon_sym_LT_LT_DASH] = ACTIONS(1484),
    [anon_sym_COLON_EQ] = ACTIONS(1484),
    [anon_sym_DASH_GT] = ACTIONS(1486),
    [anon_sym_DASH_GT_GT] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_AMP_AMP] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_GT] = ACTIONS(1486),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_EQ_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_SLASH] = ACTIONS(1484),
    [anon_sym_STAR_STAR] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [aux_sym_binary_operator_token1] = ACTIONS(1484),
    [anon_sym_PIPE_GT] = ACTIONS(1484),
    [anon_sym_COLON] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [sym__hex_literal] = ACTIONS(1484),
    [sym__number_literal] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [sym_return] = ACTIONS(1486),
    [sym_next] = ACTIONS(1486),
    [sym_break] = ACTIONS(1486),
    [sym_true] = ACTIONS(1486),
    [sym_false] = ACTIONS(1486),
    [sym_null] = ACTIONS(1486),
    [sym_inf] = ACTIONS(1486),
    [sym_nan] = ACTIONS(1486),
    [anon_sym_NA] = ACTIONS(1486),
    [anon_sym_NA_integer_] = ACTIONS(1486),
    [anon_sym_NA_real_] = ACTIONS(1486),
    [anon_sym_NA_complex_] = ACTIONS(1486),
    [anon_sym_NA_character_] = ACTIONS(1486),
    [sym_dots] = ACTIONS(1486),
    [sym_dot_dot_i] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1484),
    [sym__semicolon] = ACTIONS(1484),
    [sym__raw_string_literal] = ACTIONS(1484),
    [sym__external_open_parenthesis] = ACTIONS(1484),
    [sym__external_open_brace] = ACTIONS(1484),
    [sym__external_close_brace] = ACTIONS(1484),
    [sym__external_open_bracket] = ACTIONS(1484),
    [sym__external_open_bracket2] = ACTIONS(1484),
  },
  [974] = {
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_BSLASH] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1495),
    [anon_sym_EQ] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1495),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_repeat] = ACTIONS(1495),
    [anon_sym_QMARK] = ACTIONS(1493),
    [anon_sym_TILDE] = ACTIONS(1493),
    [anon_sym_BANG] = ACTIONS(1495),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_LT_DASH] = ACTIONS(1493),
    [anon_sym_LT_LT_DASH] = ACTIONS(1493),
    [anon_sym_COLON_EQ] = ACTIONS(1493),
    [anon_sym_DASH_GT] = ACTIONS(1495),
    [anon_sym_DASH_GT_GT] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
    [anon_sym_AMP] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_AMP_AMP] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_GT] = ACTIONS(1495),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_EQ_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_STAR] = ACTIONS(1495),
    [anon_sym_SLASH] = ACTIONS(1493),
    [anon_sym_STAR_STAR] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [aux_sym_binary_operator_token1] = ACTIONS(1493),
    [anon_sym_PIPE_GT] = ACTIONS(1493),
    [anon_sym_COLON] = ACTIONS(1495),
    [anon_sym_DOLLAR] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(1493),
    [sym__hex_literal] = ACTIONS(1493),
    [sym__number_literal] = ACTIONS(1495),
    [anon_sym_SQUOTE] = ACTIONS(1493),
    [anon_sym_DQUOTE] = ACTIONS(1493),
    [sym_return] = ACTIONS(1495),
    [sym_next] = ACTIONS(1495),
    [sym_break] = ACTIONS(1495),
    [sym_true] = ACTIONS(1495),
    [sym_false] = ACTIONS(1495),
    [sym_null] = ACTIONS(1495),
    [sym_inf] = ACTIONS(1495),
    [sym_nan] = ACTIONS(1495),
    [anon_sym_NA] = ACTIONS(1495),
    [anon_sym_NA_integer_] = ACTIONS(1495),
    [anon_sym_NA_real_] = ACTIONS(1495),
    [anon_sym_NA_complex_] = ACTIONS(1495),
    [anon_sym_NA_character_] = ACTIONS(1495),
    [sym_dots] = ACTIONS(1495),
    [sym_dot_dot_i] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1493),
    [sym__newline] = ACTIONS(1493),
    [sym__raw_string_literal] = ACTIONS(1493),
    [sym__external_open_parenthesis] = ACTIONS(1493),
    [sym__external_open_brace] = ACTIONS(1493),
    [sym__external_open_bracket] = ACTIONS(1493),
    [sym__external_open_bracket2] = ACTIONS(1493),
    [sym__external_close_bracket2] = ACTIONS(1493),
  },
  [975] = {
    [sym_identifier] = ACTIONS(1499),
    [anon_sym_BSLASH] = ACTIONS(1497),
    [anon_sym_function] = ACTIONS(1499),
    [anon_sym_EQ] = ACTIONS(1499),
    [anon_sym_if] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1499),
    [anon_sym_while] = ACTIONS(1499),
    [anon_sym_repeat] = ACTIONS(1499),
    [anon_sym_QMARK] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(1497),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_LT_DASH] = ACTIONS(1497),
    [anon_sym_LT_LT_DASH] = ACTIONS(1497),
    [anon_sym_COLON_EQ] = ACTIONS(1497),
    [anon_sym_DASH_GT] = ACTIONS(1499),
    [anon_sym_DASH_GT_GT] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_AMP_AMP] = ACTIONS(1497),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_GT] = ACTIONS(1499),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_EQ_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1497),
    [anon_sym_STAR_STAR] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [aux_sym_binary_operator_token1] = ACTIONS(1497),
    [anon_sym_PIPE_GT] = ACTIONS(1497),
    [anon_sym_COLON] = ACTIONS(1499),
    [anon_sym_DOLLAR] = ACTIONS(1497),
    [anon_sym_AT] = ACTIONS(1497),
    [sym__hex_literal] = ACTIONS(1497),
    [sym__number_literal] = ACTIONS(1499),
    [anon_sym_SQUOTE] = ACTIONS(1497),
    [anon_sym_DQUOTE] = ACTIONS(1497),
    [sym_return] = ACTIONS(1499),
    [sym_next] = ACTIONS(1499),
    [sym_break] = ACTIONS(1499),
    [sym_true] = ACTIONS(1499),
    [sym_false] = ACTIONS(1499),
    [sym_null] = ACTIONS(1499),
    [sym_inf] = ACTIONS(1499),
    [sym_nan] = ACTIONS(1499),
    [anon_sym_NA] = ACTIONS(1499),
    [anon_sym_NA_integer_] = ACTIONS(1499),
    [anon_sym_NA_real_] = ACTIONS(1499),
    [anon_sym_NA_complex_] = ACTIONS(1499),
    [anon_sym_NA_character_] = ACTIONS(1499),
    [sym_dots] = ACTIONS(1499),
    [sym_dot_dot_i] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1497),
    [sym__newline] = ACTIONS(1497),
    [sym__raw_string_literal] = ACTIONS(1497),
    [sym__external_open_parenthesis] = ACTIONS(1497),
    [sym__external_open_brace] = ACTIONS(1497),
    [sym__external_open_bracket] = ACTIONS(1497),
    [sym__external_open_bracket2] = ACTIONS(1497),
    [sym__external_close_bracket2] = ACTIONS(1497),
  },
  [976] = {
    [ts_builtin_sym_end] = ACTIONS(1521),
    [sym_identifier] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(1521),
    [anon_sym_function] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(1523),
    [anon_sym_for] = ACTIONS(1523),
    [anon_sym_while] = ACTIONS(1523),
    [anon_sym_repeat] = ACTIONS(1523),
    [anon_sym_QMARK] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1523),
    [anon_sym_LT_DASH] = ACTIONS(1521),
    [anon_sym_LT_LT_DASH] = ACTIONS(1521),
    [anon_sym_COLON_EQ] = ACTIONS(1521),
    [anon_sym_DASH_GT] = ACTIONS(1523),
    [anon_sym_DASH_GT_GT] = ACTIONS(1521),
    [anon_sym_PIPE] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_PIPE_PIPE] = ACTIONS(1521),
    [anon_sym_AMP_AMP] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1521),
    [anon_sym_STAR_STAR] = ACTIONS(1521),
    [anon_sym_CARET] = ACTIONS(1521),
    [aux_sym_binary_operator_token1] = ACTIONS(1521),
    [anon_sym_PIPE_GT] = ACTIONS(1521),
    [anon_sym_COLON] = ACTIONS(1523),
    [anon_sym_DOLLAR] = ACTIONS(1521),
    [anon_sym_AT] = ACTIONS(1521),
    [sym__hex_literal] = ACTIONS(1521),
    [sym__number_literal] = ACTIONS(1523),
    [anon_sym_SQUOTE] = ACTIONS(1521),
    [anon_sym_DQUOTE] = ACTIONS(1521),
    [sym_return] = ACTIONS(1523),
    [sym_next] = ACTIONS(1523),
    [sym_break] = ACTIONS(1523),
    [sym_true] = ACTIONS(1523),
    [sym_false] = ACTIONS(1523),
    [sym_null] = ACTIONS(1523),
    [sym_inf] = ACTIONS(1523),
    [sym_nan] = ACTIONS(1523),
    [anon_sym_NA] = ACTIONS(1523),
    [anon_sym_NA_integer_] = ACTIONS(1523),
    [anon_sym_NA_real_] = ACTIONS(1523),
    [anon_sym_NA_complex_] = ACTIONS(1523),
    [anon_sym_NA_character_] = ACTIONS(1523),
    [sym_dots] = ACTIONS(1523),
    [sym_dot_dot_i] = ACTIONS(1521),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1521),
    [sym__semicolon] = ACTIONS(1521),
    [sym__raw_string_literal] = ACTIONS(1521),
    [sym__external_open_parenthesis] = ACTIONS(1521),
    [sym__external_open_brace] = ACTIONS(1521),
    [sym__external_open_bracket] = ACTIONS(1521),
    [sym__external_open_bracket2] = ACTIONS(1521),
  },
  [977] = {
    [sym_function_definition] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_while_statement] = STATE(498),
    [sym_repeat_statement] = STATE(498),
    [sym_braced_expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym__argument_value] = STATE(2056),
    [sym_unary_operator] = STATE(498),
    [sym_binary_operator] = STATE(498),
    [sym_extract_operator] = STATE(498),
    [sym_namespace_operator] = STATE(498),
    [sym_integer] = STATE(498),
    [sym_complex] = STATE(498),
    [sym_float] = STATE(498),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(801),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__open_brace] = STATE(922),
    [sym_identifier] = ACTIONS(1591),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(457),
    [sym_next] = ACTIONS(457),
    [sym_break] = ACTIONS(457),
    [sym_true] = ACTIONS(457),
    [sym_false] = ACTIONS(457),
    [sym_null] = ACTIONS(457),
    [sym_inf] = ACTIONS(457),
    [sym_nan] = ACTIONS(457),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(457),
    [sym_dot_dot_i] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1737),
    [sym__newline] = ACTIONS(467),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1737),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [978] = {
    [ts_builtin_sym_end] = ACTIONS(1525),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_BSLASH] = ACTIONS(1525),
    [anon_sym_function] = ACTIONS(1527),
    [anon_sym_EQ] = ACTIONS(1527),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_for] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1527),
    [anon_sym_repeat] = ACTIONS(1527),
    [anon_sym_QMARK] = ACTIONS(1525),
    [anon_sym_TILDE] = ACTIONS(1525),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1525),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_LT_DASH] = ACTIONS(1525),
    [anon_sym_LT_LT_DASH] = ACTIONS(1525),
    [anon_sym_COLON_EQ] = ACTIONS(1525),
    [anon_sym_DASH_GT] = ACTIONS(1527),
    [anon_sym_DASH_GT_GT] = ACTIONS(1525),
    [anon_sym_PIPE] = ACTIONS(1527),
    [anon_sym_AMP] = ACTIONS(1527),
    [anon_sym_PIPE_PIPE] = ACTIONS(1525),
    [anon_sym_AMP_AMP] = ACTIONS(1525),
    [anon_sym_LT] = ACTIONS(1527),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1527),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_EQ_EQ] = ACTIONS(1525),
    [anon_sym_BANG_EQ] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_STAR_STAR] = ACTIONS(1525),
    [anon_sym_CARET] = ACTIONS(1525),
    [aux_sym_binary_operator_token1] = ACTIONS(1525),
    [anon_sym_PIPE_GT] = ACTIONS(1525),
    [anon_sym_COLON] = ACTIONS(1527),
    [anon_sym_DOLLAR] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(1525),
    [sym__hex_literal] = ACTIONS(1525),
    [sym__number_literal] = ACTIONS(1527),
    [anon_sym_SQUOTE] = ACTIONS(1525),
    [anon_sym_DQUOTE] = ACTIONS(1525),
    [sym_return] = ACTIONS(1527),
    [sym_next] = ACTIONS(1527),
    [sym_break] = ACTIONS(1527),
    [sym_true] = ACTIONS(1527),
    [sym_false] = ACTIONS(1527),
    [sym_null] = ACTIONS(1527),
    [sym_inf] = ACTIONS(1527),
    [sym_nan] = ACTIONS(1527),
    [anon_sym_NA] = ACTIONS(1527),
    [anon_sym_NA_integer_] = ACTIONS(1527),
    [anon_sym_NA_real_] = ACTIONS(1527),
    [anon_sym_NA_complex_] = ACTIONS(1527),
    [anon_sym_NA_character_] = ACTIONS(1527),
    [sym_dots] = ACTIONS(1527),
    [sym_dot_dot_i] = ACTIONS(1525),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1525),
    [sym__semicolon] = ACTIONS(1525),
    [sym__raw_string_literal] = ACTIONS(1525),
    [sym__external_open_parenthesis] = ACTIONS(1525),
    [sym__external_open_brace] = ACTIONS(1525),
    [sym__external_open_bracket] = ACTIONS(1525),
    [sym__external_open_bracket2] = ACTIONS(1525),
  },
  [979] = {
    [ts_builtin_sym_end] = ACTIONS(1529),
    [sym_identifier] = ACTIONS(1531),
    [anon_sym_BSLASH] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_EQ] = ACTIONS(1531),
    [anon_sym_if] = ACTIONS(1531),
    [anon_sym_for] = ACTIONS(1531),
    [anon_sym_while] = ACTIONS(1531),
    [anon_sym_repeat] = ACTIONS(1531),
    [anon_sym_QMARK] = ACTIONS(1529),
    [anon_sym_TILDE] = ACTIONS(1529),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1531),
    [anon_sym_LT_DASH] = ACTIONS(1529),
    [anon_sym_LT_LT_DASH] = ACTIONS(1529),
    [anon_sym_COLON_EQ] = ACTIONS(1529),
    [anon_sym_DASH_GT] = ACTIONS(1531),
    [anon_sym_DASH_GT_GT] = ACTIONS(1529),
    [anon_sym_PIPE] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_PIPE_PIPE] = ACTIONS(1529),
    [anon_sym_AMP_AMP] = ACTIONS(1529),
    [anon_sym_LT] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1529),
    [anon_sym_GT] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1529),
    [anon_sym_EQ_EQ] = ACTIONS(1529),
    [anon_sym_BANG_EQ] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1529),
    [anon_sym_STAR_STAR] = ACTIONS(1529),
    [anon_sym_CARET] = ACTIONS(1529),
    [aux_sym_binary_operator_token1] = ACTIONS(1529),
    [anon_sym_PIPE_GT] = ACTIONS(1529),
    [anon_sym_COLON] = ACTIONS(1531),
    [anon_sym_DOLLAR] = ACTIONS(1529),
    [anon_sym_AT] = ACTIONS(1529),
    [sym__hex_literal] = ACTIONS(1529),
    [sym__number_literal] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1529),
    [anon_sym_DQUOTE] = ACTIONS(1529),
    [sym_return] = ACTIONS(1531),
    [sym_next] = ACTIONS(1531),
    [sym_break] = ACTIONS(1531),
    [sym_true] = ACTIONS(1531),
    [sym_false] = ACTIONS(1531),
    [sym_null] = ACTIONS(1531),
    [sym_inf] = ACTIONS(1531),
    [sym_nan] = ACTIONS(1531),
    [anon_sym_NA] = ACTIONS(1531),
    [anon_sym_NA_integer_] = ACTIONS(1531),
    [anon_sym_NA_real_] = ACTIONS(1531),
    [anon_sym_NA_complex_] = ACTIONS(1531),
    [anon_sym_NA_character_] = ACTIONS(1531),
    [sym_dots] = ACTIONS(1531),
    [sym_dot_dot_i] = ACTIONS(1529),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1529),
    [sym__semicolon] = ACTIONS(1529),
    [sym__raw_string_literal] = ACTIONS(1529),
    [sym__external_open_parenthesis] = ACTIONS(1529),
    [sym__external_open_brace] = ACTIONS(1529),
    [sym__external_open_bracket] = ACTIONS(1529),
    [sym__external_open_bracket2] = ACTIONS(1529),
  },
  [980] = {
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_function] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [anon_sym_if] = ACTIONS(1462),
    [anon_sym_for] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1462),
    [anon_sym_repeat] = ACTIONS(1462),
    [anon_sym_QMARK] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_LT_DASH] = ACTIONS(1460),
    [anon_sym_LT_LT_DASH] = ACTIONS(1460),
    [anon_sym_COLON_EQ] = ACTIONS(1460),
    [anon_sym_DASH_GT] = ACTIONS(1462),
    [anon_sym_DASH_GT_GT] = ACTIONS(1460),
    [anon_sym_PIPE] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_PIPE_PIPE] = ACTIONS(1460),
    [anon_sym_AMP_AMP] = ACTIONS(1460),
    [anon_sym_LT] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1460),
    [anon_sym_EQ_EQ] = ACTIONS(1460),
    [anon_sym_BANG_EQ] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_STAR_STAR] = ACTIONS(1460),
    [anon_sym_CARET] = ACTIONS(1460),
    [aux_sym_binary_operator_token1] = ACTIONS(1460),
    [anon_sym_PIPE_GT] = ACTIONS(1460),
    [anon_sym_COLON] = ACTIONS(1462),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1460),
    [sym__hex_literal] = ACTIONS(1460),
    [sym__number_literal] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [sym_return] = ACTIONS(1462),
    [sym_next] = ACTIONS(1462),
    [sym_break] = ACTIONS(1462),
    [sym_true] = ACTIONS(1462),
    [sym_false] = ACTIONS(1462),
    [sym_null] = ACTIONS(1462),
    [sym_inf] = ACTIONS(1462),
    [sym_nan] = ACTIONS(1462),
    [anon_sym_NA] = ACTIONS(1462),
    [anon_sym_NA_integer_] = ACTIONS(1462),
    [anon_sym_NA_real_] = ACTIONS(1462),
    [anon_sym_NA_complex_] = ACTIONS(1462),
    [anon_sym_NA_character_] = ACTIONS(1462),
    [sym_dots] = ACTIONS(1462),
    [sym_dot_dot_i] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1460),
    [sym__newline] = ACTIONS(1460),
    [sym__raw_string_literal] = ACTIONS(1460),
    [sym__external_open_parenthesis] = ACTIONS(1460),
    [sym__external_close_parenthesis] = ACTIONS(1460),
    [sym__external_open_brace] = ACTIONS(1460),
    [sym__external_open_bracket] = ACTIONS(1460),
    [sym__external_open_bracket2] = ACTIONS(1460),
  },
  [981] = {
    [ts_builtin_sym_end] = ACTIONS(1533),
    [sym_identifier] = ACTIONS(1535),
    [anon_sym_BSLASH] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(1535),
    [anon_sym_EQ] = ACTIONS(1535),
    [anon_sym_if] = ACTIONS(1535),
    [anon_sym_for] = ACTIONS(1535),
    [anon_sym_while] = ACTIONS(1535),
    [anon_sym_repeat] = ACTIONS(1535),
    [anon_sym_QMARK] = ACTIONS(1533),
    [anon_sym_TILDE] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1535),
    [anon_sym_LT_DASH] = ACTIONS(1533),
    [anon_sym_LT_LT_DASH] = ACTIONS(1533),
    [anon_sym_COLON_EQ] = ACTIONS(1533),
    [anon_sym_DASH_GT] = ACTIONS(1535),
    [anon_sym_DASH_GT_GT] = ACTIONS(1533),
    [anon_sym_PIPE] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_PIPE_PIPE] = ACTIONS(1533),
    [anon_sym_AMP_AMP] = ACTIONS(1533),
    [anon_sym_LT] = ACTIONS(1535),
    [anon_sym_LT_EQ] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1535),
    [anon_sym_GT_EQ] = ACTIONS(1533),
    [anon_sym_EQ_EQ] = ACTIONS(1533),
    [anon_sym_BANG_EQ] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_SLASH] = ACTIONS(1533),
    [anon_sym_STAR_STAR] = ACTIONS(1533),
    [anon_sym_CARET] = ACTIONS(1533),
    [aux_sym_binary_operator_token1] = ACTIONS(1533),
    [anon_sym_PIPE_GT] = ACTIONS(1533),
    [anon_sym_COLON] = ACTIONS(1535),
    [anon_sym_DOLLAR] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(1533),
    [sym__hex_literal] = ACTIONS(1533),
    [sym__number_literal] = ACTIONS(1535),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1533),
    [sym_return] = ACTIONS(1535),
    [sym_next] = ACTIONS(1535),
    [sym_break] = ACTIONS(1535),
    [sym_true] = ACTIONS(1535),
    [sym_false] = ACTIONS(1535),
    [sym_null] = ACTIONS(1535),
    [sym_inf] = ACTIONS(1535),
    [sym_nan] = ACTIONS(1535),
    [anon_sym_NA] = ACTIONS(1535),
    [anon_sym_NA_integer_] = ACTIONS(1535),
    [anon_sym_NA_real_] = ACTIONS(1535),
    [anon_sym_NA_complex_] = ACTIONS(1535),
    [anon_sym_NA_character_] = ACTIONS(1535),
    [sym_dots] = ACTIONS(1535),
    [sym_dot_dot_i] = ACTIONS(1533),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1533),
    [sym__semicolon] = ACTIONS(1533),
    [sym__raw_string_literal] = ACTIONS(1533),
    [sym__external_open_parenthesis] = ACTIONS(1533),
    [sym__external_open_brace] = ACTIONS(1533),
    [sym__external_open_bracket] = ACTIONS(1533),
    [sym__external_open_bracket2] = ACTIONS(1533),
  },
  [982] = {
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(1501),
    [anon_sym_function] = ACTIONS(1503),
    [anon_sym_EQ] = ACTIONS(1503),
    [anon_sym_if] = ACTIONS(1503),
    [anon_sym_for] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_repeat] = ACTIONS(1503),
    [anon_sym_QMARK] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(1501),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_LT_DASH] = ACTIONS(1501),
    [anon_sym_LT_LT_DASH] = ACTIONS(1501),
    [anon_sym_COLON_EQ] = ACTIONS(1501),
    [anon_sym_DASH_GT] = ACTIONS(1503),
    [anon_sym_DASH_GT_GT] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_AMP] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_AMP_AMP] = ACTIONS(1501),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_GT] = ACTIONS(1503),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_EQ_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_SLASH] = ACTIONS(1501),
    [anon_sym_STAR_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [aux_sym_binary_operator_token1] = ACTIONS(1501),
    [anon_sym_PIPE_GT] = ACTIONS(1501),
    [anon_sym_COLON] = ACTIONS(1503),
    [anon_sym_DOLLAR] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(1501),
    [sym__hex_literal] = ACTIONS(1501),
    [sym__number_literal] = ACTIONS(1503),
    [anon_sym_SQUOTE] = ACTIONS(1501),
    [anon_sym_DQUOTE] = ACTIONS(1501),
    [sym_return] = ACTIONS(1503),
    [sym_next] = ACTIONS(1503),
    [sym_break] = ACTIONS(1503),
    [sym_true] = ACTIONS(1503),
    [sym_false] = ACTIONS(1503),
    [sym_null] = ACTIONS(1503),
    [sym_inf] = ACTIONS(1503),
    [sym_nan] = ACTIONS(1503),
    [anon_sym_NA] = ACTIONS(1503),
    [anon_sym_NA_integer_] = ACTIONS(1503),
    [anon_sym_NA_real_] = ACTIONS(1503),
    [anon_sym_NA_complex_] = ACTIONS(1503),
    [anon_sym_NA_character_] = ACTIONS(1503),
    [sym_dots] = ACTIONS(1503),
    [sym_dot_dot_i] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1501),
    [sym__newline] = ACTIONS(1501),
    [sym__raw_string_literal] = ACTIONS(1501),
    [sym__external_open_parenthesis] = ACTIONS(1501),
    [sym__external_open_brace] = ACTIONS(1501),
    [sym__external_open_bracket] = ACTIONS(1501),
    [sym__external_open_bracket2] = ACTIONS(1501),
    [sym__external_close_bracket2] = ACTIONS(1501),
  },
  [983] = {
    [sym_identifier] = ACTIONS(1317),
    [anon_sym_BSLASH] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1317),
    [anon_sym_EQ] = ACTIONS(1375),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_for] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1317),
    [anon_sym_repeat] = ACTIONS(1317),
    [anon_sym_QMARK] = ACTIONS(1319),
    [anon_sym_TILDE] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_DASH] = ACTIONS(1317),
    [anon_sym_LT_DASH] = ACTIONS(1319),
    [anon_sym_LT_LT_DASH] = ACTIONS(1319),
    [anon_sym_COLON_EQ] = ACTIONS(1319),
    [anon_sym_DASH_GT] = ACTIONS(1317),
    [anon_sym_DASH_GT_GT] = ACTIONS(1319),
    [anon_sym_PIPE] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_PIPE_PIPE] = ACTIONS(1319),
    [anon_sym_AMP_AMP] = ACTIONS(1319),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1319),
    [anon_sym_GT] = ACTIONS(1317),
    [anon_sym_GT_EQ] = ACTIONS(1319),
    [anon_sym_EQ_EQ] = ACTIONS(1319),
    [anon_sym_BANG_EQ] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_STAR_STAR] = ACTIONS(1319),
    [anon_sym_CARET] = ACTIONS(1319),
    [aux_sym_binary_operator_token1] = ACTIONS(1319),
    [anon_sym_PIPE_GT] = ACTIONS(1319),
    [anon_sym_COLON] = ACTIONS(1317),
    [anon_sym_DOLLAR] = ACTIONS(1319),
    [anon_sym_AT] = ACTIONS(1319),
    [sym__hex_literal] = ACTIONS(1319),
    [sym__number_literal] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1319),
    [anon_sym_DQUOTE] = ACTIONS(1319),
    [sym_return] = ACTIONS(1317),
    [sym_next] = ACTIONS(1317),
    [sym_break] = ACTIONS(1317),
    [sym_true] = ACTIONS(1317),
    [sym_false] = ACTIONS(1317),
    [sym_null] = ACTIONS(1317),
    [sym_inf] = ACTIONS(1317),
    [sym_nan] = ACTIONS(1317),
    [anon_sym_NA] = ACTIONS(1317),
    [anon_sym_NA_integer_] = ACTIONS(1317),
    [anon_sym_NA_real_] = ACTIONS(1317),
    [anon_sym_NA_complex_] = ACTIONS(1317),
    [anon_sym_NA_character_] = ACTIONS(1317),
    [sym_dots] = ACTIONS(1317),
    [sym_dot_dot_i] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1319),
    [sym__newline] = ACTIONS(1319),
    [sym__raw_string_literal] = ACTIONS(1319),
    [sym__external_open_parenthesis] = ACTIONS(1319),
    [sym__external_close_parenthesis] = ACTIONS(1319),
    [sym__external_open_brace] = ACTIONS(1319),
    [sym__external_open_bracket] = ACTIONS(1319),
    [sym__external_open_bracket2] = ACTIONS(1319),
  },
  [984] = {
    [sym_identifier] = ACTIONS(1507),
    [anon_sym_BSLASH] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ] = ACTIONS(1507),
    [anon_sym_if] = ACTIONS(1507),
    [anon_sym_for] = ACTIONS(1507),
    [anon_sym_while] = ACTIONS(1507),
    [anon_sym_repeat] = ACTIONS(1507),
    [anon_sym_QMARK] = ACTIONS(1505),
    [anon_sym_TILDE] = ACTIONS(1505),
    [anon_sym_BANG] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_LT_DASH] = ACTIONS(1505),
    [anon_sym_LT_LT_DASH] = ACTIONS(1505),
    [anon_sym_COLON_EQ] = ACTIONS(1505),
    [anon_sym_DASH_GT] = ACTIONS(1507),
    [anon_sym_DASH_GT_GT] = ACTIONS(1505),
    [anon_sym_PIPE] = ACTIONS(1507),
    [anon_sym_AMP] = ACTIONS(1507),
    [anon_sym_PIPE_PIPE] = ACTIONS(1505),
    [anon_sym_AMP_AMP] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1507),
    [anon_sym_LT_EQ] = ACTIONS(1505),
    [anon_sym_GT] = ACTIONS(1507),
    [anon_sym_GT_EQ] = ACTIONS(1505),
    [anon_sym_EQ_EQ] = ACTIONS(1505),
    [anon_sym_BANG_EQ] = ACTIONS(1505),
    [anon_sym_STAR] = ACTIONS(1507),
    [anon_sym_SLASH] = ACTIONS(1505),
    [anon_sym_STAR_STAR] = ACTIONS(1505),
    [anon_sym_CARET] = ACTIONS(1505),
    [aux_sym_binary_operator_token1] = ACTIONS(1505),
    [anon_sym_PIPE_GT] = ACTIONS(1505),
    [anon_sym_COLON] = ACTIONS(1507),
    [anon_sym_DOLLAR] = ACTIONS(1505),
    [anon_sym_AT] = ACTIONS(1505),
    [sym__hex_literal] = ACTIONS(1505),
    [sym__number_literal] = ACTIONS(1507),
    [anon_sym_SQUOTE] = ACTIONS(1505),
    [anon_sym_DQUOTE] = ACTIONS(1505),
    [sym_return] = ACTIONS(1507),
    [sym_next] = ACTIONS(1507),
    [sym_break] = ACTIONS(1507),
    [sym_true] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_null] = ACTIONS(1507),
    [sym_inf] = ACTIONS(1507),
    [sym_nan] = ACTIONS(1507),
    [anon_sym_NA] = ACTIONS(1507),
    [anon_sym_NA_integer_] = ACTIONS(1507),
    [anon_sym_NA_real_] = ACTIONS(1507),
    [anon_sym_NA_complex_] = ACTIONS(1507),
    [anon_sym_NA_character_] = ACTIONS(1507),
    [sym_dots] = ACTIONS(1507),
    [sym_dot_dot_i] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1505),
    [sym__newline] = ACTIONS(1505),
    [sym__raw_string_literal] = ACTIONS(1505),
    [sym__external_open_parenthesis] = ACTIONS(1505),
    [sym__external_open_brace] = ACTIONS(1505),
    [sym__external_open_bracket] = ACTIONS(1505),
    [sym__external_open_bracket2] = ACTIONS(1505),
    [sym__external_close_bracket2] = ACTIONS(1505),
  },
  [985] = {
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(1509),
    [anon_sym_function] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_for] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1511),
    [anon_sym_repeat] = ACTIONS(1511),
    [anon_sym_QMARK] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(1509),
    [anon_sym_BANG] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_LT_DASH] = ACTIONS(1509),
    [anon_sym_LT_LT_DASH] = ACTIONS(1509),
    [anon_sym_COLON_EQ] = ACTIONS(1509),
    [anon_sym_DASH_GT] = ACTIONS(1511),
    [anon_sym_DASH_GT_GT] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_AMP_AMP] = ACTIONS(1509),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT] = ACTIONS(1511),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_EQ_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_STAR] = ACTIONS(1511),
    [anon_sym_SLASH] = ACTIONS(1509),
    [anon_sym_STAR_STAR] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [aux_sym_binary_operator_token1] = ACTIONS(1509),
    [anon_sym_PIPE_GT] = ACTIONS(1509),
    [anon_sym_COLON] = ACTIONS(1511),
    [anon_sym_DOLLAR] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(1509),
    [sym__hex_literal] = ACTIONS(1509),
    [sym__number_literal] = ACTIONS(1511),
    [anon_sym_SQUOTE] = ACTIONS(1509),
    [anon_sym_DQUOTE] = ACTIONS(1509),
    [sym_return] = ACTIONS(1511),
    [sym_next] = ACTIONS(1511),
    [sym_break] = ACTIONS(1511),
    [sym_true] = ACTIONS(1511),
    [sym_false] = ACTIONS(1511),
    [sym_null] = ACTIONS(1511),
    [sym_inf] = ACTIONS(1511),
    [sym_nan] = ACTIONS(1511),
    [anon_sym_NA] = ACTIONS(1511),
    [anon_sym_NA_integer_] = ACTIONS(1511),
    [anon_sym_NA_real_] = ACTIONS(1511),
    [anon_sym_NA_complex_] = ACTIONS(1511),
    [anon_sym_NA_character_] = ACTIONS(1511),
    [sym_dots] = ACTIONS(1511),
    [sym_dot_dot_i] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1509),
    [sym__newline] = ACTIONS(1509),
    [sym__raw_string_literal] = ACTIONS(1509),
    [sym__external_open_parenthesis] = ACTIONS(1509),
    [sym__external_open_brace] = ACTIONS(1509),
    [sym__external_open_bracket] = ACTIONS(1509),
    [sym__external_open_bracket2] = ACTIONS(1509),
    [sym__external_close_bracket2] = ACTIONS(1509),
  },
  [986] = {
    [sym_identifier] = ACTIONS(1515),
    [anon_sym_BSLASH] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_EQ] = ACTIONS(1515),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_for] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1515),
    [anon_sym_repeat] = ACTIONS(1515),
    [anon_sym_QMARK] = ACTIONS(1513),
    [anon_sym_TILDE] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_LT_DASH] = ACTIONS(1513),
    [anon_sym_LT_LT_DASH] = ACTIONS(1513),
    [anon_sym_COLON_EQ] = ACTIONS(1513),
    [anon_sym_DASH_GT] = ACTIONS(1515),
    [anon_sym_DASH_GT_GT] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_GT] = ACTIONS(1515),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_EQ_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_SLASH] = ACTIONS(1513),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [aux_sym_binary_operator_token1] = ACTIONS(1513),
    [anon_sym_PIPE_GT] = ACTIONS(1513),
    [anon_sym_COLON] = ACTIONS(1515),
    [anon_sym_DOLLAR] = ACTIONS(1513),
    [anon_sym_AT] = ACTIONS(1513),
    [sym__hex_literal] = ACTIONS(1513),
    [sym__number_literal] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1513),
    [anon_sym_DQUOTE] = ACTIONS(1513),
    [sym_return] = ACTIONS(1515),
    [sym_next] = ACTIONS(1515),
    [sym_break] = ACTIONS(1515),
    [sym_true] = ACTIONS(1515),
    [sym_false] = ACTIONS(1515),
    [sym_null] = ACTIONS(1515),
    [sym_inf] = ACTIONS(1515),
    [sym_nan] = ACTIONS(1515),
    [anon_sym_NA] = ACTIONS(1515),
    [anon_sym_NA_integer_] = ACTIONS(1515),
    [anon_sym_NA_real_] = ACTIONS(1515),
    [anon_sym_NA_complex_] = ACTIONS(1515),
    [anon_sym_NA_character_] = ACTIONS(1515),
    [sym_dots] = ACTIONS(1515),
    [sym_dot_dot_i] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1513),
    [sym__newline] = ACTIONS(1513),
    [sym__raw_string_literal] = ACTIONS(1513),
    [sym__external_open_parenthesis] = ACTIONS(1513),
    [sym__external_open_brace] = ACTIONS(1513),
    [sym__external_open_bracket] = ACTIONS(1513),
    [sym__external_open_bracket2] = ACTIONS(1513),
    [sym__external_close_bracket2] = ACTIONS(1513),
  },
  [987] = {
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_BSLASH] = ACTIONS(1517),
    [anon_sym_function] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1519),
    [anon_sym_if] = ACTIONS(1519),
    [anon_sym_for] = ACTIONS(1519),
    [anon_sym_while] = ACTIONS(1519),
    [anon_sym_repeat] = ACTIONS(1519),
    [anon_sym_QMARK] = ACTIONS(1517),
    [anon_sym_TILDE] = ACTIONS(1517),
    [anon_sym_BANG] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_LT_DASH] = ACTIONS(1517),
    [anon_sym_LT_LT_DASH] = ACTIONS(1517),
    [anon_sym_COLON_EQ] = ACTIONS(1517),
    [anon_sym_DASH_GT] = ACTIONS(1519),
    [anon_sym_DASH_GT_GT] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_AMP_AMP] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_GT] = ACTIONS(1519),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_EQ_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_STAR] = ACTIONS(1519),
    [anon_sym_SLASH] = ACTIONS(1517),
    [anon_sym_STAR_STAR] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [aux_sym_binary_operator_token1] = ACTIONS(1517),
    [anon_sym_PIPE_GT] = ACTIONS(1517),
    [anon_sym_COLON] = ACTIONS(1519),
    [anon_sym_DOLLAR] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(1517),
    [sym__hex_literal] = ACTIONS(1517),
    [sym__number_literal] = ACTIONS(1519),
    [anon_sym_SQUOTE] = ACTIONS(1517),
    [anon_sym_DQUOTE] = ACTIONS(1517),
    [sym_return] = ACTIONS(1519),
    [sym_next] = ACTIONS(1519),
    [sym_break] = ACTIONS(1519),
    [sym_true] = ACTIONS(1519),
    [sym_false] = ACTIONS(1519),
    [sym_null] = ACTIONS(1519),
    [sym_inf] = ACTIONS(1519),
    [sym_nan] = ACTIONS(1519),
    [anon_sym_NA] = ACTIONS(1519),
    [anon_sym_NA_integer_] = ACTIONS(1519),
    [anon_sym_NA_real_] = ACTIONS(1519),
    [anon_sym_NA_complex_] = ACTIONS(1519),
    [anon_sym_NA_character_] = ACTIONS(1519),
    [sym_dots] = ACTIONS(1519),
    [sym_dot_dot_i] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1517),
    [sym__newline] = ACTIONS(1517),
    [sym__raw_string_literal] = ACTIONS(1517),
    [sym__external_open_parenthesis] = ACTIONS(1517),
    [sym__external_open_brace] = ACTIONS(1517),
    [sym__external_open_bracket] = ACTIONS(1517),
    [sym__external_open_bracket2] = ACTIONS(1517),
    [sym__external_close_bracket2] = ACTIONS(1517),
  },
  [988] = {
    [sym_identifier] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(1521),
    [anon_sym_function] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(1523),
    [anon_sym_for] = ACTIONS(1523),
    [anon_sym_while] = ACTIONS(1523),
    [anon_sym_repeat] = ACTIONS(1523),
    [anon_sym_QMARK] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1523),
    [anon_sym_LT_DASH] = ACTIONS(1521),
    [anon_sym_LT_LT_DASH] = ACTIONS(1521),
    [anon_sym_COLON_EQ] = ACTIONS(1521),
    [anon_sym_DASH_GT] = ACTIONS(1523),
    [anon_sym_DASH_GT_GT] = ACTIONS(1521),
    [anon_sym_PIPE] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_PIPE_PIPE] = ACTIONS(1521),
    [anon_sym_AMP_AMP] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1521),
    [anon_sym_STAR_STAR] = ACTIONS(1521),
    [anon_sym_CARET] = ACTIONS(1521),
    [aux_sym_binary_operator_token1] = ACTIONS(1521),
    [anon_sym_PIPE_GT] = ACTIONS(1521),
    [anon_sym_COLON] = ACTIONS(1523),
    [anon_sym_DOLLAR] = ACTIONS(1521),
    [anon_sym_AT] = ACTIONS(1521),
    [sym__hex_literal] = ACTIONS(1521),
    [sym__number_literal] = ACTIONS(1523),
    [anon_sym_SQUOTE] = ACTIONS(1521),
    [anon_sym_DQUOTE] = ACTIONS(1521),
    [sym_return] = ACTIONS(1523),
    [sym_next] = ACTIONS(1523),
    [sym_break] = ACTIONS(1523),
    [sym_true] = ACTIONS(1523),
    [sym_false] = ACTIONS(1523),
    [sym_null] = ACTIONS(1523),
    [sym_inf] = ACTIONS(1523),
    [sym_nan] = ACTIONS(1523),
    [anon_sym_NA] = ACTIONS(1523),
    [anon_sym_NA_integer_] = ACTIONS(1523),
    [anon_sym_NA_real_] = ACTIONS(1523),
    [anon_sym_NA_complex_] = ACTIONS(1523),
    [anon_sym_NA_character_] = ACTIONS(1523),
    [sym_dots] = ACTIONS(1523),
    [sym_dot_dot_i] = ACTIONS(1521),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1521),
    [sym__newline] = ACTIONS(1521),
    [sym__raw_string_literal] = ACTIONS(1521),
    [sym__external_open_parenthesis] = ACTIONS(1521),
    [sym__external_close_parenthesis] = ACTIONS(1521),
    [sym__external_open_brace] = ACTIONS(1521),
    [sym__external_open_bracket] = ACTIONS(1521),
    [sym__external_open_bracket2] = ACTIONS(1521),
  },
  [989] = {
    [sym_function_definition] = STATE(445),
    [sym_if_statement] = STATE(445),
    [sym_for_statement] = STATE(445),
    [sym_while_statement] = STATE(445),
    [sym_repeat_statement] = STATE(445),
    [sym_braced_expression] = STATE(445),
    [sym_parenthesized_expression] = STATE(445),
    [sym_call] = STATE(445),
    [sym_subset] = STATE(445),
    [sym_subset2] = STATE(445),
    [sym__argument_value] = STATE(2082),
    [sym_unary_operator] = STATE(445),
    [sym_binary_operator] = STATE(445),
    [sym_extract_operator] = STATE(445),
    [sym_namespace_operator] = STATE(445),
    [sym_integer] = STATE(445),
    [sym_complex] = STATE(445),
    [sym_float] = STATE(445),
    [sym__float_literal] = STATE(772),
    [sym_string] = STATE(771),
    [sym__single_quoted_string] = STATE(773),
    [sym__double_quoted_string] = STATE(774),
    [sym_na] = STATE(445),
    [sym__expression] = STATE(445),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(1027),
    [sym__open_brace] = STATE(927),
    [sym_identifier] = ACTIONS(1739),
    [anon_sym_BSLASH] = ACTIONS(523),
    [anon_sym_function] = ACTIONS(525),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_repeat] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(539),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [sym__hex_literal] = ACTIONS(543),
    [sym__number_literal] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_return] = ACTIONS(551),
    [sym_next] = ACTIONS(551),
    [sym_break] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_inf] = ACTIONS(551),
    [sym_nan] = ACTIONS(551),
    [anon_sym_NA] = ACTIONS(553),
    [anon_sym_NA_integer_] = ACTIONS(553),
    [anon_sym_NA_real_] = ACTIONS(553),
    [anon_sym_NA_complex_] = ACTIONS(553),
    [anon_sym_NA_character_] = ACTIONS(553),
    [sym_dots] = ACTIONS(551),
    [sym_dot_dot_i] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1737),
    [sym__newline] = ACTIONS(561),
    [sym__raw_string_literal] = ACTIONS(563),
    [sym__external_open_parenthesis] = ACTIONS(565),
    [sym__external_open_brace] = ACTIONS(567),
    [sym__external_close_bracket] = ACTIONS(1737),
  },
  [990] = {
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_BSLASH] = ACTIONS(1525),
    [anon_sym_function] = ACTIONS(1527),
    [anon_sym_EQ] = ACTIONS(1527),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_for] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1527),
    [anon_sym_repeat] = ACTIONS(1527),
    [anon_sym_QMARK] = ACTIONS(1525),
    [anon_sym_TILDE] = ACTIONS(1525),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1525),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_LT_DASH] = ACTIONS(1525),
    [anon_sym_LT_LT_DASH] = ACTIONS(1525),
    [anon_sym_COLON_EQ] = ACTIONS(1525),
    [anon_sym_DASH_GT] = ACTIONS(1527),
    [anon_sym_DASH_GT_GT] = ACTIONS(1525),
    [anon_sym_PIPE] = ACTIONS(1527),
    [anon_sym_AMP] = ACTIONS(1527),
    [anon_sym_PIPE_PIPE] = ACTIONS(1525),
    [anon_sym_AMP_AMP] = ACTIONS(1525),
    [anon_sym_LT] = ACTIONS(1527),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1527),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_EQ_EQ] = ACTIONS(1525),
    [anon_sym_BANG_EQ] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_STAR_STAR] = ACTIONS(1525),
    [anon_sym_CARET] = ACTIONS(1525),
    [aux_sym_binary_operator_token1] = ACTIONS(1525),
    [anon_sym_PIPE_GT] = ACTIONS(1525),
    [anon_sym_COLON] = ACTIONS(1527),
    [anon_sym_DOLLAR] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(1525),
    [sym__hex_literal] = ACTIONS(1525),
    [sym__number_literal] = ACTIONS(1527),
    [anon_sym_SQUOTE] = ACTIONS(1525),
    [anon_sym_DQUOTE] = ACTIONS(1525),
    [sym_return] = ACTIONS(1527),
    [sym_next] = ACTIONS(1527),
    [sym_break] = ACTIONS(1527),
    [sym_true] = ACTIONS(1527),
    [sym_false] = ACTIONS(1527),
    [sym_null] = ACTIONS(1527),
    [sym_inf] = ACTIONS(1527),
    [sym_nan] = ACTIONS(1527),
    [anon_sym_NA] = ACTIONS(1527),
    [anon_sym_NA_integer_] = ACTIONS(1527),
    [anon_sym_NA_real_] = ACTIONS(1527),
    [anon_sym_NA_complex_] = ACTIONS(1527),
    [anon_sym_NA_character_] = ACTIONS(1527),
    [sym_dots] = ACTIONS(1527),
    [sym_dot_dot_i] = ACTIONS(1525),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1525),
    [sym__newline] = ACTIONS(1525),
    [sym__raw_string_literal] = ACTIONS(1525),
    [sym__external_open_parenthesis] = ACTIONS(1525),
    [sym__external_close_parenthesis] = ACTIONS(1525),
    [sym__external_open_brace] = ACTIONS(1525),
    [sym__external_open_bracket] = ACTIONS(1525),
    [sym__external_open_bracket2] = ACTIONS(1525),
  },
  [991] = {
    [sym_identifier] = ACTIONS(1531),
    [anon_sym_BSLASH] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_EQ] = ACTIONS(1531),
    [anon_sym_if] = ACTIONS(1531),
    [anon_sym_for] = ACTIONS(1531),
    [anon_sym_while] = ACTIONS(1531),
    [anon_sym_repeat] = ACTIONS(1531),
    [anon_sym_QMARK] = ACTIONS(1529),
    [anon_sym_TILDE] = ACTIONS(1529),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1531),
    [anon_sym_LT_DASH] = ACTIONS(1529),
    [anon_sym_LT_LT_DASH] = ACTIONS(1529),
    [anon_sym_COLON_EQ] = ACTIONS(1529),
    [anon_sym_DASH_GT] = ACTIONS(1531),
    [anon_sym_DASH_GT_GT] = ACTIONS(1529),
    [anon_sym_PIPE] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_PIPE_PIPE] = ACTIONS(1529),
    [anon_sym_AMP_AMP] = ACTIONS(1529),
    [anon_sym_LT] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1529),
    [anon_sym_GT] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1529),
    [anon_sym_EQ_EQ] = ACTIONS(1529),
    [anon_sym_BANG_EQ] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1529),
    [anon_sym_STAR_STAR] = ACTIONS(1529),
    [anon_sym_CARET] = ACTIONS(1529),
    [aux_sym_binary_operator_token1] = ACTIONS(1529),
    [anon_sym_PIPE_GT] = ACTIONS(1529),
    [anon_sym_COLON] = ACTIONS(1531),
    [anon_sym_DOLLAR] = ACTIONS(1529),
    [anon_sym_AT] = ACTIONS(1529),
    [sym__hex_literal] = ACTIONS(1529),
    [sym__number_literal] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1529),
    [anon_sym_DQUOTE] = ACTIONS(1529),
    [sym_return] = ACTIONS(1531),
    [sym_next] = ACTIONS(1531),
    [sym_break] = ACTIONS(1531),
    [sym_true] = ACTIONS(1531),
    [sym_false] = ACTIONS(1531),
    [sym_null] = ACTIONS(1531),
    [sym_inf] = ACTIONS(1531),
    [sym_nan] = ACTIONS(1531),
    [anon_sym_NA] = ACTIONS(1531),
    [anon_sym_NA_integer_] = ACTIONS(1531),
    [anon_sym_NA_real_] = ACTIONS(1531),
    [anon_sym_NA_complex_] = ACTIONS(1531),
    [anon_sym_NA_character_] = ACTIONS(1531),
    [sym_dots] = ACTIONS(1531),
    [sym_dot_dot_i] = ACTIONS(1529),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1529),
    [sym__newline] = ACTIONS(1529),
    [sym__raw_string_literal] = ACTIONS(1529),
    [sym__external_open_parenthesis] = ACTIONS(1529),
    [sym__external_close_parenthesis] = ACTIONS(1529),
    [sym__external_open_brace] = ACTIONS(1529),
    [sym__external_open_bracket] = ACTIONS(1529),
    [sym__external_open_bracket2] = ACTIONS(1529),
  },
  [992] = {
    [ts_builtin_sym_end] = ACTIONS(1472),
    [sym_identifier] = ACTIONS(1474),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_function] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1474),
    [anon_sym_if] = ACTIONS(1474),
    [anon_sym_for] = ACTIONS(1474),
    [anon_sym_while] = ACTIONS(1474),
    [anon_sym_repeat] = ACTIONS(1474),
    [anon_sym_QMARK] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_LT_DASH] = ACTIONS(1472),
    [anon_sym_LT_LT_DASH] = ACTIONS(1472),
    [anon_sym_COLON_EQ] = ACTIONS(1472),
    [anon_sym_DASH_GT] = ACTIONS(1474),
    [anon_sym_DASH_GT_GT] = ACTIONS(1472),
    [anon_sym_PIPE] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_PIPE_PIPE] = ACTIONS(1472),
    [anon_sym_AMP_AMP] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1474),
    [anon_sym_LT_EQ] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1474),
    [anon_sym_GT_EQ] = ACTIONS(1472),
    [anon_sym_EQ_EQ] = ACTIONS(1472),
    [anon_sym_BANG_EQ] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_STAR_STAR] = ACTIONS(1472),
    [anon_sym_CARET] = ACTIONS(1472),
    [aux_sym_binary_operator_token1] = ACTIONS(1472),
    [anon_sym_PIPE_GT] = ACTIONS(1472),
    [anon_sym_COLON] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1472),
    [sym__hex_literal] = ACTIONS(1472),
    [sym__number_literal] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [sym_return] = ACTIONS(1474),
    [sym_next] = ACTIONS(1474),
    [sym_break] = ACTIONS(1474),
    [sym_true] = ACTIONS(1474),
    [sym_false] = ACTIONS(1474),
    [sym_null] = ACTIONS(1474),
    [sym_inf] = ACTIONS(1474),
    [sym_nan] = ACTIONS(1474),
    [anon_sym_NA] = ACTIONS(1474),
    [anon_sym_NA_integer_] = ACTIONS(1474),
    [anon_sym_NA_real_] = ACTIONS(1474),
    [anon_sym_NA_complex_] = ACTIONS(1474),
    [anon_sym_NA_character_] = ACTIONS(1474),
    [sym_dots] = ACTIONS(1474),
    [sym_dot_dot_i] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1472),
    [sym__semicolon] = ACTIONS(1472),
    [sym__raw_string_literal] = ACTIONS(1472),
    [sym__external_open_parenthesis] = ACTIONS(1472),
    [sym__external_open_brace] = ACTIONS(1472),
    [sym__external_open_bracket] = ACTIONS(1472),
    [sym__external_open_bracket2] = ACTIONS(1472),
  },
  [993] = {
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_BSLASH] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1495),
    [anon_sym_EQ] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1495),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_repeat] = ACTIONS(1495),
    [anon_sym_QMARK] = ACTIONS(1493),
    [anon_sym_TILDE] = ACTIONS(1493),
    [anon_sym_BANG] = ACTIONS(1495),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_LT_DASH] = ACTIONS(1493),
    [anon_sym_LT_LT_DASH] = ACTIONS(1493),
    [anon_sym_COLON_EQ] = ACTIONS(1493),
    [anon_sym_DASH_GT] = ACTIONS(1495),
    [anon_sym_DASH_GT_GT] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
    [anon_sym_AMP] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_AMP_AMP] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_GT] = ACTIONS(1495),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_EQ_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_STAR] = ACTIONS(1495),
    [anon_sym_SLASH] = ACTIONS(1493),
    [anon_sym_STAR_STAR] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [aux_sym_binary_operator_token1] = ACTIONS(1493),
    [anon_sym_PIPE_GT] = ACTIONS(1493),
    [anon_sym_COLON] = ACTIONS(1495),
    [anon_sym_DOLLAR] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(1493),
    [sym__hex_literal] = ACTIONS(1493),
    [sym__number_literal] = ACTIONS(1495),
    [anon_sym_SQUOTE] = ACTIONS(1493),
    [anon_sym_DQUOTE] = ACTIONS(1493),
    [sym_return] = ACTIONS(1495),
    [sym_next] = ACTIONS(1495),
    [sym_break] = ACTIONS(1495),
    [sym_true] = ACTIONS(1495),
    [sym_false] = ACTIONS(1495),
    [sym_null] = ACTIONS(1495),
    [sym_inf] = ACTIONS(1495),
    [sym_nan] = ACTIONS(1495),
    [anon_sym_NA] = ACTIONS(1495),
    [anon_sym_NA_integer_] = ACTIONS(1495),
    [anon_sym_NA_real_] = ACTIONS(1495),
    [anon_sym_NA_complex_] = ACTIONS(1495),
    [anon_sym_NA_character_] = ACTIONS(1495),
    [sym_dots] = ACTIONS(1495),
    [sym_dot_dot_i] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1493),
    [sym__semicolon] = ACTIONS(1493),
    [sym__raw_string_literal] = ACTIONS(1493),
    [sym__external_open_parenthesis] = ACTIONS(1493),
    [sym__external_open_brace] = ACTIONS(1493),
    [sym__external_close_brace] = ACTIONS(1493),
    [sym__external_open_bracket] = ACTIONS(1493),
    [sym__external_open_bracket2] = ACTIONS(1493),
  },
  [994] = {
    [sym_identifier] = ACTIONS(1317),
    [anon_sym_BSLASH] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1317),
    [anon_sym_EQ] = ACTIONS(1389),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_for] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1317),
    [anon_sym_repeat] = ACTIONS(1317),
    [anon_sym_QMARK] = ACTIONS(1319),
    [anon_sym_TILDE] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_DASH] = ACTIONS(1317),
    [anon_sym_LT_DASH] = ACTIONS(1319),
    [anon_sym_LT_LT_DASH] = ACTIONS(1319),
    [anon_sym_COLON_EQ] = ACTIONS(1319),
    [anon_sym_DASH_GT] = ACTIONS(1317),
    [anon_sym_DASH_GT_GT] = ACTIONS(1319),
    [anon_sym_PIPE] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_PIPE_PIPE] = ACTIONS(1319),
    [anon_sym_AMP_AMP] = ACTIONS(1319),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1319),
    [anon_sym_GT] = ACTIONS(1317),
    [anon_sym_GT_EQ] = ACTIONS(1319),
    [anon_sym_EQ_EQ] = ACTIONS(1319),
    [anon_sym_BANG_EQ] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_STAR_STAR] = ACTIONS(1319),
    [anon_sym_CARET] = ACTIONS(1319),
    [aux_sym_binary_operator_token1] = ACTIONS(1319),
    [anon_sym_PIPE_GT] = ACTIONS(1319),
    [anon_sym_COLON] = ACTIONS(1317),
    [anon_sym_DOLLAR] = ACTIONS(1319),
    [anon_sym_AT] = ACTIONS(1319),
    [sym__hex_literal] = ACTIONS(1319),
    [sym__number_literal] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1319),
    [anon_sym_DQUOTE] = ACTIONS(1319),
    [sym_return] = ACTIONS(1317),
    [sym_next] = ACTIONS(1317),
    [sym_break] = ACTIONS(1317),
    [sym_true] = ACTIONS(1317),
    [sym_false] = ACTIONS(1317),
    [sym_null] = ACTIONS(1317),
    [sym_inf] = ACTIONS(1317),
    [sym_nan] = ACTIONS(1317),
    [anon_sym_NA] = ACTIONS(1317),
    [anon_sym_NA_integer_] = ACTIONS(1317),
    [anon_sym_NA_real_] = ACTIONS(1317),
    [anon_sym_NA_complex_] = ACTIONS(1317),
    [anon_sym_NA_character_] = ACTIONS(1317),
    [sym_dots] = ACTIONS(1317),
    [sym_dot_dot_i] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1319),
    [sym__newline] = ACTIONS(1319),
    [sym__raw_string_literal] = ACTIONS(1319),
    [sym__external_open_parenthesis] = ACTIONS(1319),
    [sym__external_open_brace] = ACTIONS(1319),
    [sym__external_open_bracket] = ACTIONS(1319),
    [sym__external_open_bracket2] = ACTIONS(1319),
    [sym__external_close_bracket2] = ACTIONS(1319),
  },
  [995] = {
    [sym_identifier] = ACTIONS(1499),
    [anon_sym_BSLASH] = ACTIONS(1497),
    [anon_sym_function] = ACTIONS(1499),
    [anon_sym_EQ] = ACTIONS(1499),
    [anon_sym_if] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1499),
    [anon_sym_while] = ACTIONS(1499),
    [anon_sym_repeat] = ACTIONS(1499),
    [anon_sym_QMARK] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(1497),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_LT_DASH] = ACTIONS(1497),
    [anon_sym_LT_LT_DASH] = ACTIONS(1497),
    [anon_sym_COLON_EQ] = ACTIONS(1497),
    [anon_sym_DASH_GT] = ACTIONS(1499),
    [anon_sym_DASH_GT_GT] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_AMP_AMP] = ACTIONS(1497),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_GT] = ACTIONS(1499),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_EQ_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1497),
    [anon_sym_STAR_STAR] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [aux_sym_binary_operator_token1] = ACTIONS(1497),
    [anon_sym_PIPE_GT] = ACTIONS(1497),
    [anon_sym_COLON] = ACTIONS(1499),
    [anon_sym_DOLLAR] = ACTIONS(1497),
    [anon_sym_AT] = ACTIONS(1497),
    [sym__hex_literal] = ACTIONS(1497),
    [sym__number_literal] = ACTIONS(1499),
    [anon_sym_SQUOTE] = ACTIONS(1497),
    [anon_sym_DQUOTE] = ACTIONS(1497),
    [sym_return] = ACTIONS(1499),
    [sym_next] = ACTIONS(1499),
    [sym_break] = ACTIONS(1499),
    [sym_true] = ACTIONS(1499),
    [sym_false] = ACTIONS(1499),
    [sym_null] = ACTIONS(1499),
    [sym_inf] = ACTIONS(1499),
    [sym_nan] = ACTIONS(1499),
    [anon_sym_NA] = ACTIONS(1499),
    [anon_sym_NA_integer_] = ACTIONS(1499),
    [anon_sym_NA_real_] = ACTIONS(1499),
    [anon_sym_NA_complex_] = ACTIONS(1499),
    [anon_sym_NA_character_] = ACTIONS(1499),
    [sym_dots] = ACTIONS(1499),
    [sym_dot_dot_i] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1497),
    [sym__semicolon] = ACTIONS(1497),
    [sym__raw_string_literal] = ACTIONS(1497),
    [sym__external_open_parenthesis] = ACTIONS(1497),
    [sym__external_open_brace] = ACTIONS(1497),
    [sym__external_close_brace] = ACTIONS(1497),
    [sym__external_open_bracket] = ACTIONS(1497),
    [sym__external_open_bracket2] = ACTIONS(1497),
  },
  [996] = {
    [sym_identifier] = ACTIONS(1535),
    [anon_sym_BSLASH] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(1535),
    [anon_sym_EQ] = ACTIONS(1535),
    [anon_sym_if] = ACTIONS(1535),
    [anon_sym_for] = ACTIONS(1535),
    [anon_sym_while] = ACTIONS(1535),
    [anon_sym_repeat] = ACTIONS(1535),
    [anon_sym_QMARK] = ACTIONS(1533),
    [anon_sym_TILDE] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1535),
    [anon_sym_LT_DASH] = ACTIONS(1533),
    [anon_sym_LT_LT_DASH] = ACTIONS(1533),
    [anon_sym_COLON_EQ] = ACTIONS(1533),
    [anon_sym_DASH_GT] = ACTIONS(1535),
    [anon_sym_DASH_GT_GT] = ACTIONS(1533),
    [anon_sym_PIPE] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_PIPE_PIPE] = ACTIONS(1533),
    [anon_sym_AMP_AMP] = ACTIONS(1533),
    [anon_sym_LT] = ACTIONS(1535),
    [anon_sym_LT_EQ] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1535),
    [anon_sym_GT_EQ] = ACTIONS(1533),
    [anon_sym_EQ_EQ] = ACTIONS(1533),
    [anon_sym_BANG_EQ] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_SLASH] = ACTIONS(1533),
    [anon_sym_STAR_STAR] = ACTIONS(1533),
    [anon_sym_CARET] = ACTIONS(1533),
    [aux_sym_binary_operator_token1] = ACTIONS(1533),
    [anon_sym_PIPE_GT] = ACTIONS(1533),
    [anon_sym_COLON] = ACTIONS(1535),
    [anon_sym_DOLLAR] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(1533),
    [sym__hex_literal] = ACTIONS(1533),
    [sym__number_literal] = ACTIONS(1535),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1533),
    [sym_return] = ACTIONS(1535),
    [sym_next] = ACTIONS(1535),
    [sym_break] = ACTIONS(1535),
    [sym_true] = ACTIONS(1535),
    [sym_false] = ACTIONS(1535),
    [sym_null] = ACTIONS(1535),
    [sym_inf] = ACTIONS(1535),
    [sym_nan] = ACTIONS(1535),
    [anon_sym_NA] = ACTIONS(1535),
    [anon_sym_NA_integer_] = ACTIONS(1535),
    [anon_sym_NA_real_] = ACTIONS(1535),
    [anon_sym_NA_complex_] = ACTIONS(1535),
    [anon_sym_NA_character_] = ACTIONS(1535),
    [sym_dots] = ACTIONS(1535),
    [sym_dot_dot_i] = ACTIONS(1533),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1533),
    [sym__newline] = ACTIONS(1533),
    [sym__raw_string_literal] = ACTIONS(1533),
    [sym__external_open_parenthesis] = ACTIONS(1533),
    [sym__external_close_parenthesis] = ACTIONS(1533),
    [sym__external_open_brace] = ACTIONS(1533),
    [sym__external_open_bracket] = ACTIONS(1533),
    [sym__external_open_bracket2] = ACTIONS(1533),
  },
  [997] = {
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(1501),
    [anon_sym_function] = ACTIONS(1503),
    [anon_sym_EQ] = ACTIONS(1503),
    [anon_sym_if] = ACTIONS(1503),
    [anon_sym_for] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_repeat] = ACTIONS(1503),
    [anon_sym_QMARK] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(1501),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_LT_DASH] = ACTIONS(1501),
    [anon_sym_LT_LT_DASH] = ACTIONS(1501),
    [anon_sym_COLON_EQ] = ACTIONS(1501),
    [anon_sym_DASH_GT] = ACTIONS(1503),
    [anon_sym_DASH_GT_GT] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_AMP] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_AMP_AMP] = ACTIONS(1501),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_GT] = ACTIONS(1503),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_EQ_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_SLASH] = ACTIONS(1501),
    [anon_sym_STAR_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [aux_sym_binary_operator_token1] = ACTIONS(1501),
    [anon_sym_PIPE_GT] = ACTIONS(1501),
    [anon_sym_COLON] = ACTIONS(1503),
    [anon_sym_DOLLAR] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(1501),
    [sym__hex_literal] = ACTIONS(1501),
    [sym__number_literal] = ACTIONS(1503),
    [anon_sym_SQUOTE] = ACTIONS(1501),
    [anon_sym_DQUOTE] = ACTIONS(1501),
    [sym_return] = ACTIONS(1503),
    [sym_next] = ACTIONS(1503),
    [sym_break] = ACTIONS(1503),
    [sym_true] = ACTIONS(1503),
    [sym_false] = ACTIONS(1503),
    [sym_null] = ACTIONS(1503),
    [sym_inf] = ACTIONS(1503),
    [sym_nan] = ACTIONS(1503),
    [anon_sym_NA] = ACTIONS(1503),
    [anon_sym_NA_integer_] = ACTIONS(1503),
    [anon_sym_NA_real_] = ACTIONS(1503),
    [anon_sym_NA_complex_] = ACTIONS(1503),
    [anon_sym_NA_character_] = ACTIONS(1503),
    [sym_dots] = ACTIONS(1503),
    [sym_dot_dot_i] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1501),
    [sym__semicolon] = ACTIONS(1501),
    [sym__raw_string_literal] = ACTIONS(1501),
    [sym__external_open_parenthesis] = ACTIONS(1501),
    [sym__external_open_brace] = ACTIONS(1501),
    [sym__external_close_brace] = ACTIONS(1501),
    [sym__external_open_bracket] = ACTIONS(1501),
    [sym__external_open_bracket2] = ACTIONS(1501),
  },
  [998] = {
    [ts_builtin_sym_end] = ACTIONS(1497),
    [sym_identifier] = ACTIONS(1499),
    [anon_sym_BSLASH] = ACTIONS(1497),
    [anon_sym_function] = ACTIONS(1499),
    [anon_sym_EQ] = ACTIONS(1499),
    [anon_sym_if] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1499),
    [anon_sym_while] = ACTIONS(1499),
    [anon_sym_repeat] = ACTIONS(1499),
    [anon_sym_QMARK] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(1497),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_LT_DASH] = ACTIONS(1497),
    [anon_sym_LT_LT_DASH] = ACTIONS(1497),
    [anon_sym_COLON_EQ] = ACTIONS(1497),
    [anon_sym_DASH_GT] = ACTIONS(1499),
    [anon_sym_DASH_GT_GT] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_AMP_AMP] = ACTIONS(1497),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_GT] = ACTIONS(1499),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_EQ_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1497),
    [anon_sym_STAR_STAR] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [aux_sym_binary_operator_token1] = ACTIONS(1497),
    [anon_sym_PIPE_GT] = ACTIONS(1497),
    [anon_sym_COLON] = ACTIONS(1499),
    [anon_sym_DOLLAR] = ACTIONS(1497),
    [anon_sym_AT] = ACTIONS(1497),
    [sym__hex_literal] = ACTIONS(1497),
    [sym__number_literal] = ACTIONS(1499),
    [anon_sym_SQUOTE] = ACTIONS(1497),
    [anon_sym_DQUOTE] = ACTIONS(1497),
    [sym_return] = ACTIONS(1499),
    [sym_next] = ACTIONS(1499),
    [sym_break] = ACTIONS(1499),
    [sym_true] = ACTIONS(1499),
    [sym_false] = ACTIONS(1499),
    [sym_null] = ACTIONS(1499),
    [sym_inf] = ACTIONS(1499),
    [sym_nan] = ACTIONS(1499),
    [anon_sym_NA] = ACTIONS(1499),
    [anon_sym_NA_integer_] = ACTIONS(1499),
    [anon_sym_NA_real_] = ACTIONS(1499),
    [anon_sym_NA_complex_] = ACTIONS(1499),
    [anon_sym_NA_character_] = ACTIONS(1499),
    [sym_dots] = ACTIONS(1499),
    [sym_dot_dot_i] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1497),
    [sym__semicolon] = ACTIONS(1497),
    [sym__raw_string_literal] = ACTIONS(1497),
    [sym__external_open_parenthesis] = ACTIONS(1497),
    [sym__external_open_brace] = ACTIONS(1497),
    [sym__external_open_bracket] = ACTIONS(1497),
    [sym__external_open_bracket2] = ACTIONS(1497),
  },
  [999] = {
    [sym_identifier] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(1521),
    [anon_sym_function] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(1523),
    [anon_sym_for] = ACTIONS(1523),
    [anon_sym_while] = ACTIONS(1523),
    [anon_sym_repeat] = ACTIONS(1523),
    [anon_sym_QMARK] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1523),
    [anon_sym_LT_DASH] = ACTIONS(1521),
    [anon_sym_LT_LT_DASH] = ACTIONS(1521),
    [anon_sym_COLON_EQ] = ACTIONS(1521),
    [anon_sym_DASH_GT] = ACTIONS(1523),
    [anon_sym_DASH_GT_GT] = ACTIONS(1521),
    [anon_sym_PIPE] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_PIPE_PIPE] = ACTIONS(1521),
    [anon_sym_AMP_AMP] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1521),
    [anon_sym_STAR_STAR] = ACTIONS(1521),
    [anon_sym_CARET] = ACTIONS(1521),
    [aux_sym_binary_operator_token1] = ACTIONS(1521),
    [anon_sym_PIPE_GT] = ACTIONS(1521),
    [anon_sym_COLON] = ACTIONS(1523),
    [anon_sym_DOLLAR] = ACTIONS(1521),
    [anon_sym_AT] = ACTIONS(1521),
    [sym__hex_literal] = ACTIONS(1521),
    [sym__number_literal] = ACTIONS(1523),
    [anon_sym_SQUOTE] = ACTIONS(1521),
    [anon_sym_DQUOTE] = ACTIONS(1521),
    [sym_return] = ACTIONS(1523),
    [sym_next] = ACTIONS(1523),
    [sym_break] = ACTIONS(1523),
    [sym_true] = ACTIONS(1523),
    [sym_false] = ACTIONS(1523),
    [sym_null] = ACTIONS(1523),
    [sym_inf] = ACTIONS(1523),
    [sym_nan] = ACTIONS(1523),
    [anon_sym_NA] = ACTIONS(1523),
    [anon_sym_NA_integer_] = ACTIONS(1523),
    [anon_sym_NA_real_] = ACTIONS(1523),
    [anon_sym_NA_complex_] = ACTIONS(1523),
    [anon_sym_NA_character_] = ACTIONS(1523),
    [sym_dots] = ACTIONS(1523),
    [sym_dot_dot_i] = ACTIONS(1521),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1521),
    [sym__newline] = ACTIONS(1521),
    [sym__raw_string_literal] = ACTIONS(1521),
    [sym__external_open_parenthesis] = ACTIONS(1521),
    [sym__external_open_brace] = ACTIONS(1521),
    [sym__external_open_bracket] = ACTIONS(1521),
    [sym__external_open_bracket2] = ACTIONS(1521),
    [sym__external_close_bracket2] = ACTIONS(1521),
  },
  [1000] = {
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_BSLASH] = ACTIONS(1525),
    [anon_sym_function] = ACTIONS(1527),
    [anon_sym_EQ] = ACTIONS(1527),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_for] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1527),
    [anon_sym_repeat] = ACTIONS(1527),
    [anon_sym_QMARK] = ACTIONS(1525),
    [anon_sym_TILDE] = ACTIONS(1525),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1525),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_LT_DASH] = ACTIONS(1525),
    [anon_sym_LT_LT_DASH] = ACTIONS(1525),
    [anon_sym_COLON_EQ] = ACTIONS(1525),
    [anon_sym_DASH_GT] = ACTIONS(1527),
    [anon_sym_DASH_GT_GT] = ACTIONS(1525),
    [anon_sym_PIPE] = ACTIONS(1527),
    [anon_sym_AMP] = ACTIONS(1527),
    [anon_sym_PIPE_PIPE] = ACTIONS(1525),
    [anon_sym_AMP_AMP] = ACTIONS(1525),
    [anon_sym_LT] = ACTIONS(1527),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1527),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_EQ_EQ] = ACTIONS(1525),
    [anon_sym_BANG_EQ] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_STAR_STAR] = ACTIONS(1525),
    [anon_sym_CARET] = ACTIONS(1525),
    [aux_sym_binary_operator_token1] = ACTIONS(1525),
    [anon_sym_PIPE_GT] = ACTIONS(1525),
    [anon_sym_COLON] = ACTIONS(1527),
    [anon_sym_DOLLAR] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(1525),
    [sym__hex_literal] = ACTIONS(1525),
    [sym__number_literal] = ACTIONS(1527),
    [anon_sym_SQUOTE] = ACTIONS(1525),
    [anon_sym_DQUOTE] = ACTIONS(1525),
    [sym_return] = ACTIONS(1527),
    [sym_next] = ACTIONS(1527),
    [sym_break] = ACTIONS(1527),
    [sym_true] = ACTIONS(1527),
    [sym_false] = ACTIONS(1527),
    [sym_null] = ACTIONS(1527),
    [sym_inf] = ACTIONS(1527),
    [sym_nan] = ACTIONS(1527),
    [anon_sym_NA] = ACTIONS(1527),
    [anon_sym_NA_integer_] = ACTIONS(1527),
    [anon_sym_NA_real_] = ACTIONS(1527),
    [anon_sym_NA_complex_] = ACTIONS(1527),
    [anon_sym_NA_character_] = ACTIONS(1527),
    [sym_dots] = ACTIONS(1527),
    [sym_dot_dot_i] = ACTIONS(1525),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1525),
    [sym__newline] = ACTIONS(1525),
    [sym__raw_string_literal] = ACTIONS(1525),
    [sym__external_open_parenthesis] = ACTIONS(1525),
    [sym__external_open_brace] = ACTIONS(1525),
    [sym__external_open_bracket] = ACTIONS(1525),
    [sym__external_open_bracket2] = ACTIONS(1525),
    [sym__external_close_bracket2] = ACTIONS(1525),
  },
  [1001] = {
    [sym_identifier] = ACTIONS(1507),
    [anon_sym_BSLASH] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ] = ACTIONS(1507),
    [anon_sym_if] = ACTIONS(1507),
    [anon_sym_for] = ACTIONS(1507),
    [anon_sym_while] = ACTIONS(1507),
    [anon_sym_repeat] = ACTIONS(1507),
    [anon_sym_QMARK] = ACTIONS(1505),
    [anon_sym_TILDE] = ACTIONS(1505),
    [anon_sym_BANG] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_LT_DASH] = ACTIONS(1505),
    [anon_sym_LT_LT_DASH] = ACTIONS(1505),
    [anon_sym_COLON_EQ] = ACTIONS(1505),
    [anon_sym_DASH_GT] = ACTIONS(1507),
    [anon_sym_DASH_GT_GT] = ACTIONS(1505),
    [anon_sym_PIPE] = ACTIONS(1507),
    [anon_sym_AMP] = ACTIONS(1507),
    [anon_sym_PIPE_PIPE] = ACTIONS(1505),
    [anon_sym_AMP_AMP] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1507),
    [anon_sym_LT_EQ] = ACTIONS(1505),
    [anon_sym_GT] = ACTIONS(1507),
    [anon_sym_GT_EQ] = ACTIONS(1505),
    [anon_sym_EQ_EQ] = ACTIONS(1505),
    [anon_sym_BANG_EQ] = ACTIONS(1505),
    [anon_sym_STAR] = ACTIONS(1507),
    [anon_sym_SLASH] = ACTIONS(1505),
    [anon_sym_STAR_STAR] = ACTIONS(1505),
    [anon_sym_CARET] = ACTIONS(1505),
    [aux_sym_binary_operator_token1] = ACTIONS(1505),
    [anon_sym_PIPE_GT] = ACTIONS(1505),
    [anon_sym_COLON] = ACTIONS(1507),
    [anon_sym_DOLLAR] = ACTIONS(1505),
    [anon_sym_AT] = ACTIONS(1505),
    [sym__hex_literal] = ACTIONS(1505),
    [sym__number_literal] = ACTIONS(1507),
    [anon_sym_SQUOTE] = ACTIONS(1505),
    [anon_sym_DQUOTE] = ACTIONS(1505),
    [sym_return] = ACTIONS(1507),
    [sym_next] = ACTIONS(1507),
    [sym_break] = ACTIONS(1507),
    [sym_true] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_null] = ACTIONS(1507),
    [sym_inf] = ACTIONS(1507),
    [sym_nan] = ACTIONS(1507),
    [anon_sym_NA] = ACTIONS(1507),
    [anon_sym_NA_integer_] = ACTIONS(1507),
    [anon_sym_NA_real_] = ACTIONS(1507),
    [anon_sym_NA_complex_] = ACTIONS(1507),
    [anon_sym_NA_character_] = ACTIONS(1507),
    [sym_dots] = ACTIONS(1507),
    [sym_dot_dot_i] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1505),
    [sym__semicolon] = ACTIONS(1505),
    [sym__raw_string_literal] = ACTIONS(1505),
    [sym__external_open_parenthesis] = ACTIONS(1505),
    [sym__external_open_brace] = ACTIONS(1505),
    [sym__external_close_brace] = ACTIONS(1505),
    [sym__external_open_bracket] = ACTIONS(1505),
    [sym__external_open_bracket2] = ACTIONS(1505),
  },
  [1002] = {
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_function] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [anon_sym_if] = ACTIONS(1462),
    [anon_sym_for] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1462),
    [anon_sym_repeat] = ACTIONS(1462),
    [anon_sym_QMARK] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_LT_DASH] = ACTIONS(1460),
    [anon_sym_LT_LT_DASH] = ACTIONS(1460),
    [anon_sym_COLON_EQ] = ACTIONS(1460),
    [anon_sym_DASH_GT] = ACTIONS(1462),
    [anon_sym_DASH_GT_GT] = ACTIONS(1460),
    [anon_sym_PIPE] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_PIPE_PIPE] = ACTIONS(1460),
    [anon_sym_AMP_AMP] = ACTIONS(1460),
    [anon_sym_LT] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1460),
    [anon_sym_EQ_EQ] = ACTIONS(1460),
    [anon_sym_BANG_EQ] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_STAR_STAR] = ACTIONS(1460),
    [anon_sym_CARET] = ACTIONS(1460),
    [aux_sym_binary_operator_token1] = ACTIONS(1460),
    [anon_sym_PIPE_GT] = ACTIONS(1460),
    [anon_sym_COLON] = ACTIONS(1462),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1460),
    [sym__hex_literal] = ACTIONS(1460),
    [sym__number_literal] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [sym_return] = ACTIONS(1462),
    [sym_next] = ACTIONS(1462),
    [sym_break] = ACTIONS(1462),
    [sym_true] = ACTIONS(1462),
    [sym_false] = ACTIONS(1462),
    [sym_null] = ACTIONS(1462),
    [sym_inf] = ACTIONS(1462),
    [sym_nan] = ACTIONS(1462),
    [anon_sym_NA] = ACTIONS(1462),
    [anon_sym_NA_integer_] = ACTIONS(1462),
    [anon_sym_NA_real_] = ACTIONS(1462),
    [anon_sym_NA_complex_] = ACTIONS(1462),
    [anon_sym_NA_character_] = ACTIONS(1462),
    [sym_dots] = ACTIONS(1462),
    [sym_dot_dot_i] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1460),
    [sym__newline] = ACTIONS(1460),
    [sym__raw_string_literal] = ACTIONS(1460),
    [sym__external_open_parenthesis] = ACTIONS(1460),
    [sym__external_open_brace] = ACTIONS(1460),
    [sym__external_open_bracket] = ACTIONS(1460),
    [sym__external_close_bracket] = ACTIONS(1460),
    [sym__external_open_bracket2] = ACTIONS(1460),
  },
  [1003] = {
    [sym_identifier] = ACTIONS(1531),
    [anon_sym_BSLASH] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_EQ] = ACTIONS(1531),
    [anon_sym_if] = ACTIONS(1531),
    [anon_sym_for] = ACTIONS(1531),
    [anon_sym_while] = ACTIONS(1531),
    [anon_sym_repeat] = ACTIONS(1531),
    [anon_sym_QMARK] = ACTIONS(1529),
    [anon_sym_TILDE] = ACTIONS(1529),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1531),
    [anon_sym_LT_DASH] = ACTIONS(1529),
    [anon_sym_LT_LT_DASH] = ACTIONS(1529),
    [anon_sym_COLON_EQ] = ACTIONS(1529),
    [anon_sym_DASH_GT] = ACTIONS(1531),
    [anon_sym_DASH_GT_GT] = ACTIONS(1529),
    [anon_sym_PIPE] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_PIPE_PIPE] = ACTIONS(1529),
    [anon_sym_AMP_AMP] = ACTIONS(1529),
    [anon_sym_LT] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1529),
    [anon_sym_GT] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1529),
    [anon_sym_EQ_EQ] = ACTIONS(1529),
    [anon_sym_BANG_EQ] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1529),
    [anon_sym_STAR_STAR] = ACTIONS(1529),
    [anon_sym_CARET] = ACTIONS(1529),
    [aux_sym_binary_operator_token1] = ACTIONS(1529),
    [anon_sym_PIPE_GT] = ACTIONS(1529),
    [anon_sym_COLON] = ACTIONS(1531),
    [anon_sym_DOLLAR] = ACTIONS(1529),
    [anon_sym_AT] = ACTIONS(1529),
    [sym__hex_literal] = ACTIONS(1529),
    [sym__number_literal] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1529),
    [anon_sym_DQUOTE] = ACTIONS(1529),
    [sym_return] = ACTIONS(1531),
    [sym_next] = ACTIONS(1531),
    [sym_break] = ACTIONS(1531),
    [sym_true] = ACTIONS(1531),
    [sym_false] = ACTIONS(1531),
    [sym_null] = ACTIONS(1531),
    [sym_inf] = ACTIONS(1531),
    [sym_nan] = ACTIONS(1531),
    [anon_sym_NA] = ACTIONS(1531),
    [anon_sym_NA_integer_] = ACTIONS(1531),
    [anon_sym_NA_real_] = ACTIONS(1531),
    [anon_sym_NA_complex_] = ACTIONS(1531),
    [anon_sym_NA_character_] = ACTIONS(1531),
    [sym_dots] = ACTIONS(1531),
    [sym_dot_dot_i] = ACTIONS(1529),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1529),
    [sym__newline] = ACTIONS(1529),
    [sym__raw_string_literal] = ACTIONS(1529),
    [sym__external_open_parenthesis] = ACTIONS(1529),
    [sym__external_open_brace] = ACTIONS(1529),
    [sym__external_open_bracket] = ACTIONS(1529),
    [sym__external_open_bracket2] = ACTIONS(1529),
    [sym__external_close_bracket2] = ACTIONS(1529),
  },
  [1004] = {
    [sym_identifier] = ACTIONS(1535),
    [anon_sym_BSLASH] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(1535),
    [anon_sym_EQ] = ACTIONS(1535),
    [anon_sym_if] = ACTIONS(1535),
    [anon_sym_for] = ACTIONS(1535),
    [anon_sym_while] = ACTIONS(1535),
    [anon_sym_repeat] = ACTIONS(1535),
    [anon_sym_QMARK] = ACTIONS(1533),
    [anon_sym_TILDE] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1535),
    [anon_sym_LT_DASH] = ACTIONS(1533),
    [anon_sym_LT_LT_DASH] = ACTIONS(1533),
    [anon_sym_COLON_EQ] = ACTIONS(1533),
    [anon_sym_DASH_GT] = ACTIONS(1535),
    [anon_sym_DASH_GT_GT] = ACTIONS(1533),
    [anon_sym_PIPE] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_PIPE_PIPE] = ACTIONS(1533),
    [anon_sym_AMP_AMP] = ACTIONS(1533),
    [anon_sym_LT] = ACTIONS(1535),
    [anon_sym_LT_EQ] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1535),
    [anon_sym_GT_EQ] = ACTIONS(1533),
    [anon_sym_EQ_EQ] = ACTIONS(1533),
    [anon_sym_BANG_EQ] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_SLASH] = ACTIONS(1533),
    [anon_sym_STAR_STAR] = ACTIONS(1533),
    [anon_sym_CARET] = ACTIONS(1533),
    [aux_sym_binary_operator_token1] = ACTIONS(1533),
    [anon_sym_PIPE_GT] = ACTIONS(1533),
    [anon_sym_COLON] = ACTIONS(1535),
    [anon_sym_DOLLAR] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(1533),
    [sym__hex_literal] = ACTIONS(1533),
    [sym__number_literal] = ACTIONS(1535),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1533),
    [sym_return] = ACTIONS(1535),
    [sym_next] = ACTIONS(1535),
    [sym_break] = ACTIONS(1535),
    [sym_true] = ACTIONS(1535),
    [sym_false] = ACTIONS(1535),
    [sym_null] = ACTIONS(1535),
    [sym_inf] = ACTIONS(1535),
    [sym_nan] = ACTIONS(1535),
    [anon_sym_NA] = ACTIONS(1535),
    [anon_sym_NA_integer_] = ACTIONS(1535),
    [anon_sym_NA_real_] = ACTIONS(1535),
    [anon_sym_NA_complex_] = ACTIONS(1535),
    [anon_sym_NA_character_] = ACTIONS(1535),
    [sym_dots] = ACTIONS(1535),
    [sym_dot_dot_i] = ACTIONS(1533),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1533),
    [sym__newline] = ACTIONS(1533),
    [sym__raw_string_literal] = ACTIONS(1533),
    [sym__external_open_parenthesis] = ACTIONS(1533),
    [sym__external_open_brace] = ACTIONS(1533),
    [sym__external_open_bracket] = ACTIONS(1533),
    [sym__external_open_bracket2] = ACTIONS(1533),
    [sym__external_close_bracket2] = ACTIONS(1533),
  },
  [1005] = {
    [ts_builtin_sym_end] = ACTIONS(1501),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(1501),
    [anon_sym_function] = ACTIONS(1503),
    [anon_sym_EQ] = ACTIONS(1503),
    [anon_sym_if] = ACTIONS(1503),
    [anon_sym_for] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_repeat] = ACTIONS(1503),
    [anon_sym_QMARK] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(1501),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_LT_DASH] = ACTIONS(1501),
    [anon_sym_LT_LT_DASH] = ACTIONS(1501),
    [anon_sym_COLON_EQ] = ACTIONS(1501),
    [anon_sym_DASH_GT] = ACTIONS(1503),
    [anon_sym_DASH_GT_GT] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_AMP] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_AMP_AMP] = ACTIONS(1501),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_GT] = ACTIONS(1503),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_EQ_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_SLASH] = ACTIONS(1501),
    [anon_sym_STAR_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [aux_sym_binary_operator_token1] = ACTIONS(1501),
    [anon_sym_PIPE_GT] = ACTIONS(1501),
    [anon_sym_COLON] = ACTIONS(1503),
    [anon_sym_DOLLAR] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(1501),
    [sym__hex_literal] = ACTIONS(1501),
    [sym__number_literal] = ACTIONS(1503),
    [anon_sym_SQUOTE] = ACTIONS(1501),
    [anon_sym_DQUOTE] = ACTIONS(1501),
    [sym_return] = ACTIONS(1503),
    [sym_next] = ACTIONS(1503),
    [sym_break] = ACTIONS(1503),
    [sym_true] = ACTIONS(1503),
    [sym_false] = ACTIONS(1503),
    [sym_null] = ACTIONS(1503),
    [sym_inf] = ACTIONS(1503),
    [sym_nan] = ACTIONS(1503),
    [anon_sym_NA] = ACTIONS(1503),
    [anon_sym_NA_integer_] = ACTIONS(1503),
    [anon_sym_NA_real_] = ACTIONS(1503),
    [anon_sym_NA_complex_] = ACTIONS(1503),
    [anon_sym_NA_character_] = ACTIONS(1503),
    [sym_dots] = ACTIONS(1503),
    [sym_dot_dot_i] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1501),
    [sym__semicolon] = ACTIONS(1501),
    [sym__raw_string_literal] = ACTIONS(1501),
    [sym__external_open_parenthesis] = ACTIONS(1501),
    [sym__external_open_brace] = ACTIONS(1501),
    [sym__external_open_bracket] = ACTIONS(1501),
    [sym__external_open_bracket2] = ACTIONS(1501),
  },
  [1006] = {
    [sym_function_definition] = STATE(468),
    [sym_if_statement] = STATE(468),
    [sym_for_statement] = STATE(468),
    [sym_while_statement] = STATE(468),
    [sym_repeat_statement] = STATE(468),
    [sym_braced_expression] = STATE(468),
    [sym_parenthesized_expression] = STATE(468),
    [sym_call] = STATE(468),
    [sym_subset] = STATE(468),
    [sym_subset2] = STATE(468),
    [sym_unary_operator] = STATE(468),
    [sym_binary_operator] = STATE(468),
    [sym_extract_operator] = STATE(468),
    [sym_namespace_operator] = STATE(468),
    [sym_integer] = STATE(468),
    [sym_complex] = STATE(468),
    [sym_float] = STATE(468),
    [sym__float_literal] = STATE(779),
    [sym_string] = STATE(777),
    [sym__single_quoted_string] = STATE(784),
    [sym__double_quoted_string] = STATE(769),
    [sym_na] = STATE(468),
    [sym__expression] = STATE(468),
    [sym__string_or_identifier] = STATE(2294),
    [sym__open_parenthesis] = STATE(1044),
    [sym__open_brace] = STATE(902),
    [aux_sym_program_repeat1] = STATE(949),
    [ts_builtin_sym_end] = ACTIONS(1741),
    [sym_identifier] = ACTIONS(1743),
    [anon_sym_BSLASH] = ACTIONS(1745),
    [anon_sym_function] = ACTIONS(1747),
    [anon_sym_if] = ACTIONS(1749),
    [anon_sym_for] = ACTIONS(1751),
    [anon_sym_while] = ACTIONS(1753),
    [anon_sym_repeat] = ACTIONS(1755),
    [anon_sym_QMARK] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1759),
    [anon_sym_BANG] = ACTIONS(1761),
    [anon_sym_PLUS] = ACTIONS(1763),
    [anon_sym_DASH] = ACTIONS(1763),
    [sym__hex_literal] = ACTIONS(1765),
    [sym__number_literal] = ACTIONS(1767),
    [anon_sym_SQUOTE] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1125),
    [sym_return] = ACTIONS(1769),
    [sym_next] = ACTIONS(1769),
    [sym_break] = ACTIONS(1769),
    [sym_true] = ACTIONS(1769),
    [sym_false] = ACTIONS(1769),
    [sym_null] = ACTIONS(1769),
    [sym_inf] = ACTIONS(1769),
    [sym_nan] = ACTIONS(1769),
    [anon_sym_NA] = ACTIONS(1771),
    [anon_sym_NA_integer_] = ACTIONS(1771),
    [anon_sym_NA_real_] = ACTIONS(1771),
    [anon_sym_NA_complex_] = ACTIONS(1771),
    [anon_sym_NA_character_] = ACTIONS(1771),
    [sym_dots] = ACTIONS(1769),
    [sym_dot_dot_i] = ACTIONS(1773),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1775),
    [sym__semicolon] = ACTIONS(1775),
    [sym__raw_string_literal] = ACTIONS(1129),
    [sym__external_open_parenthesis] = ACTIONS(1777),
    [sym__external_open_brace] = ACTIONS(1779),
  },
  [1007] = {
    [sym_identifier] = ACTIONS(1531),
    [anon_sym_BSLASH] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1531),
    [anon_sym_EQ] = ACTIONS(1531),
    [anon_sym_if] = ACTIONS(1531),
    [anon_sym_for] = ACTIONS(1531),
    [anon_sym_while] = ACTIONS(1531),
    [anon_sym_repeat] = ACTIONS(1531),
    [anon_sym_QMARK] = ACTIONS(1529),
    [anon_sym_TILDE] = ACTIONS(1529),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1531),
    [anon_sym_LT_DASH] = ACTIONS(1529),
    [anon_sym_LT_LT_DASH] = ACTIONS(1529),
    [anon_sym_COLON_EQ] = ACTIONS(1529),
    [anon_sym_DASH_GT] = ACTIONS(1531),
    [anon_sym_DASH_GT_GT] = ACTIONS(1529),
    [anon_sym_PIPE] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_PIPE_PIPE] = ACTIONS(1529),
    [anon_sym_AMP_AMP] = ACTIONS(1529),
    [anon_sym_LT] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1529),
    [anon_sym_GT] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1529),
    [anon_sym_EQ_EQ] = ACTIONS(1529),
    [anon_sym_BANG_EQ] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1529),
    [anon_sym_STAR_STAR] = ACTIONS(1529),
    [anon_sym_CARET] = ACTIONS(1529),
    [aux_sym_binary_operator_token1] = ACTIONS(1529),
    [anon_sym_PIPE_GT] = ACTIONS(1529),
    [anon_sym_COLON] = ACTIONS(1531),
    [anon_sym_DOLLAR] = ACTIONS(1529),
    [anon_sym_AT] = ACTIONS(1529),
    [sym__hex_literal] = ACTIONS(1529),
    [sym__number_literal] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1529),
    [anon_sym_DQUOTE] = ACTIONS(1529),
    [sym_return] = ACTIONS(1531),
    [sym_next] = ACTIONS(1531),
    [sym_break] = ACTIONS(1531),
    [sym_true] = ACTIONS(1531),
    [sym_false] = ACTIONS(1531),
    [sym_null] = ACTIONS(1531),
    [sym_inf] = ACTIONS(1531),
    [sym_nan] = ACTIONS(1531),
    [anon_sym_NA] = ACTIONS(1531),
    [anon_sym_NA_integer_] = ACTIONS(1531),
    [anon_sym_NA_real_] = ACTIONS(1531),
    [anon_sym_NA_complex_] = ACTIONS(1531),
    [anon_sym_NA_character_] = ACTIONS(1531),
    [sym_dots] = ACTIONS(1531),
    [sym_dot_dot_i] = ACTIONS(1529),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1529),
    [sym__semicolon] = ACTIONS(1529),
    [sym__raw_string_literal] = ACTIONS(1529),
    [sym__external_open_parenthesis] = ACTIONS(1529),
    [sym__external_open_brace] = ACTIONS(1529),
    [sym__external_close_brace] = ACTIONS(1529),
    [sym__external_open_bracket] = ACTIONS(1529),
    [sym__external_open_bracket2] = ACTIONS(1529),
  },
  [1008] = {
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_BSLASH] = ACTIONS(1468),
    [anon_sym_function] = ACTIONS(1470),
    [anon_sym_EQ] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(1470),
    [anon_sym_for] = ACTIONS(1470),
    [anon_sym_while] = ACTIONS(1470),
    [anon_sym_repeat] = ACTIONS(1470),
    [anon_sym_QMARK] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_LT_DASH] = ACTIONS(1468),
    [anon_sym_LT_LT_DASH] = ACTIONS(1468),
    [anon_sym_COLON_EQ] = ACTIONS(1468),
    [anon_sym_DASH_GT] = ACTIONS(1470),
    [anon_sym_DASH_GT_GT] = ACTIONS(1468),
    [anon_sym_PIPE] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_PIPE_PIPE] = ACTIONS(1468),
    [anon_sym_AMP_AMP] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1468),
    [anon_sym_EQ_EQ] = ACTIONS(1468),
    [anon_sym_BANG_EQ] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_STAR_STAR] = ACTIONS(1468),
    [anon_sym_CARET] = ACTIONS(1468),
    [aux_sym_binary_operator_token1] = ACTIONS(1468),
    [anon_sym_PIPE_GT] = ACTIONS(1468),
    [anon_sym_COLON] = ACTIONS(1470),
    [anon_sym_DOLLAR] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(1468),
    [sym__hex_literal] = ACTIONS(1468),
    [sym__number_literal] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [sym_return] = ACTIONS(1470),
    [sym_next] = ACTIONS(1470),
    [sym_break] = ACTIONS(1470),
    [sym_true] = ACTIONS(1470),
    [sym_false] = ACTIONS(1470),
    [sym_null] = ACTIONS(1470),
    [sym_inf] = ACTIONS(1470),
    [sym_nan] = ACTIONS(1470),
    [anon_sym_NA] = ACTIONS(1470),
    [anon_sym_NA_integer_] = ACTIONS(1470),
    [anon_sym_NA_real_] = ACTIONS(1470),
    [anon_sym_NA_complex_] = ACTIONS(1470),
    [anon_sym_NA_character_] = ACTIONS(1470),
    [sym_dots] = ACTIONS(1470),
    [sym_dot_dot_i] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1468),
    [sym__newline] = ACTIONS(1468),
    [sym__raw_string_literal] = ACTIONS(1468),
    [sym__external_open_parenthesis] = ACTIONS(1468),
    [sym__external_open_brace] = ACTIONS(1468),
    [sym__external_open_bracket] = ACTIONS(1468),
    [sym__external_close_bracket] = ACTIONS(1468),
    [sym__external_open_bracket2] = ACTIONS(1468),
  },
  [1009] = {
    [sym_function_definition] = STATE(696),
    [sym_if_statement] = STATE(696),
    [sym_for_statement] = STATE(696),
    [sym_while_statement] = STATE(696),
    [sym_repeat_statement] = STATE(696),
    [sym_braced_expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_call] = STATE(696),
    [sym_subset] = STATE(696),
    [sym_subset2] = STATE(696),
    [sym_unary_operator] = STATE(696),
    [sym_binary_operator] = STATE(696),
    [sym_extract_operator] = STATE(696),
    [sym_namespace_operator] = STATE(696),
    [sym_integer] = STATE(696),
    [sym_complex] = STATE(696),
    [sym_float] = STATE(696),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(801),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(1050),
    [sym__open_brace] = STATE(922),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1053),
    [sym_identifier] = ACTIONS(1591),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(1593),
    [sym_next] = ACTIONS(1593),
    [sym_break] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_null] = ACTIONS(1593),
    [sym_inf] = ACTIONS(1593),
    [sym_nan] = ACTIONS(1593),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(1593),
    [sym_dot_dot_i] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1597),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1781),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [1010] = {
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(1509),
    [anon_sym_function] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_for] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1511),
    [anon_sym_repeat] = ACTIONS(1511),
    [anon_sym_QMARK] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(1509),
    [anon_sym_BANG] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_LT_DASH] = ACTIONS(1509),
    [anon_sym_LT_LT_DASH] = ACTIONS(1509),
    [anon_sym_COLON_EQ] = ACTIONS(1509),
    [anon_sym_DASH_GT] = ACTIONS(1511),
    [anon_sym_DASH_GT_GT] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_AMP_AMP] = ACTIONS(1509),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT] = ACTIONS(1511),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_EQ_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_STAR] = ACTIONS(1511),
    [anon_sym_SLASH] = ACTIONS(1509),
    [anon_sym_STAR_STAR] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [aux_sym_binary_operator_token1] = ACTIONS(1509),
    [anon_sym_PIPE_GT] = ACTIONS(1509),
    [anon_sym_COLON] = ACTIONS(1511),
    [anon_sym_DOLLAR] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(1509),
    [sym__hex_literal] = ACTIONS(1509),
    [sym__number_literal] = ACTIONS(1511),
    [anon_sym_SQUOTE] = ACTIONS(1509),
    [anon_sym_DQUOTE] = ACTIONS(1509),
    [sym_return] = ACTIONS(1511),
    [sym_next] = ACTIONS(1511),
    [sym_break] = ACTIONS(1511),
    [sym_true] = ACTIONS(1511),
    [sym_false] = ACTIONS(1511),
    [sym_null] = ACTIONS(1511),
    [sym_inf] = ACTIONS(1511),
    [sym_nan] = ACTIONS(1511),
    [anon_sym_NA] = ACTIONS(1511),
    [anon_sym_NA_integer_] = ACTIONS(1511),
    [anon_sym_NA_real_] = ACTIONS(1511),
    [anon_sym_NA_complex_] = ACTIONS(1511),
    [anon_sym_NA_character_] = ACTIONS(1511),
    [sym_dots] = ACTIONS(1511),
    [sym_dot_dot_i] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1509),
    [sym__semicolon] = ACTIONS(1509),
    [sym__raw_string_literal] = ACTIONS(1509),
    [sym__external_open_parenthesis] = ACTIONS(1509),
    [sym__external_open_brace] = ACTIONS(1509),
    [sym__external_close_brace] = ACTIONS(1509),
    [sym__external_open_bracket] = ACTIONS(1509),
    [sym__external_open_bracket2] = ACTIONS(1509),
  },
  [1011] = {
    [sym_identifier] = ACTIONS(1474),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_function] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1474),
    [anon_sym_if] = ACTIONS(1474),
    [anon_sym_for] = ACTIONS(1474),
    [anon_sym_while] = ACTIONS(1474),
    [anon_sym_repeat] = ACTIONS(1474),
    [anon_sym_QMARK] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_LT_DASH] = ACTIONS(1472),
    [anon_sym_LT_LT_DASH] = ACTIONS(1472),
    [anon_sym_COLON_EQ] = ACTIONS(1472),
    [anon_sym_DASH_GT] = ACTIONS(1474),
    [anon_sym_DASH_GT_GT] = ACTIONS(1472),
    [anon_sym_PIPE] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_PIPE_PIPE] = ACTIONS(1472),
    [anon_sym_AMP_AMP] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1474),
    [anon_sym_LT_EQ] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1474),
    [anon_sym_GT_EQ] = ACTIONS(1472),
    [anon_sym_EQ_EQ] = ACTIONS(1472),
    [anon_sym_BANG_EQ] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_STAR_STAR] = ACTIONS(1472),
    [anon_sym_CARET] = ACTIONS(1472),
    [aux_sym_binary_operator_token1] = ACTIONS(1472),
    [anon_sym_PIPE_GT] = ACTIONS(1472),
    [anon_sym_COLON] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1472),
    [sym__hex_literal] = ACTIONS(1472),
    [sym__number_literal] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [sym_return] = ACTIONS(1474),
    [sym_next] = ACTIONS(1474),
    [sym_break] = ACTIONS(1474),
    [sym_true] = ACTIONS(1474),
    [sym_false] = ACTIONS(1474),
    [sym_null] = ACTIONS(1474),
    [sym_inf] = ACTIONS(1474),
    [sym_nan] = ACTIONS(1474),
    [anon_sym_NA] = ACTIONS(1474),
    [anon_sym_NA_integer_] = ACTIONS(1474),
    [anon_sym_NA_real_] = ACTIONS(1474),
    [anon_sym_NA_complex_] = ACTIONS(1474),
    [anon_sym_NA_character_] = ACTIONS(1474),
    [sym_dots] = ACTIONS(1474),
    [sym_dot_dot_i] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1472),
    [sym__newline] = ACTIONS(1472),
    [sym__raw_string_literal] = ACTIONS(1472),
    [sym__external_open_parenthesis] = ACTIONS(1472),
    [sym__external_open_brace] = ACTIONS(1472),
    [sym__external_open_bracket] = ACTIONS(1472),
    [sym__external_close_bracket] = ACTIONS(1472),
    [sym__external_open_bracket2] = ACTIONS(1472),
  },
  [1012] = {
    [sym_identifier] = ACTIONS(1414),
    [anon_sym_BSLASH] = ACTIONS(1416),
    [anon_sym_function] = ACTIONS(1414),
    [anon_sym_EQ] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1414),
    [anon_sym_for] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_repeat] = ACTIONS(1414),
    [anon_sym_QMARK] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_LT_DASH] = ACTIONS(1416),
    [anon_sym_LT_LT_DASH] = ACTIONS(1416),
    [anon_sym_COLON_EQ] = ACTIONS(1416),
    [anon_sym_DASH_GT] = ACTIONS(1414),
    [anon_sym_DASH_GT_GT] = ACTIONS(1416),
    [anon_sym_PIPE] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_PIPE_PIPE] = ACTIONS(1416),
    [anon_sym_AMP_AMP] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1416),
    [anon_sym_EQ_EQ] = ACTIONS(1416),
    [anon_sym_BANG_EQ] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_STAR_STAR] = ACTIONS(1416),
    [anon_sym_CARET] = ACTIONS(1416),
    [aux_sym_binary_operator_token1] = ACTIONS(1416),
    [anon_sym_PIPE_GT] = ACTIONS(1416),
    [anon_sym_COLON] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [sym__hex_literal] = ACTIONS(1416),
    [sym__number_literal] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [sym_return] = ACTIONS(1414),
    [sym_next] = ACTIONS(1414),
    [sym_break] = ACTIONS(1414),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [sym_null] = ACTIONS(1414),
    [sym_inf] = ACTIONS(1414),
    [sym_nan] = ACTIONS(1414),
    [anon_sym_NA] = ACTIONS(1414),
    [anon_sym_NA_integer_] = ACTIONS(1414),
    [anon_sym_NA_real_] = ACTIONS(1414),
    [anon_sym_NA_complex_] = ACTIONS(1414),
    [anon_sym_NA_character_] = ACTIONS(1414),
    [sym_dots] = ACTIONS(1414),
    [sym_dot_dot_i] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1416),
    [sym__newline] = ACTIONS(1416),
    [sym__raw_string_literal] = ACTIONS(1416),
    [sym__external_open_parenthesis] = ACTIONS(1416),
    [sym__external_open_brace] = ACTIONS(1416),
    [sym__external_open_bracket] = ACTIONS(1416),
    [sym__external_close_bracket] = ACTIONS(1416),
    [sym__external_open_bracket2] = ACTIONS(1416),
  },
  [1013] = {
    [sym_function_definition] = STATE(696),
    [sym_if_statement] = STATE(696),
    [sym_for_statement] = STATE(696),
    [sym_while_statement] = STATE(696),
    [sym_repeat_statement] = STATE(696),
    [sym_braced_expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_call] = STATE(696),
    [sym_subset] = STATE(696),
    [sym_subset2] = STATE(696),
    [sym_unary_operator] = STATE(696),
    [sym_binary_operator] = STATE(696),
    [sym_extract_operator] = STATE(696),
    [sym_namespace_operator] = STATE(696),
    [sym_integer] = STATE(696),
    [sym_complex] = STATE(696),
    [sym_float] = STATE(696),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(801),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(1017),
    [sym__open_brace] = STATE(922),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1064),
    [sym_identifier] = ACTIONS(1591),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(1593),
    [sym_next] = ACTIONS(1593),
    [sym_break] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_null] = ACTIONS(1593),
    [sym_inf] = ACTIONS(1593),
    [sym_nan] = ACTIONS(1593),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(1593),
    [sym_dot_dot_i] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1597),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1783),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [1014] = {
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_BSLASH] = ACTIONS(1476),
    [anon_sym_function] = ACTIONS(1478),
    [anon_sym_EQ] = ACTIONS(1478),
    [anon_sym_if] = ACTIONS(1478),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_while] = ACTIONS(1478),
    [anon_sym_repeat] = ACTIONS(1478),
    [anon_sym_QMARK] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_LT_DASH] = ACTIONS(1476),
    [anon_sym_LT_LT_DASH] = ACTIONS(1476),
    [anon_sym_COLON_EQ] = ACTIONS(1476),
    [anon_sym_DASH_GT] = ACTIONS(1478),
    [anon_sym_DASH_GT_GT] = ACTIONS(1476),
    [anon_sym_PIPE] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_PIPE_PIPE] = ACTIONS(1476),
    [anon_sym_AMP_AMP] = ACTIONS(1476),
    [anon_sym_LT] = ACTIONS(1478),
    [anon_sym_LT_EQ] = ACTIONS(1476),
    [anon_sym_GT] = ACTIONS(1478),
    [anon_sym_GT_EQ] = ACTIONS(1476),
    [anon_sym_EQ_EQ] = ACTIONS(1476),
    [anon_sym_BANG_EQ] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_SLASH] = ACTIONS(1476),
    [anon_sym_STAR_STAR] = ACTIONS(1476),
    [anon_sym_CARET] = ACTIONS(1476),
    [aux_sym_binary_operator_token1] = ACTIONS(1476),
    [anon_sym_PIPE_GT] = ACTIONS(1476),
    [anon_sym_COLON] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [sym__hex_literal] = ACTIONS(1476),
    [sym__number_literal] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [sym_return] = ACTIONS(1478),
    [sym_next] = ACTIONS(1478),
    [sym_break] = ACTIONS(1478),
    [sym_true] = ACTIONS(1478),
    [sym_false] = ACTIONS(1478),
    [sym_null] = ACTIONS(1478),
    [sym_inf] = ACTIONS(1478),
    [sym_nan] = ACTIONS(1478),
    [anon_sym_NA] = ACTIONS(1478),
    [anon_sym_NA_integer_] = ACTIONS(1478),
    [anon_sym_NA_real_] = ACTIONS(1478),
    [anon_sym_NA_complex_] = ACTIONS(1478),
    [anon_sym_NA_character_] = ACTIONS(1478),
    [sym_dots] = ACTIONS(1478),
    [sym_dot_dot_i] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1476),
    [sym__newline] = ACTIONS(1476),
    [sym__raw_string_literal] = ACTIONS(1476),
    [sym__external_open_parenthesis] = ACTIONS(1476),
    [sym__external_open_brace] = ACTIONS(1476),
    [sym__external_open_bracket] = ACTIONS(1476),
    [sym__external_close_bracket] = ACTIONS(1476),
    [sym__external_open_bracket2] = ACTIONS(1476),
  },
  [1015] = {
    [sym_identifier] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1480),
    [anon_sym_function] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1482),
    [anon_sym_if] = ACTIONS(1482),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_while] = ACTIONS(1482),
    [anon_sym_repeat] = ACTIONS(1482),
    [anon_sym_QMARK] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_LT_DASH] = ACTIONS(1480),
    [anon_sym_LT_LT_DASH] = ACTIONS(1480),
    [anon_sym_COLON_EQ] = ACTIONS(1480),
    [anon_sym_DASH_GT] = ACTIONS(1482),
    [anon_sym_DASH_GT_GT] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1482),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1482),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_SLASH] = ACTIONS(1480),
    [anon_sym_STAR_STAR] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [aux_sym_binary_operator_token1] = ACTIONS(1480),
    [anon_sym_PIPE_GT] = ACTIONS(1480),
    [anon_sym_COLON] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [sym__hex_literal] = ACTIONS(1480),
    [sym__number_literal] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [sym_return] = ACTIONS(1482),
    [sym_next] = ACTIONS(1482),
    [sym_break] = ACTIONS(1482),
    [sym_true] = ACTIONS(1482),
    [sym_false] = ACTIONS(1482),
    [sym_null] = ACTIONS(1482),
    [sym_inf] = ACTIONS(1482),
    [sym_nan] = ACTIONS(1482),
    [anon_sym_NA] = ACTIONS(1482),
    [anon_sym_NA_integer_] = ACTIONS(1482),
    [anon_sym_NA_real_] = ACTIONS(1482),
    [anon_sym_NA_complex_] = ACTIONS(1482),
    [anon_sym_NA_character_] = ACTIONS(1482),
    [sym_dots] = ACTIONS(1482),
    [sym_dot_dot_i] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1480),
    [sym__newline] = ACTIONS(1480),
    [sym__raw_string_literal] = ACTIONS(1480),
    [sym__external_open_parenthesis] = ACTIONS(1480),
    [sym__external_open_brace] = ACTIONS(1480),
    [sym__external_open_bracket] = ACTIONS(1480),
    [sym__external_close_bracket] = ACTIONS(1480),
    [sym__external_open_bracket2] = ACTIONS(1480),
  },
  [1016] = {
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_BSLASH] = ACTIONS(1484),
    [anon_sym_function] = ACTIONS(1486),
    [anon_sym_EQ] = ACTIONS(1486),
    [anon_sym_if] = ACTIONS(1486),
    [anon_sym_for] = ACTIONS(1486),
    [anon_sym_while] = ACTIONS(1486),
    [anon_sym_repeat] = ACTIONS(1486),
    [anon_sym_QMARK] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_LT_DASH] = ACTIONS(1484),
    [anon_sym_LT_LT_DASH] = ACTIONS(1484),
    [anon_sym_COLON_EQ] = ACTIONS(1484),
    [anon_sym_DASH_GT] = ACTIONS(1486),
    [anon_sym_DASH_GT_GT] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_AMP_AMP] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_GT] = ACTIONS(1486),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_EQ_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_SLASH] = ACTIONS(1484),
    [anon_sym_STAR_STAR] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [aux_sym_binary_operator_token1] = ACTIONS(1484),
    [anon_sym_PIPE_GT] = ACTIONS(1484),
    [anon_sym_COLON] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [sym__hex_literal] = ACTIONS(1484),
    [sym__number_literal] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [sym_return] = ACTIONS(1486),
    [sym_next] = ACTIONS(1486),
    [sym_break] = ACTIONS(1486),
    [sym_true] = ACTIONS(1486),
    [sym_false] = ACTIONS(1486),
    [sym_null] = ACTIONS(1486),
    [sym_inf] = ACTIONS(1486),
    [sym_nan] = ACTIONS(1486),
    [anon_sym_NA] = ACTIONS(1486),
    [anon_sym_NA_integer_] = ACTIONS(1486),
    [anon_sym_NA_real_] = ACTIONS(1486),
    [anon_sym_NA_complex_] = ACTIONS(1486),
    [anon_sym_NA_character_] = ACTIONS(1486),
    [sym_dots] = ACTIONS(1486),
    [sym_dot_dot_i] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1484),
    [sym__newline] = ACTIONS(1484),
    [sym__raw_string_literal] = ACTIONS(1484),
    [sym__external_open_parenthesis] = ACTIONS(1484),
    [sym__external_open_brace] = ACTIONS(1484),
    [sym__external_open_bracket] = ACTIONS(1484),
    [sym__external_close_bracket] = ACTIONS(1484),
    [sym__external_open_bracket2] = ACTIONS(1484),
  },
  [1017] = {
    [sym_identifier] = ACTIONS(1515),
    [anon_sym_BSLASH] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_EQ] = ACTIONS(1515),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_for] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1515),
    [anon_sym_repeat] = ACTIONS(1515),
    [anon_sym_QMARK] = ACTIONS(1513),
    [anon_sym_TILDE] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_LT_DASH] = ACTIONS(1513),
    [anon_sym_LT_LT_DASH] = ACTIONS(1513),
    [anon_sym_COLON_EQ] = ACTIONS(1513),
    [anon_sym_DASH_GT] = ACTIONS(1515),
    [anon_sym_DASH_GT_GT] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_GT] = ACTIONS(1515),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_EQ_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_SLASH] = ACTIONS(1513),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [aux_sym_binary_operator_token1] = ACTIONS(1513),
    [anon_sym_PIPE_GT] = ACTIONS(1513),
    [anon_sym_COLON] = ACTIONS(1515),
    [anon_sym_DOLLAR] = ACTIONS(1513),
    [anon_sym_AT] = ACTIONS(1513),
    [sym__hex_literal] = ACTIONS(1513),
    [sym__number_literal] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1513),
    [anon_sym_DQUOTE] = ACTIONS(1513),
    [sym_return] = ACTIONS(1515),
    [sym_next] = ACTIONS(1515),
    [sym_break] = ACTIONS(1515),
    [sym_true] = ACTIONS(1515),
    [sym_false] = ACTIONS(1515),
    [sym_null] = ACTIONS(1515),
    [sym_inf] = ACTIONS(1515),
    [sym_nan] = ACTIONS(1515),
    [anon_sym_NA] = ACTIONS(1515),
    [anon_sym_NA_integer_] = ACTIONS(1515),
    [anon_sym_NA_real_] = ACTIONS(1515),
    [anon_sym_NA_complex_] = ACTIONS(1515),
    [anon_sym_NA_character_] = ACTIONS(1515),
    [sym_dots] = ACTIONS(1515),
    [sym_dot_dot_i] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1513),
    [sym__semicolon] = ACTIONS(1513),
    [sym__raw_string_literal] = ACTIONS(1513),
    [sym__external_open_parenthesis] = ACTIONS(1513),
    [sym__external_open_brace] = ACTIONS(1513),
    [sym__external_close_brace] = ACTIONS(1513),
    [sym__external_open_bracket] = ACTIONS(1513),
    [sym__external_open_bracket2] = ACTIONS(1513),
  },
  [1018] = {
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_BSLASH] = ACTIONS(1517),
    [anon_sym_function] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1519),
    [anon_sym_if] = ACTIONS(1519),
    [anon_sym_for] = ACTIONS(1519),
    [anon_sym_while] = ACTIONS(1519),
    [anon_sym_repeat] = ACTIONS(1519),
    [anon_sym_QMARK] = ACTIONS(1517),
    [anon_sym_TILDE] = ACTIONS(1517),
    [anon_sym_BANG] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_LT_DASH] = ACTIONS(1517),
    [anon_sym_LT_LT_DASH] = ACTIONS(1517),
    [anon_sym_COLON_EQ] = ACTIONS(1517),
    [anon_sym_DASH_GT] = ACTIONS(1519),
    [anon_sym_DASH_GT_GT] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_AMP_AMP] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_GT] = ACTIONS(1519),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_EQ_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_STAR] = ACTIONS(1519),
    [anon_sym_SLASH] = ACTIONS(1517),
    [anon_sym_STAR_STAR] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [aux_sym_binary_operator_token1] = ACTIONS(1517),
    [anon_sym_PIPE_GT] = ACTIONS(1517),
    [anon_sym_COLON] = ACTIONS(1519),
    [anon_sym_DOLLAR] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(1517),
    [sym__hex_literal] = ACTIONS(1517),
    [sym__number_literal] = ACTIONS(1519),
    [anon_sym_SQUOTE] = ACTIONS(1517),
    [anon_sym_DQUOTE] = ACTIONS(1517),
    [sym_return] = ACTIONS(1519),
    [sym_next] = ACTIONS(1519),
    [sym_break] = ACTIONS(1519),
    [sym_true] = ACTIONS(1519),
    [sym_false] = ACTIONS(1519),
    [sym_null] = ACTIONS(1519),
    [sym_inf] = ACTIONS(1519),
    [sym_nan] = ACTIONS(1519),
    [anon_sym_NA] = ACTIONS(1519),
    [anon_sym_NA_integer_] = ACTIONS(1519),
    [anon_sym_NA_real_] = ACTIONS(1519),
    [anon_sym_NA_complex_] = ACTIONS(1519),
    [anon_sym_NA_character_] = ACTIONS(1519),
    [sym_dots] = ACTIONS(1519),
    [sym_dot_dot_i] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1517),
    [sym__semicolon] = ACTIONS(1517),
    [sym__raw_string_literal] = ACTIONS(1517),
    [sym__external_open_parenthesis] = ACTIONS(1517),
    [sym__external_open_brace] = ACTIONS(1517),
    [sym__external_close_brace] = ACTIONS(1517),
    [sym__external_open_bracket] = ACTIONS(1517),
    [sym__external_open_bracket2] = ACTIONS(1517),
  },
  [1019] = {
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_BSLASH] = ACTIONS(1464),
    [anon_sym_function] = ACTIONS(1466),
    [anon_sym_EQ] = ACTIONS(1466),
    [anon_sym_if] = ACTIONS(1466),
    [anon_sym_for] = ACTIONS(1466),
    [anon_sym_while] = ACTIONS(1466),
    [anon_sym_repeat] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_LT_DASH] = ACTIONS(1464),
    [anon_sym_LT_LT_DASH] = ACTIONS(1464),
    [anon_sym_COLON_EQ] = ACTIONS(1464),
    [anon_sym_DASH_GT] = ACTIONS(1466),
    [anon_sym_DASH_GT_GT] = ACTIONS(1464),
    [anon_sym_PIPE] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_PIPE_PIPE] = ACTIONS(1464),
    [anon_sym_AMP_AMP] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1464),
    [anon_sym_EQ_EQ] = ACTIONS(1464),
    [anon_sym_BANG_EQ] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_STAR_STAR] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [aux_sym_binary_operator_token1] = ACTIONS(1464),
    [anon_sym_PIPE_GT] = ACTIONS(1464),
    [anon_sym_COLON] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1464),
    [anon_sym_AT] = ACTIONS(1464),
    [sym__hex_literal] = ACTIONS(1464),
    [sym__number_literal] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [sym_return] = ACTIONS(1466),
    [sym_next] = ACTIONS(1466),
    [sym_break] = ACTIONS(1466),
    [sym_true] = ACTIONS(1466),
    [sym_false] = ACTIONS(1466),
    [sym_null] = ACTIONS(1466),
    [sym_inf] = ACTIONS(1466),
    [sym_nan] = ACTIONS(1466),
    [anon_sym_NA] = ACTIONS(1466),
    [anon_sym_NA_integer_] = ACTIONS(1466),
    [anon_sym_NA_real_] = ACTIONS(1466),
    [anon_sym_NA_complex_] = ACTIONS(1466),
    [anon_sym_NA_character_] = ACTIONS(1466),
    [sym_dots] = ACTIONS(1466),
    [sym_dot_dot_i] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1464),
    [sym__newline] = ACTIONS(1464),
    [sym__raw_string_literal] = ACTIONS(1464),
    [sym__external_open_parenthesis] = ACTIONS(1464),
    [sym__external_close_parenthesis] = ACTIONS(1464),
    [sym__external_open_brace] = ACTIONS(1464),
    [sym__external_open_bracket] = ACTIONS(1464),
    [sym__external_open_bracket2] = ACTIONS(1464),
  },
  [1020] = {
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_BSLASH] = ACTIONS(1468),
    [anon_sym_function] = ACTIONS(1470),
    [anon_sym_EQ] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(1470),
    [anon_sym_for] = ACTIONS(1470),
    [anon_sym_while] = ACTIONS(1470),
    [anon_sym_repeat] = ACTIONS(1470),
    [anon_sym_QMARK] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_LT_DASH] = ACTIONS(1468),
    [anon_sym_LT_LT_DASH] = ACTIONS(1468),
    [anon_sym_COLON_EQ] = ACTIONS(1468),
    [anon_sym_DASH_GT] = ACTIONS(1470),
    [anon_sym_DASH_GT_GT] = ACTIONS(1468),
    [anon_sym_PIPE] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_PIPE_PIPE] = ACTIONS(1468),
    [anon_sym_AMP_AMP] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1468),
    [anon_sym_EQ_EQ] = ACTIONS(1468),
    [anon_sym_BANG_EQ] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_STAR_STAR] = ACTIONS(1468),
    [anon_sym_CARET] = ACTIONS(1468),
    [aux_sym_binary_operator_token1] = ACTIONS(1468),
    [anon_sym_PIPE_GT] = ACTIONS(1468),
    [anon_sym_COLON] = ACTIONS(1470),
    [anon_sym_DOLLAR] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(1468),
    [sym__hex_literal] = ACTIONS(1468),
    [sym__number_literal] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [sym_return] = ACTIONS(1470),
    [sym_next] = ACTIONS(1470),
    [sym_break] = ACTIONS(1470),
    [sym_true] = ACTIONS(1470),
    [sym_false] = ACTIONS(1470),
    [sym_null] = ACTIONS(1470),
    [sym_inf] = ACTIONS(1470),
    [sym_nan] = ACTIONS(1470),
    [anon_sym_NA] = ACTIONS(1470),
    [anon_sym_NA_integer_] = ACTIONS(1470),
    [anon_sym_NA_real_] = ACTIONS(1470),
    [anon_sym_NA_complex_] = ACTIONS(1470),
    [anon_sym_NA_character_] = ACTIONS(1470),
    [sym_dots] = ACTIONS(1470),
    [sym_dot_dot_i] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1468),
    [sym__newline] = ACTIONS(1468),
    [sym__raw_string_literal] = ACTIONS(1468),
    [sym__external_open_parenthesis] = ACTIONS(1468),
    [sym__external_close_parenthesis] = ACTIONS(1468),
    [sym__external_open_brace] = ACTIONS(1468),
    [sym__external_open_bracket] = ACTIONS(1468),
    [sym__external_open_bracket2] = ACTIONS(1468),
  },
  [1021] = {
    [sym_function_definition] = STATE(696),
    [sym_if_statement] = STATE(696),
    [sym_for_statement] = STATE(696),
    [sym_while_statement] = STATE(696),
    [sym_repeat_statement] = STATE(696),
    [sym_braced_expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_call] = STATE(696),
    [sym_subset] = STATE(696),
    [sym_subset2] = STATE(696),
    [sym_unary_operator] = STATE(696),
    [sym_binary_operator] = STATE(696),
    [sym_extract_operator] = STATE(696),
    [sym_namespace_operator] = STATE(696),
    [sym_integer] = STATE(696),
    [sym_complex] = STATE(696),
    [sym_float] = STATE(696),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(801),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(972),
    [sym__open_brace] = STATE(922),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1013),
    [sym_identifier] = ACTIONS(1591),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(1593),
    [sym_next] = ACTIONS(1593),
    [sym_break] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_null] = ACTIONS(1593),
    [sym_inf] = ACTIONS(1593),
    [sym_nan] = ACTIONS(1593),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(1593),
    [sym_dot_dot_i] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1597),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1785),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [1022] = {
    [ts_builtin_sym_end] = ACTIONS(1476),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_BSLASH] = ACTIONS(1476),
    [anon_sym_function] = ACTIONS(1478),
    [anon_sym_EQ] = ACTIONS(1478),
    [anon_sym_if] = ACTIONS(1478),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_while] = ACTIONS(1478),
    [anon_sym_repeat] = ACTIONS(1478),
    [anon_sym_QMARK] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_LT_DASH] = ACTIONS(1476),
    [anon_sym_LT_LT_DASH] = ACTIONS(1476),
    [anon_sym_COLON_EQ] = ACTIONS(1476),
    [anon_sym_DASH_GT] = ACTIONS(1478),
    [anon_sym_DASH_GT_GT] = ACTIONS(1476),
    [anon_sym_PIPE] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_PIPE_PIPE] = ACTIONS(1476),
    [anon_sym_AMP_AMP] = ACTIONS(1476),
    [anon_sym_LT] = ACTIONS(1478),
    [anon_sym_LT_EQ] = ACTIONS(1476),
    [anon_sym_GT] = ACTIONS(1478),
    [anon_sym_GT_EQ] = ACTIONS(1476),
    [anon_sym_EQ_EQ] = ACTIONS(1476),
    [anon_sym_BANG_EQ] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_SLASH] = ACTIONS(1476),
    [anon_sym_STAR_STAR] = ACTIONS(1476),
    [anon_sym_CARET] = ACTIONS(1476),
    [aux_sym_binary_operator_token1] = ACTIONS(1476),
    [anon_sym_PIPE_GT] = ACTIONS(1476),
    [anon_sym_COLON] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [sym__hex_literal] = ACTIONS(1476),
    [sym__number_literal] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [sym_return] = ACTIONS(1478),
    [sym_next] = ACTIONS(1478),
    [sym_break] = ACTIONS(1478),
    [sym_true] = ACTIONS(1478),
    [sym_false] = ACTIONS(1478),
    [sym_null] = ACTIONS(1478),
    [sym_inf] = ACTIONS(1478),
    [sym_nan] = ACTIONS(1478),
    [anon_sym_NA] = ACTIONS(1478),
    [anon_sym_NA_integer_] = ACTIONS(1478),
    [anon_sym_NA_real_] = ACTIONS(1478),
    [anon_sym_NA_complex_] = ACTIONS(1478),
    [anon_sym_NA_character_] = ACTIONS(1478),
    [sym_dots] = ACTIONS(1478),
    [sym_dot_dot_i] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1476),
    [sym__semicolon] = ACTIONS(1476),
    [sym__raw_string_literal] = ACTIONS(1476),
    [sym__external_open_parenthesis] = ACTIONS(1476),
    [sym__external_open_brace] = ACTIONS(1476),
    [sym__external_open_bracket] = ACTIONS(1476),
    [sym__external_open_bracket2] = ACTIONS(1476),
  },
  [1023] = {
    [sym_function_definition] = STATE(696),
    [sym_if_statement] = STATE(696),
    [sym_for_statement] = STATE(696),
    [sym_while_statement] = STATE(696),
    [sym_repeat_statement] = STATE(696),
    [sym_braced_expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_call] = STATE(696),
    [sym_subset] = STATE(696),
    [sym_subset2] = STATE(696),
    [sym_unary_operator] = STATE(696),
    [sym_binary_operator] = STATE(696),
    [sym_extract_operator] = STATE(696),
    [sym_namespace_operator] = STATE(696),
    [sym_integer] = STATE(696),
    [sym_complex] = STATE(696),
    [sym_float] = STATE(696),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(801),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(2129),
    [sym__open_brace] = STATE(922),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1064),
    [sym_identifier] = ACTIONS(1591),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(1593),
    [sym_next] = ACTIONS(1593),
    [sym_break] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_null] = ACTIONS(1593),
    [sym_inf] = ACTIONS(1593),
    [sym_nan] = ACTIONS(1593),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(1593),
    [sym_dot_dot_i] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1597),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1787),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [1024] = {
    [sym_function_definition] = STATE(696),
    [sym_if_statement] = STATE(696),
    [sym_for_statement] = STATE(696),
    [sym_while_statement] = STATE(696),
    [sym_repeat_statement] = STATE(696),
    [sym_braced_expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_call] = STATE(696),
    [sym_subset] = STATE(696),
    [sym_subset2] = STATE(696),
    [sym_unary_operator] = STATE(696),
    [sym_binary_operator] = STATE(696),
    [sym_extract_operator] = STATE(696),
    [sym_namespace_operator] = STATE(696),
    [sym_integer] = STATE(696),
    [sym_complex] = STATE(696),
    [sym_float] = STATE(696),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(801),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(2131),
    [sym__open_brace] = STATE(922),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1023),
    [sym_identifier] = ACTIONS(1591),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(1593),
    [sym_next] = ACTIONS(1593),
    [sym_break] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_null] = ACTIONS(1593),
    [sym_inf] = ACTIONS(1593),
    [sym_nan] = ACTIONS(1593),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(1593),
    [sym_dot_dot_i] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1597),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1789),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [1025] = {
    [ts_builtin_sym_end] = ACTIONS(1460),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_function] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [anon_sym_if] = ACTIONS(1462),
    [anon_sym_for] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1462),
    [anon_sym_repeat] = ACTIONS(1462),
    [anon_sym_QMARK] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_LT_DASH] = ACTIONS(1460),
    [anon_sym_LT_LT_DASH] = ACTIONS(1460),
    [anon_sym_COLON_EQ] = ACTIONS(1460),
    [anon_sym_DASH_GT] = ACTIONS(1462),
    [anon_sym_DASH_GT_GT] = ACTIONS(1460),
    [anon_sym_PIPE] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_PIPE_PIPE] = ACTIONS(1460),
    [anon_sym_AMP_AMP] = ACTIONS(1460),
    [anon_sym_LT] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1460),
    [anon_sym_EQ_EQ] = ACTIONS(1460),
    [anon_sym_BANG_EQ] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_STAR_STAR] = ACTIONS(1460),
    [anon_sym_CARET] = ACTIONS(1460),
    [aux_sym_binary_operator_token1] = ACTIONS(1460),
    [anon_sym_PIPE_GT] = ACTIONS(1460),
    [anon_sym_COLON] = ACTIONS(1462),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1460),
    [sym__hex_literal] = ACTIONS(1460),
    [sym__number_literal] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [sym_return] = ACTIONS(1462),
    [sym_next] = ACTIONS(1462),
    [sym_break] = ACTIONS(1462),
    [sym_true] = ACTIONS(1462),
    [sym_false] = ACTIONS(1462),
    [sym_null] = ACTIONS(1462),
    [sym_inf] = ACTIONS(1462),
    [sym_nan] = ACTIONS(1462),
    [anon_sym_NA] = ACTIONS(1462),
    [anon_sym_NA_integer_] = ACTIONS(1462),
    [anon_sym_NA_real_] = ACTIONS(1462),
    [anon_sym_NA_complex_] = ACTIONS(1462),
    [anon_sym_NA_character_] = ACTIONS(1462),
    [sym_dots] = ACTIONS(1462),
    [sym_dot_dot_i] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1460),
    [sym__semicolon] = ACTIONS(1460),
    [sym__raw_string_literal] = ACTIONS(1460),
    [sym__external_open_parenthesis] = ACTIONS(1460),
    [sym__external_open_brace] = ACTIONS(1460),
    [sym__external_open_bracket] = ACTIONS(1460),
    [sym__external_open_bracket2] = ACTIONS(1460),
  },
  [1026] = {
    [sym_function_definition] = STATE(696),
    [sym_if_statement] = STATE(696),
    [sym_for_statement] = STATE(696),
    [sym_while_statement] = STATE(696),
    [sym_repeat_statement] = STATE(696),
    [sym_braced_expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_call] = STATE(696),
    [sym_subset] = STATE(696),
    [sym_subset2] = STATE(696),
    [sym_unary_operator] = STATE(696),
    [sym_binary_operator] = STATE(696),
    [sym_extract_operator] = STATE(696),
    [sym_namespace_operator] = STATE(696),
    [sym_integer] = STATE(696),
    [sym_complex] = STATE(696),
    [sym_float] = STATE(696),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(801),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(1057),
    [sym__open_brace] = STATE(922),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1064),
    [sym_identifier] = ACTIONS(1591),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(1593),
    [sym_next] = ACTIONS(1593),
    [sym_break] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_null] = ACTIONS(1593),
    [sym_inf] = ACTIONS(1593),
    [sym_nan] = ACTIONS(1593),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(1593),
    [sym_dot_dot_i] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1597),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1791),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [1027] = {
    [sym_function_definition] = STATE(696),
    [sym_if_statement] = STATE(696),
    [sym_for_statement] = STATE(696),
    [sym_while_statement] = STATE(696),
    [sym_repeat_statement] = STATE(696),
    [sym_braced_expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_call] = STATE(696),
    [sym_subset] = STATE(696),
    [sym_subset2] = STATE(696),
    [sym_unary_operator] = STATE(696),
    [sym_binary_operator] = STATE(696),
    [sym_extract_operator] = STATE(696),
    [sym_namespace_operator] = STATE(696),
    [sym_integer] = STATE(696),
    [sym_complex] = STATE(696),
    [sym_float] = STATE(696),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(801),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(922),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1026),
    [sym_identifier] = ACTIONS(1591),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(1593),
    [sym_next] = ACTIONS(1593),
    [sym_break] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_null] = ACTIONS(1593),
    [sym_inf] = ACTIONS(1593),
    [sym_nan] = ACTIONS(1593),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(1593),
    [sym_dot_dot_i] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1597),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1793),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [1028] = {
    [sym_function_definition] = STATE(468),
    [sym_if_statement] = STATE(468),
    [sym_for_statement] = STATE(468),
    [sym_while_statement] = STATE(468),
    [sym_repeat_statement] = STATE(468),
    [sym_braced_expression] = STATE(468),
    [sym_parenthesized_expression] = STATE(468),
    [sym_call] = STATE(468),
    [sym_subset] = STATE(468),
    [sym_subset2] = STATE(468),
    [sym_unary_operator] = STATE(468),
    [sym_binary_operator] = STATE(468),
    [sym_extract_operator] = STATE(468),
    [sym_namespace_operator] = STATE(468),
    [sym_integer] = STATE(468),
    [sym_complex] = STATE(468),
    [sym_float] = STATE(468),
    [sym__float_literal] = STATE(779),
    [sym_string] = STATE(777),
    [sym__single_quoted_string] = STATE(784),
    [sym__double_quoted_string] = STATE(769),
    [sym_na] = STATE(468),
    [sym__expression] = STATE(468),
    [sym__string_or_identifier] = STATE(2294),
    [sym__open_parenthesis] = STATE(1044),
    [sym__open_brace] = STATE(902),
    [aux_sym_program_repeat1] = STATE(1006),
    [ts_builtin_sym_end] = ACTIONS(1795),
    [sym_identifier] = ACTIONS(1743),
    [anon_sym_BSLASH] = ACTIONS(1745),
    [anon_sym_function] = ACTIONS(1747),
    [anon_sym_if] = ACTIONS(1749),
    [anon_sym_for] = ACTIONS(1751),
    [anon_sym_while] = ACTIONS(1753),
    [anon_sym_repeat] = ACTIONS(1755),
    [anon_sym_QMARK] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1759),
    [anon_sym_BANG] = ACTIONS(1761),
    [anon_sym_PLUS] = ACTIONS(1763),
    [anon_sym_DASH] = ACTIONS(1763),
    [sym__hex_literal] = ACTIONS(1765),
    [sym__number_literal] = ACTIONS(1767),
    [anon_sym_SQUOTE] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1125),
    [sym_return] = ACTIONS(1769),
    [sym_next] = ACTIONS(1769),
    [sym_break] = ACTIONS(1769),
    [sym_true] = ACTIONS(1769),
    [sym_false] = ACTIONS(1769),
    [sym_null] = ACTIONS(1769),
    [sym_inf] = ACTIONS(1769),
    [sym_nan] = ACTIONS(1769),
    [anon_sym_NA] = ACTIONS(1771),
    [anon_sym_NA_integer_] = ACTIONS(1771),
    [anon_sym_NA_real_] = ACTIONS(1771),
    [anon_sym_NA_complex_] = ACTIONS(1771),
    [anon_sym_NA_character_] = ACTIONS(1771),
    [sym_dots] = ACTIONS(1769),
    [sym_dot_dot_i] = ACTIONS(1773),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1797),
    [sym__semicolon] = ACTIONS(1797),
    [sym__raw_string_literal] = ACTIONS(1129),
    [sym__external_open_parenthesis] = ACTIONS(1777),
    [sym__external_open_brace] = ACTIONS(1779),
  },
  [1029] = {
    [sym_function_definition] = STATE(696),
    [sym_if_statement] = STATE(696),
    [sym_for_statement] = STATE(696),
    [sym_while_statement] = STATE(696),
    [sym_repeat_statement] = STATE(696),
    [sym_braced_expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_call] = STATE(696),
    [sym_subset] = STATE(696),
    [sym_subset2] = STATE(696),
    [sym_unary_operator] = STATE(696),
    [sym_binary_operator] = STATE(696),
    [sym_extract_operator] = STATE(696),
    [sym_namespace_operator] = STATE(696),
    [sym_integer] = STATE(696),
    [sym_complex] = STATE(696),
    [sym_float] = STATE(696),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(801),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(986),
    [sym__open_brace] = STATE(922),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1064),
    [sym_identifier] = ACTIONS(1591),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(1593),
    [sym_next] = ACTIONS(1593),
    [sym_break] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_null] = ACTIONS(1593),
    [sym_inf] = ACTIONS(1593),
    [sym_nan] = ACTIONS(1593),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(1593),
    [sym_dot_dot_i] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1597),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1799),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [1030] = {
    [sym_function_definition] = STATE(696),
    [sym_if_statement] = STATE(696),
    [sym_for_statement] = STATE(696),
    [sym_while_statement] = STATE(696),
    [sym_repeat_statement] = STATE(696),
    [sym_braced_expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_call] = STATE(696),
    [sym_subset] = STATE(696),
    [sym_subset2] = STATE(696),
    [sym_unary_operator] = STATE(696),
    [sym_binary_operator] = STATE(696),
    [sym_extract_operator] = STATE(696),
    [sym_namespace_operator] = STATE(696),
    [sym_integer] = STATE(696),
    [sym_complex] = STATE(696),
    [sym_float] = STATE(696),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(801),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(959),
    [sym__open_brace] = STATE(922),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1029),
    [sym_identifier] = ACTIONS(1591),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(1593),
    [sym_next] = ACTIONS(1593),
    [sym_break] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_null] = ACTIONS(1593),
    [sym_inf] = ACTIONS(1593),
    [sym_nan] = ACTIONS(1593),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(1593),
    [sym_dot_dot_i] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1597),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1801),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [1031] = {
    [ts_builtin_sym_end] = ACTIONS(1505),
    [sym_identifier] = ACTIONS(1507),
    [anon_sym_BSLASH] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ] = ACTIONS(1507),
    [anon_sym_if] = ACTIONS(1507),
    [anon_sym_for] = ACTIONS(1507),
    [anon_sym_while] = ACTIONS(1507),
    [anon_sym_repeat] = ACTIONS(1507),
    [anon_sym_QMARK] = ACTIONS(1505),
    [anon_sym_TILDE] = ACTIONS(1505),
    [anon_sym_BANG] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_LT_DASH] = ACTIONS(1505),
    [anon_sym_LT_LT_DASH] = ACTIONS(1505),
    [anon_sym_COLON_EQ] = ACTIONS(1505),
    [anon_sym_DASH_GT] = ACTIONS(1507),
    [anon_sym_DASH_GT_GT] = ACTIONS(1505),
    [anon_sym_PIPE] = ACTIONS(1507),
    [anon_sym_AMP] = ACTIONS(1507),
    [anon_sym_PIPE_PIPE] = ACTIONS(1505),
    [anon_sym_AMP_AMP] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1507),
    [anon_sym_LT_EQ] = ACTIONS(1505),
    [anon_sym_GT] = ACTIONS(1507),
    [anon_sym_GT_EQ] = ACTIONS(1505),
    [anon_sym_EQ_EQ] = ACTIONS(1505),
    [anon_sym_BANG_EQ] = ACTIONS(1505),
    [anon_sym_STAR] = ACTIONS(1507),
    [anon_sym_SLASH] = ACTIONS(1505),
    [anon_sym_STAR_STAR] = ACTIONS(1505),
    [anon_sym_CARET] = ACTIONS(1505),
    [aux_sym_binary_operator_token1] = ACTIONS(1505),
    [anon_sym_PIPE_GT] = ACTIONS(1505),
    [anon_sym_COLON] = ACTIONS(1507),
    [anon_sym_DOLLAR] = ACTIONS(1505),
    [anon_sym_AT] = ACTIONS(1505),
    [sym__hex_literal] = ACTIONS(1505),
    [sym__number_literal] = ACTIONS(1507),
    [anon_sym_SQUOTE] = ACTIONS(1505),
    [anon_sym_DQUOTE] = ACTIONS(1505),
    [sym_return] = ACTIONS(1507),
    [sym_next] = ACTIONS(1507),
    [sym_break] = ACTIONS(1507),
    [sym_true] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_null] = ACTIONS(1507),
    [sym_inf] = ACTIONS(1507),
    [sym_nan] = ACTIONS(1507),
    [anon_sym_NA] = ACTIONS(1507),
    [anon_sym_NA_integer_] = ACTIONS(1507),
    [anon_sym_NA_real_] = ACTIONS(1507),
    [anon_sym_NA_complex_] = ACTIONS(1507),
    [anon_sym_NA_character_] = ACTIONS(1507),
    [sym_dots] = ACTIONS(1507),
    [sym_dot_dot_i] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1505),
    [sym__semicolon] = ACTIONS(1505),
    [sym__raw_string_literal] = ACTIONS(1505),
    [sym__external_open_parenthesis] = ACTIONS(1505),
    [sym__external_open_brace] = ACTIONS(1505),
    [sym__external_open_bracket] = ACTIONS(1505),
    [sym__external_open_bracket2] = ACTIONS(1505),
  },
  [1032] = {
    [sym_function_definition] = STATE(696),
    [sym_if_statement] = STATE(696),
    [sym_for_statement] = STATE(696),
    [sym_while_statement] = STATE(696),
    [sym_repeat_statement] = STATE(696),
    [sym_braced_expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_call] = STATE(696),
    [sym_subset] = STATE(696),
    [sym_subset2] = STATE(696),
    [sym_unary_operator] = STATE(696),
    [sym_binary_operator] = STATE(696),
    [sym_extract_operator] = STATE(696),
    [sym_namespace_operator] = STATE(696),
    [sym_integer] = STATE(696),
    [sym_complex] = STATE(696),
    [sym_float] = STATE(696),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(801),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(829),
    [sym__open_brace] = STATE(922),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1064),
    [sym_identifier] = ACTIONS(1591),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(1593),
    [sym_next] = ACTIONS(1593),
    [sym_break] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_null] = ACTIONS(1593),
    [sym_inf] = ACTIONS(1593),
    [sym_nan] = ACTIONS(1593),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(1593),
    [sym_dot_dot_i] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1597),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1803),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [1033] = {
    [sym_function_definition] = STATE(696),
    [sym_if_statement] = STATE(696),
    [sym_for_statement] = STATE(696),
    [sym_while_statement] = STATE(696),
    [sym_repeat_statement] = STATE(696),
    [sym_braced_expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_call] = STATE(696),
    [sym_subset] = STATE(696),
    [sym_subset2] = STATE(696),
    [sym_unary_operator] = STATE(696),
    [sym_binary_operator] = STATE(696),
    [sym_extract_operator] = STATE(696),
    [sym_namespace_operator] = STATE(696),
    [sym_integer] = STATE(696),
    [sym_complex] = STATE(696),
    [sym_float] = STATE(696),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(801),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(820),
    [sym__open_brace] = STATE(922),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1032),
    [sym_identifier] = ACTIONS(1591),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(1593),
    [sym_next] = ACTIONS(1593),
    [sym_break] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_null] = ACTIONS(1593),
    [sym_inf] = ACTIONS(1593),
    [sym_nan] = ACTIONS(1593),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(1593),
    [sym_dot_dot_i] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1597),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1805),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [1034] = {
    [ts_builtin_sym_end] = ACTIONS(1509),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(1509),
    [anon_sym_function] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_for] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1511),
    [anon_sym_repeat] = ACTIONS(1511),
    [anon_sym_QMARK] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(1509),
    [anon_sym_BANG] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_LT_DASH] = ACTIONS(1509),
    [anon_sym_LT_LT_DASH] = ACTIONS(1509),
    [anon_sym_COLON_EQ] = ACTIONS(1509),
    [anon_sym_DASH_GT] = ACTIONS(1511),
    [anon_sym_DASH_GT_GT] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_AMP_AMP] = ACTIONS(1509),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT] = ACTIONS(1511),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_EQ_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_STAR] = ACTIONS(1511),
    [anon_sym_SLASH] = ACTIONS(1509),
    [anon_sym_STAR_STAR] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [aux_sym_binary_operator_token1] = ACTIONS(1509),
    [anon_sym_PIPE_GT] = ACTIONS(1509),
    [anon_sym_COLON] = ACTIONS(1511),
    [anon_sym_DOLLAR] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(1509),
    [sym__hex_literal] = ACTIONS(1509),
    [sym__number_literal] = ACTIONS(1511),
    [anon_sym_SQUOTE] = ACTIONS(1509),
    [anon_sym_DQUOTE] = ACTIONS(1509),
    [sym_return] = ACTIONS(1511),
    [sym_next] = ACTIONS(1511),
    [sym_break] = ACTIONS(1511),
    [sym_true] = ACTIONS(1511),
    [sym_false] = ACTIONS(1511),
    [sym_null] = ACTIONS(1511),
    [sym_inf] = ACTIONS(1511),
    [sym_nan] = ACTIONS(1511),
    [anon_sym_NA] = ACTIONS(1511),
    [anon_sym_NA_integer_] = ACTIONS(1511),
    [anon_sym_NA_real_] = ACTIONS(1511),
    [anon_sym_NA_complex_] = ACTIONS(1511),
    [anon_sym_NA_character_] = ACTIONS(1511),
    [sym_dots] = ACTIONS(1511),
    [sym_dot_dot_i] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1509),
    [sym__semicolon] = ACTIONS(1509),
    [sym__raw_string_literal] = ACTIONS(1509),
    [sym__external_open_parenthesis] = ACTIONS(1509),
    [sym__external_open_brace] = ACTIONS(1509),
    [sym__external_open_bracket] = ACTIONS(1509),
    [sym__external_open_bracket2] = ACTIONS(1509),
  },
  [1035] = {
    [sym_function_definition] = STATE(696),
    [sym_if_statement] = STATE(696),
    [sym_for_statement] = STATE(696),
    [sym_while_statement] = STATE(696),
    [sym_repeat_statement] = STATE(696),
    [sym_braced_expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_call] = STATE(696),
    [sym_subset] = STATE(696),
    [sym_subset2] = STATE(696),
    [sym_unary_operator] = STATE(696),
    [sym_binary_operator] = STATE(696),
    [sym_extract_operator] = STATE(696),
    [sym_namespace_operator] = STATE(696),
    [sym_integer] = STATE(696),
    [sym_complex] = STATE(696),
    [sym_float] = STATE(696),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(801),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(852),
    [sym__open_brace] = STATE(922),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1064),
    [sym_identifier] = ACTIONS(1591),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(1593),
    [sym_next] = ACTIONS(1593),
    [sym_break] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_null] = ACTIONS(1593),
    [sym_inf] = ACTIONS(1593),
    [sym_nan] = ACTIONS(1593),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(1593),
    [sym_dot_dot_i] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1597),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1807),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [1036] = {
    [sym_identifier] = ACTIONS(1474),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_function] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1474),
    [anon_sym_if] = ACTIONS(1474),
    [anon_sym_for] = ACTIONS(1474),
    [anon_sym_while] = ACTIONS(1474),
    [anon_sym_repeat] = ACTIONS(1474),
    [anon_sym_QMARK] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_LT_DASH] = ACTIONS(1472),
    [anon_sym_LT_LT_DASH] = ACTIONS(1472),
    [anon_sym_COLON_EQ] = ACTIONS(1472),
    [anon_sym_DASH_GT] = ACTIONS(1474),
    [anon_sym_DASH_GT_GT] = ACTIONS(1472),
    [anon_sym_PIPE] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_PIPE_PIPE] = ACTIONS(1472),
    [anon_sym_AMP_AMP] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1474),
    [anon_sym_LT_EQ] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1474),
    [anon_sym_GT_EQ] = ACTIONS(1472),
    [anon_sym_EQ_EQ] = ACTIONS(1472),
    [anon_sym_BANG_EQ] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_STAR_STAR] = ACTIONS(1472),
    [anon_sym_CARET] = ACTIONS(1472),
    [aux_sym_binary_operator_token1] = ACTIONS(1472),
    [anon_sym_PIPE_GT] = ACTIONS(1472),
    [anon_sym_COLON] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1472),
    [sym__hex_literal] = ACTIONS(1472),
    [sym__number_literal] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [sym_return] = ACTIONS(1474),
    [sym_next] = ACTIONS(1474),
    [sym_break] = ACTIONS(1474),
    [sym_true] = ACTIONS(1474),
    [sym_false] = ACTIONS(1474),
    [sym_null] = ACTIONS(1474),
    [sym_inf] = ACTIONS(1474),
    [sym_nan] = ACTIONS(1474),
    [anon_sym_NA] = ACTIONS(1474),
    [anon_sym_NA_integer_] = ACTIONS(1474),
    [anon_sym_NA_real_] = ACTIONS(1474),
    [anon_sym_NA_complex_] = ACTIONS(1474),
    [anon_sym_NA_character_] = ACTIONS(1474),
    [sym_dots] = ACTIONS(1474),
    [sym_dot_dot_i] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1472),
    [sym__newline] = ACTIONS(1472),
    [sym__raw_string_literal] = ACTIONS(1472),
    [sym__external_open_parenthesis] = ACTIONS(1472),
    [sym__external_close_parenthesis] = ACTIONS(1472),
    [sym__external_open_brace] = ACTIONS(1472),
    [sym__external_open_bracket] = ACTIONS(1472),
    [sym__external_open_bracket2] = ACTIONS(1472),
  },
  [1037] = {
    [sym_function_definition] = STATE(696),
    [sym_if_statement] = STATE(696),
    [sym_for_statement] = STATE(696),
    [sym_while_statement] = STATE(696),
    [sym_repeat_statement] = STATE(696),
    [sym_braced_expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_call] = STATE(696),
    [sym_subset] = STATE(696),
    [sym_subset2] = STATE(696),
    [sym_unary_operator] = STATE(696),
    [sym_binary_operator] = STATE(696),
    [sym_extract_operator] = STATE(696),
    [sym_namespace_operator] = STATE(696),
    [sym_integer] = STATE(696),
    [sym_complex] = STATE(696),
    [sym_float] = STATE(696),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(801),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(843),
    [sym__open_brace] = STATE(922),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1035),
    [sym_identifier] = ACTIONS(1591),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(1593),
    [sym_next] = ACTIONS(1593),
    [sym_break] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_null] = ACTIONS(1593),
    [sym_inf] = ACTIONS(1593),
    [sym_nan] = ACTIONS(1593),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(1593),
    [sym_dot_dot_i] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1597),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1809),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [1038] = {
    [ts_builtin_sym_end] = ACTIONS(1513),
    [sym_identifier] = ACTIONS(1515),
    [anon_sym_BSLASH] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_EQ] = ACTIONS(1515),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_for] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1515),
    [anon_sym_repeat] = ACTIONS(1515),
    [anon_sym_QMARK] = ACTIONS(1513),
    [anon_sym_TILDE] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_LT_DASH] = ACTIONS(1513),
    [anon_sym_LT_LT_DASH] = ACTIONS(1513),
    [anon_sym_COLON_EQ] = ACTIONS(1513),
    [anon_sym_DASH_GT] = ACTIONS(1515),
    [anon_sym_DASH_GT_GT] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_GT] = ACTIONS(1515),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_EQ_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_SLASH] = ACTIONS(1513),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [aux_sym_binary_operator_token1] = ACTIONS(1513),
    [anon_sym_PIPE_GT] = ACTIONS(1513),
    [anon_sym_COLON] = ACTIONS(1515),
    [anon_sym_DOLLAR] = ACTIONS(1513),
    [anon_sym_AT] = ACTIONS(1513),
    [sym__hex_literal] = ACTIONS(1513),
    [sym__number_literal] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1513),
    [anon_sym_DQUOTE] = ACTIONS(1513),
    [sym_return] = ACTIONS(1515),
    [sym_next] = ACTIONS(1515),
    [sym_break] = ACTIONS(1515),
    [sym_true] = ACTIONS(1515),
    [sym_false] = ACTIONS(1515),
    [sym_null] = ACTIONS(1515),
    [sym_inf] = ACTIONS(1515),
    [sym_nan] = ACTIONS(1515),
    [anon_sym_NA] = ACTIONS(1515),
    [anon_sym_NA_integer_] = ACTIONS(1515),
    [anon_sym_NA_real_] = ACTIONS(1515),
    [anon_sym_NA_complex_] = ACTIONS(1515),
    [anon_sym_NA_character_] = ACTIONS(1515),
    [sym_dots] = ACTIONS(1515),
    [sym_dot_dot_i] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1513),
    [sym__semicolon] = ACTIONS(1513),
    [sym__raw_string_literal] = ACTIONS(1513),
    [sym__external_open_parenthesis] = ACTIONS(1513),
    [sym__external_open_brace] = ACTIONS(1513),
    [sym__external_open_bracket] = ACTIONS(1513),
    [sym__external_open_bracket2] = ACTIONS(1513),
  },
  [1039] = {
    [sym_identifier] = ACTIONS(1414),
    [anon_sym_BSLASH] = ACTIONS(1416),
    [anon_sym_function] = ACTIONS(1414),
    [anon_sym_EQ] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1414),
    [anon_sym_for] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_repeat] = ACTIONS(1414),
    [anon_sym_QMARK] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_LT_DASH] = ACTIONS(1416),
    [anon_sym_LT_LT_DASH] = ACTIONS(1416),
    [anon_sym_COLON_EQ] = ACTIONS(1416),
    [anon_sym_DASH_GT] = ACTIONS(1414),
    [anon_sym_DASH_GT_GT] = ACTIONS(1416),
    [anon_sym_PIPE] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_PIPE_PIPE] = ACTIONS(1416),
    [anon_sym_AMP_AMP] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1416),
    [anon_sym_EQ_EQ] = ACTIONS(1416),
    [anon_sym_BANG_EQ] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_STAR_STAR] = ACTIONS(1416),
    [anon_sym_CARET] = ACTIONS(1416),
    [aux_sym_binary_operator_token1] = ACTIONS(1416),
    [anon_sym_PIPE_GT] = ACTIONS(1416),
    [anon_sym_COLON] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [sym__hex_literal] = ACTIONS(1416),
    [sym__number_literal] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [sym_return] = ACTIONS(1414),
    [sym_next] = ACTIONS(1414),
    [sym_break] = ACTIONS(1414),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [sym_null] = ACTIONS(1414),
    [sym_inf] = ACTIONS(1414),
    [sym_nan] = ACTIONS(1414),
    [anon_sym_NA] = ACTIONS(1414),
    [anon_sym_NA_integer_] = ACTIONS(1414),
    [anon_sym_NA_real_] = ACTIONS(1414),
    [anon_sym_NA_complex_] = ACTIONS(1414),
    [anon_sym_NA_character_] = ACTIONS(1414),
    [sym_dots] = ACTIONS(1414),
    [sym_dot_dot_i] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1416),
    [sym__newline] = ACTIONS(1416),
    [sym__raw_string_literal] = ACTIONS(1416),
    [sym__external_open_parenthesis] = ACTIONS(1416),
    [sym__external_close_parenthesis] = ACTIONS(1416),
    [sym__external_open_brace] = ACTIONS(1416),
    [sym__external_open_bracket] = ACTIONS(1416),
    [sym__external_open_bracket2] = ACTIONS(1416),
  },
  [1040] = {
    [sym_function_definition] = STATE(696),
    [sym_if_statement] = STATE(696),
    [sym_for_statement] = STATE(696),
    [sym_while_statement] = STATE(696),
    [sym_repeat_statement] = STATE(696),
    [sym_braced_expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_call] = STATE(696),
    [sym_subset] = STATE(696),
    [sym_subset2] = STATE(696),
    [sym_unary_operator] = STATE(696),
    [sym_binary_operator] = STATE(696),
    [sym_extract_operator] = STATE(696),
    [sym_namespace_operator] = STATE(696),
    [sym_integer] = STATE(696),
    [sym_complex] = STATE(696),
    [sym_float] = STATE(696),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(801),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(872),
    [sym__open_brace] = STATE(922),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1064),
    [sym_identifier] = ACTIONS(1591),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(1593),
    [sym_next] = ACTIONS(1593),
    [sym_break] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_null] = ACTIONS(1593),
    [sym_inf] = ACTIONS(1593),
    [sym_nan] = ACTIONS(1593),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(1593),
    [sym_dot_dot_i] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1597),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1811),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [1041] = {
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_BSLASH] = ACTIONS(1476),
    [anon_sym_function] = ACTIONS(1478),
    [anon_sym_EQ] = ACTIONS(1478),
    [anon_sym_if] = ACTIONS(1478),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_while] = ACTIONS(1478),
    [anon_sym_repeat] = ACTIONS(1478),
    [anon_sym_QMARK] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_LT_DASH] = ACTIONS(1476),
    [anon_sym_LT_LT_DASH] = ACTIONS(1476),
    [anon_sym_COLON_EQ] = ACTIONS(1476),
    [anon_sym_DASH_GT] = ACTIONS(1478),
    [anon_sym_DASH_GT_GT] = ACTIONS(1476),
    [anon_sym_PIPE] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_PIPE_PIPE] = ACTIONS(1476),
    [anon_sym_AMP_AMP] = ACTIONS(1476),
    [anon_sym_LT] = ACTIONS(1478),
    [anon_sym_LT_EQ] = ACTIONS(1476),
    [anon_sym_GT] = ACTIONS(1478),
    [anon_sym_GT_EQ] = ACTIONS(1476),
    [anon_sym_EQ_EQ] = ACTIONS(1476),
    [anon_sym_BANG_EQ] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_SLASH] = ACTIONS(1476),
    [anon_sym_STAR_STAR] = ACTIONS(1476),
    [anon_sym_CARET] = ACTIONS(1476),
    [aux_sym_binary_operator_token1] = ACTIONS(1476),
    [anon_sym_PIPE_GT] = ACTIONS(1476),
    [anon_sym_COLON] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [sym__hex_literal] = ACTIONS(1476),
    [sym__number_literal] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [sym_return] = ACTIONS(1478),
    [sym_next] = ACTIONS(1478),
    [sym_break] = ACTIONS(1478),
    [sym_true] = ACTIONS(1478),
    [sym_false] = ACTIONS(1478),
    [sym_null] = ACTIONS(1478),
    [sym_inf] = ACTIONS(1478),
    [sym_nan] = ACTIONS(1478),
    [anon_sym_NA] = ACTIONS(1478),
    [anon_sym_NA_integer_] = ACTIONS(1478),
    [anon_sym_NA_real_] = ACTIONS(1478),
    [anon_sym_NA_complex_] = ACTIONS(1478),
    [anon_sym_NA_character_] = ACTIONS(1478),
    [sym_dots] = ACTIONS(1478),
    [sym_dot_dot_i] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1476),
    [sym__newline] = ACTIONS(1476),
    [sym__raw_string_literal] = ACTIONS(1476),
    [sym__external_open_parenthesis] = ACTIONS(1476),
    [sym__external_close_parenthesis] = ACTIONS(1476),
    [sym__external_open_brace] = ACTIONS(1476),
    [sym__external_open_bracket] = ACTIONS(1476),
    [sym__external_open_bracket2] = ACTIONS(1476),
  },
  [1042] = {
    [sym_function_definition] = STATE(696),
    [sym_if_statement] = STATE(696),
    [sym_for_statement] = STATE(696),
    [sym_while_statement] = STATE(696),
    [sym_repeat_statement] = STATE(696),
    [sym_braced_expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_call] = STATE(696),
    [sym_subset] = STATE(696),
    [sym_subset2] = STATE(696),
    [sym_unary_operator] = STATE(696),
    [sym_binary_operator] = STATE(696),
    [sym_extract_operator] = STATE(696),
    [sym_namespace_operator] = STATE(696),
    [sym_integer] = STATE(696),
    [sym_complex] = STATE(696),
    [sym_float] = STATE(696),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(801),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(864),
    [sym__open_brace] = STATE(922),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1040),
    [sym_identifier] = ACTIONS(1591),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(1593),
    [sym_next] = ACTIONS(1593),
    [sym_break] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_null] = ACTIONS(1593),
    [sym_inf] = ACTIONS(1593),
    [sym_nan] = ACTIONS(1593),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(1593),
    [sym_dot_dot_i] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1597),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1813),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [1043] = {
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_BSLASH] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1495),
    [anon_sym_EQ] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1495),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_repeat] = ACTIONS(1495),
    [anon_sym_QMARK] = ACTIONS(1493),
    [anon_sym_TILDE] = ACTIONS(1493),
    [anon_sym_BANG] = ACTIONS(1495),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_LT_DASH] = ACTIONS(1493),
    [anon_sym_LT_LT_DASH] = ACTIONS(1493),
    [anon_sym_COLON_EQ] = ACTIONS(1493),
    [anon_sym_DASH_GT] = ACTIONS(1495),
    [anon_sym_DASH_GT_GT] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
    [anon_sym_AMP] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_AMP_AMP] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_GT] = ACTIONS(1495),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_EQ_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_STAR] = ACTIONS(1495),
    [anon_sym_SLASH] = ACTIONS(1493),
    [anon_sym_STAR_STAR] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [aux_sym_binary_operator_token1] = ACTIONS(1493),
    [anon_sym_PIPE_GT] = ACTIONS(1493),
    [anon_sym_COLON] = ACTIONS(1495),
    [anon_sym_DOLLAR] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(1493),
    [sym__hex_literal] = ACTIONS(1493),
    [sym__number_literal] = ACTIONS(1495),
    [anon_sym_SQUOTE] = ACTIONS(1493),
    [anon_sym_DQUOTE] = ACTIONS(1493),
    [sym_return] = ACTIONS(1495),
    [sym_next] = ACTIONS(1495),
    [sym_break] = ACTIONS(1495),
    [sym_true] = ACTIONS(1495),
    [sym_false] = ACTIONS(1495),
    [sym_null] = ACTIONS(1495),
    [sym_inf] = ACTIONS(1495),
    [sym_nan] = ACTIONS(1495),
    [anon_sym_NA] = ACTIONS(1495),
    [anon_sym_NA_integer_] = ACTIONS(1495),
    [anon_sym_NA_real_] = ACTIONS(1495),
    [anon_sym_NA_complex_] = ACTIONS(1495),
    [anon_sym_NA_character_] = ACTIONS(1495),
    [sym_dots] = ACTIONS(1495),
    [sym_dot_dot_i] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1493),
    [sym__newline] = ACTIONS(1493),
    [sym__raw_string_literal] = ACTIONS(1493),
    [sym__external_open_parenthesis] = ACTIONS(1493),
    [sym__external_open_brace] = ACTIONS(1493),
    [sym__external_open_bracket] = ACTIONS(1493),
    [sym__external_close_bracket] = ACTIONS(1493),
    [sym__external_open_bracket2] = ACTIONS(1493),
  },
  [1044] = {
    [sym_function_definition] = STATE(696),
    [sym_if_statement] = STATE(696),
    [sym_for_statement] = STATE(696),
    [sym_while_statement] = STATE(696),
    [sym_repeat_statement] = STATE(696),
    [sym_braced_expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_call] = STATE(696),
    [sym_subset] = STATE(696),
    [sym_subset2] = STATE(696),
    [sym_unary_operator] = STATE(696),
    [sym_binary_operator] = STATE(696),
    [sym_extract_operator] = STATE(696),
    [sym_namespace_operator] = STATE(696),
    [sym_integer] = STATE(696),
    [sym_complex] = STATE(696),
    [sym_float] = STATE(696),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(801),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(937),
    [sym__open_brace] = STATE(922),
    [aux_sym_parenthesized_expression_repeat1] = STATE(938),
    [sym_identifier] = ACTIONS(1591),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(1593),
    [sym_next] = ACTIONS(1593),
    [sym_break] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_null] = ACTIONS(1593),
    [sym_inf] = ACTIONS(1593),
    [sym_nan] = ACTIONS(1593),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(1593),
    [sym_dot_dot_i] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1597),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1815),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [1045] = {
    [sym_function_definition] = STATE(696),
    [sym_if_statement] = STATE(696),
    [sym_for_statement] = STATE(696),
    [sym_while_statement] = STATE(696),
    [sym_repeat_statement] = STATE(696),
    [sym_braced_expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_call] = STATE(696),
    [sym_subset] = STATE(696),
    [sym_subset2] = STATE(696),
    [sym_unary_operator] = STATE(696),
    [sym_binary_operator] = STATE(696),
    [sym_extract_operator] = STATE(696),
    [sym_namespace_operator] = STATE(696),
    [sym_integer] = STATE(696),
    [sym_complex] = STATE(696),
    [sym_float] = STATE(696),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(801),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(2111),
    [sym__open_brace] = STATE(922),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1064),
    [sym_identifier] = ACTIONS(1591),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(1593),
    [sym_next] = ACTIONS(1593),
    [sym_break] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_null] = ACTIONS(1593),
    [sym_inf] = ACTIONS(1593),
    [sym_nan] = ACTIONS(1593),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(1593),
    [sym_dot_dot_i] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1597),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1817),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [1046] = {
    [sym_identifier] = ACTIONS(1499),
    [anon_sym_BSLASH] = ACTIONS(1497),
    [anon_sym_function] = ACTIONS(1499),
    [anon_sym_EQ] = ACTIONS(1499),
    [anon_sym_if] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1499),
    [anon_sym_while] = ACTIONS(1499),
    [anon_sym_repeat] = ACTIONS(1499),
    [anon_sym_QMARK] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(1497),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_LT_DASH] = ACTIONS(1497),
    [anon_sym_LT_LT_DASH] = ACTIONS(1497),
    [anon_sym_COLON_EQ] = ACTIONS(1497),
    [anon_sym_DASH_GT] = ACTIONS(1499),
    [anon_sym_DASH_GT_GT] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_AMP_AMP] = ACTIONS(1497),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_GT] = ACTIONS(1499),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_EQ_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1497),
    [anon_sym_STAR_STAR] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [aux_sym_binary_operator_token1] = ACTIONS(1497),
    [anon_sym_PIPE_GT] = ACTIONS(1497),
    [anon_sym_COLON] = ACTIONS(1499),
    [anon_sym_DOLLAR] = ACTIONS(1497),
    [anon_sym_AT] = ACTIONS(1497),
    [sym__hex_literal] = ACTIONS(1497),
    [sym__number_literal] = ACTIONS(1499),
    [anon_sym_SQUOTE] = ACTIONS(1497),
    [anon_sym_DQUOTE] = ACTIONS(1497),
    [sym_return] = ACTIONS(1499),
    [sym_next] = ACTIONS(1499),
    [sym_break] = ACTIONS(1499),
    [sym_true] = ACTIONS(1499),
    [sym_false] = ACTIONS(1499),
    [sym_null] = ACTIONS(1499),
    [sym_inf] = ACTIONS(1499),
    [sym_nan] = ACTIONS(1499),
    [anon_sym_NA] = ACTIONS(1499),
    [anon_sym_NA_integer_] = ACTIONS(1499),
    [anon_sym_NA_real_] = ACTIONS(1499),
    [anon_sym_NA_complex_] = ACTIONS(1499),
    [anon_sym_NA_character_] = ACTIONS(1499),
    [sym_dots] = ACTIONS(1499),
    [sym_dot_dot_i] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1497),
    [sym__newline] = ACTIONS(1497),
    [sym__raw_string_literal] = ACTIONS(1497),
    [sym__external_open_parenthesis] = ACTIONS(1497),
    [sym__external_open_brace] = ACTIONS(1497),
    [sym__external_open_bracket] = ACTIONS(1497),
    [sym__external_close_bracket] = ACTIONS(1497),
    [sym__external_open_bracket2] = ACTIONS(1497),
  },
  [1047] = {
    [sym_function_definition] = STATE(696),
    [sym_if_statement] = STATE(696),
    [sym_for_statement] = STATE(696),
    [sym_while_statement] = STATE(696),
    [sym_repeat_statement] = STATE(696),
    [sym_braced_expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_call] = STATE(696),
    [sym_subset] = STATE(696),
    [sym_subset2] = STATE(696),
    [sym_unary_operator] = STATE(696),
    [sym_binary_operator] = STATE(696),
    [sym_extract_operator] = STATE(696),
    [sym_namespace_operator] = STATE(696),
    [sym_integer] = STATE(696),
    [sym_complex] = STATE(696),
    [sym_float] = STATE(696),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(801),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(2112),
    [sym__open_brace] = STATE(922),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1045),
    [sym_identifier] = ACTIONS(1591),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(1593),
    [sym_next] = ACTIONS(1593),
    [sym_break] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_null] = ACTIONS(1593),
    [sym_inf] = ACTIONS(1593),
    [sym_nan] = ACTIONS(1593),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(1593),
    [sym_dot_dot_i] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1597),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1819),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [1048] = {
    [sym_identifier] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(1521),
    [anon_sym_function] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(1523),
    [anon_sym_for] = ACTIONS(1523),
    [anon_sym_while] = ACTIONS(1523),
    [anon_sym_repeat] = ACTIONS(1523),
    [anon_sym_QMARK] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1523),
    [anon_sym_LT_DASH] = ACTIONS(1521),
    [anon_sym_LT_LT_DASH] = ACTIONS(1521),
    [anon_sym_COLON_EQ] = ACTIONS(1521),
    [anon_sym_DASH_GT] = ACTIONS(1523),
    [anon_sym_DASH_GT_GT] = ACTIONS(1521),
    [anon_sym_PIPE] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_PIPE_PIPE] = ACTIONS(1521),
    [anon_sym_AMP_AMP] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1521),
    [anon_sym_STAR_STAR] = ACTIONS(1521),
    [anon_sym_CARET] = ACTIONS(1521),
    [aux_sym_binary_operator_token1] = ACTIONS(1521),
    [anon_sym_PIPE_GT] = ACTIONS(1521),
    [anon_sym_COLON] = ACTIONS(1523),
    [anon_sym_DOLLAR] = ACTIONS(1521),
    [anon_sym_AT] = ACTIONS(1521),
    [sym__hex_literal] = ACTIONS(1521),
    [sym__number_literal] = ACTIONS(1523),
    [anon_sym_SQUOTE] = ACTIONS(1521),
    [anon_sym_DQUOTE] = ACTIONS(1521),
    [sym_return] = ACTIONS(1523),
    [sym_next] = ACTIONS(1523),
    [sym_break] = ACTIONS(1523),
    [sym_true] = ACTIONS(1523),
    [sym_false] = ACTIONS(1523),
    [sym_null] = ACTIONS(1523),
    [sym_inf] = ACTIONS(1523),
    [sym_nan] = ACTIONS(1523),
    [anon_sym_NA] = ACTIONS(1523),
    [anon_sym_NA_integer_] = ACTIONS(1523),
    [anon_sym_NA_real_] = ACTIONS(1523),
    [anon_sym_NA_complex_] = ACTIONS(1523),
    [anon_sym_NA_character_] = ACTIONS(1523),
    [sym_dots] = ACTIONS(1523),
    [sym_dot_dot_i] = ACTIONS(1521),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1521),
    [sym__semicolon] = ACTIONS(1521),
    [sym__raw_string_literal] = ACTIONS(1521),
    [sym__external_open_parenthesis] = ACTIONS(1521),
    [sym__external_open_brace] = ACTIONS(1521),
    [sym__external_close_brace] = ACTIONS(1521),
    [sym__external_open_bracket] = ACTIONS(1521),
    [sym__external_open_bracket2] = ACTIONS(1521),
  },
  [1049] = {
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(1501),
    [anon_sym_function] = ACTIONS(1503),
    [anon_sym_EQ] = ACTIONS(1503),
    [anon_sym_if] = ACTIONS(1503),
    [anon_sym_for] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_repeat] = ACTIONS(1503),
    [anon_sym_QMARK] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(1501),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_LT_DASH] = ACTIONS(1501),
    [anon_sym_LT_LT_DASH] = ACTIONS(1501),
    [anon_sym_COLON_EQ] = ACTIONS(1501),
    [anon_sym_DASH_GT] = ACTIONS(1503),
    [anon_sym_DASH_GT_GT] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_AMP] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_AMP_AMP] = ACTIONS(1501),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_GT] = ACTIONS(1503),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_EQ_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_SLASH] = ACTIONS(1501),
    [anon_sym_STAR_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [aux_sym_binary_operator_token1] = ACTIONS(1501),
    [anon_sym_PIPE_GT] = ACTIONS(1501),
    [anon_sym_COLON] = ACTIONS(1503),
    [anon_sym_DOLLAR] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(1501),
    [sym__hex_literal] = ACTIONS(1501),
    [sym__number_literal] = ACTIONS(1503),
    [anon_sym_SQUOTE] = ACTIONS(1501),
    [anon_sym_DQUOTE] = ACTIONS(1501),
    [sym_return] = ACTIONS(1503),
    [sym_next] = ACTIONS(1503),
    [sym_break] = ACTIONS(1503),
    [sym_true] = ACTIONS(1503),
    [sym_false] = ACTIONS(1503),
    [sym_null] = ACTIONS(1503),
    [sym_inf] = ACTIONS(1503),
    [sym_nan] = ACTIONS(1503),
    [anon_sym_NA] = ACTIONS(1503),
    [anon_sym_NA_integer_] = ACTIONS(1503),
    [anon_sym_NA_real_] = ACTIONS(1503),
    [anon_sym_NA_complex_] = ACTIONS(1503),
    [anon_sym_NA_character_] = ACTIONS(1503),
    [sym_dots] = ACTIONS(1503),
    [sym_dot_dot_i] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1501),
    [sym__newline] = ACTIONS(1501),
    [sym__raw_string_literal] = ACTIONS(1501),
    [sym__external_open_parenthesis] = ACTIONS(1501),
    [sym__external_open_brace] = ACTIONS(1501),
    [sym__external_open_bracket] = ACTIONS(1501),
    [sym__external_close_bracket] = ACTIONS(1501),
    [sym__external_open_bracket2] = ACTIONS(1501),
  },
  [1050] = {
    [sym_identifier] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1480),
    [anon_sym_function] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1482),
    [anon_sym_if] = ACTIONS(1482),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_while] = ACTIONS(1482),
    [anon_sym_repeat] = ACTIONS(1482),
    [anon_sym_QMARK] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_LT_DASH] = ACTIONS(1480),
    [anon_sym_LT_LT_DASH] = ACTIONS(1480),
    [anon_sym_COLON_EQ] = ACTIONS(1480),
    [anon_sym_DASH_GT] = ACTIONS(1482),
    [anon_sym_DASH_GT_GT] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1482),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1482),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_SLASH] = ACTIONS(1480),
    [anon_sym_STAR_STAR] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [aux_sym_binary_operator_token1] = ACTIONS(1480),
    [anon_sym_PIPE_GT] = ACTIONS(1480),
    [anon_sym_COLON] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [sym__hex_literal] = ACTIONS(1480),
    [sym__number_literal] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [sym_return] = ACTIONS(1482),
    [sym_next] = ACTIONS(1482),
    [sym_break] = ACTIONS(1482),
    [sym_true] = ACTIONS(1482),
    [sym_false] = ACTIONS(1482),
    [sym_null] = ACTIONS(1482),
    [sym_inf] = ACTIONS(1482),
    [sym_nan] = ACTIONS(1482),
    [anon_sym_NA] = ACTIONS(1482),
    [anon_sym_NA_integer_] = ACTIONS(1482),
    [anon_sym_NA_real_] = ACTIONS(1482),
    [anon_sym_NA_complex_] = ACTIONS(1482),
    [anon_sym_NA_character_] = ACTIONS(1482),
    [sym_dots] = ACTIONS(1482),
    [sym_dot_dot_i] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1480),
    [sym__newline] = ACTIONS(1480),
    [sym__raw_string_literal] = ACTIONS(1480),
    [sym__external_open_parenthesis] = ACTIONS(1480),
    [sym__external_close_parenthesis] = ACTIONS(1480),
    [sym__external_open_brace] = ACTIONS(1480),
    [sym__external_open_bracket] = ACTIONS(1480),
    [sym__external_open_bracket2] = ACTIONS(1480),
  },
  [1051] = {
    [sym_identifier] = ACTIONS(1507),
    [anon_sym_BSLASH] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ] = ACTIONS(1507),
    [anon_sym_if] = ACTIONS(1507),
    [anon_sym_for] = ACTIONS(1507),
    [anon_sym_while] = ACTIONS(1507),
    [anon_sym_repeat] = ACTIONS(1507),
    [anon_sym_QMARK] = ACTIONS(1505),
    [anon_sym_TILDE] = ACTIONS(1505),
    [anon_sym_BANG] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_LT_DASH] = ACTIONS(1505),
    [anon_sym_LT_LT_DASH] = ACTIONS(1505),
    [anon_sym_COLON_EQ] = ACTIONS(1505),
    [anon_sym_DASH_GT] = ACTIONS(1507),
    [anon_sym_DASH_GT_GT] = ACTIONS(1505),
    [anon_sym_PIPE] = ACTIONS(1507),
    [anon_sym_AMP] = ACTIONS(1507),
    [anon_sym_PIPE_PIPE] = ACTIONS(1505),
    [anon_sym_AMP_AMP] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1507),
    [anon_sym_LT_EQ] = ACTIONS(1505),
    [anon_sym_GT] = ACTIONS(1507),
    [anon_sym_GT_EQ] = ACTIONS(1505),
    [anon_sym_EQ_EQ] = ACTIONS(1505),
    [anon_sym_BANG_EQ] = ACTIONS(1505),
    [anon_sym_STAR] = ACTIONS(1507),
    [anon_sym_SLASH] = ACTIONS(1505),
    [anon_sym_STAR_STAR] = ACTIONS(1505),
    [anon_sym_CARET] = ACTIONS(1505),
    [aux_sym_binary_operator_token1] = ACTIONS(1505),
    [anon_sym_PIPE_GT] = ACTIONS(1505),
    [anon_sym_COLON] = ACTIONS(1507),
    [anon_sym_DOLLAR] = ACTIONS(1505),
    [anon_sym_AT] = ACTIONS(1505),
    [sym__hex_literal] = ACTIONS(1505),
    [sym__number_literal] = ACTIONS(1507),
    [anon_sym_SQUOTE] = ACTIONS(1505),
    [anon_sym_DQUOTE] = ACTIONS(1505),
    [sym_return] = ACTIONS(1507),
    [sym_next] = ACTIONS(1507),
    [sym_break] = ACTIONS(1507),
    [sym_true] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_null] = ACTIONS(1507),
    [sym_inf] = ACTIONS(1507),
    [sym_nan] = ACTIONS(1507),
    [anon_sym_NA] = ACTIONS(1507),
    [anon_sym_NA_integer_] = ACTIONS(1507),
    [anon_sym_NA_real_] = ACTIONS(1507),
    [anon_sym_NA_complex_] = ACTIONS(1507),
    [anon_sym_NA_character_] = ACTIONS(1507),
    [sym_dots] = ACTIONS(1507),
    [sym_dot_dot_i] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1505),
    [sym__newline] = ACTIONS(1505),
    [sym__raw_string_literal] = ACTIONS(1505),
    [sym__external_open_parenthesis] = ACTIONS(1505),
    [sym__external_open_brace] = ACTIONS(1505),
    [sym__external_open_bracket] = ACTIONS(1505),
    [sym__external_close_bracket] = ACTIONS(1505),
    [sym__external_open_bracket2] = ACTIONS(1505),
  },
  [1052] = {
    [sym_function_definition] = STATE(696),
    [sym_if_statement] = STATE(696),
    [sym_for_statement] = STATE(696),
    [sym_while_statement] = STATE(696),
    [sym_repeat_statement] = STATE(696),
    [sym_braced_expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_call] = STATE(696),
    [sym_subset] = STATE(696),
    [sym_subset2] = STATE(696),
    [sym_unary_operator] = STATE(696),
    [sym_binary_operator] = STATE(696),
    [sym_extract_operator] = STATE(696),
    [sym_namespace_operator] = STATE(696),
    [sym_integer] = STATE(696),
    [sym_complex] = STATE(696),
    [sym_float] = STATE(696),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(801),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(895),
    [sym__open_brace] = STATE(922),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1064),
    [sym_identifier] = ACTIONS(1591),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(1593),
    [sym_next] = ACTIONS(1593),
    [sym_break] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_null] = ACTIONS(1593),
    [sym_inf] = ACTIONS(1593),
    [sym_nan] = ACTIONS(1593),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(1593),
    [sym_dot_dot_i] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1597),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1821),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [1053] = {
    [sym_function_definition] = STATE(696),
    [sym_if_statement] = STATE(696),
    [sym_for_statement] = STATE(696),
    [sym_while_statement] = STATE(696),
    [sym_repeat_statement] = STATE(696),
    [sym_braced_expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_call] = STATE(696),
    [sym_subset] = STATE(696),
    [sym_subset2] = STATE(696),
    [sym_unary_operator] = STATE(696),
    [sym_binary_operator] = STATE(696),
    [sym_extract_operator] = STATE(696),
    [sym_namespace_operator] = STATE(696),
    [sym_integer] = STATE(696),
    [sym_complex] = STATE(696),
    [sym_float] = STATE(696),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(801),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(969),
    [sym__open_brace] = STATE(922),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1064),
    [sym_identifier] = ACTIONS(1591),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(1593),
    [sym_next] = ACTIONS(1593),
    [sym_break] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_null] = ACTIONS(1593),
    [sym_inf] = ACTIONS(1593),
    [sym_nan] = ACTIONS(1593),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(1593),
    [sym_dot_dot_i] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1597),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1823),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [1054] = {
    [sym_function_definition] = STATE(696),
    [sym_if_statement] = STATE(696),
    [sym_for_statement] = STATE(696),
    [sym_while_statement] = STATE(696),
    [sym_repeat_statement] = STATE(696),
    [sym_braced_expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_call] = STATE(696),
    [sym_subset] = STATE(696),
    [sym_subset2] = STATE(696),
    [sym_unary_operator] = STATE(696),
    [sym_binary_operator] = STATE(696),
    [sym_extract_operator] = STATE(696),
    [sym_namespace_operator] = STATE(696),
    [sym_integer] = STATE(696),
    [sym_complex] = STATE(696),
    [sym_float] = STATE(696),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(801),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(887),
    [sym__open_brace] = STATE(922),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1052),
    [sym_identifier] = ACTIONS(1591),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(1593),
    [sym_next] = ACTIONS(1593),
    [sym_break] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_null] = ACTIONS(1593),
    [sym_inf] = ACTIONS(1593),
    [sym_nan] = ACTIONS(1593),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(1593),
    [sym_dot_dot_i] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1597),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1825),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [1055] = {
    [sym_function_definition] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_while_statement] = STATE(517),
    [sym_repeat_statement] = STATE(517),
    [sym_braced_expression] = STATE(517),
    [sym_parenthesized_expression] = STATE(517),
    [sym_call] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym__argument_value] = STATE(2079),
    [sym_unary_operator] = STATE(517),
    [sym_binary_operator] = STATE(517),
    [sym_extract_operator] = STATE(517),
    [sym_namespace_operator] = STATE(517),
    [sym_integer] = STATE(517),
    [sym_complex] = STATE(517),
    [sym_float] = STATE(517),
    [sym__float_literal] = STATE(778),
    [sym_string] = STATE(776),
    [sym__single_quoted_string] = STATE(810),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(928),
    [sym_identifier] = ACTIONS(1827),
    [anon_sym_BSLASH] = ACTIONS(573),
    [anon_sym_function] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_while] = ACTIONS(581),
    [anon_sym_repeat] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [sym__hex_literal] = ACTIONS(593),
    [sym__number_literal] = ACTIONS(595),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [sym_return] = ACTIONS(601),
    [sym_next] = ACTIONS(601),
    [sym_break] = ACTIONS(601),
    [sym_true] = ACTIONS(601),
    [sym_false] = ACTIONS(601),
    [sym_null] = ACTIONS(601),
    [sym_inf] = ACTIONS(601),
    [sym_nan] = ACTIONS(601),
    [anon_sym_NA] = ACTIONS(603),
    [anon_sym_NA_integer_] = ACTIONS(603),
    [anon_sym_NA_real_] = ACTIONS(603),
    [anon_sym_NA_complex_] = ACTIONS(603),
    [anon_sym_NA_character_] = ACTIONS(603),
    [sym_dots] = ACTIONS(601),
    [sym_dot_dot_i] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1737),
    [sym__newline] = ACTIONS(611),
    [sym__raw_string_literal] = ACTIONS(613),
    [sym__external_open_parenthesis] = ACTIONS(615),
    [sym__external_open_brace] = ACTIONS(617),
    [sym__external_close_bracket2] = ACTIONS(1737),
  },
  [1056] = {
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(1509),
    [anon_sym_function] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_for] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1511),
    [anon_sym_repeat] = ACTIONS(1511),
    [anon_sym_QMARK] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(1509),
    [anon_sym_BANG] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_LT_DASH] = ACTIONS(1509),
    [anon_sym_LT_LT_DASH] = ACTIONS(1509),
    [anon_sym_COLON_EQ] = ACTIONS(1509),
    [anon_sym_DASH_GT] = ACTIONS(1511),
    [anon_sym_DASH_GT_GT] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_AMP_AMP] = ACTIONS(1509),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT] = ACTIONS(1511),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_EQ_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_STAR] = ACTIONS(1511),
    [anon_sym_SLASH] = ACTIONS(1509),
    [anon_sym_STAR_STAR] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [aux_sym_binary_operator_token1] = ACTIONS(1509),
    [anon_sym_PIPE_GT] = ACTIONS(1509),
    [anon_sym_COLON] = ACTIONS(1511),
    [anon_sym_DOLLAR] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(1509),
    [sym__hex_literal] = ACTIONS(1509),
    [sym__number_literal] = ACTIONS(1511),
    [anon_sym_SQUOTE] = ACTIONS(1509),
    [anon_sym_DQUOTE] = ACTIONS(1509),
    [sym_return] = ACTIONS(1511),
    [sym_next] = ACTIONS(1511),
    [sym_break] = ACTIONS(1511),
    [sym_true] = ACTIONS(1511),
    [sym_false] = ACTIONS(1511),
    [sym_null] = ACTIONS(1511),
    [sym_inf] = ACTIONS(1511),
    [sym_nan] = ACTIONS(1511),
    [anon_sym_NA] = ACTIONS(1511),
    [anon_sym_NA_integer_] = ACTIONS(1511),
    [anon_sym_NA_real_] = ACTIONS(1511),
    [anon_sym_NA_complex_] = ACTIONS(1511),
    [anon_sym_NA_character_] = ACTIONS(1511),
    [sym_dots] = ACTIONS(1511),
    [sym_dot_dot_i] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1509),
    [sym__newline] = ACTIONS(1509),
    [sym__raw_string_literal] = ACTIONS(1509),
    [sym__external_open_parenthesis] = ACTIONS(1509),
    [sym__external_open_brace] = ACTIONS(1509),
    [sym__external_open_bracket] = ACTIONS(1509),
    [sym__external_close_bracket] = ACTIONS(1509),
    [sym__external_open_bracket2] = ACTIONS(1509),
  },
  [1057] = {
    [sym_identifier] = ACTIONS(1515),
    [anon_sym_BSLASH] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_EQ] = ACTIONS(1515),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_for] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1515),
    [anon_sym_repeat] = ACTIONS(1515),
    [anon_sym_QMARK] = ACTIONS(1513),
    [anon_sym_TILDE] = ACTIONS(1513),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_LT_DASH] = ACTIONS(1513),
    [anon_sym_LT_LT_DASH] = ACTIONS(1513),
    [anon_sym_COLON_EQ] = ACTIONS(1513),
    [anon_sym_DASH_GT] = ACTIONS(1515),
    [anon_sym_DASH_GT_GT] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_GT] = ACTIONS(1515),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_EQ_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_SLASH] = ACTIONS(1513),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [aux_sym_binary_operator_token1] = ACTIONS(1513),
    [anon_sym_PIPE_GT] = ACTIONS(1513),
    [anon_sym_COLON] = ACTIONS(1515),
    [anon_sym_DOLLAR] = ACTIONS(1513),
    [anon_sym_AT] = ACTIONS(1513),
    [sym__hex_literal] = ACTIONS(1513),
    [sym__number_literal] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1513),
    [anon_sym_DQUOTE] = ACTIONS(1513),
    [sym_return] = ACTIONS(1515),
    [sym_next] = ACTIONS(1515),
    [sym_break] = ACTIONS(1515),
    [sym_true] = ACTIONS(1515),
    [sym_false] = ACTIONS(1515),
    [sym_null] = ACTIONS(1515),
    [sym_inf] = ACTIONS(1515),
    [sym_nan] = ACTIONS(1515),
    [anon_sym_NA] = ACTIONS(1515),
    [anon_sym_NA_integer_] = ACTIONS(1515),
    [anon_sym_NA_real_] = ACTIONS(1515),
    [anon_sym_NA_complex_] = ACTIONS(1515),
    [anon_sym_NA_character_] = ACTIONS(1515),
    [sym_dots] = ACTIONS(1515),
    [sym_dot_dot_i] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1513),
    [sym__newline] = ACTIONS(1513),
    [sym__raw_string_literal] = ACTIONS(1513),
    [sym__external_open_parenthesis] = ACTIONS(1513),
    [sym__external_open_brace] = ACTIONS(1513),
    [sym__external_open_bracket] = ACTIONS(1513),
    [sym__external_close_bracket] = ACTIONS(1513),
    [sym__external_open_bracket2] = ACTIONS(1513),
  },
  [1058] = {
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_BSLASH] = ACTIONS(1517),
    [anon_sym_function] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1519),
    [anon_sym_if] = ACTIONS(1519),
    [anon_sym_for] = ACTIONS(1519),
    [anon_sym_while] = ACTIONS(1519),
    [anon_sym_repeat] = ACTIONS(1519),
    [anon_sym_QMARK] = ACTIONS(1517),
    [anon_sym_TILDE] = ACTIONS(1517),
    [anon_sym_BANG] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_LT_DASH] = ACTIONS(1517),
    [anon_sym_LT_LT_DASH] = ACTIONS(1517),
    [anon_sym_COLON_EQ] = ACTIONS(1517),
    [anon_sym_DASH_GT] = ACTIONS(1519),
    [anon_sym_DASH_GT_GT] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_AMP_AMP] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_GT] = ACTIONS(1519),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_EQ_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_STAR] = ACTIONS(1519),
    [anon_sym_SLASH] = ACTIONS(1517),
    [anon_sym_STAR_STAR] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [aux_sym_binary_operator_token1] = ACTIONS(1517),
    [anon_sym_PIPE_GT] = ACTIONS(1517),
    [anon_sym_COLON] = ACTIONS(1519),
    [anon_sym_DOLLAR] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(1517),
    [sym__hex_literal] = ACTIONS(1517),
    [sym__number_literal] = ACTIONS(1519),
    [anon_sym_SQUOTE] = ACTIONS(1517),
    [anon_sym_DQUOTE] = ACTIONS(1517),
    [sym_return] = ACTIONS(1519),
    [sym_next] = ACTIONS(1519),
    [sym_break] = ACTIONS(1519),
    [sym_true] = ACTIONS(1519),
    [sym_false] = ACTIONS(1519),
    [sym_null] = ACTIONS(1519),
    [sym_inf] = ACTIONS(1519),
    [sym_nan] = ACTIONS(1519),
    [anon_sym_NA] = ACTIONS(1519),
    [anon_sym_NA_integer_] = ACTIONS(1519),
    [anon_sym_NA_real_] = ACTIONS(1519),
    [anon_sym_NA_complex_] = ACTIONS(1519),
    [anon_sym_NA_character_] = ACTIONS(1519),
    [sym_dots] = ACTIONS(1519),
    [sym_dot_dot_i] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1517),
    [sym__newline] = ACTIONS(1517),
    [sym__raw_string_literal] = ACTIONS(1517),
    [sym__external_open_parenthesis] = ACTIONS(1517),
    [sym__external_open_brace] = ACTIONS(1517),
    [sym__external_open_bracket] = ACTIONS(1517),
    [sym__external_close_bracket] = ACTIONS(1517),
    [sym__external_open_bracket2] = ACTIONS(1517),
  },
  [1059] = {
    [sym_function_definition] = STATE(696),
    [sym_if_statement] = STATE(696),
    [sym_for_statement] = STATE(696),
    [sym_while_statement] = STATE(696),
    [sym_repeat_statement] = STATE(696),
    [sym_braced_expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_call] = STATE(696),
    [sym_subset] = STATE(696),
    [sym_subset2] = STATE(696),
    [sym_unary_operator] = STATE(696),
    [sym_binary_operator] = STATE(696),
    [sym_extract_operator] = STATE(696),
    [sym_namespace_operator] = STATE(696),
    [sym_integer] = STATE(696),
    [sym_complex] = STATE(696),
    [sym_float] = STATE(696),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(801),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(916),
    [sym__open_brace] = STATE(922),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1064),
    [sym_identifier] = ACTIONS(1591),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(1593),
    [sym_next] = ACTIONS(1593),
    [sym_break] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_null] = ACTIONS(1593),
    [sym_inf] = ACTIONS(1593),
    [sym_nan] = ACTIONS(1593),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(1593),
    [sym_dot_dot_i] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1597),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1829),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [1060] = {
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_BSLASH] = ACTIONS(1484),
    [anon_sym_function] = ACTIONS(1486),
    [anon_sym_EQ] = ACTIONS(1486),
    [anon_sym_if] = ACTIONS(1486),
    [anon_sym_for] = ACTIONS(1486),
    [anon_sym_while] = ACTIONS(1486),
    [anon_sym_repeat] = ACTIONS(1486),
    [anon_sym_QMARK] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_LT_DASH] = ACTIONS(1484),
    [anon_sym_LT_LT_DASH] = ACTIONS(1484),
    [anon_sym_COLON_EQ] = ACTIONS(1484),
    [anon_sym_DASH_GT] = ACTIONS(1486),
    [anon_sym_DASH_GT_GT] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_AMP_AMP] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_GT] = ACTIONS(1486),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_EQ_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_SLASH] = ACTIONS(1484),
    [anon_sym_STAR_STAR] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [aux_sym_binary_operator_token1] = ACTIONS(1484),
    [anon_sym_PIPE_GT] = ACTIONS(1484),
    [anon_sym_COLON] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [sym__hex_literal] = ACTIONS(1484),
    [sym__number_literal] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [sym_return] = ACTIONS(1486),
    [sym_next] = ACTIONS(1486),
    [sym_break] = ACTIONS(1486),
    [sym_true] = ACTIONS(1486),
    [sym_false] = ACTIONS(1486),
    [sym_null] = ACTIONS(1486),
    [sym_inf] = ACTIONS(1486),
    [sym_nan] = ACTIONS(1486),
    [anon_sym_NA] = ACTIONS(1486),
    [anon_sym_NA_integer_] = ACTIONS(1486),
    [anon_sym_NA_real_] = ACTIONS(1486),
    [anon_sym_NA_complex_] = ACTIONS(1486),
    [anon_sym_NA_character_] = ACTIONS(1486),
    [sym_dots] = ACTIONS(1486),
    [sym_dot_dot_i] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1484),
    [sym__newline] = ACTIONS(1484),
    [sym__raw_string_literal] = ACTIONS(1484),
    [sym__external_open_parenthesis] = ACTIONS(1484),
    [sym__external_close_parenthesis] = ACTIONS(1484),
    [sym__external_open_brace] = ACTIONS(1484),
    [sym__external_open_bracket] = ACTIONS(1484),
    [sym__external_open_bracket2] = ACTIONS(1484),
  },
  [1061] = {
    [sym_function_definition] = STATE(696),
    [sym_if_statement] = STATE(696),
    [sym_for_statement] = STATE(696),
    [sym_while_statement] = STATE(696),
    [sym_repeat_statement] = STATE(696),
    [sym_braced_expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_call] = STATE(696),
    [sym_subset] = STATE(696),
    [sym_subset2] = STATE(696),
    [sym_unary_operator] = STATE(696),
    [sym_binary_operator] = STATE(696),
    [sym_extract_operator] = STATE(696),
    [sym_namespace_operator] = STATE(696),
    [sym_integer] = STATE(696),
    [sym_complex] = STATE(696),
    [sym_float] = STATE(696),
    [sym__float_literal] = STATE(762),
    [sym_string] = STATE(801),
    [sym__single_quoted_string] = STATE(763),
    [sym__double_quoted_string] = STATE(764),
    [sym_na] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__string_or_identifier] = STATE(2296),
    [sym__open_parenthesis] = STATE(1009),
    [sym__close_parenthesis] = STATE(908),
    [sym__open_brace] = STATE(922),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1059),
    [sym_identifier] = ACTIONS(1591),
    [anon_sym_BSLASH] = ACTIONS(429),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(439),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [sym__hex_literal] = ACTIONS(449),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_return] = ACTIONS(1593),
    [sym_next] = ACTIONS(1593),
    [sym_break] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_null] = ACTIONS(1593),
    [sym_inf] = ACTIONS(1593),
    [sym_nan] = ACTIONS(1593),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(1593),
    [sym_dot_dot_i] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1597),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(471),
    [sym__external_close_parenthesis] = ACTIONS(1831),
    [sym__external_open_brace] = ACTIONS(475),
  },
  [1062] = {
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_BSLASH] = ACTIONS(1525),
    [anon_sym_function] = ACTIONS(1527),
    [anon_sym_EQ] = ACTIONS(1527),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_for] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1527),
    [anon_sym_repeat] = ACTIONS(1527),
    [anon_sym_QMARK] = ACTIONS(1525),
    [anon_sym_TILDE] = ACTIONS(1525),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1525),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_LT_DASH] = ACTIONS(1525),
    [anon_sym_LT_LT_DASH] = ACTIONS(1525),
    [anon_sym_COLON_EQ] = ACTIONS(1525),
    [anon_sym_DASH_GT] = ACTIONS(1527),
    [anon_sym_DASH_GT_GT] = ACTIONS(1525),
    [anon_sym_PIPE] = ACTIONS(1527),
    [anon_sym_AMP] = ACTIONS(1527),
    [anon_sym_PIPE_PIPE] = ACTIONS(1525),
    [anon_sym_AMP_AMP] = ACTIONS(1525),
    [anon_sym_LT] = ACTIONS(1527),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1527),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_EQ_EQ] = ACTIONS(1525),
    [anon_sym_BANG_EQ] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_STAR_STAR] = ACTIONS(1525),
    [anon_sym_CARET] = ACTIONS(1525),
    [aux_sym_binary_operator_token1] = ACTIONS(1525),
    [anon_sym_PIPE_GT] = ACTIONS(1525),
    [anon_sym_COLON] = ACTIONS(1527),
    [anon_sym_DOLLAR] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(1525),
    [sym__hex_literal] = ACTIONS(1525),
    [sym__number_literal] = ACTIONS(1527),
    [anon_sym_SQUOTE] = ACTIONS(1525),
    [anon_sym_DQUOTE] = ACTIONS(1525),
    [sym_return] = ACTIONS(1527),
    [sym_next] = ACTIONS(1527),
    [sym_break] = ACTIONS(1527),
    [sym_true] = ACTIONS(1527),
    [sym_false] = ACTIONS(1527),
    [sym_null] = ACTIONS(1527),
    [sym_inf] = ACTIONS(1527),
    [sym_nan] = ACTIONS(1527),
    [anon_sym_NA] = ACTIONS(1527),
    [anon_sym_NA_integer_] = ACTIONS(1527),
    [anon_sym_NA_real_] = ACTIONS(1527),
    [anon_sym_NA_complex_] = ACTIONS(1527),
    [anon_sym_NA_character_] = ACTIONS(1527),
    [sym_dots] = ACTIONS(1527),
    [sym_dot_dot_i] = ACTIONS(1525),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1525),
    [sym__semicolon] = ACTIONS(1525),
    [sym__raw_string_literal] = ACTIONS(1525),
    [sym__external_open_parenthesis] = ACTIONS(1525),
    [sym__external_open_brace] = ACTIONS(1525),
    [sym__external_close_brace] = ACTIONS(1525),
    [sym__external_open_bracket] = ACTIONS(1525),
    [sym__external_open_bracket2] = ACTIONS(1525),
  },
  [1063] = {
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_BSLASH] = ACTIONS(1464),
    [anon_sym_function] = ACTIONS(1466),
    [anon_sym_EQ] = ACTIONS(1466),
    [anon_sym_if] = ACTIONS(1466),
    [anon_sym_for] = ACTIONS(1466),
    [anon_sym_while] = ACTIONS(1466),
    [anon_sym_repeat] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_LT_DASH] = ACTIONS(1464),
    [anon_sym_LT_LT_DASH] = ACTIONS(1464),
    [anon_sym_COLON_EQ] = ACTIONS(1464),
    [anon_sym_DASH_GT] = ACTIONS(1466),
    [anon_sym_DASH_GT_GT] = ACTIONS(1464),
    [anon_sym_PIPE] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_PIPE_PIPE] = ACTIONS(1464),
    [anon_sym_AMP_AMP] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1464),
    [anon_sym_EQ_EQ] = ACTIONS(1464),
    [anon_sym_BANG_EQ] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_STAR_STAR] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [aux_sym_binary_operator_token1] = ACTIONS(1464),
    [anon_sym_PIPE_GT] = ACTIONS(1464),
    [anon_sym_COLON] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1464),
    [anon_sym_AT] = ACTIONS(1464),
    [sym__hex_literal] = ACTIONS(1464),
    [sym__number_literal] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [sym_return] = ACTIONS(1466),
    [sym_next] = ACTIONS(1466),
    [sym_break] = ACTIONS(1466),
    [sym_true] = ACTIONS(1466),
    [sym_false] = ACTIONS(1466),
    [sym_null] = ACTIONS(1466),
    [sym_inf] = ACTIONS(1466),
    [sym_nan] = ACTIONS(1466),
    [anon_sym_NA] = ACTIONS(1466),
    [anon_sym_NA_integer_] = ACTIONS(1466),
    [anon_sym_NA_real_] = ACTIONS(1466),
    [anon_sym_NA_complex_] = ACTIONS(1466),
    [anon_sym_NA_character_] = ACTIONS(1466),
    [sym_dots] = ACTIONS(1466),
    [sym_dot_dot_i] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1464),
    [sym__newline] = ACTIONS(1464),
    [sym__raw_string_literal] = ACTIONS(1464),
    [sym__external_open_parenthesis] = ACTIONS(1464),
    [sym__external_open_brace] = ACTIONS(1464),
    [sym__external_open_bracket] = ACTIONS(1464),
    [sym__external_close_bracket] = ACTIONS(1464),
    [sym__external_open_bracket2] = ACTIONS(1464),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(1836), 1,
      anon_sym_BSLASH,
    ACTIONS(1839), 1,
      anon_sym_function,
    ACTIONS(1842), 1,
      anon_sym_if,
    ACTIONS(1845), 1,
      anon_sym_for,
    ACTIONS(1848), 1,
      anon_sym_while,
    ACTIONS(1851), 1,
      anon_sym_repeat,
    ACTIONS(1854), 1,
      anon_sym_QMARK,
    ACTIONS(1857), 1,
      anon_sym_TILDE,
    ACTIONS(1860), 1,
      anon_sym_BANG,
    ACTIONS(1866), 1,
      sym__hex_literal,
    ACTIONS(1869), 1,
      sym__number_literal,
    ACTIONS(1872), 1,
      anon_sym_SQUOTE,
    ACTIONS(1875), 1,
      anon_sym_DQUOTE,
    ACTIONS(1884), 1,
      sym_dot_dot_i,
    ACTIONS(1887), 1,
      sym__newline,
    ACTIONS(1890), 1,
      sym__raw_string_literal,
    ACTIONS(1893), 1,
      sym__external_open_parenthesis,
    ACTIONS(1896), 1,
      sym__external_close_parenthesis,
    ACTIONS(1898), 1,
      sym__external_open_brace,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1064), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(1863), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1881), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1878), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(696), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [131] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1931), 1,
      sym_dot_dot_i,
    ACTIONS(1933), 1,
      sym__newline,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1478), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1927), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(224), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [259] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym_dot_dot_i,
    ACTIONS(1943), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1125), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1939), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(505), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [387] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(1947), 1,
      sym_dot_dot_i,
    ACTIONS(1949), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1196), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1945), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(336), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [515] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(1953), 1,
      sym_dot_dot_i,
    ACTIONS(1955), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1132), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1951), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(506), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [643] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(1959), 1,
      sym_dot_dot_i,
    ACTIONS(1961), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1199), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1957), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(337), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [771] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(1965), 1,
      sym_dot_dot_i,
    ACTIONS(1967), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1201), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1963), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(338), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [899] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1973), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1203), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1969), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(339), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [1027] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(1977), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1133), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1975), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(507), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [1155] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(1983), 1,
      sym_dot_dot_i,
    ACTIONS(1985), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1136), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1981), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(508), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [1283] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2017), 1,
      sym_dot_dot_i,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2013), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(82), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [1411] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(2027), 1,
      sym_dot_dot_i,
    ACTIONS(2029), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1095), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2025), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(83), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [1539] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2033), 1,
      sym_dot_dot_i,
    ACTIONS(2035), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1139), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2031), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(509), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [1667] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2039), 1,
      sym_dot_dot_i,
    ACTIONS(2041), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1143), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2037), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(510), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [1795] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2045), 1,
      sym_dot_dot_i,
    ACTIONS(2047), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1158), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2043), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(511), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [1923] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2051), 1,
      sym_dot_dot_i,
    ACTIONS(2053), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1166), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2049), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(512), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [2051] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2057), 1,
      sym_dot_dot_i,
    ACTIONS(2059), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1171), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2055), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(513), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [2179] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2063), 1,
      sym_dot_dot_i,
    ACTIONS(2065), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1172), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2061), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(514), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [2307] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2069), 1,
      sym_dot_dot_i,
    ACTIONS(2071), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1173), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2067), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(515), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [2435] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2075), 1,
      sym_dot_dot_i,
    ACTIONS(2077), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1175), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2073), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(516), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [2563] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2081), 1,
      sym_dot_dot_i,
    ACTIONS(2083), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1329), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2079), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(642), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [2691] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2087), 1,
      sym_dot_dot_i,
    ACTIONS(2089), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1205), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2085), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(340), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [2819] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2093), 1,
      sym_dot_dot_i,
    ACTIONS(2095), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1209), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2091), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(341), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [2947] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2099), 1,
      sym_dot_dot_i,
    ACTIONS(2101), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1215), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2097), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(342), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [3075] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2105), 1,
      sym_dot_dot_i,
    ACTIONS(2107), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1611), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2103), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(643), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [3203] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2111), 1,
      sym_dot_dot_i,
    ACTIONS(2113), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1217), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2109), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(343), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [3331] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2117), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2115), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(611), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [3459] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2121), 1,
      sym_dot_dot_i,
    ACTIONS(2123), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1124), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2119), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(612), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [3587] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2127), 1,
      sym_dot_dot_i,
    ACTIONS(2129), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1159), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2125), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(613), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [3715] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2133), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2131), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(393), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [3843] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2137), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2135), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(456), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [3971] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(2141), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2139), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(84), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [4099] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(2145), 1,
      sym_dot_dot_i,
    ACTIONS(2147), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1101), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2143), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(85), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [4227] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(2151), 1,
      sym_dot_dot_i,
    ACTIONS(2153), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1103), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2149), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(86), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [4355] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(2157), 1,
      sym_dot_dot_i,
    ACTIONS(2159), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1107), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2155), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(87), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [4483] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2163), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2161), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(387), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [4611] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2167), 1,
      sym_dot_dot_i,
    ACTIONS(2169), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1093), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2165), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(644), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [4739] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2171), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(88), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [4867] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2177), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2175), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(520), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [4995] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(2181), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2179), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(89), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [5123] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(2185), 1,
      sym_dot_dot_i,
    ACTIONS(2187), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1112), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2183), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(90), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [5251] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(2191), 1,
      sym_dot_dot_i,
    ACTIONS(2193), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1114), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2189), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(91), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [5379] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2197), 1,
      sym_dot_dot_i,
    ACTIONS(2199), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1212), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2195), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(521), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [5507] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(2203), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2201), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(92), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [5635] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(2207), 1,
      sym_dot_dot_i,
    ACTIONS(2209), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1118), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2205), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(93), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [5763] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2213), 1,
      sym_dot_dot_i,
    ACTIONS(2215), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1221), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2211), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(615), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [5891] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2219), 1,
      sym_dot_dot_i,
    ACTIONS(2221), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1131), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2217), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(645), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [6019] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2225), 1,
      sym_dot_dot_i,
    ACTIONS(2227), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1164), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2223), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(646), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [6147] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(2231), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2229), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(94), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [6275] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2235), 1,
      sym_dot_dot_i,
    ACTIONS(2237), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1195), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2233), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(647), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [6403] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(2241), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2239), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(42), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [6531] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(2245), 1,
      sym_dot_dot_i,
    ACTIONS(2247), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1122), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2243), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(95), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [6659] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2251), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2249), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(457), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [6787] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2255), 1,
      sym_dot_dot_i,
    ACTIONS(2257), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1177), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2253), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(453), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [6915] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(2261), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2259), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(96), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [7043] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2265), 1,
      sym_dot_dot_i,
    ACTIONS(2267), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1245), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2263), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(347), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [7171] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2271), 1,
      sym_dot_dot_i,
    ACTIONS(2273), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1200), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2269), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(648), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [7299] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2277), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2275), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(487), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [7427] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(2281), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2279), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(97), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [7555] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2285), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2283), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(522), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [7683] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2289), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2287), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(616), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [7811] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2293), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2291), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(523), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [7939] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2325), 1,
      sym_dot_dot_i,
    ACTIONS(2327), 1,
      sym__newline,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1135), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2321), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(98), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [8067] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2335), 1,
      sym_dot_dot_i,
    ACTIONS(2337), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1137), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2333), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(99), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [8195] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2341), 1,
      sym_dot_dot_i,
    ACTIONS(2343), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1138), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2339), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(100), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [8323] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2347), 1,
      sym_dot_dot_i,
    ACTIONS(2349), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1140), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2345), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(101), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [8451] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2353), 1,
      sym_dot_dot_i,
    ACTIONS(2355), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1142), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2351), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(102), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [8579] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2359), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2357), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(394), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [8707] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2363), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2361), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(524), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [8835] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2367), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2365), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(525), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [8963] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2371), 1,
      sym_dot_dot_i,
    ACTIONS(2373), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1167), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2369), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(103), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [9091] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2377), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2375), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(104), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [9219] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2381), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2379), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(526), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [9347] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2385), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2383), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(105), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [9475] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2389), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2387), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(106), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [9603] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2393), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2391), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(527), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [9731] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2397), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2395), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(107), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [9859] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2401), 1,
      sym_dot_dot_i,
    ACTIONS(2403), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1204), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2399), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(649), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [9987] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2407), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2405), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(108), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [10115] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2411), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2409), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(528), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [10243] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2415), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2413), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(458), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [10371] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2419), 1,
      sym_dot_dot_i,
    ACTIONS(2421), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1121), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2417), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(471), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [10499] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2425), 1,
      sym_dot_dot_i,
    ACTIONS(2427), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1176), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2423), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(109), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [10627] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2431), 1,
      sym_dot_dot_i,
    ACTIONS(2433), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1180), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2429), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(111), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [10755] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2437), 1,
      sym_dot_dot_i,
    ACTIONS(2439), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1181), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2435), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(112), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [10883] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2445), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1183), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2441), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(113), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [11011] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2449), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1185), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2447), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(114), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [11139] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2455), 1,
      sym_dot_dot_i,
    ACTIONS(2457), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1186), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2453), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(115), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [11267] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2461), 1,
      sym_dot_dot_i,
    ACTIONS(2463), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1187), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2459), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(116), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [11395] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2467), 1,
      sym_dot_dot_i,
    ACTIONS(2469), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1188), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2465), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(117), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [11523] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2473), 1,
      sym_dot_dot_i,
    ACTIONS(2475), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1189), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2471), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(118), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [11651] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2479), 1,
      sym_dot_dot_i,
    ACTIONS(2481), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1190), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2477), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(119), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [11779] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2485), 1,
      sym_dot_dot_i,
    ACTIONS(2487), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1191), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2483), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(120), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [11907] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2491), 1,
      sym_dot_dot_i,
    ACTIONS(2493), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1193), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2489), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(121), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [12035] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2497), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2495), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(531), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [12163] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2501), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2499), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(617), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [12291] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2505), 1,
      sym_dot_dot_i,
    ACTIONS(2507), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1242), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2503), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(618), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [12419] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      sym_dot_dot_i,
    ACTIONS(2513), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1257), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2509), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(619), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [12547] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(2517), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2515), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(20), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [12675] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2521), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2519), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(348), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [12803] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2525), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2523), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(395), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [12931] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2529), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2527), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(349), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [13059] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2533), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2531), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(532), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [13187] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2537), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2535), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(122), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [13315] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2541), 1,
      sym_dot_dot_i,
    ACTIONS(2543), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1206), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2539), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(123), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [13443] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2547), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2545), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(633), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [13571] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(2551), 1,
      sym_dot_dot_i,
    ACTIONS(2553), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1211), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2549), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(21), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [13699] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2557), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2555), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(533), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [13827] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2561), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2559), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(534), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [13955] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2565), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2563), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(535), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [14083] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2569), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2567), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(350), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [14211] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2573), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2571), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(537), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [14339] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2577), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2575), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(124), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [14467] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2581), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2579), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(467), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [14595] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2585), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2583), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(125), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [14723] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2589), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2587), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(404), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [14851] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2593), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2591), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(126), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [14979] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2597), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2595), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(127), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [15107] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2601), 1,
      sym_dot_dot_i,
    ACTIONS(2603), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1216), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2599), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(405), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [15235] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2607), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2605), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(128), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [15363] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2611), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2609), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(351), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [15491] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2615), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2613), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(129), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [15619] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2619), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2617), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(130), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [15747] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2623), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2621), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(131), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [15875] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2627), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2625), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(132), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [16003] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2631), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2629), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(133), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [16131] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2635), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2633), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(134), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [16259] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2639), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2637), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(135), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [16387] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2643), 1,
      sym_dot_dot_i,
    ACTIONS(2645), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1291), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2641), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(469), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [16515] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2649), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2647), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(136), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [16643] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2653), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2651), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(352), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [16771] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2657), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2655), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(396), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [16899] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2661), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2659), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(353), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [17027] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2665), 1,
      sym_dot_dot_i,
    ACTIONS(2667), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1169), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2663), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(475), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [17155] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2671), 1,
      sym_dot_dot_i,
    ACTIONS(2673), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1218), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2669), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(406), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [17283] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2677), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2675), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(354), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [17411] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2681), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2679), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(397), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [17539] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2685), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2683), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(355), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [17667] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2689), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2687), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(634), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [17795] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2693), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2691), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(356), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [17923] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2697), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2695), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(398), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [18051] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2701), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2699), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(357), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [18179] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2705), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2703), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(137), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [18307] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2709), 1,
      sym_dot_dot_i,
    ACTIONS(2711), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1225), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2707), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(138), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [18435] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2715), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2713), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(388), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [18563] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2719), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2717), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(358), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [18691] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2723), 1,
      sym_dot_dot_i,
    ACTIONS(2725), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1202), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2721), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(539), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [18819] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(2729), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2727), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(3), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [18947] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2733), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2731), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(538), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [19075] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2737), 1,
      sym_dot_dot_i,
    ACTIONS(2739), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1249), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2735), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(540), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [19203] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2743), 1,
      sym_dot_dot_i,
    ACTIONS(2745), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1230), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2741), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(407), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [19331] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2749), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2747), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(359), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [19459] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2753), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2751), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(408), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [19587] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2757), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2755), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(360), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [19715] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2761), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2759), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(409), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [19843] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2765), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2763), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(459), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [19971] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2769), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2767), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(635), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [20099] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2773), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2771), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(620), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [20227] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2777), 1,
      sym_dot_dot_i,
    ACTIONS(2779), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1273), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2775), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(621), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [20355] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2783), 1,
      sym_dot_dot_i,
    ACTIONS(2785), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1247), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2781), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(410), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [20483] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2789), 1,
      sym_dot_dot_i,
    ACTIONS(2791), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1258), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2787), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(411), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [20611] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2795), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2793), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(139), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [20739] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2799), 1,
      sym_dot_dot_i,
    ACTIONS(2801), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1229), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2797), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(140), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [20867] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2805), 1,
      sym_dot_dot_i,
    ACTIONS(2807), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1231), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2803), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(141), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [20995] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2811), 1,
      sym_dot_dot_i,
    ACTIONS(2813), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1235), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2809), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(142), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [21123] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2817), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2815), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(143), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [21251] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2821), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2819), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(412), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [21379] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2825), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2823), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(144), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [21507] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2829), 1,
      sym_dot_dot_i,
    ACTIONS(2831), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1239), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2827), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(145), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [21635] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2835), 1,
      sym_dot_dot_i,
    ACTIONS(2837), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1240), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2833), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(146), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [21763] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2841), 1,
      sym_dot_dot_i,
    ACTIONS(2843), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1286), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2839), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(413), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [21891] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2847), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2845), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(147), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [22019] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2851), 1,
      sym_dot_dot_i,
    ACTIONS(2853), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1244), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2849), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(148), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [22147] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2857), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2855), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(460), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [22275] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2861), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2859), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(389), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [22403] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2865), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2863), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(149), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [22531] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2869), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2867), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(150), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [22659] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2873), 1,
      sym_dot_dot_i,
    ACTIONS(2875), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1248), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2871), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(151), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [22787] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2879), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2877), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(622), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [22915] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2883), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2881), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(461), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [23043] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2887), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2885), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(152), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [23171] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2891), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2889), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(361), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [23299] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2895), 1,
      sym_dot_dot_i,
    ACTIONS(2897), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1333), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2893), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(362), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [23427] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2901), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2899), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(414), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [23555] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(2905), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2903), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(153), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [23683] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2909), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2907), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(542), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [23811] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2913), 1,
      sym_dot_dot_i,
    ACTIONS(2915), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1264), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2911), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(543), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [23939] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2947), 1,
      sym_dot_dot_i,
    ACTIONS(2949), 1,
      sym__newline,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1262), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2943), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(154), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [24067] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(2957), 1,
      sym_dot_dot_i,
    ACTIONS(2959), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1263), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2955), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(155), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [24195] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(2963), 1,
      sym_dot_dot_i,
    ACTIONS(2965), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1265), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2961), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(156), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [24323] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(2969), 1,
      sym_dot_dot_i,
    ACTIONS(2971), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1267), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2967), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(157), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [24451] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(2975), 1,
      sym_dot_dot_i,
    ACTIONS(2977), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1269), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2973), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(158), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [24579] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2981), 1,
      sym_dot_dot_i,
    ACTIONS(2983), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1268), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2979), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(544), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [24707] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2987), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2985), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(623), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [24835] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2991), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2989), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(415), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [24963] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2995), 1,
      sym_dot_dot_i,
    ACTIONS(2997), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1290), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2993), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(545), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [25091] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3001), 1,
      sym_dot_dot_i,
    ACTIONS(3003), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1295), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2999), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(159), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [25219] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(3007), 1,
      sym_dot_dot_i,
    ACTIONS(3009), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1298), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3005), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(416), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [25347] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3013), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3011), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(160), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [25475] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3017), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3015), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(161), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [25603] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3021), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3019), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(546), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [25731] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3025), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3023), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(162), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [25859] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(3029), 1,
      sym_dot_dot_i,
    ACTIONS(3031), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1297), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3027), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(624), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [25987] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3035), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3033), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(163), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [26115] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3039), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3037), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(547), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [26243] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3043), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3041), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(164), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [26371] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(3047), 1,
      sym_dot_dot_i,
    ACTIONS(3049), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1299), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3045), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(548), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [26499] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(3053), 1,
      sym_dot_dot_i,
    ACTIONS(3055), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1301), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3051), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(549), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [26627] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3059), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3057), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(462), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [26755] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3063), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3061), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(625), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [26883] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3067), 1,
      sym_dot_dot_i,
    ACTIONS(3069), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1303), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3065), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(165), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [27011] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3073), 1,
      sym_dot_dot_i,
    ACTIONS(3075), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1307), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3071), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(167), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [27139] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3079), 1,
      sym_dot_dot_i,
    ACTIONS(3081), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1309), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3077), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(168), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [27267] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3085), 1,
      sym_dot_dot_i,
    ACTIONS(3087), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1311), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3083), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(169), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [27395] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3091), 1,
      sym_dot_dot_i,
    ACTIONS(3093), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1313), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3089), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(170), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [27523] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3097), 1,
      sym_dot_dot_i,
    ACTIONS(3099), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1315), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3095), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(171), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [27651] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3103), 1,
      sym_dot_dot_i,
    ACTIONS(3105), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1317), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3101), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(172), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [27779] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3109), 1,
      sym_dot_dot_i,
    ACTIONS(3111), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1318), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3107), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(173), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [27907] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3115), 1,
      sym_dot_dot_i,
    ACTIONS(3117), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1320), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3113), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(174), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [28035] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3121), 1,
      sym_dot_dot_i,
    ACTIONS(3123), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1322), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3119), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(175), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [28163] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3127), 1,
      sym_dot_dot_i,
    ACTIONS(3129), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1324), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3125), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(176), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [28291] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3133), 1,
      sym_dot_dot_i,
    ACTIONS(3135), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1326), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3131), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(177), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [28419] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3139), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3137), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(417), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [28547] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3143), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3141), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(390), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [28675] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(3147), 1,
      sym_dot_dot_i,
    ACTIONS(3149), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1220), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3145), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(541), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [28803] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3153), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3151), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(463), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [28931] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3157), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3155), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(550), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [29059] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3161), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3159), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(472), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [29187] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(3165), 1,
      sym_dot_dot_i,
    ACTIONS(3167), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1346), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3163), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(473), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [29315] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(3171), 1,
      sym_dot_dot_i,
    ACTIONS(3173), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1436), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3169), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(474), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [29443] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(3177), 1,
      sym_dot_dot_i,
    ACTIONS(3179), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1304), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3175), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(551), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [29571] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3183), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3181), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(178), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [29699] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3187), 1,
      sym_dot_dot_i,
    ACTIONS(3189), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1335), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3185), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(179), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [29827] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3193), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3191), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(626), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [29955] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3197), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3195), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(418), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [30083] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3201), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3199), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(552), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [30211] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3205), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3203), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(383), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [30339] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3209), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3207), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(556), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [30467] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(3213), 1,
      sym_dot_dot_i,
    ACTIONS(3215), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1312), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3211), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(557), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [30595] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3219), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3217), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(180), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [30723] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3223), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3221), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(558), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [30851] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3227), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3225), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(181), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [30979] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(3231), 1,
      sym_dot_dot_i,
    ACTIONS(3233), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3229), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(419), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [31107] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3237), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3235), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(182), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [31235] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(3241), 1,
      sym_dot_dot_i,
    ACTIONS(3243), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3239), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(420), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [31363] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3247), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3245), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(183), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [31491] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(3251), 1,
      sym_dot_dot_i,
    ACTIONS(3253), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1621), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3249), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(421), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [31619] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3257), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3255), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(184), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [31747] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3261), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3259), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(559), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [31875] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3265), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3263), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(185), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [32003] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(3269), 1,
      sym_dot_dot_i,
    ACTIONS(3271), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1628), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3267), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(422), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [32131] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3275), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3273), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(186), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [32259] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(3279), 1,
      sym_dot_dot_i,
    ACTIONS(3281), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1659), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3277), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(423), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [32387] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3285), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3283), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(187), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [32515] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3289), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3287), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(188), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [32643] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3325), 1,
      sym_dot_dot_i,
    ACTIONS(3327), 1,
      sym__newline,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1338), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3321), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1963), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [32771] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3337), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3335), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(189), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [32899] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(3341), 1,
      sym_dot_dot_i,
    ACTIONS(3343), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1339), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3339), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2002), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [33027] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3347), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3345), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(190), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [33155] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(3351), 1,
      sym_dot_dot_i,
    ACTIONS(3353), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1340), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3349), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2020), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [33283] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3357), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3355), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(191), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [33411] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(3361), 1,
      sym_dot_dot_i,
    ACTIONS(3363), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1341), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3359), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2038), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [33539] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3367), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3365), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(192), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [33667] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3371), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3369), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(464), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [33795] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(3375), 1,
      sym_dot_dot_i,
    ACTIONS(3377), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1342), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3373), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1930), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [33923] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3381), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3379), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(391), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [34051] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3385), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3383), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(465), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [34179] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(3389), 1,
      sym_dot_dot_i,
    ACTIONS(3391), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1667), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3387), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(627), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [34307] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(3395), 1,
      sym_dot_dot_i,
    ACTIONS(3397), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1466), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3393), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(476), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [34435] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3401), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3399), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(364), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [34563] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(3405), 1,
      sym_dot_dot_i,
    ACTIONS(3407), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1398), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3403), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(365), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [34691] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3411), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3409), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(193), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [34819] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3415), 1,
      sym_dot_dot_i,
    ACTIONS(3417), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1347), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3413), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(321), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [34947] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(3421), 1,
      sym_dot_dot_i,
    ACTIONS(3423), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1439), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3419), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2047), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [35075] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(3427), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3425), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2050), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [35203] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(3431), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3429), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2051), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [35331] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(3435), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3433), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1965), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [35459] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(3439), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3437), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1995), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [35587] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(3443), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3441), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1932), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [35715] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(3447), 1,
      sym_dot_dot_i,
    ACTIONS(3449), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1437), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3445), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(366), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [35843] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(3453), 1,
      sym_dot_dot_i,
    ACTIONS(3455), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1682), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3451), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(628), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [35971] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(3459), 1,
      sym_dot_dot_i,
    ACTIONS(3461), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1462), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3457), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(368), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [36099] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3465), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3463), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(477), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [36227] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3469), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3467), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(195), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [36355] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3473), 1,
      sym_dot_dot_i,
    ACTIONS(3475), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1352), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3471), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(196), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [36483] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3479), 1,
      sym_dot_dot_i,
    ACTIONS(3481), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1354), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3477), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(197), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [36611] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3485), 1,
      sym_dot_dot_i,
    ACTIONS(3487), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1358), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3483), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(198), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [36739] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(3491), 1,
      sym_dot_dot_i,
    ACTIONS(3493), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1469), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3489), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1971), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [36867] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3497), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3495), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(199), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [36995] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(3501), 1,
      sym_dot_dot_i,
    ACTIONS(3503), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1470), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3499), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1973), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [37123] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3507), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3505), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(200), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [37251] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3511), 1,
      sym_dot_dot_i,
    ACTIONS(3513), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1363), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3509), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(201), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [37379] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3517), 1,
      sym_dot_dot_i,
    ACTIONS(3519), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1365), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3515), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(202), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [37507] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(3523), 1,
      sym_dot_dot_i,
    ACTIONS(3525), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1471), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3521), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1975), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [37635] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3529), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3527), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(203), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [37763] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3533), 1,
      sym_dot_dot_i,
    ACTIONS(3535), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1369), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3531), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(204), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [37891] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(3539), 1,
      sym_dot_dot_i,
    ACTIONS(3541), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1472), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3537), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1976), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [38019] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(3545), 1,
      sym_dot_dot_i,
    ACTIONS(3547), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1474), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3543), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1979), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [38147] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(3551), 1,
      sym_dot_dot_i,
    ACTIONS(3553), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1477), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3549), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1996), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [38275] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3557), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3555), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(205), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [38403] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(3561), 1,
      sym_dot_dot_i,
    ACTIONS(3563), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1480), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3559), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2026), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [38531] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3567), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3565), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(206), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [38659] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3571), 1,
      sym_dot_dot_i,
    ACTIONS(3573), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1373), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3569), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(207), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [38787] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(3577), 1,
      sym_dot_dot_i,
    ACTIONS(3579), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1483), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3575), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2041), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [38915] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(3583), 1,
      sym_dot_dot_i,
    ACTIONS(3585), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1486), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3581), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1928), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [39043] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3589), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3587), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(208), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [39171] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(3593), 1,
      sym_dot_dot_i,
    ACTIONS(3595), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1489), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3591), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1955), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [39299] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(3599), 1,
      sym_dot_dot_i,
    ACTIONS(3601), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1493), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3597), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1961), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [39427] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(3605), 1,
      sym_dot_dot_i,
    ACTIONS(3607), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1497), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3603), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1966), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [39555] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(3611), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3609), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(209), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [39683] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(3615), 1,
      sym_dot_dot_i,
    ACTIONS(3617), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1501), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3613), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1982), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [39811] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3653), 1,
      sym_dot_dot_i,
    ACTIONS(3655), 1,
      sym__newline,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1381), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3649), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1894), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [39939] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3665), 1,
      sym_dot_dot_i,
    ACTIONS(3667), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1382), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3663), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1886), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [40067] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3671), 1,
      sym_dot_dot_i,
    ACTIONS(3673), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1383), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3669), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1887), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [40195] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3677), 1,
      sym_dot_dot_i,
    ACTIONS(3679), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1384), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3675), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1909), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [40323] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3683), 1,
      sym_dot_dot_i,
    ACTIONS(3685), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1385), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3681), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1917), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [40451] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3689), 1,
      sym_dot_dot_i,
    ACTIONS(3691), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1399), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3687), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1867), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [40579] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3695), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3693), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1868), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [40707] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3699), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3697), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1869), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [40835] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3703), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3701), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1870), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [40963] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3707), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3705), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1871), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [41091] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3711), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3709), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1872), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [41219] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3715), 1,
      sym_dot_dot_i,
    ACTIONS(3717), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1401), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3713), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1873), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [41347] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3721), 1,
      sym_dot_dot_i,
    ACTIONS(3723), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1403), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3719), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1875), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [41475] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3727), 1,
      sym_dot_dot_i,
    ACTIONS(3729), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1404), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3725), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1876), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [41603] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3733), 1,
      sym_dot_dot_i,
    ACTIONS(3735), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1405), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3731), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1877), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [41731] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3739), 1,
      sym_dot_dot_i,
    ACTIONS(3741), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1406), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3737), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1878), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [41859] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3745), 1,
      sym_dot_dot_i,
    ACTIONS(3747), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1407), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3743), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1879), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [41987] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3751), 1,
      sym_dot_dot_i,
    ACTIONS(3753), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1408), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3749), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1880), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [42115] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3757), 1,
      sym_dot_dot_i,
    ACTIONS(3759), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1409), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3755), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1881), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [42243] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3763), 1,
      sym_dot_dot_i,
    ACTIONS(3765), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1410), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3761), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1882), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [42371] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3769), 1,
      sym_dot_dot_i,
    ACTIONS(3771), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1411), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3767), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1883), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [42499] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3775), 1,
      sym_dot_dot_i,
    ACTIONS(3777), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1412), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3773), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1884), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [42627] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3781), 1,
      sym_dot_dot_i,
    ACTIONS(3783), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1413), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3779), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1885), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [42755] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3787), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3785), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(369), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [42883] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3791), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3789), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1888), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [43011] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3795), 1,
      sym_dot_dot_i,
    ACTIONS(3797), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1414), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3793), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1889), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [43139] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3801), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3799), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1890), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [43267] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3805), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3803), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1891), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [43395] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3809), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3807), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1892), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [43523] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3813), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3811), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1893), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [43651] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3817), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3815), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1922), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [43779] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3821), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3819), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1895), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [43907] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3825), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3823), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1896), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [44035] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3829), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3827), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1897), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [44163] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3833), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3831), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1898), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [44291] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3837), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3835), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1899), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [44419] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3841), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3839), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1900), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [44547] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3845), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3843), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1901), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [44675] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3849), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3847), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1902), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [44803] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3853), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3851), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1903), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [44931] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3857), 1,
      sym_dot_dot_i,
    ACTIONS(3859), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1416), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3855), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1904), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [45059] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3863), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3861), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1905), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [45187] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3867), 1,
      sym_dot_dot_i,
    ACTIONS(3869), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1420), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3865), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1906), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [45315] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3873), 1,
      sym_dot_dot_i,
    ACTIONS(3875), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1421), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3871), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1908), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [45443] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3879), 1,
      sym_dot_dot_i,
    ACTIONS(3881), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1424), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3877), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1910), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [45571] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3885), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3883), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1911), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [45699] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3889), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3887), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1912), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [45827] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3893), 1,
      sym_dot_dot_i,
    ACTIONS(3895), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1426), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3891), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1913), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [45955] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3899), 1,
      sym_dot_dot_i,
    ACTIONS(3901), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1427), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3897), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1914), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [46083] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3905), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3903), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1915), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [46211] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3909), 1,
      sym_dot_dot_i,
    ACTIONS(3911), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1429), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3907), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1916), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [46339] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3915), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3913), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1866), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [46467] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3919), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3917), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1918), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [46595] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3923), 1,
      sym_dot_dot_i,
    ACTIONS(3925), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1430), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3921), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1919), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [46723] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3929), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3927), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1920), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [46851] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(3933), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3931), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1921), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [46979] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(3937), 1,
      sym_dot_dot_i,
    ACTIONS(3939), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1440), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3935), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(210), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [47107] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(3943), 1,
      sym_dot_dot_i,
    ACTIONS(3945), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1442), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3941), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(211), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [47235] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(3949), 1,
      sym_dot_dot_i,
    ACTIONS(3951), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1444), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3947), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(212), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [47363] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(3955), 1,
      sym_dot_dot_i,
    ACTIONS(3957), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1445), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3953), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(213), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [47491] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(3961), 1,
      sym_dot_dot_i,
    ACTIONS(3963), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1446), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3959), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(214), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [47619] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3967), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3965), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(478), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [47747] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3971), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3969), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(370), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [47875] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(3975), 1,
      sym_dot_dot_i,
    ACTIONS(3977), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1467), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3973), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(215), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [48003] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(3981), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3979), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1998), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [48131] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3985), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3983), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(216), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [48259] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(3989), 1,
      sym_dot_dot_i,
    ACTIONS(3991), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1504), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3987), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2000), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [48387] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3995), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3993), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(217), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [48515] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(3999), 1,
      sym_dot_dot_i,
    ACTIONS(4001), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1492), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3997), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(371), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [48643] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4005), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4003), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(218), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [48771] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4009), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4007), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(219), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [48899] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4013), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4011), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(220), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [49027] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(4017), 1,
      sym_dot_dot_i,
    ACTIONS(4019), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1495), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4015), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(372), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [49155] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(4023), 1,
      sym_dot_dot_i,
    ACTIONS(4025), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1505), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4021), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(479), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [49283] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(4029), 1,
      sym_dot_dot_i,
    ACTIONS(4031), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1473), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4027), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(221), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [49411] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(4035), 1,
      sym_dot_dot_i,
    ACTIONS(4037), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1476), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4033), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(223), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [49539] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4041), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4039), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(452), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [49667] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(4045), 1,
      sym_dot_dot_i,
    ACTIONS(4047), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1479), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4043), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(225), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [49795] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(4051), 1,
      sym_dot_dot_i,
    ACTIONS(4053), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1481), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4049), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(226), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [49923] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(4057), 1,
      sym_dot_dot_i,
    ACTIONS(4059), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1482), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4055), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(227), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [50051] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(4063), 1,
      sym_dot_dot_i,
    ACTIONS(4065), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1484), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4061), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(228), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [50179] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(4069), 1,
      sym_dot_dot_i,
    ACTIONS(4071), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1485), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4067), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(229), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [50307] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(4075), 1,
      sym_dot_dot_i,
    ACTIONS(4077), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1487), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4073), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(230), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [50435] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(4081), 1,
      sym_dot_dot_i,
    ACTIONS(4083), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1488), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4079), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(231), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [50563] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(4087), 1,
      sym_dot_dot_i,
    ACTIONS(4089), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1490), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4085), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(232), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [50691] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(4093), 1,
      sym_dot_dot_i,
    ACTIONS(4095), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1491), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4091), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(233), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [50819] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(4099), 1,
      sym_dot_dot_i,
    ACTIONS(4101), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1507), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4097), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(480), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [50947] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4105), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4103), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(373), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [51075] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(4109), 1,
      sym_dot_dot_i,
    ACTIONS(4111), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1500), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4107), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(374), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [51203] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(4115), 1,
      sym_dot_dot_i,
    ACTIONS(4117), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1685), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4113), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(629), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [51331] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(4121), 1,
      sym_dot_dot_i,
    ACTIONS(4123), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1704), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4119), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(323), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [51459] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4127), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4125), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(481), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [51587] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4131), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4129), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(234), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [51715] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(4135), 1,
      sym_dot_dot_i,
    ACTIONS(4137), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1502), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4133), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(235), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [51843] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4141), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4139), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2035), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [51971] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4145), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4143), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2042), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [52099] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4149), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4147), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1924), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [52227] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4153), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4151), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1927), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [52355] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4157), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4155), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(236), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [52483] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4161), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4159), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1933), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [52611] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4165), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4163), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(237), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [52739] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4169), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4167), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(238), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [52867] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4173), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4171), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1935), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [52995] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4177), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4175), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(239), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [53123] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4181), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4179), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(240), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [53251] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4185), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4183), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1936), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [53379] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4189), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4187), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(241), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [53507] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4193), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4191), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(242), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [53635] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4197), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4195), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1937), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [53763] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4201), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4199), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(243), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [53891] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4205), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4203), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(244), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [54019] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4209), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4207), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1940), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [54147] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4213), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4211), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(245), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [54275] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4217), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4215), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(246), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [54403] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4221), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4219), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1944), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [54531] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4225), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4223), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(247), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [54659] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4229), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4227), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(248), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [54787] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4233), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4231), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(375), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [54915] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4237), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4235), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1945), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [55043] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(4241), 1,
      sym_dot_dot_i,
    ACTIONS(4243), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1560), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4239), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(482), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [55171] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4247), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4245), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(376), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [55299] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(4251), 1,
      sym_dot_dot_i,
    ACTIONS(4253), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1506), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4249), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(377), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [55427] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4257), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4255), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1947), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [55555] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(4261), 1,
      sym_dot_dot_i,
    ACTIONS(4263), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1706), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4259), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(324), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [55683] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4267), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4265), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(424), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [55811] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4271), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4269), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(378), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [55939] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4275), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4273), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1948), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [56067] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4279), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4277), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(249), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [56195] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(4283), 1,
      sym_dot_dot_i,
    ACTIONS(4285), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1510), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4281), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(250), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [56323] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4289), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4287), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1954), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [56451] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4293), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4291), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(483), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [56579] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4297), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4295), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(379), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [56707] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4301), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4299), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(484), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [56835] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(4305), 1,
      sym_dot_dot_i,
    ACTIONS(4307), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1588), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4303), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(485), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [56963] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4311), 1,
      sym_dot_dot_i,
    ACTIONS(4313), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1531), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4309), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1957), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [57091] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4317), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4315), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(251), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [57219] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(4321), 1,
      sym_dot_dot_i,
    ACTIONS(4323), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1514), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4319), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(252), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [57347] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(4327), 1,
      sym_dot_dot_i,
    ACTIONS(4329), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1515), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4325), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(253), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [57475] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(4333), 1,
      sym_dot_dot_i,
    ACTIONS(4335), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1518), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4331), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(254), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [57603] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4339), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4337), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(255), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [57731] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4343), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4341), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(256), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [57859] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(4347), 1,
      sym_dot_dot_i,
    ACTIONS(4349), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1520), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4345), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(257), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [57987] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(4353), 1,
      sym_dot_dot_i,
    ACTIONS(4355), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1521), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4351), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(258), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [58115] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4359), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4357), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(259), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [58243] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(4363), 1,
      sym_dot_dot_i,
    ACTIONS(4365), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1523), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4361), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(260), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [58371] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4369), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4367), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(261), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [58499] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4373), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4371), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(262), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [58627] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(4377), 1,
      sym_dot_dot_i,
    ACTIONS(4379), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1524), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4375), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(263), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [58755] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4383), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4381), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(264), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [58883] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4387), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4385), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(265), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [59011] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4419), 1,
      sym_dot_dot_i,
    ACTIONS(4421), 1,
      sym__newline,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1534), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4415), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(266), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [59139] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4429), 1,
      sym_dot_dot_i,
    ACTIONS(4431), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1536), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4427), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(267), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [59267] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4435), 1,
      sym_dot_dot_i,
    ACTIONS(4437), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1537), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4433), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(268), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [59395] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4441), 1,
      sym_dot_dot_i,
    ACTIONS(4443), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1539), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4439), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(269), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [59523] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4447), 1,
      sym_dot_dot_i,
    ACTIONS(4449), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1541), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4445), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(270), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [59651] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4453), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4455), 2,
      sym__external_close_parenthesis,
      sym_comma,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4451), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2046), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [59777] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4459), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4457), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1967), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [59905] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4463), 1,
      sym_dot_dot_i,
    ACTIONS(4465), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1564), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4461), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(271), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [60033] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4469), 1,
      sym_dot_dot_i,
    ACTIONS(4471), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1556), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4467), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1969), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [60161] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4475), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4473), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(272), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [60289] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4479), 1,
      sym_dot_dot_i,
    ACTIONS(4481), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1563), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4477), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1993), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [60417] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4485), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4483), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(273), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [60545] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4489), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4487), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(274), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [60673] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(4493), 1,
      sym_dot_dot_i,
    ACTIONS(4495), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1562), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4491), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(43), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [60801] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4499), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4497), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(275), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [60929] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4503), 1,
      sym_dot_dot_i,
    ACTIONS(4505), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1568), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4501), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2003), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [61057] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4509), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4507), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(276), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [61185] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(4513), 1,
      sym_dot_dot_i,
    ACTIONS(4515), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1589), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4511), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(44), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [61313] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(4519), 1,
      sym_dot_dot_i,
    ACTIONS(4521), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1591), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4517), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(45), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [61441] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4525), 1,
      sym_dot_dot_i,
    ACTIONS(4527), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1570), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4523), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(277), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [61569] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4531), 1,
      sym_dot_dot_i,
    ACTIONS(4533), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1573), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4529), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(279), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [61697] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4537), 1,
      sym_dot_dot_i,
    ACTIONS(4539), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1574), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4535), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(280), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [61825] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4543), 1,
      sym_dot_dot_i,
    ACTIONS(4545), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1576), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4541), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(281), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [61953] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4549), 1,
      sym_dot_dot_i,
    ACTIONS(4551), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1578), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4547), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(282), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [62081] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4555), 1,
      sym_dot_dot_i,
    ACTIONS(4557), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1579), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4553), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(283), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [62209] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4561), 1,
      sym_dot_dot_i,
    ACTIONS(4563), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1580), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4559), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(284), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [62337] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4567), 1,
      sym_dot_dot_i,
    ACTIONS(4569), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1582), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4565), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(285), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [62465] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4573), 1,
      sym_dot_dot_i,
    ACTIONS(4575), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1583), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4571), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(286), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [62593] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4579), 1,
      sym_dot_dot_i,
    ACTIONS(4581), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1584), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4577), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(287), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [62721] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4585), 1,
      sym_dot_dot_i,
    ACTIONS(4587), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1585), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4583), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(288), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [62849] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4591), 1,
      sym_dot_dot_i,
    ACTIONS(4593), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1587), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4589), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(289), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [62977] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4597), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4595), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2006), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [63105] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(4601), 1,
      sym_dot_dot_i,
    ACTIONS(4603), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1593), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4599), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(46), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [63233] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(4607), 1,
      sym_dot_dot_i,
    ACTIONS(4609), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1594), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4605), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(47), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [63361] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4613), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4611), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(466), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [63489] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4617), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4615), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(488), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [63617] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(4621), 1,
      sym_dot_dot_i,
    ACTIONS(4623), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1695), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4619), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(48), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [63745] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(4627), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4625), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(49), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [63873] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4631), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4629), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2007), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [64001] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4635), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4633), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(290), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [64129] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4639), 1,
      sym_dot_dot_i,
    ACTIONS(4641), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1597), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4637), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(291), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [64257] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4645), 1,
      sym_dot_dot_i,
    ACTIONS(4647), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1572), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4643), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2009), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [64385] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4651), 1,
      sym_dot_dot_i,
    ACTIONS(4653), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1575), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4649), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2013), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [64513] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4657), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4655), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2021), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [64641] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4661), 1,
      sym_dot_dot_i,
    ACTIONS(4663), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4659), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2023), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [64769] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4667), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4665), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(292), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [64897] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4671), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4669), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(293), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [65025] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4675), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4673), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2028), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [65153] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4679), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4677), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(294), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [65281] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4683), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4681), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(295), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [65409] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4687), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4685), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2030), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [65537] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4691), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4689), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(296), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [65665] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4695), 1,
      sym_dot_dot_i,
    ACTIONS(4697), 1,
      sym__newline,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4693), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2033), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [65793] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4701), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4699), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(297), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [65921] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4705), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4703), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(298), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [66049] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4709), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4707), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(299), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [66177] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4713), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4711), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2040), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [66305] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4717), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4715), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(300), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [66433] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4721), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4719), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(301), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [66561] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4725), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4723), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(302), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [66689] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4729), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4727), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(303), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [66817] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(4733), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4731), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2043), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [66945] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4737), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4735), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(304), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [67073] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4741), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4739), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(489), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [67201] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(4745), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4743), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(50), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [67329] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4749), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4747), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(399), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [67457] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(4753), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4751), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(51), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [67585] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(4757), 1,
      sym_dot_dot_i,
    ACTIONS(4759), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1162), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4755), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(18), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [67713] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(4763), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4761), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(52), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [67841] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(4767), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4765), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(53), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [67969] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(4771), 1,
      sym_dot_dot_i,
    ACTIONS(4773), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1607), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4769), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(562), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [68097] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(4777), 1,
      sym_dot_dot_i,
    ACTIONS(4779), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1608), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4775), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(563), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [68225] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4783), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4781), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(305), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [68353] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4787), 1,
      sym_dot_dot_i,
    ACTIONS(4789), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1615), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4785), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(306), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [68481] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(4793), 1,
      sym_dot_dot_i,
    ACTIONS(4795), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1614), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4791), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(564), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [68609] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(4799), 1,
      sym_dot_dot_i,
    ACTIONS(4801), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1619), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4797), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(565), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [68737] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(4805), 1,
      sym_dot_dot_i,
    ACTIONS(4807), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1625), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4803), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(566), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [68865] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(4811), 1,
      sym_dot_dot_i,
    ACTIONS(4813), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1724), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4809), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(490), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [68993] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(4817), 1,
      sym_dot_dot_i,
    ACTIONS(4819), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1451), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4815), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(425), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [69121] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(4823), 1,
      sym_dot_dot_i,
    ACTIONS(4825), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1590), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4821), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(384), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [69249] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(4829), 1,
      sym_dot_dot_i,
    ACTIONS(4831), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1663), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4827), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(567), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [69377] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4835), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4833), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(426), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [69505] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4839), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4837), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(568), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [69633] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4843), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4841), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(569), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [69761] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(4847), 1,
      sym_dot_dot_i,
    ACTIONS(4849), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1729), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4845), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(491), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [69889] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4853), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4851), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(454), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [70017] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4857), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4855), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(392), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [70145] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(4861), 1,
      sym_dot_dot_i,
    ACTIONS(4863), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1725), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4859), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(54), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [70273] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4867), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4865), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(427), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [70401] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4871), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4869), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(570), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [70529] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4875), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4873), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(307), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [70657] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4879), 1,
      sym_dot_dot_i,
    ACTIONS(4881), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1620), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4877), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(308), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [70785] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4885), 1,
      sym_dot_dot_i,
    ACTIONS(4887), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1622), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4883), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(309), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [70913] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4891), 1,
      sym_dot_dot_i,
    ACTIONS(4893), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1626), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4889), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(310), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [71041] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4897), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4895), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(571), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [71169] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4901), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4899), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(311), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [71297] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4905), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4903), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(428), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [71425] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4909), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4907), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(312), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [71553] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4913), 1,
      sym_dot_dot_i,
    ACTIONS(4915), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4911), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(313), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [71681] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4919), 1,
      sym_dot_dot_i,
    ACTIONS(4921), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1632), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4917), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(314), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [71809] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4925), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4923), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(572), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [71937] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4929), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4927), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(315), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [72065] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4933), 1,
      sym_dot_dot_i,
    ACTIONS(4935), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1636), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4931), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(316), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [72193] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4939), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4937), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(429), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [72321] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(4943), 1,
      sym_dot_dot_i,
    ACTIONS(4945), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1735), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4941), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(56), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [72449] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4949), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4947), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(317), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [72577] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(4953), 1,
      sym_dot_dot_i,
    ACTIONS(4955), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1737), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4951), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(57), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [72705] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4959), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4957), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(318), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [72833] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4963), 1,
      sym_dot_dot_i,
    ACTIONS(4965), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1640), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4961), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(319), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [72961] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(4969), 1,
      sym_dot_dot_i,
    ACTIONS(4971), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1675), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4967), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(573), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [73089] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(4975), 1,
      sym_dot_dot_i,
    ACTIONS(4977), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1677), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4973), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(574), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [73217] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(4981), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4979), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(320), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [73345] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(4985), 1,
      sym_dot_dot_i,
    ACTIONS(4987), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1686), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4983), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(575), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [73473] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(4991), 1,
      sym_dot_dot_i,
    ACTIONS(4993), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1688), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4989), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(576), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [73601] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(4997), 1,
      sym_dot_dot_i,
    ACTIONS(4999), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1697), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4995), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(577), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [73729] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(5003), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5001), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(194), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [73857] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(5007), 1,
      sym_dot_dot_i,
    ACTIONS(5009), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1699), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5005), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(578), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [73985] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(5013), 1,
      sym_dot_dot_i,
    ACTIONS(5015), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1707), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5011), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(579), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [74113] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(5019), 1,
      sym_dot_dot_i,
    ACTIONS(5021), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1709), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5017), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(580), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [74241] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(5025), 1,
      sym_dot_dot_i,
    ACTIONS(5027), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1718), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5023), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(581), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [74369] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5031), 1,
      sym_dot_dot_i,
    ACTIONS(5033), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1740), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5029), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(58), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [74497] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5037), 1,
      sym_dot_dot_i,
    ACTIONS(5039), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1746), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5035), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(59), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [74625] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(5043), 1,
      sym_dot_dot_i,
    ACTIONS(5045), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1719), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5041), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(583), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [74753] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(5049), 1,
      sym_dot_dot_i,
    ACTIONS(5051), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1728), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5047), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(584), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [74881] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(5055), 1,
      sym_dot_dot_i,
    ACTIONS(5057), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1730), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5053), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(585), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [75009] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(5061), 1,
      sym_dot_dot_i,
    ACTIONS(5063), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1652), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5059), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(4), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [75137] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(5067), 1,
      sym_dot_dot_i,
    ACTIONS(5069), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1739), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5065), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(586), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [75265] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(5073), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5071), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(5), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [75393] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(5077), 1,
      sym_dot_dot_i,
    ACTIONS(5079), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1655), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5075), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(6), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [75521] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5083), 1,
      sym_dot_dot_i,
    ACTIONS(5085), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1748), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5081), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(60), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [75649] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(5089), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5087), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(7), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [75777] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5093), 1,
      sym_dot_dot_i,
    ACTIONS(5095), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1750), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5091), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(61), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [75905] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5099), 1,
      sym_dot_dot_i,
    ACTIONS(5101), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1752), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5097), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(62), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [76033] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5105), 1,
      sym_dot_dot_i,
    ACTIONS(5107), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1758), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5103), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(63), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [76161] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5111), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5109), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(430), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [76289] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5115), 1,
      sym_dot_dot_i,
    ACTIONS(5117), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1760), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5113), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(64), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [76417] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5121), 1,
      sym_dot_dot_i,
    ACTIONS(5123), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1762), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5119), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(65), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [76545] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5127), 1,
      sym_dot_dot_i,
    ACTIONS(5129), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1768), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5125), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(66), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [76673] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5133), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5131), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(589), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [76801] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(5137), 1,
      sym_dot_dot_i,
    ACTIONS(5139), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1773), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5135), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(590), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [76929] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(5143), 1,
      sym_dot_dot_i,
    ACTIONS(5145), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1738), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5141), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(492), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [77057] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(5149), 1,
      sym_dot_dot_i,
    ACTIONS(5151), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1779), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5147), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(325), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [77185] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5155), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5153), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(326), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [77313] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(5159), 1,
      sym_dot_dot_i,
    ACTIONS(5161), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1610), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5157), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(432), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [77441] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(5165), 1,
      sym_dot_dot_i,
    ACTIONS(5167), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1726), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5163), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(433), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [77569] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(5171), 1,
      sym_dot_dot_i,
    ACTIONS(5173), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1094), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5169), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(434), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [77697] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(5177), 1,
      sym_dot_dot_i,
    ACTIONS(5179), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1116), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5175), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(435), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [77825] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(5183), 1,
      sym_dot_dot_i,
    ACTIONS(5185), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1144), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5181), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(436), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [77953] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(5189), 1,
      sym_dot_dot_i,
    ACTIONS(5191), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1499), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5187), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(470), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [78081] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(5195), 1,
      sym_dot_dot_i,
    ACTIONS(5197), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1747), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5193), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(493), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [78209] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5201), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5199), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(591), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [78337] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(5205), 1,
      sym_dot_dot_i,
    ACTIONS(5207), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1219), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5203), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(437), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [78465] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5211), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5209), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(592), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [78593] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(5215), 1,
      sym_dot_dot_i,
    ACTIONS(5217), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1679), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5213), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(8), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [78721] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(5221), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5219), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(9), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [78849] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(5225), 1,
      sym_dot_dot_i,
    ACTIONS(5227), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1681), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5223), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(10), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [78977] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(5231), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5229), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(11), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [79105] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5235), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5233), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(327), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [79233] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(5239), 1,
      sym_dot_dot_i,
    ACTIONS(5241), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1237), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5237), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(438), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [79361] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(5245), 1,
      sym_dot_dot_i,
    ACTIONS(5247), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1300), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5243), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(367), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [79489] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5251), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5249), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(328), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [79617] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5255), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5253), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(593), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [79745] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(5259), 1,
      sym_dot_dot_i,
    ACTIONS(5261), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1243), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5257), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(439), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [79873] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5265), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5263), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(594), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [80001] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(5269), 1,
      sym_dot_dot_i,
    ACTIONS(5271), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1690), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5267), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1863), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [80129] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(5275), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5273), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1864), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [80257] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(5279), 1,
      sym_dot_dot_i,
    ACTIONS(5281), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1692), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5277), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1857), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [80385] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(5285), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5283), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1865), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [80513] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(5289), 1,
      sym_dot_dot_i,
    ACTIONS(5291), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1751), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5287), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(494), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [80641] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(5295), 1,
      sym_dot_dot_i,
    ACTIONS(5297), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1272), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5293), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(440), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [80769] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5301), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5299), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(67), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [80897] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5305), 1,
      sym_dot_dot_i,
    ACTIONS(5307), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1074), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5303), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(68), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [81025] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5311), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5309), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(595), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [81153] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(5315), 1,
      sym_dot_dot_i,
    ACTIONS(5317), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1289), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5313), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(441), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [81281] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5321), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5319), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(596), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [81409] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(5325), 1,
      sym_dot_dot_i,
    ACTIONS(5327), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1701), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5323), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(12), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [81537] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5331), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5329), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(13), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [81665] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(5335), 1,
      sym_dot_dot_i,
    ACTIONS(5337), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1703), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5333), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(14), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [81793] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5341), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5339), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(15), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [81921] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5345), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5343), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(329), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [82049] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(5349), 1,
      sym_dot_dot_i,
    ACTIONS(5351), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1327), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5347), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(442), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [82177] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5355), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5353), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(330), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [82305] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5359), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5357), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(597), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [82433] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(5363), 1,
      sym_dot_dot_i,
    ACTIONS(5365), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1330), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5361), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(443), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [82561] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5369), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5367), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(598), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [82689] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(5373), 1,
      sym_dot_dot_i,
    ACTIONS(5375), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1711), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5371), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(16), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [82817] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(5379), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5377), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(17), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [82945] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(5383), 1,
      sym_dot_dot_i,
    ACTIONS(5385), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1713), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5381), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(41), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [83073] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(5389), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5387), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [83201] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(5393), 1,
      sym_dot_dot_i,
    ACTIONS(5395), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1179), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5391), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(400), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [83329] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(5399), 1,
      sym_dot_dot_i,
    ACTIONS(5401), 1,
      sym__newline,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(1559), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5397), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(444), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [83457] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(5405), 1,
      sym_dot_dot_i,
    ACTIONS(5407), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1102), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5403), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(495), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [83585] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5411), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5409), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(386), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [83713] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5415), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5413), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(599), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [83841] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5419), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5417), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(600), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [83969] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(5423), 1,
      sym_dot_dot_i,
    ACTIONS(5425), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1721), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5421), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(26), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [84097] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(5429), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5427), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(27), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [84225] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(5433), 1,
      sym_dot_dot_i,
    ACTIONS(5435), 1,
      sym__newline,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(1723), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5431), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(28), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [84353] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_SQUOTE,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_BSLASH,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2301), 1,
      anon_sym_if,
    ACTIONS(2303), 1,
      anon_sym_for,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(2307), 1,
      anon_sym_repeat,
    ACTIONS(2309), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_TILDE,
    ACTIONS(2313), 1,
      anon_sym_BANG,
    ACTIONS(2317), 1,
      sym__hex_literal,
    ACTIONS(2319), 1,
      sym__number_literal,
    ACTIONS(2329), 1,
      sym__external_open_parenthesis,
    ACTIONS(2331), 1,
      sym__external_open_brace,
    ACTIONS(5439), 1,
      sym_dot_dot_i,
    STATE(750), 1,
      sym_string,
    STATE(751), 1,
      sym__float_literal,
    STATE(752), 1,
      sym__single_quoted_string,
    STATE(753), 1,
      sym__double_quoted_string,
    STATE(930), 1,
      sym__open_brace,
    STATE(1037), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(2315), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5437), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(29), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [84481] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5443), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5441), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(496), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [84609] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5447), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5445), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(69), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [84737] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_BSLASH,
    ACTIONS(431), 1,
      anon_sym_function,
    ACTIONS(433), 1,
      anon_sym_if,
    ACTIONS(435), 1,
      anon_sym_for,
    ACTIONS(437), 1,
      anon_sym_while,
    ACTIONS(439), 1,
      anon_sym_repeat,
    ACTIONS(441), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_TILDE,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(449), 1,
      sym__hex_literal,
    ACTIONS(451), 1,
      sym__number_literal,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      sym__raw_string_literal,
    ACTIONS(471), 1,
      sym__external_open_parenthesis,
    ACTIONS(475), 1,
      sym__external_open_brace,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5451), 1,
      sym_dot_dot_i,
    STATE(762), 1,
      sym__float_literal,
    STATE(763), 1,
      sym__single_quoted_string,
    STATE(764), 1,
      sym__double_quoted_string,
    STATE(801), 1,
      sym_string,
    STATE(922), 1,
      sym__open_brace,
    STATE(1009), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2296), 1,
      sym__string_or_identifier,
    ACTIONS(447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(459), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5449), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(455), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [84865] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5455), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5453), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(70), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [84993] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5459), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5457), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(604), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [85121] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5463), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5461), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(497), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [85249] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5467), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5465), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(605), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [85377] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(5471), 1,
      sym_dot_dot_i,
    ACTIONS(5473), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1732), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5469), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(30), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [85505] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(5477), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5475), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(31), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [85633] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(5481), 1,
      sym_dot_dot_i,
    ACTIONS(5483), 1,
      sym__newline,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(1734), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5479), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(32), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [85761] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_DQUOTE,
    ACTIONS(875), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2917), 1,
      sym_identifier,
    ACTIONS(2919), 1,
      anon_sym_BSLASH,
    ACTIONS(2921), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_if,
    ACTIONS(2925), 1,
      anon_sym_for,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(2929), 1,
      anon_sym_repeat,
    ACTIONS(2931), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_TILDE,
    ACTIONS(2935), 1,
      anon_sym_BANG,
    ACTIONS(2939), 1,
      sym__hex_literal,
    ACTIONS(2941), 1,
      sym__number_literal,
    ACTIONS(2951), 1,
      sym__external_open_parenthesis,
    ACTIONS(2953), 1,
      sym__external_open_brace,
    ACTIONS(5487), 1,
      sym_dot_dot_i,
    STATE(718), 1,
      sym__float_literal,
    STATE(719), 1,
      sym__single_quoted_string,
    STATE(720), 1,
      sym__double_quoted_string,
    STATE(743), 1,
      sym_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1042), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2297), 1,
      sym__string_or_identifier,
    ACTIONS(2937), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2945), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5485), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(33), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [85889] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5491), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5489), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(71), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [86017] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(5495), 1,
      sym_dot_dot_i,
    ACTIONS(5497), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1717), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5493), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(637), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [86145] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5501), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5499), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(72), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [86273] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5505), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5503), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(501), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [86401] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5509), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5507), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(606), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [86529] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5513), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5511), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(73), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [86657] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(5517), 1,
      sym_dot_dot_i,
    ACTIONS(5519), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1099), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5515), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(638), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [86785] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(5523), 1,
      sym_dot_dot_i,
    ACTIONS(5525), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1743), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5521), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1859), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [86913] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(5529), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5527), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1860), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [87041] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(5533), 1,
      sym_dot_dot_i,
    ACTIONS(5535), 1,
      sym__newline,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(1745), 1,
      aux_sym_function_definition_repeat1,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5531), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1861), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [87169] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      anon_sym_function,
    ACTIONS(3625), 1,
      anon_sym_if,
    ACTIONS(3627), 1,
      anon_sym_for,
    ACTIONS(3629), 1,
      anon_sym_while,
    ACTIONS(3631), 1,
      anon_sym_repeat,
    ACTIONS(3633), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_TILDE,
    ACTIONS(3637), 1,
      anon_sym_BANG,
    ACTIONS(3641), 1,
      sym__hex_literal,
    ACTIONS(3643), 1,
      sym__number_literal,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(3659), 1,
      sym__external_open_parenthesis,
    ACTIONS(3661), 1,
      sym__external_open_brace,
    ACTIONS(5539), 1,
      sym_dot_dot_i,
    STATE(932), 1,
      sym__open_brace,
    STATE(1047), 1,
      sym__open_parenthesis,
    STATE(2061), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2304), 1,
      sym__string_or_identifier,
    ACTIONS(3639), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5537), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1862), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [87297] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5543), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5541), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(74), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [87425] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5547), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5545), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(502), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [87553] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5551), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5549), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(75), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [87681] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(5555), 1,
      sym_dot_dot_i,
    ACTIONS(5557), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1208), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5553), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(639), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [87809] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5561), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5559), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(76), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [87937] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5565), 1,
      sym_dot_dot_i,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5563), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(503), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [88065] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5569), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5567), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(77), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [88193] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(5573), 1,
      sym_dot_dot_i,
    ACTIONS(5575), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1754), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5571), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(34), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [88321] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5579), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5577), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(35), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [88449] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(5583), 1,
      sym_dot_dot_i,
    ACTIONS(5585), 1,
      sym__newline,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(1756), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5581), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(36), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [88577] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym__raw_string_literal,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_function,
    ACTIONS(1907), 1,
      anon_sym_if,
    ACTIONS(1909), 1,
      anon_sym_for,
    ACTIONS(1911), 1,
      anon_sym_while,
    ACTIONS(1913), 1,
      anon_sym_repeat,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_TILDE,
    ACTIONS(1919), 1,
      anon_sym_BANG,
    ACTIONS(1923), 1,
      sym__hex_literal,
    ACTIONS(1925), 1,
      sym__number_literal,
    ACTIONS(1935), 1,
      sym__external_open_parenthesis,
    ACTIONS(1937), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5589), 1,
      sym_dot_dot_i,
    STATE(714), 1,
      sym_string,
    STATE(715), 1,
      sym__float_literal,
    STATE(716), 1,
      sym__single_quoted_string,
    STATE(717), 1,
      sym__double_quoted_string,
    STATE(933), 1,
      sym__open_brace,
    STATE(1054), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__string_or_identifier,
    ACTIONS(1921), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1929), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5587), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(37), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [88705] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(5593), 1,
      sym_dot_dot_i,
    ACTIONS(5595), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1238), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5591), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(640), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [88833] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5599), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5597), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(78), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [88961] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1129), 1,
      sym__raw_string_literal,
    ACTIONS(1743), 1,
      sym_identifier,
    ACTIONS(1745), 1,
      anon_sym_BSLASH,
    ACTIONS(1747), 1,
      anon_sym_function,
    ACTIONS(1749), 1,
      anon_sym_if,
    ACTIONS(1751), 1,
      anon_sym_for,
    ACTIONS(1753), 1,
      anon_sym_while,
    ACTIONS(1755), 1,
      anon_sym_repeat,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(1759), 1,
      anon_sym_TILDE,
    ACTIONS(1761), 1,
      anon_sym_BANG,
    ACTIONS(1765), 1,
      sym__hex_literal,
    ACTIONS(1767), 1,
      sym__number_literal,
    ACTIONS(1777), 1,
      sym__external_open_parenthesis,
    ACTIONS(1779), 1,
      sym__external_open_brace,
    ACTIONS(5603), 1,
      sym_dot_dot_i,
    ACTIONS(5605), 1,
      sym__newline,
    STATE(769), 1,
      sym__double_quoted_string,
    STATE(777), 1,
      sym_string,
    STATE(779), 1,
      sym__float_literal,
    STATE(784), 1,
      sym__single_quoted_string,
    STATE(902), 1,
      sym__open_brace,
    STATE(1044), 1,
      sym__open_parenthesis,
    STATE(1287), 1,
      aux_sym_function_definition_repeat1,
    STATE(2294), 1,
      sym__string_or_identifier,
    ACTIONS(1763), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1771), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5601), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(641), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [89089] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5609), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5607), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(79), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [89217] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(5613), 1,
      sym_dot_dot_i,
    ACTIONS(5615), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1163), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5611), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(331), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [89345] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5619), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5617), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(80), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [89473] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(5623), 1,
      sym_dot_dot_i,
    ACTIONS(5625), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1165), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5621), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(332), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [89601] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(5629), 1,
      sym_dot_dot_i,
    ACTIONS(5631), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1765), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5627), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(38), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [89729] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(5635), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5633), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(39), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [89857] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(5639), 1,
      sym_dot_dot_i,
    ACTIONS(5641), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(1767), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5637), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(40), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [89985] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      anon_sym_DQUOTE,
    ACTIONS(921), 1,
      sym__raw_string_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(4389), 1,
      sym_identifier,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    ACTIONS(4393), 1,
      anon_sym_function,
    ACTIONS(4395), 1,
      anon_sym_if,
    ACTIONS(4397), 1,
      anon_sym_for,
    ACTIONS(4399), 1,
      anon_sym_while,
    ACTIONS(4401), 1,
      anon_sym_repeat,
    ACTIONS(4403), 1,
      anon_sym_QMARK,
    ACTIONS(4405), 1,
      anon_sym_TILDE,
    ACTIONS(4407), 1,
      anon_sym_BANG,
    ACTIONS(4411), 1,
      sym__hex_literal,
    ACTIONS(4413), 1,
      sym__number_literal,
    ACTIONS(4423), 1,
      sym__external_open_parenthesis,
    ACTIONS(4425), 1,
      sym__external_open_brace,
    ACTIONS(5645), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(812), 1,
      sym__open_brace,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(4409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5643), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(19), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [90113] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5649), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5647), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(81), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [90241] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(5653), 1,
      sym_dot_dot_i,
    ACTIONS(5655), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1174), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5651), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(333), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [90369] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE,
    ACTIONS(1031), 1,
      sym__raw_string_literal,
    ACTIONS(1418), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_BSLASH,
    ACTIONS(1422), 1,
      anon_sym_function,
    ACTIONS(1424), 1,
      anon_sym_if,
    ACTIONS(1426), 1,
      anon_sym_for,
    ACTIONS(1428), 1,
      anon_sym_while,
    ACTIONS(1430), 1,
      anon_sym_repeat,
    ACTIONS(1432), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_TILDE,
    ACTIONS(1436), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym__hex_literal,
    ACTIONS(1442), 1,
      sym__number_literal,
    ACTIONS(1452), 1,
      sym__external_open_parenthesis,
    ACTIONS(1454), 1,
      sym__external_open_brace,
    ACTIONS(5659), 1,
      sym_dot_dot_i,
    ACTIONS(5661), 1,
      sym__newline,
    STATE(759), 1,
      sym__double_quoted_string,
    STATE(804), 1,
      sym_string,
    STATE(807), 1,
      sym__float_literal,
    STATE(809), 1,
      sym__single_quoted_string,
    STATE(925), 1,
      sym__open_brace,
    STATE(1021), 1,
      sym__open_parenthesis,
    STATE(1123), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1438), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5657), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(504), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [90497] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(5665), 1,
      sym_dot_dot_i,
    ACTIONS(5667), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1184), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5663), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(334), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [90625] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(5671), 1,
      sym_dot_dot_i,
    ACTIONS(5673), 1,
      sym__newline,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(1194), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5669), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(335), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [90753] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5677), 1,
      sym_dot_dot_i,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5675), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(607), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [90881] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_BSLASH,
    ACTIONS(525), 1,
      anon_sym_function,
    ACTIONS(527), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      anon_sym_for,
    ACTIONS(531), 1,
      anon_sym_while,
    ACTIONS(533), 1,
      anon_sym_repeat,
    ACTIONS(535), 1,
      anon_sym_QMARK,
    ACTIONS(537), 1,
      anon_sym_TILDE,
    ACTIONS(539), 1,
      anon_sym_BANG,
    ACTIONS(543), 1,
      sym__hex_literal,
    ACTIONS(545), 1,
      sym__number_literal,
    ACTIONS(547), 1,
      anon_sym_SQUOTE,
    ACTIONS(549), 1,
      anon_sym_DQUOTE,
    ACTIONS(563), 1,
      sym__raw_string_literal,
    ACTIONS(565), 1,
      sym__external_open_parenthesis,
    ACTIONS(567), 1,
      sym__external_open_brace,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(5681), 1,
      sym_dot_dot_i,
    ACTIONS(5683), 1,
      sym__newline,
    STATE(771), 1,
      sym_string,
    STATE(772), 1,
      sym__float_literal,
    STATE(773), 1,
      sym__single_quoted_string,
    STATE(774), 1,
      sym__double_quoted_string,
    STATE(927), 1,
      sym__open_brace,
    STATE(1027), 1,
      sym__open_parenthesis,
    STATE(1090), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(541), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(553), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5679), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(608), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [91009] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5687), 1,
      sym_dot_dot_i,
    ACTIONS(5689), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1776), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5685), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(22), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [91137] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5693), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5691), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(23), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [91265] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5697), 1,
      sym_dot_dot_i,
    ACTIONS(5699), 1,
      sym__newline,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(1778), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5695), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(24), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [91393] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym__raw_string_literal,
    ACTIONS(1987), 1,
      sym_identifier,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1991), 1,
      anon_sym_function,
    ACTIONS(1993), 1,
      anon_sym_if,
    ACTIONS(1995), 1,
      anon_sym_for,
    ACTIONS(1997), 1,
      anon_sym_while,
    ACTIONS(1999), 1,
      anon_sym_repeat,
    ACTIONS(2001), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_TILDE,
    ACTIONS(2005), 1,
      anon_sym_BANG,
    ACTIONS(2009), 1,
      sym__hex_literal,
    ACTIONS(2011), 1,
      sym__number_literal,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(2021), 1,
      sym__external_open_parenthesis,
    ACTIONS(2023), 1,
      sym__external_open_brace,
    ACTIONS(5703), 1,
      sym_dot_dot_i,
    STATE(721), 1,
      sym__double_quoted_string,
    STATE(727), 1,
      sym_string,
    STATE(734), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(929), 1,
      sym__open_brace,
    STATE(1033), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2015), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5701), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(25), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [91521] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      anon_sym_function,
    ACTIONS(577), 1,
      anon_sym_if,
    ACTIONS(579), 1,
      anon_sym_for,
    ACTIONS(581), 1,
      anon_sym_while,
    ACTIONS(583), 1,
      anon_sym_repeat,
    ACTIONS(585), 1,
      anon_sym_QMARK,
    ACTIONS(587), 1,
      anon_sym_TILDE,
    ACTIONS(589), 1,
      anon_sym_BANG,
    ACTIONS(593), 1,
      sym__hex_literal,
    ACTIONS(595), 1,
      sym__number_literal,
    ACTIONS(597), 1,
      anon_sym_SQUOTE,
    ACTIONS(599), 1,
      anon_sym_DQUOTE,
    ACTIONS(613), 1,
      sym__raw_string_literal,
    ACTIONS(615), 1,
      sym__external_open_parenthesis,
    ACTIONS(617), 1,
      sym__external_open_brace,
    ACTIONS(1827), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      sym__newline,
    ACTIONS(5707), 1,
      sym_dot_dot_i,
    STATE(776), 1,
      sym_string,
    STATE(778), 1,
      sym__float_literal,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(810), 1,
      sym__single_quoted_string,
    STATE(928), 1,
      sym__open_brace,
    STATE(1030), 1,
      sym__open_parenthesis,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(603), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5705), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(346), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [91649] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5711), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5709), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1958), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [91771] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5715), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5713), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2045), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [91893] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5719), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5717), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1934), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [92015] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5723), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5721), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1946), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [92137] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5727), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5725), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1984), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [92259] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5731), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5729), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2011), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [92381] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5735), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5733), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2017), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [92503] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5739), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5737), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1962), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [92625] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5743), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5741), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2036), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [92747] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5747), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5745), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1941), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [92869] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5751), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5749), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1972), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [92991] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5755), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5753), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1974), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [93113] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5759), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5757), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1977), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [93235] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5763), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5761), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1981), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [93357] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5767), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5765), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1986), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [93479] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5771), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5769), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1987), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [93601] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5775), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5773), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1988), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [93723] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5779), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5777), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1997), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [93845] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5783), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5781), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2015), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [93967] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5787), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5785), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2016), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [94089] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5791), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5789), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2025), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [94211] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5795), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5793), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2031), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [94333] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5799), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5797), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1925), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [94455] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5803), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5801), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1926), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [94577] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5807), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5805), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1929), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [94699] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5811), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5809), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1931), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [94821] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5815), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5813), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1938), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [94943] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5819), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5817), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1939), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [95065] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5823), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5821), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1942), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [95187] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5827), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5825), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1943), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [95309] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5831), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5829), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1949), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [95431] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5835), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5833), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1950), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [95553] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5839), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5837), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1951), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [95675] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5843), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5841), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1953), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [95797] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5847), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5845), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1956), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [95919] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5851), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5849), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1952), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [96041] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5855), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5853), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2049), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [96163] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5859), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5857), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1960), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [96285] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5863), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5861), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1964), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [96407] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5867), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5865), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1923), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [96529] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5871), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5869), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1968), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [96651] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5875), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5873), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1970), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [96773] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5879), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5877), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1978), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [96895] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5883), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5881), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1980), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [97017] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5887), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5885), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1983), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [97139] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5891), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5889), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1985), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [97261] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5895), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5893), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1989), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [97383] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5899), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5897), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1990), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [97505] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5903), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5901), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1991), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [97627] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5907), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5905), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1992), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [97749] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5911), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5909), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1994), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [97871] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5915), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5913), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2052), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [97993] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5919), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5917), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1999), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [98115] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5923), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5921), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2001), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [98237] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5927), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5925), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2004), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [98359] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5931), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5929), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2005), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [98481] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5935), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5933), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2008), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [98603] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5939), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5937), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2010), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [98725] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5943), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5941), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2012), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [98847] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5947), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5945), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2014), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [98969] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5951), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5949), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2018), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [99091] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5955), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5953), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2019), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [99213] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5959), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5957), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2022), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [99335] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5963), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5961), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2024), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [99457] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5967), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5965), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2027), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [99579] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5971), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5969), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2029), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [99701] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5975), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5973), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2032), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [99823] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5979), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5977), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2034), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [99945] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5983), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5981), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2037), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [100067] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5987), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5985), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2039), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [100189] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5991), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5989), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2044), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [100311] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(3293), 1,
      anon_sym_BSLASH,
    ACTIONS(3295), 1,
      anon_sym_function,
    ACTIONS(3297), 1,
      anon_sym_if,
    ACTIONS(3299), 1,
      anon_sym_for,
    ACTIONS(3301), 1,
      anon_sym_while,
    ACTIONS(3303), 1,
      anon_sym_repeat,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    ACTIONS(3307), 1,
      anon_sym_TILDE,
    ACTIONS(3309), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      sym__hex_literal,
    ACTIONS(3315), 1,
      sym__number_literal,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(3331), 1,
      sym__external_open_parenthesis,
    ACTIONS(3333), 1,
      sym__external_open_brace,
    ACTIONS(5995), 1,
      sym_dot_dot_i,
    STATE(926), 1,
      sym__open_brace,
    STATE(1024), 1,
      sym__open_parenthesis,
    STATE(2086), 1,
      sym_string,
    STATE(2088), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(3311), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3323), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5993), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1959), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [100433] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(5997), 1,
      sym_identifier,
    ACTIONS(5999), 1,
      sym__newline,
    STATE(1853), 1,
      aux_sym_function_definition_repeat1,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2101), 2,
      sym_string,
      sym__string_or_identifier,
    ACTIONS(725), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(721), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [100504] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(6001), 1,
      sym_identifier,
    ACTIONS(6003), 1,
      sym__newline,
    STATE(1907), 1,
      aux_sym_function_definition_repeat1,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2097), 2,
      sym_string,
      sym__string_or_identifier,
    ACTIONS(739), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(735), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [100575] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(6005), 1,
      sym_identifier,
    ACTIONS(6007), 1,
      sym__newline,
    STATE(2048), 1,
      aux_sym_function_definition_repeat1,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2118), 2,
      sym_string,
      sym__string_or_identifier,
    ACTIONS(739), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(735), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [100645] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(6009), 1,
      sym_identifier,
    ACTIONS(6011), 1,
      sym__newline,
    STATE(1854), 1,
      aux_sym_function_definition_repeat1,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2135), 2,
      sym_string,
      sym__string_or_identifier,
    ACTIONS(725), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(721), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [100715] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    ACTIONS(3657), 1,
      sym__raw_string_literal,
    ACTIONS(6013), 1,
      sym_identifier,
    STATE(2069), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2110), 2,
      sym_string,
      sym__string_or_identifier,
    ACTIONS(1117), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1115), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [100780] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_else,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(1567), 1,
      sym__else,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(161), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [100888] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3317), 1,
      anon_sym_SQUOTE,
    ACTIONS(3319), 1,
      anon_sym_DQUOTE,
    ACTIONS(3329), 1,
      sym__raw_string_literal,
    ACTIONS(6061), 1,
      sym_identifier,
    STATE(2089), 1,
      sym__single_quoted_string,
    STATE(2093), 1,
      sym__double_quoted_string,
    STATE(2128), 2,
      sym_string,
      sym__string_or_identifier,
    ACTIONS(1117), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1115), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [100952] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    ACTIONS(6063), 1,
      sym__external_else,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(1418), 1,
      sym__else,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(105), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101060] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    ACTIONS(6065), 1,
      sym__external_else,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(1422), 1,
      sym__else,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(155), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101168] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    ACTIONS(6067), 1,
      sym__external_else,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(1423), 1,
      sym__else,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(161), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101276] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    ACTIONS(6069), 1,
      sym__external_else,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(1428), 1,
      sym__else,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(9), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101384] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    ACTIONS(6071), 1,
      sym__external_else,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(1535), 1,
      sym__else,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(105), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101492] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    ACTIONS(6073), 1,
      sym__external_else,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(1566), 1,
      sym__else,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(155), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101600] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    ACTIONS(6075), 1,
      sym__external_else,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(1577), 1,
      sym__else,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(9), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101708] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(411), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101811] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(335), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101914] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(339), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102017] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(343), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102120] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(345), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(343), 9,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [102215] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(345), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(343), 11,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [102302] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(345), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(343), 19,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [102373] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(347), 7,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      sym_comma,
  [102474] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(347), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102577] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(349), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(347), 9,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [102672] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(349), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(347), 16,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [102751] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(347), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102854] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(349), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(347), 8,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [102951] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(349), 3,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(347), 10,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      sym_comma,
  [103042] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(349), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(347), 11,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [103129] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(349), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(347), 15,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [103212] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(349), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(347), 17,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      sym_comma,
  [103287] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(349), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(347), 19,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [103358] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(349), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(347), 19,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [103431] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(349), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(347), 19,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [103502] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(331), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [103605] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(333), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(331), 9,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [103700] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(351), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [103803] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(355), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [103906] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(359), 7,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      sym_comma,
  [104007] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(359), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104110] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(361), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(359), 9,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [104205] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(361), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(359), 16,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [104284] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(327), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104387] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(361), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(359), 8,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [104484] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(361), 3,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(359), 10,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      sym_comma,
  [104575] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(361), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(359), 11,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [104662] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(361), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(359), 15,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [104745] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(361), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(359), 17,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      sym_comma,
  [104820] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(361), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(359), 19,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [104891] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(361), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(359), 19,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [104964] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(361), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(359), 19,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [105035] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(363), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105138] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(367), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105241] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(371), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105344] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(375), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105447] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6077), 1,
      sym__newline,
    STATE(1907), 1,
      aux_sym_function_definition_repeat1,
    ACTIONS(1391), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1393), 30,
      sym__raw_string_literal,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_identifier,
      sym_comma,
  [105500] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(379), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105603] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(333), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(331), 11,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [105690] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(383), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105793] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(387), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105896] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(391), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105999] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(395), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106102] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(399), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106205] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(403), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106308] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(407), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106411] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(333), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(331), 19,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [106482] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(323), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106585] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(415), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106688] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(419), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106791] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(423), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106894] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_EQ,
    ACTIONS(6017), 1,
      anon_sym_TILDE,
    ACTIONS(6019), 1,
      anon_sym_PLUS,
    ACTIONS(6021), 1,
      anon_sym_DASH,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT,
    ACTIONS(6027), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6029), 1,
      anon_sym_PIPE,
    ACTIONS(6031), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6041), 1,
      anon_sym_STAR,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_COLON,
    ACTIONS(6055), 1,
      sym__external_open_parenthesis,
    ACTIONS(6057), 1,
      sym__external_open_bracket,
    ACTIONS(6059), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2104), 1,
      sym_call_arguments,
    STATE(2105), 1,
      sym_subset_arguments,
    STATE(2106), 1,
      sym_subset2_arguments,
    ACTIONS(6037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6045), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6047), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6051), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6023), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(359), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6039), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106997] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_close_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1417), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107103] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(361), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(359), 8,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [107197] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6128), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1246), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107303] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6130), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1334), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107409] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(361), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(359), 15,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [107487] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(349), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(347), 14,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [107569] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6132), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1345), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107675] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(333), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(331), 18,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [107745] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6134), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1463), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107851] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(345), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(343), 18,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [107921] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(359), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108023] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6136), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1170), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108129] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(361), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(359), 7,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [108225] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(361), 3,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(359), 9,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      sym_comma,
  [108315] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(361), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(359), 10,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [108401] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6138), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1075), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108507] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6140), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1096), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108613] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(361), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(359), 14,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [108695] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6142), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1234), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108801] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6144), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1098), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108907] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6146), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1108), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109013] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(361), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(359), 16,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      sym_comma,
  [109087] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(361), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(359), 18,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [109157] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6148), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1182), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109263] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(361), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(359), 18,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [109335] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(361), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(359), 18,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [109405] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6150), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1207), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109511] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6152), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1226), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109617] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6154), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1228), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109723] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6156), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1714), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109829] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6158), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1236), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109935] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(363), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110037] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(349), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(347), 16,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      sym_comma,
  [110111] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6160), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1336), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110217] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(367), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110319] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6162), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1348), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110425] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6164), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1350), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110531] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6166), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1359), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110637] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(349), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(347), 18,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [110707] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6168), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1592), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110813] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(327), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110915] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6170), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1415), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [111021] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(345), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(343), 8,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [111115] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(349), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(347), 18,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [111187] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(371), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [111289] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6172), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1419), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [111395] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(375), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [111497] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6174), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1425), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [111603] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(347), 6,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      sym_comma,
  [111703] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6176), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1213), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [111809] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(347), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [111911] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6178), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1250), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112017] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(349), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(347), 8,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [112111] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(349), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(347), 15,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [112189] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6180), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1259), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112295] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6182), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1503), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112401] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(347), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112503] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6184), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1511), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112609] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6186), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1294), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112715] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(349), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(347), 18,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [112785] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6188), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1513), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112891] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6190), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1192), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112997] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6192), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1519), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [113103] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6194), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1509), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [113209] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6196), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1533), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [113315] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6198), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1540), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [113421] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6200), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1598), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [113527] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6202), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1616), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [113633] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6204), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1618), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [113739] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6206), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1627), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [113845] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(379), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [113947] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6208), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1650), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [114053] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(345), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(343), 10,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [114139] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(349), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(347), 7,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [114235] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6210), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1569), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [114341] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(351), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [114443] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6212), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1678), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [114549] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(355), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [114651] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6214), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1680), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [114757] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(331), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [114859] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(383), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [114961] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6216), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1689), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [115067] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6218), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1691), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [115173] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(387), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [115275] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(391), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [115377] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6220), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1700), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [115483] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(395), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [115585] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6222), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1702), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [115691] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6224), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1292), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [115797] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6226), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1710), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [115903] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(399), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [116005] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6228), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1712), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [116111] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6230), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1774), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [116217] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6232), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1091), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [116323] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6234), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1332), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [116429] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6236), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1720), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [116535] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6238), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1722), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [116641] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(333), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(331), 8,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [116735] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(403), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [116837] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6240), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1731), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [116943] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(407), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [117045] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6242), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1733), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [117151] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6244), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1109), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [117257] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(349), 3,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(347), 9,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      sym_comma,
  [117347] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6246), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1742), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [117453] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(411), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [117555] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6248), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [117661] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(323), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [117763] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6250), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1222), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [117869] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6252), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [117975] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(415), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [118077] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6254), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1755), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [118183] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(359), 6,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      sym_comma,
  [118283] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6256), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1494), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [118389] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6258), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1764), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [118495] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(333), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(331), 10,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [118581] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6260), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1766), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [118687] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(419), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [118789] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(349), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(347), 10,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [118875] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(359), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [118977] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(423), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [119079] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6262), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1775), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [119185] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6264), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1777), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [119291] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6266), 2,
      sym__external_close_parenthesis,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [119395] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(335), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [119497] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6268), 1,
      sym__newline,
    STATE(2048), 1,
      aux_sym_function_definition_repeat1,
    ACTIONS(1391), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1393), 29,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_identifier,
      sym_comma,
  [119549] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6271), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1214), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [119655] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(339), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [119757] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(343), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [119859] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_QMARK,
    ACTIONS(6084), 1,
      anon_sym_TILDE,
    ACTIONS(6086), 1,
      anon_sym_PLUS,
    ACTIONS(6088), 1,
      anon_sym_DASH,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT,
    ACTIONS(6094), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6096), 1,
      anon_sym_PIPE,
    ACTIONS(6098), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6102), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6108), 1,
      anon_sym_STAR,
    ACTIONS(6110), 1,
      anon_sym_SLASH,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6120), 1,
      sym__external_open_parenthesis,
    ACTIONS(6124), 1,
      sym__external_open_bracket,
    ACTIONS(6126), 1,
      sym__external_open_bracket2,
    ACTIONS(6273), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym__close_parenthesis,
    STATE(2121), 1,
      sym_subset_arguments,
    STATE(2124), 1,
      sym_subset2_arguments,
    STATE(2126), 1,
      sym_call_arguments,
    ACTIONS(6104), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6112), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6114), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6118), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6090), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6106), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [119965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1345), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1347), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [120010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(623), 16,
      sym__newline,
      sym__semicolon,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
    ACTIONS(621), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [120055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket2,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(799), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [120100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6277), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6275), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [120145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6281), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6279), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [120190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1315), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [120235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1341), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1343), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [120280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6285), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6283), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [120325] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1323), 1,
      anon_sym_COLON_COLON_COLON,
    ACTIONS(1317), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1319), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [120374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6289), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6287), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [120419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6293), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket2,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6291), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [120464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 1,
      anon_sym_L,
    ACTIONS(6297), 1,
      anon_sym_i,
    ACTIONS(1325), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1327), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [120513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6301), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket2,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6299), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [120558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6293), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6291), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [120603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6293), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6291), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [120648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6285), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6283), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [120693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1333), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1335), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [120738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6285), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket2,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6283), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [120783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6301), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6299), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [120828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1359), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [120873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1333), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1335), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [120918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1351), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [120963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6281), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6279), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [121008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6289), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6287), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [121053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6281), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket2,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6279), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [121098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6289), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket2,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6287), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [121143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6277), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket2,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6275), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [121188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(799), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [121233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6301), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6299), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [121278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6277), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6275), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [121323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(799), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [121368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1351), 26,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [121412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1359), 26,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [121456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1323), 1,
      anon_sym_COLON_COLON_COLON,
    ACTIONS(1317), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1319), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [121504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1315), 26,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [121548] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6303), 1,
      anon_sym_L,
    ACTIONS(6305), 1,
      anon_sym_i,
    ACTIONS(1325), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1327), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [121596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1333), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1335), 26,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [121640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 15,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
    ACTIONS(1131), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [121684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 1,
      sym__newline,
    STATE(2091), 1,
      aux_sym_function_definition_repeat1,
    ACTIONS(1393), 13,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
    ACTIONS(1391), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [121732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1341), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1343), 26,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [121776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1333), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1335), 26,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [121820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1345), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1347), 26,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [121864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1468), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [121907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6312), 14,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
    ACTIONS(6310), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [121950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1523), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1521), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [121993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1527), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1525), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1531), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1529), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1533), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1495), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1493), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1497), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1501), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1472), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1414), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1416), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1478), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1476), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1507), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1505), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1460), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 14,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
    ACTIONS(6314), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [122509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1511), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1509), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1513), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1482), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1480), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1484), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1466), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1464), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1519), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1517), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 14,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
    ACTIONS(6318), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [122810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1533), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1523), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1521), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1519), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1517), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1507), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1505), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1414), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1416), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1460), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1501), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1478), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1476), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1531), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1529), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1472), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1468), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1511), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1509), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1513), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1497), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1482), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1480), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1484), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1466), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1464), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1527), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1525), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1495), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1493), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123608] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6322), 1,
      sym_identifier,
    ACTIONS(6324), 1,
      sym_dots,
    ACTIONS(6326), 1,
      sym__external_close_parenthesis,
    STATE(2116), 1,
      sym__close_parenthesis,
    STATE(2173), 1,
      sym_parameter,
    STATE(2295), 1,
      sym__parameter_without_default,
    STATE(2303), 1,
      sym__parameter_with_default,
  [123633] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6330), 1,
      sym__external_open_parenthesis,
    STATE(1604), 1,
      sym_parameters,
    STATE(2136), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [123652] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6330), 1,
      sym__external_open_parenthesis,
    STATE(1468), 1,
      sym_parameters,
    STATE(2136), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [123671] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6330), 1,
      sym__external_open_parenthesis,
    STATE(1565), 1,
      sym_parameters,
    STATE(2136), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [123690] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      sym__external_open_parenthesis,
    ACTIONS(6332), 1,
      sym__newline,
    STATE(1561), 1,
      sym_parameters,
    STATE(2136), 1,
      sym__open_parenthesis,
    STATE(2143), 1,
      aux_sym_function_definition_repeat1,
  [123709] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      sym__external_open_parenthesis,
    ACTIONS(6334), 1,
      sym__newline,
    STATE(1380), 1,
      sym_parameters,
    STATE(2136), 1,
      sym__open_parenthesis,
    STATE(2149), 1,
      aux_sym_function_definition_repeat1,
  [123728] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6330), 1,
      sym__external_open_parenthesis,
    STATE(1296), 1,
      sym_parameters,
    STATE(2136), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [123747] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6330), 1,
      sym__external_open_parenthesis,
    STATE(1696), 1,
      sym_parameters,
    STATE(2136), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [123766] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6330), 1,
      sym__external_open_parenthesis,
    STATE(1664), 1,
      sym_parameters,
    STATE(2136), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [123785] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      sym__external_open_parenthesis,
    ACTIONS(6336), 1,
      sym__newline,
    STATE(1438), 1,
      sym_parameters,
    STATE(2136), 1,
      sym__open_parenthesis,
    STATE(2138), 1,
      aux_sym_function_definition_repeat1,
  [123804] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      sym__external_open_parenthesis,
    ACTIONS(6338), 1,
      sym__newline,
    STATE(1716), 1,
      sym_parameters,
    STATE(2136), 1,
      sym__open_parenthesis,
    STATE(2153), 1,
      aux_sym_function_definition_repeat1,
  [123823] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6322), 1,
      sym_identifier,
    ACTIONS(6324), 1,
      sym_dots,
    STATE(2293), 1,
      sym_parameter,
    STATE(2295), 1,
      sym__parameter_without_default,
    STATE(2303), 1,
      sym__parameter_with_default,
  [123842] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      sym__external_open_parenthesis,
    ACTIONS(6340), 1,
      sym__newline,
    STATE(1684), 1,
      sym_parameters,
    STATE(2136), 1,
      sym__open_parenthesis,
    STATE(2137), 1,
      aux_sym_function_definition_repeat1,
  [123861] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6330), 1,
      sym__external_open_parenthesis,
    STATE(1400), 1,
      sym_parameters,
    STATE(2136), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [123880] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      sym__external_open_parenthesis,
    ACTIONS(6342), 1,
      sym__newline,
    STATE(1666), 1,
      sym_parameters,
    STATE(2136), 1,
      sym__open_parenthesis,
    STATE(2154), 1,
      aux_sym_function_definition_repeat1,
  [123899] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6330), 1,
      sym__external_open_parenthesis,
    STATE(1168), 1,
      sym_parameters,
    STATE(2136), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [123918] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6330), 1,
      sym__external_open_parenthesis,
    STATE(1117), 1,
      sym_parameters,
    STATE(2136), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [123937] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6330), 1,
      sym__external_open_parenthesis,
    STATE(1106), 1,
      sym_parameters,
    STATE(2136), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [123956] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6330), 1,
      sym__external_open_parenthesis,
    STATE(1119), 1,
      sym_parameters,
    STATE(2136), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [123975] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      sym__external_open_parenthesis,
    ACTIONS(6344), 1,
      sym__newline,
    STATE(1603), 1,
      sym_parameters,
    STATE(2136), 1,
      sym__open_parenthesis,
    STATE(2152), 1,
      aux_sym_function_definition_repeat1,
  [123994] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      sym__external_open_parenthesis,
    ACTIONS(6346), 1,
      sym__newline,
    STATE(1337), 1,
      sym_parameters,
    STATE(2136), 1,
      sym__open_parenthesis,
    STATE(2159), 1,
      aux_sym_function_definition_repeat1,
  [124013] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      sym__external_open_parenthesis,
    ACTIONS(6348), 1,
      sym__newline,
    STATE(1134), 1,
      sym_parameters,
    STATE(2136), 1,
      sym__open_parenthesis,
    STATE(2151), 1,
      aux_sym_function_definition_repeat1,
  [124032] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      sym__external_open_parenthesis,
    ACTIONS(6350), 1,
      sym__newline,
    STATE(1532), 1,
      sym_parameters,
    STATE(2136), 1,
      sym__open_parenthesis,
    STATE(2139), 1,
      aux_sym_function_definition_repeat1,
  [124051] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6330), 1,
      sym__external_open_parenthesis,
    STATE(1441), 1,
      sym_parameters,
    STATE(2136), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [124070] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      sym__external_open_parenthesis,
    ACTIONS(6352), 1,
      sym__newline,
    STATE(1260), 1,
      sym_parameters,
    STATE(2136), 1,
      sym__open_parenthesis,
    STATE(2142), 1,
      aux_sym_function_definition_repeat1,
  [124089] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      sym__external_open_parenthesis,
    ACTIONS(6354), 1,
      sym__newline,
    STATE(1605), 1,
      sym_parameters,
    STATE(2136), 1,
      sym__open_parenthesis,
    STATE(2144), 1,
      aux_sym_function_definition_repeat1,
  [124108] = 4,
    ACTIONS(6356), 1,
      anon_sym_DQUOTE,
    ACTIONS(6360), 1,
      sym_comment,
    STATE(2197), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6358), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124122] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6362), 1,
      anon_sym_SQUOTE,
    STATE(2168), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6364), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124136] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6366), 1,
      anon_sym_DQUOTE,
    STATE(2172), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6358), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124150] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6368), 1,
      anon_sym_SQUOTE,
    STATE(2181), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6364), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124164] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6370), 1,
      anon_sym_DQUOTE,
    STATE(2186), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6358), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124178] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6372), 1,
      anon_sym_SQUOTE,
    STATE(2167), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6374), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124192] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6377), 1,
      anon_sym_SQUOTE,
    STATE(2167), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6364), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124206] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6379), 1,
      anon_sym_SQUOTE,
    STATE(2176), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6364), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124220] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6381), 1,
      anon_sym_DQUOTE,
    STATE(2178), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6358), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124234] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_SQUOTE,
    STATE(2211), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6364), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124248] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6385), 1,
      anon_sym_DQUOTE,
    STATE(2183), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6358), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124262] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6387), 1,
      sym_comma,
    ACTIONS(6389), 1,
      sym__external_close_parenthesis,
    STATE(2109), 1,
      sym__close_parenthesis,
    STATE(2189), 1,
      aux_sym_parameters_repeat1,
  [124278] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6391), 1,
      sym__external_open_parenthesis,
    STATE(1783), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [124294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6393), 1,
      sym__external_open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
    STATE(2351), 1,
      sym__open_parenthesis,
  [124310] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6395), 1,
      anon_sym_SQUOTE,
    STATE(2167), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6364), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124324] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6397), 1,
      anon_sym_DQUOTE,
    STATE(2226), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6358), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124338] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6399), 1,
      anon_sym_DQUOTE,
    STATE(2183), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6358), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124352] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6401), 1,
      anon_sym_SQUOTE,
    STATE(2187), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6364), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124366] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6403), 1,
      anon_sym_DQUOTE,
    STATE(2193), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6358), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124380] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    STATE(2167), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6364), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124394] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_SQUOTE,
    STATE(2207), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6364), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124408] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_DQUOTE,
    STATE(2183), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6411), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124422] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6414), 1,
      anon_sym_DQUOTE,
    STATE(2208), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6358), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124436] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6416), 1,
      anon_sym_SQUOTE,
    STATE(2214), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6364), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124450] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6418), 1,
      anon_sym_DQUOTE,
    STATE(2183), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6358), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124464] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6420), 1,
      anon_sym_SQUOTE,
    STATE(2167), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6364), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124478] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6422), 1,
      anon_sym_SQUOTE,
    STATE(2198), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6364), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124492] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6387), 1,
      sym_comma,
    ACTIONS(6424), 1,
      sym__external_close_parenthesis,
    STATE(2096), 1,
      sym__close_parenthesis,
    STATE(2286), 1,
      aux_sym_parameters_repeat1,
  [124508] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6426), 1,
      anon_sym_DQUOTE,
    STATE(2199), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6358), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124522] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6428), 1,
      anon_sym_SQUOTE,
    STATE(2196), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6364), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124536] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6430), 1,
      anon_sym_DQUOTE,
    STATE(2183), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6358), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124550] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6432), 1,
      anon_sym_DQUOTE,
    STATE(2183), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6358), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124564] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6434), 1,
      anon_sym_SQUOTE,
    STATE(2167), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6364), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124578] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6436), 1,
      anon_sym_DQUOTE,
    STATE(2218), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6358), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124592] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6438), 1,
      anon_sym_SQUOTE,
    STATE(2167), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6364), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124606] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_DQUOTE,
    STATE(2183), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6358), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124620] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6442), 1,
      anon_sym_SQUOTE,
    STATE(2167), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6364), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124634] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6444), 1,
      anon_sym_DQUOTE,
    STATE(2183), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6358), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6446), 1,
      sym__newline,
    ACTIONS(6448), 1,
      sym__external_open_parenthesis,
    STATE(2175), 1,
      aux_sym_function_definition_repeat1,
    STATE(2326), 1,
      sym__open_parenthesis,
  [124664] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6450), 1,
      anon_sym_DQUOTE,
    STATE(2183), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6358), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124678] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6452), 1,
      anon_sym_SQUOTE,
    STATE(2222), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6364), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124692] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6454), 1,
      anon_sym_DQUOTE,
    STATE(2192), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6358), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6456), 1,
      sym__newline,
    ACTIONS(6458), 1,
      sym__external_open_parenthesis,
    STATE(1784), 1,
      sym__open_parenthesis,
    STATE(2206), 1,
      aux_sym_function_definition_repeat1,
  [124722] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6460), 1,
      anon_sym_DQUOTE,
    STATE(2183), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6358), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6462), 1,
      sym__external_open_parenthesis,
    STATE(1785), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [124752] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6464), 1,
      anon_sym_SQUOTE,
    STATE(2167), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6364), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124766] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6466), 1,
      anon_sym_DQUOTE,
    STATE(2183), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6358), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124780] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6468), 1,
      anon_sym_DQUOTE,
    STATE(2205), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6358), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124794] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 1,
      sym__newline,
    ACTIONS(6472), 1,
      sym__external_open_parenthesis,
    STATE(1790), 1,
      sym__open_parenthesis,
    STATE(2212), 1,
      aux_sym_function_definition_repeat1,
  [124810] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6474), 1,
      anon_sym_SQUOTE,
    STATE(2167), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6364), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6476), 1,
      sym__external_open_parenthesis,
    STATE(1791), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [124840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      sym__newline,
    ACTIONS(6480), 1,
      sym__external_open_parenthesis,
    STATE(1794), 1,
      sym__open_parenthesis,
    STATE(2215), 1,
      aux_sym_function_definition_repeat1,
  [124856] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6482), 1,
      anon_sym_SQUOTE,
    STATE(2167), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6364), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6484), 1,
      sym__external_open_parenthesis,
    STATE(1795), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [124886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 1,
      sym__newline,
    ACTIONS(6488), 1,
      sym__external_open_parenthesis,
    STATE(1815), 1,
      sym__open_parenthesis,
    STATE(2174), 1,
      aux_sym_function_definition_repeat1,
  [124902] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 1,
      sym__newline,
    ACTIONS(6492), 1,
      sym__external_open_parenthesis,
    STATE(1798), 1,
      sym__open_parenthesis,
    STATE(2219), 1,
      aux_sym_function_definition_repeat1,
  [124918] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6494), 1,
      anon_sym_DQUOTE,
    STATE(2183), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6358), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6496), 1,
      sym__external_open_parenthesis,
    STATE(1799), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [124948] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6498), 1,
      sym__newline,
    ACTIONS(6500), 1,
      sym__external_open_parenthesis,
    STATE(1787), 1,
      sym__open_parenthesis,
    STATE(2235), 1,
      aux_sym_function_definition_repeat1,
  [124964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6502), 1,
      sym__newline,
    ACTIONS(6504), 1,
      sym__external_open_parenthesis,
    STATE(1802), 1,
      sym__open_parenthesis,
    STATE(2223), 1,
      aux_sym_function_definition_repeat1,
  [124980] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6506), 1,
      anon_sym_SQUOTE,
    STATE(2167), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6364), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124994] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6508), 1,
      sym__external_open_parenthesis,
    STATE(1803), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125010] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__newline,
    ACTIONS(6512), 1,
      sym__external_open_parenthesis,
    STATE(1806), 1,
      sym__open_parenthesis,
    STATE(2225), 1,
      aux_sym_function_definition_repeat1,
  [125026] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6514), 1,
      sym__external_open_parenthesis,
    STATE(1807), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125042] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_DQUOTE,
    STATE(2183), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6358), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [125056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6518), 1,
      sym__newline,
    ACTIONS(6520), 1,
      sym__external_open_parenthesis,
    STATE(1810), 1,
      sym__open_parenthesis,
    STATE(2229), 1,
      aux_sym_function_definition_repeat1,
  [125072] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym_SQUOTE,
    STATE(2194), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6364), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [125086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6524), 1,
      sym__external_open_parenthesis,
    STATE(1811), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6526), 1,
      sym__newline,
    ACTIONS(6528), 1,
      sym__external_open_parenthesis,
    STATE(1814), 1,
      sym__open_parenthesis,
    STATE(2285), 1,
      aux_sym_function_definition_repeat1,
  [125118] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6530), 1,
      anon_sym_SQUOTE,
    STATE(2167), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6364), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [125132] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6532), 1,
      anon_sym_SQUOTE,
    STATE(2231), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6364), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [125146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6534), 1,
      sym__newline,
    ACTIONS(6536), 1,
      sym__external_open_parenthesis,
    STATE(1818), 1,
      sym__open_parenthesis,
    STATE(2234), 1,
      aux_sym_function_definition_repeat1,
  [125162] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6538), 1,
      sym__external_open_parenthesis,
    STATE(1819), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6540), 1,
      sym__external_open_parenthesis,
    STATE(1782), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125194] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6542), 1,
      sym__newline,
    ACTIONS(6544), 1,
      sym__external_open_parenthesis,
    STATE(1822), 1,
      sym__open_parenthesis,
    STATE(2237), 1,
      aux_sym_function_definition_repeat1,
  [125210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6546), 1,
      sym__external_open_parenthesis,
    STATE(1823), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125226] = 4,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6548), 1,
      anon_sym_DQUOTE,
    STATE(2201), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6358), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [125240] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      sym__newline,
    ACTIONS(6552), 1,
      sym__external_open_parenthesis,
    STATE(1826), 1,
      sym__open_parenthesis,
    STATE(2240), 1,
      aux_sym_function_definition_repeat1,
  [125256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6554), 1,
      sym__external_open_parenthesis,
    STATE(1827), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6556), 1,
      sym__newline,
    ACTIONS(6558), 1,
      sym__external_open_parenthesis,
    STATE(1830), 1,
      sym__open_parenthesis,
    STATE(2242), 1,
      aux_sym_function_definition_repeat1,
  [125288] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6560), 1,
      sym__external_open_parenthesis,
    STATE(1831), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125304] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6562), 1,
      sym__newline,
    ACTIONS(6564), 1,
      sym__external_open_parenthesis,
    STATE(1832), 1,
      sym__open_parenthesis,
    STATE(2244), 1,
      aux_sym_function_definition_repeat1,
  [125320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6566), 1,
      sym__external_open_parenthesis,
    STATE(1833), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125336] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6568), 1,
      sym__newline,
    ACTIONS(6570), 1,
      sym__external_open_parenthesis,
    STATE(1834), 1,
      sym__open_parenthesis,
    STATE(2246), 1,
      aux_sym_function_definition_repeat1,
  [125352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6572), 1,
      sym__external_open_parenthesis,
    STATE(1835), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6574), 1,
      sym__newline,
    ACTIONS(6576), 1,
      sym__external_open_parenthesis,
    STATE(1836), 1,
      sym__open_parenthesis,
    STATE(2248), 1,
      aux_sym_function_definition_repeat1,
  [125384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6578), 1,
      sym__external_open_parenthesis,
    STATE(1837), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6580), 1,
      sym__newline,
    ACTIONS(6582), 1,
      sym__external_open_parenthesis,
    STATE(1838), 1,
      sym__open_parenthesis,
    STATE(2250), 1,
      aux_sym_function_definition_repeat1,
  [125416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6584), 1,
      sym__external_open_parenthesis,
    STATE(1839), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 1,
      sym__newline,
    ACTIONS(6588), 1,
      sym__external_open_parenthesis,
    STATE(1840), 1,
      sym__open_parenthesis,
    STATE(2252), 1,
      aux_sym_function_definition_repeat1,
  [125448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6590), 1,
      sym__external_open_parenthesis,
    STATE(1841), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6592), 1,
      sym__newline,
    ACTIONS(6594), 1,
      sym__external_open_parenthesis,
    STATE(1842), 1,
      sym__open_parenthesis,
    STATE(2254), 1,
      aux_sym_function_definition_repeat1,
  [125480] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6596), 1,
      sym__external_open_parenthesis,
    STATE(1843), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 1,
      sym__newline,
    ACTIONS(6600), 1,
      sym__external_open_parenthesis,
    STATE(1844), 1,
      sym__open_parenthesis,
    STATE(2256), 1,
      aux_sym_function_definition_repeat1,
  [125512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6602), 1,
      sym__external_open_parenthesis,
    STATE(1845), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6604), 1,
      sym__newline,
    ACTIONS(6606), 1,
      sym__external_open_parenthesis,
    STATE(1846), 1,
      sym__open_parenthesis,
    STATE(2258), 1,
      aux_sym_function_definition_repeat1,
  [125544] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6608), 1,
      sym__external_open_parenthesis,
    STATE(1847), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6610), 1,
      sym__newline,
    ACTIONS(6612), 1,
      sym__external_open_parenthesis,
    STATE(1848), 1,
      sym__open_parenthesis,
    STATE(2260), 1,
      aux_sym_function_definition_repeat1,
  [125576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6614), 1,
      sym__external_open_parenthesis,
    STATE(1849), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6616), 1,
      sym__newline,
    ACTIONS(6618), 1,
      sym__external_open_parenthesis,
    STATE(1850), 1,
      sym__open_parenthesis,
    STATE(2263), 1,
      aux_sym_function_definition_repeat1,
  [125608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6620), 1,
      sym__newline,
    ACTIONS(6622), 1,
      sym__external_open_parenthesis,
    STATE(2264), 1,
      aux_sym_function_definition_repeat1,
    STATE(2354), 1,
      sym__open_parenthesis,
  [125624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6624), 1,
      sym__external_open_parenthesis,
    STATE(1781), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6626), 1,
      sym__external_open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
    STATE(2331), 1,
      sym__open_parenthesis,
  [125656] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6628), 1,
      sym__newline,
    ACTIONS(6630), 1,
      sym__external_open_parenthesis,
    STATE(2266), 1,
      aux_sym_function_definition_repeat1,
    STATE(2336), 1,
      sym__open_parenthesis,
  [125672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6632), 1,
      sym__external_open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
    STATE(2344), 1,
      sym__open_parenthesis,
  [125688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6634), 1,
      sym__newline,
    ACTIONS(6636), 1,
      sym__external_open_parenthesis,
    STATE(2268), 1,
      aux_sym_function_definition_repeat1,
    STATE(2327), 1,
      sym__open_parenthesis,
  [125704] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6638), 1,
      sym__external_open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
    STATE(2355), 1,
      sym__open_parenthesis,
  [125720] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6640), 1,
      sym__newline,
    ACTIONS(6642), 1,
      sym__external_open_parenthesis,
    STATE(2270), 1,
      aux_sym_function_definition_repeat1,
    STATE(2341), 1,
      sym__open_parenthesis,
  [125736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6644), 1,
      sym__external_open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
    STATE(2342), 1,
      sym__open_parenthesis,
  [125752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6646), 1,
      sym__newline,
    ACTIONS(6648), 1,
      sym__external_open_parenthesis,
    STATE(2272), 1,
      aux_sym_function_definition_repeat1,
    STATE(2353), 1,
      sym__open_parenthesis,
  [125768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6650), 1,
      sym__external_open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
    STATE(2308), 1,
      sym__open_parenthesis,
  [125784] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6652), 1,
      sym__newline,
    ACTIONS(6654), 1,
      sym__external_open_parenthesis,
    STATE(2274), 1,
      aux_sym_function_definition_repeat1,
    STATE(2311), 1,
      sym__open_parenthesis,
  [125800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6656), 1,
      sym__external_open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
    STATE(2312), 1,
      sym__open_parenthesis,
  [125816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6658), 1,
      sym__newline,
    ACTIONS(6660), 1,
      sym__external_open_parenthesis,
    STATE(2276), 1,
      aux_sym_function_definition_repeat1,
    STATE(2315), 1,
      sym__open_parenthesis,
  [125832] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6662), 1,
      sym__external_open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
    STATE(2316), 1,
      sym__open_parenthesis,
  [125848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6664), 1,
      sym__newline,
    ACTIONS(6666), 1,
      sym__external_open_parenthesis,
    STATE(2278), 1,
      aux_sym_function_definition_repeat1,
    STATE(2319), 1,
      sym__open_parenthesis,
  [125864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6668), 1,
      sym__external_open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
    STATE(2320), 1,
      sym__open_parenthesis,
  [125880] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6670), 1,
      sym__newline,
    ACTIONS(6672), 1,
      sym__external_open_parenthesis,
    STATE(2280), 1,
      aux_sym_function_definition_repeat1,
    STATE(2323), 1,
      sym__open_parenthesis,
  [125896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6674), 1,
      sym__external_open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
    STATE(2324), 1,
      sym__open_parenthesis,
  [125912] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      sym__newline,
    ACTIONS(6678), 1,
      sym__external_open_parenthesis,
    STATE(2282), 1,
      aux_sym_function_definition_repeat1,
    STATE(2307), 1,
      sym__open_parenthesis,
  [125928] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6680), 1,
      sym__external_open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
    STATE(2328), 1,
      sym__open_parenthesis,
  [125944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6682), 1,
      sym__newline,
    ACTIONS(6684), 1,
      sym__external_open_parenthesis,
    STATE(2284), 1,
      aux_sym_function_definition_repeat1,
    STATE(2329), 1,
      sym__open_parenthesis,
  [125960] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6686), 1,
      sym__external_open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
    STATE(2330), 1,
      sym__open_parenthesis,
  [125976] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__newline,
    ACTIONS(6688), 1,
      sym__external_open_parenthesis,
    STATE(1780), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125992] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6690), 1,
      sym_comma,
    ACTIONS(6693), 1,
      sym__external_close_parenthesis,
    STATE(2286), 1,
      aux_sym_parameters_repeat1,
  [126005] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 1,
      sym__external_open_parenthesis,
    ACTIONS(6695), 1,
      sym__newline,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [126018] = 3,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_SQUOTE,
    ACTIONS(6700), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [126029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6702), 1,
      anon_sym_EQ,
    ACTIONS(6704), 2,
      sym__external_close_parenthesis,
      sym_comma,
  [126040] = 3,
    ACTIONS(6360), 1,
      sym_comment,
    ACTIONS(6706), 1,
      anon_sym_DQUOTE,
    ACTIONS(6708), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [126051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6712), 1,
      anon_sym_COLON_COLON_COLON,
  [126061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6716), 1,
      anon_sym_COLON_COLON_COLON,
  [126071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6718), 2,
      sym__external_close_parenthesis,
      sym_comma,
  [126079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6720), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_COLON_COLON_COLON,
  [126089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6724), 2,
      sym__external_close_parenthesis,
      sym_comma,
  [126097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6726), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6728), 1,
      anon_sym_COLON_COLON_COLON,
  [126107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6730), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6732), 1,
      anon_sym_COLON_COLON_COLON,
  [126117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6736), 1,
      anon_sym_COLON_COLON_COLON,
  [126127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6738), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6740), 1,
      anon_sym_COLON_COLON_COLON,
  [126137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6744), 1,
      anon_sym_COLON_COLON_COLON,
  [126147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON_COLON,
  [126157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6704), 2,
      sym__external_close_parenthesis,
      sym_comma,
  [126165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6750), 2,
      sym__external_close_parenthesis,
      sym_comma,
  [126173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6754), 1,
      anon_sym_COLON_COLON_COLON,
  [126183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6758), 1,
      anon_sym_COLON_COLON_COLON,
  [126193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6760), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6762), 1,
      anon_sym_COLON_COLON_COLON,
  [126203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6764), 1,
      sym_identifier,
  [126210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6766), 1,
      sym_identifier,
  [126217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6768), 1,
      anon_sym_in,
  [126224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6770), 1,
      anon_sym_in,
  [126231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6772), 1,
      sym_identifier,
  [126238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6774), 1,
      sym_identifier,
  [126245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6776), 1,
      anon_sym_in,
  [126252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6778), 1,
      anon_sym_in,
  [126259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      sym_identifier,
  [126266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6782), 1,
      sym_identifier,
  [126273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6784), 1,
      anon_sym_in,
  [126280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6786), 1,
      anon_sym_in,
  [126287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6788), 1,
      sym_identifier,
  [126294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6790), 1,
      sym_identifier,
  [126301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6792), 1,
      anon_sym_in,
  [126308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_in,
  [126315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6796), 1,
      sym_identifier,
  [126322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6798), 1,
      sym_identifier,
  [126329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6800), 1,
      anon_sym_in,
  [126336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6802), 1,
      sym_identifier,
  [126343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6804), 1,
      sym_identifier,
  [126350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6806), 1,
      sym_identifier,
  [126357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6808), 1,
      sym_identifier,
  [126364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6810), 1,
      sym_identifier,
  [126371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6812), 1,
      sym_identifier,
  [126378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6814), 1,
      anon_sym_in,
  [126385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6816), 1,
      anon_sym_in,
  [126392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6818), 1,
      anon_sym_in,
  [126399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6820), 1,
      ts_builtin_sym_end,
  [126406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6822), 1,
      sym_identifier,
  [126413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6824), 1,
      anon_sym_in,
  [126420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6826), 1,
      anon_sym_in,
  [126427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 1,
      anon_sym_in,
  [126434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_in,
  [126441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6832), 1,
      sym_identifier,
  [126448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6834), 1,
      sym_identifier,
  [126455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6836), 1,
      anon_sym_in,
  [126462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6838), 1,
      sym_identifier,
  [126469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6840), 1,
      anon_sym_in,
  [126476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6842), 1,
      anon_sym_in,
  [126483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6844), 1,
      anon_sym_in,
  [126490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6846), 1,
      anon_sym_in,
  [126497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_in,
  [126504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6850), 1,
      anon_sym_in,
  [126511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6852), 1,
      sym_identifier,
  [126518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6854), 1,
      anon_sym_in,
  [126525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      sym_identifier,
  [126532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6858), 1,
      sym_identifier,
  [126539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6860), 1,
      sym_identifier,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(1064)] = 0,
  [SMALL_STATE(1065)] = 131,
  [SMALL_STATE(1066)] = 259,
  [SMALL_STATE(1067)] = 387,
  [SMALL_STATE(1068)] = 515,
  [SMALL_STATE(1069)] = 643,
  [SMALL_STATE(1070)] = 771,
  [SMALL_STATE(1071)] = 899,
  [SMALL_STATE(1072)] = 1027,
  [SMALL_STATE(1073)] = 1155,
  [SMALL_STATE(1074)] = 1283,
  [SMALL_STATE(1075)] = 1411,
  [SMALL_STATE(1076)] = 1539,
  [SMALL_STATE(1077)] = 1667,
  [SMALL_STATE(1078)] = 1795,
  [SMALL_STATE(1079)] = 1923,
  [SMALL_STATE(1080)] = 2051,
  [SMALL_STATE(1081)] = 2179,
  [SMALL_STATE(1082)] = 2307,
  [SMALL_STATE(1083)] = 2435,
  [SMALL_STATE(1084)] = 2563,
  [SMALL_STATE(1085)] = 2691,
  [SMALL_STATE(1086)] = 2819,
  [SMALL_STATE(1087)] = 2947,
  [SMALL_STATE(1088)] = 3075,
  [SMALL_STATE(1089)] = 3203,
  [SMALL_STATE(1090)] = 3331,
  [SMALL_STATE(1091)] = 3459,
  [SMALL_STATE(1092)] = 3587,
  [SMALL_STATE(1093)] = 3715,
  [SMALL_STATE(1094)] = 3843,
  [SMALL_STATE(1095)] = 3971,
  [SMALL_STATE(1096)] = 4099,
  [SMALL_STATE(1097)] = 4227,
  [SMALL_STATE(1098)] = 4355,
  [SMALL_STATE(1099)] = 4483,
  [SMALL_STATE(1100)] = 4611,
  [SMALL_STATE(1101)] = 4739,
  [SMALL_STATE(1102)] = 4867,
  [SMALL_STATE(1103)] = 4995,
  [SMALL_STATE(1104)] = 5123,
  [SMALL_STATE(1105)] = 5251,
  [SMALL_STATE(1106)] = 5379,
  [SMALL_STATE(1107)] = 5507,
  [SMALL_STATE(1108)] = 5635,
  [SMALL_STATE(1109)] = 5763,
  [SMALL_STATE(1110)] = 5891,
  [SMALL_STATE(1111)] = 6019,
  [SMALL_STATE(1112)] = 6147,
  [SMALL_STATE(1113)] = 6275,
  [SMALL_STATE(1114)] = 6403,
  [SMALL_STATE(1115)] = 6531,
  [SMALL_STATE(1116)] = 6659,
  [SMALL_STATE(1117)] = 6787,
  [SMALL_STATE(1118)] = 6915,
  [SMALL_STATE(1119)] = 7043,
  [SMALL_STATE(1120)] = 7171,
  [SMALL_STATE(1121)] = 7299,
  [SMALL_STATE(1122)] = 7427,
  [SMALL_STATE(1123)] = 7555,
  [SMALL_STATE(1124)] = 7683,
  [SMALL_STATE(1125)] = 7811,
  [SMALL_STATE(1126)] = 7939,
  [SMALL_STATE(1127)] = 8067,
  [SMALL_STATE(1128)] = 8195,
  [SMALL_STATE(1129)] = 8323,
  [SMALL_STATE(1130)] = 8451,
  [SMALL_STATE(1131)] = 8579,
  [SMALL_STATE(1132)] = 8707,
  [SMALL_STATE(1133)] = 8835,
  [SMALL_STATE(1134)] = 8963,
  [SMALL_STATE(1135)] = 9091,
  [SMALL_STATE(1136)] = 9219,
  [SMALL_STATE(1137)] = 9347,
  [SMALL_STATE(1138)] = 9475,
  [SMALL_STATE(1139)] = 9603,
  [SMALL_STATE(1140)] = 9731,
  [SMALL_STATE(1141)] = 9859,
  [SMALL_STATE(1142)] = 9987,
  [SMALL_STATE(1143)] = 10115,
  [SMALL_STATE(1144)] = 10243,
  [SMALL_STATE(1145)] = 10371,
  [SMALL_STATE(1146)] = 10499,
  [SMALL_STATE(1147)] = 10627,
  [SMALL_STATE(1148)] = 10755,
  [SMALL_STATE(1149)] = 10883,
  [SMALL_STATE(1150)] = 11011,
  [SMALL_STATE(1151)] = 11139,
  [SMALL_STATE(1152)] = 11267,
  [SMALL_STATE(1153)] = 11395,
  [SMALL_STATE(1154)] = 11523,
  [SMALL_STATE(1155)] = 11651,
  [SMALL_STATE(1156)] = 11779,
  [SMALL_STATE(1157)] = 11907,
  [SMALL_STATE(1158)] = 12035,
  [SMALL_STATE(1159)] = 12163,
  [SMALL_STATE(1160)] = 12291,
  [SMALL_STATE(1161)] = 12419,
  [SMALL_STATE(1162)] = 12547,
  [SMALL_STATE(1163)] = 12675,
  [SMALL_STATE(1164)] = 12803,
  [SMALL_STATE(1165)] = 12931,
  [SMALL_STATE(1166)] = 13059,
  [SMALL_STATE(1167)] = 13187,
  [SMALL_STATE(1168)] = 13315,
  [SMALL_STATE(1169)] = 13443,
  [SMALL_STATE(1170)] = 13571,
  [SMALL_STATE(1171)] = 13699,
  [SMALL_STATE(1172)] = 13827,
  [SMALL_STATE(1173)] = 13955,
  [SMALL_STATE(1174)] = 14083,
  [SMALL_STATE(1175)] = 14211,
  [SMALL_STATE(1176)] = 14339,
  [SMALL_STATE(1177)] = 14467,
  [SMALL_STATE(1178)] = 14595,
  [SMALL_STATE(1179)] = 14723,
  [SMALL_STATE(1180)] = 14851,
  [SMALL_STATE(1181)] = 14979,
  [SMALL_STATE(1182)] = 15107,
  [SMALL_STATE(1183)] = 15235,
  [SMALL_STATE(1184)] = 15363,
  [SMALL_STATE(1185)] = 15491,
  [SMALL_STATE(1186)] = 15619,
  [SMALL_STATE(1187)] = 15747,
  [SMALL_STATE(1188)] = 15875,
  [SMALL_STATE(1189)] = 16003,
  [SMALL_STATE(1190)] = 16131,
  [SMALL_STATE(1191)] = 16259,
  [SMALL_STATE(1192)] = 16387,
  [SMALL_STATE(1193)] = 16515,
  [SMALL_STATE(1194)] = 16643,
  [SMALL_STATE(1195)] = 16771,
  [SMALL_STATE(1196)] = 16899,
  [SMALL_STATE(1197)] = 17027,
  [SMALL_STATE(1198)] = 17155,
  [SMALL_STATE(1199)] = 17283,
  [SMALL_STATE(1200)] = 17411,
  [SMALL_STATE(1201)] = 17539,
  [SMALL_STATE(1202)] = 17667,
  [SMALL_STATE(1203)] = 17795,
  [SMALL_STATE(1204)] = 17923,
  [SMALL_STATE(1205)] = 18051,
  [SMALL_STATE(1206)] = 18179,
  [SMALL_STATE(1207)] = 18307,
  [SMALL_STATE(1208)] = 18435,
  [SMALL_STATE(1209)] = 18563,
  [SMALL_STATE(1210)] = 18691,
  [SMALL_STATE(1211)] = 18819,
  [SMALL_STATE(1212)] = 18947,
  [SMALL_STATE(1213)] = 19075,
  [SMALL_STATE(1214)] = 19203,
  [SMALL_STATE(1215)] = 19331,
  [SMALL_STATE(1216)] = 19459,
  [SMALL_STATE(1217)] = 19587,
  [SMALL_STATE(1218)] = 19715,
  [SMALL_STATE(1219)] = 19843,
  [SMALL_STATE(1220)] = 19971,
  [SMALL_STATE(1221)] = 20099,
  [SMALL_STATE(1222)] = 20227,
  [SMALL_STATE(1223)] = 20355,
  [SMALL_STATE(1224)] = 20483,
  [SMALL_STATE(1225)] = 20611,
  [SMALL_STATE(1226)] = 20739,
  [SMALL_STATE(1227)] = 20867,
  [SMALL_STATE(1228)] = 20995,
  [SMALL_STATE(1229)] = 21123,
  [SMALL_STATE(1230)] = 21251,
  [SMALL_STATE(1231)] = 21379,
  [SMALL_STATE(1232)] = 21507,
  [SMALL_STATE(1233)] = 21635,
  [SMALL_STATE(1234)] = 21763,
  [SMALL_STATE(1235)] = 21891,
  [SMALL_STATE(1236)] = 22019,
  [SMALL_STATE(1237)] = 22147,
  [SMALL_STATE(1238)] = 22275,
  [SMALL_STATE(1239)] = 22403,
  [SMALL_STATE(1240)] = 22531,
  [SMALL_STATE(1241)] = 22659,
  [SMALL_STATE(1242)] = 22787,
  [SMALL_STATE(1243)] = 22915,
  [SMALL_STATE(1244)] = 23043,
  [SMALL_STATE(1245)] = 23171,
  [SMALL_STATE(1246)] = 23299,
  [SMALL_STATE(1247)] = 23427,
  [SMALL_STATE(1248)] = 23555,
  [SMALL_STATE(1249)] = 23683,
  [SMALL_STATE(1250)] = 23811,
  [SMALL_STATE(1251)] = 23939,
  [SMALL_STATE(1252)] = 24067,
  [SMALL_STATE(1253)] = 24195,
  [SMALL_STATE(1254)] = 24323,
  [SMALL_STATE(1255)] = 24451,
  [SMALL_STATE(1256)] = 24579,
  [SMALL_STATE(1257)] = 24707,
  [SMALL_STATE(1258)] = 24835,
  [SMALL_STATE(1259)] = 24963,
  [SMALL_STATE(1260)] = 25091,
  [SMALL_STATE(1261)] = 25219,
  [SMALL_STATE(1262)] = 25347,
  [SMALL_STATE(1263)] = 25475,
  [SMALL_STATE(1264)] = 25603,
  [SMALL_STATE(1265)] = 25731,
  [SMALL_STATE(1266)] = 25859,
  [SMALL_STATE(1267)] = 25987,
  [SMALL_STATE(1268)] = 26115,
  [SMALL_STATE(1269)] = 26243,
  [SMALL_STATE(1270)] = 26371,
  [SMALL_STATE(1271)] = 26499,
  [SMALL_STATE(1272)] = 26627,
  [SMALL_STATE(1273)] = 26755,
  [SMALL_STATE(1274)] = 26883,
  [SMALL_STATE(1275)] = 27011,
  [SMALL_STATE(1276)] = 27139,
  [SMALL_STATE(1277)] = 27267,
  [SMALL_STATE(1278)] = 27395,
  [SMALL_STATE(1279)] = 27523,
  [SMALL_STATE(1280)] = 27651,
  [SMALL_STATE(1281)] = 27779,
  [SMALL_STATE(1282)] = 27907,
  [SMALL_STATE(1283)] = 28035,
  [SMALL_STATE(1284)] = 28163,
  [SMALL_STATE(1285)] = 28291,
  [SMALL_STATE(1286)] = 28419,
  [SMALL_STATE(1287)] = 28547,
  [SMALL_STATE(1288)] = 28675,
  [SMALL_STATE(1289)] = 28803,
  [SMALL_STATE(1290)] = 28931,
  [SMALL_STATE(1291)] = 29059,
  [SMALL_STATE(1292)] = 29187,
  [SMALL_STATE(1293)] = 29315,
  [SMALL_STATE(1294)] = 29443,
  [SMALL_STATE(1295)] = 29571,
  [SMALL_STATE(1296)] = 29699,
  [SMALL_STATE(1297)] = 29827,
  [SMALL_STATE(1298)] = 29955,
  [SMALL_STATE(1299)] = 30083,
  [SMALL_STATE(1300)] = 30211,
  [SMALL_STATE(1301)] = 30339,
  [SMALL_STATE(1302)] = 30467,
  [SMALL_STATE(1303)] = 30595,
  [SMALL_STATE(1304)] = 30723,
  [SMALL_STATE(1305)] = 30851,
  [SMALL_STATE(1306)] = 30979,
  [SMALL_STATE(1307)] = 31107,
  [SMALL_STATE(1308)] = 31235,
  [SMALL_STATE(1309)] = 31363,
  [SMALL_STATE(1310)] = 31491,
  [SMALL_STATE(1311)] = 31619,
  [SMALL_STATE(1312)] = 31747,
  [SMALL_STATE(1313)] = 31875,
  [SMALL_STATE(1314)] = 32003,
  [SMALL_STATE(1315)] = 32131,
  [SMALL_STATE(1316)] = 32259,
  [SMALL_STATE(1317)] = 32387,
  [SMALL_STATE(1318)] = 32515,
  [SMALL_STATE(1319)] = 32643,
  [SMALL_STATE(1320)] = 32771,
  [SMALL_STATE(1321)] = 32899,
  [SMALL_STATE(1322)] = 33027,
  [SMALL_STATE(1323)] = 33155,
  [SMALL_STATE(1324)] = 33283,
  [SMALL_STATE(1325)] = 33411,
  [SMALL_STATE(1326)] = 33539,
  [SMALL_STATE(1327)] = 33667,
  [SMALL_STATE(1328)] = 33795,
  [SMALL_STATE(1329)] = 33923,
  [SMALL_STATE(1330)] = 34051,
  [SMALL_STATE(1331)] = 34179,
  [SMALL_STATE(1332)] = 34307,
  [SMALL_STATE(1333)] = 34435,
  [SMALL_STATE(1334)] = 34563,
  [SMALL_STATE(1335)] = 34691,
  [SMALL_STATE(1336)] = 34819,
  [SMALL_STATE(1337)] = 34947,
  [SMALL_STATE(1338)] = 35075,
  [SMALL_STATE(1339)] = 35203,
  [SMALL_STATE(1340)] = 35331,
  [SMALL_STATE(1341)] = 35459,
  [SMALL_STATE(1342)] = 35587,
  [SMALL_STATE(1343)] = 35715,
  [SMALL_STATE(1344)] = 35843,
  [SMALL_STATE(1345)] = 35971,
  [SMALL_STATE(1346)] = 36099,
  [SMALL_STATE(1347)] = 36227,
  [SMALL_STATE(1348)] = 36355,
  [SMALL_STATE(1349)] = 36483,
  [SMALL_STATE(1350)] = 36611,
  [SMALL_STATE(1351)] = 36739,
  [SMALL_STATE(1352)] = 36867,
  [SMALL_STATE(1353)] = 36995,
  [SMALL_STATE(1354)] = 37123,
  [SMALL_STATE(1355)] = 37251,
  [SMALL_STATE(1356)] = 37379,
  [SMALL_STATE(1357)] = 37507,
  [SMALL_STATE(1358)] = 37635,
  [SMALL_STATE(1359)] = 37763,
  [SMALL_STATE(1360)] = 37891,
  [SMALL_STATE(1361)] = 38019,
  [SMALL_STATE(1362)] = 38147,
  [SMALL_STATE(1363)] = 38275,
  [SMALL_STATE(1364)] = 38403,
  [SMALL_STATE(1365)] = 38531,
  [SMALL_STATE(1366)] = 38659,
  [SMALL_STATE(1367)] = 38787,
  [SMALL_STATE(1368)] = 38915,
  [SMALL_STATE(1369)] = 39043,
  [SMALL_STATE(1370)] = 39171,
  [SMALL_STATE(1371)] = 39299,
  [SMALL_STATE(1372)] = 39427,
  [SMALL_STATE(1373)] = 39555,
  [SMALL_STATE(1374)] = 39683,
  [SMALL_STATE(1375)] = 39811,
  [SMALL_STATE(1376)] = 39939,
  [SMALL_STATE(1377)] = 40067,
  [SMALL_STATE(1378)] = 40195,
  [SMALL_STATE(1379)] = 40323,
  [SMALL_STATE(1380)] = 40451,
  [SMALL_STATE(1381)] = 40579,
  [SMALL_STATE(1382)] = 40707,
  [SMALL_STATE(1383)] = 40835,
  [SMALL_STATE(1384)] = 40963,
  [SMALL_STATE(1385)] = 41091,
  [SMALL_STATE(1386)] = 41219,
  [SMALL_STATE(1387)] = 41347,
  [SMALL_STATE(1388)] = 41475,
  [SMALL_STATE(1389)] = 41603,
  [SMALL_STATE(1390)] = 41731,
  [SMALL_STATE(1391)] = 41859,
  [SMALL_STATE(1392)] = 41987,
  [SMALL_STATE(1393)] = 42115,
  [SMALL_STATE(1394)] = 42243,
  [SMALL_STATE(1395)] = 42371,
  [SMALL_STATE(1396)] = 42499,
  [SMALL_STATE(1397)] = 42627,
  [SMALL_STATE(1398)] = 42755,
  [SMALL_STATE(1399)] = 42883,
  [SMALL_STATE(1400)] = 43011,
  [SMALL_STATE(1401)] = 43139,
  [SMALL_STATE(1402)] = 43267,
  [SMALL_STATE(1403)] = 43395,
  [SMALL_STATE(1404)] = 43523,
  [SMALL_STATE(1405)] = 43651,
  [SMALL_STATE(1406)] = 43779,
  [SMALL_STATE(1407)] = 43907,
  [SMALL_STATE(1408)] = 44035,
  [SMALL_STATE(1409)] = 44163,
  [SMALL_STATE(1410)] = 44291,
  [SMALL_STATE(1411)] = 44419,
  [SMALL_STATE(1412)] = 44547,
  [SMALL_STATE(1413)] = 44675,
  [SMALL_STATE(1414)] = 44803,
  [SMALL_STATE(1415)] = 44931,
  [SMALL_STATE(1416)] = 45059,
  [SMALL_STATE(1417)] = 45187,
  [SMALL_STATE(1418)] = 45315,
  [SMALL_STATE(1419)] = 45443,
  [SMALL_STATE(1420)] = 45571,
  [SMALL_STATE(1421)] = 45699,
  [SMALL_STATE(1422)] = 45827,
  [SMALL_STATE(1423)] = 45955,
  [SMALL_STATE(1424)] = 46083,
  [SMALL_STATE(1425)] = 46211,
  [SMALL_STATE(1426)] = 46339,
  [SMALL_STATE(1427)] = 46467,
  [SMALL_STATE(1428)] = 46595,
  [SMALL_STATE(1429)] = 46723,
  [SMALL_STATE(1430)] = 46851,
  [SMALL_STATE(1431)] = 46979,
  [SMALL_STATE(1432)] = 47107,
  [SMALL_STATE(1433)] = 47235,
  [SMALL_STATE(1434)] = 47363,
  [SMALL_STATE(1435)] = 47491,
  [SMALL_STATE(1436)] = 47619,
  [SMALL_STATE(1437)] = 47747,
  [SMALL_STATE(1438)] = 47875,
  [SMALL_STATE(1439)] = 48003,
  [SMALL_STATE(1440)] = 48131,
  [SMALL_STATE(1441)] = 48259,
  [SMALL_STATE(1442)] = 48387,
  [SMALL_STATE(1443)] = 48515,
  [SMALL_STATE(1444)] = 48643,
  [SMALL_STATE(1445)] = 48771,
  [SMALL_STATE(1446)] = 48899,
  [SMALL_STATE(1447)] = 49027,
  [SMALL_STATE(1448)] = 49155,
  [SMALL_STATE(1449)] = 49283,
  [SMALL_STATE(1450)] = 49411,
  [SMALL_STATE(1451)] = 49539,
  [SMALL_STATE(1452)] = 49667,
  [SMALL_STATE(1453)] = 49795,
  [SMALL_STATE(1454)] = 49923,
  [SMALL_STATE(1455)] = 50051,
  [SMALL_STATE(1456)] = 50179,
  [SMALL_STATE(1457)] = 50307,
  [SMALL_STATE(1458)] = 50435,
  [SMALL_STATE(1459)] = 50563,
  [SMALL_STATE(1460)] = 50691,
  [SMALL_STATE(1461)] = 50819,
  [SMALL_STATE(1462)] = 50947,
  [SMALL_STATE(1463)] = 51075,
  [SMALL_STATE(1464)] = 51203,
  [SMALL_STATE(1465)] = 51331,
  [SMALL_STATE(1466)] = 51459,
  [SMALL_STATE(1467)] = 51587,
  [SMALL_STATE(1468)] = 51715,
  [SMALL_STATE(1469)] = 51843,
  [SMALL_STATE(1470)] = 51971,
  [SMALL_STATE(1471)] = 52099,
  [SMALL_STATE(1472)] = 52227,
  [SMALL_STATE(1473)] = 52355,
  [SMALL_STATE(1474)] = 52483,
  [SMALL_STATE(1475)] = 52611,
  [SMALL_STATE(1476)] = 52739,
  [SMALL_STATE(1477)] = 52867,
  [SMALL_STATE(1478)] = 52995,
  [SMALL_STATE(1479)] = 53123,
  [SMALL_STATE(1480)] = 53251,
  [SMALL_STATE(1481)] = 53379,
  [SMALL_STATE(1482)] = 53507,
  [SMALL_STATE(1483)] = 53635,
  [SMALL_STATE(1484)] = 53763,
  [SMALL_STATE(1485)] = 53891,
  [SMALL_STATE(1486)] = 54019,
  [SMALL_STATE(1487)] = 54147,
  [SMALL_STATE(1488)] = 54275,
  [SMALL_STATE(1489)] = 54403,
  [SMALL_STATE(1490)] = 54531,
  [SMALL_STATE(1491)] = 54659,
  [SMALL_STATE(1492)] = 54787,
  [SMALL_STATE(1493)] = 54915,
  [SMALL_STATE(1494)] = 55043,
  [SMALL_STATE(1495)] = 55171,
  [SMALL_STATE(1496)] = 55299,
  [SMALL_STATE(1497)] = 55427,
  [SMALL_STATE(1498)] = 55555,
  [SMALL_STATE(1499)] = 55683,
  [SMALL_STATE(1500)] = 55811,
  [SMALL_STATE(1501)] = 55939,
  [SMALL_STATE(1502)] = 56067,
  [SMALL_STATE(1503)] = 56195,
  [SMALL_STATE(1504)] = 56323,
  [SMALL_STATE(1505)] = 56451,
  [SMALL_STATE(1506)] = 56579,
  [SMALL_STATE(1507)] = 56707,
  [SMALL_STATE(1508)] = 56835,
  [SMALL_STATE(1509)] = 56963,
  [SMALL_STATE(1510)] = 57091,
  [SMALL_STATE(1511)] = 57219,
  [SMALL_STATE(1512)] = 57347,
  [SMALL_STATE(1513)] = 57475,
  [SMALL_STATE(1514)] = 57603,
  [SMALL_STATE(1515)] = 57731,
  [SMALL_STATE(1516)] = 57859,
  [SMALL_STATE(1517)] = 57987,
  [SMALL_STATE(1518)] = 58115,
  [SMALL_STATE(1519)] = 58243,
  [SMALL_STATE(1520)] = 58371,
  [SMALL_STATE(1521)] = 58499,
  [SMALL_STATE(1522)] = 58627,
  [SMALL_STATE(1523)] = 58755,
  [SMALL_STATE(1524)] = 58883,
  [SMALL_STATE(1525)] = 59011,
  [SMALL_STATE(1526)] = 59139,
  [SMALL_STATE(1527)] = 59267,
  [SMALL_STATE(1528)] = 59395,
  [SMALL_STATE(1529)] = 59523,
  [SMALL_STATE(1530)] = 59651,
  [SMALL_STATE(1531)] = 59777,
  [SMALL_STATE(1532)] = 59905,
  [SMALL_STATE(1533)] = 60033,
  [SMALL_STATE(1534)] = 60161,
  [SMALL_STATE(1535)] = 60289,
  [SMALL_STATE(1536)] = 60417,
  [SMALL_STATE(1537)] = 60545,
  [SMALL_STATE(1538)] = 60673,
  [SMALL_STATE(1539)] = 60801,
  [SMALL_STATE(1540)] = 60929,
  [SMALL_STATE(1541)] = 61057,
  [SMALL_STATE(1542)] = 61185,
  [SMALL_STATE(1543)] = 61313,
  [SMALL_STATE(1544)] = 61441,
  [SMALL_STATE(1545)] = 61569,
  [SMALL_STATE(1546)] = 61697,
  [SMALL_STATE(1547)] = 61825,
  [SMALL_STATE(1548)] = 61953,
  [SMALL_STATE(1549)] = 62081,
  [SMALL_STATE(1550)] = 62209,
  [SMALL_STATE(1551)] = 62337,
  [SMALL_STATE(1552)] = 62465,
  [SMALL_STATE(1553)] = 62593,
  [SMALL_STATE(1554)] = 62721,
  [SMALL_STATE(1555)] = 62849,
  [SMALL_STATE(1556)] = 62977,
  [SMALL_STATE(1557)] = 63105,
  [SMALL_STATE(1558)] = 63233,
  [SMALL_STATE(1559)] = 63361,
  [SMALL_STATE(1560)] = 63489,
  [SMALL_STATE(1561)] = 63617,
  [SMALL_STATE(1562)] = 63745,
  [SMALL_STATE(1563)] = 63873,
  [SMALL_STATE(1564)] = 64001,
  [SMALL_STATE(1565)] = 64129,
  [SMALL_STATE(1566)] = 64257,
  [SMALL_STATE(1567)] = 64385,
  [SMALL_STATE(1568)] = 64513,
  [SMALL_STATE(1569)] = 64641,
  [SMALL_STATE(1570)] = 64769,
  [SMALL_STATE(1571)] = 64897,
  [SMALL_STATE(1572)] = 65025,
  [SMALL_STATE(1573)] = 65153,
  [SMALL_STATE(1574)] = 65281,
  [SMALL_STATE(1575)] = 65409,
  [SMALL_STATE(1576)] = 65537,
  [SMALL_STATE(1577)] = 65665,
  [SMALL_STATE(1578)] = 65793,
  [SMALL_STATE(1579)] = 65921,
  [SMALL_STATE(1580)] = 66049,
  [SMALL_STATE(1581)] = 66177,
  [SMALL_STATE(1582)] = 66305,
  [SMALL_STATE(1583)] = 66433,
  [SMALL_STATE(1584)] = 66561,
  [SMALL_STATE(1585)] = 66689,
  [SMALL_STATE(1586)] = 66817,
  [SMALL_STATE(1587)] = 66945,
  [SMALL_STATE(1588)] = 67073,
  [SMALL_STATE(1589)] = 67201,
  [SMALL_STATE(1590)] = 67329,
  [SMALL_STATE(1591)] = 67457,
  [SMALL_STATE(1592)] = 67585,
  [SMALL_STATE(1593)] = 67713,
  [SMALL_STATE(1594)] = 67841,
  [SMALL_STATE(1595)] = 67969,
  [SMALL_STATE(1596)] = 68097,
  [SMALL_STATE(1597)] = 68225,
  [SMALL_STATE(1598)] = 68353,
  [SMALL_STATE(1599)] = 68481,
  [SMALL_STATE(1600)] = 68609,
  [SMALL_STATE(1601)] = 68737,
  [SMALL_STATE(1602)] = 68865,
  [SMALL_STATE(1603)] = 68993,
  [SMALL_STATE(1604)] = 69121,
  [SMALL_STATE(1605)] = 69249,
  [SMALL_STATE(1606)] = 69377,
  [SMALL_STATE(1607)] = 69505,
  [SMALL_STATE(1608)] = 69633,
  [SMALL_STATE(1609)] = 69761,
  [SMALL_STATE(1610)] = 69889,
  [SMALL_STATE(1611)] = 70017,
  [SMALL_STATE(1612)] = 70145,
  [SMALL_STATE(1613)] = 70273,
  [SMALL_STATE(1614)] = 70401,
  [SMALL_STATE(1615)] = 70529,
  [SMALL_STATE(1616)] = 70657,
  [SMALL_STATE(1617)] = 70785,
  [SMALL_STATE(1618)] = 70913,
  [SMALL_STATE(1619)] = 71041,
  [SMALL_STATE(1620)] = 71169,
  [SMALL_STATE(1621)] = 71297,
  [SMALL_STATE(1622)] = 71425,
  [SMALL_STATE(1623)] = 71553,
  [SMALL_STATE(1624)] = 71681,
  [SMALL_STATE(1625)] = 71809,
  [SMALL_STATE(1626)] = 71937,
  [SMALL_STATE(1627)] = 72065,
  [SMALL_STATE(1628)] = 72193,
  [SMALL_STATE(1629)] = 72321,
  [SMALL_STATE(1630)] = 72449,
  [SMALL_STATE(1631)] = 72577,
  [SMALL_STATE(1632)] = 72705,
  [SMALL_STATE(1633)] = 72833,
  [SMALL_STATE(1634)] = 72961,
  [SMALL_STATE(1635)] = 73089,
  [SMALL_STATE(1636)] = 73217,
  [SMALL_STATE(1637)] = 73345,
  [SMALL_STATE(1638)] = 73473,
  [SMALL_STATE(1639)] = 73601,
  [SMALL_STATE(1640)] = 73729,
  [SMALL_STATE(1641)] = 73857,
  [SMALL_STATE(1642)] = 73985,
  [SMALL_STATE(1643)] = 74113,
  [SMALL_STATE(1644)] = 74241,
  [SMALL_STATE(1645)] = 74369,
  [SMALL_STATE(1646)] = 74497,
  [SMALL_STATE(1647)] = 74625,
  [SMALL_STATE(1648)] = 74753,
  [SMALL_STATE(1649)] = 74881,
  [SMALL_STATE(1650)] = 75009,
  [SMALL_STATE(1651)] = 75137,
  [SMALL_STATE(1652)] = 75265,
  [SMALL_STATE(1653)] = 75393,
  [SMALL_STATE(1654)] = 75521,
  [SMALL_STATE(1655)] = 75649,
  [SMALL_STATE(1656)] = 75777,
  [SMALL_STATE(1657)] = 75905,
  [SMALL_STATE(1658)] = 76033,
  [SMALL_STATE(1659)] = 76161,
  [SMALL_STATE(1660)] = 76289,
  [SMALL_STATE(1661)] = 76417,
  [SMALL_STATE(1662)] = 76545,
  [SMALL_STATE(1663)] = 76673,
  [SMALL_STATE(1664)] = 76801,
  [SMALL_STATE(1665)] = 76929,
  [SMALL_STATE(1666)] = 77057,
  [SMALL_STATE(1667)] = 77185,
  [SMALL_STATE(1668)] = 77313,
  [SMALL_STATE(1669)] = 77441,
  [SMALL_STATE(1670)] = 77569,
  [SMALL_STATE(1671)] = 77697,
  [SMALL_STATE(1672)] = 77825,
  [SMALL_STATE(1673)] = 77953,
  [SMALL_STATE(1674)] = 78081,
  [SMALL_STATE(1675)] = 78209,
  [SMALL_STATE(1676)] = 78337,
  [SMALL_STATE(1677)] = 78465,
  [SMALL_STATE(1678)] = 78593,
  [SMALL_STATE(1679)] = 78721,
  [SMALL_STATE(1680)] = 78849,
  [SMALL_STATE(1681)] = 78977,
  [SMALL_STATE(1682)] = 79105,
  [SMALL_STATE(1683)] = 79233,
  [SMALL_STATE(1684)] = 79361,
  [SMALL_STATE(1685)] = 79489,
  [SMALL_STATE(1686)] = 79617,
  [SMALL_STATE(1687)] = 79745,
  [SMALL_STATE(1688)] = 79873,
  [SMALL_STATE(1689)] = 80001,
  [SMALL_STATE(1690)] = 80129,
  [SMALL_STATE(1691)] = 80257,
  [SMALL_STATE(1692)] = 80385,
  [SMALL_STATE(1693)] = 80513,
  [SMALL_STATE(1694)] = 80641,
  [SMALL_STATE(1695)] = 80769,
  [SMALL_STATE(1696)] = 80897,
  [SMALL_STATE(1697)] = 81025,
  [SMALL_STATE(1698)] = 81153,
  [SMALL_STATE(1699)] = 81281,
  [SMALL_STATE(1700)] = 81409,
  [SMALL_STATE(1701)] = 81537,
  [SMALL_STATE(1702)] = 81665,
  [SMALL_STATE(1703)] = 81793,
  [SMALL_STATE(1704)] = 81921,
  [SMALL_STATE(1705)] = 82049,
  [SMALL_STATE(1706)] = 82177,
  [SMALL_STATE(1707)] = 82305,
  [SMALL_STATE(1708)] = 82433,
  [SMALL_STATE(1709)] = 82561,
  [SMALL_STATE(1710)] = 82689,
  [SMALL_STATE(1711)] = 82817,
  [SMALL_STATE(1712)] = 82945,
  [SMALL_STATE(1713)] = 83073,
  [SMALL_STATE(1714)] = 83201,
  [SMALL_STATE(1715)] = 83329,
  [SMALL_STATE(1716)] = 83457,
  [SMALL_STATE(1717)] = 83585,
  [SMALL_STATE(1718)] = 83713,
  [SMALL_STATE(1719)] = 83841,
  [SMALL_STATE(1720)] = 83969,
  [SMALL_STATE(1721)] = 84097,
  [SMALL_STATE(1722)] = 84225,
  [SMALL_STATE(1723)] = 84353,
  [SMALL_STATE(1724)] = 84481,
  [SMALL_STATE(1725)] = 84609,
  [SMALL_STATE(1726)] = 84737,
  [SMALL_STATE(1727)] = 84865,
  [SMALL_STATE(1728)] = 84993,
  [SMALL_STATE(1729)] = 85121,
  [SMALL_STATE(1730)] = 85249,
  [SMALL_STATE(1731)] = 85377,
  [SMALL_STATE(1732)] = 85505,
  [SMALL_STATE(1733)] = 85633,
  [SMALL_STATE(1734)] = 85761,
  [SMALL_STATE(1735)] = 85889,
  [SMALL_STATE(1736)] = 86017,
  [SMALL_STATE(1737)] = 86145,
  [SMALL_STATE(1738)] = 86273,
  [SMALL_STATE(1739)] = 86401,
  [SMALL_STATE(1740)] = 86529,
  [SMALL_STATE(1741)] = 86657,
  [SMALL_STATE(1742)] = 86785,
  [SMALL_STATE(1743)] = 86913,
  [SMALL_STATE(1744)] = 87041,
  [SMALL_STATE(1745)] = 87169,
  [SMALL_STATE(1746)] = 87297,
  [SMALL_STATE(1747)] = 87425,
  [SMALL_STATE(1748)] = 87553,
  [SMALL_STATE(1749)] = 87681,
  [SMALL_STATE(1750)] = 87809,
  [SMALL_STATE(1751)] = 87937,
  [SMALL_STATE(1752)] = 88065,
  [SMALL_STATE(1753)] = 88193,
  [SMALL_STATE(1754)] = 88321,
  [SMALL_STATE(1755)] = 88449,
  [SMALL_STATE(1756)] = 88577,
  [SMALL_STATE(1757)] = 88705,
  [SMALL_STATE(1758)] = 88833,
  [SMALL_STATE(1759)] = 88961,
  [SMALL_STATE(1760)] = 89089,
  [SMALL_STATE(1761)] = 89217,
  [SMALL_STATE(1762)] = 89345,
  [SMALL_STATE(1763)] = 89473,
  [SMALL_STATE(1764)] = 89601,
  [SMALL_STATE(1765)] = 89729,
  [SMALL_STATE(1766)] = 89857,
  [SMALL_STATE(1767)] = 89985,
  [SMALL_STATE(1768)] = 90113,
  [SMALL_STATE(1769)] = 90241,
  [SMALL_STATE(1770)] = 90369,
  [SMALL_STATE(1771)] = 90497,
  [SMALL_STATE(1772)] = 90625,
  [SMALL_STATE(1773)] = 90753,
  [SMALL_STATE(1774)] = 90881,
  [SMALL_STATE(1775)] = 91009,
  [SMALL_STATE(1776)] = 91137,
  [SMALL_STATE(1777)] = 91265,
  [SMALL_STATE(1778)] = 91393,
  [SMALL_STATE(1779)] = 91521,
  [SMALL_STATE(1780)] = 91649,
  [SMALL_STATE(1781)] = 91771,
  [SMALL_STATE(1782)] = 91893,
  [SMALL_STATE(1783)] = 92015,
  [SMALL_STATE(1784)] = 92137,
  [SMALL_STATE(1785)] = 92259,
  [SMALL_STATE(1786)] = 92381,
  [SMALL_STATE(1787)] = 92503,
  [SMALL_STATE(1788)] = 92625,
  [SMALL_STATE(1789)] = 92747,
  [SMALL_STATE(1790)] = 92869,
  [SMALL_STATE(1791)] = 92991,
  [SMALL_STATE(1792)] = 93113,
  [SMALL_STATE(1793)] = 93235,
  [SMALL_STATE(1794)] = 93357,
  [SMALL_STATE(1795)] = 93479,
  [SMALL_STATE(1796)] = 93601,
  [SMALL_STATE(1797)] = 93723,
  [SMALL_STATE(1798)] = 93845,
  [SMALL_STATE(1799)] = 93967,
  [SMALL_STATE(1800)] = 94089,
  [SMALL_STATE(1801)] = 94211,
  [SMALL_STATE(1802)] = 94333,
  [SMALL_STATE(1803)] = 94455,
  [SMALL_STATE(1804)] = 94577,
  [SMALL_STATE(1805)] = 94699,
  [SMALL_STATE(1806)] = 94821,
  [SMALL_STATE(1807)] = 94943,
  [SMALL_STATE(1808)] = 95065,
  [SMALL_STATE(1809)] = 95187,
  [SMALL_STATE(1810)] = 95309,
  [SMALL_STATE(1811)] = 95431,
  [SMALL_STATE(1812)] = 95553,
  [SMALL_STATE(1813)] = 95675,
  [SMALL_STATE(1814)] = 95797,
  [SMALL_STATE(1815)] = 95919,
  [SMALL_STATE(1816)] = 96041,
  [SMALL_STATE(1817)] = 96163,
  [SMALL_STATE(1818)] = 96285,
  [SMALL_STATE(1819)] = 96407,
  [SMALL_STATE(1820)] = 96529,
  [SMALL_STATE(1821)] = 96651,
  [SMALL_STATE(1822)] = 96773,
  [SMALL_STATE(1823)] = 96895,
  [SMALL_STATE(1824)] = 97017,
  [SMALL_STATE(1825)] = 97139,
  [SMALL_STATE(1826)] = 97261,
  [SMALL_STATE(1827)] = 97383,
  [SMALL_STATE(1828)] = 97505,
  [SMALL_STATE(1829)] = 97627,
  [SMALL_STATE(1830)] = 97749,
  [SMALL_STATE(1831)] = 97871,
  [SMALL_STATE(1832)] = 97993,
  [SMALL_STATE(1833)] = 98115,
  [SMALL_STATE(1834)] = 98237,
  [SMALL_STATE(1835)] = 98359,
  [SMALL_STATE(1836)] = 98481,
  [SMALL_STATE(1837)] = 98603,
  [SMALL_STATE(1838)] = 98725,
  [SMALL_STATE(1839)] = 98847,
  [SMALL_STATE(1840)] = 98969,
  [SMALL_STATE(1841)] = 99091,
  [SMALL_STATE(1842)] = 99213,
  [SMALL_STATE(1843)] = 99335,
  [SMALL_STATE(1844)] = 99457,
  [SMALL_STATE(1845)] = 99579,
  [SMALL_STATE(1846)] = 99701,
  [SMALL_STATE(1847)] = 99823,
  [SMALL_STATE(1848)] = 99945,
  [SMALL_STATE(1849)] = 100067,
  [SMALL_STATE(1850)] = 100189,
  [SMALL_STATE(1851)] = 100311,
  [SMALL_STATE(1852)] = 100433,
  [SMALL_STATE(1853)] = 100504,
  [SMALL_STATE(1854)] = 100575,
  [SMALL_STATE(1855)] = 100645,
  [SMALL_STATE(1856)] = 100715,
  [SMALL_STATE(1857)] = 100780,
  [SMALL_STATE(1858)] = 100888,
  [SMALL_STATE(1859)] = 100952,
  [SMALL_STATE(1860)] = 101060,
  [SMALL_STATE(1861)] = 101168,
  [SMALL_STATE(1862)] = 101276,
  [SMALL_STATE(1863)] = 101384,
  [SMALL_STATE(1864)] = 101492,
  [SMALL_STATE(1865)] = 101600,
  [SMALL_STATE(1866)] = 101708,
  [SMALL_STATE(1867)] = 101811,
  [SMALL_STATE(1868)] = 101914,
  [SMALL_STATE(1869)] = 102017,
  [SMALL_STATE(1870)] = 102120,
  [SMALL_STATE(1871)] = 102215,
  [SMALL_STATE(1872)] = 102302,
  [SMALL_STATE(1873)] = 102373,
  [SMALL_STATE(1874)] = 102474,
  [SMALL_STATE(1875)] = 102577,
  [SMALL_STATE(1876)] = 102672,
  [SMALL_STATE(1877)] = 102751,
  [SMALL_STATE(1878)] = 102854,
  [SMALL_STATE(1879)] = 102951,
  [SMALL_STATE(1880)] = 103042,
  [SMALL_STATE(1881)] = 103129,
  [SMALL_STATE(1882)] = 103212,
  [SMALL_STATE(1883)] = 103287,
  [SMALL_STATE(1884)] = 103358,
  [SMALL_STATE(1885)] = 103431,
  [SMALL_STATE(1886)] = 103502,
  [SMALL_STATE(1887)] = 103605,
  [SMALL_STATE(1888)] = 103700,
  [SMALL_STATE(1889)] = 103803,
  [SMALL_STATE(1890)] = 103906,
  [SMALL_STATE(1891)] = 104007,
  [SMALL_STATE(1892)] = 104110,
  [SMALL_STATE(1893)] = 104205,
  [SMALL_STATE(1894)] = 104284,
  [SMALL_STATE(1895)] = 104387,
  [SMALL_STATE(1896)] = 104484,
  [SMALL_STATE(1897)] = 104575,
  [SMALL_STATE(1898)] = 104662,
  [SMALL_STATE(1899)] = 104745,
  [SMALL_STATE(1900)] = 104820,
  [SMALL_STATE(1901)] = 104891,
  [SMALL_STATE(1902)] = 104964,
  [SMALL_STATE(1903)] = 105035,
  [SMALL_STATE(1904)] = 105138,
  [SMALL_STATE(1905)] = 105241,
  [SMALL_STATE(1906)] = 105344,
  [SMALL_STATE(1907)] = 105447,
  [SMALL_STATE(1908)] = 105500,
  [SMALL_STATE(1909)] = 105603,
  [SMALL_STATE(1910)] = 105690,
  [SMALL_STATE(1911)] = 105793,
  [SMALL_STATE(1912)] = 105896,
  [SMALL_STATE(1913)] = 105999,
  [SMALL_STATE(1914)] = 106102,
  [SMALL_STATE(1915)] = 106205,
  [SMALL_STATE(1916)] = 106308,
  [SMALL_STATE(1917)] = 106411,
  [SMALL_STATE(1918)] = 106482,
  [SMALL_STATE(1919)] = 106585,
  [SMALL_STATE(1920)] = 106688,
  [SMALL_STATE(1921)] = 106791,
  [SMALL_STATE(1922)] = 106894,
  [SMALL_STATE(1923)] = 106997,
  [SMALL_STATE(1924)] = 107103,
  [SMALL_STATE(1925)] = 107197,
  [SMALL_STATE(1926)] = 107303,
  [SMALL_STATE(1927)] = 107409,
  [SMALL_STATE(1928)] = 107487,
  [SMALL_STATE(1929)] = 107569,
  [SMALL_STATE(1930)] = 107675,
  [SMALL_STATE(1931)] = 107745,
  [SMALL_STATE(1932)] = 107851,
  [SMALL_STATE(1933)] = 107921,
  [SMALL_STATE(1934)] = 108023,
  [SMALL_STATE(1935)] = 108129,
  [SMALL_STATE(1936)] = 108225,
  [SMALL_STATE(1937)] = 108315,
  [SMALL_STATE(1938)] = 108401,
  [SMALL_STATE(1939)] = 108507,
  [SMALL_STATE(1940)] = 108613,
  [SMALL_STATE(1941)] = 108695,
  [SMALL_STATE(1942)] = 108801,
  [SMALL_STATE(1943)] = 108907,
  [SMALL_STATE(1944)] = 109013,
  [SMALL_STATE(1945)] = 109087,
  [SMALL_STATE(1946)] = 109157,
  [SMALL_STATE(1947)] = 109263,
  [SMALL_STATE(1948)] = 109335,
  [SMALL_STATE(1949)] = 109405,
  [SMALL_STATE(1950)] = 109511,
  [SMALL_STATE(1951)] = 109617,
  [SMALL_STATE(1952)] = 109723,
  [SMALL_STATE(1953)] = 109829,
  [SMALL_STATE(1954)] = 109935,
  [SMALL_STATE(1955)] = 110037,
  [SMALL_STATE(1956)] = 110111,
  [SMALL_STATE(1957)] = 110217,
  [SMALL_STATE(1958)] = 110319,
  [SMALL_STATE(1959)] = 110425,
  [SMALL_STATE(1960)] = 110531,
  [SMALL_STATE(1961)] = 110637,
  [SMALL_STATE(1962)] = 110707,
  [SMALL_STATE(1963)] = 110813,
  [SMALL_STATE(1964)] = 110915,
  [SMALL_STATE(1965)] = 111021,
  [SMALL_STATE(1966)] = 111115,
  [SMALL_STATE(1967)] = 111187,
  [SMALL_STATE(1968)] = 111289,
  [SMALL_STATE(1969)] = 111395,
  [SMALL_STATE(1970)] = 111497,
  [SMALL_STATE(1971)] = 111603,
  [SMALL_STATE(1972)] = 111703,
  [SMALL_STATE(1973)] = 111809,
  [SMALL_STATE(1974)] = 111911,
  [SMALL_STATE(1975)] = 112017,
  [SMALL_STATE(1976)] = 112111,
  [SMALL_STATE(1977)] = 112189,
  [SMALL_STATE(1978)] = 112295,
  [SMALL_STATE(1979)] = 112401,
  [SMALL_STATE(1980)] = 112503,
  [SMALL_STATE(1981)] = 112609,
  [SMALL_STATE(1982)] = 112715,
  [SMALL_STATE(1983)] = 112785,
  [SMALL_STATE(1984)] = 112891,
  [SMALL_STATE(1985)] = 112997,
  [SMALL_STATE(1986)] = 113103,
  [SMALL_STATE(1987)] = 113209,
  [SMALL_STATE(1988)] = 113315,
  [SMALL_STATE(1989)] = 113421,
  [SMALL_STATE(1990)] = 113527,
  [SMALL_STATE(1991)] = 113633,
  [SMALL_STATE(1992)] = 113739,
  [SMALL_STATE(1993)] = 113845,
  [SMALL_STATE(1994)] = 113947,
  [SMALL_STATE(1995)] = 114053,
  [SMALL_STATE(1996)] = 114139,
  [SMALL_STATE(1997)] = 114235,
  [SMALL_STATE(1998)] = 114341,
  [SMALL_STATE(1999)] = 114443,
  [SMALL_STATE(2000)] = 114549,
  [SMALL_STATE(2001)] = 114651,
  [SMALL_STATE(2002)] = 114757,
  [SMALL_STATE(2003)] = 114859,
  [SMALL_STATE(2004)] = 114961,
  [SMALL_STATE(2005)] = 115067,
  [SMALL_STATE(2006)] = 115173,
  [SMALL_STATE(2007)] = 115275,
  [SMALL_STATE(2008)] = 115377,
  [SMALL_STATE(2009)] = 115483,
  [SMALL_STATE(2010)] = 115585,
  [SMALL_STATE(2011)] = 115691,
  [SMALL_STATE(2012)] = 115797,
  [SMALL_STATE(2013)] = 115903,
  [SMALL_STATE(2014)] = 116005,
  [SMALL_STATE(2015)] = 116111,
  [SMALL_STATE(2016)] = 116217,
  [SMALL_STATE(2017)] = 116323,
  [SMALL_STATE(2018)] = 116429,
  [SMALL_STATE(2019)] = 116535,
  [SMALL_STATE(2020)] = 116641,
  [SMALL_STATE(2021)] = 116735,
  [SMALL_STATE(2022)] = 116837,
  [SMALL_STATE(2023)] = 116943,
  [SMALL_STATE(2024)] = 117045,
  [SMALL_STATE(2025)] = 117151,
  [SMALL_STATE(2026)] = 117257,
  [SMALL_STATE(2027)] = 117347,
  [SMALL_STATE(2028)] = 117453,
  [SMALL_STATE(2029)] = 117555,
  [SMALL_STATE(2030)] = 117661,
  [SMALL_STATE(2031)] = 117763,
  [SMALL_STATE(2032)] = 117869,
  [SMALL_STATE(2033)] = 117975,
  [SMALL_STATE(2034)] = 118077,
  [SMALL_STATE(2035)] = 118183,
  [SMALL_STATE(2036)] = 118283,
  [SMALL_STATE(2037)] = 118389,
  [SMALL_STATE(2038)] = 118495,
  [SMALL_STATE(2039)] = 118581,
  [SMALL_STATE(2040)] = 118687,
  [SMALL_STATE(2041)] = 118789,
  [SMALL_STATE(2042)] = 118875,
  [SMALL_STATE(2043)] = 118977,
  [SMALL_STATE(2044)] = 119079,
  [SMALL_STATE(2045)] = 119185,
  [SMALL_STATE(2046)] = 119291,
  [SMALL_STATE(2047)] = 119395,
  [SMALL_STATE(2048)] = 119497,
  [SMALL_STATE(2049)] = 119549,
  [SMALL_STATE(2050)] = 119655,
  [SMALL_STATE(2051)] = 119757,
  [SMALL_STATE(2052)] = 119859,
  [SMALL_STATE(2053)] = 119965,
  [SMALL_STATE(2054)] = 120010,
  [SMALL_STATE(2055)] = 120055,
  [SMALL_STATE(2056)] = 120100,
  [SMALL_STATE(2057)] = 120145,
  [SMALL_STATE(2058)] = 120190,
  [SMALL_STATE(2059)] = 120235,
  [SMALL_STATE(2060)] = 120280,
  [SMALL_STATE(2061)] = 120325,
  [SMALL_STATE(2062)] = 120374,
  [SMALL_STATE(2063)] = 120419,
  [SMALL_STATE(2064)] = 120464,
  [SMALL_STATE(2065)] = 120513,
  [SMALL_STATE(2066)] = 120558,
  [SMALL_STATE(2067)] = 120603,
  [SMALL_STATE(2068)] = 120648,
  [SMALL_STATE(2069)] = 120693,
  [SMALL_STATE(2070)] = 120738,
  [SMALL_STATE(2071)] = 120783,
  [SMALL_STATE(2072)] = 120828,
  [SMALL_STATE(2073)] = 120873,
  [SMALL_STATE(2074)] = 120918,
  [SMALL_STATE(2075)] = 120963,
  [SMALL_STATE(2076)] = 121008,
  [SMALL_STATE(2077)] = 121053,
  [SMALL_STATE(2078)] = 121098,
  [SMALL_STATE(2079)] = 121143,
  [SMALL_STATE(2080)] = 121188,
  [SMALL_STATE(2081)] = 121233,
  [SMALL_STATE(2082)] = 121278,
  [SMALL_STATE(2083)] = 121323,
  [SMALL_STATE(2084)] = 121368,
  [SMALL_STATE(2085)] = 121412,
  [SMALL_STATE(2086)] = 121456,
  [SMALL_STATE(2087)] = 121504,
  [SMALL_STATE(2088)] = 121548,
  [SMALL_STATE(2089)] = 121596,
  [SMALL_STATE(2090)] = 121640,
  [SMALL_STATE(2091)] = 121684,
  [SMALL_STATE(2092)] = 121732,
  [SMALL_STATE(2093)] = 121776,
  [SMALL_STATE(2094)] = 121820,
  [SMALL_STATE(2095)] = 121864,
  [SMALL_STATE(2096)] = 121907,
  [SMALL_STATE(2097)] = 121950,
  [SMALL_STATE(2098)] = 121993,
  [SMALL_STATE(2099)] = 122036,
  [SMALL_STATE(2100)] = 122079,
  [SMALL_STATE(2101)] = 122122,
  [SMALL_STATE(2102)] = 122165,
  [SMALL_STATE(2103)] = 122208,
  [SMALL_STATE(2104)] = 122251,
  [SMALL_STATE(2105)] = 122294,
  [SMALL_STATE(2106)] = 122337,
  [SMALL_STATE(2107)] = 122380,
  [SMALL_STATE(2108)] = 122423,
  [SMALL_STATE(2109)] = 122466,
  [SMALL_STATE(2110)] = 122509,
  [SMALL_STATE(2111)] = 122552,
  [SMALL_STATE(2112)] = 122595,
  [SMALL_STATE(2113)] = 122638,
  [SMALL_STATE(2114)] = 122681,
  [SMALL_STATE(2115)] = 122724,
  [SMALL_STATE(2116)] = 122767,
  [SMALL_STATE(2117)] = 122810,
  [SMALL_STATE(2118)] = 122852,
  [SMALL_STATE(2119)] = 122894,
  [SMALL_STATE(2120)] = 122936,
  [SMALL_STATE(2121)] = 122978,
  [SMALL_STATE(2122)] = 123020,
  [SMALL_STATE(2123)] = 123062,
  [SMALL_STATE(2124)] = 123104,
  [SMALL_STATE(2125)] = 123146,
  [SMALL_STATE(2126)] = 123188,
  [SMALL_STATE(2127)] = 123230,
  [SMALL_STATE(2128)] = 123272,
  [SMALL_STATE(2129)] = 123314,
  [SMALL_STATE(2130)] = 123356,
  [SMALL_STATE(2131)] = 123398,
  [SMALL_STATE(2132)] = 123440,
  [SMALL_STATE(2133)] = 123482,
  [SMALL_STATE(2134)] = 123524,
  [SMALL_STATE(2135)] = 123566,
  [SMALL_STATE(2136)] = 123608,
  [SMALL_STATE(2137)] = 123633,
  [SMALL_STATE(2138)] = 123652,
  [SMALL_STATE(2139)] = 123671,
  [SMALL_STATE(2140)] = 123690,
  [SMALL_STATE(2141)] = 123709,
  [SMALL_STATE(2142)] = 123728,
  [SMALL_STATE(2143)] = 123747,
  [SMALL_STATE(2144)] = 123766,
  [SMALL_STATE(2145)] = 123785,
  [SMALL_STATE(2146)] = 123804,
  [SMALL_STATE(2147)] = 123823,
  [SMALL_STATE(2148)] = 123842,
  [SMALL_STATE(2149)] = 123861,
  [SMALL_STATE(2150)] = 123880,
  [SMALL_STATE(2151)] = 123899,
  [SMALL_STATE(2152)] = 123918,
  [SMALL_STATE(2153)] = 123937,
  [SMALL_STATE(2154)] = 123956,
  [SMALL_STATE(2155)] = 123975,
  [SMALL_STATE(2156)] = 123994,
  [SMALL_STATE(2157)] = 124013,
  [SMALL_STATE(2158)] = 124032,
  [SMALL_STATE(2159)] = 124051,
  [SMALL_STATE(2160)] = 124070,
  [SMALL_STATE(2161)] = 124089,
  [SMALL_STATE(2162)] = 124108,
  [SMALL_STATE(2163)] = 124122,
  [SMALL_STATE(2164)] = 124136,
  [SMALL_STATE(2165)] = 124150,
  [SMALL_STATE(2166)] = 124164,
  [SMALL_STATE(2167)] = 124178,
  [SMALL_STATE(2168)] = 124192,
  [SMALL_STATE(2169)] = 124206,
  [SMALL_STATE(2170)] = 124220,
  [SMALL_STATE(2171)] = 124234,
  [SMALL_STATE(2172)] = 124248,
  [SMALL_STATE(2173)] = 124262,
  [SMALL_STATE(2174)] = 124278,
  [SMALL_STATE(2175)] = 124294,
  [SMALL_STATE(2176)] = 124310,
  [SMALL_STATE(2177)] = 124324,
  [SMALL_STATE(2178)] = 124338,
  [SMALL_STATE(2179)] = 124352,
  [SMALL_STATE(2180)] = 124366,
  [SMALL_STATE(2181)] = 124380,
  [SMALL_STATE(2182)] = 124394,
  [SMALL_STATE(2183)] = 124408,
  [SMALL_STATE(2184)] = 124422,
  [SMALL_STATE(2185)] = 124436,
  [SMALL_STATE(2186)] = 124450,
  [SMALL_STATE(2187)] = 124464,
  [SMALL_STATE(2188)] = 124478,
  [SMALL_STATE(2189)] = 124492,
  [SMALL_STATE(2190)] = 124508,
  [SMALL_STATE(2191)] = 124522,
  [SMALL_STATE(2192)] = 124536,
  [SMALL_STATE(2193)] = 124550,
  [SMALL_STATE(2194)] = 124564,
  [SMALL_STATE(2195)] = 124578,
  [SMALL_STATE(2196)] = 124592,
  [SMALL_STATE(2197)] = 124606,
  [SMALL_STATE(2198)] = 124620,
  [SMALL_STATE(2199)] = 124634,
  [SMALL_STATE(2200)] = 124648,
  [SMALL_STATE(2201)] = 124664,
  [SMALL_STATE(2202)] = 124678,
  [SMALL_STATE(2203)] = 124692,
  [SMALL_STATE(2204)] = 124706,
  [SMALL_STATE(2205)] = 124722,
  [SMALL_STATE(2206)] = 124736,
  [SMALL_STATE(2207)] = 124752,
  [SMALL_STATE(2208)] = 124766,
  [SMALL_STATE(2209)] = 124780,
  [SMALL_STATE(2210)] = 124794,
  [SMALL_STATE(2211)] = 124810,
  [SMALL_STATE(2212)] = 124824,
  [SMALL_STATE(2213)] = 124840,
  [SMALL_STATE(2214)] = 124856,
  [SMALL_STATE(2215)] = 124870,
  [SMALL_STATE(2216)] = 124886,
  [SMALL_STATE(2217)] = 124902,
  [SMALL_STATE(2218)] = 124918,
  [SMALL_STATE(2219)] = 124932,
  [SMALL_STATE(2220)] = 124948,
  [SMALL_STATE(2221)] = 124964,
  [SMALL_STATE(2222)] = 124980,
  [SMALL_STATE(2223)] = 124994,
  [SMALL_STATE(2224)] = 125010,
  [SMALL_STATE(2225)] = 125026,
  [SMALL_STATE(2226)] = 125042,
  [SMALL_STATE(2227)] = 125056,
  [SMALL_STATE(2228)] = 125072,
  [SMALL_STATE(2229)] = 125086,
  [SMALL_STATE(2230)] = 125102,
  [SMALL_STATE(2231)] = 125118,
  [SMALL_STATE(2232)] = 125132,
  [SMALL_STATE(2233)] = 125146,
  [SMALL_STATE(2234)] = 125162,
  [SMALL_STATE(2235)] = 125178,
  [SMALL_STATE(2236)] = 125194,
  [SMALL_STATE(2237)] = 125210,
  [SMALL_STATE(2238)] = 125226,
  [SMALL_STATE(2239)] = 125240,
  [SMALL_STATE(2240)] = 125256,
  [SMALL_STATE(2241)] = 125272,
  [SMALL_STATE(2242)] = 125288,
  [SMALL_STATE(2243)] = 125304,
  [SMALL_STATE(2244)] = 125320,
  [SMALL_STATE(2245)] = 125336,
  [SMALL_STATE(2246)] = 125352,
  [SMALL_STATE(2247)] = 125368,
  [SMALL_STATE(2248)] = 125384,
  [SMALL_STATE(2249)] = 125400,
  [SMALL_STATE(2250)] = 125416,
  [SMALL_STATE(2251)] = 125432,
  [SMALL_STATE(2252)] = 125448,
  [SMALL_STATE(2253)] = 125464,
  [SMALL_STATE(2254)] = 125480,
  [SMALL_STATE(2255)] = 125496,
  [SMALL_STATE(2256)] = 125512,
  [SMALL_STATE(2257)] = 125528,
  [SMALL_STATE(2258)] = 125544,
  [SMALL_STATE(2259)] = 125560,
  [SMALL_STATE(2260)] = 125576,
  [SMALL_STATE(2261)] = 125592,
  [SMALL_STATE(2262)] = 125608,
  [SMALL_STATE(2263)] = 125624,
  [SMALL_STATE(2264)] = 125640,
  [SMALL_STATE(2265)] = 125656,
  [SMALL_STATE(2266)] = 125672,
  [SMALL_STATE(2267)] = 125688,
  [SMALL_STATE(2268)] = 125704,
  [SMALL_STATE(2269)] = 125720,
  [SMALL_STATE(2270)] = 125736,
  [SMALL_STATE(2271)] = 125752,
  [SMALL_STATE(2272)] = 125768,
  [SMALL_STATE(2273)] = 125784,
  [SMALL_STATE(2274)] = 125800,
  [SMALL_STATE(2275)] = 125816,
  [SMALL_STATE(2276)] = 125832,
  [SMALL_STATE(2277)] = 125848,
  [SMALL_STATE(2278)] = 125864,
  [SMALL_STATE(2279)] = 125880,
  [SMALL_STATE(2280)] = 125896,
  [SMALL_STATE(2281)] = 125912,
  [SMALL_STATE(2282)] = 125928,
  [SMALL_STATE(2283)] = 125944,
  [SMALL_STATE(2284)] = 125960,
  [SMALL_STATE(2285)] = 125976,
  [SMALL_STATE(2286)] = 125992,
  [SMALL_STATE(2287)] = 126005,
  [SMALL_STATE(2288)] = 126018,
  [SMALL_STATE(2289)] = 126029,
  [SMALL_STATE(2290)] = 126040,
  [SMALL_STATE(2291)] = 126051,
  [SMALL_STATE(2292)] = 126061,
  [SMALL_STATE(2293)] = 126071,
  [SMALL_STATE(2294)] = 126079,
  [SMALL_STATE(2295)] = 126089,
  [SMALL_STATE(2296)] = 126097,
  [SMALL_STATE(2297)] = 126107,
  [SMALL_STATE(2298)] = 126117,
  [SMALL_STATE(2299)] = 126127,
  [SMALL_STATE(2300)] = 126137,
  [SMALL_STATE(2301)] = 126147,
  [SMALL_STATE(2302)] = 126157,
  [SMALL_STATE(2303)] = 126165,
  [SMALL_STATE(2304)] = 126173,
  [SMALL_STATE(2305)] = 126183,
  [SMALL_STATE(2306)] = 126193,
  [SMALL_STATE(2307)] = 126203,
  [SMALL_STATE(2308)] = 126210,
  [SMALL_STATE(2309)] = 126217,
  [SMALL_STATE(2310)] = 126224,
  [SMALL_STATE(2311)] = 126231,
  [SMALL_STATE(2312)] = 126238,
  [SMALL_STATE(2313)] = 126245,
  [SMALL_STATE(2314)] = 126252,
  [SMALL_STATE(2315)] = 126259,
  [SMALL_STATE(2316)] = 126266,
  [SMALL_STATE(2317)] = 126273,
  [SMALL_STATE(2318)] = 126280,
  [SMALL_STATE(2319)] = 126287,
  [SMALL_STATE(2320)] = 126294,
  [SMALL_STATE(2321)] = 126301,
  [SMALL_STATE(2322)] = 126308,
  [SMALL_STATE(2323)] = 126315,
  [SMALL_STATE(2324)] = 126322,
  [SMALL_STATE(2325)] = 126329,
  [SMALL_STATE(2326)] = 126336,
  [SMALL_STATE(2327)] = 126343,
  [SMALL_STATE(2328)] = 126350,
  [SMALL_STATE(2329)] = 126357,
  [SMALL_STATE(2330)] = 126364,
  [SMALL_STATE(2331)] = 126371,
  [SMALL_STATE(2332)] = 126378,
  [SMALL_STATE(2333)] = 126385,
  [SMALL_STATE(2334)] = 126392,
  [SMALL_STATE(2335)] = 126399,
  [SMALL_STATE(2336)] = 126406,
  [SMALL_STATE(2337)] = 126413,
  [SMALL_STATE(2338)] = 126420,
  [SMALL_STATE(2339)] = 126427,
  [SMALL_STATE(2340)] = 126434,
  [SMALL_STATE(2341)] = 126441,
  [SMALL_STATE(2342)] = 126448,
  [SMALL_STATE(2343)] = 126455,
  [SMALL_STATE(2344)] = 126462,
  [SMALL_STATE(2345)] = 126469,
  [SMALL_STATE(2346)] = 126476,
  [SMALL_STATE(2347)] = 126483,
  [SMALL_STATE(2348)] = 126490,
  [SMALL_STATE(2349)] = 126497,
  [SMALL_STATE(2350)] = 126504,
  [SMALL_STATE(2351)] = 126511,
  [SMALL_STATE(2352)] = 126518,
  [SMALL_STATE(2353)] = 126525,
  [SMALL_STATE(2354)] = 126532,
  [SMALL_STATE(2355)] = 126539,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [7] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 42),
  [9] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 42),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 34),
  [105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 34),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 37),
  [155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 37),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 38),
  [161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 38),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 9, 0, 51),
  [325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 9, 0, 51),
  [327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeat_statement, 2, 0, 2),
  [329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_repeat_statement, 2, 0, 2),
  [331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 2, 0, 3),
  [333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 2, 0, 3),
  [335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 8),
  [337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 8),
  [339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeat_statement, 3, 0, 12),
  [341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_repeat_statement, 3, 0, 12),
  [343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 3, 0, 13),
  [345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 3, 0, 13),
  [347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 3, 0, 15),
  [349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_operator, 3, 0, 15),
  [351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 23),
  [353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 23),
  [355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 25),
  [357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 25),
  [359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 4, 0, 26),
  [361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_operator, 4, 0, 26),
  [363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 33),
  [365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 33),
  [367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 35),
  [369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 35),
  [371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, 0, 39),
  [373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, 0, 39),
  [375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, 0, 40),
  [377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, 0, 40),
  [379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 41),
  [381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 41),
  [383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 43),
  [385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 43),
  [387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 7, 0, 44),
  [389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 7, 0, 44),
  [391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 8, 0, 45),
  [393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 8, 0, 45),
  [395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 8, 0, 46),
  [397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 8, 0, 46),
  [399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 8, 0, 47),
  [401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 8, 0, 47),
  [403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 48),
  [405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 48),
  [407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 49),
  [409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 49),
  [411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 9, 0, 50),
  [413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 9, 0, 50),
  [415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 9, 0, 52),
  [417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 9, 0, 52),
  [419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 53),
  [421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 53),
  [423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 10, 0, 54),
  [425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 10, 0, 54),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 1, 0, 6),
  [623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 1, 0, 6),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extract_operator, 2, 0, 4),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extract_operator, 2, 0, 4),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extract_operator, 3, 0, 4),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extract_operator, 3, 0, 4),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_value, 1, 0, 16),
  [801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_value, 1, 0, 16),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [1033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(761),
  [1036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2161),
  [1039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2161),
  [1042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2247),
  [1045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2269),
  [1048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2217),
  [1051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1595),
  [1054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1596),
  [1057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1599),
  [1060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1600),
  [1063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1601),
  [1066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(772),
  [1069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(772),
  [1072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2182),
  [1075] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2184),
  [1078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(445),
  [1081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1002),
  [1084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(947),
  [1087] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(445),
  [1090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2081),
  [1093] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2083),
  [1096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(768),
  [1099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1027),
  [1102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(927),
  [1105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [1115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_operator, 2, 0, 4),
  [1117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_operator, 2, 0, 4),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [1131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 1, 0, 6),
  [1133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 1, 0, 6),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [1139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(781),
  [1142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2150),
  [1145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2150),
  [1148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2249),
  [1151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2271),
  [1154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2221),
  [1157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1331),
  [1160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1344),
  [1163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1464),
  [1166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1465),
  [1169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1498),
  [1172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(778),
  [1175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(778),
  [1178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2169),
  [1181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2170),
  [1184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(517),
  [1187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(945),
  [1190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(994),
  [1193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(517),
  [1196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2065),
  [1199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2055),
  [1202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(775),
  [1205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1030),
  [1208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(928),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [1213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(770),
  [1216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2155),
  [1219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2155),
  [1222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2241),
  [1225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2262),
  [1228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2204),
  [1231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1306),
  [1234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1308),
  [1237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1310),
  [1240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1314),
  [1243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1316),
  [1246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(762),
  [1249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(762),
  [1252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2171),
  [1255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2177),
  [1258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(498),
  [1261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(980),
  [1264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(983),
  [1267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(498),
  [1270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2071),
  [1273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2080),
  [1276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(798),
  [1279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1009),
  [1282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(922),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [1313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__single_quoted_string, 3, 0, 14),
  [1315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_quoted_string, 3, 0, 14),
  [1317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [1319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [1321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_or_identifier, 1, 0, 0),
  [1323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_or_identifier, 1, 0, 0),
  [1325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 1, 0, 0),
  [1327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 1, 0, 0),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [1333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 1, 0, 1),
  [1335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 1, 0, 1),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [1341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__double_quoted_string, 3, 0, 14),
  [1343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__double_quoted_string, 3, 0, 14),
  [1345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__single_quoted_string, 2, 0, 0),
  [1347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_quoted_string, 2, 0, 0),
  [1349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__double_quoted_string, 2, 0, 0),
  [1351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__double_quoted_string, 2, 0, 0),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [1357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 1, 0, 0),
  [1359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 1, 0, 0),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [1381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [1385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [1391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0),
  [1393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0),
  [1395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(782),
  [1398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(788),
  [1401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(796),
  [1404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(797),
  [1407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(800),
  [1410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [1412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subset, 2, 0, 5),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subset, 2, 0, 5),
  [1418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [1420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [1434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [1436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [1438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [1440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [1442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [1444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [1446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [1450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [1452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [1454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [1456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [1458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [1460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_na, 1, 0, 0),
  [1462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_na, 1, 0, 0),
  [1464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_integer, 2, 0, 0),
  [1466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_integer, 2, 0, 0),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_complex, 2, 0, 0),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_complex, 2, 0, 0),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 2, 0, 5),
  [1474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 2, 0, 5),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subset2, 2, 0, 5),
  [1478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subset2, 2, 0, 5),
  [1480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 2, 0, 7),
  [1482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 2, 0, 7),
  [1484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_braced_expression, 2, 0, 7),
  [1486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_braced_expression, 2, 0, 7),
  [1488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [1490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(823),
  [1493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extract_operator, 3, 0, 15),
  [1495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extract_operator, 3, 0, 15),
  [1497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_arguments, 2, 0, 7),
  [1499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_arguments, 2, 0, 7),
  [1501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subset_arguments, 2, 0, 7),
  [1503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subset_arguments, 2, 0, 7),
  [1505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subset2_arguments, 2, 0, 7),
  [1507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subset2_arguments, 2, 0, 7),
  [1509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_operator, 3, 0, 15),
  [1511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_operator, 3, 0, 15),
  [1513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 21),
  [1515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 21),
  [1517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_braced_expression, 3, 0, 21),
  [1519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_braced_expression, 3, 0, 21),
  [1521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extract_operator, 4, 0, 26),
  [1523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extract_operator, 4, 0, 26),
  [1525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_arguments, 3, 0, 27),
  [1527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_arguments, 3, 0, 27),
  [1529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subset_arguments, 3, 0, 27),
  [1531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subset_arguments, 3, 0, 27),
  [1533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subset2_arguments, 3, 0, 27),
  [1535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subset2_arguments, 3, 0, 27),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [1539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(836),
  [1542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [1544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(846),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [1557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(881),
  [1560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [1562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [1564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [1566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [1568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [1570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(924),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [1591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [1601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(804),
  [1604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2146),
  [1607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2146),
  [1610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2243),
  [1613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2265),
  [1616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2210),
  [1619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(1602),
  [1622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(1609),
  [1625] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(1665),
  [1628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(1674),
  [1631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(1693),
  [1634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(807),
  [1637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(807),
  [1640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2202),
  [1643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2203),
  [1646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(363),
  [1649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(953),
  [1652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(363),
  [1655] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2054),
  [1658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(803),
  [1661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(1021),
  [1664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(925),
  [1667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22),
  [1669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [1671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(777),
  [1674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2148),
  [1677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2148),
  [1680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2220),
  [1683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2200),
  [1686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2216),
  [1689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1673),
  [1692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1145),
  [1695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1197),
  [1698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1210),
  [1701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1288),
  [1704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(779),
  [1707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(779),
  [1710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2228),
  [1713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2209),
  [1716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(468),
  [1719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1025),
  [1722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(468),
  [1725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(949),
  [1728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(802),
  [1731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1044),
  [1734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(902),
  [1737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_named, 2, 0, 9),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [1741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [1795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [1827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [1833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(801),
  [1836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2155),
  [1839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2155),
  [1842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2241),
  [1845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2262),
  [1848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2204),
  [1851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(1306),
  [1854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(1308),
  [1857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(1310),
  [1860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(1314),
  [1863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(1316),
  [1866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(762),
  [1869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(762),
  [1872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2171),
  [1875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2177),
  [1878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(696),
  [1881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(980),
  [1884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(696),
  [1887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2090),
  [1890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(798),
  [1893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(1009),
  [1896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22),
  [1898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(922),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [1957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [2119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [2201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [2207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [2223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [2229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [2233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [2239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [2253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [2263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [2269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [2279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [2283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [2291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [2301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2251),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [2305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [2319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [2321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [2365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [2375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [2379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [2387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [2391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [2395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [2399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [2409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [2413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [2441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [2453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [2465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [2471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [2477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [2483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [2489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [2495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [2499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [2503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [2509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [2515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [2519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [2523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [2531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [2535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [2539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [2625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [2633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [2637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [2647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [2651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [2655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [2663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [2669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [2675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [2679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [2683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [2687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [2691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [2703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [2713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [2727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [2731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [2735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [2747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [2767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [2771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [2775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [2781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [2793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [2797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [2815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [2819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [2827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [2845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [2849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [2855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [2863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [2867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [2871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [2877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [2885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [2889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [2893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [2899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [2907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [2911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [2917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [2921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [2925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [2927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [2929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [2941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [2943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [2945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [2955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [2967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [2979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [2993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [2999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [3005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [3011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [3015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [3027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [3037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [3041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [3045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [3051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [3061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [3065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [3095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [3119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [3125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [3131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [3137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [3141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [3145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [3151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [3155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [3159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [3163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [3169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [3175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [3181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [3185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [3191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [3195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [3199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [3203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [3207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [3211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [3217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [3221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [3225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [3235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [3245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [3249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [3255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [3259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [3263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [3267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [3277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [3287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [3291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [3295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [3297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [3299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [3301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [3303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [3315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [3321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1963),
  [3323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [3335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [3339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [3345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [3349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [3355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [3359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [3365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [3369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [3373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [3379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [3383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [3387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [3393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [3399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [3403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [3409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [3413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [3425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [3429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [3433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [3437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [3441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [3445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [3451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [3457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [3463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [3467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [3471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [3477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [3483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [3489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [3495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [3499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1973),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [3505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [3509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [3515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [3521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [3527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [3531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [3537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [3543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [3549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [3555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [3559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [3565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [3569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [3575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [3581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [3587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [3591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [3597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [3603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [3609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [3613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [3619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [3623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [3625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [3627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [3629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [3631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [3643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [3649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [3651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [3663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [3669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [3675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [3681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [3687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [3693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [3697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [3701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [3705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [3709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [3713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [3719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [3725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [3731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [3737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [3743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [3749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [3755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [3761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [3767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [3773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [3779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [3785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [3789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [3793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [3799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [3803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [3807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [3811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [3815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [3819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [3823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [3827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [3831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [3835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [3839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [3843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [3847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [3851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [3855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [3861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [3865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [3871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [3877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [3883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [3887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [3891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [3897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [3903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [3907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [3913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [3917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [3921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [3927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [3931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [3935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [3941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [3947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [3953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [3959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [3965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [3969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [3973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [3979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [3983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [3987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [3993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [3997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [4003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [4007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [4009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [4011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [4015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [4021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [4027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [4033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [4039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [4043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [4055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [4061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [4067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [4079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [4085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [4091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [4097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [4103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [4107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [4113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [4119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [4125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [4129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [4133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [4139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [4143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [4147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [4151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [4155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [4159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [4163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [4167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [4171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [4175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [4179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [4183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [4187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [4191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [4195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [4199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [4203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [4207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [4211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [4215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [4217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [4219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [4223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [4227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [4231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [4235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [4237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [4239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [4241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [4243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [4245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [4247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [4249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [4251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [4255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [4259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [4265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [4267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [4269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [4271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [4273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [4275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [4277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [4279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [4281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [4285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [4287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [4291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [4295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [4299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [4301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [4303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [4305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [4309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [4315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [4319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [4323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [4325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [4327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [4331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [4337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [4341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [4345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [4351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [4357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [4361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [4367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [4371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [4375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [4381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [4385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [4389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [4393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [4395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [4397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [4399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [4401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [4413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [4415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [4417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [4427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [4433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [4439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [4445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [4451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [4455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_with_default, 2, 0, 9),
  [4457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [4461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [4467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1969),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [4473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [4477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [4483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [4487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [4491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(43),
  [4493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [4495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [4497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [4501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [4503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [4505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [4507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [4511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(44),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [4517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [4523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [4529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [4535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [4541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [4547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [4551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [4553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [4555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [4559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [4563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [4565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [4571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [4573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [4577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [4579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [4583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [4585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [4587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [4589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [4593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [4595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [4599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [4605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [4607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [4609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [4611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [4613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [4615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [4617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [4619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [4621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [4623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [4625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [4627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [4629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [4631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [4633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [4635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [4637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [4641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [4643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [4645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [4649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [4651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [4655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [4659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [4665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [4669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [4673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [4677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [4681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [4685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [4689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [4693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [4699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [4703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [4705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [4707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [4709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [4711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [4715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [4719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [4723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [4727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [4731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [4735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [4739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [4743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [4747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [4751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [4755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [4757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [4761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [4765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [4769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [4775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [4781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [4785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [4791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [4797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [4803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [4809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [4815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [4821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [4827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [4833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [4837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [4841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [4845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [4851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [4855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [4859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [4863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [4865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [4867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [4869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [4873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [4877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [4883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [4889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [4895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [4899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [4903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [4907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [4911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [4917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [4923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [4927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [4931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [4937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [4941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [4947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [4951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [4957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [4961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [4967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [4973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [4979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [4983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [4989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [4995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [5001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [5005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [5011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [5017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [5019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [5023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [5029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [5035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [5037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [5039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [5041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [5043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [5045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [5047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [5049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [5053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [5055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [5059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [5065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [5071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [5075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [5081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [5087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [5091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [5097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [5099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [5103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [5105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [5109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [5113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(64),
  [5115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [5117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [5119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [5125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [5131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [5135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [5141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [5147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [5151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [5153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [5157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [5163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [5167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [5169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [5173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [5175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [5177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [5179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [5181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [5183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [5185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [5187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [5189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [5191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [5193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [5195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [5199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [5203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [5205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [5207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [5209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [5211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [5213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [5215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [5217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [5219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [5221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [5223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [5225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [5227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [5229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [5231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [5233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [5237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [5239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [5241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [5243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [5245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [5247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [5249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [5253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [5257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [5263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [5267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [5271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [5273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [5275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [5277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [5279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [5281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [5283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [5285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [5287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [5289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [5291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [5293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [5295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [5297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [5299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [5301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [5303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [5305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [5307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [5309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [5313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [5315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [5319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [5321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [5323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [5329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [5333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [5337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [5339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15),
  [5341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [5343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [5347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [5349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [5351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [5353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [5355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [5357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [5359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [5361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [5363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [5365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [5367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [5369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [5371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16),
  [5373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [5377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17),
  [5379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [5381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [5383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [5387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [5391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [5393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [5397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [5399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [5401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [5403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [5405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [5407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [5409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [5413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [5415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [5417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [5421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(26),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [5427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [5431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [5433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [5435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [5437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [5439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [5441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [5443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [5445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [5447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [5449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [5451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [5453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [5455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [5457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [5459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [5461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [5463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [5465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [5467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [5469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [5471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [5473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [5475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [5477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [5479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [5481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [5483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [5485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [5487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [5489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [5491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [5493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [5495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [5497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [5499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [5501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [5503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [5505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [5507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [5509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [5511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [5513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [5515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [5517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [5519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [5521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [5523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [5525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [5527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [5529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [5531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [5533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [5535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [5537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [5539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [5541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [5543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [5545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [5547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [5549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [5551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [5553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [5555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [5557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [5559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [5561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [5563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [5565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [5567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [5569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [5571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [5573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [5575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [5577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [5579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [5581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [5583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [5585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [5587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [5589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [5591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [5593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [5595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [5597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [5599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [5601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [5603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [5605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [5607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [5609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [5611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [5613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [5615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [5617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [5619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [5621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [5623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [5625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [5627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(38),
  [5629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [5631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [5633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [5635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [5637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [5639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [5641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [5643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [5645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [5647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [5649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [5651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [5653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [5655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [5657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [5659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [5661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [5663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [5665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [5667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [5669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [5671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [5673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [5675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [5677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [5679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [5681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [5683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [5685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [5687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [5689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [5691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [5693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [5695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(24),
  [5697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [5699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [5701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [5703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [5705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [5707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [5709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [5711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [5713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [5715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [5717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [5719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [5721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [5723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [5725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [5727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [5729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [5731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [5733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [5735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [5737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [5739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [5741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [5743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [5745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [5747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [5749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [5751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [5753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [5755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [5757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [5759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [5761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [5763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [5765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [5767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [5769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [5771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [5773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [5775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [5777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [5779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [5781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [5783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [5785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [5787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [5789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [5791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [5793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [5795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [5797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [5799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [5801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [5803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [5805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [5807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [5809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [5811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [5813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [5815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [5817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [5819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [5821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [5823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [5825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [5827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [5829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [5831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [5833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [5835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [5837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [5839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [5841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [5843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [5845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [5847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [5849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [5851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [5853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [5855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [5857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [5859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [5861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [5863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [5865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [5867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [5869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [5871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [5873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [5875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [5877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [5879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [5881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [5883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [5885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [5887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [5889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [5891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [5893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [5895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [5897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [5899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [5901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [5903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [5905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [5907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [5909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [5911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [5913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [5915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [5917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [5919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [5921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [5923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [5925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [5927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [5929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [5931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [5933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [5935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [5937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [5939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [5941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [5943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [5945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [5947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [5949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [5951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [5953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [5955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [5957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [5959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [5961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2024),
  [5963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [5965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [5967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [5969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [5971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [5973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [5975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [5977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [5979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [5981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [5983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [5985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [5987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [5989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [5991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [5993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [5995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [5997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [5999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [6001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [6003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [6005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [6007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [6009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [6011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [6013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [6015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [6017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [6019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [6021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [6023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [6025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [6027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [6029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [6031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [6033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [6035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [6037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [6039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [6041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [6043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [6045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [6047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [6049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [6051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [6053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [6055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [6057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [6059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [6061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [6063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [6065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [6067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [6069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [6071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [6073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [6075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [6077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1907),
  [6080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [6082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [6084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [6086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [6088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [6090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [6092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [6094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [6096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [6098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [6100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [6102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [6104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [6106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [6108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [6110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [6112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [6114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [6116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [6118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [6120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [6122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [6124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [6126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [6128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [6130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [6132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [6134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [6136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [6138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [6140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [6142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [6144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [6146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [6148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [6150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [6152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [6154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [6158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [6160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [6162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [6164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [6166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [6168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [6170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [6172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [6174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [6176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [6178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [6180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [6182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [6184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [6186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [6188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [6190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [6192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [6194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [6196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [6198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [6200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [6202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [6204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [6206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [6208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [6210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [6212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [6214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [6216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [6218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [6220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [6222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [6224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [6226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [6228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [6230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [6232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [6234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [6236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [6238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [6240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [6242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [6244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [6246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [6248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [6250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [6252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [6254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [6256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [6258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [6260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [6262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [6264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [6266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_with_default, 3, 0, 29),
  [6268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2048),
  [6271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [6273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [6275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_named, 3, 0, 36),
  [6277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_named, 3, 0, 36),
  [6279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument, 1, 0, 18),
  [6281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument, 1, 0, 18),
  [6283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument, 1, 0, 20),
  [6285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 20),
  [6287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_unnamed, 1, 0, 20),
  [6289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_unnamed, 1, 0, 20),
  [6291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument, 1, 0, 19),
  [6293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 19),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [6297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [6299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 1, 0, 17),
  [6301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 1, 0, 17),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [6305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [6307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2091),
  [6310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 4, 0, 31),
  [6312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 4, 0, 31),
  [6314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 3, 0, 24),
  [6316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 24),
  [6318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 2, 0, 7),
  [6320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2, 0, 7),
  [6322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [6324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [6326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [6328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [6330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [6332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [6334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [6336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [6338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [6340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [6342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [6344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [6348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [6350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [6352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [6354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [6356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [6358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [6360] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [6362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [6364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [6366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [6368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [6370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [6372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__single_quoted_string_content, 2, 0, 0),
  [6374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quoted_string_content, 2, 0, 0), SHIFT_REPEAT(2288),
  [6377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [6379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [6381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [6383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [6385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [6387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [6391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [6393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [6395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [6397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [6399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [6401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [6403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [6405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [6407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [6409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__double_quoted_string_content, 2, 0, 0),
  [6411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__double_quoted_string_content, 2, 0, 0), SHIFT_REPEAT(2290),
  [6414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [6416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [6418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [6420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [6422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [6424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [6426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [6428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [6430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [6432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [6434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [6436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [6438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [6440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [6442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [6444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [6446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [6448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [6450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [6452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [6454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [6456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [6458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [6460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [6462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [6464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [6466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [6468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [6470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [6472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [6474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [6476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [6478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [6482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [6484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [6486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [6488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [6490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [6492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [6494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [6496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [6498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [6500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [6502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [6504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [6506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [6508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [6510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [6512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [6514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [6516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [6518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [6520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [6522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [6524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [6526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [6528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [6530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [6532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [6534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [6536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [6538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [6540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [6542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [6544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [6546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [6548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [6550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [6552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [6554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [6556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [6558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [6560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [6562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [6564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [6566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [6568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [6570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [6572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [6574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [6576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [6578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [6580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [6582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [6584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [6586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [6588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [6590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [6592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [6594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [6596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [6598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [6600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [6602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [6604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [6606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [6608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [6610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [6612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [6614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [6616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [6618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [6620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [6622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [6624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [6626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [6628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [6630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [6632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [6634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [6636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [6638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [6640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [6642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [6644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [6646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [6648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [6650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [6652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [6654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [6656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [6658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [6660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [6662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [6664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [6666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [6668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [6670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [6672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [6674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [6676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [6678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [6680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [6682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [6684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [6686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [6688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [6690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 32), SHIFT_REPEAT(2147),
  [6693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 32),
  [6695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2287),
  [6698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__single_quoted_string_content, 1, 0, 0),
  [6700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__single_quoted_string_content, 1, 0, 0),
  [6702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [6704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_without_default, 1, 0, 9),
  [6706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__double_quoted_string_content, 1, 0, 0),
  [6708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__double_quoted_string_content, 1, 0, 0),
  [6710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [6712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [6714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [6716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [6718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 30),
  [6720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [6722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [6724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 11),
  [6726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [6728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [6730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [6732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [6734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [6736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [6738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [6740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [6742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [6744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [6746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [6748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [6750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 10),
  [6752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [6754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [6756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [6758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [6760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [6762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [6764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [6766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [6768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [6770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [6772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [6774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [6776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [6778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [6780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [6782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [6784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [6786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [6788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [6790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [6792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [6794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [6796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [6798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [6800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [6802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [6804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [6806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [6808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [6810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [6812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [6814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [6816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [6818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [6820] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [6822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [6824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [6826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [6828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [6830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [6832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [6834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [6836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [6838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [6840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [6842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [6844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [6846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [6848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [6850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [6852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [6854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [6856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [6858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [6860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__start = 0,
  ts_external_token__newline = 1,
  ts_external_token__semicolon = 2,
  ts_external_token__raw_string_literal = 3,
  ts_external_token__external_else = 4,
  ts_external_token__external_open_parenthesis = 5,
  ts_external_token__external_close_parenthesis = 6,
  ts_external_token__external_open_brace = 7,
  ts_external_token__external_close_brace = 8,
  ts_external_token__external_open_bracket = 9,
  ts_external_token__external_close_bracket = 10,
  ts_external_token__external_open_bracket2 = 11,
  ts_external_token__external_close_bracket2 = 12,
  ts_external_token__error_sentinel = 13,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__start] = sym__start,
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__semicolon] = sym__semicolon,
  [ts_external_token__raw_string_literal] = sym__raw_string_literal,
  [ts_external_token__external_else] = sym__external_else,
  [ts_external_token__external_open_parenthesis] = sym__external_open_parenthesis,
  [ts_external_token__external_close_parenthesis] = sym__external_close_parenthesis,
  [ts_external_token__external_open_brace] = sym__external_open_brace,
  [ts_external_token__external_close_brace] = sym__external_close_brace,
  [ts_external_token__external_open_bracket] = sym__external_open_bracket,
  [ts_external_token__external_close_bracket] = sym__external_close_bracket,
  [ts_external_token__external_open_bracket2] = sym__external_open_bracket2,
  [ts_external_token__external_close_bracket2] = sym__external_close_bracket2,
  [ts_external_token__error_sentinel] = sym__error_sentinel,
};

static const bool ts_external_scanner_states[29][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__start] = true,
    [ts_external_token__newline] = true,
    [ts_external_token__semicolon] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_close_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_close_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
    [ts_external_token__external_close_bracket2] = true,
    [ts_external_token__error_sentinel] = true,
  },
  [2] = {
    [ts_external_token__start] = true,
  },
  [3] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
    [ts_external_token__external_close_bracket2] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
    [ts_external_token__semicolon] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [5] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [6] = {
    [ts_external_token__newline] = true,
    [ts_external_token__semicolon] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_close_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [7] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_close_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [8] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
  },
  [9] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
    [ts_external_token__external_close_bracket2] = true,
  },
  [10] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_close_bracket] = true,
  },
  [11] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_close_bracket2] = true,
  },
  [12] = {
    [ts_external_token__newline] = true,
    [ts_external_token__semicolon] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_close_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [13] = {
    [ts_external_token__newline] = true,
    [ts_external_token__semicolon] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [14] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [15] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_close_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [16] = {
    [ts_external_token__newline] = true,
    [ts_external_token__semicolon] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_close_brace] = true,
  },
  [17] = {
    [ts_external_token__newline] = true,
    [ts_external_token__semicolon] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
  },
  [18] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
  },
  [19] = {
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
  },
  [20] = {
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
  },
  [21] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [22] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [23] = {
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [24] = {
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [25] = {
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [26] = {
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [27] = {
    [ts_external_token__external_close_parenthesis] = true,
  },
  [28] = {
    [ts_external_token__newline] = true,
    [ts_external_token__external_open_parenthesis] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_r_external_scanner_create(void);
void tree_sitter_r_external_scanner_destroy(void *);
bool tree_sitter_r_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_r_external_scanner_serialize(void *, char *);
void tree_sitter_r_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_r(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_r_external_scanner_create,
      tree_sitter_r_external_scanner_destroy,
      tree_sitter_r_external_scanner_scan,
      tree_sitter_r_external_scanner_serialize,
      tree_sitter_r_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
